#include <qtdbus_includes.h>

#include <smoke.h>
#include <qtdbus_smoke.h>

namespace __smokeqtdbus {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //DBusError
      switch(to) {
        case 1: return (void*)(DBusError*)xptr;
        default: return xptr;
      }
    case 2:   //QBitArray
      switch(to) {
        case 2: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChar
      switch(to) {
        case 5: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 6:   //QChildEvent
      switch(to) {
        case 30: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 6: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDBusAbstractAdaptor
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusAbstractAdaptor*)xptr;
        case 8: return (void*)(QDBusAbstractAdaptor*)xptr;
        default: return xptr;
      }
    case 9:   //QDBusAbstractInterface
      switch(to) {
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusAbstractInterface*)xptr;
        case 41: return (void*)(QObject*)(QDBusAbstractInterface*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)xptr;
        case 16: return (void*)(QDBusInterface*)(QDBusAbstractInterface*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QDBusAbstractInterface*)xptr;
        default: return xptr;
      }
    case 10:   //QDBusAbstractInterfaceBase
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusAbstractInterfaceBase*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusAbstractInterfaceBase*)xptr;
        case 16: return (void*)(QDBusInterface*)(QDBusAbstractInterfaceBase*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QDBusAbstractInterfaceBase*)xptr;
        default: return xptr;
      }
    case 11:   //QDBusArgument
      switch(to) {
        case 11: return (void*)(QDBusArgument*)xptr;
        default: return xptr;
      }
    case 12:   //QDBusConnection
      switch(to) {
        case 12: return (void*)(QDBusConnection*)xptr;
        default: return xptr;
      }
    case 13:   //QDBusConnectionInterface
      switch(to) {
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusConnectionInterface*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusConnectionInterface*)xptr;
        case 41: return (void*)(QObject*)(QDBusConnectionInterface*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)xptr;
        default: return xptr;
      }
    case 14:   //QDBusContext
      switch(to) {
        case 14: return (void*)(QDBusContext*)xptr;
        default: return xptr;
      }
    case 15:   //QDBusError
      switch(to) {
        case 15: return (void*)(QDBusError*)xptr;
        default: return xptr;
      }
    case 16:   //QDBusInterface
      switch(to) {
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusInterface*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusInterface*)xptr;
        case 41: return (void*)(QObject*)(QDBusInterface*)xptr;
        case 16: return (void*)(QDBusInterface*)xptr;
        default: return xptr;
      }
    case 17:   //QDBusMessage
      switch(to) {
        case 17: return (void*)(QDBusMessage*)xptr;
        default: return xptr;
      }
    case 18:   //QDBusMetaType
      switch(to) {
        case 18: return (void*)(QDBusMetaType*)xptr;
        default: return xptr;
      }
    case 19:   //QDBusPendingCall
      switch(to) {
        case 19: return (void*)(QDBusPendingCall*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)(QDBusPendingCall*)xptr;
        default: return xptr;
      }
    case 20:   //QDBusPendingCallWatcher
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusPendingCallWatcher*)xptr;
        case 19: return (void*)(QDBusPendingCall*)(QDBusPendingCallWatcher*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)xptr;
        default: return xptr;
      }
    case 21:   //QDBusServer
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusServer*)xptr;
        case 21: return (void*)(QDBusServer*)xptr;
        default: return xptr;
      }
    case 22:   //QDBusServiceWatcher
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusServiceWatcher*)xptr;
        case 22: return (void*)(QDBusServiceWatcher*)xptr;
        default: return xptr;
      }
    case 23:   //QDBusVariant
      switch(to) {
        case 58: return (void*)(QVariant*)(QDBusVariant*)xptr;
        case 23: return (void*)(QDBusVariant*)xptr;
        default: return xptr;
      }
    case 24:   //QDataStream
      switch(to) {
        case 24: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 25:   //QDate
      switch(to) {
        case 25: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 26:   //QDateTime
      switch(to) {
        case 26: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 27:   //QDebug
      switch(to) {
        case 27: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 28:   //QDir
      switch(to) {
        case 28: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 29:   //QEasingCurve
      switch(to) {
        case 29: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 30:   //QEvent
      switch(to) {
        case 30: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QHashDummyValue
      switch(to) {
        case 32: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 33:   //QIncompatibleFlag
      switch(to) {
        case 33: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 34:   //QLatin1String
      switch(to) {
        case 34: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 35:   //QLine
      switch(to) {
        case 35: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 36:   //QLineF
      switch(to) {
        case 36: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 37:   //QLocale
      switch(to) {
        case 37: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 38:   //QMargins
      switch(to) {
        case 38: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 39:   //QMetaObject
      switch(to) {
        case 39: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 40:   //QModelIndex
      switch(to) {
        case 40: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 41:   //QObject
      switch(to) {
        case 41: return (void*)(QObject*)xptr;
        case 8: return (void*)(QDBusAbstractAdaptor*)(QObject*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)(QObject*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)(QObject*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QObject*)xptr;
        case 22: return (void*)(QDBusServiceWatcher*)(QObject*)xptr;
        case 16: return (void*)(QDBusInterface*)(QObject*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QObject*)xptr;
        case 21: return (void*)(QDBusServer*)(QObject*)xptr;
        default: return xptr;
      }
    case 42:   //QPersistentModelIndex
      switch(to) {
        case 42: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 43:   //QPoint
      switch(to) {
        case 43: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 44:   //QPointF
      switch(to) {
        case 44: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 45:   //QRect
      switch(to) {
        case 45: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 46:   //QRectF
      switch(to) {
        case 46: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 47:   //QRegExp
      switch(to) {
        case 47: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 48:   //QSize
      switch(to) {
        case 48: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 49:   //QSizeF
      switch(to) {
        case 49: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 50:   //QString::Null
      switch(to) {
        case 50: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 51:   //QStringRef
      switch(to) {
        case 51: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 52:   //QTextStream
      switch(to) {
        case 52: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 53:   //QTextStreamManipulator
      switch(to) {
        case 53: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 54:   //QTime
      switch(to) {
        case 54: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 55:   //QTimerEvent
      switch(to) {
        case 30: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 55: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QUrl
      switch(to) {
        case 56: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 57:   //QUuid
      switch(to) {
        case 57: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 58:   //QVariant
      switch(to) {
        case 58: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 59:   //QVariantComparisonHelper
      switch(to) {
        case 59: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    41, 0,	// 1: QObject
    10, 0,	// 3: QDBusAbstractInterfaceBase
    9, 0,	// 5: QDBusAbstractInterface
    41, 19, 0,	// 7: QObject, QDBusPendingCall
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusConnection(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusConnectionInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBus(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusArgument(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusServiceWatcher(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusMessage(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QDBus(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractAdaptor(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractInterfaceBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusArgument(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusConnection(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusConnectionInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusError(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusMessage(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusMetaType(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusPendingCall(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusPendingCallWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusServiceWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "DBusError", true, 0, 0, 0, 0, 0 },	//1
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChar", true, 0, 0, 0, 0, 0 },	//5
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QDBus", false, 0, xcall_QDBus, xenum_QDBus, Smoke::cf_namespace, 0 },	//7
    { "QDBusAbstractAdaptor", false, 1, xcall_QDBusAbstractAdaptor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractAdaptor) },	//8
    { "QDBusAbstractInterface", false, 3, xcall_QDBusAbstractInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractInterface) },	//9
    { "QDBusAbstractInterfaceBase", false, 1, xcall_QDBusAbstractInterfaceBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractInterfaceBase) },	//10
    { "QDBusArgument", false, 0, xcall_QDBusArgument, xenum_QDBusArgument, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusArgument) },	//11
    { "QDBusConnection", false, 0, xcall_QDBusConnection, xenum_QDBusConnection, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusConnection) },	//12
    { "QDBusConnectionInterface", false, 5, xcall_QDBusConnectionInterface, xenum_QDBusConnectionInterface, Smoke::cf_virtual, sizeof(QDBusConnectionInterface) },	//13
    { "QDBusContext", false, 0, xcall_QDBusContext, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusContext) },	//14
    { "QDBusError", false, 0, xcall_QDBusError, xenum_QDBusError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusError) },	//15
    { "QDBusInterface", false, 5, xcall_QDBusInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusInterface) },	//16
    { "QDBusMessage", false, 0, xcall_QDBusMessage, xenum_QDBusMessage, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusMessage) },	//17
    { "QDBusMetaType", false, 0, xcall_QDBusMetaType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusMetaType) },	//18
    { "QDBusPendingCall", false, 0, xcall_QDBusPendingCall, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusPendingCall) },	//19
    { "QDBusPendingCallWatcher", false, 7, xcall_QDBusPendingCallWatcher, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusPendingCallWatcher) },	//20
    { "QDBusServer", false, 1, xcall_QDBusServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusServer) },	//21
    { "QDBusServiceWatcher", false, 1, xcall_QDBusServiceWatcher, xenum_QDBusServiceWatcher, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusServiceWatcher) },	//22
    { "QDBusVariant", true, 0, 0, 0, 0, 0 },	//23
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//24
    { "QDate", true, 0, 0, 0, 0, 0 },	//25
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//26
    { "QDebug", true, 0, 0, 0, 0, 0 },	//27
    { "QDir", true, 0, 0, 0, 0, 0 },	//28
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//29
    { "QEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//31
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//32
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//33
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//34
    { "QLine", true, 0, 0, 0, 0, 0 },	//35
    { "QLineF", true, 0, 0, 0, 0, 0 },	//36
    { "QLocale", true, 0, 0, 0, 0, 0 },	//37
    { "QMargins", true, 0, 0, 0, 0, 0 },	//38
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//39
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//40
    { "QObject", true, 0, 0, 0, 0, 0 },	//41
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//42
    { "QPoint", true, 0, 0, 0, 0, 0 },	//43
    { "QPointF", true, 0, 0, 0, 0, 0 },	//44
    { "QRect", true, 0, 0, 0, 0, 0 },	//45
    { "QRectF", true, 0, 0, 0, 0, 0 },	//46
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//47
    { "QSize", true, 0, 0, 0, 0, 0 },	//48
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//49
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//50
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//51
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//52
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//53
    { "QTime", true, 0, 0, 0, 0, 0 },	//54
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QUrl", true, 0, 0, 0, 0, 0 },	//56
    { "QUuid", true, 0, 0, 0, 0, 0 },	//57
    { "QVariant", true, 0, 0, 0, 0, 0 },	//58
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//59
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBitArray", 2, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 2, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 4, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//6
    { "QChar", 5, Smoke::t_class|Smoke::tf_stack },	//7
    { "QChar&", 5, Smoke::t_class|Smoke::tf_ref },	//8
    { "QChildEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDBus::CallMode", 7, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QDBusAbstractAdaptor*", 8, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDBusAbstractInterface*", 9, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QDBusArgument&", 11, Smoke::t_class|Smoke::tf_ref },	//13
    { "QDBusArgument*", 11, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QDBusArgument::ElementType", 11, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QDBusConnection", 12, Smoke::t_class|Smoke::tf_stack },	//16
    { "QDBusConnection&", 12, Smoke::t_class|Smoke::tf_ref },	//17
    { "QDBusConnection*", 12, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QDBusConnection::BusType", 12, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QDBusConnection::RegisterOption", 12, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QDBusConnection::UnregisterMode", 12, Smoke::t_enum|Smoke::tf_stack },	//21
    { "QDBusConnectionInterface*", 13, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QDBusConnectionInterface::RegisterServiceReply", 13, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QDBusConnectionInterface::ServiceQueueOptions", 13, Smoke::t_enum|Smoke::tf_stack },	//24
    { "QDBusConnectionInterface::ServiceReplacementOptions", 13, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QDBusContext*", 14, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QDBusError", 15, Smoke::t_class|Smoke::tf_stack },	//27
    { "QDBusError&", 15, Smoke::t_class|Smoke::tf_ref },	//28
    { "QDBusError*", 15, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QDBusError::ErrorType", 15, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QDBusInterface*", 16, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QDBusMessage", 17, Smoke::t_class|Smoke::tf_stack },	//32
    { "QDBusMessage&", 17, Smoke::t_class|Smoke::tf_ref },	//33
    { "QDBusMessage*", 17, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QDBusMessage::MessageType", 17, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QDBusMetaType*", 18, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QDBusObjectPath&", 0, Smoke::t_voidp|Smoke::tf_ref },	//37
    { "QDBusPendingCall", 19, Smoke::t_class|Smoke::tf_stack },	//38
    { "QDBusPendingCall&", 19, Smoke::t_class|Smoke::tf_ref },	//39
    { "QDBusPendingCall*", 19, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QDBusPendingCallWatcher*", 20, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QDBusReply<QDBusConnectionInterface::RegisterServiceReply>", 0, Smoke::t_voidp|Smoke::tf_stack },	//42
    { "QDBusReply<QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//43
    { "QDBusReply<QStringList>", 0, Smoke::t_voidp|Smoke::tf_stack },	//44
    { "QDBusReply<bool>", 0, Smoke::t_voidp|Smoke::tf_stack },	//45
    { "QDBusReply<uint>", 0, Smoke::t_voidp|Smoke::tf_stack },	//46
    { "QDBusReply<void>", 0, Smoke::t_voidp|Smoke::tf_stack },	//47
    { "QDBusServer*", 21, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QDBusServiceWatcher*", 22, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QDBusServiceWatcher::WatchModeFlag", 22, Smoke::t_enum|Smoke::tf_stack },	//50
    { "QDBusSignature&", 0, Smoke::t_voidp|Smoke::tf_ref },	//51
    { "QDBusVariant&", 23, Smoke::t_class|Smoke::tf_ref },	//52
    { "QDataStream&", 24, Smoke::t_class|Smoke::tf_ref },	//53
    { "QDate&", 25, Smoke::t_class|Smoke::tf_ref },	//54
    { "QDateTime&", 26, Smoke::t_class|Smoke::tf_ref },	//55
    { "QDebug", 27, Smoke::t_class|Smoke::tf_stack },	//56
    { "QDir::Filter", 28, Smoke::t_enum|Smoke::tf_stack },	//57
    { "QDir::SortFlag", 28, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "QEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QDBusConnection::RegisterOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QDBusServiceWatcher::WatchModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QIncompatibleFlag", 33, Smoke::t_class|Smoke::tf_stack },	//95
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QLine&", 35, Smoke::t_class|Smoke::tf_ref },	//97
    { "QLineF&", 36, Smoke::t_class|Smoke::tf_ref },	//98
    { "QList<QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//99
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//100
    { "QLocale&", 37, Smoke::t_class|Smoke::tf_ref },	//101
    { "QLocale::NumberOption", 37, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QMetaObject::Call", 39, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QObject*", 41, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QObject*(*)()", 41, Smoke::t_class|Smoke::tf_ptr },	//105
    { "QPoint&", 43, Smoke::t_class|Smoke::tf_ref },	//106
    { "QPointF&", 44, Smoke::t_class|Smoke::tf_ref },	//107
    { "QRect&", 45, Smoke::t_class|Smoke::tf_ref },	//108
    { "QRectF&", 46, Smoke::t_class|Smoke::tf_ref },	//109
    { "QRegExp&", 47, Smoke::t_class|Smoke::tf_ref },	//110
    { "QSize&", 48, Smoke::t_class|Smoke::tf_ref },	//111
    { "QSizeF&", 49, Smoke::t_class|Smoke::tf_ref },	//112
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//113
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//114
    { "QString::Null", 50, Smoke::t_class|Smoke::tf_stack },	//115
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//117
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//118
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//119
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "QTextStream&", 52, Smoke::t_class|Smoke::tf_ref },	//121
    { "QTextStream&(*)(QTextStream&)", 52, Smoke::t_class|Smoke::tf_ref },	//122
    { "QTextStream::NumberFlag", 52, Smoke::t_enum|Smoke::tf_stack },	//123
    { "QTextStreamManipulator", 53, Smoke::t_class|Smoke::tf_stack },	//124
    { "QTime&", 54, Smoke::t_class|Smoke::tf_ref },	//125
    { "QTimerEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//126
    { "QUrl&", 56, Smoke::t_class|Smoke::tf_ref },	//127
    { "QUrl::FormattingOption", 56, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QUuid&", 57, Smoke::t_class|Smoke::tf_ref },	//129
    { "QVariant", 58, Smoke::t_class|Smoke::tf_stack },	//130
    { "QVariant&", 58, Smoke::t_class|Smoke::tf_ref },	//131
    { "QVariant::Type", 58, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QVariant::Type&", 58, Smoke::t_enum|Smoke::tf_ref },	//133
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QtMsgType", 31, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QtValidLicenseForActiveQtModule", 31, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QtValidLicenseForCoreModule", 31, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QtValidLicenseForDBusModule", 31, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QtValidLicenseForDeclarativeModule", 31, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QtValidLicenseForGuiModule", 31, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QtValidLicenseForHelpModule", 31, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QtValidLicenseForMultimediaModule", 31, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QtValidLicenseForNetworkModule", 31, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QtValidLicenseForOpenGLModule", 31, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QtValidLicenseForOpenVGModule", 31, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QtValidLicenseForQt3SupportLightModule", 31, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QtValidLicenseForQt3SupportModule", 31, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QtValidLicenseForScriptModule", 31, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QtValidLicenseForScriptToolsModule", 31, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QtValidLicenseForSqlModule", 31, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QtValidLicenseForSvgModule", 31, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QtValidLicenseForTestModule", 31, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QtValidLicenseForXmlModule", 31, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QtValidLicenseForXmlPatternsModule", 31, Smoke::t_enum|Smoke::tf_stack },	//226
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//227
    { "bool&", 0, Smoke::t_voidp|Smoke::tf_ref },	//228
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//229
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//230
    { "const DBusError*", 1, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//231
    { "const QBitArray&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QByteArray", 4, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//233
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const QChar&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QDBusArgument&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QDBusConnection&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QDBusContext&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QDBusError&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QDBusMessage&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QDBusMetaType&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QDBusObjectPath&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QDBusPendingCall&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QDBusSignature&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QDBusVariant&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QDate&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QDateTime&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QDir&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QEasingCurve&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QHashDummyValue&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QLatin1String&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QLine&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QLineF&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QLocale&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QMargins&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QMetaObject&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QMetaObject*", 39, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//259
    { "const QModelIndex&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QObject*", 41, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//261
    { "const QPersistentModelIndex&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QPoint", 43, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//263
    { "const QPoint&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QPointF", 44, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//265
    { "const QPointF&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QRect&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QRectF&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QRegExp&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QRegExp*", 47, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//270
    { "const QSize", 48, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//271
    { "const QSize&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QSizeF", 49, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//273
    { "const QSizeF&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//275
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//278
    { "const QStringRef&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QTime&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QUrl&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QUuid&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const QVariant&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QVariant::Type", 58, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//284
    { "const QVariantComparisonHelper&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//286
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//287
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//288
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//289
    { "double&", 0, Smoke::t_voidp|Smoke::tf_ref },	//290
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//291
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//292
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//293
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//294
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//295
    { "long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//296
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//297
    { "short&", 0, Smoke::t_voidp|Smoke::tf_ref },	//298
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//299
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//300
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//301
    { "unsigned char&", 0, Smoke::t_voidp|Smoke::tf_ref },	//302
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//303
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//304
    { "unsigned int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//305
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//306
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//307
    { "unsigned long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//308
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//309
    { "unsigned short&", 0, Smoke::t_voidp|Smoke::tf_ref },	//310
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//311
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//312
    { "void(*)(QDBusArgument&,const void*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//313
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//314
    { "void(*)(const QDBusArgument&,void*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//315
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//316
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//317
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//318
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    286, 0,	//1  const char*
    286, 286, 0,	//3  const char*, const char*
    286, 286, 292, 0,	//6  const char*, const char*, int
    103, 292, 317, 0,	//10  QMetaObject::Call, int, void**
    104, 0,	//14  QObject*
    227, 0,	//16  bool
    276, 283, 283, 283, 283, 283, 283, 283, 283, 0,	//18  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 276, 283, 283, 283, 283, 283, 283, 283, 283, 0,	//28  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 276, 254, 0,	//39  QDBus::CallMode, const QString&, const QList<QVariant>&
    276, 254, 104, 286, 286, 0,	//43  const QString&, const QList<QVariant>&, QObject*, const char*, const char*
    276, 254, 104, 286, 0,	//49  const QString&, const QList<QVariant>&, QObject*, const char*
    276, 254, 0,	//54  const QString&, const QList<QVariant>&
    276, 276, 286, 237, 104, 0,	//57  const QString&, const QString&, const char*, const QDBusConnection&, QObject*
    286, 283, 0,	//63  const char*, const QVariant&
    276, 0,	//66  const QString&
    276, 283, 0,	//68  const QString&, const QVariant&
    276, 283, 283, 0,	//71  const QString&, const QVariant&, const QVariant&
    276, 283, 283, 283, 0,	//75  const QString&, const QVariant&, const QVariant&, const QVariant&
    276, 283, 283, 283, 283, 0,	//80  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    276, 283, 283, 283, 283, 283, 0,	//86  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    276, 283, 283, 283, 283, 283, 283, 0,	//93  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    276, 283, 283, 283, 283, 283, 283, 283, 0,	//101  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 276, 0,	//110  QDBus::CallMode, const QString&
    10, 276, 283, 0,	//113  QDBus::CallMode, const QString&, const QVariant&
    10, 276, 283, 283, 0,	//117  QDBus::CallMode, const QString&, const QVariant&, const QVariant&
    10, 276, 283, 283, 283, 0,	//122  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&
    10, 276, 283, 283, 283, 283, 0,	//128  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 276, 283, 283, 283, 283, 283, 0,	//135  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 276, 283, 283, 283, 283, 283, 283, 0,	//143  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 276, 283, 283, 283, 283, 283, 283, 283, 0,	//152  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    236, 0,	//162  const QDBusArgument&
    301, 0,	//164  unsigned char
    297, 0,	//166  short
    309, 0,	//168  unsigned short
    292, 0,	//170  int
    304, 0,	//172  unsigned int
    295, 0,	//174  long long
    307, 0,	//176  unsigned long long
    289, 0,	//178  double
    245, 0,	//180  const QDBusVariant&
    242, 0,	//182  const QDBusObjectPath&
    244, 0,	//184  const QDBusSignature&
    277, 0,	//186  const QStringList&
    234, 0,	//188  const QByteArray&
    292, 292, 0,	//190  int, int
    283, 0,	//193  const QVariant&
    302, 0,	//195  unsigned char&
    228, 0,	//197  bool&
    298, 0,	//199  short&
    310, 0,	//201  unsigned short&
    293, 0,	//203  int&
    305, 0,	//205  unsigned int&
    296, 0,	//207  long long&
    308, 0,	//209  unsigned long long&
    290, 0,	//211  double&
    114, 0,	//213  QString&
    52, 0,	//215  QDBusVariant&
    37, 0,	//217  QDBusObjectPath&
    51, 0,	//219  QDBusSignature&
    118, 0,	//221  QStringList&
    6, 0,	//223  QByteArray&
    237, 0,	//225  const QDBusConnection&
    240, 0,	//227  const QDBusMessage&
    240, 104, 286, 286, 292, 0,	//229  const QDBusMessage&, QObject*, const char*, const char*, int
    240, 104, 286, 292, 0,	//235  const QDBusMessage&, QObject*, const char*, int
    240, 10, 292, 0,	//240  const QDBusMessage&, QDBus::CallMode, int
    240, 292, 0,	//244  const QDBusMessage&, int
    276, 276, 276, 276, 104, 286, 0,	//247  const QString&, const QString&, const QString&, const QString&, QObject*, const char*
    276, 276, 276, 276, 276, 104, 286, 0,	//254  const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*
    276, 276, 276, 276, 277, 276, 104, 286, 0,	//262  const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*
    276, 104, 64, 0,	//271  const QString&, QObject*, QFlags<QDBusConnection::RegisterOption>
    276, 21, 0,	//275  const QString&, QDBusConnection::UnregisterMode
    19, 276, 0,	//278  QDBusConnection::BusType, const QString&
    276, 276, 0,	//281  const QString&, const QString&
    240, 104, 286, 286, 0,	//284  const QDBusMessage&, QObject*, const char*, const char*
    240, 104, 286, 0,	//289  const QDBusMessage&, QObject*, const char*
    240, 10, 0,	//293  const QDBusMessage&, QDBus::CallMode
    276, 104, 0,	//296  const QString&, QObject*
    276, 24, 25, 0,	//299  const QString&, QDBusConnectionInterface::ServiceQueueOptions, QDBusConnectionInterface::ServiceReplacementOptions
    276, 276, 276, 0,	//303  const QString&, const QString&, const QString&
    239, 240, 0,	//307  const QDBusError&, const QDBusMessage&
    276, 24, 0,	//310  const QString&, QDBusConnectionInterface::ServiceQueueOptions
    30, 276, 0,	//313  QDBusError::ErrorType, const QString&
    238, 0,	//316  const QDBusContext&
    30, 0,	//318  QDBusError::ErrorType
    231, 0,	//320  const DBusError*
    239, 0,	//322  const QDBusError&
    276, 276, 276, 237, 104, 0,	//324  const QString&, const QString&, const QString&, const QDBusConnection&, QObject*
    276, 276, 276, 237, 0,	//330  const QString&, const QString&, const QString&, const QDBusConnection&
    276, 276, 276, 276, 0,	//335  const QString&, const QString&, const QString&, const QString&
    254, 0,	//340  const QList<QVariant>&
    275, 276, 0,	//342  const QString, const QString&
    292, 313, 315, 0,	//345  int, void(*)(QDBusArgument&,const void*), void(*)(const QDBusArgument&,void*)
    13, 292, 288, 0,	//349  QDBusArgument&, int, const void*
    236, 292, 316, 0,	//353  const QDBusArgument&, int, void*
    241, 0,	//357  const QDBusMetaType&
    243, 0,	//359  const QDBusPendingCall&
    243, 104, 0,	//361  const QDBusPendingCall&, QObject*
    41, 0,	//364  QDBusPendingCallWatcher*
    276, 237, 65, 104, 0,	//366  const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>, QObject*
    65, 0,	//371  QFlags<QDBusServiceWatcher::WatchModeFlag>
    276, 237, 0,	//373  const QString&, const QDBusConnection&
    276, 237, 65, 0,	//376  const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>
    62, 62, 0,	//380  QFile::Permission, QFile::Permission
    13, 266, 0,	//383  QDBusArgument&, const QPointF&
    13, 253, 0,	//386  QDBusArgument&, const QLineF&
    53, 8, 0,	//389  QDataStream&, QChar&
    59, 68, 0,	//392  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    13, 247, 0,	//395  QDBusArgument&, const QDateTime&
    286, 251, 0,	//398  const char*, const QLatin1String&
    53, 101, 0,	//401  QDataStream&, QLocale&
    13, 268, 0,	//404  QDBusArgument&, const QRectF&
    204, 292, 0,	//407  Qt::WindowType, int
    230, 286, 304, 0,	//410  char*, const char*, unsigned int
    229, 0,	//414  char
    274, 289, 0,	//416  const QSizeF&, double
    56, 252, 0,	//419  QDebug, const QLine&
    234, 286, 0,	//422  const QByteArray&, const char*
    286, 276, 0,	//425  const char*, const QString&
    53, 108, 0,	//428  QDataStream&, QRect&
    50, 50, 0,	//431  QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag
    169, 169, 0,	//434  Qt::ItemFlag, Qt::ItemFlag
    283, 285, 0,	//437  const QVariant&, const QVariantComparisonHelper&
    13, 256, 0,	//440  QDBusArgument&, const QMap<QString,QVariant>&
    56, 71, 0,	//443  QDebug, QFlags<QIODevice::OpenModeFlag>
    272, 272, 0,	//446  const QSize&, const QSize&
    244, 244, 0,	//449  const QDBusSignature&, const QDBusSignature&
    7, 276, 0,	//452  QChar, const QString&
    286, 286, 304, 0,	//455  const char*, const char*, unsigned int
    251, 251, 0,	//459  const QLatin1String&, const QLatin1String&
    279, 279, 0,	//462  const QStringRef&, const QStringRef&
    230, 300, 286, 311, 0,	//465  char*, size_t, const char*, va_list
    266, 266, 0,	//470  const QPointF&, const QPointF&
    276, 279, 0,	//473  const QString&, const QStringRef&
    236, 125, 0,	//476  const QDBusArgument&, QTime&
    276, 7, 0,	//479  const QString&, QChar
    286, 304, 0,	//482  const char*, unsigned int
    251, 279, 0,	//485  const QLatin1String&, const QStringRef&
    56, 246, 0,	//488  QDebug, const QDate&
    13, 272, 0,	//491  QDBusArgument&, const QSize&
    194, 194, 0,	//494  Qt::ToolBarArea, Qt::ToolBarArea
    56, 253, 0,	//497  QDebug, const QLineF&
    268, 268, 0,	//500  const QRectF&, const QRectF&
    261, 276, 270, 258, 100, 0,	//503  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    279, 251, 0,	//509  const QStringRef&, const QLatin1String&
    53, 54, 0,	//512  QDataStream&, QDate&
    291, 0,	//515  float
    191, 292, 0,	//517  Qt::TextInteractionFlag, int
    7, 7, 0,	//520  QChar, QChar
    7, 0,	//523  QChar
    53, 127, 0,	//525  QDataStream&, QUrl&
    56, 260, 0,	//528  QDebug, const QModelIndex&
    96, 72, 0,	//531  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    286, 292, 0,	//534  const char*, int
    289, 289, 0,	//537  double, double
    53, 284, 0,	//540  QDataStream&, const QVariant::Type
    53, 283, 0,	//543  QDataStream&, const QVariant&
    191, 89, 0,	//546  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    169, 84, 0,	//549  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    294, 0,	//552  long
    166, 83, 0,	//554  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    53, 274, 0,	//557  QDataStream&, const QSizeF&
    115, 115, 0,	//560  QString::Null, QString::Null
    286, 234, 0,	//563  const char*, const QByteArray&
    232, 0,	//566  const QBitArray&
    59, 59, 0,	//568  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    230, 286, 0,	//571  char*, const char*
    232, 232, 0,	//574  const QBitArray&, const QBitArray&
    264, 264, 0,	//577  const QPoint&, const QPoint&
    172, 85, 0,	//580  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    266, 289, 0,	//583  const QPointF&, double
    56, 274, 0,	//586  QDebug, const QSizeF&
    250, 250, 0,	//589  const QHashDummyValue&, const QHashDummyValue&
    1, 1, 0,	//592  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    267, 267, 0,	//595  const QRect&, const QRect&
    53, 129, 0,	//598  QDataStream&, QUuid&
    234, 234, 0,	//601  const QByteArray&, const QByteArray&
    287, 292, 0,	//604  const unsigned char*, int
    234, 292, 0,	//607  const QByteArray&, int
    53, 276, 0,	//610  QDataStream&, const QString&
    121, 122, 0,	//613  QTextStream&, QTextStream&(*)(QTextStream&)
    155, 292, 0,	//616  Qt::DropAction, int
    316, 300, 300, 300, 0,	//619  void*, size_t, size_t, size_t
    175, 292, 0,	//624  Qt::MatchFlag, int
    53, 264, 0,	//627  QDataStream&, const QPoint&
    236, 55, 0,	//630  const QDBusArgument&, QDateTime&
    56, 267, 0,	//633  QDebug, const QRect&
    120, 75, 0,	//636  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    236, 97, 0,	//639  const QDBusArgument&, QLine&
    191, 191, 0,	//642  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    56, 248, 0,	//645  QDebug, const QDir&
    116, 74, 0,	//648  QString::SectionFlag, QFlags<QString::SectionFlag>
    177, 177, 0,	//651  Qt::MouseButton, Qt::MouseButton
    316, 300, 0,	//654  void*, size_t
    155, 155, 0,	//657  Qt::DropAction, Qt::DropAction
    20, 20, 0,	//660  QDBusConnection::RegisterOption, QDBusConnection::RegisterOption
    1, 292, 0,	//663  QAbstractFileEngine::FileFlag, int
    276, 115, 0,	//666  const QString&, QString::Null
    160, 81, 0,	//669  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    242, 242, 0,	//672  const QDBusObjectPath&, const QDBusObjectPath&
    61, 292, 0,	//675  QEventLoop::ProcessEventsFlag, int
    102, 102, 0,	//678  QLocale::NumberOption, QLocale::NumberOption
    94, 94, 0,	//681  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    53, 98, 0,	//684  QDataStream&, QLineF&
    53, 253, 0,	//687  QDataStream&, const QLineF&
    274, 274, 0,	//690  const QSizeF&, const QSizeF&
    289, 272, 0,	//693  double, const QSize&
    153, 79, 0,	//696  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    236, 108, 0,	//699  const QDBusArgument&, QRect&
    175, 86, 0,	//702  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    266, 0,	//705  const QPointF&
    134, 292, 0,	//707  Qt::AlignmentFlag, int
    164, 292, 0,	//710  Qt::ImageConversionFlag, int
    236, 109, 0,	//713  const QDBusArgument&, QRectF&
    56, 272, 0,	//716  QDebug, const QSize&
    120, 292, 0,	//719  QTextCodec::ConversionFlag, int
    56, 264, 0,	//722  QDebug, const QPoint&
    56, 281, 0,	//725  QDebug, const QUrl&
    264, 0,	//728  const QPoint&
    240, 28, 131, 0,	//730  const QDBusMessage&, QDBusError&, QVariant&
    236, 112, 0,	//734  const QDBusArgument&, QSizeF&
    236, 98, 0,	//737  const QDBusArgument&, QLineF&
    20, 292, 0,	//740  QDBusConnection::RegisterOption, int
    53, 266, 0,	//743  QDataStream&, const QPointF&
    56, 240, 0,	//746  QDebug, const QDBusMessage&
    50, 65, 0,	//749  QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>
    120, 120, 0,	//752  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    236, 131, 0,	//755  const QDBusArgument&, QVariant&
    236, 107, 0,	//758  const QDBusArgument&, QPointF&
    4, 4, 0,	//761  QBool, QBool
    20, 64, 0,	//764  QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>
    276, 229, 0,	//767  const QString&, char
    286, 279, 0,	//770  const char*, const QStringRef&
    13, 264, 0,	//773  QDBusArgument&, const QPoint&
    123, 292, 0,	//776  QTextStream::NumberFlag, int
    56, 266, 0,	//779  QDebug, const QPointF&
    115, 276, 0,	//782  QString::Null, const QString&
    312, 0,	//785  void(*)()
    102, 73, 0,	//787  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    160, 160, 0,	//790  Qt::GestureFlag, Qt::GestureFlag
    53, 109, 0,	//793  QDataStream&, QRectF&
    291, 291, 0,	//796  float, float
    53, 235, 0,	//799  QDataStream&, const QChar&
    53, 107, 0,	//802  QDataStream&, QPointF&
    272, 289, 0,	//805  const QSize&, double
    314, 0,	//808  void(*)(QtMsgType,const char*)
    121, 124, 0,	//810  QTextStream&, QTextStreamManipulator
    134, 134, 0,	//813  Qt::AlignmentFlag, Qt::AlignmentFlag
    53, 97, 0,	//816  QDataStream&, QLine&
    57, 57, 0,	//819  QDir::Filter, QDir::Filter
    264, 289, 0,	//822  const QPoint&, double
    53, 234, 0,	//825  QDataStream&, const QByteArray&
    164, 164, 0,	//828  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    203, 292, 0,	//831  Qt::WindowState, int
    53, 114, 0,	//834  QDataStream&, QString&
    261, 276, 258, 0,	//837  const QObject*, const QString&, const QMetaObject&
    53, 268, 0,	//841  QDataStream&, const QRectF&
    53, 3, 0,	//844  QDataStream&, QBitArray&
    53, 111, 0,	//847  QDataStream&, QSize&
    172, 172, 0,	//850  Qt::KeyboardModifier, Qt::KeyboardModifier
    227, 4, 0,	//853  bool, QBool
    123, 123, 0,	//856  QTextStream::NumberFlag, QTextStream::NumberFlag
    53, 55, 0,	//859  QDataStream&, QDateTime&
    283, 132, 316, 0,	//862  const QVariant&, QVariant::Type, void*
    279, 276, 0,	//866  const QStringRef&, const QString&
    287, 303, 292, 0,	//869  const unsigned char*, unsigned char*, int
    172, 292, 0,	//873  Qt::KeyboardModifier, int
    53, 247, 0,	//876  QDataStream&, const QDateTime&
    236, 106, 0,	//879  const QDBusArgument&, QPoint&
    207, 286, 0,	//882  QtMsgType, const char*
    61, 69, 0,	//885  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    257, 257, 0,	//888  const QMargins&, const QMargins&
    234, 276, 0,	//891  const QByteArray&, const QString&
    128, 128, 0,	//894  QUrl::FormattingOption, QUrl::FormattingOption
    56, 284, 0,	//897  QDebug, const QVariant::Type
    153, 292, 0,	//900  Qt::DockWidgetArea, int
    53, 125, 0,	//903  QDataStream&, QTime&
    204, 204, 0,	//906  Qt::WindowType, Qt::WindowType
    316, 292, 300, 0,	//909  void*, int, size_t
    56, 247, 0,	//913  QDebug, const QDateTime&
    299, 0,	//916  signed char
    13, 280, 0,	//918  QDBusArgument&, const QTime&
    204, 93, 0,	//921  Qt::WindowType, QFlags<Qt::WindowType>
    203, 203, 0,	//924  Qt::WindowState, Qt::WindowState
    62, 292, 0,	//927  QFile::Permission, int
    53, 118, 0,	//930  QDataStream&, QStringList&
    56, 283, 0,	//933  QDebug, const QVariant&
    105, 0,	//936  QObject*(*)()
    289, 266, 0,	//938  double, const QPointF&
    53, 281, 0,	//941  QDataStream&, const QUrl&
    53, 280, 0,	//944  QDataStream&, const QTime&
    53, 106, 0,	//947  QDataStream&, QPoint&
    13, 267, 0,	//950  QDBusArgument&, const QRect&
    279, 0,	//953  const QStringRef&
    53, 110, 0,	//955  QDataStream&, QRegExp&
    166, 292, 0,	//958  Qt::InputMethodHint, int
    53, 255, 0,	//961  QDataStream&, const QLocale&
    236, 111, 0,	//964  const QDBusArgument&, QSize&
    300, 300, 0,	//967  size_t, size_t
    53, 232, 0,	//970  QDataStream&, const QBitArray&
    276, 234, 0,	//973  const QString&, const QByteArray&
    286, 286, 286, 292, 0,	//976  const char*, const char*, const char*, int
    236, 54, 0,	//981  const QDBusArgument&, QDate&
    128, 77, 0,	//984  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    13, 246, 0,	//987  QDBusArgument&, const QDate&
    61, 61, 0,	//990  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    234, 229, 0,	//993  const QByteArray&, char
    96, 96, 0,	//996  QLibrary::LoadHint, QLibrary::LoadHint
    134, 78, 0,	//999  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    13, 254, 0,	//1002  QDBusArgument&, const QList<QVariant>&
    53, 282, 0,	//1005  QDataStream&, const QUuid&
    94, 71, 0,	//1008  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    53, 252, 0,	//1011  QDataStream&, const QLine&
    56, 239, 0,	//1014  QDebug, const QDBusError&
    160, 292, 0,	//1017  Qt::GestureFlag, int
    279, 286, 0,	//1020  const QStringRef&, const char*
    58, 67, 0,	//1023  QDir::SortFlag, QFlags<QDir::SortFlag>
    53, 246, 0,	//1026  QDataStream&, const QDate&
    229, 234, 0,	//1029  char, const QByteArray&
    276, 286, 0,	//1032  const QString&, const char*
    96, 292, 0,	//1035  QLibrary::LoadHint, int
    287, 292, 292, 0,	//1038  const unsigned char*, int, int
    179, 179, 0,	//1042  Qt::Orientation, Qt::Orientation
    4, 227, 0,	//1045  QBool, bool
    245, 245, 0,	//1048  const QDBusVariant&, const QDBusVariant&
    13, 274, 0,	//1051  QDBusArgument&, const QSizeF&
    53, 277, 0,	//1054  QDataStream&, const QStringList&
    53, 269, 0,	//1057  QDataStream&, const QRegExp&
    58, 292, 0,	//1060  QDir::SortFlag, int
    316, 288, 300, 0,	//1063  void*, const void*, size_t
    316, 0,	//1067  void*
    194, 90, 0,	//1069  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    50, 292, 0,	//1072  QDBusServiceWatcher::WatchModeFlag, int
    56, 262, 0,	//1075  QDebug, const QPersistentModelIndex&
    53, 131, 0,	//1078  QDataStream&, QVariant&
    197, 91, 0,	//1081  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    289, 264, 0,	//1084  double, const QPoint&
    56, 261, 0,	//1087  QDebug, const QObject*
    62, 70, 0,	//1090  QFile::Permission, QFlags<QFile::Permission>
    56, 268, 0,	//1093  QDebug, const QRectF&
    123, 76, 0,	//1096  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    58, 58, 0,	//1099  QDir::SortFlag, QDir::SortFlag
    57, 292, 0,	//1102  QDir::Filter, int
    197, 292, 0,	//1105  Qt::TouchPointState, int
    306, 0,	//1108  unsigned long
    13, 252, 0,	//1110  QDBusArgument&, const QLine&
    1, 63, 0,	//1113  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    177, 87, 0,	//1116  Qt::MouseButton, QFlags<Qt::MouseButton>
    155, 80, 0,	//1119  Qt::DropAction, QFlags<Qt::DropAction>
    300, 0,	//1122  size_t
    179, 292, 0,	//1124  Qt::Orientation, int
    194, 292, 0,	//1127  Qt::ToolBarArea, int
    53, 6, 0,	//1130  QDataStream&, QByteArray&
    53, 133, 0,	//1133  QDataStream&, QVariant::Type&
    53, 267, 0,	//1136  QDataStream&, const QRect&
    56, 249, 0,	//1139  QDebug, const QEasingCurve&
    262, 0,	//1142  const QPersistentModelIndex&
    102, 292, 0,	//1144  QLocale::NumberOption, int
    56, 280, 0,	//1147  QDebug, const QTime&
    197, 197, 0,	//1150  Qt::TouchPointState, Qt::TouchPointState
    164, 82, 0,	//1153  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    203, 92, 0,	//1156  Qt::WindowState, QFlags<Qt::WindowState>
    153, 153, 0,	//1159  Qt::DockWidgetArea, Qt::DockWidgetArea
    59, 292, 0,	//1162  QDirIterator::IteratorFlag, int
    289, 274, 0,	//1165  double, const QSizeF&
    56, 257, 0,	//1168  QDebug, const QMargins&
    260, 0,	//1171  const QModelIndex&
    128, 292, 0,	//1173  QUrl::FormattingOption, int
    175, 175, 0,	//1176  Qt::MatchFlag, Qt::MatchFlag
    166, 166, 0,	//1179  Qt::InputMethodHint, Qt::InputMethodHint
    179, 88, 0,	//1182  Qt::Orientation, QFlags<Qt::Orientation>
    56, 66, 0,	//1185  QDebug, QFlags<QDir::Filter>
    169, 292, 0,	//1188  Qt::ItemFlag, int
    177, 292, 0,	//1191  Qt::MouseButton, int
    53, 112, 0,	//1194  QDataStream&, QSizeF&
    94, 292, 0,	//1197  QIODevice::OpenModeFlag, int
    116, 292, 0,	//1200  QString::SectionFlag, int
    229, 276, 0,	//1203  char, const QString&
    53, 272, 0,	//1206  QDataStream&, const QSize&
    57, 66, 0,	//1209  QDir::Filter, QFlags<QDir::Filter>
    116, 116, 0,	//1212  QString::SectionFlag, QString::SectionFlag
    60, 0,	//1215  QEvent*
    104, 60, 0,	//1217  QObject*, QEvent*
    126, 0,	//1220  QTimerEvent*
    9, 0,	//1222  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccessDenied",	//1
    "ActivationBus",	//2
    "AddressInUse",	//3
    "AllowReplacement",	//4
    "ArrayType",	//5
    "AutoDetect",	//6
    "BadAddress",	//7
    "BasicType",	//8
    "Block",	//9
    "BlockWithGui",	//10
    "Disconnected",	//11
    "DontAllowReplacement",	//12
    "DontQueueService",	//13
    "ErrorMessage",	//14
    "ExportAdaptors",	//15
    "ExportAllContents",	//16
    "ExportAllProperties",	//17
    "ExportAllSignal",	//18
    "ExportAllSignals",	//19
    "ExportAllSlots",	//20
    "ExportChildObjects",	//21
    "ExportNonScriptableContents",	//22
    "ExportNonScriptableProperties",	//23
    "ExportNonScriptableSignals",	//24
    "ExportNonScriptableSlots",	//25
    "ExportScriptableContents",	//26
    "ExportScriptableProperties",	//27
    "ExportScriptableSignals",	//28
    "ExportScriptableSlots",	//29
    "Failed",	//30
    "InternalError",	//31
    "InvalidArgs",	//32
    "InvalidInterface",	//33
    "InvalidMember",	//34
    "InvalidMessage",	//35
    "InvalidObjectPath",	//36
    "InvalidService",	//37
    "InvalidSignature",	//38
    "LastErrorType",	//39
    "LicensedActiveQt",	//40
    "LicensedCore",	//41
    "LicensedDBus",	//42
    "LicensedDeclarative",	//43
    "LicensedGui",	//44
    "LicensedHelp",	//45
    "LicensedMultimedia",	//46
    "LicensedNetwork",	//47
    "LicensedOpenGL",	//48
    "LicensedOpenVG",	//49
    "LicensedQt3Support",	//50
    "LicensedQt3SupportLight",	//51
    "LicensedScript",	//52
    "LicensedScriptTools",	//53
    "LicensedSql",	//54
    "LicensedSvg",	//55
    "LicensedTest",	//56
    "LicensedXml",	//57
    "LicensedXmlPatterns",	//58
    "LimitsExceeded",	//59
    "MapEntryType",	//60
    "MapType",	//61
    "MethodCallMessage",	//62
    "NameAcquired",	//63
    "NameAcquired$",	//64
    "NameLost",	//65
    "NameLost$",	//66
    "NameOwnerChanged",	//67
    "NameOwnerChanged$$$",	//68
    "NoBlock",	//69
    "NoError",	//70
    "NoMemory",	//71
    "NoNetwork",	//72
    "NoReply",	//73
    "NoServer",	//74
    "NotSupported",	//75
    "Other",	//76
    "QDBusAbstractAdaptor",	//77
    "QDBusAbstractAdaptor#",	//78
    "QDBusAbstractInterface",	//79
    "QDBusAbstractInterface$$$##",	//80
    "QDBusArgument",	//81
    "QDBusArgument#",	//82
    "QDBusConnection",	//83
    "QDBusConnection#",	//84
    "QDBusConnection$",	//85
    "QDBusContext",	//86
    "QDBusContext#",	//87
    "QDBusError",	//88
    "QDBusError#",	//89
    "QDBusError$$",	//90
    "QDBusInterface",	//91
    "QDBusInterface$$",	//92
    "QDBusInterface$$$",	//93
    "QDBusInterface$$$#",	//94
    "QDBusInterface$$$##",	//95
    "QDBusMessage",	//96
    "QDBusMessage#",	//97
    "QDBusMetaType",	//98
    "QDBusMetaType#",	//99
    "QDBusPendingCall",	//100
    "QDBusPendingCall#",	//101
    "QDBusPendingCallWatcher",	//102
    "QDBusPendingCallWatcher#",	//103
    "QDBusPendingCallWatcher##",	//104
    "QDBusServer",	//105
    "QDBusServer$",	//106
    "QDBusServer$#",	//107
    "QDBusServiceWatcher",	//108
    "QDBusServiceWatcher#",	//109
    "QDBusServiceWatcher$#",	//110
    "QDBusServiceWatcher$#$",	//111
    "QDBusServiceWatcher$#$#",	//112
    "Q_COMPLEX_TYPE",	//113
    "Q_DUMMY_TYPE",	//114
    "Q_MOVABLE_TYPE",	//115
    "Q_PRIMITIVE_TYPE",	//116
    "Q_STATIC_TYPE",	//117
    "QtCriticalMsg",	//118
    "QtDebugMsg",	//119
    "QtFatalMsg",	//120
    "QtSystemMsg",	//121
    "QtWarningMsg",	//122
    "QueueService",	//123
    "ReplaceExistingService",	//124
    "ReplyMessage",	//125
    "ServiceNotRegistered",	//126
    "ServiceQueued",	//127
    "ServiceRegistered",	//128
    "ServiceUnknown",	//129
    "SessionBus",	//130
    "SignalMessage",	//131
    "StructureType",	//132
    "SystemBus",	//133
    "TimedOut",	//134
    "Timeout",	//135
    "UnknownInterface",	//136
    "UnknownMethod",	//137
    "UnknownObject",	//138
    "UnknownType",	//139
    "UnregisterNode",	//140
    "UnregisterTree",	//141
    "VariantType",	//142
    "WatchForOwnerChange",	//143
    "WatchForRegistration",	//144
    "WatchForUnregistration",	//145
    "addWatchedService",	//146
    "addWatchedService$",	//147
    "address",	//148
    "appendVariant",	//149
    "appendVariant#",	//150
    "arguments",	//151
    "asVariant",	//152
    "asyncCall",	//153
    "asyncCall#",	//154
    "asyncCall#$",	//155
    "asyncCall$",	//156
    "asyncCall$#",	//157
    "asyncCall$##",	//158
    "asyncCall$###",	//159
    "asyncCall$####",	//160
    "asyncCall$#####",	//161
    "asyncCall$######",	//162
    "asyncCall$#######",	//163
    "asyncCall$########",	//164
    "asyncCallWithArgumentList",	//165
    "asyncCallWithArgumentList$?",	//166
    "atEnd",	//167
    "autoRelaySignals",	//168
    "baseService",	//169
    "beginArray",	//170
    "beginArray$",	//171
    "beginMap",	//172
    "beginMap$$",	//173
    "beginMapEntry",	//174
    "beginStructure",	//175
    "call",	//176
    "call#",	//177
    "call#$",	//178
    "call#$$",	//179
    "call$",	//180
    "call$#",	//181
    "call$##",	//182
    "call$###",	//183
    "call$####",	//184
    "call$#####",	//185
    "call$######",	//186
    "call$#######",	//187
    "call$########",	//188
    "call$$",	//189
    "call$$#",	//190
    "call$$##",	//191
    "call$$###",	//192
    "call$$####",	//193
    "call$$#####",	//194
    "call$$######",	//195
    "call$$#######",	//196
    "call$$########",	//197
    "callWithArgumentList",	//198
    "callWithArgumentList$$?",	//199
    "callWithCallback",	//200
    "callWithCallback##$",	//201
    "callWithCallback##$$",	//202
    "callWithCallback##$$$",	//203
    "callWithCallback$?#$",	//204
    "callWithCallback$?#$$",	//205
    "callWithCallbackFailed",	//206
    "callWithCallbackFailed##",	//207
    "calledFromDBus",	//208
    "childEvent",	//209
    "connect",	//210
    "connect$$$$#$",	//211
    "connect$$$$$#$",	//212
    "connect$$$$?$#$",	//213
    "connectNotify",	//214
    "connectNotify$",	//215
    "connectToBus",	//216
    "connectToBus$$",	//217
    "connection",	//218
    "createError",	//219
    "createError#",	//220
    "createError$$",	//221
    "createErrorReply",	//222
    "createErrorReply#",	//223
    "createErrorReply$$",	//224
    "createMethodCall",	//225
    "createMethodCall$$$$",	//226
    "createReply",	//227
    "createReply#",	//228
    "createReply?",	//229
    "createSignal",	//230
    "createSignal$$$",	//231
    "currentSignature",	//232
    "currentType",	//233
    "customEvent",	//234
    "demarshall",	//235
    "demarshall#$$",	//236
    "disconnect",	//237
    "disconnect$$$$#$",	//238
    "disconnect$$$$$#$",	//239
    "disconnect$$$$?$#$",	//240
    "disconnectFromBus",	//241
    "disconnectFromBus$",	//242
    "disconnectNotify",	//243
    "disconnectNotify$",	//244
    "endArray",	//245
    "endMap",	//246
    "endMapEntry",	//247
    "endStructure",	//248
    "error",	//249
    "errorMessage",	//250
    "errorName",	//251
    "errorString",	//252
    "errorString$",	//253
    "event",	//254
    "eventFilter",	//255
    "finished",	//256
    "finished#",	//257
    "fromCompletedCall",	//258
    "fromCompletedCall#",	//259
    "fromError",	//260
    "fromError#",	//261
    "interface",	//262
    "internalConstCall",	//263
    "internalConstCall$$",	//264
    "internalConstCall$$?",	//265
    "internalPropGet",	//266
    "internalPropGet$",	//267
    "internalPropSet",	//268
    "internalPropSet$#",	//269
    "isConnected",	//270
    "isDelayedReply",	//271
    "isError",	//272
    "isFinished",	//273
    "isReplyRequired",	//274
    "isServiceRegistered",	//275
    "isServiceRegistered$",	//276
    "isValid",	//277
    "lastError",	//278
    "marshall",	//279
    "marshall#$$",	//280
    "member",	//281
    "message",	//282
    "metaObject",	//283
    "name",	//284
    "newConnection",	//285
    "newConnection#",	//286
    "objectRegisteredAt",	//287
    "objectRegisteredAt$",	//288
    "operator!=",	//289
    "operator!=##",	//290
    "operator!=#$",	//291
    "operator!=$#",	//292
    "operator!=$$",	//293
    "operator&",	//294
    "operator&##",	//295
    "operator*",	//296
    "operator*#$",	//297
    "operator*$#",	//298
    "operator+",	//299
    "operator+##",	//300
    "operator+#$",	//301
    "operator+$#",	//302
    "operator+$$",	//303
    "operator-",	//304
    "operator-#",	//305
    "operator-##",	//306
    "operator/",	//307
    "operator/#$",	//308
    "operator<",	//309
    "operator<##",	//310
    "operator<#$",	//311
    "operator<$#",	//312
    "operator<$$",	//313
    "operator<<",	//314
    "operator<<#",	//315
    "operator<<##",	//316
    "operator<<#$",	//317
    "operator<<#?",	//318
    "operator<<$",	//319
    "operator<<?",	//320
    "operator<=",	//321
    "operator<=##",	//322
    "operator<=#$",	//323
    "operator<=$#",	//324
    "operator<=$$",	//325
    "operator=",	//326
    "operator=#",	//327
    "operator==",	//328
    "operator==##",	//329
    "operator==#$",	//330
    "operator==$#",	//331
    "operator==$$",	//332
    "operator>",	//333
    "operator>##",	//334
    "operator>#$",	//335
    "operator>$#",	//336
    "operator>$$",	//337
    "operator>=",	//338
    "operator>=##",	//339
    "operator>=#$",	//340
    "operator>=$#",	//341
    "operator>=$$",	//342
    "operator>>",	//343
    "operator>>#",	//344
    "operator>>##",	//345
    "operator>>#$",	//346
    "operator>>#?",	//347
    "operator>>$",	//348
    "operator>>?",	//349
    "operator^",	//350
    "operator^##",	//351
    "operator|",	//352
    "operator|##",	//353
    "operator|$$",	//354
    "path",	//355
    "qAcos",	//356
    "qAcos$",	//357
    "qAddPostRoutine",	//358
    "qAddPostRoutine$",	//359
    "qAppName",	//360
    "qAsin",	//361
    "qAsin$",	//362
    "qAtan",	//363
    "qAtan$",	//364
    "qAtan2",	//365
    "qAtan2$$",	//366
    "qBadAlloc",	//367
    "qCeil",	//368
    "qCeil$",	//369
    "qChecksum",	//370
    "qChecksum$$",	//371
    "qCompress",	//372
    "qCompress#",	//373
    "qCompress#$",	//374
    "qCompress$$",	//375
    "qCompress$$$",	//376
    "qCos",	//377
    "qCos$",	//378
    "qCritical",	//379
    "qDBusReplyFill",	//380
    "qDBusReplyFill###",	//381
    "qDebug",	//382
    "qExp",	//383
    "qExp$",	//384
    "qFabs",	//385
    "qFabs$",	//386
    "qFastCos",	//387
    "qFastCos$",	//388
    "qFastSin",	//389
    "qFastSin$",	//390
    "qFlagLocation",	//391
    "qFlagLocation$",	//392
    "qFloor",	//393
    "qFloor$",	//394
    "qFree",	//395
    "qFree$",	//396
    "qFreeAligned",	//397
    "qFreeAligned$",	//398
    "qFuzzyCompare",	//399
    "qFuzzyCompare$$",	//400
    "qFuzzyIsNull",	//401
    "qFuzzyIsNull$",	//402
    "qHash",	//403
    "qHash#",	//404
    "qHash$",	//405
    "qHash?",	//406
    "qInf",	//407
    "qInstallMsgHandler",	//408
    "qInstallMsgHandler$",	//409
    "qIntCast",	//410
    "qIntCast$",	//411
    "qIsFinite",	//412
    "qIsFinite$",	//413
    "qIsInf",	//414
    "qIsInf$",	//415
    "qIsNaN",	//416
    "qIsNaN$",	//417
    "qIsNull",	//418
    "qIsNull$",	//419
    "qLn",	//420
    "qLn$",	//421
    "qMalloc",	//422
    "qMalloc?",	//423
    "qMallocAligned",	//424
    "qMallocAligned??",	//425
    "qMemCopy",	//426
    "qMemCopy$$?",	//427
    "qMemSet",	//428
    "qMemSet$$?",	//429
    "qPow",	//430
    "qPow$$",	//431
    "qQNaN",	//432
    "qRealloc",	//433
    "qRealloc$?",	//434
    "qReallocAligned",	//435
    "qReallocAligned$???",	//436
    "qRegisterStaticPluginInstanceFunction",	//437
    "qRegisterStaticPluginInstanceFunction#",	//438
    "qRemovePostRoutine",	//439
    "qRemovePostRoutine$",	//440
    "qRound",	//441
    "qRound$",	//442
    "qRound64",	//443
    "qRound64$",	//444
    "qSNaN",	//445
    "qSetFieldWidth",	//446
    "qSetFieldWidth$",	//447
    "qSetPadChar",	//448
    "qSetPadChar#",	//449
    "qSetRealNumberPrecision",	//450
    "qSetRealNumberPrecision$",	//451
    "qSharedBuild",	//452
    "qSin",	//453
    "qSin$",	//454
    "qSqrt",	//455
    "qSqrt$",	//456
    "qStringComparisonHelper",	//457
    "qStringComparisonHelper#$",	//458
    "qStringComparisonHelper$$",	//459
    "qTan",	//460
    "qTan$",	//461
    "qUncompress",	//462
    "qUncompress#",	//463
    "qUncompress$$",	//464
    "qVersion",	//465
    "qWarning",	//466
    "qbswap_helper",	//467
    "qbswap_helper$$$",	//468
    "qgetenv",	//469
    "qgetenv$",	//470
    "qputenv",	//471
    "qputenv$#",	//472
    "qrand",	//473
    "qsrand",	//474
    "qsrand$",	//475
    "qstrcmp",	//476
    "qstrcmp##",	//477
    "qstrcmp#$",	//478
    "qstrcmp$#",	//479
    "qstrcmp$$",	//480
    "qstrcpy",	//481
    "qstrcpy$$",	//482
    "qstrdup",	//483
    "qstrdup$",	//484
    "qstricmp",	//485
    "qstricmp$$",	//486
    "qstrlen",	//487
    "qstrlen$",	//488
    "qstrncmp",	//489
    "qstrncmp$$$",	//490
    "qstrncpy",	//491
    "qstrncpy$$$",	//492
    "qstrnicmp",	//493
    "qstrnicmp$$$",	//494
    "qstrnlen",	//495
    "qstrnlen$$",	//496
    "qtTrId",	//497
    "qtTrId$",	//498
    "qtTrId$$",	//499
    "qt_assert",	//500
    "qt_assert$$$",	//501
    "qt_assert_x",	//502
    "qt_assert_x$$$$",	//503
    "qt_check_pointer",	//504
    "qt_check_pointer$$",	//505
    "qt_error_string",	//506
    "qt_error_string$",	//507
    "qt_message_output",	//508
    "qt_message_output$$",	//509
    "qt_metacall",	//510
    "qt_metacall$$?",	//511
    "qt_metacast",	//512
    "qt_metacast$",	//513
    "qt_noop",	//514
    "qt_qFindChild_helper",	//515
    "qt_qFindChild_helper#$#",	//516
    "qt_qFindChildren_helper",	//517
    "qt_qFindChildren_helper#$##?",	//518
    "qvariant_cast_helper",	//519
    "qvariant_cast_helper#$$",	//520
    "qvsnprintf",	//521
    "qvsnprintf$?$?",	//522
    "registerMarshallOperators",	//523
    "registerMarshallOperators$$$",	//524
    "registerObject",	//525
    "registerObject$#",	//526
    "registerObject$#$",	//527
    "registerService",	//528
    "registerService$",	//529
    "registerService$$",	//530
    "registerService$$$",	//531
    "registeredServiceNames",	//532
    "removeWatchedService",	//533
    "removeWatchedService$",	//534
    "reply",	//535
    "send",	//536
    "send#",	//537
    "sendErrorReply",	//538
    "sendErrorReply$",	//539
    "sendErrorReply$$",	//540
    "sender",	//541
    "service",	//542
    "serviceOwner",	//543
    "serviceOwner$",	//544
    "serviceOwnerChanged",	//545
    "serviceOwnerChanged$$$",	//546
    "servicePid",	//547
    "servicePid$",	//548
    "serviceRegistered",	//549
    "serviceRegistered$",	//550
    "serviceUid",	//551
    "serviceUid$",	//552
    "serviceUnregistered",	//553
    "serviceUnregistered$",	//554
    "sessionBus",	//555
    "setArguments",	//556
    "setArguments?",	//557
    "setAutoRelaySignals",	//558
    "setAutoRelaySignals$",	//559
    "setConnection",	//560
    "setConnection#",	//561
    "setDelayedReply",	//562
    "setDelayedReply$",	//563
    "setWatchMode",	//564
    "setWatchMode$",	//565
    "setWatchedServices",	//566
    "setWatchedServices?",	//567
    "signature",	//568
    "signatureToType",	//569
    "signatureToType$",	//570
    "startService",	//571
    "startService$",	//572
    "staticMetaObject",	//573
    "systemBus",	//574
    "timerEvent",	//575
    "tr",	//576
    "tr$",	//577
    "tr$$",	//578
    "tr$$$",	//579
    "trUtf8",	//580
    "trUtf8$",	//581
    "trUtf8$$",	//582
    "trUtf8$$$",	//583
    "type",	//584
    "typeToSignature",	//585
    "typeToSignature$",	//586
    "unregisterObject",	//587
    "unregisterObject$",	//588
    "unregisterObject$$",	//589
    "unregisterService",	//590
    "unregisterService$",	//591
    "waitForFinished",	//592
    "watchMode",	//593
    "watchedServices",	//594
    "~QDBusAbstractAdaptor",	//595
    "~QDBusAbstractInterface",	//596
    "~QDBusAbstractInterfaceBase",	//597
    "~QDBusArgument",	//598
    "~QDBusConnection",	//599
    "~QDBusContext",	//600
    "~QDBusError",	//601
    "~QDBusInterface",	//602
    "~QDBusMessage",	//603
    "~QDBusMetaType",	//604
    "~QDBusPendingCall",	//605
    "~QDBusPendingCallWatcher",	//606
    "~QDBusServer",	//607
    "~QDBusServiceWatcher",	//608
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {7, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 1},	//1 QDBus::NoBlock (enum)
    {7, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 2},	//2 QDBus::Block (enum)
    {7, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 3},	//3 QDBus::BlockWithGui (enum)
    {7, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 4},	//4 QDBus::AutoDetect (enum)
    {8, 283, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 259, 1},	//5 QDBusAbstractAdaptor::metaObject() const
    {8, 512, 1, 1, Smoke::mf_virtual, 316, 2},	//6 QDBusAbstractAdaptor::qt_metacast(const char*)
    {8, 576, 3, 2, Smoke::mf_static, 113, 3},	//7 QDBusAbstractAdaptor::tr(const char*, const char*)
    {8, 580, 3, 2, Smoke::mf_static, 113, 4},	//8 QDBusAbstractAdaptor::trUtf8(const char*, const char*)
    {8, 576, 6, 3, Smoke::mf_static, 113, 5},	//9 QDBusAbstractAdaptor::tr(const char*, const char*, int)
    {8, 580, 6, 3, Smoke::mf_static, 113, 6},	//10 QDBusAbstractAdaptor::trUtf8(const char*, const char*, int)
    {8, 510, 10, 3, Smoke::mf_virtual, 292, 7},	//11 QDBusAbstractAdaptor::qt_metacall(QMetaObject::Call, int, void**)
    {8, 77, 14, 1, Smoke::mf_ctor|Smoke::mf_protected, 11, 8},	//12 QDBusAbstractAdaptor::QDBusAbstractAdaptor(QObject*)
    {8, 558, 16, 1, Smoke::mf_protected, 0, 9},	//13 QDBusAbstractAdaptor::setAutoRelaySignals(bool)
    {8, 168, 0, 0, Smoke::mf_const|Smoke::mf_protected, 227, 10},	//14 QDBusAbstractAdaptor::autoRelaySignals() const
    {8, 576, 1, 1, Smoke::mf_static, 113, 11},	//15 QDBusAbstractAdaptor::tr(const char*)
    {8, 580, 1, 1, Smoke::mf_static, 113, 12},	//16 QDBusAbstractAdaptor::trUtf8(const char*)
    {8, 573, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 258, 13},	//17 QDBusAbstractAdaptor::staticMetaObject() const
    {8, 595, 0, 0, Smoke::mf_dtor, 0, 14 },	//18 QDBusAbstractAdaptor::~QDBusAbstractAdaptor()
    {9, 283, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 259, 1},	//19 QDBusAbstractInterface::metaObject() const
    {9, 512, 1, 1, Smoke::mf_virtual, 316, 2},	//20 QDBusAbstractInterface::qt_metacast(const char*)
    {9, 576, 3, 2, Smoke::mf_static, 113, 3},	//21 QDBusAbstractInterface::tr(const char*, const char*)
    {9, 580, 3, 2, Smoke::mf_static, 113, 4},	//22 QDBusAbstractInterface::trUtf8(const char*, const char*)
    {9, 576, 6, 3, Smoke::mf_static, 113, 5},	//23 QDBusAbstractInterface::tr(const char*, const char*, int)
    {9, 580, 6, 3, Smoke::mf_static, 113, 6},	//24 QDBusAbstractInterface::trUtf8(const char*, const char*, int)
    {9, 510, 10, 3, Smoke::mf_virtual, 292, 7},	//25 QDBusAbstractInterface::qt_metacall(QMetaObject::Call, int, void**)
    {9, 277, 0, 0, Smoke::mf_const, 227, 8},	//26 QDBusAbstractInterface::isValid() const
    {9, 218, 0, 0, Smoke::mf_const, 16, 9},	//27 QDBusAbstractInterface::connection() const
    {9, 542, 0, 0, Smoke::mf_const, 113, 10},	//28 QDBusAbstractInterface::service() const
    {9, 355, 0, 0, Smoke::mf_const, 113, 11},	//29 QDBusAbstractInterface::path() const
    {9, 262, 0, 0, Smoke::mf_const, 113, 12},	//30 QDBusAbstractInterface::interface() const
    {9, 278, 0, 0, Smoke::mf_const, 27, 13},	//31 QDBusAbstractInterface::lastError() const
    {9, 176, 18, 9, 0, 32, 14},	//32 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 176, 28, 10, 0, 32, 15},	//33 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 198, 39, 3, 0, 32, 16},	//34 QDBusAbstractInterface::callWithArgumentList(QDBus::CallMode, const QString&, const QList<QVariant>&)
    {9, 200, 43, 5, 0, 227, 17},	//35 QDBusAbstractInterface::callWithCallback(const QString&, const QList<QVariant>&, QObject*, const char*, const char*)
    {9, 200, 49, 4, 0, 227, 18},	//36 QDBusAbstractInterface::callWithCallback(const QString&, const QList<QVariant>&, QObject*, const char*)
    {9, 153, 18, 9, 0, 38, 19},	//37 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 165, 54, 2, 0, 38, 20},	//38 QDBusAbstractInterface::asyncCallWithArgumentList(const QString&, const QList<QVariant>&)
    {9, 79, 57, 5, Smoke::mf_ctor|Smoke::mf_protected, 12, 21},	//39 QDBusAbstractInterface::QDBusAbstractInterface(const QString&, const QString&, const char*, const QDBusConnection&, QObject*)
    {9, 214, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//40 QDBusAbstractInterface::connectNotify(const char*)
    {9, 243, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//41 QDBusAbstractInterface::disconnectNotify(const char*)
    {9, 266, 1, 1, Smoke::mf_const|Smoke::mf_protected, 130, 24},	//42 QDBusAbstractInterface::internalPropGet(const char*) const
    {9, 268, 63, 2, Smoke::mf_protected, 0, 25},	//43 QDBusAbstractInterface::internalPropSet(const char*, const QVariant&)
    {9, 263, 39, 3, Smoke::mf_const|Smoke::mf_protected, 32, 26},	//44 QDBusAbstractInterface::internalConstCall(QDBus::CallMode, const QString&, const QList<QVariant>&) const
    {9, 576, 1, 1, Smoke::mf_static, 113, 27},	//45 QDBusAbstractInterface::tr(const char*)
    {9, 580, 1, 1, Smoke::mf_static, 113, 28},	//46 QDBusAbstractInterface::trUtf8(const char*)
    {9, 176, 66, 1, 0, 32, 29},	//47 QDBusAbstractInterface::call(const QString&)
    {9, 176, 68, 2, 0, 32, 30},	//48 QDBusAbstractInterface::call(const QString&, const QVariant&)
    {9, 176, 71, 3, 0, 32, 31},	//49 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&)
    {9, 176, 75, 4, 0, 32, 32},	//50 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 176, 80, 5, 0, 32, 33},	//51 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 176, 86, 6, 0, 32, 34},	//52 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 176, 93, 7, 0, 32, 35},	//53 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 176, 101, 8, 0, 32, 36},	//54 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 176, 110, 2, 0, 32, 37},	//55 QDBusAbstractInterface::call(QDBus::CallMode, const QString&)
    {9, 176, 113, 3, 0, 32, 38},	//56 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&)
    {9, 176, 117, 4, 0, 32, 39},	//57 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&)
    {9, 176, 122, 5, 0, 32, 40},	//58 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 176, 128, 6, 0, 32, 41},	//59 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 176, 135, 7, 0, 32, 42},	//60 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 176, 143, 8, 0, 32, 43},	//61 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 176, 152, 9, 0, 32, 44},	//62 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 153, 66, 1, 0, 38, 45},	//63 QDBusAbstractInterface::asyncCall(const QString&)
    {9, 153, 68, 2, 0, 38, 46},	//64 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&)
    {9, 153, 71, 3, 0, 38, 47},	//65 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&)
    {9, 153, 75, 4, 0, 38, 48},	//66 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 153, 80, 5, 0, 38, 49},	//67 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 153, 86, 6, 0, 38, 50},	//68 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 153, 93, 7, 0, 38, 51},	//69 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 153, 101, 8, 0, 38, 52},	//70 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 263, 110, 2, Smoke::mf_const|Smoke::mf_protected, 32, 53},	//71 QDBusAbstractInterface::internalConstCall(QDBus::CallMode, const QString&) const
    {9, 573, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 258, 54},	//72 QDBusAbstractInterface::staticMetaObject() const
    {9, 596, 0, 0, Smoke::mf_dtor, 0, 55 },	//73 QDBusAbstractInterface::~QDBusAbstractInterface()
    {10, 510, 10, 3, Smoke::mf_virtual, 292, 1},	//74 QDBusAbstractInterfaceBase::qt_metacall(QMetaObject::Call, int, void**)
    {10, 597, 0, 0, Smoke::mf_dtor, 0, 2 },	//75 QDBusAbstractInterfaceBase::~QDBusAbstractInterfaceBase()
    {11, 81, 0, 0, Smoke::mf_ctor, 14, 1},	//76 QDBusArgument::QDBusArgument()
    {11, 81, 162, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 14, 2},	//77 QDBusArgument::QDBusArgument(const QDBusArgument&)
    {11, 326, 162, 1, 0, 13, 3},	//78 QDBusArgument::operator=(const QDBusArgument&)
    {11, 314, 164, 1, 0, 13, 4},	//79 QDBusArgument::operator<<(unsigned char)
    {11, 314, 16, 1, 0, 13, 5},	//80 QDBusArgument::operator<<(bool)
    {11, 314, 166, 1, 0, 13, 6},	//81 QDBusArgument::operator<<(short)
    {11, 314, 168, 1, 0, 13, 7},	//82 QDBusArgument::operator<<(unsigned short)
    {11, 314, 170, 1, 0, 13, 8},	//83 QDBusArgument::operator<<(int)
    {11, 314, 172, 1, 0, 13, 9},	//84 QDBusArgument::operator<<(unsigned int)
    {11, 314, 174, 1, 0, 13, 10},	//85 QDBusArgument::operator<<(long long)
    {11, 314, 176, 1, 0, 13, 11},	//86 QDBusArgument::operator<<(unsigned long long)
    {11, 314, 178, 1, 0, 13, 12},	//87 QDBusArgument::operator<<(double)
    {11, 314, 66, 1, 0, 13, 13},	//88 QDBusArgument::operator<<(const QString&)
    {11, 314, 180, 1, 0, 13, 14},	//89 QDBusArgument::operator<<(const QDBusVariant&)
    {11, 314, 182, 1, 0, 13, 15},	//90 QDBusArgument::operator<<(const QDBusObjectPath&)
    {11, 314, 184, 1, 0, 13, 16},	//91 QDBusArgument::operator<<(const QDBusSignature&)
    {11, 314, 186, 1, 0, 13, 17},	//92 QDBusArgument::operator<<(const QStringList&)
    {11, 314, 188, 1, 0, 13, 18},	//93 QDBusArgument::operator<<(const QByteArray&)
    {11, 175, 0, 0, 0, 0, 19},	//94 QDBusArgument::beginStructure()
    {11, 248, 0, 0, 0, 0, 20},	//95 QDBusArgument::endStructure()
    {11, 170, 170, 1, 0, 0, 21},	//96 QDBusArgument::beginArray(int)
    {11, 245, 0, 0, 0, 0, 22},	//97 QDBusArgument::endArray()
    {11, 172, 190, 2, 0, 0, 23},	//98 QDBusArgument::beginMap(int, int)
    {11, 246, 0, 0, 0, 0, 24},	//99 QDBusArgument::endMap()
    {11, 174, 0, 0, 0, 0, 25},	//100 QDBusArgument::beginMapEntry()
    {11, 247, 0, 0, 0, 0, 26},	//101 QDBusArgument::endMapEntry()
    {11, 149, 193, 1, 0, 0, 27},	//102 QDBusArgument::appendVariant(const QVariant&)
    {11, 232, 0, 0, Smoke::mf_const, 113, 28},	//103 QDBusArgument::currentSignature() const
    {11, 233, 0, 0, Smoke::mf_const, 15, 29},	//104 QDBusArgument::currentType() const
    {11, 343, 195, 1, Smoke::mf_const, 236, 30},	//105 QDBusArgument::operator>>(unsigned char&) const
    {11, 343, 197, 1, Smoke::mf_const, 236, 31},	//106 QDBusArgument::operator>>(bool&) const
    {11, 343, 199, 1, Smoke::mf_const, 236, 32},	//107 QDBusArgument::operator>>(short&) const
    {11, 343, 201, 1, Smoke::mf_const, 236, 33},	//108 QDBusArgument::operator>>(unsigned short&) const
    {11, 343, 203, 1, Smoke::mf_const, 236, 34},	//109 QDBusArgument::operator>>(int&) const
    {11, 343, 205, 1, Smoke::mf_const, 236, 35},	//110 QDBusArgument::operator>>(unsigned int&) const
    {11, 343, 207, 1, Smoke::mf_const, 236, 36},	//111 QDBusArgument::operator>>(long long&) const
    {11, 343, 209, 1, Smoke::mf_const, 236, 37},	//112 QDBusArgument::operator>>(unsigned long long&) const
    {11, 343, 211, 1, Smoke::mf_const, 236, 38},	//113 QDBusArgument::operator>>(double&) const
    {11, 343, 213, 1, Smoke::mf_const, 236, 39},	//114 QDBusArgument::operator>>(QString&) const
    {11, 343, 215, 1, Smoke::mf_const, 236, 40},	//115 QDBusArgument::operator>>(QDBusVariant&) const
    {11, 343, 217, 1, Smoke::mf_const, 236, 41},	//116 QDBusArgument::operator>>(QDBusObjectPath&) const
    {11, 343, 219, 1, Smoke::mf_const, 236, 42},	//117 QDBusArgument::operator>>(QDBusSignature&) const
    {11, 343, 221, 1, Smoke::mf_const, 236, 43},	//118 QDBusArgument::operator>>(QStringList&) const
    {11, 343, 223, 1, Smoke::mf_const, 236, 44},	//119 QDBusArgument::operator>>(QByteArray&) const
    {11, 175, 0, 0, Smoke::mf_const, 0, 45},	//120 QDBusArgument::beginStructure() const
    {11, 248, 0, 0, Smoke::mf_const, 0, 46},	//121 QDBusArgument::endStructure() const
    {11, 170, 0, 0, Smoke::mf_const, 0, 47},	//122 QDBusArgument::beginArray() const
    {11, 245, 0, 0, Smoke::mf_const, 0, 48},	//123 QDBusArgument::endArray() const
    {11, 172, 0, 0, Smoke::mf_const, 0, 49},	//124 QDBusArgument::beginMap() const
    {11, 246, 0, 0, Smoke::mf_const, 0, 50},	//125 QDBusArgument::endMap() const
    {11, 174, 0, 0, Smoke::mf_const, 0, 51},	//126 QDBusArgument::beginMapEntry() const
    {11, 247, 0, 0, Smoke::mf_const, 0, 52},	//127 QDBusArgument::endMapEntry() const
    {11, 167, 0, 0, Smoke::mf_const, 227, 53},	//128 QDBusArgument::atEnd() const
    {11, 152, 0, 0, Smoke::mf_const, 130, 54},	//129 QDBusArgument::asVariant() const
    {11, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 55},	//130 QDBusArgument::BasicType (enum)
    {11, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 56},	//131 QDBusArgument::VariantType (enum)
    {11, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 57},	//132 QDBusArgument::ArrayType (enum)
    {11, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 58},	//133 QDBusArgument::StructureType (enum)
    {11, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 59},	//134 QDBusArgument::MapType (enum)
    {11, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 60},	//135 QDBusArgument::MapEntryType (enum)
    {11, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 61},	//136 QDBusArgument::UnknownType (enum)
    {11, 598, 0, 0, Smoke::mf_dtor, 0, 62 },	//137 QDBusArgument::~QDBusArgument()
    {12, 83, 66, 1, Smoke::mf_ctor, 18, 1},	//138 QDBusConnection::QDBusConnection(const QString&)
    {12, 83, 225, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 2},	//139 QDBusConnection::QDBusConnection(const QDBusConnection&)
    {12, 326, 225, 1, 0, 17, 3},	//140 QDBusConnection::operator=(const QDBusConnection&)
    {12, 270, 0, 0, Smoke::mf_const, 227, 4},	//141 QDBusConnection::isConnected() const
    {12, 169, 0, 0, Smoke::mf_const, 113, 5},	//142 QDBusConnection::baseService() const
    {12, 278, 0, 0, Smoke::mf_const, 27, 6},	//143 QDBusConnection::lastError() const
    {12, 284, 0, 0, Smoke::mf_const, 113, 7},	//144 QDBusConnection::name() const
    {12, 536, 227, 1, Smoke::mf_const, 227, 8},	//145 QDBusConnection::send(const QDBusMessage&) const
    {12, 200, 229, 5, Smoke::mf_const, 227, 9},	//146 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*, int) const
    {12, 200, 235, 4, Smoke::mf_const, 227, 10},	//147 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, int) const
    {12, 176, 240, 3, Smoke::mf_const, 32, 11},	//148 QDBusConnection::call(const QDBusMessage&, QDBus::CallMode, int) const
    {12, 153, 244, 2, Smoke::mf_const, 38, 12},	//149 QDBusConnection::asyncCall(const QDBusMessage&, int) const
    {12, 210, 247, 6, 0, 227, 13},	//150 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 210, 254, 7, 0, 227, 14},	//151 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 210, 262, 8, 0, 227, 15},	//152 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*)
    {12, 237, 247, 6, 0, 227, 16},	//153 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 237, 254, 7, 0, 227, 17},	//154 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 237, 262, 8, 0, 227, 18},	//155 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*)
    {12, 525, 271, 3, 0, 227, 19},	//156 QDBusConnection::registerObject(const QString&, QObject*, QFlags<QDBusConnection::RegisterOption>)
    {12, 587, 275, 2, 0, 0, 20},	//157 QDBusConnection::unregisterObject(const QString&, QDBusConnection::UnregisterMode)
    {12, 287, 66, 1, Smoke::mf_const, 104, 21},	//158 QDBusConnection::objectRegisteredAt(const QString&) const
    {12, 528, 66, 1, 0, 227, 22},	//159 QDBusConnection::registerService(const QString&)
    {12, 590, 66, 1, 0, 227, 23},	//160 QDBusConnection::unregisterService(const QString&)
    {12, 262, 0, 0, Smoke::mf_const, 22, 24},	//161 QDBusConnection::interface() const
    {12, 216, 278, 2, Smoke::mf_static, 16, 25},	//162 QDBusConnection::connectToBus(QDBusConnection::BusType, const QString&)
    {12, 216, 281, 2, Smoke::mf_static, 16, 26},	//163 QDBusConnection::connectToBus(const QString&, const QString&)
    {12, 241, 66, 1, Smoke::mf_static, 0, 27},	//164 QDBusConnection::disconnectFromBus(const QString&)
    {12, 555, 0, 0, Smoke::mf_static, 16, 28},	//165 QDBusConnection::sessionBus()
    {12, 574, 0, 0, Smoke::mf_static, 16, 29},	//166 QDBusConnection::systemBus()
    {12, 541, 0, 0, Smoke::mf_static, 16, 30},	//167 QDBusConnection::sender()
    {12, 200, 284, 4, Smoke::mf_const, 227, 31},	//168 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*) const
    {12, 200, 289, 3, Smoke::mf_const, 227, 32},	//169 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*) const
    {12, 176, 227, 1, Smoke::mf_const, 32, 33},	//170 QDBusConnection::call(const QDBusMessage&) const
    {12, 176, 293, 2, Smoke::mf_const, 32, 34},	//171 QDBusConnection::call(const QDBusMessage&, QDBus::CallMode) const
    {12, 153, 227, 1, Smoke::mf_const, 38, 35},	//172 QDBusConnection::asyncCall(const QDBusMessage&) const
    {12, 525, 296, 2, 0, 227, 36},	//173 QDBusConnection::registerObject(const QString&, QObject*)
    {12, 587, 66, 1, 0, 0, 37},	//174 QDBusConnection::unregisterObject(const QString&)
    {12, 573, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 258, 38},	//175 QDBusConnection::staticMetaObject() const
    {12, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 39},	//176 QDBusConnection::SessionBus (enum)
    {12, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 40},	//177 QDBusConnection::SystemBus (enum)
    {12, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 41},	//178 QDBusConnection::ActivationBus (enum)
    {12, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 42},	//179 QDBusConnection::ExportAdaptors (enum)
    {12, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 43},	//180 QDBusConnection::ExportScriptableSlots (enum)
    {12, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 44},	//181 QDBusConnection::ExportScriptableSignals (enum)
    {12, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 45},	//182 QDBusConnection::ExportScriptableProperties (enum)
    {12, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 46},	//183 QDBusConnection::ExportScriptableContents (enum)
    {12, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 47},	//184 QDBusConnection::ExportNonScriptableSlots (enum)
    {12, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 48},	//185 QDBusConnection::ExportNonScriptableSignals (enum)
    {12, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 49},	//186 QDBusConnection::ExportNonScriptableProperties (enum)
    {12, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 50},	//187 QDBusConnection::ExportNonScriptableContents (enum)
    {12, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 51},	//188 QDBusConnection::ExportAllSlots (enum)
    {12, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 52},	//189 QDBusConnection::ExportAllSignals (enum)
    {12, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 53},	//190 QDBusConnection::ExportAllProperties (enum)
    {12, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 54},	//191 QDBusConnection::ExportAllContents (enum)
    {12, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 55},	//192 QDBusConnection::ExportAllSignal (enum)
    {12, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 56},	//193 QDBusConnection::ExportChildObjects (enum)
    {12, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 57},	//194 QDBusConnection::UnregisterNode (enum)
    {12, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 58},	//195 QDBusConnection::UnregisterTree (enum)
    {12, 599, 0, 0, Smoke::mf_dtor, 0, 59 },	//196 QDBusConnection::~QDBusConnection()
    {13, 283, 0, 0, Smoke::mf_const, 259, 1},	//197 QDBusConnectionInterface::metaObject() const
    {13, 512, 1, 1, 0, 316, 2},	//198 QDBusConnectionInterface::qt_metacast(const char*)
    {13, 576, 3, 2, Smoke::mf_static, 113, 3},	//199 QDBusConnectionInterface::tr(const char*, const char*)
    {13, 580, 3, 2, Smoke::mf_static, 113, 4},	//200 QDBusConnectionInterface::trUtf8(const char*, const char*)
    {13, 576, 6, 3, Smoke::mf_static, 113, 5},	//201 QDBusConnectionInterface::tr(const char*, const char*, int)
    {13, 580, 6, 3, Smoke::mf_static, 113, 6},	//202 QDBusConnectionInterface::trUtf8(const char*, const char*, int)
    {13, 510, 10, 3, 0, 292, 7},	//203 QDBusConnectionInterface::qt_metacall(QMetaObject::Call, int, void**)
    {13, 532, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_slot, 44, 8},	//204 QDBusConnectionInterface::registeredServiceNames() const
    {13, 275, 66, 1, Smoke::mf_const|Smoke::mf_slot, 45, 9},	//205 QDBusConnectionInterface::isServiceRegistered(const QString&) const
    {13, 543, 66, 1, Smoke::mf_const|Smoke::mf_slot, 43, 10},	//206 QDBusConnectionInterface::serviceOwner(const QString&) const
    {13, 590, 66, 1, Smoke::mf_slot, 45, 11},	//207 QDBusConnectionInterface::unregisterService(const QString&)
    {13, 528, 299, 3, Smoke::mf_slot, 42, 12},	//208 QDBusConnectionInterface::registerService(const QString&, QDBusConnectionInterface::ServiceQueueOptions, QDBusConnectionInterface::ServiceReplacementOptions)
    {13, 547, 66, 1, Smoke::mf_const|Smoke::mf_slot, 46, 13},	//209 QDBusConnectionInterface::servicePid(const QString&) const
    {13, 551, 66, 1, Smoke::mf_const|Smoke::mf_slot, 46, 14},	//210 QDBusConnectionInterface::serviceUid(const QString&) const
    {13, 571, 66, 1, Smoke::mf_slot, 47, 15},	//211 QDBusConnectionInterface::startService(const QString&)
    {13, 549, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//212 QDBusConnectionInterface::serviceRegistered(const QString&)
    {13, 553, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//213 QDBusConnectionInterface::serviceUnregistered(const QString&)
    {13, 545, 303, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//214 QDBusConnectionInterface::serviceOwnerChanged(const QString&, const QString&, const QString&)
    {13, 206, 307, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//215 QDBusConnectionInterface::callWithCallbackFailed(const QDBusError&, const QDBusMessage&)
    {13, 63, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//216 QDBusConnectionInterface::NameAcquired(const QString&)
    {13, 65, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//217 QDBusConnectionInterface::NameLost(const QString&)
    {13, 67, 303, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//218 QDBusConnectionInterface::NameOwnerChanged(const QString&, const QString&, const QString&)
    {13, 214, 1, 1, Smoke::mf_protected, 0, 23},	//219 QDBusConnectionInterface::connectNotify(const char*)
    {13, 243, 1, 1, Smoke::mf_protected, 0, 24},	//220 QDBusConnectionInterface::disconnectNotify(const char*)
    {13, 576, 1, 1, Smoke::mf_static, 113, 25},	//221 QDBusConnectionInterface::tr(const char*)
    {13, 580, 1, 1, Smoke::mf_static, 113, 26},	//222 QDBusConnectionInterface::trUtf8(const char*)
    {13, 528, 66, 1, Smoke::mf_slot, 42, 27},	//223 QDBusConnectionInterface::registerService(const QString&)
    {13, 528, 310, 2, Smoke::mf_slot, 42, 28},	//224 QDBusConnectionInterface::registerService(const QString&, QDBusConnectionInterface::ServiceQueueOptions)
    {13, 573, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 258, 29},	//225 QDBusConnectionInterface::staticMetaObject() const
    {13, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 30},	//226 QDBusConnectionInterface::DontQueueService (enum)
    {13, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 31},	//227 QDBusConnectionInterface::QueueService (enum)
    {13, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 32},	//228 QDBusConnectionInterface::ReplaceExistingService (enum)
    {13, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 33},	//229 QDBusConnectionInterface::DontAllowReplacement (enum)
    {13, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 34},	//230 QDBusConnectionInterface::AllowReplacement (enum)
    {13, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 35},	//231 QDBusConnectionInterface::ServiceNotRegistered (enum)
    {13, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 36},	//232 QDBusConnectionInterface::ServiceRegistered (enum)
    {13, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 37},	//233 QDBusConnectionInterface::ServiceQueued (enum)
    {14, 86, 0, 0, Smoke::mf_ctor, 26, 1},	//234 QDBusContext::QDBusContext()
    {14, 208, 0, 0, Smoke::mf_const, 227, 2},	//235 QDBusContext::calledFromDBus() const
    {14, 218, 0, 0, Smoke::mf_const, 16, 3},	//236 QDBusContext::connection() const
    {14, 282, 0, 0, Smoke::mf_const, 240, 4},	//237 QDBusContext::message() const
    {14, 271, 0, 0, Smoke::mf_const, 227, 5},	//238 QDBusContext::isDelayedReply() const
    {14, 562, 16, 1, Smoke::mf_const, 0, 6},	//239 QDBusContext::setDelayedReply(bool) const
    {14, 538, 281, 2, Smoke::mf_const, 0, 7},	//240 QDBusContext::sendErrorReply(const QString&, const QString&) const
    {14, 538, 313, 2, Smoke::mf_const, 0, 8},	//241 QDBusContext::sendErrorReply(QDBusError::ErrorType, const QString&) const
    {14, 86, 316, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 26, 9},	//242 QDBusContext::QDBusContext(const QDBusContext&)
    {14, 538, 66, 1, Smoke::mf_const, 0, 10},	//243 QDBusContext::sendErrorReply(const QString&) const
    {14, 538, 318, 1, Smoke::mf_const, 0, 11},	//244 QDBusContext::sendErrorReply(QDBusError::ErrorType) const
    {14, 600, 0, 0, Smoke::mf_dtor, 0, 12 },	//245 QDBusContext::~QDBusContext()
    {15, 88, 320, 1, Smoke::mf_ctor, 29, 1},	//246 QDBusError::QDBusError(const DBusError*)
    {15, 88, 227, 1, Smoke::mf_ctor, 29, 2},	//247 QDBusError::QDBusError(const QDBusMessage&)
    {15, 88, 313, 2, Smoke::mf_ctor, 29, 3},	//248 QDBusError::QDBusError(QDBusError::ErrorType, const QString&)
    {15, 88, 322, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 29, 4},	//249 QDBusError::QDBusError(const QDBusError&)
    {15, 326, 322, 1, 0, 28, 5},	//250 QDBusError::operator=(const QDBusError&)
    {15, 584, 0, 0, Smoke::mf_const, 30, 6},	//251 QDBusError::type() const
    {15, 284, 0, 0, Smoke::mf_const, 113, 7},	//252 QDBusError::name() const
    {15, 282, 0, 0, Smoke::mf_const, 113, 8},	//253 QDBusError::message() const
    {15, 277, 0, 0, Smoke::mf_const, 227, 9},	//254 QDBusError::isValid() const
    {15, 252, 318, 1, Smoke::mf_static, 113, 10},	//255 QDBusError::errorString(QDBusError::ErrorType)
    {15, 88, 0, 0, Smoke::mf_ctor, 29, 11},	//256 QDBusError::QDBusError()
    {15, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 12},	//257 QDBusError::NoError (enum)
    {15, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 13},	//258 QDBusError::Other (enum)
    {15, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 14},	//259 QDBusError::Failed (enum)
    {15, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 15},	//260 QDBusError::NoMemory (enum)
    {15, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 16},	//261 QDBusError::ServiceUnknown (enum)
    {15, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 17},	//262 QDBusError::NoReply (enum)
    {15, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 18},	//263 QDBusError::BadAddress (enum)
    {15, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 19},	//264 QDBusError::NotSupported (enum)
    {15, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 20},	//265 QDBusError::LimitsExceeded (enum)
    {15, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 21},	//266 QDBusError::AccessDenied (enum)
    {15, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 22},	//267 QDBusError::NoServer (enum)
    {15, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 23},	//268 QDBusError::Timeout (enum)
    {15, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 24},	//269 QDBusError::NoNetwork (enum)
    {15, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 25},	//270 QDBusError::AddressInUse (enum)
    {15, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 26},	//271 QDBusError::Disconnected (enum)
    {15, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 27},	//272 QDBusError::InvalidArgs (enum)
    {15, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 28},	//273 QDBusError::UnknownMethod (enum)
    {15, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 29},	//274 QDBusError::TimedOut (enum)
    {15, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 30},	//275 QDBusError::InvalidSignature (enum)
    {15, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 31},	//276 QDBusError::UnknownInterface (enum)
    {15, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 32},	//277 QDBusError::InternalError (enum)
    {15, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 33},	//278 QDBusError::UnknownObject (enum)
    {15, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 34},	//279 QDBusError::InvalidService (enum)
    {15, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 35},	//280 QDBusError::InvalidObjectPath (enum)
    {15, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 36},	//281 QDBusError::InvalidInterface (enum)
    {15, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 37},	//282 QDBusError::InvalidMember (enum)
    {15, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 38},	//283 QDBusError::LastErrorType (enum)
    {15, 601, 0, 0, Smoke::mf_dtor, 0, 39 },	//284 QDBusError::~QDBusError()
    {16, 91, 324, 5, Smoke::mf_ctor, 31, 1},	//285 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&, const QDBusConnection&, QObject*)
    {16, 283, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 259, 2},	//286 QDBusInterface::metaObject() const
    {16, 512, 1, 1, Smoke::mf_virtual, 316, 3},	//287 QDBusInterface::qt_metacast(const char*)
    {16, 510, 10, 3, Smoke::mf_virtual, 292, 4},	//288 QDBusInterface::qt_metacall(QMetaObject::Call, int, void**)
    {16, 91, 281, 2, Smoke::mf_ctor, 31, 5},	//289 QDBusInterface::QDBusInterface(const QString&, const QString&)
    {16, 91, 303, 3, Smoke::mf_ctor, 31, 6},	//290 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&)
    {16, 91, 330, 4, Smoke::mf_ctor, 31, 7},	//291 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&, const QDBusConnection&)
    {16, 602, 0, 0, Smoke::mf_dtor, 0, 8 },	//292 QDBusInterface::~QDBusInterface()
    {17, 96, 0, 0, Smoke::mf_ctor, 34, 1},	//293 QDBusMessage::QDBusMessage()
    {17, 96, 227, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 34, 2},	//294 QDBusMessage::QDBusMessage(const QDBusMessage&)
    {17, 326, 227, 1, 0, 33, 3},	//295 QDBusMessage::operator=(const QDBusMessage&)
    {17, 230, 303, 3, Smoke::mf_static, 32, 4},	//296 QDBusMessage::createSignal(const QString&, const QString&, const QString&)
    {17, 225, 335, 4, Smoke::mf_static, 32, 5},	//297 QDBusMessage::createMethodCall(const QString&, const QString&, const QString&, const QString&)
    {17, 219, 281, 2, Smoke::mf_static, 32, 6},	//298 QDBusMessage::createError(const QString&, const QString&)
    {17, 219, 322, 1, Smoke::mf_static, 32, 7},	//299 QDBusMessage::createError(const QDBusError&)
    {17, 219, 313, 2, Smoke::mf_static, 32, 8},	//300 QDBusMessage::createError(QDBusError::ErrorType, const QString&)
    {17, 227, 340, 1, Smoke::mf_const, 32, 9},	//301 QDBusMessage::createReply(const QList<QVariant>&) const
    {17, 227, 193, 1, Smoke::mf_const, 32, 10},	//302 QDBusMessage::createReply(const QVariant&) const
    {17, 222, 342, 2, Smoke::mf_const, 32, 11},	//303 QDBusMessage::createErrorReply(const QString, const QString&) const
    {17, 222, 322, 1, Smoke::mf_const, 32, 12},	//304 QDBusMessage::createErrorReply(const QDBusError&) const
    {17, 222, 313, 2, Smoke::mf_const, 32, 13},	//305 QDBusMessage::createErrorReply(QDBusError::ErrorType, const QString&) const
    {17, 542, 0, 0, Smoke::mf_const, 113, 14},	//306 QDBusMessage::service() const
    {17, 355, 0, 0, Smoke::mf_const, 113, 15},	//307 QDBusMessage::path() const
    {17, 262, 0, 0, Smoke::mf_const, 113, 16},	//308 QDBusMessage::interface() const
    {17, 281, 0, 0, Smoke::mf_const, 113, 17},	//309 QDBusMessage::member() const
    {17, 251, 0, 0, Smoke::mf_const, 113, 18},	//310 QDBusMessage::errorName() const
    {17, 250, 0, 0, Smoke::mf_const, 113, 19},	//311 QDBusMessage::errorMessage() const
    {17, 584, 0, 0, Smoke::mf_const, 35, 20},	//312 QDBusMessage::type() const
    {17, 568, 0, 0, Smoke::mf_const, 113, 21},	//313 QDBusMessage::signature() const
    {17, 274, 0, 0, Smoke::mf_const, 227, 22},	//314 QDBusMessage::isReplyRequired() const
    {17, 562, 16, 1, Smoke::mf_const, 0, 23},	//315 QDBusMessage::setDelayedReply(bool) const
    {17, 271, 0, 0, Smoke::mf_const, 227, 24},	//316 QDBusMessage::isDelayedReply() const
    {17, 556, 340, 1, 0, 0, 25},	//317 QDBusMessage::setArguments(const QList<QVariant>&)
    {17, 151, 0, 0, Smoke::mf_const, 99, 26},	//318 QDBusMessage::arguments() const
    {17, 314, 193, 1, 0, 33, 27},	//319 QDBusMessage::operator<<(const QVariant&)
    {17, 227, 0, 0, Smoke::mf_const, 32, 28},	//320 QDBusMessage::createReply() const
    {17, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 29},	//321 QDBusMessage::InvalidMessage (enum)
    {17, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 30},	//322 QDBusMessage::MethodCallMessage (enum)
    {17, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 31},	//323 QDBusMessage::ReplyMessage (enum)
    {17, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 32},	//324 QDBusMessage::ErrorMessage (enum)
    {17, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 33},	//325 QDBusMessage::SignalMessage (enum)
    {17, 603, 0, 0, Smoke::mf_dtor, 0, 34 },	//326 QDBusMessage::~QDBusMessage()
    {18, 523, 345, 3, Smoke::mf_static, 0, 1},	//327 QDBusMetaType::registerMarshallOperators(int, void(*)(QDBusArgument&,const void*), void(*)(const QDBusArgument&,void*))
    {18, 279, 349, 3, Smoke::mf_static, 227, 2},	//328 QDBusMetaType::marshall(QDBusArgument&, int, const void*)
    {18, 235, 353, 3, Smoke::mf_static, 227, 3},	//329 QDBusMetaType::demarshall(const QDBusArgument&, int, void*)
    {18, 569, 1, 1, Smoke::mf_static, 292, 4},	//330 QDBusMetaType::signatureToType(const char*)
    {18, 585, 170, 1, Smoke::mf_static, 286, 5},	//331 QDBusMetaType::typeToSignature(int)
    {18, 98, 0, 0, Smoke::mf_ctor, 36, 6},	//332 QDBusMetaType::QDBusMetaType()
    {18, 98, 357, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 7},	//333 QDBusMetaType::QDBusMetaType(const QDBusMetaType&)
    {18, 604, 0, 0, Smoke::mf_dtor, 0, 8 },	//334 QDBusMetaType::~QDBusMetaType()
    {19, 100, 359, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 1},	//335 QDBusPendingCall::QDBusPendingCall(const QDBusPendingCall&)
    {19, 326, 359, 1, 0, 39, 2},	//336 QDBusPendingCall::operator=(const QDBusPendingCall&)
    {19, 273, 0, 0, Smoke::mf_const, 227, 3},	//337 QDBusPendingCall::isFinished() const
    {19, 592, 0, 0, 0, 0, 4},	//338 QDBusPendingCall::waitForFinished()
    {19, 272, 0, 0, Smoke::mf_const, 227, 5},	//339 QDBusPendingCall::isError() const
    {19, 277, 0, 0, Smoke::mf_const, 227, 6},	//340 QDBusPendingCall::isValid() const
    {19, 249, 0, 0, Smoke::mf_const, 27, 7},	//341 QDBusPendingCall::error() const
    {19, 535, 0, 0, Smoke::mf_const, 32, 8},	//342 QDBusPendingCall::reply() const
    {19, 260, 322, 1, Smoke::mf_static, 38, 9},	//343 QDBusPendingCall::fromError(const QDBusError&)
    {19, 258, 227, 1, Smoke::mf_static, 38, 10},	//344 QDBusPendingCall::fromCompletedCall(const QDBusMessage&)
    {19, 605, 0, 0, Smoke::mf_dtor, 0, 11 },	//345 QDBusPendingCall::~QDBusPendingCall()
    {20, 283, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 259, 1},	//346 QDBusPendingCallWatcher::metaObject() const
    {20, 512, 1, 1, Smoke::mf_virtual, 316, 2},	//347 QDBusPendingCallWatcher::qt_metacast(const char*)
    {20, 576, 3, 2, Smoke::mf_static, 113, 3},	//348 QDBusPendingCallWatcher::tr(const char*, const char*)
    {20, 580, 3, 2, Smoke::mf_static, 113, 4},	//349 QDBusPendingCallWatcher::trUtf8(const char*, const char*)
    {20, 576, 6, 3, Smoke::mf_static, 113, 5},	//350 QDBusPendingCallWatcher::tr(const char*, const char*, int)
    {20, 580, 6, 3, Smoke::mf_static, 113, 6},	//351 QDBusPendingCallWatcher::trUtf8(const char*, const char*, int)
    {20, 510, 10, 3, Smoke::mf_virtual, 292, 7},	//352 QDBusPendingCallWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {20, 102, 361, 2, Smoke::mf_ctor, 41, 8},	//353 QDBusPendingCallWatcher::QDBusPendingCallWatcher(const QDBusPendingCall&, QObject*)
    {20, 592, 0, 0, 0, 0, 9},	//354 QDBusPendingCallWatcher::waitForFinished()
    {20, 256, 364, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//355 QDBusPendingCallWatcher::finished(QDBusPendingCallWatcher*)
    {20, 576, 1, 1, Smoke::mf_static, 113, 11},	//356 QDBusPendingCallWatcher::tr(const char*)
    {20, 580, 1, 1, Smoke::mf_static, 113, 12},	//357 QDBusPendingCallWatcher::trUtf8(const char*)
    {20, 102, 359, 1, Smoke::mf_ctor, 41, 13},	//358 QDBusPendingCallWatcher::QDBusPendingCallWatcher(const QDBusPendingCall&)
    {20, 573, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 258, 14},	//359 QDBusPendingCallWatcher::staticMetaObject() const
    {20, 606, 0, 0, Smoke::mf_dtor, 0, 15 },	//360 QDBusPendingCallWatcher::~QDBusPendingCallWatcher()
    {21, 283, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 259, 1},	//361 QDBusServer::metaObject() const
    {21, 512, 1, 1, Smoke::mf_virtual, 316, 2},	//362 QDBusServer::qt_metacast(const char*)
    {21, 576, 3, 2, Smoke::mf_static, 113, 3},	//363 QDBusServer::tr(const char*, const char*)
    {21, 580, 3, 2, Smoke::mf_static, 113, 4},	//364 QDBusServer::trUtf8(const char*, const char*)
    {21, 576, 6, 3, Smoke::mf_static, 113, 5},	//365 QDBusServer::tr(const char*, const char*, int)
    {21, 580, 6, 3, Smoke::mf_static, 113, 6},	//366 QDBusServer::trUtf8(const char*, const char*, int)
    {21, 510, 10, 3, Smoke::mf_virtual, 292, 7},	//367 QDBusServer::qt_metacall(QMetaObject::Call, int, void**)
    {21, 105, 296, 2, Smoke::mf_ctor, 48, 8},	//368 QDBusServer::QDBusServer(const QString&, QObject*)
    {21, 270, 0, 0, Smoke::mf_const, 227, 9},	//369 QDBusServer::isConnected() const
    {21, 278, 0, 0, Smoke::mf_const, 27, 10},	//370 QDBusServer::lastError() const
    {21, 148, 0, 0, Smoke::mf_const, 113, 11},	//371 QDBusServer::address() const
    {21, 285, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//372 QDBusServer::newConnection(const QDBusConnection&)
    {21, 576, 1, 1, Smoke::mf_static, 113, 13},	//373 QDBusServer::tr(const char*)
    {21, 580, 1, 1, Smoke::mf_static, 113, 14},	//374 QDBusServer::trUtf8(const char*)
    {21, 105, 66, 1, Smoke::mf_ctor, 48, 15},	//375 QDBusServer::QDBusServer(const QString&)
    {21, 573, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 258, 16},	//376 QDBusServer::staticMetaObject() const
    {21, 607, 0, 0, Smoke::mf_dtor, 0, 17 },	//377 QDBusServer::~QDBusServer()
    {22, 283, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 259, 1},	//378 QDBusServiceWatcher::metaObject() const
    {22, 512, 1, 1, Smoke::mf_virtual, 316, 2},	//379 QDBusServiceWatcher::qt_metacast(const char*)
    {22, 576, 3, 2, Smoke::mf_static, 113, 3},	//380 QDBusServiceWatcher::tr(const char*, const char*)
    {22, 580, 3, 2, Smoke::mf_static, 113, 4},	//381 QDBusServiceWatcher::trUtf8(const char*, const char*)
    {22, 576, 6, 3, Smoke::mf_static, 113, 5},	//382 QDBusServiceWatcher::tr(const char*, const char*, int)
    {22, 580, 6, 3, Smoke::mf_static, 113, 6},	//383 QDBusServiceWatcher::trUtf8(const char*, const char*, int)
    {22, 510, 10, 3, Smoke::mf_virtual, 292, 7},	//384 QDBusServiceWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {22, 108, 14, 1, Smoke::mf_ctor, 49, 8},	//385 QDBusServiceWatcher::QDBusServiceWatcher(QObject*)
    {22, 108, 366, 4, Smoke::mf_ctor, 49, 9},	//386 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>, QObject*)
    {22, 594, 0, 0, Smoke::mf_const|Smoke::mf_property, 117, 10},	//387 QDBusServiceWatcher::watchedServices() const
    {22, 566, 186, 1, Smoke::mf_property, 0, 11},	//388 QDBusServiceWatcher::setWatchedServices(const QStringList&)
    {22, 146, 66, 1, 0, 0, 12},	//389 QDBusServiceWatcher::addWatchedService(const QString&)
    {22, 533, 66, 1, 0, 227, 13},	//390 QDBusServiceWatcher::removeWatchedService(const QString&)
    {22, 593, 0, 0, Smoke::mf_const, 65, 14},	//391 QDBusServiceWatcher::watchMode() const
    {22, 564, 371, 1, 0, 0, 15},	//392 QDBusServiceWatcher::setWatchMode(QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {22, 218, 0, 0, Smoke::mf_const, 16, 16},	//393 QDBusServiceWatcher::connection() const
    {22, 560, 225, 1, 0, 0, 17},	//394 QDBusServiceWatcher::setConnection(const QDBusConnection&)
    {22, 549, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//395 QDBusServiceWatcher::serviceRegistered(const QString&)
    {22, 553, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//396 QDBusServiceWatcher::serviceUnregistered(const QString&)
    {22, 545, 303, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//397 QDBusServiceWatcher::serviceOwnerChanged(const QString&, const QString&, const QString&)
    {22, 576, 1, 1, Smoke::mf_static, 113, 21},	//398 QDBusServiceWatcher::tr(const char*)
    {22, 580, 1, 1, Smoke::mf_static, 113, 22},	//399 QDBusServiceWatcher::trUtf8(const char*)
    {22, 108, 0, 0, Smoke::mf_ctor, 49, 23},	//400 QDBusServiceWatcher::QDBusServiceWatcher()
    {22, 108, 373, 2, Smoke::mf_ctor, 49, 24},	//401 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&)
    {22, 108, 376, 3, Smoke::mf_ctor, 49, 25},	//402 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {22, 573, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 258, 26},	//403 QDBusServiceWatcher::staticMetaObject() const
    {22, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 27},	//404 QDBusServiceWatcher::WatchForRegistration (enum)
    {22, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 28},	//405 QDBusServiceWatcher::WatchForUnregistration (enum)
    {22, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 29},	//406 QDBusServiceWatcher::WatchForOwnerChange (enum)
    {22, 608, 0, 0, Smoke::mf_dtor, 0, 30 },	//407 QDBusServiceWatcher::~QDBusServiceWatcher()
    {31, 441, 178, 1, Smoke::mf_static, 292, 1},	//408 QGlobalSpace::qRound(double)
    {31, 352, 380, 2, Smoke::mf_static, 70, 2},	//409 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {31, 314, 383, 2, Smoke::mf_static, 13, 3},	//410 QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    {31, 356, 178, 1, Smoke::mf_static, 289, 4},	//411 QGlobalSpace::qAcos(double)
    {31, 314, 386, 2, Smoke::mf_static, 13, 5},	//412 QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    {31, 343, 389, 2, Smoke::mf_static, 53, 6},	//413 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {31, 352, 392, 2, Smoke::mf_static, 68, 7},	//414 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {31, 314, 395, 2, Smoke::mf_static, 13, 8},	//415 QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    {31, 338, 398, 2, Smoke::mf_static, 227, 9},	//416 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {31, 343, 401, 2, Smoke::mf_static, 53, 10},	//417 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {31, 360, 0, 0, Smoke::mf_static, 113, 11},	//418 QGlobalSpace::qAppName()
    {31, 314, 404, 2, Smoke::mf_static, 13, 12},	//419 QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    {31, 352, 407, 2, Smoke::mf_static, 95, 13},	//420 QGlobalSpace::operator|(Qt::WindowType, int)
    {31, 491, 410, 3, Smoke::mf_static, 230, 14},	//421 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {31, 403, 172, 1, Smoke::mf_static, 304, 15},	//422 QGlobalSpace::qHash(unsigned int)
    {31, 403, 414, 1, Smoke::mf_static, 304, 16},	//423 QGlobalSpace::qHash(char)
    {31, 296, 416, 2, Smoke::mf_static, 273, 17},	//424 QGlobalSpace::operator*(const QSizeF&, double)
    {31, 314, 419, 2, Smoke::mf_static, 56, 18},	//425 QGlobalSpace::operator<<(QDebug, const QLine&)
    {31, 469, 1, 1, Smoke::mf_static, 5, 19},	//426 QGlobalSpace::qgetenv(const char*)
    {31, 309, 422, 2, Smoke::mf_static, 227, 20},	//427 QGlobalSpace::operator<(const QByteArray&, const char*)
    {31, 333, 425, 2, Smoke::mf_static, 227, 21},	//428 QGlobalSpace::operator>(const char*, const QString&)
    {31, 343, 428, 2, Smoke::mf_static, 53, 22},	//429 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {31, 352, 431, 2, Smoke::mf_static, 65, 23},	//430 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    {31, 352, 434, 2, Smoke::mf_static, 84, 24},	//431 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {31, 328, 437, 2, Smoke::mf_static, 227, 25},	//432 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {31, 314, 440, 2, Smoke::mf_static, 13, 26},	//433 QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    {31, 314, 443, 2, Smoke::mf_static, 56, 27},	//434 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {31, 328, 446, 2, Smoke::mf_static, 227, 28},	//435 QGlobalSpace::operator==(const QSize&, const QSize&)
    {31, 309, 449, 2, Smoke::mf_static, 227, 29},	//436 QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    {31, 389, 178, 1, Smoke::mf_static, 289, 30},	//437 QGlobalSpace::qFastSin(double)
    {31, 299, 452, 2, Smoke::mf_static, 275, 31},	//438 QGlobalSpace::operator+(QChar, const QString&)
    {31, 489, 455, 3, Smoke::mf_static, 292, 32},	//439 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {31, 321, 459, 2, Smoke::mf_static, 227, 33},	//440 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {31, 321, 462, 2, Smoke::mf_static, 227, 34},	//441 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {31, 521, 465, 4, Smoke::mf_static, 292, 35},	//442 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {31, 289, 470, 2, Smoke::mf_static, 227, 36},	//443 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {31, 289, 473, 2, Smoke::mf_static, 227, 37},	//444 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {31, 343, 476, 2, Smoke::mf_static, 236, 38},	//445 QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    {31, 299, 479, 2, Smoke::mf_static, 275, 39},	//446 QGlobalSpace::operator+(const QString&, QChar)
    {31, 299, 446, 2, Smoke::mf_static, 271, 40},	//447 QGlobalSpace::operator+(const QSize&, const QSize&)
    {31, 495, 482, 2, Smoke::mf_static, 304, 41},	//448 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {31, 328, 462, 2, Smoke::mf_static, 227, 42},	//449 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {31, 289, 485, 2, Smoke::mf_static, 227, 43},	//450 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {31, 314, 488, 2, Smoke::mf_static, 56, 44},	//451 QGlobalSpace::operator<<(QDebug, const QDate&)
    {31, 314, 491, 2, Smoke::mf_static, 13, 45},	//452 QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    {31, 352, 494, 2, Smoke::mf_static, 90, 46},	//453 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {31, 314, 497, 2, Smoke::mf_static, 56, 47},	//454 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {31, 289, 500, 2, Smoke::mf_static, 227, 48},	//455 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {31, 403, 164, 1, Smoke::mf_static, 304, 49},	//456 QGlobalSpace::qHash(unsigned char)
    {31, 517, 503, 5, Smoke::mf_static, 0, 50},	//457 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {31, 328, 509, 2, Smoke::mf_static, 227, 51},	//458 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {31, 506, 170, 1, Smoke::mf_static, 113, 52},	//459 QGlobalSpace::qt_error_string(int)
    {31, 506, 0, 0, Smoke::mf_static, 113, 53},	//460 QGlobalSpace::qt_error_string()
    {31, 343, 512, 2, Smoke::mf_static, 53, 54},	//461 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {31, 289, 449, 2, Smoke::mf_static, 227, 55},	//462 QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    {31, 418, 515, 1, Smoke::mf_static, 227, 56},	//463 QGlobalSpace::qIsNull(float)
    {31, 352, 517, 2, Smoke::mf_static, 95, 57},	//464 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {31, 432, 0, 0, Smoke::mf_static, 289, 58},	//465 QGlobalSpace::qQNaN()
    {31, 289, 520, 2, Smoke::mf_static, 227, 59},	//466 QGlobalSpace::operator!=(QChar, QChar)
    {31, 448, 523, 1, Smoke::mf_static, 124, 60},	//467 QGlobalSpace::qSetPadChar(QChar)
    {31, 403, 184, 1, Smoke::mf_static, 304, 61},	//468 QGlobalSpace::qHash(const QDBusSignature&)
    {31, 343, 525, 2, Smoke::mf_static, 53, 62},	//469 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {31, 304, 470, 2, Smoke::mf_static, 265, 63},	//470 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {31, 314, 528, 2, Smoke::mf_static, 56, 64},	//471 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {31, 352, 531, 2, Smoke::mf_static, 72, 65},	//472 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {31, 497, 534, 2, Smoke::mf_static, 113, 66},	//473 QGlobalSpace::qtTrId(const char*, int)
    {31, 497, 1, 1, Smoke::mf_static, 113, 67},	//474 QGlobalSpace::qtTrId(const char*)
    {31, 365, 537, 2, Smoke::mf_static, 289, 68},	//475 QGlobalSpace::qAtan2(double, double)
    {31, 314, 540, 2, Smoke::mf_static, 53, 69},	//476 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {31, 403, 166, 1, Smoke::mf_static, 304, 70},	//477 QGlobalSpace::qHash(short)
    {31, 328, 398, 2, Smoke::mf_static, 227, 71},	//478 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {31, 314, 543, 2, Smoke::mf_static, 53, 72},	//479 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {31, 352, 546, 2, Smoke::mf_static, 89, 73},	//480 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {31, 412, 178, 1, Smoke::mf_static, 227, 74},	//481 QGlobalSpace::qIsFinite(double)
    {31, 352, 549, 2, Smoke::mf_static, 84, 75},	//482 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {31, 476, 422, 2, Smoke::mf_static, 292, 76},	//483 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {31, 483, 1, 1, Smoke::mf_static, 230, 77},	//484 QGlobalSpace::qstrdup(const char*)
    {31, 403, 552, 1, Smoke::mf_static, 304, 78},	//485 QGlobalSpace::qHash(long)
    {31, 352, 554, 2, Smoke::mf_static, 83, 79},	//486 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {31, 476, 3, 2, Smoke::mf_static, 292, 80},	//487 QGlobalSpace::qstrcmp(const char*, const char*)
    {31, 314, 557, 2, Smoke::mf_static, 53, 81},	//488 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {31, 333, 459, 2, Smoke::mf_static, 227, 82},	//489 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {31, 289, 560, 2, Smoke::mf_static, 227, 83},	//490 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {31, 299, 563, 2, Smoke::mf_static, 233, 84},	//491 QGlobalSpace::operator+(const char*, const QByteArray&)
    {31, 289, 398, 2, Smoke::mf_static, 227, 85},	//492 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {31, 403, 566, 1, Smoke::mf_static, 304, 86},	//493 QGlobalSpace::qHash(const QBitArray&)
    {31, 352, 568, 2, Smoke::mf_static, 68, 87},	//494 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {31, 481, 571, 2, Smoke::mf_static, 230, 88},	//495 QGlobalSpace::qstrcpy(char*, const char*)
    {31, 352, 574, 2, Smoke::mf_static, 2, 89},	//496 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {31, 289, 577, 2, Smoke::mf_static, 227, 90},	//497 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {31, 309, 563, 2, Smoke::mf_static, 227, 91},	//498 QGlobalSpace::operator<(const char*, const QByteArray&)
    {31, 363, 178, 1, Smoke::mf_static, 289, 92},	//499 QGlobalSpace::qAtan(double)
    {31, 476, 563, 2, Smoke::mf_static, 292, 93},	//500 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {31, 338, 520, 2, Smoke::mf_static, 227, 94},	//501 QGlobalSpace::operator>=(QChar, QChar)
    {31, 352, 580, 2, Smoke::mf_static, 85, 95},	//502 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {31, 321, 520, 2, Smoke::mf_static, 227, 96},	//503 QGlobalSpace::operator<=(QChar, QChar)
    {31, 296, 583, 2, Smoke::mf_static, 265, 97},	//504 QGlobalSpace::operator*(const QPointF&, double)
    {31, 314, 586, 2, Smoke::mf_static, 56, 98},	//505 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {31, 328, 589, 2, Smoke::mf_static, 227, 99},	//506 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {31, 352, 592, 2, Smoke::mf_static, 63, 100},	//507 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {31, 504, 534, 2, Smoke::mf_static, 0, 101},	//508 QGlobalSpace::qt_check_pointer(const char*, int)
    {31, 328, 560, 2, Smoke::mf_static, 227, 102},	//509 QGlobalSpace::operator==(QString::Null, QString::Null)
    {31, 289, 459, 2, Smoke::mf_static, 227, 103},	//510 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {31, 289, 595, 2, Smoke::mf_static, 227, 104},	//511 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {31, 343, 598, 2, Smoke::mf_static, 53, 105},	//512 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {31, 321, 601, 2, Smoke::mf_static, 227, 106},	//513 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {31, 462, 604, 2, Smoke::mf_static, 5, 107},	//514 QGlobalSpace::qUncompress(const unsigned char*, int)
    {31, 372, 607, 2, Smoke::mf_static, 5, 108},	//515 QGlobalSpace::qCompress(const QByteArray&, int)
    {31, 372, 188, 1, Smoke::mf_static, 5, 109},	//516 QGlobalSpace::qCompress(const QByteArray&)
    {31, 314, 610, 2, Smoke::mf_static, 53, 110},	//517 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {31, 343, 613, 2, Smoke::mf_static, 121, 111},	//518 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {31, 352, 616, 2, Smoke::mf_static, 95, 112},	//519 QGlobalSpace::operator|(Qt::DropAction, int)
    {31, 435, 619, 4, Smoke::mf_static, 316, 113},	//520 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {31, 352, 624, 2, Smoke::mf_static, 95, 114},	//521 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {31, 333, 398, 2, Smoke::mf_static, 227, 115},	//522 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {31, 455, 178, 1, Smoke::mf_static, 289, 116},	//523 QGlobalSpace::qSqrt(double)
    {31, 314, 613, 2, Smoke::mf_static, 121, 117},	//524 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {31, 314, 627, 2, Smoke::mf_static, 53, 118},	//525 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {31, 343, 630, 2, Smoke::mf_static, 236, 119},	//526 QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    {31, 314, 633, 2, Smoke::mf_static, 56, 120},	//527 QGlobalSpace::operator<<(QDebug, const QRect&)
    {31, 333, 462, 2, Smoke::mf_static, 227, 121},	//528 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {31, 338, 601, 2, Smoke::mf_static, 227, 122},	//529 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {31, 410, 515, 1, Smoke::mf_static, 292, 123},	//530 QGlobalSpace::qIntCast(float)
    {31, 352, 636, 2, Smoke::mf_static, 75, 124},	//531 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {31, 343, 639, 2, Smoke::mf_static, 236, 125},	//532 QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    {31, 328, 470, 2, Smoke::mf_static, 227, 126},	//533 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {31, 333, 563, 2, Smoke::mf_static, 227, 127},	//534 QGlobalSpace::operator>(const char*, const QByteArray&)
    {31, 385, 178, 1, Smoke::mf_static, 289, 128},	//535 QGlobalSpace::qFabs(double)
    {31, 403, 168, 1, Smoke::mf_static, 304, 129},	//536 QGlobalSpace::qHash(unsigned short)
    {31, 328, 563, 2, Smoke::mf_static, 227, 130},	//537 QGlobalSpace::operator==(const char*, const QByteArray&)
    {31, 352, 642, 2, Smoke::mf_static, 89, 131},	//538 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {31, 314, 645, 2, Smoke::mf_static, 56, 132},	//539 QGlobalSpace::operator<<(QDebug, const QDir&)
    {31, 352, 648, 2, Smoke::mf_static, 74, 133},	//540 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {31, 352, 651, 2, Smoke::mf_static, 87, 134},	//541 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {31, 289, 462, 2, Smoke::mf_static, 227, 135},	//542 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {31, 433, 654, 2, Smoke::mf_static, 316, 136},	//543 QGlobalSpace::qRealloc(void*, size_t)
    {31, 352, 657, 2, Smoke::mf_static, 80, 137},	//544 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {31, 352, 660, 2, Smoke::mf_static, 64, 138},	//545 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    {31, 352, 663, 2, Smoke::mf_static, 95, 139},	//546 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {31, 328, 666, 2, Smoke::mf_static, 227, 140},	//547 QGlobalSpace::operator==(const QString&, QString::Null)
    {31, 352, 669, 2, Smoke::mf_static, 81, 141},	//548 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {31, 309, 672, 2, Smoke::mf_static, 227, 142},	//549 QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    {31, 466, 0, 0, Smoke::mf_static, 56, 143},	//550 QGlobalSpace::qWarning()
    {31, 352, 675, 2, Smoke::mf_static, 95, 144},	//551 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {31, 399, 537, 2, Smoke::mf_static, 227, 145},	//552 QGlobalSpace::qFuzzyCompare(double, double)
    {31, 321, 398, 2, Smoke::mf_static, 227, 146},	//553 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {31, 352, 678, 2, Smoke::mf_static, 73, 147},	//554 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {31, 352, 681, 2, Smoke::mf_static, 71, 148},	//555 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {31, 343, 684, 2, Smoke::mf_static, 53, 149},	//556 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {31, 314, 687, 2, Smoke::mf_static, 53, 150},	//557 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {31, 289, 690, 2, Smoke::mf_static, 227, 151},	//558 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {31, 296, 693, 2, Smoke::mf_static, 271, 152},	//559 QGlobalSpace::operator*(double, const QSize&)
    {31, 352, 696, 2, Smoke::mf_static, 79, 153},	//560 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {31, 382, 0, 0, Smoke::mf_static, 56, 154},	//561 QGlobalSpace::qDebug()
    {31, 343, 699, 2, Smoke::mf_static, 236, 155},	//562 QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    {31, 403, 174, 1, Smoke::mf_static, 304, 156},	//563 QGlobalSpace::qHash(long long)
    {31, 352, 702, 2, Smoke::mf_static, 86, 157},	//564 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {31, 321, 425, 2, Smoke::mf_static, 227, 158},	//565 QGlobalSpace::operator<=(const char*, const QString&)
    {31, 304, 705, 1, Smoke::mf_static, 265, 159},	//566 QGlobalSpace::operator-(const QPointF&)
    {31, 352, 707, 2, Smoke::mf_static, 95, 160},	//567 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {31, 414, 515, 1, Smoke::mf_static, 227, 161},	//568 QGlobalSpace::qIsInf(float)
    {31, 352, 710, 2, Smoke::mf_static, 95, 162},	//569 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {31, 299, 425, 2, Smoke::mf_static, 275, 163},	//570 QGlobalSpace::operator+(const char*, const QString&)
    {31, 343, 713, 2, Smoke::mf_static, 236, 164},	//571 QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    {31, 321, 563, 2, Smoke::mf_static, 227, 165},	//572 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {31, 314, 716, 2, Smoke::mf_static, 56, 166},	//573 QGlobalSpace::operator<<(QDebug, const QSize&)
    {31, 289, 601, 2, Smoke::mf_static, 227, 167},	//574 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {31, 333, 520, 2, Smoke::mf_static, 227, 168},	//575 QGlobalSpace::operator>(QChar, QChar)
    {31, 307, 416, 2, Smoke::mf_static, 273, 169},	//576 QGlobalSpace::operator/(const QSizeF&, double)
    {31, 352, 719, 2, Smoke::mf_static, 95, 170},	//577 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {31, 314, 722, 2, Smoke::mf_static, 56, 171},	//578 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {31, 476, 601, 2, Smoke::mf_static, 292, 172},	//579 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {31, 294, 574, 2, Smoke::mf_static, 2, 173},	//580 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {31, 314, 725, 2, Smoke::mf_static, 56, 174},	//581 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {31, 304, 728, 1, Smoke::mf_static, 263, 175},	//582 QGlobalSpace::operator-(const QPoint&)
    {31, 338, 422, 2, Smoke::mf_static, 227, 176},	//583 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {31, 380, 730, 3, Smoke::mf_static, 0, 177},	//584 QGlobalSpace::qDBusReplyFill(const QDBusMessage&, QDBusError&, QVariant&)
    {31, 343, 734, 2, Smoke::mf_static, 236, 178},	//585 QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    {31, 343, 737, 2, Smoke::mf_static, 236, 179},	//586 QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    {31, 352, 740, 2, Smoke::mf_static, 95, 180},	//587 QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    {31, 314, 743, 2, Smoke::mf_static, 53, 181},	//588 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {31, 314, 746, 2, Smoke::mf_static, 56, 182},	//589 QGlobalSpace::operator<<(QDebug, const QDBusMessage&)
    {31, 352, 749, 2, Smoke::mf_static, 65, 183},	//590 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {31, 352, 752, 2, Smoke::mf_static, 75, 184},	//591 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {31, 338, 459, 2, Smoke::mf_static, 227, 185},	//592 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {31, 343, 755, 2, Smoke::mf_static, 236, 186},	//593 QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    {31, 343, 758, 2, Smoke::mf_static, 236, 187},	//594 QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    {31, 309, 462, 2, Smoke::mf_static, 227, 188},	//595 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {31, 289, 761, 2, Smoke::mf_static, 227, 189},	//596 QGlobalSpace::operator!=(QBool, QBool)
    {31, 352, 764, 2, Smoke::mf_static, 64, 190},	//597 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    {31, 299, 767, 2, Smoke::mf_static, 275, 191},	//598 QGlobalSpace::operator+(const QString&, char)
    {31, 289, 770, 2, Smoke::mf_static, 227, 192},	//599 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {31, 403, 176, 1, Smoke::mf_static, 304, 193},	//600 QGlobalSpace::qHash(unsigned long long)
    {31, 314, 773, 2, Smoke::mf_static, 13, 194},	//601 QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    {31, 328, 459, 2, Smoke::mf_static, 227, 195},	//602 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {31, 391, 1, 1, Smoke::mf_static, 286, 196},	//603 QGlobalSpace::qFlagLocation(const char*)
    {31, 307, 583, 2, Smoke::mf_static, 265, 197},	//604 QGlobalSpace::operator/(const QPointF&, double)
    {31, 410, 178, 1, Smoke::mf_static, 292, 198},	//605 QGlobalSpace::qIntCast(double)
    {31, 352, 776, 2, Smoke::mf_static, 95, 199},	//606 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {31, 462, 188, 1, Smoke::mf_static, 5, 200},	//607 QGlobalSpace::qUncompress(const QByteArray&)
    {31, 289, 437, 2, Smoke::mf_static, 227, 201},	//608 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {31, 314, 779, 2, Smoke::mf_static, 56, 202},	//609 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {31, 328, 782, 2, Smoke::mf_static, 227, 203},	//610 QGlobalSpace::operator==(QString::Null, const QString&)
    {31, 321, 422, 2, Smoke::mf_static, 227, 204},	//611 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {31, 387, 178, 1, Smoke::mf_static, 289, 205},	//612 QGlobalSpace::qFastCos(double)
    {31, 439, 785, 1, Smoke::mf_static, 0, 206},	//613 QGlobalSpace::qRemovePostRoutine(void(*)())
    {31, 352, 787, 2, Smoke::mf_static, 73, 207},	//614 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {31, 352, 790, 2, Smoke::mf_static, 81, 208},	//615 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {31, 343, 793, 2, Smoke::mf_static, 53, 209},	//616 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {31, 399, 796, 2, Smoke::mf_static, 227, 210},	//617 QGlobalSpace::qFuzzyCompare(float, float)
    {31, 314, 799, 2, Smoke::mf_static, 53, 211},	//618 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {31, 370, 482, 2, Smoke::mf_static, 309, 212},	//619 QGlobalSpace::qChecksum(const char*, unsigned int)
    {31, 328, 672, 2, Smoke::mf_static, 227, 213},	//620 QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    {31, 343, 802, 2, Smoke::mf_static, 53, 214},	//621 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {31, 296, 805, 2, Smoke::mf_static, 271, 215},	//622 QGlobalSpace::operator*(const QSize&, double)
    {31, 408, 808, 1, Smoke::mf_static, 314, 216},	//623 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {31, 314, 810, 2, Smoke::mf_static, 121, 217},	//624 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {31, 304, 577, 2, Smoke::mf_static, 263, 218},	//625 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {31, 352, 813, 2, Smoke::mf_static, 78, 219},	//626 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {31, 343, 816, 2, Smoke::mf_static, 53, 220},	//627 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {31, 352, 819, 2, Smoke::mf_static, 66, 221},	//628 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {31, 379, 0, 0, Smoke::mf_static, 56, 222},	//629 QGlobalSpace::qCritical()
    {31, 307, 822, 2, Smoke::mf_static, 263, 223},	//630 QGlobalSpace::operator/(const QPoint&, double)
    {31, 430, 537, 2, Smoke::mf_static, 289, 224},	//631 QGlobalSpace::qPow(double, double)
    {31, 314, 825, 2, Smoke::mf_static, 53, 225},	//632 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {31, 289, 782, 2, Smoke::mf_static, 227, 226},	//633 QGlobalSpace::operator!=(QString::Null, const QString&)
    {31, 403, 170, 1, Smoke::mf_static, 304, 227},	//634 QGlobalSpace::qHash(int)
    {31, 352, 828, 2, Smoke::mf_static, 82, 228},	//635 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {31, 514, 0, 0, Smoke::mf_static, 0, 229},	//636 QGlobalSpace::qt_noop()
    {31, 328, 473, 2, Smoke::mf_static, 227, 230},	//637 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {31, 352, 831, 2, Smoke::mf_static, 95, 231},	//638 QGlobalSpace::operator|(Qt::WindowState, int)
    {31, 289, 509, 2, Smoke::mf_static, 227, 232},	//639 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {31, 343, 834, 2, Smoke::mf_static, 53, 233},	//640 QGlobalSpace::operator>>(QDataStream&, QString&)
    {31, 515, 837, 3, Smoke::mf_static, 104, 234},	//641 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {31, 314, 841, 2, Smoke::mf_static, 53, 235},	//642 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {31, 328, 761, 2, Smoke::mf_static, 227, 236},	//643 QGlobalSpace::operator==(QBool, QBool)
    {31, 343, 844, 2, Smoke::mf_static, 53, 237},	//644 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {31, 383, 178, 1, Smoke::mf_static, 289, 238},	//645 QGlobalSpace::qExp(double)
    {31, 343, 847, 2, Smoke::mf_static, 53, 239},	//646 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {31, 352, 850, 2, Smoke::mf_static, 85, 240},	//647 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {31, 328, 853, 2, Smoke::mf_static, 227, 241},	//648 QGlobalSpace::operator==(bool, QBool)
    {31, 352, 856, 2, Smoke::mf_static, 76, 242},	//649 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {31, 401, 178, 1, Smoke::mf_static, 227, 243},	//650 QGlobalSpace::qFuzzyIsNull(double)
    {31, 343, 859, 2, Smoke::mf_static, 53, 244},	//651 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {31, 519, 862, 3, Smoke::mf_static, 227, 245},	//652 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {31, 309, 425, 2, Smoke::mf_static, 227, 246},	//653 QGlobalSpace::operator<(const char*, const QString&)
    {31, 328, 866, 2, Smoke::mf_static, 227, 247},	//654 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {31, 467, 869, 3, Smoke::mf_static, 0, 248},	//655 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {31, 403, 523, 1, Smoke::mf_static, 304, 249},	//656 QGlobalSpace::qHash(QChar)
    {31, 352, 873, 2, Smoke::mf_static, 95, 250},	//657 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {31, 314, 876, 2, Smoke::mf_static, 53, 251},	//658 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {31, 289, 866, 2, Smoke::mf_static, 227, 252},	//659 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {31, 309, 398, 2, Smoke::mf_static, 227, 253},	//660 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {31, 343, 879, 2, Smoke::mf_static, 236, 254},	//661 QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    {31, 289, 853, 2, Smoke::mf_static, 227, 255},	//662 QGlobalSpace::operator!=(bool, QBool)
    {31, 508, 882, 2, Smoke::mf_static, 0, 256},	//663 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {31, 352, 885, 2, Smoke::mf_static, 69, 257},	//664 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {31, 474, 172, 1, Smoke::mf_static, 0, 258},	//665 QGlobalSpace::qsrand(unsigned int)
    {31, 328, 888, 2, Smoke::mf_static, 227, 259},	//666 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {31, 299, 891, 2, Smoke::mf_static, 275, 260},	//667 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {31, 352, 894, 2, Smoke::mf_static, 77, 261},	//668 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {31, 314, 897, 2, Smoke::mf_static, 56, 262},	//669 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {31, 352, 900, 2, Smoke::mf_static, 95, 263},	//670 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {31, 343, 903, 2, Smoke::mf_static, 53, 264},	//671 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {31, 289, 666, 2, Smoke::mf_static, 227, 265},	//672 QGlobalSpace::operator!=(const QString&, QString::Null)
    {31, 485, 3, 2, Smoke::mf_static, 292, 266},	//673 QGlobalSpace::qstricmp(const char*, const char*)
    {31, 352, 906, 2, Smoke::mf_static, 93, 267},	//674 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {31, 428, 909, 3, Smoke::mf_static, 316, 268},	//675 QGlobalSpace::qMemSet(void*, int, size_t)
    {31, 314, 913, 2, Smoke::mf_static, 56, 269},	//676 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {31, 289, 446, 2, Smoke::mf_static, 227, 270},	//677 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {31, 368, 178, 1, Smoke::mf_static, 292, 271},	//678 QGlobalSpace::qCeil(double)
    {31, 403, 916, 1, Smoke::mf_static, 304, 272},	//679 QGlobalSpace::qHash(signed char)
    {31, 314, 918, 2, Smoke::mf_static, 13, 273},	//680 QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    {31, 352, 921, 2, Smoke::mf_static, 93, 274},	//681 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {31, 328, 500, 2, Smoke::mf_static, 227, 275},	//682 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {31, 352, 924, 2, Smoke::mf_static, 92, 276},	//683 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {31, 328, 770, 2, Smoke::mf_static, 227, 277},	//684 QGlobalSpace::operator==(const char*, const QStringRef&)
    {31, 352, 927, 2, Smoke::mf_static, 95, 278},	//685 QGlobalSpace::operator|(QFile::Permission, int)
    {31, 343, 930, 2, Smoke::mf_static, 53, 279},	//686 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {31, 314, 933, 2, Smoke::mf_static, 56, 280},	//687 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {31, 299, 577, 2, Smoke::mf_static, 263, 281},	//688 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {31, 299, 422, 2, Smoke::mf_static, 233, 282},	//689 QGlobalSpace::operator+(const QByteArray&, const char*)
    {31, 358, 785, 1, Smoke::mf_static, 0, 283},	//690 QGlobalSpace::qAddPostRoutine(void(*)())
    {31, 437, 936, 1, Smoke::mf_static, 0, 284},	//691 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {31, 296, 938, 2, Smoke::mf_static, 265, 285},	//692 QGlobalSpace::operator*(double, const QPointF&)
    {31, 452, 0, 0, Smoke::mf_static, 227, 286},	//693 QGlobalSpace::qSharedBuild()
    {31, 314, 941, 2, Smoke::mf_static, 53, 287},	//694 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {31, 314, 944, 2, Smoke::mf_static, 53, 288},	//695 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {31, 343, 947, 2, Smoke::mf_static, 53, 289},	//696 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {31, 314, 950, 2, Smoke::mf_static, 13, 290},	//697 QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    {31, 407, 0, 0, Smoke::mf_static, 289, 291},	//698 QGlobalSpace::qInf()
    {31, 493, 455, 3, Smoke::mf_static, 292, 292},	//699 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {31, 403, 953, 1, Smoke::mf_static, 304, 293},	//700 QGlobalSpace::qHash(const QStringRef&)
    {31, 343, 955, 2, Smoke::mf_static, 53, 294},	//701 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {31, 352, 958, 2, Smoke::mf_static, 95, 295},	//702 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {31, 333, 601, 2, Smoke::mf_static, 227, 296},	//703 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {31, 314, 961, 2, Smoke::mf_static, 53, 297},	//704 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {31, 328, 520, 2, Smoke::mf_static, 227, 298},	//705 QGlobalSpace::operator==(QChar, QChar)
    {31, 377, 178, 1, Smoke::mf_static, 289, 299},	//706 QGlobalSpace::qCos(double)
    {31, 343, 964, 2, Smoke::mf_static, 236, 300},	//707 QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    {31, 424, 967, 2, Smoke::mf_static, 316, 301},	//708 QGlobalSpace::qMallocAligned(size_t, size_t)
    {31, 314, 970, 2, Smoke::mf_static, 53, 302},	//709 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {31, 299, 973, 2, Smoke::mf_static, 275, 303},	//710 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {31, 502, 976, 4, Smoke::mf_static, 0, 304},	//711 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {31, 343, 981, 2, Smoke::mf_static, 236, 305},	//712 QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    {31, 352, 984, 2, Smoke::mf_static, 77, 306},	//713 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {31, 314, 987, 2, Smoke::mf_static, 13, 307},	//714 QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    {31, 352, 990, 2, Smoke::mf_static, 69, 308},	//715 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {31, 299, 993, 2, Smoke::mf_static, 233, 309},	//716 QGlobalSpace::operator+(const QByteArray&, char)
    {31, 352, 996, 2, Smoke::mf_static, 72, 310},	//717 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {31, 465, 0, 0, Smoke::mf_static, 286, 311},	//718 QGlobalSpace::qVersion()
    {31, 352, 999, 2, Smoke::mf_static, 78, 312},	//719 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {31, 314, 1002, 2, Smoke::mf_static, 13, 313},	//720 QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    {31, 299, 470, 2, Smoke::mf_static, 265, 314},	//721 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {31, 314, 1005, 2, Smoke::mf_static, 53, 315},	//722 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {31, 328, 425, 2, Smoke::mf_static, 227, 316},	//723 QGlobalSpace::operator==(const char*, const QString&)
    {31, 352, 1008, 2, Smoke::mf_static, 71, 317},	//724 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {31, 314, 1011, 2, Smoke::mf_static, 53, 318},	//725 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {31, 314, 1014, 2, Smoke::mf_static, 56, 319},	//726 QGlobalSpace::operator<<(QDebug, const QDBusError&)
    {31, 352, 1017, 2, Smoke::mf_static, 95, 320},	//727 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {31, 328, 690, 2, Smoke::mf_static, 227, 321},	//728 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {31, 457, 1020, 2, Smoke::mf_static, 227, 322},	//729 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {31, 352, 1023, 2, Smoke::mf_static, 67, 323},	//730 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {31, 314, 1026, 2, Smoke::mf_static, 53, 324},	//731 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {31, 299, 1029, 2, Smoke::mf_static, 233, 325},	//732 QGlobalSpace::operator+(char, const QByteArray&)
    {31, 299, 1032, 2, Smoke::mf_static, 275, 326},	//733 QGlobalSpace::operator+(const QString&, const char*)
    {31, 352, 1035, 2, Smoke::mf_static, 95, 327},	//734 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {31, 309, 601, 2, Smoke::mf_static, 227, 328},	//735 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {31, 372, 1038, 3, Smoke::mf_static, 5, 329},	//736 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {31, 372, 604, 2, Smoke::mf_static, 5, 330},	//737 QGlobalSpace::qCompress(const unsigned char*, int)
    {31, 393, 178, 1, Smoke::mf_static, 292, 331},	//738 QGlobalSpace::qFloor(double)
    {31, 352, 1042, 2, Smoke::mf_static, 88, 332},	//739 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {31, 403, 66, 1, Smoke::mf_static, 304, 333},	//740 QGlobalSpace::qHash(const QString&)
    {31, 299, 281, 2, Smoke::mf_static, 275, 334},	//741 QGlobalSpace::operator+(const QString&, const QString&)
    {31, 289, 1045, 2, Smoke::mf_static, 227, 335},	//742 QGlobalSpace::operator!=(QBool, bool)
    {31, 328, 601, 2, Smoke::mf_static, 227, 336},	//743 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {31, 328, 1048, 2, Smoke::mf_static, 227, 337},	//744 QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    {31, 314, 1051, 2, Smoke::mf_static, 13, 338},	//745 QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    {31, 314, 1054, 2, Smoke::mf_static, 53, 339},	//746 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {31, 416, 515, 1, Smoke::mf_static, 227, 340},	//747 QGlobalSpace::qIsNaN(float)
    {31, 314, 1057, 2, Smoke::mf_static, 53, 341},	//748 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {31, 352, 1060, 2, Smoke::mf_static, 95, 342},	//749 QGlobalSpace::operator|(QDir::SortFlag, int)
    {31, 289, 672, 2, Smoke::mf_static, 227, 343},	//750 QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    {31, 426, 1063, 3, Smoke::mf_static, 316, 344},	//751 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {31, 395, 1067, 1, Smoke::mf_static, 0, 345},	//752 QGlobalSpace::qFree(void*)
    {31, 328, 1020, 2, Smoke::mf_static, 227, 346},	//753 QGlobalSpace::operator==(const QStringRef&, const char*)
    {31, 338, 425, 2, Smoke::mf_static, 227, 347},	//754 QGlobalSpace::operator>=(const char*, const QString&)
    {31, 416, 178, 1, Smoke::mf_static, 227, 348},	//755 QGlobalSpace::qIsNaN(double)
    {31, 352, 1069, 2, Smoke::mf_static, 90, 349},	//756 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {31, 296, 822, 2, Smoke::mf_static, 263, 350},	//757 QGlobalSpace::operator*(const QPoint&, double)
    {31, 352, 1072, 2, Smoke::mf_static, 95, 351},	//758 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    {31, 314, 1075, 2, Smoke::mf_static, 56, 352},	//759 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {31, 450, 170, 1, Smoke::mf_static, 124, 353},	//760 QGlobalSpace::qSetRealNumberPrecision(int)
    {31, 473, 0, 0, Smoke::mf_static, 292, 354},	//761 QGlobalSpace::qrand()
    {31, 343, 1078, 2, Smoke::mf_static, 53, 355},	//762 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {31, 352, 1081, 2, Smoke::mf_static, 91, 356},	//763 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {31, 299, 601, 2, Smoke::mf_static, 233, 357},	//764 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {31, 296, 1084, 2, Smoke::mf_static, 263, 358},	//765 QGlobalSpace::operator*(double, const QPoint&)
    {31, 289, 1020, 2, Smoke::mf_static, 227, 359},	//766 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {31, 453, 178, 1, Smoke::mf_static, 289, 360},	//767 QGlobalSpace::qSin(double)
    {31, 314, 1087, 2, Smoke::mf_static, 56, 361},	//768 QGlobalSpace::operator<<(QDebug, const QObject*)
    {31, 328, 577, 2, Smoke::mf_static, 227, 362},	//769 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {31, 352, 1090, 2, Smoke::mf_static, 70, 363},	//770 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {31, 500, 6, 3, Smoke::mf_static, 0, 364},	//771 QGlobalSpace::qt_assert(const char*, const char*, int)
    {31, 314, 1093, 2, Smoke::mf_static, 56, 365},	//772 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {31, 487, 1, 1, Smoke::mf_static, 304, 366},	//773 QGlobalSpace::qstrlen(const char*)
    {31, 352, 1096, 2, Smoke::mf_static, 76, 367},	//774 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {31, 352, 1099, 2, Smoke::mf_static, 67, 368},	//775 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {31, 414, 178, 1, Smoke::mf_static, 227, 369},	//776 QGlobalSpace::qIsInf(double)
    {31, 304, 446, 2, Smoke::mf_static, 271, 370},	//777 QGlobalSpace::operator-(const QSize&, const QSize&)
    {31, 307, 805, 2, Smoke::mf_static, 271, 371},	//778 QGlobalSpace::operator/(const QSize&, double)
    {31, 338, 563, 2, Smoke::mf_static, 227, 372},	//779 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {31, 352, 1102, 2, Smoke::mf_static, 95, 373},	//780 QGlobalSpace::operator|(QDir::Filter, int)
    {31, 352, 1105, 2, Smoke::mf_static, 95, 374},	//781 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {31, 289, 563, 2, Smoke::mf_static, 227, 375},	//782 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {31, 460, 178, 1, Smoke::mf_static, 289, 376},	//783 QGlobalSpace::qTan(double)
    {31, 443, 178, 1, Smoke::mf_static, 295, 377},	//784 QGlobalSpace::qRound64(double)
    {31, 403, 1108, 1, Smoke::mf_static, 304, 378},	//785 QGlobalSpace::qHash(unsigned long)
    {31, 314, 1110, 2, Smoke::mf_static, 13, 379},	//786 QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    {31, 352, 1113, 2, Smoke::mf_static, 63, 380},	//787 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {31, 445, 0, 0, Smoke::mf_static, 289, 381},	//788 QGlobalSpace::qSNaN()
    {31, 309, 520, 2, Smoke::mf_static, 227, 382},	//789 QGlobalSpace::operator<(QChar, QChar)
    {31, 352, 1116, 2, Smoke::mf_static, 87, 383},	//790 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {31, 352, 1119, 2, Smoke::mf_static, 80, 384},	//791 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {31, 304, 690, 2, Smoke::mf_static, 273, 385},	//792 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {31, 422, 1122, 1, Smoke::mf_static, 316, 386},	//793 QGlobalSpace::qMalloc(size_t)
    {31, 418, 178, 1, Smoke::mf_static, 227, 387},	//794 QGlobalSpace::qIsNull(double)
    {31, 471, 563, 2, Smoke::mf_static, 227, 388},	//795 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {31, 352, 1124, 2, Smoke::mf_static, 95, 389},	//796 QGlobalSpace::operator|(Qt::Orientation, int)
    {31, 352, 1127, 2, Smoke::mf_static, 95, 390},	//797 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {31, 343, 1130, 2, Smoke::mf_static, 53, 391},	//798 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {31, 343, 1133, 2, Smoke::mf_static, 53, 392},	//799 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {31, 401, 515, 1, Smoke::mf_static, 227, 393},	//800 QGlobalSpace::qFuzzyIsNull(float)
    {31, 314, 1136, 2, Smoke::mf_static, 53, 394},	//801 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {31, 403, 182, 1, Smoke::mf_static, 304, 395},	//802 QGlobalSpace::qHash(const QDBusObjectPath&)
    {31, 314, 1139, 2, Smoke::mf_static, 56, 396},	//803 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {31, 403, 1142, 1, Smoke::mf_static, 304, 397},	//804 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {31, 352, 1144, 2, Smoke::mf_static, 95, 398},	//805 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {31, 314, 1147, 2, Smoke::mf_static, 56, 399},	//806 QGlobalSpace::operator<<(QDebug, const QTime&)
    {31, 352, 1150, 2, Smoke::mf_static, 91, 400},	//807 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {31, 333, 422, 2, Smoke::mf_static, 227, 401},	//808 QGlobalSpace::operator>(const QByteArray&, const char*)
    {31, 289, 888, 2, Smoke::mf_static, 227, 402},	//809 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {31, 352, 1153, 2, Smoke::mf_static, 82, 403},	//810 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {31, 289, 425, 2, Smoke::mf_static, 227, 404},	//811 QGlobalSpace::operator!=(const char*, const QString&)
    {31, 446, 170, 1, Smoke::mf_static, 124, 405},	//812 QGlobalSpace::qSetFieldWidth(int)
    {31, 457, 1032, 2, Smoke::mf_static, 227, 406},	//813 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {31, 352, 1156, 2, Smoke::mf_static, 92, 407},	//814 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {31, 352, 1159, 2, Smoke::mf_static, 79, 408},	//815 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {31, 352, 1162, 2, Smoke::mf_static, 95, 409},	//816 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {31, 309, 459, 2, Smoke::mf_static, 227, 410},	//817 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {31, 296, 1165, 2, Smoke::mf_static, 273, 411},	//818 QGlobalSpace::operator*(double, const QSizeF&)
    {31, 338, 462, 2, Smoke::mf_static, 227, 412},	//819 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {31, 314, 1168, 2, Smoke::mf_static, 56, 413},	//820 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {31, 403, 188, 1, Smoke::mf_static, 304, 414},	//821 QGlobalSpace::qHash(const QByteArray&)
    {31, 328, 485, 2, Smoke::mf_static, 227, 415},	//822 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {31, 403, 1171, 1, Smoke::mf_static, 304, 416},	//823 QGlobalSpace::qHash(const QModelIndex&)
    {31, 352, 1173, 2, Smoke::mf_static, 95, 417},	//824 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {31, 328, 595, 2, Smoke::mf_static, 227, 418},	//825 QGlobalSpace::operator==(const QRect&, const QRect&)
    {31, 352, 1176, 2, Smoke::mf_static, 86, 419},	//826 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {31, 352, 1179, 2, Smoke::mf_static, 83, 420},	//827 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {31, 397, 1067, 1, Smoke::mf_static, 0, 421},	//828 QGlobalSpace::qFreeAligned(void*)
    {31, 352, 1182, 2, Smoke::mf_static, 88, 422},	//829 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {31, 314, 1185, 2, Smoke::mf_static, 56, 423},	//830 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {31, 328, 422, 2, Smoke::mf_static, 227, 424},	//831 QGlobalSpace::operator==(const QByteArray&, const char*)
    {31, 352, 1188, 2, Smoke::mf_static, 95, 425},	//832 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {31, 328, 449, 2, Smoke::mf_static, 227, 426},	//833 QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    {31, 352, 1191, 2, Smoke::mf_static, 95, 427},	//834 QGlobalSpace::operator|(Qt::MouseButton, int)
    {31, 420, 178, 1, Smoke::mf_static, 289, 428},	//835 QGlobalSpace::qLn(double)
    {31, 328, 1045, 2, Smoke::mf_static, 227, 429},	//836 QGlobalSpace::operator==(QBool, bool)
    {31, 289, 422, 2, Smoke::mf_static, 227, 430},	//837 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {31, 350, 574, 2, Smoke::mf_static, 2, 431},	//838 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {31, 361, 178, 1, Smoke::mf_static, 289, 432},	//839 QGlobalSpace::qAsin(double)
    {31, 343, 1194, 2, Smoke::mf_static, 53, 433},	//840 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {31, 367, 0, 0, Smoke::mf_static, 0, 434},	//841 QGlobalSpace::qBadAlloc()
    {31, 352, 1197, 2, Smoke::mf_static, 95, 435},	//842 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {31, 352, 1200, 2, Smoke::mf_static, 95, 436},	//843 QGlobalSpace::operator|(QString::SectionFlag, int)
    {31, 299, 1203, 2, Smoke::mf_static, 275, 437},	//844 QGlobalSpace::operator+(char, const QString&)
    {31, 314, 1206, 2, Smoke::mf_static, 53, 438},	//845 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {31, 412, 515, 1, Smoke::mf_static, 227, 439},	//846 QGlobalSpace::qIsFinite(float)
    {31, 352, 1209, 2, Smoke::mf_static, 66, 440},	//847 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {31, 299, 690, 2, Smoke::mf_static, 273, 441},	//848 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {31, 352, 1212, 2, Smoke::mf_static, 74, 442},	//849 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {31, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 294, 443},	//850 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {31, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 294, 444},	//851 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {31, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 294, 445},	//852 QGlobalSpace::Q_STATIC_TYPE (enum)
    {31, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 294, 446},	//853 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {31, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 294, 447},	//854 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {31, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 448},	//855 QGlobalSpace::LicensedGui (enum)
    {31, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 449},	//856 QGlobalSpace::LicensedXml (enum)
    {31, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 450},	//857 QGlobalSpace::LicensedQt3SupportLight (enum)
    {31, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 451},	//858 QGlobalSpace::LicensedScript (enum)
    {31, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 452},	//859 QGlobalSpace::LicensedOpenVG (enum)
    {31, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 453},	//860 QGlobalSpace::LicensedDBus (enum)
    {31, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 454},	//861 QGlobalSpace::LicensedTest (enum)
    {31, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 455},	//862 QGlobalSpace::LicensedActiveQt (enum)
    {31, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 456},	//863 QGlobalSpace::LicensedScriptTools (enum)
    {31, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 457},	//864 QGlobalSpace::LicensedSvg (enum)
    {31, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 458},	//865 QGlobalSpace::LicensedDeclarative (enum)
    {31, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 459},	//866 QGlobalSpace::LicensedSql (enum)
    {31, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 460},	//867 QGlobalSpace::LicensedOpenGL (enum)
    {31, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 461},	//868 QGlobalSpace::LicensedCore (enum)
    {31, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 462},	//869 QGlobalSpace::QtDebugMsg (enum)
    {31, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 463},	//870 QGlobalSpace::QtWarningMsg (enum)
    {31, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 464},	//871 QGlobalSpace::QtCriticalMsg (enum)
    {31, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 465},	//872 QGlobalSpace::QtFatalMsg (enum)
    {31, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 466},	//873 QGlobalSpace::QtSystemMsg (enum)
    {31, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 467},	//874 QGlobalSpace::LicensedHelp (enum)
    {31, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 468},	//875 QGlobalSpace::LicensedMultimedia (enum)
    {31, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 469},	//876 QGlobalSpace::LicensedQt3Support (enum)
    {31, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 470},	//877 QGlobalSpace::LicensedXmlPatterns (enum)
    {31, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 471},	//878 QGlobalSpace::LicensedNetwork (enum)
    {41, 283, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 259, 0},	//879 QObject::metaObject() const
    {41, 512, 1, 1, Smoke::mf_virtual, 316, 0},	//880 QObject::qt_metacast(const char*)
    {41, 254, 1215, 1, Smoke::mf_virtual, 227, 0},	//881 QObject::event(QEvent*)
    {41, 255, 1217, 2, Smoke::mf_virtual, 227, 0},	//882 QObject::eventFilter(QObject*, QEvent*)
    {41, 575, 1220, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//883 QObject::timerEvent(QTimerEvent*)
    {41, 209, 1222, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//884 QObject::childEvent(QChildEvent*)
    {41, 234, 1215, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//885 QObject::customEvent(QEvent*)
    {41, 214, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//886 QObject::connectNotify(const char*)
    {41, 243, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//887 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    243,  // QDBusContext::sendErrorReply(const QString&) const
    244,  // QDBusContext::sendErrorReply(QDBusError::ErrorType) const
    0,
    240,  // QDBusContext::sendErrorReply(const QString&, const QString&) const
    241,  // QDBusContext::sendErrorReply(QDBusError::ErrorType, const QString&) const
    0,
    100,  // QDBusArgument::beginMapEntry()
    126,  // QDBusArgument::beginMapEntry() const
    0,
    94,  // QDBusArgument::beginStructure()
    120,  // QDBusArgument::beginStructure() const
    0,
    97,  // QDBusArgument::endArray()
    123,  // QDBusArgument::endArray() const
    0,
    99,  // QDBusArgument::endMap()
    125,  // QDBusArgument::endMap() const
    0,
    101,  // QDBusArgument::endMapEntry()
    127,  // QDBusArgument::endMapEntry() const
    0,
    95,  // QDBusArgument::endStructure()
    121,  // QDBusArgument::endStructure() const
    0,
    89,  // QDBusArgument::operator<<(const QDBusVariant&)
    93,  // QDBusArgument::operator<<(const QByteArray&)
    0,
    79,  // QDBusArgument::operator<<(unsigned char)
    80,  // QDBusArgument::operator<<(bool)
    81,  // QDBusArgument::operator<<(short)
    82,  // QDBusArgument::operator<<(unsigned short)
    83,  // QDBusArgument::operator<<(int)
    84,  // QDBusArgument::operator<<(unsigned int)
    87,  // QDBusArgument::operator<<(double)
    88,  // QDBusArgument::operator<<(const QString&)
    90,  // QDBusArgument::operator<<(const QDBusObjectPath&)
    91,  // QDBusArgument::operator<<(const QDBusSignature&)
    0,
    85,  // QDBusArgument::operator<<(long long)
    86,  // QDBusArgument::operator<<(unsigned long long)
    92,  // QDBusArgument::operator<<(const QStringList&)
    0,
    115,  // QDBusArgument::operator>>(QDBusVariant&) const
    119,  // QDBusArgument::operator>>(QByteArray&) const
    0,
    105,  // QDBusArgument::operator>>(unsigned char&) const
    106,  // QDBusArgument::operator>>(bool&) const
    107,  // QDBusArgument::operator>>(short&) const
    108,  // QDBusArgument::operator>>(unsigned short&) const
    109,  // QDBusArgument::operator>>(int&) const
    110,  // QDBusArgument::operator>>(unsigned int&) const
    113,  // QDBusArgument::operator>>(double&) const
    114,  // QDBusArgument::operator>>(QString&) const
    116,  // QDBusArgument::operator>>(QDBusObjectPath&) const
    117,  // QDBusArgument::operator>>(QDBusSignature&) const
    0,
    111,  // QDBusArgument::operator>>(long long&) const
    112,  // QDBusArgument::operator>>(unsigned long long&) const
    118,  // QDBusArgument::operator>>(QStringList&) const
    0,
    443,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    450,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    455,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    466,  // QGlobalSpace::operator!=(QChar, QChar)
    490,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    497,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    510,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    511,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    542,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    558,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    574,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    596,  // QGlobalSpace::operator!=(QBool, QBool)
    608,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    639,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    677,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    809,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    0,
    633,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    659,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    742,  // QGlobalSpace::operator!=(QBool, bool)
    766,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    837,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    0,
    444,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    492,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    599,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    662,  // QGlobalSpace::operator!=(bool, QBool)
    672,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    782,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    0,
    462,  // QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    750,  // QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    811,  // QGlobalSpace::operator!=(const char*, const QString&)
    0,
    424,  // QGlobalSpace::operator*(const QSizeF&, double)
    504,  // QGlobalSpace::operator*(const QPointF&, double)
    622,  // QGlobalSpace::operator*(const QSize&, double)
    757,  // QGlobalSpace::operator*(const QPoint&, double)
    0,
    559,  // QGlobalSpace::operator*(double, const QSize&)
    692,  // QGlobalSpace::operator*(double, const QPointF&)
    765,  // QGlobalSpace::operator*(double, const QPoint&)
    818,  // QGlobalSpace::operator*(double, const QSizeF&)
    0,
    447,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    688,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    721,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    764,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    848,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    0,
    438,  // QGlobalSpace::operator+(QChar, const QString&)
    667,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    689,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    716,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    446,  // QGlobalSpace::operator+(const QString&, QChar)
    491,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    710,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    732,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    570,  // QGlobalSpace::operator+(const char*, const QString&)
    598,  // QGlobalSpace::operator+(const QString&, char)
    733,  // QGlobalSpace::operator+(const QString&, const char*)
    741,  // QGlobalSpace::operator+(const QString&, const QString&)
    844,  // QGlobalSpace::operator+(char, const QString&)
    0,
    566,  // QGlobalSpace::operator-(const QPointF&)
    582,  // QGlobalSpace::operator-(const QPoint&)
    0,
    470,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    625,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    777,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    792,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    0,
    576,  // QGlobalSpace::operator/(const QSizeF&, double)
    604,  // QGlobalSpace::operator/(const QPointF&, double)
    630,  // QGlobalSpace::operator/(const QPoint&, double)
    778,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    595,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    735,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    789,  // QGlobalSpace::operator<(QChar, QChar)
    817,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    498,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    660,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    436,  // QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    549,  // QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    653,  // QGlobalSpace::operator<(const char*, const QString&)
    0,
    410,  // QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    412,  // QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    415,  // QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    419,  // QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    425,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    451,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    452,  // QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    454,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    471,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    479,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    488,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    505,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    524,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    525,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    527,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    539,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    557,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    573,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    578,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    581,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    588,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    589,  // QGlobalSpace::operator<<(QDebug, const QDBusMessage&)
    601,  // QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    609,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    618,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    624,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    632,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    642,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    658,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    676,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    680,  // QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    687,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    694,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    695,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    697,  // QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    704,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    709,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    714,  // QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    722,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    725,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    726,  // QGlobalSpace::operator<<(QDebug, const QDBusError&)
    731,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    745,  // QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    748,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    759,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    768,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    772,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    786,  // QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    801,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    803,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    806,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    820,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    845,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    0,
    434,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    476,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    517,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    669,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    830,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    0,
    433,  // QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    720,  // QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    746,  // QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    0,
    440,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    441,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    503,  // QGlobalSpace::operator<=(QChar, QChar)
    513,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    0,
    553,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    572,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    432,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    435,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    449,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    458,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    506,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    509,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    533,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    602,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    643,  // QGlobalSpace::operator==(QBool, QBool)
    666,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    682,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    705,  // QGlobalSpace::operator==(QChar, QChar)
    728,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    743,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    744,  // QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    769,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    822,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    825,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    0,
    610,  // QGlobalSpace::operator==(QString::Null, const QString&)
    654,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    753,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    831,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    836,  // QGlobalSpace::operator==(QBool, bool)
    0,
    478,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    537,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    547,  // QGlobalSpace::operator==(const QString&, QString::Null)
    637,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    648,  // QGlobalSpace::operator==(bool, QBool)
    684,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    0,
    620,  // QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    723,  // QGlobalSpace::operator==(const char*, const QString&)
    833,  // QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    0,
    489,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    528,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    575,  // QGlobalSpace::operator>(QChar, QChar)
    703,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    522,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    534,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    501,  // QGlobalSpace::operator>=(QChar, QChar)
    529,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    592,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    819,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    0,
    416,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    779,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    413,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    417,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    429,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    445,  // QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    461,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    469,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    512,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    518,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    526,  // QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    532,  // QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    556,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    562,  // QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    571,  // QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    585,  // QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    586,  // QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    593,  // QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    594,  // QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    616,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    621,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    627,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    644,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    646,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    651,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    661,  // QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    671,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    696,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    701,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    707,  // QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    712,  // QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    762,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    798,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    840,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    0,
    640,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    799,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    409,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    414,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    420,  // QGlobalSpace::operator|(Qt::WindowType, int)
    430,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    431,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    453,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    464,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    472,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    480,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    482,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    486,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    494,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    502,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    507,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    519,  // QGlobalSpace::operator|(Qt::DropAction, int)
    521,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    531,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    538,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    540,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    541,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    544,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    545,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    546,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    548,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    551,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    554,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    555,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    560,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    564,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    567,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    569,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    577,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    587,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    590,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    591,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    597,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    606,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    614,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    615,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    626,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    628,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    635,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    638,  // QGlobalSpace::operator|(Qt::WindowState, int)
    647,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    649,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    657,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    664,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    668,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    670,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    674,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    681,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    683,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    685,  // QGlobalSpace::operator|(QFile::Permission, int)
    702,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    713,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    715,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    717,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    719,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    724,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    727,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    730,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    734,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    739,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    749,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    756,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    758,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    763,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    770,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    774,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    775,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    780,  // QGlobalSpace::operator|(QDir::Filter, int)
    781,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    787,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    790,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    791,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    796,  // QGlobalSpace::operator|(Qt::Orientation, int)
    797,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    805,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    807,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    810,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    814,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    815,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    816,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    824,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    826,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    827,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    829,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    832,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    834,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    842,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    843,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    847,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    849,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    0,
    552,  // QGlobalSpace::qFuzzyCompare(double, double)
    617,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    650,  // QGlobalSpace::qFuzzyIsNull(double)
    800,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    493,  // QGlobalSpace::qHash(const QBitArray&)
    656,  // QGlobalSpace::qHash(QChar)
    700,  // QGlobalSpace::qHash(const QStringRef&)
    804,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    821,  // QGlobalSpace::qHash(const QByteArray&)
    823,  // QGlobalSpace::qHash(const QModelIndex&)
    0,
    422,  // QGlobalSpace::qHash(unsigned int)
    423,  // QGlobalSpace::qHash(char)
    456,  // QGlobalSpace::qHash(unsigned char)
    468,  // QGlobalSpace::qHash(const QDBusSignature&)
    477,  // QGlobalSpace::qHash(short)
    485,  // QGlobalSpace::qHash(long)
    536,  // QGlobalSpace::qHash(unsigned short)
    634,  // QGlobalSpace::qHash(int)
    679,  // QGlobalSpace::qHash(signed char)
    740,  // QGlobalSpace::qHash(const QString&)
    785,  // QGlobalSpace::qHash(unsigned long)
    802,  // QGlobalSpace::qHash(const QDBusObjectPath&)
    0,
    563,  // QGlobalSpace::qHash(long long)
    600,  // QGlobalSpace::qHash(unsigned long long)
    0,
    530,  // QGlobalSpace::qIntCast(float)
    605,  // QGlobalSpace::qIntCast(double)
    0,
    481,  // QGlobalSpace::qIsFinite(double)
    846,  // QGlobalSpace::qIsFinite(float)
    0,
    568,  // QGlobalSpace::qIsInf(float)
    776,  // QGlobalSpace::qIsInf(double)
    0,
    747,  // QGlobalSpace::qIsNaN(float)
    755,  // QGlobalSpace::qIsNaN(double)
    0,
    463,  // QGlobalSpace::qIsNull(float)
    794,  // QGlobalSpace::qIsNull(double)
    0,
    298,  // QDBusMessage::createError(const QString&, const QString&)
    300,  // QDBusMessage::createError(QDBusError::ErrorType, const QString&)
    0,
    303,  // QDBusMessage::createErrorReply(const QString, const QString&) const
    305,  // QDBusMessage::createErrorReply(QDBusError::ErrorType, const QString&) const
    0,
    246,  // QDBusError::QDBusError(const DBusError*)
    247,  // QDBusError::QDBusError(const QDBusMessage&)
    249,  // QDBusError::QDBusError(const QDBusError&)
    0,
    147,  // QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, int) const
    168,  // QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*) const
    0,
    162,  // QDBusConnection::connectToBus(QDBusConnection::BusType, const QString&)
    163,  // QDBusConnection::connectToBus(const QString&, const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {7, 6, 4},	// QDBus::AutoDetect
    {7, 9, 2},	// QDBus::Block
    {7, 10, 3},	// QDBus::BlockWithGui
    {7, 69, 1},	// QDBus::NoBlock
    {8, 78, 12},	// QDBusAbstractAdaptor::QDBusAbstractAdaptor#
    {8, 168, 14},	// QDBusAbstractAdaptor::autoRelaySignals
    {8, 283, 5},	// QDBusAbstractAdaptor::metaObject
    {8, 511, 11},	// QDBusAbstractAdaptor::qt_metacall$$?
    {8, 513, 6},	// QDBusAbstractAdaptor::qt_metacast$
    {8, 559, 13},	// QDBusAbstractAdaptor::setAutoRelaySignals$
    {8, 573, 17},	// QDBusAbstractAdaptor::staticMetaObject
    {8, 577, 15},	// QDBusAbstractAdaptor::tr$
    {8, 578, 7},	// QDBusAbstractAdaptor::tr$$
    {8, 579, 9},	// QDBusAbstractAdaptor::tr$$$
    {8, 581, 16},	// QDBusAbstractAdaptor::trUtf8$
    {8, 582, 8},	// QDBusAbstractAdaptor::trUtf8$$
    {8, 583, 10},	// QDBusAbstractAdaptor::trUtf8$$$
    {8, 595, 18},	// QDBusAbstractAdaptor::~QDBusAbstractAdaptor
    {9, 80, 39},	// QDBusAbstractInterface::QDBusAbstractInterface$$$##
    {9, 156, 63},	// QDBusAbstractInterface::asyncCall$
    {9, 157, 64},	// QDBusAbstractInterface::asyncCall$#
    {9, 158, 65},	// QDBusAbstractInterface::asyncCall$##
    {9, 159, 66},	// QDBusAbstractInterface::asyncCall$###
    {9, 160, 67},	// QDBusAbstractInterface::asyncCall$####
    {9, 161, 68},	// QDBusAbstractInterface::asyncCall$#####
    {9, 162, 69},	// QDBusAbstractInterface::asyncCall$######
    {9, 163, 70},	// QDBusAbstractInterface::asyncCall$#######
    {9, 164, 37},	// QDBusAbstractInterface::asyncCall$########
    {9, 166, 38},	// QDBusAbstractInterface::asyncCallWithArgumentList$?
    {9, 180, 47},	// QDBusAbstractInterface::call$
    {9, 181, 48},	// QDBusAbstractInterface::call$#
    {9, 182, 49},	// QDBusAbstractInterface::call$##
    {9, 183, 50},	// QDBusAbstractInterface::call$###
    {9, 184, 51},	// QDBusAbstractInterface::call$####
    {9, 185, 52},	// QDBusAbstractInterface::call$#####
    {9, 186, 53},	// QDBusAbstractInterface::call$######
    {9, 187, 54},	// QDBusAbstractInterface::call$#######
    {9, 188, 32},	// QDBusAbstractInterface::call$########
    {9, 189, 55},	// QDBusAbstractInterface::call$$
    {9, 190, 56},	// QDBusAbstractInterface::call$$#
    {9, 191, 57},	// QDBusAbstractInterface::call$$##
    {9, 192, 58},	// QDBusAbstractInterface::call$$###
    {9, 193, 59},	// QDBusAbstractInterface::call$$####
    {9, 194, 60},	// QDBusAbstractInterface::call$$#####
    {9, 195, 61},	// QDBusAbstractInterface::call$$######
    {9, 196, 62},	// QDBusAbstractInterface::call$$#######
    {9, 197, 33},	// QDBusAbstractInterface::call$$########
    {9, 199, 34},	// QDBusAbstractInterface::callWithArgumentList$$?
    {9, 204, 36},	// QDBusAbstractInterface::callWithCallback$?#$
    {9, 205, 35},	// QDBusAbstractInterface::callWithCallback$?#$$
    {9, 215, 40},	// QDBusAbstractInterface::connectNotify$
    {9, 218, 27},	// QDBusAbstractInterface::connection
    {9, 244, 41},	// QDBusAbstractInterface::disconnectNotify$
    {9, 262, 30},	// QDBusAbstractInterface::interface
    {9, 264, 71},	// QDBusAbstractInterface::internalConstCall$$
    {9, 265, 44},	// QDBusAbstractInterface::internalConstCall$$?
    {9, 267, 42},	// QDBusAbstractInterface::internalPropGet$
    {9, 269, 43},	// QDBusAbstractInterface::internalPropSet$#
    {9, 277, 26},	// QDBusAbstractInterface::isValid
    {9, 278, 31},	// QDBusAbstractInterface::lastError
    {9, 283, 19},	// QDBusAbstractInterface::metaObject
    {9, 355, 29},	// QDBusAbstractInterface::path
    {9, 511, 25},	// QDBusAbstractInterface::qt_metacall$$?
    {9, 513, 20},	// QDBusAbstractInterface::qt_metacast$
    {9, 542, 28},	// QDBusAbstractInterface::service
    {9, 573, 72},	// QDBusAbstractInterface::staticMetaObject
    {9, 577, 45},	// QDBusAbstractInterface::tr$
    {9, 578, 21},	// QDBusAbstractInterface::tr$$
    {9, 579, 23},	// QDBusAbstractInterface::tr$$$
    {9, 581, 46},	// QDBusAbstractInterface::trUtf8$
    {9, 582, 22},	// QDBusAbstractInterface::trUtf8$$
    {9, 583, 24},	// QDBusAbstractInterface::trUtf8$$$
    {9, 596, 73},	// QDBusAbstractInterface::~QDBusAbstractInterface
    {10, 511, 74},	// QDBusAbstractInterfaceBase::qt_metacall$$?
    {10, 597, 75},	// QDBusAbstractInterfaceBase::~QDBusAbstractInterfaceBase
    {11, 5, 132},	// QDBusArgument::ArrayType
    {11, 8, 130},	// QDBusArgument::BasicType
    {11, 60, 135},	// QDBusArgument::MapEntryType
    {11, 61, 134},	// QDBusArgument::MapType
    {11, 81, 76},	// QDBusArgument::QDBusArgument
    {11, 82, 77},	// QDBusArgument::QDBusArgument#
    {11, 132, 133},	// QDBusArgument::StructureType
    {11, 139, 136},	// QDBusArgument::UnknownType
    {11, 142, 131},	// QDBusArgument::VariantType
    {11, 150, 102},	// QDBusArgument::appendVariant#
    {11, 152, 129},	// QDBusArgument::asVariant
    {11, 167, 128},	// QDBusArgument::atEnd
    {11, 170, 122},	// QDBusArgument::beginArray
    {11, 171, 96},	// QDBusArgument::beginArray$
    {11, 172, 124},	// QDBusArgument::beginMap
    {11, 173, 98},	// QDBusArgument::beginMap$$
    {11, 174, -7},	// QDBusArgument::beginMapEntry
    {11, 175, -10},	// QDBusArgument::beginStructure
    {11, 232, 103},	// QDBusArgument::currentSignature
    {11, 233, 104},	// QDBusArgument::currentType
    {11, 245, -13},	// QDBusArgument::endArray
    {11, 246, -16},	// QDBusArgument::endMap
    {11, 247, -19},	// QDBusArgument::endMapEntry
    {11, 248, -22},	// QDBusArgument::endStructure
    {11, 315, -25},	// QDBusArgument::operator<<#
    {11, 319, -28},	// QDBusArgument::operator<<$
    {11, 320, -39},	// QDBusArgument::operator<<?
    {11, 327, 78},	// QDBusArgument::operator=#
    {11, 344, -43},	// QDBusArgument::operator>>#
    {11, 348, -46},	// QDBusArgument::operator>>$
    {11, 349, -57},	// QDBusArgument::operator>>?
    {11, 598, 137},	// QDBusArgument::~QDBusArgument
    {12, 2, 178},	// QDBusConnection::ActivationBus
    {12, 15, 179},	// QDBusConnection::ExportAdaptors
    {12, 16, 191},	// QDBusConnection::ExportAllContents
    {12, 17, 190},	// QDBusConnection::ExportAllProperties
    {12, 18, 192},	// QDBusConnection::ExportAllSignal
    {12, 19, 189},	// QDBusConnection::ExportAllSignals
    {12, 20, 188},	// QDBusConnection::ExportAllSlots
    {12, 21, 193},	// QDBusConnection::ExportChildObjects
    {12, 22, 187},	// QDBusConnection::ExportNonScriptableContents
    {12, 23, 186},	// QDBusConnection::ExportNonScriptableProperties
    {12, 24, 185},	// QDBusConnection::ExportNonScriptableSignals
    {12, 25, 184},	// QDBusConnection::ExportNonScriptableSlots
    {12, 26, 183},	// QDBusConnection::ExportScriptableContents
    {12, 27, 182},	// QDBusConnection::ExportScriptableProperties
    {12, 28, 181},	// QDBusConnection::ExportScriptableSignals
    {12, 29, 180},	// QDBusConnection::ExportScriptableSlots
    {12, 84, 139},	// QDBusConnection::QDBusConnection#
    {12, 85, 138},	// QDBusConnection::QDBusConnection$
    {12, 130, 176},	// QDBusConnection::SessionBus
    {12, 133, 177},	// QDBusConnection::SystemBus
    {12, 140, 194},	// QDBusConnection::UnregisterNode
    {12, 141, 195},	// QDBusConnection::UnregisterTree
    {12, 154, 172},	// QDBusConnection::asyncCall#
    {12, 155, 149},	// QDBusConnection::asyncCall#$
    {12, 169, 142},	// QDBusConnection::baseService
    {12, 177, 170},	// QDBusConnection::call#
    {12, 178, 171},	// QDBusConnection::call#$
    {12, 179, 148},	// QDBusConnection::call#$$
    {12, 201, 169},	// QDBusConnection::callWithCallback##$
    {12, 202, -460},	// QDBusConnection::callWithCallback##$$
    {12, 203, 146},	// QDBusConnection::callWithCallback##$$$
    {12, 211, 150},	// QDBusConnection::connect$$$$#$
    {12, 212, 151},	// QDBusConnection::connect$$$$$#$
    {12, 213, 152},	// QDBusConnection::connect$$$$?$#$
    {12, 217, -463},	// QDBusConnection::connectToBus$$
    {12, 238, 153},	// QDBusConnection::disconnect$$$$#$
    {12, 239, 154},	// QDBusConnection::disconnect$$$$$#$
    {12, 240, 155},	// QDBusConnection::disconnect$$$$?$#$
    {12, 242, 164},	// QDBusConnection::disconnectFromBus$
    {12, 262, 161},	// QDBusConnection::interface
    {12, 270, 141},	// QDBusConnection::isConnected
    {12, 278, 143},	// QDBusConnection::lastError
    {12, 284, 144},	// QDBusConnection::name
    {12, 288, 158},	// QDBusConnection::objectRegisteredAt$
    {12, 327, 140},	// QDBusConnection::operator=#
    {12, 526, 173},	// QDBusConnection::registerObject$#
    {12, 527, 156},	// QDBusConnection::registerObject$#$
    {12, 529, 159},	// QDBusConnection::registerService$
    {12, 537, 145},	// QDBusConnection::send#
    {12, 541, 167},	// QDBusConnection::sender
    {12, 555, 165},	// QDBusConnection::sessionBus
    {12, 573, 175},	// QDBusConnection::staticMetaObject
    {12, 574, 166},	// QDBusConnection::systemBus
    {12, 588, 174},	// QDBusConnection::unregisterObject$
    {12, 589, 157},	// QDBusConnection::unregisterObject$$
    {12, 591, 160},	// QDBusConnection::unregisterService$
    {12, 599, 196},	// QDBusConnection::~QDBusConnection
    {13, 4, 230},	// QDBusConnectionInterface::AllowReplacement
    {13, 12, 229},	// QDBusConnectionInterface::DontAllowReplacement
    {13, 13, 226},	// QDBusConnectionInterface::DontQueueService
    {13, 64, 216},	// QDBusConnectionInterface::NameAcquired$
    {13, 66, 217},	// QDBusConnectionInterface::NameLost$
    {13, 68, 218},	// QDBusConnectionInterface::NameOwnerChanged$$$
    {13, 123, 227},	// QDBusConnectionInterface::QueueService
    {13, 124, 228},	// QDBusConnectionInterface::ReplaceExistingService
    {13, 126, 231},	// QDBusConnectionInterface::ServiceNotRegistered
    {13, 127, 233},	// QDBusConnectionInterface::ServiceQueued
    {13, 128, 232},	// QDBusConnectionInterface::ServiceRegistered
    {13, 207, 215},	// QDBusConnectionInterface::callWithCallbackFailed##
    {13, 215, 219},	// QDBusConnectionInterface::connectNotify$
    {13, 244, 220},	// QDBusConnectionInterface::disconnectNotify$
    {13, 276, 205},	// QDBusConnectionInterface::isServiceRegistered$
    {13, 283, 197},	// QDBusConnectionInterface::metaObject
    {13, 511, 203},	// QDBusConnectionInterface::qt_metacall$$?
    {13, 513, 198},	// QDBusConnectionInterface::qt_metacast$
    {13, 529, 223},	// QDBusConnectionInterface::registerService$
    {13, 530, 224},	// QDBusConnectionInterface::registerService$$
    {13, 531, 208},	// QDBusConnectionInterface::registerService$$$
    {13, 532, 204},	// QDBusConnectionInterface::registeredServiceNames
    {13, 544, 206},	// QDBusConnectionInterface::serviceOwner$
    {13, 546, 214},	// QDBusConnectionInterface::serviceOwnerChanged$$$
    {13, 548, 209},	// QDBusConnectionInterface::servicePid$
    {13, 550, 212},	// QDBusConnectionInterface::serviceRegistered$
    {13, 552, 210},	// QDBusConnectionInterface::serviceUid$
    {13, 554, 213},	// QDBusConnectionInterface::serviceUnregistered$
    {13, 572, 211},	// QDBusConnectionInterface::startService$
    {13, 573, 225},	// QDBusConnectionInterface::staticMetaObject
    {13, 577, 221},	// QDBusConnectionInterface::tr$
    {13, 578, 199},	// QDBusConnectionInterface::tr$$
    {13, 579, 201},	// QDBusConnectionInterface::tr$$$
    {13, 581, 222},	// QDBusConnectionInterface::trUtf8$
    {13, 582, 200},	// QDBusConnectionInterface::trUtf8$$
    {13, 583, 202},	// QDBusConnectionInterface::trUtf8$$$
    {13, 591, 207},	// QDBusConnectionInterface::unregisterService$
    {14, 86, 234},	// QDBusContext::QDBusContext
    {14, 87, 242},	// QDBusContext::QDBusContext#
    {14, 208, 235},	// QDBusContext::calledFromDBus
    {14, 218, 236},	// QDBusContext::connection
    {14, 271, 238},	// QDBusContext::isDelayedReply
    {14, 282, 237},	// QDBusContext::message
    {14, 539, -1},	// QDBusContext::sendErrorReply$
    {14, 540, -4},	// QDBusContext::sendErrorReply$$
    {14, 563, 239},	// QDBusContext::setDelayedReply$
    {14, 600, 245},	// QDBusContext::~QDBusContext
    {15, 1, 266},	// QDBusError::AccessDenied
    {15, 3, 270},	// QDBusError::AddressInUse
    {15, 7, 263},	// QDBusError::BadAddress
    {15, 11, 271},	// QDBusError::Disconnected
    {15, 30, 259},	// QDBusError::Failed
    {15, 31, 277},	// QDBusError::InternalError
    {15, 32, 272},	// QDBusError::InvalidArgs
    {15, 33, 281},	// QDBusError::InvalidInterface
    {15, 34, 282},	// QDBusError::InvalidMember
    {15, 36, 280},	// QDBusError::InvalidObjectPath
    {15, 37, 279},	// QDBusError::InvalidService
    {15, 38, 275},	// QDBusError::InvalidSignature
    {15, 39, 283},	// QDBusError::LastErrorType
    {15, 59, 265},	// QDBusError::LimitsExceeded
    {15, 70, 257},	// QDBusError::NoError
    {15, 71, 260},	// QDBusError::NoMemory
    {15, 72, 269},	// QDBusError::NoNetwork
    {15, 73, 262},	// QDBusError::NoReply
    {15, 74, 267},	// QDBusError::NoServer
    {15, 75, 264},	// QDBusError::NotSupported
    {15, 76, 258},	// QDBusError::Other
    {15, 88, 256},	// QDBusError::QDBusError
    {15, 89, -456},	// QDBusError::QDBusError#
    {15, 90, 248},	// QDBusError::QDBusError$$
    {15, 129, 261},	// QDBusError::ServiceUnknown
    {15, 134, 274},	// QDBusError::TimedOut
    {15, 135, 268},	// QDBusError::Timeout
    {15, 136, 276},	// QDBusError::UnknownInterface
    {15, 137, 273},	// QDBusError::UnknownMethod
    {15, 138, 278},	// QDBusError::UnknownObject
    {15, 253, 255},	// QDBusError::errorString$
    {15, 277, 254},	// QDBusError::isValid
    {15, 282, 253},	// QDBusError::message
    {15, 284, 252},	// QDBusError::name
    {15, 327, 250},	// QDBusError::operator=#
    {15, 584, 251},	// QDBusError::type
    {15, 601, 284},	// QDBusError::~QDBusError
    {16, 92, 289},	// QDBusInterface::QDBusInterface$$
    {16, 93, 290},	// QDBusInterface::QDBusInterface$$$
    {16, 94, 291},	// QDBusInterface::QDBusInterface$$$#
    {16, 95, 285},	// QDBusInterface::QDBusInterface$$$##
    {16, 283, 286},	// QDBusInterface::metaObject
    {16, 511, 288},	// QDBusInterface::qt_metacall$$?
    {16, 513, 287},	// QDBusInterface::qt_metacast$
    {16, 602, 292},	// QDBusInterface::~QDBusInterface
    {17, 14, 324},	// QDBusMessage::ErrorMessage
    {17, 35, 321},	// QDBusMessage::InvalidMessage
    {17, 62, 322},	// QDBusMessage::MethodCallMessage
    {17, 96, 293},	// QDBusMessage::QDBusMessage
    {17, 97, 294},	// QDBusMessage::QDBusMessage#
    {17, 125, 323},	// QDBusMessage::ReplyMessage
    {17, 131, 325},	// QDBusMessage::SignalMessage
    {17, 151, 318},	// QDBusMessage::arguments
    {17, 220, 299},	// QDBusMessage::createError#
    {17, 221, -450},	// QDBusMessage::createError$$
    {17, 223, 304},	// QDBusMessage::createErrorReply#
    {17, 224, -453},	// QDBusMessage::createErrorReply$$
    {17, 226, 297},	// QDBusMessage::createMethodCall$$$$
    {17, 227, 320},	// QDBusMessage::createReply
    {17, 228, 302},	// QDBusMessage::createReply#
    {17, 229, 301},	// QDBusMessage::createReply?
    {17, 231, 296},	// QDBusMessage::createSignal$$$
    {17, 250, 311},	// QDBusMessage::errorMessage
    {17, 251, 310},	// QDBusMessage::errorName
    {17, 262, 308},	// QDBusMessage::interface
    {17, 271, 316},	// QDBusMessage::isDelayedReply
    {17, 274, 314},	// QDBusMessage::isReplyRequired
    {17, 281, 309},	// QDBusMessage::member
    {17, 315, 319},	// QDBusMessage::operator<<#
    {17, 327, 295},	// QDBusMessage::operator=#
    {17, 355, 307},	// QDBusMessage::path
    {17, 542, 306},	// QDBusMessage::service
    {17, 557, 317},	// QDBusMessage::setArguments?
    {17, 563, 315},	// QDBusMessage::setDelayedReply$
    {17, 568, 313},	// QDBusMessage::signature
    {17, 584, 312},	// QDBusMessage::type
    {17, 603, 326},	// QDBusMessage::~QDBusMessage
    {18, 98, 332},	// QDBusMetaType::QDBusMetaType
    {18, 99, 333},	// QDBusMetaType::QDBusMetaType#
    {18, 236, 329},	// QDBusMetaType::demarshall#$$
    {18, 280, 328},	// QDBusMetaType::marshall#$$
    {18, 524, 327},	// QDBusMetaType::registerMarshallOperators$$$
    {18, 570, 330},	// QDBusMetaType::signatureToType$
    {18, 586, 331},	// QDBusMetaType::typeToSignature$
    {18, 604, 334},	// QDBusMetaType::~QDBusMetaType
    {19, 101, 335},	// QDBusPendingCall::QDBusPendingCall#
    {19, 249, 341},	// QDBusPendingCall::error
    {19, 259, 344},	// QDBusPendingCall::fromCompletedCall#
    {19, 261, 343},	// QDBusPendingCall::fromError#
    {19, 272, 339},	// QDBusPendingCall::isError
    {19, 273, 337},	// QDBusPendingCall::isFinished
    {19, 277, 340},	// QDBusPendingCall::isValid
    {19, 327, 336},	// QDBusPendingCall::operator=#
    {19, 535, 342},	// QDBusPendingCall::reply
    {19, 592, 338},	// QDBusPendingCall::waitForFinished
    {19, 605, 345},	// QDBusPendingCall::~QDBusPendingCall
    {20, 103, 358},	// QDBusPendingCallWatcher::QDBusPendingCallWatcher#
    {20, 104, 353},	// QDBusPendingCallWatcher::QDBusPendingCallWatcher##
    {20, 257, 355},	// QDBusPendingCallWatcher::finished#
    {20, 283, 346},	// QDBusPendingCallWatcher::metaObject
    {20, 511, 352},	// QDBusPendingCallWatcher::qt_metacall$$?
    {20, 513, 347},	// QDBusPendingCallWatcher::qt_metacast$
    {20, 573, 359},	// QDBusPendingCallWatcher::staticMetaObject
    {20, 577, 356},	// QDBusPendingCallWatcher::tr$
    {20, 578, 348},	// QDBusPendingCallWatcher::tr$$
    {20, 579, 350},	// QDBusPendingCallWatcher::tr$$$
    {20, 581, 357},	// QDBusPendingCallWatcher::trUtf8$
    {20, 582, 349},	// QDBusPendingCallWatcher::trUtf8$$
    {20, 583, 351},	// QDBusPendingCallWatcher::trUtf8$$$
    {20, 592, 354},	// QDBusPendingCallWatcher::waitForFinished
    {20, 606, 360},	// QDBusPendingCallWatcher::~QDBusPendingCallWatcher
    {21, 106, 375},	// QDBusServer::QDBusServer$
    {21, 107, 368},	// QDBusServer::QDBusServer$#
    {21, 148, 371},	// QDBusServer::address
    {21, 270, 369},	// QDBusServer::isConnected
    {21, 278, 370},	// QDBusServer::lastError
    {21, 283, 361},	// QDBusServer::metaObject
    {21, 286, 372},	// QDBusServer::newConnection#
    {21, 511, 367},	// QDBusServer::qt_metacall$$?
    {21, 513, 362},	// QDBusServer::qt_metacast$
    {21, 573, 376},	// QDBusServer::staticMetaObject
    {21, 577, 373},	// QDBusServer::tr$
    {21, 578, 363},	// QDBusServer::tr$$
    {21, 579, 365},	// QDBusServer::tr$$$
    {21, 581, 374},	// QDBusServer::trUtf8$
    {21, 582, 364},	// QDBusServer::trUtf8$$
    {21, 583, 366},	// QDBusServer::trUtf8$$$
    {21, 607, 377},	// QDBusServer::~QDBusServer
    {22, 108, 400},	// QDBusServiceWatcher::QDBusServiceWatcher
    {22, 109, 385},	// QDBusServiceWatcher::QDBusServiceWatcher#
    {22, 110, 401},	// QDBusServiceWatcher::QDBusServiceWatcher$#
    {22, 111, 402},	// QDBusServiceWatcher::QDBusServiceWatcher$#$
    {22, 112, 386},	// QDBusServiceWatcher::QDBusServiceWatcher$#$#
    {22, 143, 406},	// QDBusServiceWatcher::WatchForOwnerChange
    {22, 144, 404},	// QDBusServiceWatcher::WatchForRegistration
    {22, 145, 405},	// QDBusServiceWatcher::WatchForUnregistration
    {22, 147, 389},	// QDBusServiceWatcher::addWatchedService$
    {22, 218, 393},	// QDBusServiceWatcher::connection
    {22, 283, 378},	// QDBusServiceWatcher::metaObject
    {22, 511, 384},	// QDBusServiceWatcher::qt_metacall$$?
    {22, 513, 379},	// QDBusServiceWatcher::qt_metacast$
    {22, 534, 390},	// QDBusServiceWatcher::removeWatchedService$
    {22, 546, 397},	// QDBusServiceWatcher::serviceOwnerChanged$$$
    {22, 550, 395},	// QDBusServiceWatcher::serviceRegistered$
    {22, 554, 396},	// QDBusServiceWatcher::serviceUnregistered$
    {22, 561, 394},	// QDBusServiceWatcher::setConnection#
    {22, 565, 392},	// QDBusServiceWatcher::setWatchMode$
    {22, 567, 388},	// QDBusServiceWatcher::setWatchedServices?
    {22, 573, 403},	// QDBusServiceWatcher::staticMetaObject
    {22, 577, 398},	// QDBusServiceWatcher::tr$
    {22, 578, 380},	// QDBusServiceWatcher::tr$$
    {22, 579, 382},	// QDBusServiceWatcher::tr$$$
    {22, 581, 399},	// QDBusServiceWatcher::trUtf8$
    {22, 582, 381},	// QDBusServiceWatcher::trUtf8$$
    {22, 583, 383},	// QDBusServiceWatcher::trUtf8$$$
    {22, 593, 391},	// QDBusServiceWatcher::watchMode
    {22, 594, 387},	// QDBusServiceWatcher::watchedServices
    {22, 608, 407},	// QDBusServiceWatcher::~QDBusServiceWatcher
    {31, 40, 862},	// QGlobalSpace::LicensedActiveQt
    {31, 41, 868},	// QGlobalSpace::LicensedCore
    {31, 42, 860},	// QGlobalSpace::LicensedDBus
    {31, 43, 865},	// QGlobalSpace::LicensedDeclarative
    {31, 44, 855},	// QGlobalSpace::LicensedGui
    {31, 45, 874},	// QGlobalSpace::LicensedHelp
    {31, 46, 875},	// QGlobalSpace::LicensedMultimedia
    {31, 47, 878},	// QGlobalSpace::LicensedNetwork
    {31, 48, 867},	// QGlobalSpace::LicensedOpenGL
    {31, 49, 859},	// QGlobalSpace::LicensedOpenVG
    {31, 50, 876},	// QGlobalSpace::LicensedQt3Support
    {31, 51, 857},	// QGlobalSpace::LicensedQt3SupportLight
    {31, 52, 858},	// QGlobalSpace::LicensedScript
    {31, 53, 863},	// QGlobalSpace::LicensedScriptTools
    {31, 54, 866},	// QGlobalSpace::LicensedSql
    {31, 55, 864},	// QGlobalSpace::LicensedSvg
    {31, 56, 861},	// QGlobalSpace::LicensedTest
    {31, 57, 856},	// QGlobalSpace::LicensedXml
    {31, 58, 877},	// QGlobalSpace::LicensedXmlPatterns
    {31, 113, 850},	// QGlobalSpace::Q_COMPLEX_TYPE
    {31, 114, 854},	// QGlobalSpace::Q_DUMMY_TYPE
    {31, 115, 853},	// QGlobalSpace::Q_MOVABLE_TYPE
    {31, 116, 851},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {31, 117, 852},	// QGlobalSpace::Q_STATIC_TYPE
    {31, 118, 871},	// QGlobalSpace::QtCriticalMsg
    {31, 119, 869},	// QGlobalSpace::QtDebugMsg
    {31, 120, 872},	// QGlobalSpace::QtFatalMsg
    {31, 121, 873},	// QGlobalSpace::QtSystemMsg
    {31, 122, 870},	// QGlobalSpace::QtWarningMsg
    {31, 290, -61},	// QGlobalSpace::operator!=##
    {31, 291, -78},	// QGlobalSpace::operator!=#$
    {31, 292, -84},	// QGlobalSpace::operator!=$#
    {31, 293, -91},	// QGlobalSpace::operator!=$$
    {31, 295, 580},	// QGlobalSpace::operator&##
    {31, 297, -95},	// QGlobalSpace::operator*#$
    {31, 298, -100},	// QGlobalSpace::operator*$#
    {31, 300, -105},	// QGlobalSpace::operator+##
    {31, 301, -111},	// QGlobalSpace::operator+#$
    {31, 302, -116},	// QGlobalSpace::operator+$#
    {31, 303, -121},	// QGlobalSpace::operator+$$
    {31, 305, -127},	// QGlobalSpace::operator-#
    {31, 306, -130},	// QGlobalSpace::operator-##
    {31, 308, -135},	// QGlobalSpace::operator/#$
    {31, 310, -140},	// QGlobalSpace::operator<##
    {31, 311, 427},	// QGlobalSpace::operator<#$
    {31, 312, -145},	// QGlobalSpace::operator<$#
    {31, 313, -148},	// QGlobalSpace::operator<$$
    {31, 316, -152},	// QGlobalSpace::operator<<##
    {31, 317, -206},	// QGlobalSpace::operator<<#$
    {31, 318, -212},	// QGlobalSpace::operator<<#?
    {31, 322, -216},	// QGlobalSpace::operator<=##
    {31, 323, 611},	// QGlobalSpace::operator<=#$
    {31, 324, -221},	// QGlobalSpace::operator<=$#
    {31, 325, 565},	// QGlobalSpace::operator<=$$
    {31, 329, -224},	// QGlobalSpace::operator==##
    {31, 330, -243},	// QGlobalSpace::operator==#$
    {31, 331, -249},	// QGlobalSpace::operator==$#
    {31, 332, -256},	// QGlobalSpace::operator==$$
    {31, 334, -260},	// QGlobalSpace::operator>##
    {31, 335, 808},	// QGlobalSpace::operator>#$
    {31, 336, -265},	// QGlobalSpace::operator>$#
    {31, 337, 428},	// QGlobalSpace::operator>$$
    {31, 339, -268},	// QGlobalSpace::operator>=##
    {31, 340, 583},	// QGlobalSpace::operator>=#$
    {31, 341, -273},	// QGlobalSpace::operator>=$#
    {31, 342, 754},	// QGlobalSpace::operator>=$$
    {31, 345, -276},	// QGlobalSpace::operator>>##
    {31, 346, -309},	// QGlobalSpace::operator>>#$
    {31, 347, 686},	// QGlobalSpace::operator>>#?
    {31, 351, 838},	// QGlobalSpace::operator^##
    {31, 353, 496},	// QGlobalSpace::operator|##
    {31, 354, -312},	// QGlobalSpace::operator|$$
    {31, 357, 411},	// QGlobalSpace::qAcos$
    {31, 359, 690},	// QGlobalSpace::qAddPostRoutine$
    {31, 360, 418},	// QGlobalSpace::qAppName
    {31, 362, 839},	// QGlobalSpace::qAsin$
    {31, 364, 499},	// QGlobalSpace::qAtan$
    {31, 366, 475},	// QGlobalSpace::qAtan2$$
    {31, 367, 841},	// QGlobalSpace::qBadAlloc
    {31, 369, 678},	// QGlobalSpace::qCeil$
    {31, 371, 619},	// QGlobalSpace::qChecksum$$
    {31, 373, 516},	// QGlobalSpace::qCompress#
    {31, 374, 515},	// QGlobalSpace::qCompress#$
    {31, 375, 737},	// QGlobalSpace::qCompress$$
    {31, 376, 736},	// QGlobalSpace::qCompress$$$
    {31, 378, 706},	// QGlobalSpace::qCos$
    {31, 379, 629},	// QGlobalSpace::qCritical
    {31, 381, 584},	// QGlobalSpace::qDBusReplyFill###
    {31, 382, 561},	// QGlobalSpace::qDebug
    {31, 384, 645},	// QGlobalSpace::qExp$
    {31, 386, 535},	// QGlobalSpace::qFabs$
    {31, 388, 612},	// QGlobalSpace::qFastCos$
    {31, 390, 437},	// QGlobalSpace::qFastSin$
    {31, 392, 603},	// QGlobalSpace::qFlagLocation$
    {31, 394, 738},	// QGlobalSpace::qFloor$
    {31, 396, 752},	// QGlobalSpace::qFree$
    {31, 398, 828},	// QGlobalSpace::qFreeAligned$
    {31, 400, -406},	// QGlobalSpace::qFuzzyCompare$$
    {31, 402, -409},	// QGlobalSpace::qFuzzyIsNull$
    {31, 404, -412},	// QGlobalSpace::qHash#
    {31, 405, -419},	// QGlobalSpace::qHash$
    {31, 406, -432},	// QGlobalSpace::qHash?
    {31, 407, 698},	// QGlobalSpace::qInf
    {31, 409, 623},	// QGlobalSpace::qInstallMsgHandler$
    {31, 411, -435},	// QGlobalSpace::qIntCast$
    {31, 413, -438},	// QGlobalSpace::qIsFinite$
    {31, 415, -441},	// QGlobalSpace::qIsInf$
    {31, 417, -444},	// QGlobalSpace::qIsNaN$
    {31, 419, -447},	// QGlobalSpace::qIsNull$
    {31, 421, 835},	// QGlobalSpace::qLn$
    {31, 423, 793},	// QGlobalSpace::qMalloc?
    {31, 425, 708},	// QGlobalSpace::qMallocAligned??
    {31, 427, 751},	// QGlobalSpace::qMemCopy$$?
    {31, 429, 675},	// QGlobalSpace::qMemSet$$?
    {31, 431, 631},	// QGlobalSpace::qPow$$
    {31, 432, 465},	// QGlobalSpace::qQNaN
    {31, 434, 543},	// QGlobalSpace::qRealloc$?
    {31, 436, 520},	// QGlobalSpace::qReallocAligned$???
    {31, 438, 691},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {31, 440, 613},	// QGlobalSpace::qRemovePostRoutine$
    {31, 442, 408},	// QGlobalSpace::qRound$
    {31, 444, 784},	// QGlobalSpace::qRound64$
    {31, 445, 788},	// QGlobalSpace::qSNaN
    {31, 447, 812},	// QGlobalSpace::qSetFieldWidth$
    {31, 449, 467},	// QGlobalSpace::qSetPadChar#
    {31, 451, 760},	// QGlobalSpace::qSetRealNumberPrecision$
    {31, 452, 693},	// QGlobalSpace::qSharedBuild
    {31, 454, 767},	// QGlobalSpace::qSin$
    {31, 456, 523},	// QGlobalSpace::qSqrt$
    {31, 458, 729},	// QGlobalSpace::qStringComparisonHelper#$
    {31, 459, 813},	// QGlobalSpace::qStringComparisonHelper$$
    {31, 461, 783},	// QGlobalSpace::qTan$
    {31, 463, 607},	// QGlobalSpace::qUncompress#
    {31, 464, 514},	// QGlobalSpace::qUncompress$$
    {31, 465, 718},	// QGlobalSpace::qVersion
    {31, 466, 550},	// QGlobalSpace::qWarning
    {31, 468, 655},	// QGlobalSpace::qbswap_helper$$$
    {31, 470, 426},	// QGlobalSpace::qgetenv$
    {31, 472, 795},	// QGlobalSpace::qputenv$#
    {31, 473, 761},	// QGlobalSpace::qrand
    {31, 475, 665},	// QGlobalSpace::qsrand$
    {31, 477, 579},	// QGlobalSpace::qstrcmp##
    {31, 478, 483},	// QGlobalSpace::qstrcmp#$
    {31, 479, 500},	// QGlobalSpace::qstrcmp$#
    {31, 480, 487},	// QGlobalSpace::qstrcmp$$
    {31, 482, 495},	// QGlobalSpace::qstrcpy$$
    {31, 484, 484},	// QGlobalSpace::qstrdup$
    {31, 486, 673},	// QGlobalSpace::qstricmp$$
    {31, 488, 773},	// QGlobalSpace::qstrlen$
    {31, 490, 439},	// QGlobalSpace::qstrncmp$$$
    {31, 492, 421},	// QGlobalSpace::qstrncpy$$$
    {31, 494, 699},	// QGlobalSpace::qstrnicmp$$$
    {31, 496, 448},	// QGlobalSpace::qstrnlen$$
    {31, 498, 474},	// QGlobalSpace::qtTrId$
    {31, 499, 473},	// QGlobalSpace::qtTrId$$
    {31, 501, 771},	// QGlobalSpace::qt_assert$$$
    {31, 503, 711},	// QGlobalSpace::qt_assert_x$$$$
    {31, 505, 508},	// QGlobalSpace::qt_check_pointer$$
    {31, 506, 460},	// QGlobalSpace::qt_error_string
    {31, 507, 459},	// QGlobalSpace::qt_error_string$
    {31, 509, 663},	// QGlobalSpace::qt_message_output$$
    {31, 514, 636},	// QGlobalSpace::qt_noop
    {31, 516, 641},	// QGlobalSpace::qt_qFindChild_helper#$#
    {31, 518, 457},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {31, 520, 652},	// QGlobalSpace::qvariant_cast_helper#$$
    {31, 522, 442},	// QGlobalSpace::qvsnprintf$?$?
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtdbus_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtdbus_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtdbus_Smoke = new Smoke(
        "qtdbus",
        __smokeqtdbus::classes, 59,
        __smokeqtdbus::methods, 888,
        __smokeqtdbus::methodMaps, 536,
        __smokeqtdbus::methodNames, 608,
        __smokeqtdbus::types, 318,
        __smokeqtdbus::inheritanceList,
        __smokeqtdbus::argumentList,
        __smokeqtdbus::ambiguousMethodList,
        __smokeqtdbus::cast );
    initialized = true;
}

void delete_qtdbus_Smoke() { delete qtdbus_Smoke; }

}
