#include <qtnetwork_includes.h>

#include <smoke.h>
#include <qtnetwork_smoke.h>

namespace __smokeqtnetwork {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractNetworkCache
      switch(to) {
        case 49: return (void*)(QObject*)(QAbstractNetworkCache*)xptr;
        case 1: return (void*)(QAbstractNetworkCache*)xptr;
        case 42: return (void*)(QNetworkDiskCache*)(QAbstractNetworkCache*)xptr;
        default: return xptr;
      }
    case 2:   //QAbstractSocket
      switch(to) {
        case 25: return (void*)(QIODevice*)(QAbstractSocket*)xptr;
        case 49: return (void*)(QObject*)(QAbstractSocket*)xptr;
        case 2: return (void*)(QAbstractSocket*)xptr;
        case 73: return (void*)(QUdpSocket*)(QAbstractSocket*)xptr;
        case 64: return (void*)(QSslSocket*)(QAbstractSocket*)xptr;
        case 68: return (void*)(QTcpSocket*)(QAbstractSocket*)xptr;
        default: return xptr;
      }
    case 3:   //QAuthenticator
      switch(to) {
        case 3: return (void*)(QAuthenticator*)xptr;
        default: return xptr;
      }
    case 4:   //QBitArray
      switch(to) {
        case 4: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 5:   //QBool
      switch(to) {
        case 5: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 15: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDataStream
      switch(to) {
        case 9: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 10:   //QDate
      switch(to) {
        case 10: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 11:   //QDateTime
      switch(to) {
        case 11: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 12:   //QDebug
      switch(to) {
        case 12: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 13:   //QDir
      switch(to) {
        case 13: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 14:   //QEasingCurve
      switch(to) {
        case 14: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 15:   //QEvent
      switch(to) {
        case 15: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 16:   //QFtp
      switch(to) {
        case 49: return (void*)(QObject*)(QFtp*)xptr;
        case 16: return (void*)(QFtp*)xptr;
        default: return xptr;
      }
    case 18:   //QHashDummyValue
      switch(to) {
        case 18: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 19:   //QHostAddress
      switch(to) {
        case 19: return (void*)(QHostAddress*)xptr;
        default: return xptr;
      }
    case 20:   //QHostInfo
      switch(to) {
        case 20: return (void*)(QHostInfo*)xptr;
        default: return xptr;
      }
    case 21:   //QHttp
      switch(to) {
        case 49: return (void*)(QObject*)(QHttp*)xptr;
        case 21: return (void*)(QHttp*)xptr;
        default: return xptr;
      }
    case 22:   //QHttpHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)xptr;
        case 23: return (void*)(QHttpRequestHeader*)(QHttpHeader*)xptr;
        case 24: return (void*)(QHttpResponseHeader*)(QHttpHeader*)xptr;
        default: return xptr;
      }
    case 23:   //QHttpRequestHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)(QHttpRequestHeader*)xptr;
        case 23: return (void*)(QHttpRequestHeader*)xptr;
        default: return xptr;
      }
    case 24:   //QHttpResponseHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)(QHttpResponseHeader*)xptr;
        case 24: return (void*)(QHttpResponseHeader*)xptr;
        default: return xptr;
      }
    case 25:   //QIODevice
      switch(to) {
        case 49: return (void*)(QObject*)(QIODevice*)xptr;
        case 25: return (void*)(QIODevice*)xptr;
        case 47: return (void*)(QNetworkReply*)(QIODevice*)xptr;
        case 73: return (void*)(QUdpSocket*)(QIODevice*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QIODevice*)xptr;
        case 64: return (void*)(QSslSocket*)(QIODevice*)xptr;
        case 68: return (void*)(QTcpSocket*)(QIODevice*)xptr;
        case 32: return (void*)(QLocalSocket*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 26:   //QIPv6Address
      switch(to) {
        case 26: return (void*)(QIPv6Address*)xptr;
        default: return xptr;
      }
    case 27:   //QIncompatibleFlag
      switch(to) {
        case 27: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 28:   //QLatin1String
      switch(to) {
        case 28: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 29:   //QLine
      switch(to) {
        case 29: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 30:   //QLineF
      switch(to) {
        case 30: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 31:   //QLocalServer
      switch(to) {
        case 49: return (void*)(QObject*)(QLocalServer*)xptr;
        case 31: return (void*)(QLocalServer*)xptr;
        default: return xptr;
      }
    case 32:   //QLocalSocket
      switch(to) {
        case 25: return (void*)(QIODevice*)(QLocalSocket*)xptr;
        case 49: return (void*)(QObject*)(QLocalSocket*)xptr;
        case 32: return (void*)(QLocalSocket*)xptr;
        default: return xptr;
      }
    case 33:   //QLocale
      switch(to) {
        case 33: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 34:   //QMargins
      switch(to) {
        case 34: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 35:   //QMetaObject
      switch(to) {
        case 35: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 36:   //QModelIndex
      switch(to) {
        case 36: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 37:   //QNetworkAccessManager
      switch(to) {
        case 49: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 37: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 38:   //QNetworkAddressEntry
      switch(to) {
        case 38: return (void*)(QNetworkAddressEntry*)xptr;
        default: return xptr;
      }
    case 39:   //QNetworkCacheMetaData
      switch(to) {
        case 39: return (void*)(QNetworkCacheMetaData*)xptr;
        default: return xptr;
      }
    case 40:   //QNetworkCookie
      switch(to) {
        case 40: return (void*)(QNetworkCookie*)xptr;
        default: return xptr;
      }
    case 41:   //QNetworkCookieJar
      switch(to) {
        case 49: return (void*)(QObject*)(QNetworkCookieJar*)xptr;
        case 41: return (void*)(QNetworkCookieJar*)xptr;
        default: return xptr;
      }
    case 42:   //QNetworkDiskCache
      switch(to) {
        case 1: return (void*)(QAbstractNetworkCache*)(QNetworkDiskCache*)xptr;
        case 49: return (void*)(QObject*)(QNetworkDiskCache*)xptr;
        case 42: return (void*)(QNetworkDiskCache*)xptr;
        default: return xptr;
      }
    case 43:   //QNetworkInterface
      switch(to) {
        case 43: return (void*)(QNetworkInterface*)xptr;
        default: return xptr;
      }
    case 44:   //QNetworkProxy
      switch(to) {
        case 44: return (void*)(QNetworkProxy*)xptr;
        default: return xptr;
      }
    case 45:   //QNetworkProxyFactory
      switch(to) {
        case 45: return (void*)(QNetworkProxyFactory*)xptr;
        default: return xptr;
      }
    case 46:   //QNetworkProxyQuery
      switch(to) {
        case 46: return (void*)(QNetworkProxyQuery*)xptr;
        default: return xptr;
      }
    case 47:   //QNetworkReply
      switch(to) {
        case 25: return (void*)(QIODevice*)(QNetworkReply*)xptr;
        case 49: return (void*)(QObject*)(QNetworkReply*)xptr;
        case 47: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 48:   //QNetworkRequest
      switch(to) {
        case 48: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 49:   //QObject
      switch(to) {
        case 49: return (void*)(QObject*)xptr;
        case 16: return (void*)(QFtp*)(QObject*)xptr;
        case 41: return (void*)(QNetworkCookieJar*)(QObject*)xptr;
        case 31: return (void*)(QLocalServer*)(QObject*)xptr;
        case 47: return (void*)(QNetworkReply*)(QObject*)xptr;
        case 73: return (void*)(QUdpSocket*)(QObject*)xptr;
        case 1: return (void*)(QAbstractNetworkCache*)(QObject*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QObject*)xptr;
        case 21: return (void*)(QHttp*)(QObject*)xptr;
        case 64: return (void*)(QSslSocket*)(QObject*)xptr;
        case 37: return (void*)(QNetworkAccessManager*)(QObject*)xptr;
        case 68: return (void*)(QTcpSocket*)(QObject*)xptr;
        case 42: return (void*)(QNetworkDiskCache*)(QObject*)xptr;
        case 67: return (void*)(QTcpServer*)(QObject*)xptr;
        case 32: return (void*)(QLocalSocket*)(QObject*)xptr;
        default: return xptr;
      }
    case 50:   //QPersistentModelIndex
      switch(to) {
        case 50: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 51:   //QPoint
      switch(to) {
        case 51: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 52:   //QPointF
      switch(to) {
        case 52: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 53:   //QRect
      switch(to) {
        case 53: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 54:   //QRectF
      switch(to) {
        case 54: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 55:   //QRegExp
      switch(to) {
        case 55: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 56:   //QSize
      switch(to) {
        case 56: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 57:   //QSizeF
      switch(to) {
        case 57: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 59:   //QSslCertificate
      switch(to) {
        case 59: return (void*)(QSslCertificate*)xptr;
        default: return xptr;
      }
    case 60:   //QSslCipher
      switch(to) {
        case 60: return (void*)(QSslCipher*)xptr;
        default: return xptr;
      }
    case 61:   //QSslConfiguration
      switch(to) {
        case 61: return (void*)(QSslConfiguration*)xptr;
        default: return xptr;
      }
    case 62:   //QSslError
      switch(to) {
        case 62: return (void*)(QSslError*)xptr;
        default: return xptr;
      }
    case 63:   //QSslKey
      switch(to) {
        case 63: return (void*)(QSslKey*)xptr;
        default: return xptr;
      }
    case 64:   //QSslSocket
      switch(to) {
        case 68: return (void*)(QTcpSocket*)(QSslSocket*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QSslSocket*)xptr;
        case 25: return (void*)(QIODevice*)(QSslSocket*)xptr;
        case 49: return (void*)(QObject*)(QSslSocket*)xptr;
        case 64: return (void*)(QSslSocket*)xptr;
        default: return xptr;
      }
    case 65:   //QString::Null
      switch(to) {
        case 65: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 66:   //QStringRef
      switch(to) {
        case 66: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 67:   //QTcpServer
      switch(to) {
        case 49: return (void*)(QObject*)(QTcpServer*)xptr;
        case 67: return (void*)(QTcpServer*)xptr;
        default: return xptr;
      }
    case 68:   //QTcpSocket
      switch(to) {
        case 2: return (void*)(QAbstractSocket*)(QTcpSocket*)xptr;
        case 25: return (void*)(QIODevice*)(QTcpSocket*)xptr;
        case 49: return (void*)(QObject*)(QTcpSocket*)xptr;
        case 68: return (void*)(QTcpSocket*)xptr;
        case 64: return (void*)(QSslSocket*)(QTcpSocket*)xptr;
        default: return xptr;
      }
    case 69:   //QTextStream
      switch(to) {
        case 69: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 70:   //QTextStreamManipulator
      switch(to) {
        case 70: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 71:   //QTime
      switch(to) {
        case 71: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 72:   //QTimerEvent
      switch(to) {
        case 15: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 72: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 73:   //QUdpSocket
      switch(to) {
        case 2: return (void*)(QAbstractSocket*)(QUdpSocket*)xptr;
        case 25: return (void*)(QIODevice*)(QUdpSocket*)xptr;
        case 49: return (void*)(QObject*)(QUdpSocket*)xptr;
        case 73: return (void*)(QUdpSocket*)xptr;
        default: return xptr;
      }
    case 74:   //QUrl
      switch(to) {
        case 74: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 75:   //QUrlInfo
      switch(to) {
        case 75: return (void*)(QUrlInfo*)xptr;
        default: return xptr;
      }
    case 76:   //QUuid
      switch(to) {
        case 76: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 77:   //QVariant
      switch(to) {
        case 77: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 78:   //QVariantComparisonHelper
      switch(to) {
        case 78: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 79:   //sockaddr
      switch(to) {
        case 79: return (void*)(sockaddr*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    49, 0,	// 1: QObject
    25, 0,	// 3: QIODevice
    22, 0,	// 5: QHttpHeader
    1, 0,	// 7: QAbstractNetworkCache
    68, 0,	// 9: QTcpSocket
    2, 0,	// 11: QAbstractSocket
};

// These are the xenum functions for manipulating enum pointers
void xenum_QSsl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFtp(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHttp(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslCertificate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkRequest(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkProxy(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHostAddress(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkCookie(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkProxyQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkAccessManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkReply(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocalSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUrlInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHostInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUdpSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QAbstractNetworkCache(Smoke::Index, void*, Smoke::Stack);
void xcall_QAbstractSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QAuthenticator(Smoke::Index, void*, Smoke::Stack);
void xcall_QFtp(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QHostAddress(Smoke::Index, void*, Smoke::Stack);
void xcall_QHostInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttp(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpRequestHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpResponseHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QIPv6Address(Smoke::Index, void*, Smoke::Stack);
void xcall_QLocalServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QLocalSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkAccessManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkAddressEntry(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCacheMetaData(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCookie(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCookieJar(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkDiskCache(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxy(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxyFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxyQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkReply(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_QSsl(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslCertificate(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslCipher(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslConfiguration(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslError(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslKey(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QTcpServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QTcpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QUdpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QUrlInfo(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractNetworkCache", false, 1, xcall_QAbstractNetworkCache, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractNetworkCache) },	//1
    { "QAbstractSocket", false, 3, xcall_QAbstractSocket, xenum_QAbstractSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractSocket) },	//2
    { "QAuthenticator", false, 0, xcall_QAuthenticator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QAuthenticator) },	//3
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//4
    { "QBool", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//9
    { "QDate", true, 0, 0, 0, 0, 0 },	//10
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//11
    { "QDebug", true, 0, 0, 0, 0, 0 },	//12
    { "QDir", true, 0, 0, 0, 0, 0 },	//13
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//14
    { "QEvent", true, 0, 0, 0, 0, 0 },	//15
    { "QFtp", false, 1, xcall_QFtp, xenum_QFtp, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QFtp) },	//16
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//17
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//18
    { "QHostAddress", false, 0, xcall_QHostAddress, xenum_QHostAddress, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHostAddress) },	//19
    { "QHostInfo", false, 0, xcall_QHostInfo, xenum_QHostInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHostInfo) },	//20
    { "QHttp", false, 1, xcall_QHttp, xenum_QHttp, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QHttp) },	//21
    { "QHttpHeader", false, 0, xcall_QHttpHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpHeader) },	//22
    { "QHttpRequestHeader", false, 5, xcall_QHttpRequestHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpRequestHeader) },	//23
    { "QHttpResponseHeader", false, 5, xcall_QHttpResponseHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpResponseHeader) },	//24
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//25
    { "QIPv6Address", false, 0, xcall_QIPv6Address, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QIPv6Address) },	//26
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//27
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//28
    { "QLine", true, 0, 0, 0, 0, 0 },	//29
    { "QLineF", true, 0, 0, 0, 0, 0 },	//30
    { "QLocalServer", false, 1, xcall_QLocalServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QLocalServer) },	//31
    { "QLocalSocket", false, 3, xcall_QLocalSocket, xenum_QLocalSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QLocalSocket) },	//32
    { "QLocale", true, 0, 0, 0, 0, 0 },	//33
    { "QMargins", true, 0, 0, 0, 0, 0 },	//34
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//35
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//36
    { "QNetworkAccessManager", false, 1, xcall_QNetworkAccessManager, xenum_QNetworkAccessManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkAccessManager) },	//37
    { "QNetworkAddressEntry", false, 0, xcall_QNetworkAddressEntry, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkAddressEntry) },	//38
    { "QNetworkCacheMetaData", false, 0, xcall_QNetworkCacheMetaData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkCacheMetaData) },	//39
    { "QNetworkCookie", false, 0, xcall_QNetworkCookie, xenum_QNetworkCookie, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkCookie) },	//40
    { "QNetworkCookieJar", false, 1, xcall_QNetworkCookieJar, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkCookieJar) },	//41
    { "QNetworkDiskCache", false, 7, xcall_QNetworkDiskCache, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkDiskCache) },	//42
    { "QNetworkInterface", false, 0, xcall_QNetworkInterface, xenum_QNetworkInterface, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkInterface) },	//43
    { "QNetworkProxy", false, 0, xcall_QNetworkProxy, xenum_QNetworkProxy, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkProxy) },	//44
    { "QNetworkProxyFactory", false, 0, xcall_QNetworkProxyFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QNetworkProxyFactory) },	//45
    { "QNetworkProxyQuery", false, 0, xcall_QNetworkProxyQuery, xenum_QNetworkProxyQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkProxyQuery) },	//46
    { "QNetworkReply", false, 3, xcall_QNetworkReply, xenum_QNetworkReply, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkReply) },	//47
    { "QNetworkRequest", false, 0, xcall_QNetworkRequest, xenum_QNetworkRequest, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkRequest) },	//48
    { "QObject", true, 0, 0, 0, 0, 0 },	//49
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//50
    { "QPoint", true, 0, 0, 0, 0, 0 },	//51
    { "QPointF", true, 0, 0, 0, 0, 0 },	//52
    { "QRect", true, 0, 0, 0, 0, 0 },	//53
    { "QRectF", true, 0, 0, 0, 0, 0 },	//54
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//55
    { "QSize", true, 0, 0, 0, 0, 0 },	//56
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//57
    { "QSsl", false, 0, xcall_QSsl, xenum_QSsl, Smoke::cf_namespace, 0 },	//58
    { "QSslCertificate", false, 0, xcall_QSslCertificate, xenum_QSslCertificate, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslCertificate) },	//59
    { "QSslCipher", false, 0, xcall_QSslCipher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslCipher) },	//60
    { "QSslConfiguration", false, 0, xcall_QSslConfiguration, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslConfiguration) },	//61
    { "QSslError", false, 0, xcall_QSslError, xenum_QSslError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslError) },	//62
    { "QSslKey", false, 0, xcall_QSslKey, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslKey) },	//63
    { "QSslSocket", false, 9, xcall_QSslSocket, xenum_QSslSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSslSocket) },	//64
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//65
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//66
    { "QTcpServer", false, 1, xcall_QTcpServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTcpServer) },	//67
    { "QTcpSocket", false, 11, xcall_QTcpSocket, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTcpSocket) },	//68
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//69
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//70
    { "QTime", true, 0, 0, 0, 0, 0 },	//71
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//72
    { "QUdpSocket", false, 11, xcall_QUdpSocket, xenum_QUdpSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QUdpSocket) },	//73
    { "QUrl", true, 0, 0, 0, 0, 0 },	//74
    { "QUrlInfo", false, 0, xcall_QUrlInfo, xenum_QUrlInfo, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QUrlInfo) },	//75
    { "QUuid", true, 0, 0, 0, 0, 0 },	//76
    { "QVariant", true, 0, 0, 0, 0, 0 },	//77
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//78
    { "sockaddr", true, 0, 0, 0, 0, 0 },	//79
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractNetworkCache*", 1, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QAbstractSocket*", 2, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QAbstractSocket::NetworkLayerProtocol", 2, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAbstractSocket::SocketError", 2, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAbstractSocket::SocketOption", 2, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAbstractSocket::SocketState", 2, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAbstractSocket::SocketType", 2, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QAuthenticator&", 3, Smoke::t_class|Smoke::tf_ref },	//9
    { "QAuthenticator*", 3, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QBitArray", 4, Smoke::t_class|Smoke::tf_stack },	//11
    { "QBitArray&", 4, Smoke::t_class|Smoke::tf_ref },	//12
    { "QBool", 5, Smoke::t_class|Smoke::tf_stack },	//13
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//14
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//15
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//16
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//17
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QCryptographicHash::Algorithm", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QDataStream&", 9, Smoke::t_class|Smoke::tf_ref },	//20
    { "QDate&", 10, Smoke::t_class|Smoke::tf_ref },	//21
    { "QDateTime", 11, Smoke::t_class|Smoke::tf_stack },	//22
    { "QDateTime&", 11, Smoke::t_class|Smoke::tf_ref },	//23
    { "QDebug", 12, Smoke::t_class|Smoke::tf_stack },	//24
    { "QDir::Filter", 13, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QDir::SortFlag", 13, Smoke::t_enum|Smoke::tf_stack },	//26
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "QEvent*", 15, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//31
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//32
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//33
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//34
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//35
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//36
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//37
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//38
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//39
    { "QFlags<QNetworkInterface::InterfaceFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//40
    { "QFlags<QNetworkProxy::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//41
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//42
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//43
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//44
    { "QFlags<QUdpSocket::BindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFtp*", 16, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QFtp::Command", 16, Smoke::t_enum|Smoke::tf_stack },	//64
    { "QFtp::Error", 16, Smoke::t_enum|Smoke::tf_stack },	//65
    { "QFtp::State", 16, Smoke::t_enum|Smoke::tf_stack },	//66
    { "QFtp::TransferMode", 16, Smoke::t_enum|Smoke::tf_stack },	//67
    { "QFtp::TransferType", 16, Smoke::t_enum|Smoke::tf_stack },	//68
    { "QHash<QNetworkRequest::Attribute,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//69
    { "QHostAddress", 19, Smoke::t_class|Smoke::tf_stack },	//70
    { "QHostAddress&", 19, Smoke::t_class|Smoke::tf_ref },	//71
    { "QHostAddress*", 19, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QHostAddress::SpecialAddress", 19, Smoke::t_enum|Smoke::tf_stack },	//73
    { "QHostInfo", 20, Smoke::t_class|Smoke::tf_stack },	//74
    { "QHostInfo&", 20, Smoke::t_class|Smoke::tf_ref },	//75
    { "QHostInfo*", 20, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QHostInfo::HostInfoError", 20, Smoke::t_enum|Smoke::tf_stack },	//77
    { "QHttp*", 21, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QHttp::ConnectionMode", 21, Smoke::t_enum|Smoke::tf_stack },	//79
    { "QHttp::Error", 21, Smoke::t_enum|Smoke::tf_stack },	//80
    { "QHttp::State", 21, Smoke::t_enum|Smoke::tf_stack },	//81
    { "QHttpHeader&", 22, Smoke::t_class|Smoke::tf_ref },	//82
    { "QHttpHeader*", 22, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QHttpRequestHeader", 23, Smoke::t_class|Smoke::tf_stack },	//84
    { "QHttpRequestHeader&", 23, Smoke::t_class|Smoke::tf_ref },	//85
    { "QHttpRequestHeader*", 23, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QHttpResponseHeader", 24, Smoke::t_class|Smoke::tf_stack },	//87
    { "QHttpResponseHeader&", 24, Smoke::t_class|Smoke::tf_ref },	//88
    { "QHttpResponseHeader*", 24, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QIODevice*", 25, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QIODevice::OpenMode", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QIODevice::OpenModeFlag", 25, Smoke::t_enum|Smoke::tf_stack },	//92
    { "QIPv6Address", 26, Smoke::t_class|Smoke::tf_stack },	//93
    { "QIPv6Address*", 26, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QIncompatibleFlag", 27, Smoke::t_class|Smoke::tf_stack },	//95
    { "QIntegerForSizeof< void* >::Unsigned", 0, Smoke::t_voidp|Smoke::tf_stack },	//96
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QLine&", 29, Smoke::t_class|Smoke::tf_ref },	//98
    { "QLineF&", 30, Smoke::t_class|Smoke::tf_ref },	//99
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//100
    { "QList<QHostAddress>", 0, Smoke::t_voidp|Smoke::tf_stack },	//101
    { "QList<QNetworkAddressEntry>", 0, Smoke::t_voidp|Smoke::tf_stack },	//102
    { "QList<QNetworkCookie>", 0, Smoke::t_voidp|Smoke::tf_stack },	//103
    { "QList<QNetworkInterface>", 0, Smoke::t_voidp|Smoke::tf_stack },	//104
    { "QList<QNetworkProxy>", 0, Smoke::t_voidp|Smoke::tf_stack },	//105
    { "QList<QPair<QByteArray,QByteArray> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//106
    { "QList<QPair<QString,QString> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//107
    { "QList<QSslCertificate>", 0, Smoke::t_voidp|Smoke::tf_stack },	//108
    { "QList<QSslCipher>", 0, Smoke::t_voidp|Smoke::tf_stack },	//109
    { "QList<QSslError>", 0, Smoke::t_voidp|Smoke::tf_stack },	//110
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//111
    { "QLocalServer*", 31, Smoke::t_class|Smoke::tf_ptr },	//112
    { "QLocalSocket*", 32, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QLocalSocket::LocalSocketError", 32, Smoke::t_enum|Smoke::tf_stack },	//114
    { "QLocalSocket::LocalSocketState", 32, Smoke::t_enum|Smoke::tf_stack },	//115
    { "QLocale&", 33, Smoke::t_class|Smoke::tf_ref },	//116
    { "QLocale::NumberOption", 33, Smoke::t_enum|Smoke::tf_stack },	//117
    { "QMetaObject::Call", 35, Smoke::t_enum|Smoke::tf_stack },	//118
    { "QMultiMap<QSsl::AlternateNameEntryType,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//119
    { "QNetworkAccessManager*", 37, Smoke::t_class|Smoke::tf_ptr },	//120
    { "QNetworkAccessManager::Operation", 37, Smoke::t_enum|Smoke::tf_stack },	//121
    { "QNetworkAddressEntry&", 38, Smoke::t_class|Smoke::tf_ref },	//122
    { "QNetworkAddressEntry*", 38, Smoke::t_class|Smoke::tf_ptr },	//123
    { "QNetworkCacheMetaData", 39, Smoke::t_class|Smoke::tf_stack },	//124
    { "QNetworkCacheMetaData&", 39, Smoke::t_class|Smoke::tf_ref },	//125
    { "QNetworkCacheMetaData*", 39, Smoke::t_class|Smoke::tf_ptr },	//126
    { "QNetworkCookie&", 40, Smoke::t_class|Smoke::tf_ref },	//127
    { "QNetworkCookie*", 40, Smoke::t_class|Smoke::tf_ptr },	//128
    { "QNetworkCookie::RawForm", 40, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QNetworkCookieJar*", 41, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QNetworkDiskCache*", 42, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QNetworkInterface", 43, Smoke::t_class|Smoke::tf_stack },	//132
    { "QNetworkInterface&", 43, Smoke::t_class|Smoke::tf_ref },	//133
    { "QNetworkInterface*", 43, Smoke::t_class|Smoke::tf_ptr },	//134
    { "QNetworkInterface::InterfaceFlag", 43, Smoke::t_enum|Smoke::tf_stack },	//135
    { "QNetworkProxy", 44, Smoke::t_class|Smoke::tf_stack },	//136
    { "QNetworkProxy&", 44, Smoke::t_class|Smoke::tf_ref },	//137
    { "QNetworkProxy*", 44, Smoke::t_class|Smoke::tf_ptr },	//138
    { "QNetworkProxy::Capability", 44, Smoke::t_enum|Smoke::tf_stack },	//139
    { "QNetworkProxy::ProxyType", 44, Smoke::t_enum|Smoke::tf_stack },	//140
    { "QNetworkProxyFactory*", 45, Smoke::t_class|Smoke::tf_ptr },	//141
    { "QNetworkProxyQuery&", 46, Smoke::t_class|Smoke::tf_ref },	//142
    { "QNetworkProxyQuery*", 46, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QNetworkProxyQuery::QueryType", 46, Smoke::t_enum|Smoke::tf_stack },	//144
    { "QNetworkReply*", 47, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QNetworkReply::NetworkError", 47, Smoke::t_enum|Smoke::tf_stack },	//146
    { "QNetworkRequest", 48, Smoke::t_class|Smoke::tf_stack },	//147
    { "QNetworkRequest&", 48, Smoke::t_class|Smoke::tf_ref },	//148
    { "QNetworkRequest*", 48, Smoke::t_class|Smoke::tf_ptr },	//149
    { "QNetworkRequest::Attribute", 48, Smoke::t_enum|Smoke::tf_stack },	//150
    { "QNetworkRequest::CacheLoadControl", 48, Smoke::t_enum|Smoke::tf_stack },	//151
    { "QNetworkRequest::KnownHeaders", 48, Smoke::t_enum|Smoke::tf_stack },	//152
    { "QObject*", 49, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QObject*(*)()", 49, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QPair<QHostAddress,int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//155
    { "QPoint&", 51, Smoke::t_class|Smoke::tf_ref },	//156
    { "QPointF&", 52, Smoke::t_class|Smoke::tf_ref },	//157
    { "QRect&", 53, Smoke::t_class|Smoke::tf_ref },	//158
    { "QRectF&", 54, Smoke::t_class|Smoke::tf_ref },	//159
    { "QRegExp&", 55, Smoke::t_class|Smoke::tf_ref },	//160
    { "QRegExp::PatternSyntax", 55, Smoke::t_enum|Smoke::tf_stack },	//161
    { "QSize&", 56, Smoke::t_class|Smoke::tf_ref },	//162
    { "QSizeF&", 57, Smoke::t_class|Smoke::tf_ref },	//163
    { "QSsl::AlternateNameEntryType", 58, Smoke::t_enum|Smoke::tf_stack },	//164
    { "QSsl::EncodingFormat", 58, Smoke::t_enum|Smoke::tf_stack },	//165
    { "QSsl::KeyAlgorithm", 58, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QSsl::KeyType", 58, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QSsl::SslProtocol", 58, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QSslCertificate", 59, Smoke::t_class|Smoke::tf_stack },	//169
    { "QSslCertificate&", 59, Smoke::t_class|Smoke::tf_ref },	//170
    { "QSslCertificate*", 59, Smoke::t_class|Smoke::tf_ptr },	//171
    { "QSslCertificate::SubjectInfo", 59, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QSslCipher", 60, Smoke::t_class|Smoke::tf_stack },	//173
    { "QSslCipher&", 60, Smoke::t_class|Smoke::tf_ref },	//174
    { "QSslCipher*", 60, Smoke::t_class|Smoke::tf_ptr },	//175
    { "QSslConfiguration", 61, Smoke::t_class|Smoke::tf_stack },	//176
    { "QSslConfiguration&", 61, Smoke::t_class|Smoke::tf_ref },	//177
    { "QSslConfiguration*", 61, Smoke::t_class|Smoke::tf_ptr },	//178
    { "QSslError&", 62, Smoke::t_class|Smoke::tf_ref },	//179
    { "QSslError*", 62, Smoke::t_class|Smoke::tf_ptr },	//180
    { "QSslError::SslError", 62, Smoke::t_enum|Smoke::tf_stack },	//181
    { "QSslKey", 63, Smoke::t_class|Smoke::tf_stack },	//182
    { "QSslKey&", 63, Smoke::t_class|Smoke::tf_ref },	//183
    { "QSslKey*", 63, Smoke::t_class|Smoke::tf_ptr },	//184
    { "QSslSocket*", 64, Smoke::t_class|Smoke::tf_ptr },	//185
    { "QSslSocket::PeerVerifyMode", 64, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QSslSocket::SslMode", 64, Smoke::t_enum|Smoke::tf_stack },	//187
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//188
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//189
    { "QString::Null", 65, Smoke::t_class|Smoke::tf_stack },	//190
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//192
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//193
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//194
    { "QTcpServer*", 67, Smoke::t_class|Smoke::tf_ptr },	//195
    { "QTcpSocket*", 68, Smoke::t_class|Smoke::tf_ptr },	//196
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "QTextStream&", 69, Smoke::t_class|Smoke::tf_ref },	//198
    { "QTextStream&(*)(QTextStream&)", 69, Smoke::t_class|Smoke::tf_ref },	//199
    { "QTextStream::NumberFlag", 69, Smoke::t_enum|Smoke::tf_stack },	//200
    { "QTextStreamManipulator", 70, Smoke::t_class|Smoke::tf_stack },	//201
    { "QTime&", 71, Smoke::t_class|Smoke::tf_ref },	//202
    { "QTimerEvent*", 72, Smoke::t_class|Smoke::tf_ptr },	//203
    { "QUdpSocket*", 73, Smoke::t_class|Smoke::tf_ptr },	//204
    { "QUdpSocket::BindFlag", 73, Smoke::t_enum|Smoke::tf_stack },	//205
    { "QUrl", 74, Smoke::t_class|Smoke::tf_stack },	//206
    { "QUrl&", 74, Smoke::t_class|Smoke::tf_ref },	//207
    { "QUrl::FormattingOption", 74, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QUrlInfo&", 75, Smoke::t_class|Smoke::tf_ref },	//209
    { "QUrlInfo*", 75, Smoke::t_class|Smoke::tf_ptr },	//210
    { "QUrlInfo::PermissionSpec", 75, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QUuid&", 76, Smoke::t_class|Smoke::tf_ref },	//212
    { "QVariant", 77, Smoke::t_class|Smoke::tf_stack },	//213
    { "QVariant&", 77, Smoke::t_class|Smoke::tf_ref },	//214
    { "QVariant::Type", 77, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QVariant::Type&", 77, Smoke::t_enum|Smoke::tf_ref },	//216
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//237
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//264
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//266
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//268
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//269
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//270
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//271
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//272
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//273
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//274
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//275
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//276
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//277
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//280
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "QtMsgType", 17, Smoke::t_enum|Smoke::tf_stack },	//290
    { "QtValidLicenseForActiveQtModule", 17, Smoke::t_enum|Smoke::tf_stack },	//291
    { "QtValidLicenseForCoreModule", 17, Smoke::t_enum|Smoke::tf_stack },	//292
    { "QtValidLicenseForDBusModule", 17, Smoke::t_enum|Smoke::tf_stack },	//293
    { "QtValidLicenseForDeclarativeModule", 17, Smoke::t_enum|Smoke::tf_stack },	//294
    { "QtValidLicenseForGuiModule", 17, Smoke::t_enum|Smoke::tf_stack },	//295
    { "QtValidLicenseForHelpModule", 17, Smoke::t_enum|Smoke::tf_stack },	//296
    { "QtValidLicenseForMultimediaModule", 17, Smoke::t_enum|Smoke::tf_stack },	//297
    { "QtValidLicenseForNetworkModule", 17, Smoke::t_enum|Smoke::tf_stack },	//298
    { "QtValidLicenseForOpenGLModule", 17, Smoke::t_enum|Smoke::tf_stack },	//299
    { "QtValidLicenseForOpenVGModule", 17, Smoke::t_enum|Smoke::tf_stack },	//300
    { "QtValidLicenseForQt3SupportLightModule", 17, Smoke::t_enum|Smoke::tf_stack },	//301
    { "QtValidLicenseForQt3SupportModule", 17, Smoke::t_enum|Smoke::tf_stack },	//302
    { "QtValidLicenseForScriptModule", 17, Smoke::t_enum|Smoke::tf_stack },	//303
    { "QtValidLicenseForScriptToolsModule", 17, Smoke::t_enum|Smoke::tf_stack },	//304
    { "QtValidLicenseForSqlModule", 17, Smoke::t_enum|Smoke::tf_stack },	//305
    { "QtValidLicenseForSvgModule", 17, Smoke::t_enum|Smoke::tf_stack },	//306
    { "QtValidLicenseForTestModule", 17, Smoke::t_enum|Smoke::tf_stack },	//307
    { "QtValidLicenseForXmlModule", 17, Smoke::t_enum|Smoke::tf_stack },	//308
    { "QtValidLicenseForXmlPatternsModule", 17, Smoke::t_enum|Smoke::tf_stack },	//309
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//310
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//311
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//312
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//313
    { "const QAuthenticator&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//314
    { "const QBitArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//315
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//316
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//317
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//318
    { "const QDate&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//319
    { "const QDateTime&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//320
    { "const QDir&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//321
    { "const QEasingCurve&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//322
    { "const QHash<QNetworkRequest::Attribute,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//323
    { "const QHashDummyValue&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//324
    { "const QHostAddress&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//325
    { "const QHostInfo&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const QHttpHeader&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const QHttpRequestHeader&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//328
    { "const QHttpResponseHeader&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//329
    { "const QIPv6Address&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//330
    { "const QLatin1String&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//331
    { "const QLine&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//332
    { "const QLineF&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//333
    { "const QList<QHostAddress>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//334
    { "const QList<QNetworkCookie>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//335
    { "const QList<QPair<QByteArray,QByteArray> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//336
    { "const QList<QPair<QString,QString> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//337
    { "const QList<QSslCertificate>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//338
    { "const QList<QSslCipher>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//339
    { "const QList<QSslError>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//340
    { "const QLocale&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//341
    { "const QMargins&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//342
    { "const QMetaObject&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//343
    { "const QMetaObject*", 35, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//344
    { "const QModelIndex&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//345
    { "const QNetworkAddressEntry&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//346
    { "const QNetworkCacheMetaData&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//347
    { "const QNetworkCookie&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//348
    { "const QNetworkInterface&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//349
    { "const QNetworkProxy&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//350
    { "const QNetworkProxyFactory&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//351
    { "const QNetworkProxyQuery&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//352
    { "const QNetworkRequest&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//353
    { "const QObject*", 49, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//354
    { "const QPair<QHostAddress,int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//355
    { "const QPersistentModelIndex&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//356
    { "const QPoint", 51, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//357
    { "const QPoint&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//358
    { "const QPointF", 52, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//359
    { "const QPointF&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//360
    { "const QRect&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//361
    { "const QRectF&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//362
    { "const QRegExp&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//363
    { "const QRegExp*", 55, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//364
    { "const QSize", 56, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//365
    { "const QSize&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//366
    { "const QSizeF", 57, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//367
    { "const QSizeF&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//368
    { "const QSslCertificate&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//369
    { "const QSslCipher&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//370
    { "const QSslConfiguration&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//371
    { "const QSslError&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//372
    { "const QSslError::SslError&", 62, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//373
    { "const QSslKey&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//374
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//375
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//376
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//377
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//378
    { "const QStringRef&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QTime&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const QUrl&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const QUrlInfo&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const QUuid&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const QVariant&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const QVariant::Type", 77, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//385
    { "const QVariantComparisonHelper&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//387
    { "const sockaddr*", 79, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//388
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//389
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//390
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//391
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//392
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//393
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//394
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//395
    { "qint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//396
    { "quint16", 0, Smoke::t_ushort|Smoke::tf_stack },	//397
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//398
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//399
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//400
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//401
    { "unsigned char&", 0, Smoke::t_voidp|Smoke::tf_ref },	//402
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//403
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//404
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//405
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//406
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//407
    { "unsigned short*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//408
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//409
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//410
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//411
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//412
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//413
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//414
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    387, 0,	//1  const char*
    387, 387, 0,	//3  const char*, const char*
    387, 387, 393, 0,	//6  const char*, const char*, int
    118, 393, 413, 0,	//10  QMetaObject::Call, int, void**
    381, 0,	//14  const QUrl&
    347, 0,	//16  const QNetworkCacheMetaData&
    90, 0,	//18  QIODevice*
    153, 0,	//20  QObject*
    8, 153, 0,	//22  QAbstractSocket::SocketType, QObject*
    376, 407, 37, 0,	//25  const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>
    325, 407, 37, 0,	//29  const QHostAddress&, unsigned short, QFlags<QIODevice::OpenModeFlag>
    395, 0,	//33  long long
    393, 7, 37, 0,	//35  int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>
    6, 384, 0,	//39  QAbstractSocket::SocketOption, const QVariant&
    6, 0,	//42  QAbstractSocket::SocketOption
    393, 0,	//44  int
    350, 0,	//46  const QNetworkProxy&
    7, 0,	//48  QAbstractSocket::SocketState
    5, 0,	//50  QAbstractSocket::SocketError
    350, 10, 0,	//52  const QNetworkProxy&, QAuthenticator*
    376, 397, 91, 0,	//55  const QString&, quint16, QIODevice::OpenMode
    313, 395, 0,	//59  char*, long long
    387, 395, 0,	//62  const char*, long long
    407, 0,	//65  unsigned short
    325, 0,	//67  const QHostAddress&
    376, 0,	//69  const QString&
    376, 407, 0,	//71  const QString&, unsigned short
    325, 407, 0,	//74  const QHostAddress&, unsigned short
    393, 7, 0,	//77  int, QAbstractSocket::SocketState
    376, 397, 0,	//80  const QString&, quint16
    314, 0,	//83  const QAuthenticator&
    376, 376, 0,	//85  const QString&, const QString&
    67, 0,	//88  QFtp::TransferMode
    376, 90, 68, 0,	//90  const QString&, QIODevice*, QFtp::TransferType
    317, 376, 68, 0,	//94  const QByteArray&, const QString&, QFtp::TransferType
    90, 376, 68, 0,	//98  QIODevice*, const QString&, QFtp::TransferType
    382, 0,	//102  const QUrlInfo&
    396, 396, 0,	//104  qint64, qint64
    393, 376, 0,	//107  int, const QString&
    393, 310, 0,	//110  int, bool
    310, 0,	//113  bool
    376, 90, 0,	//115  const QString&, QIODevice*
    317, 376, 0,	//118  const QByteArray&, const QString&
    90, 376, 0,	//121  QIODevice*, const QString&
    391, 0,	//124  double
    30, 30, 0,	//126  QFile::Permission, QFile::Permission
    20, 17, 0,	//129  QDataStream&, QChar&
    27, 34, 0,	//132  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    387, 331, 0,	//135  const char*, const QLatin1String&
    20, 116, 0,	//138  QDataStream&, QLocale&
    287, 393, 0,	//141  Qt::WindowType, int
    313, 387, 404, 0,	//144  char*, const char*, unsigned int
    404, 0,	//148  unsigned int
    312, 0,	//150  char
    368, 391, 0,	//152  const QSizeF&, double
    24, 332, 0,	//155  QDebug, const QLine&
    317, 387, 0,	//158  const QByteArray&, const char*
    387, 376, 0,	//161  const char*, const QString&
    20, 158, 0,	//164  QDataStream&, QRect&
    252, 252, 0,	//167  Qt::ItemFlag, Qt::ItemFlag
    384, 386, 0,	//170  const QVariant&, const QVariantComparisonHelper&
    24, 37, 0,	//173  QDebug, QFlags<QIODevice::OpenModeFlag>
    366, 366, 0,	//176  const QSize&, const QSize&
    24, 325, 0,	//179  QDebug, const QHostAddress&
    16, 376, 0,	//182  QChar, const QString&
    387, 387, 404, 0,	//185  const char*, const char*, unsigned int
    331, 331, 0,	//189  const QLatin1String&, const QLatin1String&
    379, 379, 0,	//192  const QStringRef&, const QStringRef&
    24, 114, 0,	//195  QDebug, QLocalSocket::LocalSocketError
    313, 400, 387, 409, 0,	//198  char*, size_t, const char*, va_list
    360, 360, 0,	//203  const QPointF&, const QPointF&
    376, 379, 0,	//206  const QString&, const QStringRef&
    20, 325, 0,	//209  QDataStream&, const QHostAddress&
    376, 16, 0,	//212  const QString&, QChar
    387, 404, 0,	//215  const char*, unsigned int
    331, 379, 0,	//218  const QLatin1String&, const QStringRef&
    24, 319, 0,	//221  QDebug, const QDate&
    277, 277, 0,	//224  Qt::ToolBarArea, Qt::ToolBarArea
    24, 333, 0,	//227  QDebug, const QLineF&
    362, 362, 0,	//230  const QRectF&, const QRectF&
    401, 0,	//233  unsigned char
    354, 376, 364, 343, 111, 0,	//235  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    379, 331, 0,	//241  const QStringRef&, const QLatin1String&
    20, 21, 0,	//244  QDataStream&, QDate&
    392, 0,	//247  float
    274, 393, 0,	//249  Qt::TextInteractionFlag, int
    16, 16, 0,	//252  QChar, QChar
    16, 0,	//255  QChar
    20, 207, 0,	//257  QDataStream&, QUrl&
    24, 345, 0,	//260  QDebug, const QModelIndex&
    97, 38, 0,	//263  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    24, 373, 0,	//266  QDebug, const QSslError::SslError&
    387, 393, 0,	//269  const char*, int
    391, 391, 0,	//272  double, double
    20, 385, 0,	//275  QDataStream&, const QVariant::Type
    398, 0,	//278  short
    20, 384, 0,	//280  QDataStream&, const QVariant&
    274, 58, 0,	//283  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    24, 369, 0,	//286  QDebug, const QSslCertificate&
    252, 53, 0,	//289  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    394, 0,	//292  long
    249, 52, 0,	//294  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    20, 368, 0,	//297  QDataStream&, const QSizeF&
    190, 190, 0,	//300  QString::Null, QString::Null
    387, 317, 0,	//303  const char*, const QByteArray&
    135, 135, 0,	//306  QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag
    135, 40, 0,	//309  QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>
    73, 325, 0,	//312  QHostAddress::SpecialAddress, const QHostAddress&
    315, 0,	//315  const QBitArray&
    27, 27, 0,	//317  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    313, 387, 0,	//320  char*, const char*
    315, 315, 0,	//323  const QBitArray&, const QBitArray&
    358, 358, 0,	//326  const QPoint&, const QPoint&
    255, 54, 0,	//329  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    360, 391, 0,	//332  const QPointF&, double
    24, 368, 0,	//335  QDebug, const QSizeF&
    324, 324, 0,	//338  const QHashDummyValue&, const QHashDummyValue&
    1, 1, 0,	//341  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    205, 393, 0,	//344  QUdpSocket::BindFlag, int
    361, 361, 0,	//347  const QRect&, const QRect&
    20, 212, 0,	//350  QDataStream&, QUuid&
    317, 317, 0,	//353  const QByteArray&, const QByteArray&
    389, 393, 0,	//356  const unsigned char*, int
    205, 45, 0,	//359  QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>
    317, 393, 0,	//362  const QByteArray&, int
    317, 0,	//365  const QByteArray&
    20, 376, 0,	//367  QDataStream&, const QString&
    198, 199, 0,	//370  QTextStream&, QTextStream&(*)(QTextStream&)
    24, 372, 0,	//373  QDebug, const QSslError&
    238, 393, 0,	//376  Qt::DropAction, int
    412, 400, 400, 400, 0,	//379  void*, size_t, size_t, size_t
    258, 393, 0,	//384  Qt::MatchFlag, int
    20, 358, 0,	//387  QDataStream&, const QPoint&
    24, 7, 0,	//390  QDebug, QAbstractSocket::SocketState
    24, 361, 0,	//393  QDebug, const QRect&
    24, 5, 0,	//396  QDebug, QAbstractSocket::SocketError
    197, 43, 0,	//399  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    274, 274, 0,	//402  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    24, 321, 0,	//405  QDebug, const QDir&
    191, 42, 0,	//408  QString::SectionFlag, QFlags<QString::SectionFlag>
    260, 260, 0,	//411  Qt::MouseButton, Qt::MouseButton
    412, 400, 0,	//414  void*, size_t
    238, 238, 0,	//417  Qt::DropAction, Qt::DropAction
    1, 393, 0,	//420  QAbstractFileEngine::FileFlag, int
    376, 190, 0,	//423  const QString&, QString::Null
    243, 50, 0,	//426  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    29, 393, 0,	//429  QEventLoop::ProcessEventsFlag, int
    24, 172, 0,	//432  QDebug, QSslCertificate::SubjectInfo
    117, 117, 0,	//435  QLocale::NumberOption, QLocale::NumberOption
    92, 92, 0,	//438  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    20, 99, 0,	//441  QDataStream&, QLineF&
    24, 374, 0,	//444  QDebug, const QSslKey&
    20, 333, 0,	//447  QDataStream&, const QLineF&
    368, 368, 0,	//450  const QSizeF&, const QSizeF&
    391, 366, 0,	//453  double, const QSize&
    236, 48, 0,	//456  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    258, 55, 0,	//459  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    360, 0,	//462  const QPointF&
    217, 393, 0,	//464  Qt::AlignmentFlag, int
    247, 393, 0,	//467  Qt::ImageConversionFlag, int
    24, 366, 0,	//470  QDebug, const QSize&
    197, 393, 0,	//473  QTextCodec::ConversionFlag, int
    24, 358, 0,	//476  QDebug, const QPoint&
    24, 381, 0,	//479  QDebug, const QUrl&
    358, 0,	//482  const QPoint&
    20, 360, 0,	//484  QDataStream&, const QPointF&
    197, 197, 0,	//487  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    20, 71, 0,	//490  QDataStream&, QHostAddress&
    13, 13, 0,	//493  QBool, QBool
    376, 312, 0,	//496  const QString&, char
    387, 379, 0,	//499  const char*, const QStringRef&
    406, 0,	//502  unsigned long long
    200, 393, 0,	//504  QTextStream::NumberFlag, int
    24, 360, 0,	//507  QDebug, const QPointF&
    190, 376, 0,	//510  QString::Null, const QString&
    410, 0,	//513  void(*)()
    117, 39, 0,	//515  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    243, 243, 0,	//518  Qt::GestureFlag, Qt::GestureFlag
    20, 159, 0,	//521  QDataStream&, QRectF&
    392, 392, 0,	//524  float, float
    20, 318, 0,	//527  QDataStream&, const QChar&
    20, 157, 0,	//530  QDataStream&, QPointF&
    366, 391, 0,	//533  const QSize&, double
    411, 0,	//536  void(*)(QtMsgType,const char*)
    198, 201, 0,	//538  QTextStream&, QTextStreamManipulator
    217, 217, 0,	//541  Qt::AlignmentFlag, Qt::AlignmentFlag
    20, 98, 0,	//544  QDataStream&, QLine&
    25, 25, 0,	//547  QDir::Filter, QDir::Filter
    358, 391, 0,	//550  const QPoint&, double
    20, 317, 0,	//553  QDataStream&, const QByteArray&
    20, 347, 0,	//556  QDataStream&, const QNetworkCacheMetaData&
    247, 247, 0,	//559  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    286, 393, 0,	//562  Qt::WindowState, int
    20, 189, 0,	//565  QDataStream&, QString&
    354, 376, 343, 0,	//568  const QObject*, const QString&, const QMetaObject&
    20, 362, 0,	//572  QDataStream&, const QRectF&
    20, 12, 0,	//575  QDataStream&, QBitArray&
    20, 162, 0,	//578  QDataStream&, QSize&
    255, 255, 0,	//581  Qt::KeyboardModifier, Qt::KeyboardModifier
    310, 13, 0,	//584  bool, QBool
    200, 200, 0,	//587  QTextStream::NumberFlag, QTextStream::NumberFlag
    20, 23, 0,	//590  QDataStream&, QDateTime&
    384, 215, 412, 0,	//593  const QVariant&, QVariant::Type, void*
    379, 376, 0,	//597  const QStringRef&, const QString&
    389, 403, 393, 0,	//600  const unsigned char*, unsigned char*, int
    255, 393, 0,	//604  Qt::KeyboardModifier, int
    20, 320, 0,	//607  QDataStream&, const QDateTime&
    290, 387, 0,	//610  QtMsgType, const char*
    29, 35, 0,	//613  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    342, 342, 0,	//616  const QMargins&, const QMargins&
    208, 208, 0,	//619  QUrl::FormattingOption, QUrl::FormattingOption
    139, 139, 0,	//622  QNetworkProxy::Capability, QNetworkProxy::Capability
    24, 385, 0,	//625  QDebug, const QVariant::Type
    236, 393, 0,	//628  Qt::DockWidgetArea, int
    20, 202, 0,	//631  QDataStream&, QTime&
    287, 287, 0,	//634  Qt::WindowType, Qt::WindowType
    412, 393, 400, 0,	//637  void*, int, size_t
    24, 320, 0,	//641  QDebug, const QDateTime&
    399, 0,	//644  signed char
    287, 62, 0,	//646  Qt::WindowType, QFlags<Qt::WindowType>
    286, 286, 0,	//649  Qt::WindowState, Qt::WindowState
    30, 393, 0,	//652  QFile::Permission, int
    20, 193, 0,	//655  QDataStream&, QStringList&
    24, 384, 0,	//658  QDebug, const QVariant&
    154, 0,	//661  QObject*(*)()
    391, 360, 0,	//663  double, const QPointF&
    20, 381, 0,	//666  QDataStream&, const QUrl&
    20, 380, 0,	//669  QDataStream&, const QTime&
    20, 156, 0,	//672  QDataStream&, QPoint&
    205, 205, 0,	//675  QUdpSocket::BindFlag, QUdpSocket::BindFlag
    379, 0,	//678  const QStringRef&
    20, 160, 0,	//680  QDataStream&, QRegExp&
    249, 393, 0,	//683  Qt::InputMethodHint, int
    20, 341, 0,	//686  QDataStream&, const QLocale&
    400, 400, 0,	//689  size_t, size_t
    20, 315, 0,	//692  QDataStream&, const QBitArray&
    376, 317, 0,	//695  const QString&, const QByteArray&
    387, 387, 387, 393, 0,	//698  const char*, const char*, const char*, int
    208, 46, 0,	//703  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    29, 29, 0,	//706  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    317, 312, 0,	//709  const QByteArray&, char
    139, 393, 0,	//712  QNetworkProxy::Capability, int
    97, 97, 0,	//715  QLibrary::LoadHint, QLibrary::LoadHint
    217, 47, 0,	//718  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    20, 383, 0,	//721  QDataStream&, const QUuid&
    92, 37, 0,	//724  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    20, 332, 0,	//727  QDataStream&, const QLine&
    243, 393, 0,	//730  Qt::GestureFlag, int
    379, 387, 0,	//733  const QStringRef&, const char*
    26, 33, 0,	//736  QDir::SortFlag, QFlags<QDir::SortFlag>
    24, 348, 0,	//739  QDebug, const QNetworkCookie&
    20, 319, 0,	//742  QDataStream&, const QDate&
    312, 317, 0,	//745  char, const QByteArray&
    376, 387, 0,	//748  const QString&, const char*
    97, 393, 0,	//751  QLibrary::LoadHint, int
    389, 393, 393, 0,	//754  const unsigned char*, int, int
    262, 262, 0,	//758  Qt::Orientation, Qt::Orientation
    13, 310, 0,	//761  QBool, bool
    20, 377, 0,	//764  QDataStream&, const QStringList&
    20, 363, 0,	//767  QDataStream&, const QRegExp&
    26, 393, 0,	//770  QDir::SortFlag, int
    412, 390, 400, 0,	//773  void*, const void*, size_t
    412, 0,	//777  void*
    277, 59, 0,	//779  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    24, 115, 0,	//782  QDebug, QLocalSocket::LocalSocketState
    24, 356, 0,	//785  QDebug, const QPersistentModelIndex&
    20, 214, 0,	//788  QDataStream&, QVariant&
    280, 60, 0,	//791  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    391, 358, 0,	//794  double, const QPoint&
    24, 349, 0,	//797  QDebug, const QNetworkInterface&
    24, 354, 0,	//800  QDebug, const QObject*
    24, 370, 0,	//803  QDebug, const QSslCipher&
    30, 36, 0,	//806  QFile::Permission, QFlags<QFile::Permission>
    20, 125, 0,	//809  QDataStream&, QNetworkCacheMetaData&
    24, 362, 0,	//812  QDebug, const QRectF&
    200, 44, 0,	//815  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    26, 26, 0,	//818  QDir::SortFlag, QDir::SortFlag
    139, 41, 0,	//821  QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>
    135, 393, 0,	//824  QNetworkInterface::InterfaceFlag, int
    25, 393, 0,	//827  QDir::Filter, int
    280, 393, 0,	//830  Qt::TouchPointState, int
    405, 0,	//833  unsigned long
    1, 31, 0,	//835  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    260, 56, 0,	//838  Qt::MouseButton, QFlags<Qt::MouseButton>
    238, 49, 0,	//841  Qt::DropAction, QFlags<Qt::DropAction>
    400, 0,	//844  size_t
    262, 393, 0,	//846  Qt::Orientation, int
    277, 393, 0,	//849  Qt::ToolBarArea, int
    20, 15, 0,	//852  QDataStream&, QByteArray&
    20, 216, 0,	//855  QDataStream&, QVariant::Type&
    20, 361, 0,	//858  QDataStream&, const QRect&
    24, 322, 0,	//861  QDebug, const QEasingCurve&
    356, 0,	//864  const QPersistentModelIndex&
    117, 393, 0,	//866  QLocale::NumberOption, int
    24, 380, 0,	//869  QDebug, const QTime&
    280, 280, 0,	//872  Qt::TouchPointState, Qt::TouchPointState
    247, 51, 0,	//875  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    286, 61, 0,	//878  Qt::WindowState, QFlags<Qt::WindowState>
    236, 236, 0,	//881  Qt::DockWidgetArea, Qt::DockWidgetArea
    27, 393, 0,	//884  QDirIterator::IteratorFlag, int
    391, 368, 0,	//887  double, const QSizeF&
    24, 342, 0,	//890  QDebug, const QMargins&
    345, 0,	//893  const QModelIndex&
    208, 393, 0,	//895  QUrl::FormattingOption, int
    258, 258, 0,	//898  Qt::MatchFlag, Qt::MatchFlag
    249, 249, 0,	//901  Qt::InputMethodHint, Qt::InputMethodHint
    262, 57, 0,	//904  Qt::Orientation, QFlags<Qt::Orientation>
    24, 32, 0,	//907  QDebug, QFlags<QDir::Filter>
    252, 393, 0,	//910  Qt::ItemFlag, int
    260, 393, 0,	//913  Qt::MouseButton, int
    20, 163, 0,	//916  QDataStream&, QSizeF&
    92, 393, 0,	//919  QIODevice::OpenModeFlag, int
    191, 393, 0,	//922  QString::SectionFlag, int
    312, 376, 0,	//925  char, const QString&
    20, 366, 0,	//928  QDataStream&, const QSize&
    25, 32, 0,	//931  QDir::Filter, QFlags<QDir::Filter>
    191, 191, 0,	//934  QString::SectionFlag, QString::SectionFlag
    403, 0,	//937  unsigned char*
    330, 0,	//939  const QIPv6Address&
    388, 0,	//941  const sockaddr*
    73, 0,	//943  QHostAddress::SpecialAddress
    325, 393, 0,	//945  const QHostAddress&, int
    355, 0,	//948  const QPair<QHostAddress,int>&
    326, 0,	//950  const QHostInfo&
    334, 0,	//952  const QList<QHostAddress>&
    77, 0,	//954  QHostInfo::HostInfoError
    376, 153, 387, 0,	//956  const QString&, QObject*, const char*
    376, 407, 153, 0,	//960  const QString&, unsigned short, QObject*
    376, 79, 407, 153, 0,	//964  const QString&, QHttp::ConnectionMode, unsigned short, QObject*
    376, 79, 407, 0,	//969  const QString&, QHttp::ConnectionMode, unsigned short
    196, 0,	//973  QTcpSocket*
    376, 393, 376, 376, 0,	//975  const QString&, int, const QString&, const QString&
    376, 90, 90, 0,	//980  const QString&, QIODevice*, QIODevice*
    376, 317, 90, 0,	//984  const QString&, const QByteArray&, QIODevice*
    328, 90, 90, 0,	//988  const QHttpRequestHeader&, QIODevice*, QIODevice*
    328, 317, 90, 0,	//992  const QHttpRequestHeader&, const QByteArray&, QIODevice*
    329, 0,	//996  const QHttpResponseHeader&
    393, 393, 0,	//998  int, int
    376, 397, 10, 0,	//1001  const QString&, quint16, QAuthenticator*
    340, 0,	//1005  const QList<QSslError>&
    376, 79, 0,	//1007  const QString&, QHttp::ConnectionMode
    376, 393, 0,	//1010  const QString&, int
    376, 393, 376, 0,	//1013  const QString&, int, const QString&
    328, 0,	//1017  const QHttpRequestHeader&
    328, 90, 0,	//1019  const QHttpRequestHeader&, QIODevice*
    328, 317, 0,	//1022  const QHttpRequestHeader&, const QByteArray&
    327, 0,	//1025  const QHttpHeader&
    337, 0,	//1027  const QList<QPair<QString,QString> >&
    376, 376, 393, 393, 0,	//1029  const QString&, const QString&, int, int
    376, 376, 393, 0,	//1034  const QString&, const QString&, int
    393, 376, 393, 393, 0,	//1038  int, const QString&, int, int
    393, 376, 393, 0,	//1043  int, const QString&, int
    37, 0,	//1047  QFlags<QIODevice::OpenModeFlag>
    393, 311, 0,	//1049  int, bool*
    96, 0,	//1052  QIntegerForSizeof< void* >::Unsigned
    376, 37, 0,	//1054  const QString&, QFlags<QIODevice::OpenModeFlag>
    96, 115, 37, 0,	//1057  QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState, QFlags<QIODevice::OpenModeFlag>
    114, 0,	//1061  QLocalSocket::LocalSocketError
    115, 0,	//1063  QLocalSocket::LocalSocketState
    96, 115, 0,	//1065  QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState
    141, 0,	//1068  QNetworkProxyFactory*
    2, 0,	//1070  QAbstractNetworkCache*
    130, 0,	//1072  QNetworkCookieJar*
    353, 0,	//1074  const QNetworkRequest&
    353, 90, 0,	//1076  const QNetworkRequest&, QIODevice*
    353, 317, 0,	//1079  const QNetworkRequest&, const QByteArray&
    145, 10, 0,	//1082  QNetworkReply*, QAuthenticator*
    145, 0,	//1085  QNetworkReply*
    145, 340, 0,	//1087  QNetworkReply*, const QList<QSslError>&
    121, 353, 90, 0,	//1090  QNetworkAccessManager::Operation, const QNetworkRequest&, QIODevice*
    121, 353, 0,	//1094  QNetworkAccessManager::Operation, const QNetworkRequest&
    346, 0,	//1097  const QNetworkAddressEntry&
    336, 0,	//1099  const QList<QPair<QByteArray,QByteArray> >&
    320, 0,	//1101  const QDateTime&
    323, 0,	//1103  const QHash<QNetworkRequest::Attribute,QVariant>&
    348, 0,	//1105  const QNetworkCookie&
    129, 0,	//1107  QNetworkCookie::RawForm
    335, 381, 0,	//1109  const QList<QNetworkCookie>&, const QUrl&
    335, 0,	//1112  const QList<QNetworkCookie>&
    349, 0,	//1114  const QNetworkInterface&
    140, 376, 407, 376, 376, 0,	//1116  QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&, const QString&
    140, 0,	//1122  QNetworkProxy::ProxyType
    41, 0,	//1124  QFlags<QNetworkProxy::Capability>
    140, 376, 0,	//1126  QNetworkProxy::ProxyType, const QString&
    140, 376, 407, 0,	//1129  QNetworkProxy::ProxyType, const QString&, unsigned short
    140, 376, 407, 376, 0,	//1133  QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&
    352, 0,	//1138  const QNetworkProxyQuery&
    351, 0,	//1140  const QNetworkProxyFactory&
    381, 144, 0,	//1142  const QUrl&, QNetworkProxyQuery::QueryType
    376, 393, 376, 144, 0,	//1145  const QString&, int, const QString&, QNetworkProxyQuery::QueryType
    407, 376, 144, 0,	//1150  unsigned short, const QString&, QNetworkProxyQuery::QueryType
    144, 0,	//1154  QNetworkProxyQuery::QueryType
    407, 376, 0,	//1156  unsigned short, const QString&
    152, 0,	//1159  QNetworkRequest::KnownHeaders
    150, 0,	//1161  QNetworkRequest::Attribute
    371, 0,	//1163  const QSslConfiguration&
    146, 0,	//1165  QNetworkReply::NetworkError
    121, 0,	//1167  QNetworkAccessManager::Operation
    146, 376, 0,	//1169  QNetworkReply::NetworkError, const QString&
    152, 384, 0,	//1172  QNetworkRequest::KnownHeaders, const QVariant&
    150, 384, 0,	//1175  QNetworkRequest::Attribute, const QVariant&
    28, 0,	//1178  QEvent*
    153, 28, 0,	//1180  QObject*, QEvent*
    203, 0,	//1183  QTimerEvent*
    18, 0,	//1185  QChildEvent*
    90, 165, 0,	//1187  QIODevice*, QSsl::EncodingFormat
    317, 165, 0,	//1190  const QByteArray&, QSsl::EncodingFormat
    369, 0,	//1193  const QSslCertificate&
    19, 0,	//1195  QCryptographicHash::Algorithm
    172, 0,	//1197  QSslCertificate::SubjectInfo
    376, 165, 161, 0,	//1199  const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax
    376, 165, 0,	//1203  const QString&, QSsl::EncodingFormat
    376, 168, 0,	//1206  const QString&, QSsl::SslProtocol
    370, 0,	//1209  const QSslCipher&
    168, 0,	//1211  QSsl::SslProtocol
    186, 0,	//1213  QSslSocket::PeerVerifyMode
    374, 0,	//1215  const QSslKey&
    339, 0,	//1217  const QList<QSslCipher>&
    338, 0,	//1219  const QList<QSslCertificate>&
    181, 0,	//1221  QSslError::SslError
    181, 369, 0,	//1223  QSslError::SslError, const QSslCertificate&
    372, 0,	//1226  const QSslError&
    317, 166, 165, 167, 317, 0,	//1228  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&
    90, 166, 165, 167, 317, 0,	//1234  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&
    317, 166, 0,	//1240  const QByteArray&, QSsl::KeyAlgorithm
    317, 166, 165, 0,	//1243  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    317, 166, 165, 167, 0,	//1247  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType
    90, 166, 0,	//1252  QIODevice*, QSsl::KeyAlgorithm
    90, 166, 165, 0,	//1255  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    90, 166, 165, 167, 0,	//1259  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType
    376, 407, 376, 37, 0,	//1264  const QString&, unsigned short, const QString&, QFlags<QIODevice::OpenModeFlag>
    376, 166, 165, 317, 0,	//1269  const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, const QByteArray&
    187, 0,	//1274  QSslSocket::SslMode
    396, 0,	//1276  qint64
    376, 407, 376, 0,	//1278  const QString&, unsigned short, const QString&
    376, 166, 0,	//1282  const QString&, QSsl::KeyAlgorithm
    376, 166, 165, 0,	//1285  const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    325, 407, 45, 0,	//1289  const QHostAddress&, unsigned short, QFlags<QUdpSocket::BindFlag>
    407, 45, 0,	//1293  unsigned short, QFlags<QUdpSocket::BindFlag>
    313, 395, 72, 408, 0,	//1296  char*, long long, QHostAddress*, unsigned short*
    387, 395, 325, 407, 0,	//1301  const char*, long long, const QHostAddress&, unsigned short
    317, 325, 407, 0,	//1306  const QByteArray&, const QHostAddress&, unsigned short
    313, 395, 72, 0,	//1310  char*, long long, QHostAddress*
    376, 393, 376, 376, 395, 320, 320, 310, 310, 310, 310, 310, 310, 0,	//1314  const QString&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool
    381, 393, 376, 376, 395, 320, 320, 310, 310, 310, 310, 310, 310, 0,	//1328  const QUrl&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool
    382, 382, 393, 0,	//1342  const QUrlInfo&, const QUrlInfo&, int
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Aborted",	//1
    "Active",	//2
    "AddressInUseError",	//3
    "AlwaysCache",	//4
    "AlwaysNetwork",	//5
    "Any",	//6
    "AnyIPv6",	//7
    "AnyProtocol",	//8
    "Append",	//9
    "Ascii",	//10
    "AuthenticationRequiredError",	//11
    "AuthorityIssuerSerialNumberMismatch",	//12
    "AutoVerifyPeer",	//13
    "Binary",	//14
    "BoundState",	//15
    "Broadcast",	//16
    "CacheLoadControlAttribute",	//17
    "CacheSaveControlAttribute",	//18
    "CachingCapability",	//19
    "CanBroadcast",	//20
    "CanMulticast",	//21
    "Cd",	//22
    "CertificateExpired",	//23
    "CertificateNotYetValid",	//24
    "CertificateRejected",	//25
    "CertificateRevoked",	//26
    "CertificateSignatureFailed",	//27
    "CertificateUntrusted",	//28
    "Close",	//29
    "Closing",	//30
    "ClosingState",	//31
    "CommonName",	//32
    "ConnectToHost",	//33
    "Connected",	//34
    "ConnectedState",	//35
    "Connecting",	//36
    "ConnectingState",	//37
    "ConnectionEncryptedAttribute",	//38
    "ConnectionError",	//39
    "ConnectionModeHttp",	//40
    "ConnectionModeHttps",	//41
    "ConnectionRefused",	//42
    "ConnectionRefusedError",	//43
    "ContentAccessDenied",	//44
    "ContentLengthHeader",	//45
    "ContentNotFoundError",	//46
    "ContentOperationNotPermittedError",	//47
    "ContentReSendError",	//48
    "ContentTypeHeader",	//49
    "CookieHeader",	//50
    "CountryName",	//51
    "DatagramTooLargeError",	//52
    "DefaultForPlatform",	//53
    "DefaultProxy",	//54
    "DeleteOperation",	//55
    "Der",	//56
    "DnsEntry",	//57
    "DoNotBufferUploadDataAttribute",	//58
    "DontShareAddress",	//59
    "Dsa",	//60
    "EmailEntry",	//61
    "ExeGroup",	//62
    "ExeOther",	//63
    "ExeOwner",	//64
    "FtpCachingProxy",	//65
    "Full",	//66
    "Get",	//67
    "GetOperation",	//68
    "HeadOperation",	//69
    "HostLookup",	//70
    "HostLookupState",	//71
    "HostNameLookupCapability",	//72
    "HostNameMismatch",	//73
    "HostNotFound",	//74
    "HostNotFoundError",	//75
    "HttpCachingProxy",	//76
    "HttpPipeliningAllowedAttribute",	//77
    "HttpPipeliningWasUsedAttribute",	//78
    "HttpProxy",	//79
    "HttpReasonPhraseAttribute",	//80
    "HttpStatusCodeAttribute",	//81
    "IPv4Protocol",	//82
    "IPv6Protocol",	//83
    "InvalidCaCertificate",	//84
    "InvalidNotAfterField",	//85
    "InvalidNotBeforeField",	//86
    "InvalidPurpose",	//87
    "InvalidResponseHeader",	//88
    "IsLoopBack",	//89
    "IsPointToPoint",	//90
    "IsRunning",	//91
    "IsUp",	//92
    "KeepAliveOption",	//93
    "LastModifiedHeader",	//94
    "LicensedActiveQt",	//95
    "LicensedCore",	//96
    "LicensedDBus",	//97
    "LicensedDeclarative",	//98
    "LicensedGui",	//99
    "LicensedHelp",	//100
    "LicensedMultimedia",	//101
    "LicensedNetwork",	//102
    "LicensedOpenGL",	//103
    "LicensedOpenVG",	//104
    "LicensedQt3Support",	//105
    "LicensedQt3SupportLight",	//106
    "LicensedScript",	//107
    "LicensedScriptTools",	//108
    "LicensedSql",	//109
    "LicensedSvg",	//110
    "LicensedTest",	//111
    "LicensedXml",	//112
    "LicensedXmlPatterns",	//113
    "List",	//114
    "ListeningCapability",	//115
    "ListeningState",	//116
    "LocalHost",	//117
    "LocalHostIPv6",	//118
    "LocalityName",	//119
    "LocationHeader",	//120
    "LoggedIn",	//121
    "Login",	//122
    "LowDelayOption",	//123
    "Mkdir",	//124
    "NameAndValueOnly",	//125
    "NetworkError",	//126
    "NoError",	//127
    "NoPeerCertificate",	//128
    "NoProxy",	//129
    "NoSslSupport",	//130
    "None",	//131
    "NotConnected",	//132
    "NotOpen",	//133
    "Null",	//134
    "OperationCanceledError",	//135
    "Organization",	//136
    "OrganizationalUnitName",	//137
    "Passive",	//138
    "PathLengthExceeded",	//139
    "PeerClosedError",	//140
    "Pem",	//141
    "PostOperation",	//142
    "PreferCache",	//143
    "PreferNetwork",	//144
    "PrivateKey",	//145
    "ProtocolFailure",	//146
    "ProtocolInvalidOperationError",	//147
    "ProtocolUnknownError",	//148
    "ProxyAuthenticationRequiredError",	//149
    "ProxyConnectionClosedError",	//150
    "ProxyConnectionRefusedError",	//151
    "ProxyConnectionTimeoutError",	//152
    "ProxyNotFoundError",	//153
    "ProxyProtocolError",	//154
    "ProxyTimeoutError",	//155
    "PublicKey",	//156
    "Put",	//157
    "PutOperation",	//158
    "QAbstractNetworkCache",	//159
    "QAbstractNetworkCache#",	//160
    "QAbstractSocket",	//161
    "QAbstractSocket$#",	//162
    "QAuthenticator",	//163
    "QAuthenticator#",	//164
    "QFtp",	//165
    "QFtp#",	//166
    "QHostAddress",	//167
    "QHostAddress#",	//168
    "QHostAddress$",	//169
    "QHostInfo",	//170
    "QHostInfo#",	//171
    "QHostInfo$",	//172
    "QHttp",	//173
    "QHttp#",	//174
    "QHttp$",	//175
    "QHttp$$",	//176
    "QHttp$$#",	//177
    "QHttp$$$",	//178
    "QHttp$$$#",	//179
    "QHttpHeader",	//180
    "QHttpHeader#",	//181
    "QHttpHeader$",	//182
    "QHttpRequestHeader",	//183
    "QHttpRequestHeader#",	//184
    "QHttpRequestHeader$",	//185
    "QHttpRequestHeader$$",	//186
    "QHttpRequestHeader$$$",	//187
    "QHttpRequestHeader$$$$",	//188
    "QHttpResponseHeader",	//189
    "QHttpResponseHeader#",	//190
    "QHttpResponseHeader$",	//191
    "QHttpResponseHeader$$",	//192
    "QHttpResponseHeader$$$",	//193
    "QHttpResponseHeader$$$$",	//194
    "QIPv6Address",	//195
    "QIPv6Address#",	//196
    "QLocalServer",	//197
    "QLocalServer#",	//198
    "QLocalSocket",	//199
    "QLocalSocket#",	//200
    "QNetworkAccessManager",	//201
    "QNetworkAccessManager#",	//202
    "QNetworkAddressEntry",	//203
    "QNetworkAddressEntry#",	//204
    "QNetworkCacheMetaData",	//205
    "QNetworkCacheMetaData#",	//206
    "QNetworkCookie",	//207
    "QNetworkCookie#",	//208
    "QNetworkCookie##",	//209
    "QNetworkCookieJar",	//210
    "QNetworkCookieJar#",	//211
    "QNetworkDiskCache",	//212
    "QNetworkDiskCache#",	//213
    "QNetworkInterface",	//214
    "QNetworkInterface#",	//215
    "QNetworkProxy",	//216
    "QNetworkProxy#",	//217
    "QNetworkProxy$",	//218
    "QNetworkProxy$$",	//219
    "QNetworkProxy$$$",	//220
    "QNetworkProxy$$$$",	//221
    "QNetworkProxy$$$$$",	//222
    "QNetworkProxyFactory",	//223
    "QNetworkProxyFactory#",	//224
    "QNetworkProxyQuery",	//225
    "QNetworkProxyQuery#",	//226
    "QNetworkProxyQuery#$",	//227
    "QNetworkProxyQuery$",	//228
    "QNetworkProxyQuery$$",	//229
    "QNetworkProxyQuery$$$",	//230
    "QNetworkProxyQuery$$$$",	//231
    "QNetworkReply",	//232
    "QNetworkReply#",	//233
    "QNetworkRequest",	//234
    "QNetworkRequest#",	//235
    "QSslCertificate",	//236
    "QSslCertificate#",	//237
    "QSslCertificate#$",	//238
    "QSslCipher",	//239
    "QSslCipher#",	//240
    "QSslCipher$$",	//241
    "QSslConfiguration",	//242
    "QSslConfiguration#",	//243
    "QSslError",	//244
    "QSslError#",	//245
    "QSslError$",	//246
    "QSslError$#",	//247
    "QSslKey",	//248
    "QSslKey#",	//249
    "QSslKey#$",	//250
    "QSslKey#$$",	//251
    "QSslKey#$$$",	//252
    "QSslKey#$$$#",	//253
    "QSslSocket",	//254
    "QSslSocket#",	//255
    "QTcpServer",	//256
    "QTcpServer#",	//257
    "QTcpSocket",	//258
    "QTcpSocket#",	//259
    "QUdpSocket",	//260
    "QUdpSocket#",	//261
    "QUrlInfo",	//262
    "QUrlInfo#",	//263
    "QUrlInfo#$$$?##$$$$$$",	//264
    "QUrlInfo$$$$?##$$$$$$",	//265
    "Q_COMPLEX_TYPE",	//266
    "Q_DUMMY_TYPE",	//267
    "Q_MOVABLE_TYPE",	//268
    "Q_PRIMITIVE_TYPE",	//269
    "Q_STATIC_TYPE",	//270
    "QtCriticalMsg",	//271
    "QtDebugMsg",	//272
    "QtFatalMsg",	//273
    "QtSystemMsg",	//274
    "QtWarningMsg",	//275
    "QueryPeer",	//276
    "RawCommand",	//277
    "ReadGroup",	//278
    "ReadOnly",	//279
    "ReadOther",	//280
    "ReadOwner",	//281
    "ReadWrite",	//282
    "Reading",	//283
    "RedirectionTargetAttribute",	//284
    "RemoteHostClosedError",	//285
    "Remove",	//286
    "Rename",	//287
    "ReuseAddressHint",	//288
    "Rmdir",	//289
    "Rsa",	//290
    "SelfSignedCertificate",	//291
    "SelfSignedCertificateInChain",	//292
    "Sending",	//293
    "ServerNotFoundError",	//294
    "SetCookieHeader",	//295
    "SetProxy",	//296
    "SetTransferMode",	//297
    "ShareAddress",	//298
    "SocketAccessError",	//299
    "SocketAddressNotAvailableError",	//300
    "SocketResourceError",	//301
    "SocketTimeoutError",	//302
    "Socks5Proxy",	//303
    "SourceIsFromCacheAttribute",	//304
    "SslClientMode",	//305
    "SslHandshakeFailedError",	//306
    "SslServerMode",	//307
    "SslV2",	//308
    "SslV3",	//309
    "StateOrProvinceName",	//310
    "SubjectIssuerMismatch",	//311
    "TcpServer",	//312
    "TcpSocket",	//313
    "Text",	//314
    "TimeoutError",	//315
    "TlsV1",	//316
    "Truncate",	//317
    "TunnelingCapability",	//318
    "UdpSocket",	//319
    "UdpTunnelingCapability",	//320
    "UnableToDecodeIssuerPublicKey",	//321
    "UnableToDecryptCertificateSignature",	//322
    "UnableToGetIssuerCertificate",	//323
    "UnableToGetLocalIssuerCertificate",	//324
    "UnableToVerifyFirstCertificate",	//325
    "Unbuffered",	//326
    "Unconnected",	//327
    "UnconnectedState",	//328
    "UnencryptedMode",	//329
    "UnexpectedClose",	//330
    "UnfinishedSocketOperationError",	//331
    "UnknownContentError",	//332
    "UnknownError",	//333
    "UnknownNetworkError",	//334
    "UnknownNetworkLayerProtocol",	//335
    "UnknownOperation",	//336
    "UnknownProtocol",	//337
    "UnknownProxyError",	//338
    "UnknownSocketError",	//339
    "UnknownSocketType",	//340
    "UnspecifiedError",	//341
    "UnsupportedSocketOperationError",	//342
    "UrlRequest",	//343
    "User",	//344
    "UserMax",	//345
    "VerifyNone",	//346
    "VerifyPeer",	//347
    "WriteGroup",	//348
    "WriteOnly",	//349
    "WriteOther",	//350
    "WriteOwner",	//351
    "WrongContentLength",	//352
    "abort",	//353
    "abortHostLookup",	//354
    "abortHostLookup$",	//355
    "addCaCertificate",	//356
    "addCaCertificate#",	//357
    "addCaCertificates",	//358
    "addCaCertificates$",	//359
    "addCaCertificates$$",	//360
    "addCaCertificates$$$",	//361
    "addCaCertificates?",	//362
    "addDefaultCaCertificate",	//363
    "addDefaultCaCertificate#",	//364
    "addDefaultCaCertificates",	//365
    "addDefaultCaCertificates$",	//366
    "addDefaultCaCertificates$$",	//367
    "addDefaultCaCertificates$$$",	//368
    "addDefaultCaCertificates?",	//369
    "addValue",	//370
    "addValue$$",	//371
    "addressEntries",	//372
    "addresses",	//373
    "algorithm",	//374
    "allAddresses",	//375
    "allCookies",	//376
    "allInterfaces",	//377
    "allValues",	//378
    "allValues$",	//379
    "alternateSubjectNames",	//380
    "applicationProxy",	//381
    "atEnd",	//382
    "attribute",	//383
    "attribute$",	//384
    "attribute$#",	//385
    "attributes",	//386
    "authenticationMethod",	//387
    "authenticationRequired",	//388
    "authenticationRequired##",	//389
    "authenticationRequired$$#",	//390
    "bind",	//391
    "bind#$",	//392
    "bind#$$",	//393
    "bind$",	//394
    "bind$$",	//395
    "broadcast",	//396
    "bytesAvailable",	//397
    "bytesToWrite",	//398
    "caCertificates",	//399
    "cache",	//400
    "cacheDirectory",	//401
    "cacheSize",	//402
    "canReadLine",	//403
    "capabilities",	//404
    "cd",	//405
    "cd$",	//406
    "certificate",	//407
    "childEvent",	//408
    "ciphers",	//409
    "clear",	//410
    "clearPendingCommands",	//411
    "clearPendingRequests",	//412
    "close",	//413
    "closeConnection",	//414
    "commandFinished",	//415
    "commandFinished$$",	//416
    "commandStarted",	//417
    "commandStarted$",	//418
    "connectNotify",	//419
    "connectToHost",	//420
    "connectToHost#$",	//421
    "connectToHost#$$",	//422
    "connectToHost$",	//423
    "connectToHost$$",	//424
    "connectToHost$$$",	//425
    "connectToHostEncrypted",	//426
    "connectToHostEncrypted$$",	//427
    "connectToHostEncrypted$$$",	//428
    "connectToHostEncrypted$$$$",	//429
    "connectToHostImplementation",	//430
    "connectToHostImplementation$$",	//431
    "connectToHostImplementation$$$",	//432
    "connectToServer",	//433
    "connectToServer$",	//434
    "connectToServer$$",	//435
    "connected",	//436
    "contentLength",	//437
    "contentType",	//438
    "cookieJar",	//439
    "cookiesForUrl",	//440
    "cookiesForUrl#",	//441
    "createRequest",	//442
    "createRequest$#",	//443
    "createRequest$##",	//444
    "currentCommand",	//445
    "currentDestinationDevice",	//446
    "currentDevice",	//447
    "currentId",	//448
    "currentRequest",	//449
    "currentSourceDevice",	//450
    "customEvent",	//451
    "data",	//452
    "data#",	//453
    "dataReadProgress",	//454
    "dataReadProgress$$",	//455
    "dataSendProgress",	//456
    "dataSendProgress$$",	//457
    "dataTransferProgress",	//458
    "dataTransferProgress??",	//459
    "defaultCaCertificates",	//460
    "defaultCiphers",	//461
    "defaultConfiguration",	//462
    "deleteResource",	//463
    "deleteResource#",	//464
    "detach",	//465
    "digest",	//466
    "digest$",	//467
    "disconnectFromHost",	//468
    "disconnectFromHostImplementation",	//469
    "disconnectFromServer",	//470
    "disconnectNotify",	//471
    "disconnected",	//472
    "domain",	//473
    "done",	//474
    "done$",	//475
    "downloadProgress",	//476
    "downloadProgress??",	//477
    "effectiveDate",	//478
    "encrypted",	//479
    "encryptedBytesAvailable",	//480
    "encryptedBytesToWrite",	//481
    "encryptedBytesWritten",	//482
    "encryptedBytesWritten?",	//483
    "encryptionMethod",	//484
    "equal",	//485
    "equal##$",	//486
    "error",	//487
    "error$",	//488
    "errorString",	//489
    "event",	//490
    "eventFilter",	//491
    "expirationDate",	//492
    "expire",	//493
    "expiryDate",	//494
    "fileMetaData",	//495
    "fileMetaData$",	//496
    "finished",	//497
    "finished#",	//498
    "flags",	//499
    "flush",	//500
    "fromData",	//501
    "fromData#",	//502
    "fromData#$",	//503
    "fromDevice",	//504
    "fromDevice#",	//505
    "fromDevice#$",	//506
    "fromName",	//507
    "fromName$",	//508
    "fromPath",	//509
    "fromPath$",	//510
    "fromPath$$",	//511
    "fromPath$$$",	//512
    "fullServerName",	//513
    "get",	//514
    "get#",	//515
    "get$",	//516
    "get$#",	//517
    "get$#$",	//518
    "greaterThan",	//519
    "greaterThan##$",	//520
    "group",	//521
    "handle",	//522
    "hardwareAddress",	//523
    "hasContentLength",	//524
    "hasContentType",	//525
    "hasKey",	//526
    "hasKey$",	//527
    "hasPendingCommands",	//528
    "hasPendingConnections",	//529
    "hasPendingDatagrams",	//530
    "hasPendingRequests",	//531
    "hasRawHeader",	//532
    "hasRawHeader#",	//533
    "head",	//534
    "head#",	//535
    "head$",	//536
    "header",	//537
    "header$",	//538
    "hostFound",	//539
    "hostName",	//540
    "humanReadableName",	//541
    "ignoreSslErrors",	//542
    "ignoreSslErrors?",	//543
    "incomingConnection",	//544
    "incomingConnection$",	//545
    "incomingConnection?",	//546
    "index",	//547
    "insert",	//548
    "insert#",	//549
    "interfaceFromIndex",	//550
    "interfaceFromIndex$",	//551
    "interfaceFromName",	//552
    "interfaceFromName$",	//553
    "ip",	//554
    "isCachingProxy",	//555
    "isDir",	//556
    "isEncrypted",	//557
    "isExecutable",	//558
    "isFile",	//559
    "isFinished",	//560
    "isHttpOnly",	//561
    "isInSubnet",	//562
    "isInSubnet#$",	//563
    "isInSubnet?",	//564
    "isListening",	//565
    "isNull",	//566
    "isReadable",	//567
    "isRunning",	//568
    "isSecure",	//569
    "isSequential",	//570
    "isSessionCookie",	//571
    "isSymLink",	//572
    "isTransparentProxy",	//573
    "isValid",	//574
    "isWritable",	//575
    "issuerInfo",	//576
    "issuerInfo#",	//577
    "issuerInfo$",	//578
    "keyExchangeMethod",	//579
    "keys",	//580
    "lastModified",	//581
    "lastRead",	//582
    "lastResponse",	//583
    "length",	//584
    "lessThan",	//585
    "lessThan##$",	//586
    "list",	//587
    "list$",	//588
    "listInfo",	//589
    "listInfo#",	//590
    "listen",	//591
    "listen#",	//592
    "listen#$",	//593
    "listen$",	//594
    "localAddress",	//595
    "localCertificate",	//596
    "localDomainName",	//597
    "localHostName",	//598
    "localPort",	//599
    "login",	//600
    "login$",	//601
    "login$$",	//602
    "lookupHost",	//603
    "lookupHost$#$",	//604
    "lookupId",	//605
    "majorVersion",	//606
    "manager",	//607
    "maxPendingConnections",	//608
    "maximumCacheSize",	//609
    "metaData",	//610
    "metaData#",	//611
    "metaDataChanged",	//612
    "metaObject",	//613
    "method",	//614
    "minorVersion",	//615
    "mkdir",	//616
    "mkdir$",	//617
    "mode",	//618
    "modeChanged",	//619
    "modeChanged$",	//620
    "name",	//621
    "netmask",	//622
    "newConnection",	//623
    "nextPendingConnection",	//624
    "open",	//625
    "operation",	//626
    "operator!=",	//627
    "operator!=#",	//628
    "operator!=##",	//629
    "operator!=#$",	//630
    "operator!=$",	//631
    "operator!=$#",	//632
    "operator!=$$",	//633
    "operator&",	//634
    "operator&##",	//635
    "operator*",	//636
    "operator*#$",	//637
    "operator*$#",	//638
    "operator+",	//639
    "operator+##",	//640
    "operator+#$",	//641
    "operator+$#",	//642
    "operator+$$",	//643
    "operator-",	//644
    "operator-#",	//645
    "operator-##",	//646
    "operator/",	//647
    "operator/#$",	//648
    "operator<",	//649
    "operator<##",	//650
    "operator<#$",	//651
    "operator<$#",	//652
    "operator<$$",	//653
    "operator<<",	//654
    "operator<<##",	//655
    "operator<<#$",	//656
    "operator<<#?",	//657
    "operator<=",	//658
    "operator<=##",	//659
    "operator<=#$",	//660
    "operator<=$#",	//661
    "operator<=$$",	//662
    "operator=",	//663
    "operator=#",	//664
    "operator=$",	//665
    "operator==",	//666
    "operator==#",	//667
    "operator==##",	//668
    "operator==#$",	//669
    "operator==$",	//670
    "operator==$#",	//671
    "operator==$$",	//672
    "operator>",	//673
    "operator>##",	//674
    "operator>#$",	//675
    "operator>$#",	//676
    "operator>$$",	//677
    "operator>=",	//678
    "operator>=##",	//679
    "operator>=#$",	//680
    "operator>=$#",	//681
    "operator>=$$",	//682
    "operator>>",	//683
    "operator>>##",	//684
    "operator>>#$",	//685
    "operator>>#?",	//686
    "operator[]",	//687
    "operator[]$",	//688
    "operator^",	//689
    "operator^##",	//690
    "operator|",	//691
    "operator|##",	//692
    "operator|$$",	//693
    "originatingObject",	//694
    "owner",	//695
    "parse",	//696
    "parse$",	//697
    "parseCookies",	//698
    "parseCookies#",	//699
    "parseLine",	//700
    "parseLine$$",	//701
    "parseSubnet",	//702
    "parseSubnet$",	//703
    "password",	//704
    "path",	//705
    "peerAddress",	//706
    "peerCertificate",	//707
    "peerCertificateChain",	//708
    "peerHostName",	//709
    "peerName",	//710
    "peerPort",	//711
    "peerVerifyDepth",	//712
    "peerVerifyError",	//713
    "peerVerifyError#",	//714
    "peerVerifyMode",	//715
    "pendingDatagramSize",	//716
    "permissions",	//717
    "port",	//718
    "pos",	//719
    "post",	//720
    "post##",	//721
    "post$#",	//722
    "post$##",	//723
    "prefixLength",	//724
    "prepare",	//725
    "prepare#",	//726
    "privateKey",	//727
    "protocol",	//728
    "protocolString",	//729
    "protocolTag",	//730
    "proxy",	//731
    "proxyAuthenticationRequired",	//732
    "proxyAuthenticationRequired##",	//733
    "proxyFactory",	//734
    "proxyForQuery",	//735
    "proxyForQuery#",	//736
    "publicKey",	//737
    "put",	//738
    "put##",	//739
    "put#$",	//740
    "put#$$",	//741
    "qAcos",	//742
    "qAcos$",	//743
    "qAddPostRoutine",	//744
    "qAddPostRoutine$",	//745
    "qAppName",	//746
    "qAsin",	//747
    "qAsin$",	//748
    "qAtan",	//749
    "qAtan$",	//750
    "qAtan2",	//751
    "qAtan2$$",	//752
    "qBadAlloc",	//753
    "qCeil",	//754
    "qCeil$",	//755
    "qChecksum",	//756
    "qChecksum$$",	//757
    "qCompress",	//758
    "qCompress#",	//759
    "qCompress#$",	//760
    "qCompress$$",	//761
    "qCompress$$$",	//762
    "qCos",	//763
    "qCos$",	//764
    "qCritical",	//765
    "qDebug",	//766
    "qExp",	//767
    "qExp$",	//768
    "qFabs",	//769
    "qFabs$",	//770
    "qFastCos",	//771
    "qFastCos$",	//772
    "qFastSin",	//773
    "qFastSin$",	//774
    "qFlagLocation",	//775
    "qFlagLocation$",	//776
    "qFloor",	//777
    "qFloor$",	//778
    "qFree",	//779
    "qFree$",	//780
    "qFreeAligned",	//781
    "qFreeAligned$",	//782
    "qFuzzyCompare",	//783
    "qFuzzyCompare$$",	//784
    "qFuzzyIsNull",	//785
    "qFuzzyIsNull$",	//786
    "qHash",	//787
    "qHash#",	//788
    "qHash$",	//789
    "qHash?",	//790
    "qInf",	//791
    "qInstallMsgHandler",	//792
    "qInstallMsgHandler$",	//793
    "qIntCast",	//794
    "qIntCast$",	//795
    "qIsFinite",	//796
    "qIsFinite$",	//797
    "qIsInf",	//798
    "qIsInf$",	//799
    "qIsNaN",	//800
    "qIsNaN$",	//801
    "qIsNull",	//802
    "qIsNull$",	//803
    "qLn",	//804
    "qLn$",	//805
    "qMalloc",	//806
    "qMalloc?",	//807
    "qMallocAligned",	//808
    "qMallocAligned??",	//809
    "qMemCopy",	//810
    "qMemCopy$$?",	//811
    "qMemSet",	//812
    "qMemSet$$?",	//813
    "qPow",	//814
    "qPow$$",	//815
    "qQNaN",	//816
    "qRealloc",	//817
    "qRealloc$?",	//818
    "qReallocAligned",	//819
    "qReallocAligned$???",	//820
    "qRegisterStaticPluginInstanceFunction",	//821
    "qRegisterStaticPluginInstanceFunction#",	//822
    "qRemovePostRoutine",	//823
    "qRemovePostRoutine$",	//824
    "qRound",	//825
    "qRound$",	//826
    "qRound64",	//827
    "qRound64$",	//828
    "qSNaN",	//829
    "qSetFieldWidth",	//830
    "qSetFieldWidth$",	//831
    "qSetPadChar",	//832
    "qSetPadChar#",	//833
    "qSetRealNumberPrecision",	//834
    "qSetRealNumberPrecision$",	//835
    "qSharedBuild",	//836
    "qSin",	//837
    "qSin$",	//838
    "qSqrt",	//839
    "qSqrt$",	//840
    "qStringComparisonHelper",	//841
    "qStringComparisonHelper#$",	//842
    "qStringComparisonHelper$$",	//843
    "qTan",	//844
    "qTan$",	//845
    "qUncompress",	//846
    "qUncompress#",	//847
    "qUncompress$$",	//848
    "qVersion",	//849
    "qWarning",	//850
    "qbswap_helper",	//851
    "qbswap_helper$$$",	//852
    "qgetenv",	//853
    "qgetenv$",	//854
    "qputenv",	//855
    "qputenv$#",	//856
    "qrand",	//857
    "qsrand",	//858
    "qsrand$",	//859
    "qstrcmp",	//860
    "qstrcmp##",	//861
    "qstrcmp#$",	//862
    "qstrcmp$#",	//863
    "qstrcmp$$",	//864
    "qstrcpy",	//865
    "qstrcpy$$",	//866
    "qstrdup",	//867
    "qstrdup$",	//868
    "qstricmp",	//869
    "qstricmp$$",	//870
    "qstrlen",	//871
    "qstrlen$",	//872
    "qstrncmp",	//873
    "qstrncmp$$$",	//874
    "qstrncpy",	//875
    "qstrncpy$$$",	//876
    "qstrnicmp",	//877
    "qstrnicmp$$$",	//878
    "qstrnlen",	//879
    "qstrnlen$$",	//880
    "qtTrId",	//881
    "qtTrId$",	//882
    "qtTrId$$",	//883
    "qt_assert",	//884
    "qt_assert$$$",	//885
    "qt_assert_x",	//886
    "qt_assert_x$$$$",	//887
    "qt_check_pointer",	//888
    "qt_check_pointer$$",	//889
    "qt_error_string",	//890
    "qt_error_string$",	//891
    "qt_message_output",	//892
    "qt_message_output$$",	//893
    "qt_metacall",	//894
    "qt_metacall$$?",	//895
    "qt_metacast",	//896
    "qt_metacast$",	//897
    "qt_noop",	//898
    "qt_qFindChild_helper",	//899
    "qt_qFindChild_helper#$#",	//900
    "qt_qFindChildren_helper",	//901
    "qt_qFindChildren_helper#$##?",	//902
    "queryProxy",	//903
    "queryProxy#",	//904
    "queryType",	//905
    "qvariant_cast_helper",	//906
    "qvariant_cast_helper#$$",	//907
    "qvsnprintf",	//908
    "qvsnprintf$?$?",	//909
    "rawCommand",	//910
    "rawCommand$",	//911
    "rawCommandReply",	//912
    "rawCommandReply$$",	//913
    "rawHeader",	//914
    "rawHeader#",	//915
    "rawHeaderList",	//916
    "rawHeaders",	//917
    "read",	//918
    "read$?",	//919
    "readAll",	//920
    "readBufferSize",	//921
    "readData",	//922
    "readData$?",	//923
    "readDatagram",	//924
    "readDatagram$?",	//925
    "readDatagram$?#",	//926
    "readDatagram$?#$",	//927
    "readLineData",	//928
    "readLineData$?",	//929
    "readyRead",	//930
    "readyRead#",	//931
    "realm",	//932
    "reasonPhrase",	//933
    "remove",	//934
    "remove#",	//935
    "remove$",	//936
    "removeAllValues",	//937
    "removeAllValues$",	//938
    "removeServer",	//939
    "removeServer$",	//940
    "removeValue",	//941
    "removeValue$",	//942
    "rename",	//943
    "rename$$",	//944
    "request",	//945
    "request#",	//946
    "request##",	//947
    "request###",	//948
    "requestFinished",	//949
    "requestFinished$$",	//950
    "requestStarted",	//951
    "requestStarted$",	//952
    "reset",	//953
    "responseHeaderReceived",	//954
    "responseHeaderReceived#",	//955
    "rmdir",	//956
    "rmdir$",	//957
    "saveToDisk",	//958
    "scopeId",	//959
    "seek",	//960
    "serialNumber",	//961
    "serverAddress",	//962
    "serverError",	//963
    "serverName",	//964
    "serverPort",	//965
    "sessionCipher",	//966
    "setAddress",	//967
    "setAddress#",	//968
    "setAddress$",	//969
    "setAddresses",	//970
    "setAddresses?",	//971
    "setAllCookies",	//972
    "setAllCookies?",	//973
    "setApplicationProxy",	//974
    "setApplicationProxy#",	//975
    "setApplicationProxyFactory",	//976
    "setApplicationProxyFactory#",	//977
    "setAttribute",	//978
    "setAttribute$#",	//979
    "setAttributes",	//980
    "setAttributes?",	//981
    "setBroadcast",	//982
    "setBroadcast#",	//983
    "setCaCertificates",	//984
    "setCaCertificates?",	//985
    "setCache",	//986
    "setCache#",	//987
    "setCacheDirectory",	//988
    "setCacheDirectory$",	//989
    "setCapabilities",	//990
    "setCapabilities$",	//991
    "setCiphers",	//992
    "setCiphers$",	//993
    "setCiphers?",	//994
    "setContentLength",	//995
    "setContentLength$",	//996
    "setContentType",	//997
    "setContentType$",	//998
    "setCookieJar",	//999
    "setCookieJar#",	//1000
    "setCookiesFromUrl",	//1001
    "setCookiesFromUrl?#",	//1002
    "setDefaultCaCertificates",	//1003
    "setDefaultCaCertificates?",	//1004
    "setDefaultCiphers",	//1005
    "setDefaultCiphers?",	//1006
    "setDefaultConfiguration",	//1007
    "setDefaultConfiguration#",	//1008
    "setDir",	//1009
    "setDir$",	//1010
    "setDomain",	//1011
    "setDomain$",	//1012
    "setError",	//1013
    "setError$",	//1014
    "setError$$",	//1015
    "setErrorString",	//1016
    "setErrorString$",	//1017
    "setExpirationDate",	//1018
    "setExpirationDate#",	//1019
    "setFile",	//1020
    "setFile$",	//1021
    "setGroup",	//1022
    "setGroup$",	//1023
    "setHeader",	//1024
    "setHeader$#",	//1025
    "setHost",	//1026
    "setHost$",	//1027
    "setHost$$",	//1028
    "setHost$$$",	//1029
    "setHostName",	//1030
    "setHostName$",	//1031
    "setHttpOnly",	//1032
    "setHttpOnly$",	//1033
    "setIp",	//1034
    "setIp#",	//1035
    "setLastModified",	//1036
    "setLastModified#",	//1037
    "setLastRead",	//1038
    "setLastRead#",	//1039
    "setLocalAddress",	//1040
    "setLocalAddress#",	//1041
    "setLocalCertificate",	//1042
    "setLocalCertificate#",	//1043
    "setLocalCertificate$",	//1044
    "setLocalCertificate$$",	//1045
    "setLocalPort",	//1046
    "setLocalPort$",	//1047
    "setLookupId",	//1048
    "setLookupId$",	//1049
    "setMaxPendingConnections",	//1050
    "setMaxPendingConnections$",	//1051
    "setMaximumCacheSize",	//1052
    "setMaximumCacheSize?",	//1053
    "setName",	//1054
    "setName#",	//1055
    "setName$",	//1056
    "setNetmask",	//1057
    "setNetmask#",	//1058
    "setOperation",	//1059
    "setOperation$",	//1060
    "setOriginatingObject",	//1061
    "setOriginatingObject#",	//1062
    "setOwner",	//1063
    "setOwner$",	//1064
    "setPassword",	//1065
    "setPassword$",	//1066
    "setPath",	//1067
    "setPath$",	//1068
    "setPeerAddress",	//1069
    "setPeerAddress#",	//1070
    "setPeerHostName",	//1071
    "setPeerHostName$",	//1072
    "setPeerName",	//1073
    "setPeerName$",	//1074
    "setPeerPort",	//1075
    "setPeerPort$",	//1076
    "setPeerVerifyDepth",	//1077
    "setPeerVerifyDepth$",	//1078
    "setPeerVerifyMode",	//1079
    "setPeerVerifyMode$",	//1080
    "setPermissions",	//1081
    "setPermissions$",	//1082
    "setPort",	//1083
    "setPort$",	//1084
    "setPrefixLength",	//1085
    "setPrefixLength$",	//1086
    "setPrivateKey",	//1087
    "setPrivateKey#",	//1088
    "setPrivateKey$",	//1089
    "setPrivateKey$$",	//1090
    "setPrivateKey$$$",	//1091
    "setPrivateKey$$$#",	//1092
    "setProtocol",	//1093
    "setProtocol$",	//1094
    "setProtocolTag",	//1095
    "setProtocolTag$",	//1096
    "setProxy",	//1097
    "setProxy#",	//1098
    "setProxy$$",	//1099
    "setProxy$$$",	//1100
    "setProxy$$$$",	//1101
    "setProxyFactory",	//1102
    "setProxyFactory#",	//1103
    "setQueryType",	//1104
    "setQueryType$",	//1105
    "setRawHeader",	//1106
    "setRawHeader##",	//1107
    "setRawHeaders",	//1108
    "setRawHeaders?",	//1109
    "setReadBufferSize",	//1110
    "setReadBufferSize?",	//1111
    "setReadable",	//1112
    "setReadable$",	//1113
    "setRequest",	//1114
    "setRequest#",	//1115
    "setRequest$$",	//1116
    "setRequest$$$",	//1117
    "setRequest$$$$",	//1118
    "setSaveToDisk",	//1119
    "setSaveToDisk$",	//1120
    "setScopeId",	//1121
    "setScopeId$",	//1122
    "setSecure",	//1123
    "setSecure$",	//1124
    "setSize",	//1125
    "setSize?",	//1126
    "setSocket",	//1127
    "setSocket#",	//1128
    "setSocketDescriptor",	//1129
    "setSocketDescriptor$",	//1130
    "setSocketDescriptor$$",	//1131
    "setSocketDescriptor$$$",	//1132
    "setSocketDescriptor?",	//1133
    "setSocketDescriptor?$",	//1134
    "setSocketDescriptor?$$",	//1135
    "setSocketError",	//1136
    "setSocketError$",	//1137
    "setSocketOption",	//1138
    "setSocketOption$#",	//1139
    "setSocketState",	//1140
    "setSocketState$",	//1141
    "setSslConfiguration",	//1142
    "setSslConfiguration#",	//1143
    "setStatusLine",	//1144
    "setStatusLine$",	//1145
    "setStatusLine$$",	//1146
    "setStatusLine$$$",	//1147
    "setStatusLine$$$$",	//1148
    "setSymLink",	//1149
    "setSymLink$",	//1150
    "setTransferMode",	//1151
    "setTransferMode$",	//1152
    "setType",	//1153
    "setType$",	//1154
    "setUrl",	//1155
    "setUrl#",	//1156
    "setUseSystemConfiguration",	//1157
    "setUseSystemConfiguration$",	//1158
    "setUser",	//1159
    "setUser$",	//1160
    "setUser$$",	//1161
    "setValid",	//1162
    "setValid$",	//1163
    "setValue",	//1164
    "setValue#",	//1165
    "setValue$$",	//1166
    "setValues",	//1167
    "setValues?",	//1168
    "setWritable",	//1169
    "setWritable$",	//1170
    "size",	//1171
    "socketDescriptor",	//1172
    "socketOption",	//1173
    "socketOption$",	//1174
    "socketType",	//1175
    "sslConfiguration",	//1176
    "sslErrors",	//1177
    "sslErrors#?",	//1178
    "sslErrors?",	//1179
    "startClientEncryption",	//1180
    "startServerEncryption",	//1181
    "state",	//1182
    "stateChanged",	//1183
    "stateChanged$",	//1184
    "staticMetaObject",	//1185
    "statusCode",	//1186
    "subjectInfo",	//1187
    "subjectInfo#",	//1188
    "subjectInfo$",	//1189
    "supportedBits",	//1190
    "supportedCiphers",	//1191
    "supportsSsl",	//1192
    "systemCaCertificates",	//1193
    "systemProxyForQuery",	//1194
    "systemProxyForQuery#",	//1195
    "timerEvent",	//1196
    "toDer",	//1197
    "toDer#",	//1198
    "toIPv4Address",	//1199
    "toIPv6Address",	//1200
    "toPem",	//1201
    "toPem#",	//1202
    "toRawForm",	//1203
    "toRawForm$",	//1204
    "toString",	//1205
    "tr",	//1206
    "tr$",	//1207
    "tr$$",	//1208
    "tr$$$",	//1209
    "trUtf8",	//1210
    "trUtf8$",	//1211
    "trUtf8$$",	//1212
    "trUtf8$$$",	//1213
    "type",	//1214
    "updateMetaData",	//1215
    "updateMetaData#",	//1216
    "uploadProgress",	//1217
    "uploadProgress??",	//1218
    "url",	//1219
    "usedBits",	//1220
    "user",	//1221
    "value",	//1222
    "value$",	//1223
    "values",	//1224
    "version",	//1225
    "waitForBytesWritten",	//1226
    "waitForBytesWritten$",	//1227
    "waitForConnected",	//1228
    "waitForConnected$",	//1229
    "waitForDisconnected",	//1230
    "waitForDisconnected$",	//1231
    "waitForEncrypted",	//1232
    "waitForEncrypted$",	//1233
    "waitForNewConnection",	//1234
    "waitForNewConnection$",	//1235
    "waitForNewConnection$$",	//1236
    "waitForReadyRead",	//1237
    "waitForReadyRead$",	//1238
    "writeData",	//1239
    "writeData$?",	//1240
    "writeDatagram",	//1241
    "writeDatagram##$",	//1242
    "writeDatagram$?#$",	//1243
    "~QAbstractNetworkCache",	//1244
    "~QAbstractSocket",	//1245
    "~QAuthenticator",	//1246
    "~QFtp",	//1247
    "~QHostAddress",	//1248
    "~QHostInfo",	//1249
    "~QHttp",	//1250
    "~QHttpHeader",	//1251
    "~QHttpRequestHeader",	//1252
    "~QHttpResponseHeader",	//1253
    "~QIPv6Address",	//1254
    "~QLocalServer",	//1255
    "~QLocalSocket",	//1256
    "~QNetworkAccessManager",	//1257
    "~QNetworkAddressEntry",	//1258
    "~QNetworkCacheMetaData",	//1259
    "~QNetworkCookie",	//1260
    "~QNetworkCookieJar",	//1261
    "~QNetworkDiskCache",	//1262
    "~QNetworkInterface",	//1263
    "~QNetworkProxy",	//1264
    "~QNetworkProxyFactory",	//1265
    "~QNetworkProxyQuery",	//1266
    "~QNetworkReply",	//1267
    "~QNetworkRequest",	//1268
    "~QSslCertificate",	//1269
    "~QSslCipher",	//1270
    "~QSslConfiguration",	//1271
    "~QSslError",	//1272
    "~QSslKey",	//1273
    "~QSslSocket",	//1274
    "~QTcpServer",	//1275
    "~QTcpSocket",	//1276
    "~QUdpSocket",	//1277
    "~QUrlInfo",	//1278
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 344, 1},	//1 QAbstractNetworkCache::metaObject() const
    {1, 896, 1, 1, Smoke::mf_virtual, 412, 2},	//2 QAbstractNetworkCache::qt_metacast(const char*)
    {1, 1206, 3, 2, Smoke::mf_static, 188, 3},	//3 QAbstractNetworkCache::tr(const char*, const char*)
    {1, 1210, 3, 2, Smoke::mf_static, 188, 4},	//4 QAbstractNetworkCache::trUtf8(const char*, const char*)
    {1, 1206, 6, 3, Smoke::mf_static, 188, 5},	//5 QAbstractNetworkCache::tr(const char*, const char*, int)
    {1, 1210, 6, 3, Smoke::mf_static, 188, 6},	//6 QAbstractNetworkCache::trUtf8(const char*, const char*, int)
    {1, 894, 10, 3, Smoke::mf_virtual, 393, 7},	//7 QAbstractNetworkCache::qt_metacall(QMetaObject::Call, int, void**)
    {1, 610, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 124, 8},	//8 QAbstractNetworkCache::metaData(const QUrl&) [pure virtual]
    {1, 1215, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//9 QAbstractNetworkCache::updateMetaData(const QNetworkCacheMetaData&) [pure virtual]
    {1, 452, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 90, 10},	//10 QAbstractNetworkCache::data(const QUrl&) [pure virtual]
    {1, 934, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 310, 11},	//11 QAbstractNetworkCache::remove(const QUrl&) [pure virtual]
    {1, 402, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 395, 12},	//12 QAbstractNetworkCache::cacheSize() const [pure virtual]
    {1, 725, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 90, 13},	//13 QAbstractNetworkCache::prepare(const QNetworkCacheMetaData&) [pure virtual]
    {1, 548, 18, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//14 QAbstractNetworkCache::insert(QIODevice*) [pure virtual]
    {1, 410, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 15},	//15 QAbstractNetworkCache::clear() [pure virtual]
    {1, 159, 20, 1, Smoke::mf_ctor|Smoke::mf_protected, 2, 16},	//16 QAbstractNetworkCache::QAbstractNetworkCache(QObject*)
    {1, 1206, 1, 1, Smoke::mf_static, 188, 17},	//17 QAbstractNetworkCache::tr(const char*)
    {1, 1210, 1, 1, Smoke::mf_static, 188, 18},	//18 QAbstractNetworkCache::trUtf8(const char*)
    {1, 159, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 2, 19},	//19 QAbstractNetworkCache::QAbstractNetworkCache()
    {1, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 343, 20},	//20 QAbstractNetworkCache::staticMetaObject() const
    {1, 1244, 0, 0, Smoke::mf_dtor, 0, 21 },	//21 QAbstractNetworkCache::~QAbstractNetworkCache()
    {2, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 344, 1},	//22 QAbstractSocket::metaObject() const
    {2, 896, 1, 1, Smoke::mf_virtual, 412, 2},	//23 QAbstractSocket::qt_metacast(const char*)
    {2, 1206, 3, 2, Smoke::mf_static, 188, 3},	//24 QAbstractSocket::tr(const char*, const char*)
    {2, 1210, 3, 2, Smoke::mf_static, 188, 4},	//25 QAbstractSocket::trUtf8(const char*, const char*)
    {2, 1206, 6, 3, Smoke::mf_static, 188, 5},	//26 QAbstractSocket::tr(const char*, const char*, int)
    {2, 1210, 6, 3, Smoke::mf_static, 188, 6},	//27 QAbstractSocket::trUtf8(const char*, const char*, int)
    {2, 894, 10, 3, Smoke::mf_virtual, 393, 7},	//28 QAbstractSocket::qt_metacall(QMetaObject::Call, int, void**)
    {2, 161, 22, 2, Smoke::mf_ctor, 3, 8},	//29 QAbstractSocket::QAbstractSocket(QAbstractSocket::SocketType, QObject*)
    {2, 420, 25, 3, 0, 0, 9},	//30 QAbstractSocket::connectToHost(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {2, 420, 29, 3, 0, 0, 10},	//31 QAbstractSocket::connectToHost(const QHostAddress&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {2, 468, 0, 0, 0, 0, 11},	//32 QAbstractSocket::disconnectFromHost()
    {2, 574, 0, 0, Smoke::mf_const, 310, 12},	//33 QAbstractSocket::isValid() const
    {2, 397, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 395, 13},	//34 QAbstractSocket::bytesAvailable() const
    {2, 398, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 395, 14},	//35 QAbstractSocket::bytesToWrite() const
    {2, 403, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 310, 15},	//36 QAbstractSocket::canReadLine() const
    {2, 599, 0, 0, Smoke::mf_const, 407, 16},	//37 QAbstractSocket::localPort() const
    {2, 595, 0, 0, Smoke::mf_const, 70, 17},	//38 QAbstractSocket::localAddress() const
    {2, 711, 0, 0, Smoke::mf_const, 407, 18},	//39 QAbstractSocket::peerPort() const
    {2, 706, 0, 0, Smoke::mf_const, 70, 19},	//40 QAbstractSocket::peerAddress() const
    {2, 710, 0, 0, Smoke::mf_const, 188, 20},	//41 QAbstractSocket::peerName() const
    {2, 921, 0, 0, Smoke::mf_const, 395, 21},	//42 QAbstractSocket::readBufferSize() const
    {2, 1110, 33, 1, 0, 0, 22},	//43 QAbstractSocket::setReadBufferSize(long long)
    {2, 353, 0, 0, 0, 0, 23},	//44 QAbstractSocket::abort()
    {2, 1172, 0, 0, Smoke::mf_const, 393, 24},	//45 QAbstractSocket::socketDescriptor() const
    {2, 1129, 35, 3, 0, 310, 25},	//46 QAbstractSocket::setSocketDescriptor(int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>)
    {2, 1138, 39, 2, 0, 0, 26},	//47 QAbstractSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {2, 1173, 42, 1, 0, 213, 27},	//48 QAbstractSocket::socketOption(QAbstractSocket::SocketOption)
    {2, 1175, 0, 0, Smoke::mf_const, 8, 28},	//49 QAbstractSocket::socketType() const
    {2, 1182, 0, 0, Smoke::mf_const, 7, 29},	//50 QAbstractSocket::state() const
    {2, 487, 0, 0, Smoke::mf_const, 5, 30},	//51 QAbstractSocket::error() const
    {2, 413, 0, 0, Smoke::mf_virtual, 0, 31},	//52 QAbstractSocket::close()
    {2, 570, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 310, 32},	//53 QAbstractSocket::isSequential() const
    {2, 382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 310, 33},	//54 QAbstractSocket::atEnd() const
    {2, 500, 0, 0, 0, 310, 34},	//55 QAbstractSocket::flush()
    {2, 1228, 44, 1, 0, 310, 35},	//56 QAbstractSocket::waitForConnected(int)
    {2, 1237, 44, 1, Smoke::mf_virtual, 310, 36},	//57 QAbstractSocket::waitForReadyRead(int)
    {2, 1226, 44, 1, Smoke::mf_virtual, 310, 37},	//58 QAbstractSocket::waitForBytesWritten(int)
    {2, 1230, 44, 1, 0, 310, 38},	//59 QAbstractSocket::waitForDisconnected(int)
    {2, 1097, 46, 1, 0, 0, 39},	//60 QAbstractSocket::setProxy(const QNetworkProxy&)
    {2, 731, 0, 0, Smoke::mf_const, 136, 40},	//61 QAbstractSocket::proxy() const
    {2, 539, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//62 QAbstractSocket::hostFound()
    {2, 436, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//63 QAbstractSocket::connected()
    {2, 472, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//64 QAbstractSocket::disconnected()
    {2, 1183, 48, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//65 QAbstractSocket::stateChanged(QAbstractSocket::SocketState)
    {2, 487, 50, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//66 QAbstractSocket::error(QAbstractSocket::SocketError)
    {2, 732, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//67 QAbstractSocket::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {2, 430, 55, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 47},	//68 QAbstractSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {2, 469, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 48},	//69 QAbstractSocket::disconnectFromHostImplementation()
    {2, 922, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 395, 49},	//70 QAbstractSocket::readData(char*, long long)
    {2, 928, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 395, 50},	//71 QAbstractSocket::readLineData(char*, long long)
    {2, 1239, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 395, 51},	//72 QAbstractSocket::writeData(const char*, long long)
    {2, 1140, 48, 1, Smoke::mf_protected, 0, 52},	//73 QAbstractSocket::setSocketState(QAbstractSocket::SocketState)
    {2, 1136, 50, 1, Smoke::mf_protected, 0, 53},	//74 QAbstractSocket::setSocketError(QAbstractSocket::SocketError)
    {2, 1046, 65, 1, Smoke::mf_protected, 0, 54},	//75 QAbstractSocket::setLocalPort(unsigned short)
    {2, 1040, 67, 1, Smoke::mf_protected, 0, 55},	//76 QAbstractSocket::setLocalAddress(const QHostAddress&)
    {2, 1075, 65, 1, Smoke::mf_protected, 0, 56},	//77 QAbstractSocket::setPeerPort(unsigned short)
    {2, 1069, 67, 1, Smoke::mf_protected, 0, 57},	//78 QAbstractSocket::setPeerAddress(const QHostAddress&)
    {2, 1073, 69, 1, Smoke::mf_protected, 0, 58},	//79 QAbstractSocket::setPeerName(const QString&)
    {2, 1206, 1, 1, Smoke::mf_static, 188, 59},	//80 QAbstractSocket::tr(const char*)
    {2, 1210, 1, 1, Smoke::mf_static, 188, 60},	//81 QAbstractSocket::trUtf8(const char*)
    {2, 420, 71, 2, 0, 0, 61},	//82 QAbstractSocket::connectToHost(const QString&, unsigned short)
    {2, 420, 74, 2, 0, 0, 62},	//83 QAbstractSocket::connectToHost(const QHostAddress&, unsigned short)
    {2, 1129, 44, 1, 0, 310, 63},	//84 QAbstractSocket::setSocketDescriptor(int)
    {2, 1129, 77, 2, 0, 310, 64},	//85 QAbstractSocket::setSocketDescriptor(int, QAbstractSocket::SocketState)
    {2, 1228, 0, 0, 0, 310, 65},	//86 QAbstractSocket::waitForConnected()
    {2, 1237, 0, 0, 0, 310, 66},	//87 QAbstractSocket::waitForReadyRead()
    {2, 1226, 0, 0, 0, 310, 67},	//88 QAbstractSocket::waitForBytesWritten()
    {2, 1230, 0, 0, 0, 310, 68},	//89 QAbstractSocket::waitForDisconnected()
    {2, 430, 80, 2, Smoke::mf_protected|Smoke::mf_slot, 0, 69},	//90 QAbstractSocket::connectToHostImplementation(const QString&, quint16)
    {2, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 343, 70},	//91 QAbstractSocket::staticMetaObject() const
    {2, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 71},	//92 QAbstractSocket::TcpSocket (enum)
    {2, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 72},	//93 QAbstractSocket::UdpSocket (enum)
    {2, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 73},	//94 QAbstractSocket::UnknownSocketType (enum)
    {2, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 74},	//95 QAbstractSocket::IPv4Protocol (enum)
    {2, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 75},	//96 QAbstractSocket::IPv6Protocol (enum)
    {2, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 76},	//97 QAbstractSocket::UnknownNetworkLayerProtocol (enum)
    {2, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 77},	//98 QAbstractSocket::ConnectionRefusedError (enum)
    {2, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 78},	//99 QAbstractSocket::RemoteHostClosedError (enum)
    {2, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 79},	//100 QAbstractSocket::HostNotFoundError (enum)
    {2, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 80},	//101 QAbstractSocket::SocketAccessError (enum)
    {2, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 81},	//102 QAbstractSocket::SocketResourceError (enum)
    {2, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 82},	//103 QAbstractSocket::SocketTimeoutError (enum)
    {2, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 83},	//104 QAbstractSocket::DatagramTooLargeError (enum)
    {2, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 84},	//105 QAbstractSocket::NetworkError (enum)
    {2, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 85},	//106 QAbstractSocket::AddressInUseError (enum)
    {2, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 86},	//107 QAbstractSocket::SocketAddressNotAvailableError (enum)
    {2, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 87},	//108 QAbstractSocket::UnsupportedSocketOperationError (enum)
    {2, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 88},	//109 QAbstractSocket::UnfinishedSocketOperationError (enum)
    {2, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 89},	//110 QAbstractSocket::ProxyAuthenticationRequiredError (enum)
    {2, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 90},	//111 QAbstractSocket::SslHandshakeFailedError (enum)
    {2, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 91},	//112 QAbstractSocket::ProxyConnectionRefusedError (enum)
    {2, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 92},	//113 QAbstractSocket::ProxyConnectionClosedError (enum)
    {2, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 93},	//114 QAbstractSocket::ProxyConnectionTimeoutError (enum)
    {2, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 94},	//115 QAbstractSocket::ProxyNotFoundError (enum)
    {2, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 95},	//116 QAbstractSocket::ProxyProtocolError (enum)
    {2, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 96},	//117 QAbstractSocket::UnknownSocketError (enum)
    {2, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 97},	//118 QAbstractSocket::UnconnectedState (enum)
    {2, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 98},	//119 QAbstractSocket::HostLookupState (enum)
    {2, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 99},	//120 QAbstractSocket::ConnectingState (enum)
    {2, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 100},	//121 QAbstractSocket::ConnectedState (enum)
    {2, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 101},	//122 QAbstractSocket::BoundState (enum)
    {2, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 102},	//123 QAbstractSocket::ListeningState (enum)
    {2, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 103},	//124 QAbstractSocket::ClosingState (enum)
    {2, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 104},	//125 QAbstractSocket::LowDelayOption (enum)
    {2, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 105},	//126 QAbstractSocket::KeepAliveOption (enum)
    {2, 1245, 0, 0, Smoke::mf_dtor, 0, 106 },	//127 QAbstractSocket::~QAbstractSocket()
    {3, 163, 0, 0, Smoke::mf_ctor, 10, 1},	//128 QAuthenticator::QAuthenticator()
    {3, 163, 83, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 10, 2},	//129 QAuthenticator::QAuthenticator(const QAuthenticator&)
    {3, 663, 83, 1, 0, 9, 3},	//130 QAuthenticator::operator=(const QAuthenticator&)
    {3, 666, 83, 1, Smoke::mf_const, 310, 4},	//131 QAuthenticator::operator==(const QAuthenticator&) const
    {3, 627, 83, 1, Smoke::mf_const, 310, 5},	//132 QAuthenticator::operator!=(const QAuthenticator&) const
    {3, 1221, 0, 0, Smoke::mf_const, 188, 6},	//133 QAuthenticator::user() const
    {3, 1159, 69, 1, 0, 0, 7},	//134 QAuthenticator::setUser(const QString&)
    {3, 704, 0, 0, Smoke::mf_const, 188, 8},	//135 QAuthenticator::password() const
    {3, 1065, 69, 1, 0, 0, 9},	//136 QAuthenticator::setPassword(const QString&)
    {3, 932, 0, 0, Smoke::mf_const, 188, 10},	//137 QAuthenticator::realm() const
    {3, 566, 0, 0, Smoke::mf_const, 310, 11},	//138 QAuthenticator::isNull() const
    {3, 465, 0, 0, 0, 0, 12},	//139 QAuthenticator::detach()
    {3, 1246, 0, 0, Smoke::mf_dtor, 0, 13 },	//140 QAuthenticator::~QAuthenticator()
    {16, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 344, 1},	//141 QFtp::metaObject() const
    {16, 896, 1, 1, Smoke::mf_virtual, 412, 2},	//142 QFtp::qt_metacast(const char*)
    {16, 1206, 3, 2, Smoke::mf_static, 188, 3},	//143 QFtp::tr(const char*, const char*)
    {16, 1210, 3, 2, Smoke::mf_static, 188, 4},	//144 QFtp::trUtf8(const char*, const char*)
    {16, 1206, 6, 3, Smoke::mf_static, 188, 5},	//145 QFtp::tr(const char*, const char*, int)
    {16, 1210, 6, 3, Smoke::mf_static, 188, 6},	//146 QFtp::trUtf8(const char*, const char*, int)
    {16, 894, 10, 3, Smoke::mf_virtual, 393, 7},	//147 QFtp::qt_metacall(QMetaObject::Call, int, void**)
    {16, 165, 20, 1, Smoke::mf_ctor, 63, 8},	//148 QFtp::QFtp(QObject*)
    {16, 1097, 71, 2, 0, 393, 9},	//149 QFtp::setProxy(const QString&, unsigned short)
    {16, 420, 71, 2, 0, 393, 10},	//150 QFtp::connectToHost(const QString&, unsigned short)
    {16, 600, 85, 2, 0, 393, 11},	//151 QFtp::login(const QString&, const QString&)
    {16, 413, 0, 0, 0, 393, 12},	//152 QFtp::close()
    {16, 1151, 88, 1, 0, 393, 13},	//153 QFtp::setTransferMode(QFtp::TransferMode)
    {16, 587, 69, 1, 0, 393, 14},	//154 QFtp::list(const QString&)
    {16, 405, 69, 1, 0, 393, 15},	//155 QFtp::cd(const QString&)
    {16, 514, 90, 3, 0, 393, 16},	//156 QFtp::get(const QString&, QIODevice*, QFtp::TransferType)
    {16, 738, 94, 3, 0, 393, 17},	//157 QFtp::put(const QByteArray&, const QString&, QFtp::TransferType)
    {16, 738, 98, 3, 0, 393, 18},	//158 QFtp::put(QIODevice*, const QString&, QFtp::TransferType)
    {16, 934, 69, 1, 0, 393, 19},	//159 QFtp::remove(const QString&)
    {16, 616, 69, 1, 0, 393, 20},	//160 QFtp::mkdir(const QString&)
    {16, 956, 69, 1, 0, 393, 21},	//161 QFtp::rmdir(const QString&)
    {16, 943, 85, 2, 0, 393, 22},	//162 QFtp::rename(const QString&, const QString&)
    {16, 910, 69, 1, 0, 393, 23},	//163 QFtp::rawCommand(const QString&)
    {16, 397, 0, 0, Smoke::mf_const, 395, 24},	//164 QFtp::bytesAvailable() const
    {16, 918, 59, 2, 0, 395, 25},	//165 QFtp::read(char*, long long)
    {16, 920, 0, 0, 0, 14, 26},	//166 QFtp::readAll()
    {16, 448, 0, 0, Smoke::mf_const, 393, 27},	//167 QFtp::currentId() const
    {16, 447, 0, 0, Smoke::mf_const, 90, 28},	//168 QFtp::currentDevice() const
    {16, 445, 0, 0, Smoke::mf_const, 64, 29},	//169 QFtp::currentCommand() const
    {16, 528, 0, 0, Smoke::mf_const, 310, 30},	//170 QFtp::hasPendingCommands() const
    {16, 411, 0, 0, 0, 0, 31},	//171 QFtp::clearPendingCommands()
    {16, 1182, 0, 0, Smoke::mf_const, 66, 32},	//172 QFtp::state() const
    {16, 487, 0, 0, Smoke::mf_const, 65, 33},	//173 QFtp::error() const
    {16, 489, 0, 0, Smoke::mf_const, 188, 34},	//174 QFtp::errorString() const
    {16, 353, 0, 0, Smoke::mf_slot, 0, 35},	//175 QFtp::abort()
    {16, 1183, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//176 QFtp::stateChanged(int)
    {16, 589, 102, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//177 QFtp::listInfo(const QUrlInfo&)
    {16, 930, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//178 QFtp::readyRead()
    {16, 458, 104, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//179 QFtp::dataTransferProgress(qint64, qint64)
    {16, 912, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//180 QFtp::rawCommandReply(int, const QString&)
    {16, 417, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//181 QFtp::commandStarted(int)
    {16, 415, 110, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//182 QFtp::commandFinished(int, bool)
    {16, 474, 113, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//183 QFtp::done(bool)
    {16, 1206, 1, 1, Smoke::mf_static, 188, 44},	//184 QFtp::tr(const char*)
    {16, 1210, 1, 1, Smoke::mf_static, 188, 45},	//185 QFtp::trUtf8(const char*)
    {16, 165, 0, 0, Smoke::mf_ctor, 63, 46},	//186 QFtp::QFtp()
    {16, 420, 69, 1, 0, 393, 47},	//187 QFtp::connectToHost(const QString&)
    {16, 600, 0, 0, 0, 393, 48},	//188 QFtp::login()
    {16, 600, 69, 1, 0, 393, 49},	//189 QFtp::login(const QString&)
    {16, 587, 0, 0, 0, 393, 50},	//190 QFtp::list()
    {16, 514, 69, 1, 0, 393, 51},	//191 QFtp::get(const QString&)
    {16, 514, 115, 2, 0, 393, 52},	//192 QFtp::get(const QString&, QIODevice*)
    {16, 738, 118, 2, 0, 393, 53},	//193 QFtp::put(const QByteArray&, const QString&)
    {16, 738, 121, 2, 0, 393, 54},	//194 QFtp::put(QIODevice*, const QString&)
    {16, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 343, 55},	//195 QFtp::staticMetaObject() const
    {16, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 56},	//196 QFtp::Unconnected (enum)
    {16, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 57},	//197 QFtp::HostLookup (enum)
    {16, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 58},	//198 QFtp::Connecting (enum)
    {16, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 59},	//199 QFtp::Connected (enum)
    {16, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 60},	//200 QFtp::LoggedIn (enum)
    {16, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 61},	//201 QFtp::Closing (enum)
    {16, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 62},	//202 QFtp::NoError (enum)
    {16, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 63},	//203 QFtp::UnknownError (enum)
    {16, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 64},	//204 QFtp::HostNotFound (enum)
    {16, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 65},	//205 QFtp::ConnectionRefused (enum)
    {16, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 66},	//206 QFtp::NotConnected (enum)
    {16, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 67},	//207 QFtp::None (enum)
    {16, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 68},	//208 QFtp::SetTransferMode (enum)
    {16, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 69},	//209 QFtp::SetProxy (enum)
    {16, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 70},	//210 QFtp::ConnectToHost (enum)
    {16, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 71},	//211 QFtp::Login (enum)
    {16, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 72},	//212 QFtp::Close (enum)
    {16, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 73},	//213 QFtp::List (enum)
    {16, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 74},	//214 QFtp::Cd (enum)
    {16, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 75},	//215 QFtp::Get (enum)
    {16, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 76},	//216 QFtp::Put (enum)
    {16, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 77},	//217 QFtp::Remove (enum)
    {16, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 78},	//218 QFtp::Mkdir (enum)
    {16, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 79},	//219 QFtp::Rmdir (enum)
    {16, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 80},	//220 QFtp::Rename (enum)
    {16, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 81},	//221 QFtp::RawCommand (enum)
    {16, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 82},	//222 QFtp::Active (enum)
    {16, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 83},	//223 QFtp::Passive (enum)
    {16, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 84},	//224 QFtp::Binary (enum)
    {16, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 85},	//225 QFtp::Ascii (enum)
    {16, 1247, 0, 0, Smoke::mf_dtor, 0, 86 },	//226 QFtp::~QFtp()
    {17, 825, 124, 1, Smoke::mf_static, 393, 1},	//227 QGlobalSpace::qRound(double)
    {17, 691, 126, 2, Smoke::mf_static, 36, 2},	//228 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {17, 742, 124, 1, Smoke::mf_static, 391, 3},	//229 QGlobalSpace::qAcos(double)
    {17, 683, 129, 2, Smoke::mf_static, 20, 4},	//230 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {17, 691, 132, 2, Smoke::mf_static, 34, 5},	//231 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {17, 678, 135, 2, Smoke::mf_static, 310, 6},	//232 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {17, 683, 138, 2, Smoke::mf_static, 20, 7},	//233 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {17, 746, 0, 0, Smoke::mf_static, 188, 8},	//234 QGlobalSpace::qAppName()
    {17, 691, 141, 2, Smoke::mf_static, 95, 9},	//235 QGlobalSpace::operator|(Qt::WindowType, int)
    {17, 875, 144, 3, Smoke::mf_static, 313, 10},	//236 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {17, 787, 148, 1, Smoke::mf_static, 404, 11},	//237 QGlobalSpace::qHash(unsigned int)
    {17, 787, 150, 1, Smoke::mf_static, 404, 12},	//238 QGlobalSpace::qHash(char)
    {17, 636, 152, 2, Smoke::mf_static, 367, 13},	//239 QGlobalSpace::operator*(const QSizeF&, double)
    {17, 654, 155, 2, Smoke::mf_static, 24, 14},	//240 QGlobalSpace::operator<<(QDebug, const QLine&)
    {17, 853, 1, 1, Smoke::mf_static, 14, 15},	//241 QGlobalSpace::qgetenv(const char*)
    {17, 649, 158, 2, Smoke::mf_static, 310, 16},	//242 QGlobalSpace::operator<(const QByteArray&, const char*)
    {17, 673, 161, 2, Smoke::mf_static, 310, 17},	//243 QGlobalSpace::operator>(const char*, const QString&)
    {17, 683, 164, 2, Smoke::mf_static, 20, 18},	//244 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {17, 691, 167, 2, Smoke::mf_static, 53, 19},	//245 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {17, 666, 170, 2, Smoke::mf_static, 310, 20},	//246 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {17, 654, 173, 2, Smoke::mf_static, 24, 21},	//247 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {17, 666, 176, 2, Smoke::mf_static, 310, 22},	//248 QGlobalSpace::operator==(const QSize&, const QSize&)
    {17, 654, 179, 2, Smoke::mf_static, 24, 23},	//249 QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    {17, 773, 124, 1, Smoke::mf_static, 391, 24},	//250 QGlobalSpace::qFastSin(double)
    {17, 639, 182, 2, Smoke::mf_static, 375, 25},	//251 QGlobalSpace::operator+(QChar, const QString&)
    {17, 873, 185, 3, Smoke::mf_static, 393, 26},	//252 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {17, 658, 189, 2, Smoke::mf_static, 310, 27},	//253 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {17, 658, 192, 2, Smoke::mf_static, 310, 28},	//254 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {17, 654, 195, 2, Smoke::mf_static, 24, 29},	//255 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    {17, 908, 198, 4, Smoke::mf_static, 393, 30},	//256 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {17, 627, 203, 2, Smoke::mf_static, 310, 31},	//257 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {17, 627, 206, 2, Smoke::mf_static, 310, 32},	//258 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {17, 654, 209, 2, Smoke::mf_static, 20, 33},	//259 QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    {17, 639, 212, 2, Smoke::mf_static, 375, 34},	//260 QGlobalSpace::operator+(const QString&, QChar)
    {17, 639, 176, 2, Smoke::mf_static, 365, 35},	//261 QGlobalSpace::operator+(const QSize&, const QSize&)
    {17, 879, 215, 2, Smoke::mf_static, 404, 36},	//262 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {17, 666, 192, 2, Smoke::mf_static, 310, 37},	//263 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {17, 627, 218, 2, Smoke::mf_static, 310, 38},	//264 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {17, 654, 221, 2, Smoke::mf_static, 24, 39},	//265 QGlobalSpace::operator<<(QDebug, const QDate&)
    {17, 691, 224, 2, Smoke::mf_static, 59, 40},	//266 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {17, 654, 227, 2, Smoke::mf_static, 24, 41},	//267 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {17, 627, 230, 2, Smoke::mf_static, 310, 42},	//268 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {17, 787, 233, 1, Smoke::mf_static, 404, 43},	//269 QGlobalSpace::qHash(unsigned char)
    {17, 901, 235, 5, Smoke::mf_static, 0, 44},	//270 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {17, 666, 241, 2, Smoke::mf_static, 310, 45},	//271 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {17, 890, 44, 1, Smoke::mf_static, 188, 46},	//272 QGlobalSpace::qt_error_string(int)
    {17, 890, 0, 0, Smoke::mf_static, 188, 47},	//273 QGlobalSpace::qt_error_string()
    {17, 683, 244, 2, Smoke::mf_static, 20, 48},	//274 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {17, 802, 247, 1, Smoke::mf_static, 310, 49},	//275 QGlobalSpace::qIsNull(float)
    {17, 691, 249, 2, Smoke::mf_static, 95, 50},	//276 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {17, 816, 0, 0, Smoke::mf_static, 391, 51},	//277 QGlobalSpace::qQNaN()
    {17, 627, 252, 2, Smoke::mf_static, 310, 52},	//278 QGlobalSpace::operator!=(QChar, QChar)
    {17, 832, 255, 1, Smoke::mf_static, 201, 53},	//279 QGlobalSpace::qSetPadChar(QChar)
    {17, 683, 257, 2, Smoke::mf_static, 20, 54},	//280 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {17, 644, 203, 2, Smoke::mf_static, 359, 55},	//281 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {17, 654, 260, 2, Smoke::mf_static, 24, 56},	//282 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {17, 691, 263, 2, Smoke::mf_static, 38, 57},	//283 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {17, 654, 266, 2, Smoke::mf_static, 24, 58},	//284 QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    {17, 881, 269, 2, Smoke::mf_static, 188, 59},	//285 QGlobalSpace::qtTrId(const char*, int)
    {17, 881, 1, 1, Smoke::mf_static, 188, 60},	//286 QGlobalSpace::qtTrId(const char*)
    {17, 751, 272, 2, Smoke::mf_static, 391, 61},	//287 QGlobalSpace::qAtan2(double, double)
    {17, 654, 275, 2, Smoke::mf_static, 20, 62},	//288 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {17, 787, 278, 1, Smoke::mf_static, 404, 63},	//289 QGlobalSpace::qHash(short)
    {17, 666, 135, 2, Smoke::mf_static, 310, 64},	//290 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {17, 654, 280, 2, Smoke::mf_static, 20, 65},	//291 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {17, 691, 283, 2, Smoke::mf_static, 58, 66},	//292 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {17, 796, 124, 1, Smoke::mf_static, 310, 67},	//293 QGlobalSpace::qIsFinite(double)
    {17, 654, 286, 2, Smoke::mf_static, 24, 68},	//294 QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    {17, 691, 289, 2, Smoke::mf_static, 53, 69},	//295 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {17, 860, 158, 2, Smoke::mf_static, 393, 70},	//296 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {17, 867, 1, 1, Smoke::mf_static, 313, 71},	//297 QGlobalSpace::qstrdup(const char*)
    {17, 787, 292, 1, Smoke::mf_static, 404, 72},	//298 QGlobalSpace::qHash(long)
    {17, 691, 294, 2, Smoke::mf_static, 52, 73},	//299 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {17, 860, 3, 2, Smoke::mf_static, 393, 74},	//300 QGlobalSpace::qstrcmp(const char*, const char*)
    {17, 654, 297, 2, Smoke::mf_static, 20, 75},	//301 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {17, 673, 189, 2, Smoke::mf_static, 310, 76},	//302 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {17, 627, 300, 2, Smoke::mf_static, 310, 77},	//303 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {17, 639, 303, 2, Smoke::mf_static, 316, 78},	//304 QGlobalSpace::operator+(const char*, const QByteArray&)
    {17, 691, 306, 2, Smoke::mf_static, 40, 79},	//305 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag)
    {17, 691, 309, 2, Smoke::mf_static, 40, 80},	//306 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>)
    {17, 627, 135, 2, Smoke::mf_static, 310, 81},	//307 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {17, 666, 312, 2, Smoke::mf_static, 310, 82},	//308 QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    {17, 787, 315, 1, Smoke::mf_static, 404, 83},	//309 QGlobalSpace::qHash(const QBitArray&)
    {17, 691, 317, 2, Smoke::mf_static, 34, 84},	//310 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {17, 865, 320, 2, Smoke::mf_static, 313, 85},	//311 QGlobalSpace::qstrcpy(char*, const char*)
    {17, 691, 323, 2, Smoke::mf_static, 11, 86},	//312 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {17, 627, 326, 2, Smoke::mf_static, 310, 87},	//313 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {17, 649, 303, 2, Smoke::mf_static, 310, 88},	//314 QGlobalSpace::operator<(const char*, const QByteArray&)
    {17, 749, 124, 1, Smoke::mf_static, 391, 89},	//315 QGlobalSpace::qAtan(double)
    {17, 860, 303, 2, Smoke::mf_static, 393, 90},	//316 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {17, 678, 252, 2, Smoke::mf_static, 310, 91},	//317 QGlobalSpace::operator>=(QChar, QChar)
    {17, 691, 329, 2, Smoke::mf_static, 54, 92},	//318 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {17, 658, 252, 2, Smoke::mf_static, 310, 93},	//319 QGlobalSpace::operator<=(QChar, QChar)
    {17, 636, 332, 2, Smoke::mf_static, 359, 94},	//320 QGlobalSpace::operator*(const QPointF&, double)
    {17, 654, 335, 2, Smoke::mf_static, 24, 95},	//321 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {17, 666, 338, 2, Smoke::mf_static, 310, 96},	//322 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {17, 691, 341, 2, Smoke::mf_static, 31, 97},	//323 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {17, 691, 344, 2, Smoke::mf_static, 95, 98},	//324 QGlobalSpace::operator|(QUdpSocket::BindFlag, int)
    {17, 888, 269, 2, Smoke::mf_static, 0, 99},	//325 QGlobalSpace::qt_check_pointer(const char*, int)
    {17, 666, 300, 2, Smoke::mf_static, 310, 100},	//326 QGlobalSpace::operator==(QString::Null, QString::Null)
    {17, 627, 189, 2, Smoke::mf_static, 310, 101},	//327 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {17, 627, 347, 2, Smoke::mf_static, 310, 102},	//328 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {17, 683, 350, 2, Smoke::mf_static, 20, 103},	//329 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {17, 658, 353, 2, Smoke::mf_static, 310, 104},	//330 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {17, 846, 356, 2, Smoke::mf_static, 14, 105},	//331 QGlobalSpace::qUncompress(const unsigned char*, int)
    {17, 691, 359, 2, Smoke::mf_static, 45, 106},	//332 QGlobalSpace::operator|(QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>)
    {17, 758, 362, 2, Smoke::mf_static, 14, 107},	//333 QGlobalSpace::qCompress(const QByteArray&, int)
    {17, 758, 365, 1, Smoke::mf_static, 14, 108},	//334 QGlobalSpace::qCompress(const QByteArray&)
    {17, 654, 367, 2, Smoke::mf_static, 20, 109},	//335 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {17, 683, 370, 2, Smoke::mf_static, 198, 110},	//336 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {17, 654, 373, 2, Smoke::mf_static, 24, 111},	//337 QGlobalSpace::operator<<(QDebug, const QSslError&)
    {17, 691, 376, 2, Smoke::mf_static, 95, 112},	//338 QGlobalSpace::operator|(Qt::DropAction, int)
    {17, 819, 379, 4, Smoke::mf_static, 412, 113},	//339 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {17, 691, 384, 2, Smoke::mf_static, 95, 114},	//340 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {17, 673, 135, 2, Smoke::mf_static, 310, 115},	//341 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {17, 839, 124, 1, Smoke::mf_static, 391, 116},	//342 QGlobalSpace::qSqrt(double)
    {17, 654, 370, 2, Smoke::mf_static, 198, 117},	//343 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {17, 654, 387, 2, Smoke::mf_static, 20, 118},	//344 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {17, 654, 390, 2, Smoke::mf_static, 24, 119},	//345 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    {17, 654, 393, 2, Smoke::mf_static, 24, 120},	//346 QGlobalSpace::operator<<(QDebug, const QRect&)
    {17, 654, 396, 2, Smoke::mf_static, 24, 121},	//347 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    {17, 673, 192, 2, Smoke::mf_static, 310, 122},	//348 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {17, 678, 353, 2, Smoke::mf_static, 310, 123},	//349 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {17, 794, 247, 1, Smoke::mf_static, 393, 124},	//350 QGlobalSpace::qIntCast(float)
    {17, 691, 399, 2, Smoke::mf_static, 43, 125},	//351 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {17, 666, 203, 2, Smoke::mf_static, 310, 126},	//352 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {17, 673, 303, 2, Smoke::mf_static, 310, 127},	//353 QGlobalSpace::operator>(const char*, const QByteArray&)
    {17, 769, 124, 1, Smoke::mf_static, 391, 128},	//354 QGlobalSpace::qFabs(double)
    {17, 787, 65, 1, Smoke::mf_static, 404, 129},	//355 QGlobalSpace::qHash(unsigned short)
    {17, 666, 303, 2, Smoke::mf_static, 310, 130},	//356 QGlobalSpace::operator==(const char*, const QByteArray&)
    {17, 691, 402, 2, Smoke::mf_static, 58, 131},	//357 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {17, 654, 405, 2, Smoke::mf_static, 24, 132},	//358 QGlobalSpace::operator<<(QDebug, const QDir&)
    {17, 691, 408, 2, Smoke::mf_static, 42, 133},	//359 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {17, 691, 411, 2, Smoke::mf_static, 56, 134},	//360 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {17, 627, 192, 2, Smoke::mf_static, 310, 135},	//361 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {17, 817, 414, 2, Smoke::mf_static, 412, 136},	//362 QGlobalSpace::qRealloc(void*, size_t)
    {17, 691, 417, 2, Smoke::mf_static, 49, 137},	//363 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {17, 691, 420, 2, Smoke::mf_static, 95, 138},	//364 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {17, 666, 423, 2, Smoke::mf_static, 310, 139},	//365 QGlobalSpace::operator==(const QString&, QString::Null)
    {17, 691, 426, 2, Smoke::mf_static, 50, 140},	//366 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {17, 850, 0, 0, Smoke::mf_static, 24, 141},	//367 QGlobalSpace::qWarning()
    {17, 691, 429, 2, Smoke::mf_static, 95, 142},	//368 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {17, 783, 272, 2, Smoke::mf_static, 310, 143},	//369 QGlobalSpace::qFuzzyCompare(double, double)
    {17, 658, 135, 2, Smoke::mf_static, 310, 144},	//370 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {17, 654, 432, 2, Smoke::mf_static, 24, 145},	//371 QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    {17, 691, 435, 2, Smoke::mf_static, 39, 146},	//372 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {17, 691, 438, 2, Smoke::mf_static, 37, 147},	//373 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {17, 683, 441, 2, Smoke::mf_static, 20, 148},	//374 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {17, 654, 444, 2, Smoke::mf_static, 24, 149},	//375 QGlobalSpace::operator<<(QDebug, const QSslKey&)
    {17, 654, 447, 2, Smoke::mf_static, 20, 150},	//376 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {17, 627, 450, 2, Smoke::mf_static, 310, 151},	//377 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {17, 636, 453, 2, Smoke::mf_static, 365, 152},	//378 QGlobalSpace::operator*(double, const QSize&)
    {17, 691, 456, 2, Smoke::mf_static, 48, 153},	//379 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {17, 766, 0, 0, Smoke::mf_static, 24, 154},	//380 QGlobalSpace::qDebug()
    {17, 787, 33, 1, Smoke::mf_static, 404, 155},	//381 QGlobalSpace::qHash(long long)
    {17, 691, 459, 2, Smoke::mf_static, 55, 156},	//382 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {17, 658, 161, 2, Smoke::mf_static, 310, 157},	//383 QGlobalSpace::operator<=(const char*, const QString&)
    {17, 644, 462, 1, Smoke::mf_static, 359, 158},	//384 QGlobalSpace::operator-(const QPointF&)
    {17, 691, 464, 2, Smoke::mf_static, 95, 159},	//385 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {17, 798, 247, 1, Smoke::mf_static, 310, 160},	//386 QGlobalSpace::qIsInf(float)
    {17, 691, 467, 2, Smoke::mf_static, 95, 161},	//387 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {17, 639, 161, 2, Smoke::mf_static, 375, 162},	//388 QGlobalSpace::operator+(const char*, const QString&)
    {17, 658, 303, 2, Smoke::mf_static, 310, 163},	//389 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {17, 654, 470, 2, Smoke::mf_static, 24, 164},	//390 QGlobalSpace::operator<<(QDebug, const QSize&)
    {17, 787, 67, 1, Smoke::mf_static, 404, 165},	//391 QGlobalSpace::qHash(const QHostAddress&)
    {17, 627, 353, 2, Smoke::mf_static, 310, 166},	//392 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {17, 673, 252, 2, Smoke::mf_static, 310, 167},	//393 QGlobalSpace::operator>(QChar, QChar)
    {17, 647, 152, 2, Smoke::mf_static, 367, 168},	//394 QGlobalSpace::operator/(const QSizeF&, double)
    {17, 691, 473, 2, Smoke::mf_static, 95, 169},	//395 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {17, 654, 476, 2, Smoke::mf_static, 24, 170},	//396 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {17, 860, 353, 2, Smoke::mf_static, 393, 171},	//397 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {17, 634, 323, 2, Smoke::mf_static, 11, 172},	//398 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {17, 654, 479, 2, Smoke::mf_static, 24, 173},	//399 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {17, 644, 482, 1, Smoke::mf_static, 357, 174},	//400 QGlobalSpace::operator-(const QPoint&)
    {17, 678, 158, 2, Smoke::mf_static, 310, 175},	//401 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {17, 654, 484, 2, Smoke::mf_static, 20, 176},	//402 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {17, 691, 487, 2, Smoke::mf_static, 43, 177},	//403 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {17, 678, 189, 2, Smoke::mf_static, 310, 178},	//404 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {17, 649, 192, 2, Smoke::mf_static, 310, 179},	//405 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {17, 683, 490, 2, Smoke::mf_static, 20, 180},	//406 QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    {17, 627, 493, 2, Smoke::mf_static, 310, 181},	//407 QGlobalSpace::operator!=(QBool, QBool)
    {17, 639, 496, 2, Smoke::mf_static, 375, 182},	//408 QGlobalSpace::operator+(const QString&, char)
    {17, 627, 499, 2, Smoke::mf_static, 310, 183},	//409 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {17, 787, 502, 1, Smoke::mf_static, 404, 184},	//410 QGlobalSpace::qHash(unsigned long long)
    {17, 666, 189, 2, Smoke::mf_static, 310, 185},	//411 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {17, 775, 1, 1, Smoke::mf_static, 387, 186},	//412 QGlobalSpace::qFlagLocation(const char*)
    {17, 647, 332, 2, Smoke::mf_static, 359, 187},	//413 QGlobalSpace::operator/(const QPointF&, double)
    {17, 794, 124, 1, Smoke::mf_static, 393, 188},	//414 QGlobalSpace::qIntCast(double)
    {17, 691, 504, 2, Smoke::mf_static, 95, 189},	//415 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {17, 846, 365, 1, Smoke::mf_static, 14, 190},	//416 QGlobalSpace::qUncompress(const QByteArray&)
    {17, 627, 170, 2, Smoke::mf_static, 310, 191},	//417 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {17, 654, 507, 2, Smoke::mf_static, 24, 192},	//418 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {17, 666, 510, 2, Smoke::mf_static, 310, 193},	//419 QGlobalSpace::operator==(QString::Null, const QString&)
    {17, 658, 158, 2, Smoke::mf_static, 310, 194},	//420 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {17, 771, 124, 1, Smoke::mf_static, 391, 195},	//421 QGlobalSpace::qFastCos(double)
    {17, 823, 513, 1, Smoke::mf_static, 0, 196},	//422 QGlobalSpace::qRemovePostRoutine(void(*)())
    {17, 691, 515, 2, Smoke::mf_static, 39, 197},	//423 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {17, 691, 518, 2, Smoke::mf_static, 50, 198},	//424 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {17, 683, 521, 2, Smoke::mf_static, 20, 199},	//425 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {17, 783, 524, 2, Smoke::mf_static, 310, 200},	//426 QGlobalSpace::qFuzzyCompare(float, float)
    {17, 654, 527, 2, Smoke::mf_static, 20, 201},	//427 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {17, 756, 215, 2, Smoke::mf_static, 407, 202},	//428 QGlobalSpace::qChecksum(const char*, unsigned int)
    {17, 683, 530, 2, Smoke::mf_static, 20, 203},	//429 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {17, 636, 533, 2, Smoke::mf_static, 365, 204},	//430 QGlobalSpace::operator*(const QSize&, double)
    {17, 792, 536, 1, Smoke::mf_static, 411, 205},	//431 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {17, 654, 538, 2, Smoke::mf_static, 198, 206},	//432 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {17, 644, 326, 2, Smoke::mf_static, 357, 207},	//433 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {17, 691, 541, 2, Smoke::mf_static, 47, 208},	//434 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {17, 683, 544, 2, Smoke::mf_static, 20, 209},	//435 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {17, 691, 547, 2, Smoke::mf_static, 32, 210},	//436 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {17, 765, 0, 0, Smoke::mf_static, 24, 211},	//437 QGlobalSpace::qCritical()
    {17, 647, 550, 2, Smoke::mf_static, 357, 212},	//438 QGlobalSpace::operator/(const QPoint&, double)
    {17, 814, 272, 2, Smoke::mf_static, 391, 213},	//439 QGlobalSpace::qPow(double, double)
    {17, 654, 553, 2, Smoke::mf_static, 20, 214},	//440 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {17, 627, 510, 2, Smoke::mf_static, 310, 215},	//441 QGlobalSpace::operator!=(QString::Null, const QString&)
    {17, 654, 556, 2, Smoke::mf_static, 20, 216},	//442 QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    {17, 787, 44, 1, Smoke::mf_static, 404, 217},	//443 QGlobalSpace::qHash(int)
    {17, 691, 559, 2, Smoke::mf_static, 51, 218},	//444 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {17, 898, 0, 0, Smoke::mf_static, 0, 219},	//445 QGlobalSpace::qt_noop()
    {17, 666, 206, 2, Smoke::mf_static, 310, 220},	//446 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {17, 691, 562, 2, Smoke::mf_static, 95, 221},	//447 QGlobalSpace::operator|(Qt::WindowState, int)
    {17, 627, 241, 2, Smoke::mf_static, 310, 222},	//448 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {17, 683, 565, 2, Smoke::mf_static, 20, 223},	//449 QGlobalSpace::operator>>(QDataStream&, QString&)
    {17, 899, 568, 3, Smoke::mf_static, 153, 224},	//450 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {17, 654, 572, 2, Smoke::mf_static, 20, 225},	//451 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {17, 666, 493, 2, Smoke::mf_static, 310, 226},	//452 QGlobalSpace::operator==(QBool, QBool)
    {17, 683, 575, 2, Smoke::mf_static, 20, 227},	//453 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {17, 767, 124, 1, Smoke::mf_static, 391, 228},	//454 QGlobalSpace::qExp(double)
    {17, 683, 578, 2, Smoke::mf_static, 20, 229},	//455 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {17, 691, 581, 2, Smoke::mf_static, 54, 230},	//456 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {17, 666, 584, 2, Smoke::mf_static, 310, 231},	//457 QGlobalSpace::operator==(bool, QBool)
    {17, 691, 587, 2, Smoke::mf_static, 44, 232},	//458 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {17, 785, 124, 1, Smoke::mf_static, 310, 233},	//459 QGlobalSpace::qFuzzyIsNull(double)
    {17, 683, 590, 2, Smoke::mf_static, 20, 234},	//460 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {17, 906, 593, 3, Smoke::mf_static, 310, 235},	//461 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {17, 649, 161, 2, Smoke::mf_static, 310, 236},	//462 QGlobalSpace::operator<(const char*, const QString&)
    {17, 666, 597, 2, Smoke::mf_static, 310, 237},	//463 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {17, 851, 600, 3, Smoke::mf_static, 0, 238},	//464 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {17, 787, 255, 1, Smoke::mf_static, 404, 239},	//465 QGlobalSpace::qHash(QChar)
    {17, 691, 604, 2, Smoke::mf_static, 95, 240},	//466 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {17, 654, 607, 2, Smoke::mf_static, 20, 241},	//467 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {17, 627, 597, 2, Smoke::mf_static, 310, 242},	//468 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {17, 649, 135, 2, Smoke::mf_static, 310, 243},	//469 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {17, 627, 584, 2, Smoke::mf_static, 310, 244},	//470 QGlobalSpace::operator!=(bool, QBool)
    {17, 892, 610, 2, Smoke::mf_static, 0, 245},	//471 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {17, 691, 613, 2, Smoke::mf_static, 35, 246},	//472 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {17, 858, 148, 1, Smoke::mf_static, 0, 247},	//473 QGlobalSpace::qsrand(unsigned int)
    {17, 666, 616, 2, Smoke::mf_static, 310, 248},	//474 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {17, 639, 118, 2, Smoke::mf_static, 375, 249},	//475 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {17, 691, 619, 2, Smoke::mf_static, 46, 250},	//476 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {17, 691, 622, 2, Smoke::mf_static, 41, 251},	//477 QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    {17, 654, 625, 2, Smoke::mf_static, 24, 252},	//478 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {17, 691, 628, 2, Smoke::mf_static, 95, 253},	//479 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {17, 683, 631, 2, Smoke::mf_static, 20, 254},	//480 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {17, 627, 423, 2, Smoke::mf_static, 310, 255},	//481 QGlobalSpace::operator!=(const QString&, QString::Null)
    {17, 869, 3, 2, Smoke::mf_static, 393, 256},	//482 QGlobalSpace::qstricmp(const char*, const char*)
    {17, 691, 634, 2, Smoke::mf_static, 62, 257},	//483 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {17, 812, 637, 3, Smoke::mf_static, 412, 258},	//484 QGlobalSpace::qMemSet(void*, int, size_t)
    {17, 654, 641, 2, Smoke::mf_static, 24, 259},	//485 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {17, 627, 176, 2, Smoke::mf_static, 310, 260},	//486 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {17, 754, 124, 1, Smoke::mf_static, 393, 261},	//487 QGlobalSpace::qCeil(double)
    {17, 787, 644, 1, Smoke::mf_static, 404, 262},	//488 QGlobalSpace::qHash(signed char)
    {17, 691, 646, 2, Smoke::mf_static, 62, 263},	//489 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {17, 666, 230, 2, Smoke::mf_static, 310, 264},	//490 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {17, 691, 649, 2, Smoke::mf_static, 61, 265},	//491 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {17, 666, 499, 2, Smoke::mf_static, 310, 266},	//492 QGlobalSpace::operator==(const char*, const QStringRef&)
    {17, 691, 652, 2, Smoke::mf_static, 95, 267},	//493 QGlobalSpace::operator|(QFile::Permission, int)
    {17, 683, 655, 2, Smoke::mf_static, 20, 268},	//494 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {17, 654, 658, 2, Smoke::mf_static, 24, 269},	//495 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {17, 639, 326, 2, Smoke::mf_static, 357, 270},	//496 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {17, 639, 158, 2, Smoke::mf_static, 316, 271},	//497 QGlobalSpace::operator+(const QByteArray&, const char*)
    {17, 744, 513, 1, Smoke::mf_static, 0, 272},	//498 QGlobalSpace::qAddPostRoutine(void(*)())
    {17, 821, 661, 1, Smoke::mf_static, 0, 273},	//499 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {17, 636, 663, 2, Smoke::mf_static, 359, 274},	//500 QGlobalSpace::operator*(double, const QPointF&)
    {17, 836, 0, 0, Smoke::mf_static, 310, 275},	//501 QGlobalSpace::qSharedBuild()
    {17, 654, 666, 2, Smoke::mf_static, 20, 276},	//502 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {17, 654, 669, 2, Smoke::mf_static, 20, 277},	//503 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {17, 683, 672, 2, Smoke::mf_static, 20, 278},	//504 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {17, 791, 0, 0, Smoke::mf_static, 391, 279},	//505 QGlobalSpace::qInf()
    {17, 877, 185, 3, Smoke::mf_static, 393, 280},	//506 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {17, 691, 675, 2, Smoke::mf_static, 45, 281},	//507 QGlobalSpace::operator|(QUdpSocket::BindFlag, QUdpSocket::BindFlag)
    {17, 787, 678, 1, Smoke::mf_static, 404, 282},	//508 QGlobalSpace::qHash(const QStringRef&)
    {17, 683, 680, 2, Smoke::mf_static, 20, 283},	//509 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {17, 691, 683, 2, Smoke::mf_static, 95, 284},	//510 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {17, 673, 353, 2, Smoke::mf_static, 310, 285},	//511 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {17, 654, 686, 2, Smoke::mf_static, 20, 286},	//512 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {17, 666, 252, 2, Smoke::mf_static, 310, 287},	//513 QGlobalSpace::operator==(QChar, QChar)
    {17, 763, 124, 1, Smoke::mf_static, 391, 288},	//514 QGlobalSpace::qCos(double)
    {17, 808, 689, 2, Smoke::mf_static, 412, 289},	//515 QGlobalSpace::qMallocAligned(size_t, size_t)
    {17, 654, 692, 2, Smoke::mf_static, 20, 290},	//516 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {17, 639, 695, 2, Smoke::mf_static, 375, 291},	//517 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {17, 886, 698, 4, Smoke::mf_static, 0, 292},	//518 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {17, 691, 703, 2, Smoke::mf_static, 46, 293},	//519 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {17, 691, 706, 2, Smoke::mf_static, 35, 294},	//520 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {17, 639, 709, 2, Smoke::mf_static, 316, 295},	//521 QGlobalSpace::operator+(const QByteArray&, char)
    {17, 691, 712, 2, Smoke::mf_static, 95, 296},	//522 QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    {17, 691, 715, 2, Smoke::mf_static, 38, 297},	//523 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {17, 849, 0, 0, Smoke::mf_static, 387, 298},	//524 QGlobalSpace::qVersion()
    {17, 691, 718, 2, Smoke::mf_static, 47, 299},	//525 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {17, 639, 203, 2, Smoke::mf_static, 359, 300},	//526 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {17, 654, 721, 2, Smoke::mf_static, 20, 301},	//527 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {17, 666, 161, 2, Smoke::mf_static, 310, 302},	//528 QGlobalSpace::operator==(const char*, const QString&)
    {17, 691, 724, 2, Smoke::mf_static, 37, 303},	//529 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {17, 654, 727, 2, Smoke::mf_static, 20, 304},	//530 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {17, 691, 730, 2, Smoke::mf_static, 95, 305},	//531 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {17, 666, 450, 2, Smoke::mf_static, 310, 306},	//532 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {17, 841, 733, 2, Smoke::mf_static, 310, 307},	//533 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {17, 691, 736, 2, Smoke::mf_static, 33, 308},	//534 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {17, 654, 739, 2, Smoke::mf_static, 24, 309},	//535 QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    {17, 654, 742, 2, Smoke::mf_static, 20, 310},	//536 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {17, 639, 745, 2, Smoke::mf_static, 316, 311},	//537 QGlobalSpace::operator+(char, const QByteArray&)
    {17, 639, 748, 2, Smoke::mf_static, 375, 312},	//538 QGlobalSpace::operator+(const QString&, const char*)
    {17, 691, 751, 2, Smoke::mf_static, 95, 313},	//539 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {17, 649, 353, 2, Smoke::mf_static, 310, 314},	//540 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {17, 758, 754, 3, Smoke::mf_static, 14, 315},	//541 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {17, 758, 356, 2, Smoke::mf_static, 14, 316},	//542 QGlobalSpace::qCompress(const unsigned char*, int)
    {17, 777, 124, 1, Smoke::mf_static, 393, 317},	//543 QGlobalSpace::qFloor(double)
    {17, 691, 758, 2, Smoke::mf_static, 57, 318},	//544 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {17, 787, 69, 1, Smoke::mf_static, 404, 319},	//545 QGlobalSpace::qHash(const QString&)
    {17, 639, 85, 2, Smoke::mf_static, 375, 320},	//546 QGlobalSpace::operator+(const QString&, const QString&)
    {17, 627, 761, 2, Smoke::mf_static, 310, 321},	//547 QGlobalSpace::operator!=(QBool, bool)
    {17, 666, 353, 2, Smoke::mf_static, 310, 322},	//548 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {17, 654, 764, 2, Smoke::mf_static, 20, 323},	//549 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {17, 800, 247, 1, Smoke::mf_static, 310, 324},	//550 QGlobalSpace::qIsNaN(float)
    {17, 654, 767, 2, Smoke::mf_static, 20, 325},	//551 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {17, 691, 770, 2, Smoke::mf_static, 95, 326},	//552 QGlobalSpace::operator|(QDir::SortFlag, int)
    {17, 810, 773, 3, Smoke::mf_static, 412, 327},	//553 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {17, 779, 777, 1, Smoke::mf_static, 0, 328},	//554 QGlobalSpace::qFree(void*)
    {17, 666, 733, 2, Smoke::mf_static, 310, 329},	//555 QGlobalSpace::operator==(const QStringRef&, const char*)
    {17, 678, 161, 2, Smoke::mf_static, 310, 330},	//556 QGlobalSpace::operator>=(const char*, const QString&)
    {17, 800, 124, 1, Smoke::mf_static, 310, 331},	//557 QGlobalSpace::qIsNaN(double)
    {17, 691, 779, 2, Smoke::mf_static, 59, 332},	//558 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {17, 636, 550, 2, Smoke::mf_static, 357, 333},	//559 QGlobalSpace::operator*(const QPoint&, double)
    {17, 654, 782, 2, Smoke::mf_static, 24, 334},	//560 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    {17, 654, 785, 2, Smoke::mf_static, 24, 335},	//561 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {17, 834, 44, 1, Smoke::mf_static, 201, 336},	//562 QGlobalSpace::qSetRealNumberPrecision(int)
    {17, 857, 0, 0, Smoke::mf_static, 393, 337},	//563 QGlobalSpace::qrand()
    {17, 683, 788, 2, Smoke::mf_static, 20, 338},	//564 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {17, 691, 791, 2, Smoke::mf_static, 60, 339},	//565 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {17, 639, 353, 2, Smoke::mf_static, 316, 340},	//566 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {17, 636, 794, 2, Smoke::mf_static, 357, 341},	//567 QGlobalSpace::operator*(double, const QPoint&)
    {17, 654, 797, 2, Smoke::mf_static, 24, 342},	//568 QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    {17, 627, 733, 2, Smoke::mf_static, 310, 343},	//569 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {17, 837, 124, 1, Smoke::mf_static, 391, 344},	//570 QGlobalSpace::qSin(double)
    {17, 654, 800, 2, Smoke::mf_static, 24, 345},	//571 QGlobalSpace::operator<<(QDebug, const QObject*)
    {17, 654, 803, 2, Smoke::mf_static, 24, 346},	//572 QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    {17, 666, 326, 2, Smoke::mf_static, 310, 347},	//573 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {17, 691, 806, 2, Smoke::mf_static, 36, 348},	//574 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {17, 884, 6, 3, Smoke::mf_static, 0, 349},	//575 QGlobalSpace::qt_assert(const char*, const char*, int)
    {17, 683, 809, 2, Smoke::mf_static, 20, 350},	//576 QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    {17, 654, 812, 2, Smoke::mf_static, 24, 351},	//577 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {17, 871, 1, 1, Smoke::mf_static, 404, 352},	//578 QGlobalSpace::qstrlen(const char*)
    {17, 691, 815, 2, Smoke::mf_static, 44, 353},	//579 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {17, 691, 818, 2, Smoke::mf_static, 33, 354},	//580 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {17, 798, 124, 1, Smoke::mf_static, 310, 355},	//581 QGlobalSpace::qIsInf(double)
    {17, 644, 176, 2, Smoke::mf_static, 365, 356},	//582 QGlobalSpace::operator-(const QSize&, const QSize&)
    {17, 691, 821, 2, Smoke::mf_static, 41, 357},	//583 QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    {17, 691, 824, 2, Smoke::mf_static, 95, 358},	//584 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, int)
    {17, 647, 533, 2, Smoke::mf_static, 365, 359},	//585 QGlobalSpace::operator/(const QSize&, double)
    {17, 678, 303, 2, Smoke::mf_static, 310, 360},	//586 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {17, 691, 827, 2, Smoke::mf_static, 95, 361},	//587 QGlobalSpace::operator|(QDir::Filter, int)
    {17, 691, 830, 2, Smoke::mf_static, 95, 362},	//588 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {17, 627, 303, 2, Smoke::mf_static, 310, 363},	//589 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {17, 844, 124, 1, Smoke::mf_static, 391, 364},	//590 QGlobalSpace::qTan(double)
    {17, 827, 124, 1, Smoke::mf_static, 395, 365},	//591 QGlobalSpace::qRound64(double)
    {17, 787, 833, 1, Smoke::mf_static, 404, 366},	//592 QGlobalSpace::qHash(unsigned long)
    {17, 691, 835, 2, Smoke::mf_static, 31, 367},	//593 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {17, 829, 0, 0, Smoke::mf_static, 391, 368},	//594 QGlobalSpace::qSNaN()
    {17, 649, 252, 2, Smoke::mf_static, 310, 369},	//595 QGlobalSpace::operator<(QChar, QChar)
    {17, 691, 838, 2, Smoke::mf_static, 56, 370},	//596 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {17, 691, 841, 2, Smoke::mf_static, 49, 371},	//597 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {17, 644, 450, 2, Smoke::mf_static, 367, 372},	//598 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {17, 806, 844, 1, Smoke::mf_static, 412, 373},	//599 QGlobalSpace::qMalloc(size_t)
    {17, 802, 124, 1, Smoke::mf_static, 310, 374},	//600 QGlobalSpace::qIsNull(double)
    {17, 855, 303, 2, Smoke::mf_static, 310, 375},	//601 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {17, 691, 846, 2, Smoke::mf_static, 95, 376},	//602 QGlobalSpace::operator|(Qt::Orientation, int)
    {17, 691, 849, 2, Smoke::mf_static, 95, 377},	//603 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {17, 683, 852, 2, Smoke::mf_static, 20, 378},	//604 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {17, 683, 855, 2, Smoke::mf_static, 20, 379},	//605 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {17, 785, 247, 1, Smoke::mf_static, 310, 380},	//606 QGlobalSpace::qFuzzyIsNull(float)
    {17, 654, 858, 2, Smoke::mf_static, 20, 381},	//607 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {17, 654, 861, 2, Smoke::mf_static, 24, 382},	//608 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {17, 787, 864, 1, Smoke::mf_static, 404, 383},	//609 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {17, 691, 866, 2, Smoke::mf_static, 95, 384},	//610 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {17, 654, 869, 2, Smoke::mf_static, 24, 385},	//611 QGlobalSpace::operator<<(QDebug, const QTime&)
    {17, 691, 872, 2, Smoke::mf_static, 60, 386},	//612 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {17, 673, 158, 2, Smoke::mf_static, 310, 387},	//613 QGlobalSpace::operator>(const QByteArray&, const char*)
    {17, 627, 616, 2, Smoke::mf_static, 310, 388},	//614 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {17, 691, 875, 2, Smoke::mf_static, 51, 389},	//615 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {17, 627, 161, 2, Smoke::mf_static, 310, 390},	//616 QGlobalSpace::operator!=(const char*, const QString&)
    {17, 830, 44, 1, Smoke::mf_static, 201, 391},	//617 QGlobalSpace::qSetFieldWidth(int)
    {17, 841, 748, 2, Smoke::mf_static, 310, 392},	//618 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {17, 691, 878, 2, Smoke::mf_static, 61, 393},	//619 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {17, 691, 881, 2, Smoke::mf_static, 48, 394},	//620 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {17, 691, 884, 2, Smoke::mf_static, 95, 395},	//621 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {17, 649, 189, 2, Smoke::mf_static, 310, 396},	//622 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {17, 636, 887, 2, Smoke::mf_static, 367, 397},	//623 QGlobalSpace::operator*(double, const QSizeF&)
    {17, 678, 192, 2, Smoke::mf_static, 310, 398},	//624 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {17, 654, 890, 2, Smoke::mf_static, 24, 399},	//625 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {17, 787, 365, 1, Smoke::mf_static, 404, 400},	//626 QGlobalSpace::qHash(const QByteArray&)
    {17, 666, 218, 2, Smoke::mf_static, 310, 401},	//627 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {17, 787, 893, 1, Smoke::mf_static, 404, 402},	//628 QGlobalSpace::qHash(const QModelIndex&)
    {17, 691, 895, 2, Smoke::mf_static, 95, 403},	//629 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {17, 666, 347, 2, Smoke::mf_static, 310, 404},	//630 QGlobalSpace::operator==(const QRect&, const QRect&)
    {17, 691, 898, 2, Smoke::mf_static, 55, 405},	//631 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {17, 691, 901, 2, Smoke::mf_static, 52, 406},	//632 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {17, 781, 777, 1, Smoke::mf_static, 0, 407},	//633 QGlobalSpace::qFreeAligned(void*)
    {17, 691, 904, 2, Smoke::mf_static, 57, 408},	//634 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {17, 654, 907, 2, Smoke::mf_static, 24, 409},	//635 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {17, 666, 158, 2, Smoke::mf_static, 310, 410},	//636 QGlobalSpace::operator==(const QByteArray&, const char*)
    {17, 691, 910, 2, Smoke::mf_static, 95, 411},	//637 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {17, 691, 913, 2, Smoke::mf_static, 95, 412},	//638 QGlobalSpace::operator|(Qt::MouseButton, int)
    {17, 804, 124, 1, Smoke::mf_static, 391, 413},	//639 QGlobalSpace::qLn(double)
    {17, 666, 761, 2, Smoke::mf_static, 310, 414},	//640 QGlobalSpace::operator==(QBool, bool)
    {17, 627, 158, 2, Smoke::mf_static, 310, 415},	//641 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {17, 689, 323, 2, Smoke::mf_static, 11, 416},	//642 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {17, 747, 124, 1, Smoke::mf_static, 391, 417},	//643 QGlobalSpace::qAsin(double)
    {17, 683, 916, 2, Smoke::mf_static, 20, 418},	//644 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {17, 753, 0, 0, Smoke::mf_static, 0, 419},	//645 QGlobalSpace::qBadAlloc()
    {17, 691, 919, 2, Smoke::mf_static, 95, 420},	//646 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {17, 691, 922, 2, Smoke::mf_static, 95, 421},	//647 QGlobalSpace::operator|(QString::SectionFlag, int)
    {17, 639, 925, 2, Smoke::mf_static, 375, 422},	//648 QGlobalSpace::operator+(char, const QString&)
    {17, 654, 928, 2, Smoke::mf_static, 20, 423},	//649 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {17, 796, 247, 1, Smoke::mf_static, 310, 424},	//650 QGlobalSpace::qIsFinite(float)
    {17, 691, 931, 2, Smoke::mf_static, 32, 425},	//651 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {17, 639, 450, 2, Smoke::mf_static, 367, 426},	//652 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {17, 691, 934, 2, Smoke::mf_static, 42, 427},	//653 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {17, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 394, 428},	//654 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {17, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 394, 429},	//655 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {17, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 394, 430},	//656 QGlobalSpace::Q_STATIC_TYPE (enum)
    {17, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 394, 431},	//657 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {17, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 394, 432},	//658 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {17, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 433},	//659 QGlobalSpace::LicensedGui (enum)
    {17, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 308, 434},	//660 QGlobalSpace::LicensedXml (enum)
    {17, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 301, 435},	//661 QGlobalSpace::LicensedQt3SupportLight (enum)
    {17, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 303, 436},	//662 QGlobalSpace::LicensedScript (enum)
    {17, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 437},	//663 QGlobalSpace::LicensedOpenVG (enum)
    {17, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 293, 438},	//664 QGlobalSpace::LicensedDBus (enum)
    {17, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 307, 439},	//665 QGlobalSpace::LicensedTest (enum)
    {17, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 291, 440},	//666 QGlobalSpace::LicensedActiveQt (enum)
    {17, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 304, 441},	//667 QGlobalSpace::LicensedScriptTools (enum)
    {17, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 306, 442},	//668 QGlobalSpace::LicensedSvg (enum)
    {17, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 294, 443},	//669 QGlobalSpace::LicensedDeclarative (enum)
    {17, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 305, 444},	//670 QGlobalSpace::LicensedSql (enum)
    {17, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 299, 445},	//671 QGlobalSpace::LicensedOpenGL (enum)
    {17, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 446},	//672 QGlobalSpace::LicensedCore (enum)
    {17, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 290, 447},	//673 QGlobalSpace::QtDebugMsg (enum)
    {17, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 290, 448},	//674 QGlobalSpace::QtWarningMsg (enum)
    {17, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 290, 449},	//675 QGlobalSpace::QtCriticalMsg (enum)
    {17, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 290, 450},	//676 QGlobalSpace::QtFatalMsg (enum)
    {17, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 290, 451},	//677 QGlobalSpace::QtSystemMsg (enum)
    {17, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 296, 452},	//678 QGlobalSpace::LicensedHelp (enum)
    {17, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 297, 453},	//679 QGlobalSpace::LicensedMultimedia (enum)
    {17, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 454},	//680 QGlobalSpace::LicensedQt3Support (enum)
    {17, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 309, 455},	//681 QGlobalSpace::LicensedXmlPatterns (enum)
    {17, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 456},	//682 QGlobalSpace::LicensedNetwork (enum)
    {19, 167, 0, 0, Smoke::mf_ctor, 72, 1},	//683 QHostAddress::QHostAddress()
    {19, 167, 148, 1, Smoke::mf_ctor, 72, 2},	//684 QHostAddress::QHostAddress(unsigned int)
    {19, 167, 937, 1, Smoke::mf_ctor, 72, 3},	//685 QHostAddress::QHostAddress(unsigned char*)
    {19, 167, 939, 1, Smoke::mf_ctor, 72, 4},	//686 QHostAddress::QHostAddress(const QIPv6Address&)
    {19, 167, 941, 1, Smoke::mf_ctor, 72, 5},	//687 QHostAddress::QHostAddress(const sockaddr*)
    {19, 167, 69, 1, Smoke::mf_ctor, 72, 6},	//688 QHostAddress::QHostAddress(const QString&)
    {19, 167, 67, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 72, 7},	//689 QHostAddress::QHostAddress(const QHostAddress&)
    {19, 167, 943, 1, Smoke::mf_ctor, 72, 8},	//690 QHostAddress::QHostAddress(QHostAddress::SpecialAddress)
    {19, 663, 67, 1, 0, 71, 9},	//691 QHostAddress::operator=(const QHostAddress&)
    {19, 663, 69, 1, 0, 71, 10},	//692 QHostAddress::operator=(const QString&)
    {19, 967, 148, 1, 0, 0, 11},	//693 QHostAddress::setAddress(unsigned int)
    {19, 967, 937, 1, 0, 0, 12},	//694 QHostAddress::setAddress(unsigned char*)
    {19, 967, 939, 1, 0, 0, 13},	//695 QHostAddress::setAddress(const QIPv6Address&)
    {19, 967, 941, 1, 0, 0, 14},	//696 QHostAddress::setAddress(const sockaddr*)
    {19, 967, 69, 1, 0, 310, 15},	//697 QHostAddress::setAddress(const QString&)
    {19, 728, 0, 0, Smoke::mf_const, 4, 16},	//698 QHostAddress::protocol() const
    {19, 1199, 0, 0, Smoke::mf_const, 404, 17},	//699 QHostAddress::toIPv4Address() const
    {19, 1200, 0, 0, Smoke::mf_const, 93, 18},	//700 QHostAddress::toIPv6Address() const
    {19, 1205, 0, 0, Smoke::mf_const, 188, 19},	//701 QHostAddress::toString() const
    {19, 959, 0, 0, Smoke::mf_const, 188, 20},	//702 QHostAddress::scopeId() const
    {19, 1121, 69, 1, 0, 0, 21},	//703 QHostAddress::setScopeId(const QString&)
    {19, 666, 67, 1, Smoke::mf_const, 310, 22},	//704 QHostAddress::operator==(const QHostAddress&) const
    {19, 666, 943, 1, Smoke::mf_const, 310, 23},	//705 QHostAddress::operator==(QHostAddress::SpecialAddress) const
    {19, 627, 67, 1, Smoke::mf_const, 310, 24},	//706 QHostAddress::operator!=(const QHostAddress&) const
    {19, 627, 943, 1, Smoke::mf_const, 310, 25},	//707 QHostAddress::operator!=(QHostAddress::SpecialAddress) const
    {19, 566, 0, 0, Smoke::mf_const, 310, 26},	//708 QHostAddress::isNull() const
    {19, 410, 0, 0, 0, 0, 27},	//709 QHostAddress::clear()
    {19, 562, 945, 2, Smoke::mf_const, 310, 28},	//710 QHostAddress::isInSubnet(const QHostAddress&, int) const
    {19, 562, 948, 1, Smoke::mf_const, 310, 29},	//711 QHostAddress::isInSubnet(const QPair<QHostAddress,int>&) const
    {19, 702, 69, 1, Smoke::mf_static, 155, 30},	//712 QHostAddress::parseSubnet(const QString&)
    {19, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 31},	//713 QHostAddress::Null (enum)
    {19, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 32},	//714 QHostAddress::Broadcast (enum)
    {19, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 33},	//715 QHostAddress::LocalHost (enum)
    {19, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 34},	//716 QHostAddress::LocalHostIPv6 (enum)
    {19, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 35},	//717 QHostAddress::Any (enum)
    {19, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 36},	//718 QHostAddress::AnyIPv6 (enum)
    {19, 1248, 0, 0, Smoke::mf_dtor, 0, 37 },	//719 QHostAddress::~QHostAddress()
    {20, 170, 44, 1, Smoke::mf_ctor, 76, 1},	//720 QHostInfo::QHostInfo(int)
    {20, 170, 950, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 76, 2},	//721 QHostInfo::QHostInfo(const QHostInfo&)
    {20, 663, 950, 1, 0, 75, 3},	//722 QHostInfo::operator=(const QHostInfo&)
    {20, 540, 0, 0, Smoke::mf_const, 188, 4},	//723 QHostInfo::hostName() const
    {20, 1030, 69, 1, 0, 0, 5},	//724 QHostInfo::setHostName(const QString&)
    {20, 373, 0, 0, Smoke::mf_const, 101, 6},	//725 QHostInfo::addresses() const
    {20, 970, 952, 1, 0, 0, 7},	//726 QHostInfo::setAddresses(const QList<QHostAddress>&)
    {20, 487, 0, 0, Smoke::mf_const, 77, 8},	//727 QHostInfo::error() const
    {20, 1013, 954, 1, 0, 0, 9},	//728 QHostInfo::setError(QHostInfo::HostInfoError)
    {20, 489, 0, 0, Smoke::mf_const, 188, 10},	//729 QHostInfo::errorString() const
    {20, 1016, 69, 1, 0, 0, 11},	//730 QHostInfo::setErrorString(const QString&)
    {20, 1048, 44, 1, 0, 0, 12},	//731 QHostInfo::setLookupId(int)
    {20, 605, 0, 0, Smoke::mf_const, 393, 13},	//732 QHostInfo::lookupId() const
    {20, 603, 956, 3, Smoke::mf_static, 393, 14},	//733 QHostInfo::lookupHost(const QString&, QObject*, const char*)
    {20, 354, 44, 1, Smoke::mf_static, 0, 15},	//734 QHostInfo::abortHostLookup(int)
    {20, 507, 69, 1, Smoke::mf_static, 74, 16},	//735 QHostInfo::fromName(const QString&)
    {20, 598, 0, 0, Smoke::mf_static, 188, 17},	//736 QHostInfo::localHostName()
    {20, 597, 0, 0, Smoke::mf_static, 188, 18},	//737 QHostInfo::localDomainName()
    {20, 170, 0, 0, Smoke::mf_ctor, 76, 19},	//738 QHostInfo::QHostInfo()
    {20, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 20},	//739 QHostInfo::NoError (enum)
    {20, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 21},	//740 QHostInfo::HostNotFound (enum)
    {20, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 22},	//741 QHostInfo::UnknownError (enum)
    {20, 1249, 0, 0, Smoke::mf_dtor, 0, 23 },	//742 QHostInfo::~QHostInfo()
    {21, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 344, 1},	//743 QHttp::metaObject() const
    {21, 896, 1, 1, Smoke::mf_virtual, 412, 2},	//744 QHttp::qt_metacast(const char*)
    {21, 1206, 3, 2, Smoke::mf_static, 188, 3},	//745 QHttp::tr(const char*, const char*)
    {21, 1210, 3, 2, Smoke::mf_static, 188, 4},	//746 QHttp::trUtf8(const char*, const char*)
    {21, 1206, 6, 3, Smoke::mf_static, 188, 5},	//747 QHttp::tr(const char*, const char*, int)
    {21, 1210, 6, 3, Smoke::mf_static, 188, 6},	//748 QHttp::trUtf8(const char*, const char*, int)
    {21, 894, 10, 3, Smoke::mf_virtual, 393, 7},	//749 QHttp::qt_metacall(QMetaObject::Call, int, void**)
    {21, 173, 20, 1, Smoke::mf_ctor, 78, 8},	//750 QHttp::QHttp(QObject*)
    {21, 173, 960, 3, Smoke::mf_ctor, 78, 9},	//751 QHttp::QHttp(const QString&, unsigned short, QObject*)
    {21, 173, 964, 4, Smoke::mf_ctor, 78, 10},	//752 QHttp::QHttp(const QString&, QHttp::ConnectionMode, unsigned short, QObject*)
    {21, 1026, 71, 2, 0, 393, 11},	//753 QHttp::setHost(const QString&, unsigned short)
    {21, 1026, 969, 3, 0, 393, 12},	//754 QHttp::setHost(const QString&, QHttp::ConnectionMode, unsigned short)
    {21, 1127, 973, 1, 0, 393, 13},	//755 QHttp::setSocket(QTcpSocket*)
    {21, 1159, 85, 2, 0, 393, 14},	//756 QHttp::setUser(const QString&, const QString&)
    {21, 1097, 975, 4, 0, 393, 15},	//757 QHttp::setProxy(const QString&, int, const QString&, const QString&)
    {21, 1097, 46, 1, 0, 393, 16},	//758 QHttp::setProxy(const QNetworkProxy&)
    {21, 514, 115, 2, 0, 393, 17},	//759 QHttp::get(const QString&, QIODevice*)
    {21, 720, 980, 3, 0, 393, 18},	//760 QHttp::post(const QString&, QIODevice*, QIODevice*)
    {21, 720, 984, 3, 0, 393, 19},	//761 QHttp::post(const QString&, const QByteArray&, QIODevice*)
    {21, 534, 69, 1, 0, 393, 20},	//762 QHttp::head(const QString&)
    {21, 945, 988, 3, 0, 393, 21},	//763 QHttp::request(const QHttpRequestHeader&, QIODevice*, QIODevice*)
    {21, 945, 992, 3, 0, 393, 22},	//764 QHttp::request(const QHttpRequestHeader&, const QByteArray&, QIODevice*)
    {21, 414, 0, 0, 0, 393, 23},	//765 QHttp::closeConnection()
    {21, 413, 0, 0, 0, 393, 24},	//766 QHttp::close()
    {21, 397, 0, 0, Smoke::mf_const, 395, 25},	//767 QHttp::bytesAvailable() const
    {21, 918, 59, 2, 0, 395, 26},	//768 QHttp::read(char*, long long)
    {21, 920, 0, 0, 0, 14, 27},	//769 QHttp::readAll()
    {21, 448, 0, 0, Smoke::mf_const, 393, 28},	//770 QHttp::currentId() const
    {21, 450, 0, 0, Smoke::mf_const, 90, 29},	//771 QHttp::currentSourceDevice() const
    {21, 446, 0, 0, Smoke::mf_const, 90, 30},	//772 QHttp::currentDestinationDevice() const
    {21, 449, 0, 0, Smoke::mf_const, 84, 31},	//773 QHttp::currentRequest() const
    {21, 583, 0, 0, Smoke::mf_const, 87, 32},	//774 QHttp::lastResponse() const
    {21, 531, 0, 0, Smoke::mf_const, 310, 33},	//775 QHttp::hasPendingRequests() const
    {21, 412, 0, 0, 0, 0, 34},	//776 QHttp::clearPendingRequests()
    {21, 1182, 0, 0, Smoke::mf_const, 81, 35},	//777 QHttp::state() const
    {21, 487, 0, 0, Smoke::mf_const, 80, 36},	//778 QHttp::error() const
    {21, 489, 0, 0, Smoke::mf_const, 188, 37},	//779 QHttp::errorString() const
    {21, 353, 0, 0, Smoke::mf_slot, 0, 38},	//780 QHttp::abort()
    {21, 542, 0, 0, Smoke::mf_slot, 0, 39},	//781 QHttp::ignoreSslErrors()
    {21, 1183, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//782 QHttp::stateChanged(int)
    {21, 954, 996, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//783 QHttp::responseHeaderReceived(const QHttpResponseHeader&)
    {21, 930, 996, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//784 QHttp::readyRead(const QHttpResponseHeader&)
    {21, 456, 998, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//785 QHttp::dataSendProgress(int, int)
    {21, 454, 998, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//786 QHttp::dataReadProgress(int, int)
    {21, 951, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//787 QHttp::requestStarted(int)
    {21, 949, 110, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//788 QHttp::requestFinished(int, bool)
    {21, 474, 113, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//789 QHttp::done(bool)
    {21, 732, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//790 QHttp::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {21, 388, 1001, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//791 QHttp::authenticationRequired(const QString&, quint16, QAuthenticator*)
    {21, 1177, 1005, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//792 QHttp::sslErrors(const QList<QSslError>&)
    {21, 1206, 1, 1, Smoke::mf_static, 188, 51},	//793 QHttp::tr(const char*)
    {21, 1210, 1, 1, Smoke::mf_static, 188, 52},	//794 QHttp::trUtf8(const char*)
    {21, 173, 0, 0, Smoke::mf_ctor, 78, 53},	//795 QHttp::QHttp()
    {21, 173, 69, 1, Smoke::mf_ctor, 78, 54},	//796 QHttp::QHttp(const QString&)
    {21, 173, 71, 2, Smoke::mf_ctor, 78, 55},	//797 QHttp::QHttp(const QString&, unsigned short)
    {21, 173, 1007, 2, Smoke::mf_ctor, 78, 56},	//798 QHttp::QHttp(const QString&, QHttp::ConnectionMode)
    {21, 173, 969, 3, Smoke::mf_ctor, 78, 57},	//799 QHttp::QHttp(const QString&, QHttp::ConnectionMode, unsigned short)
    {21, 1026, 69, 1, 0, 393, 58},	//800 QHttp::setHost(const QString&)
    {21, 1026, 1007, 2, 0, 393, 59},	//801 QHttp::setHost(const QString&, QHttp::ConnectionMode)
    {21, 1159, 69, 1, 0, 393, 60},	//802 QHttp::setUser(const QString&)
    {21, 1097, 1010, 2, 0, 393, 61},	//803 QHttp::setProxy(const QString&, int)
    {21, 1097, 1013, 3, 0, 393, 62},	//804 QHttp::setProxy(const QString&, int, const QString&)
    {21, 514, 69, 1, 0, 393, 63},	//805 QHttp::get(const QString&)
    {21, 720, 115, 2, 0, 393, 64},	//806 QHttp::post(const QString&, QIODevice*)
    {21, 720, 695, 2, 0, 393, 65},	//807 QHttp::post(const QString&, const QByteArray&)
    {21, 945, 1017, 1, 0, 393, 66},	//808 QHttp::request(const QHttpRequestHeader&)
    {21, 945, 1019, 2, 0, 393, 67},	//809 QHttp::request(const QHttpRequestHeader&, QIODevice*)
    {21, 945, 1022, 2, 0, 393, 68},	//810 QHttp::request(const QHttpRequestHeader&, const QByteArray&)
    {21, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 343, 69},	//811 QHttp::staticMetaObject() const
    {21, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 70},	//812 QHttp::ConnectionModeHttp (enum)
    {21, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 71},	//813 QHttp::ConnectionModeHttps (enum)
    {21, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 72},	//814 QHttp::Unconnected (enum)
    {21, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 73},	//815 QHttp::HostLookup (enum)
    {21, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 74},	//816 QHttp::Connecting (enum)
    {21, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 75},	//817 QHttp::Sending (enum)
    {21, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 76},	//818 QHttp::Reading (enum)
    {21, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 77},	//819 QHttp::Connected (enum)
    {21, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 78},	//820 QHttp::Closing (enum)
    {21, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 79},	//821 QHttp::NoError (enum)
    {21, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 80},	//822 QHttp::UnknownError (enum)
    {21, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 81},	//823 QHttp::HostNotFound (enum)
    {21, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 82},	//824 QHttp::ConnectionRefused (enum)
    {21, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 83},	//825 QHttp::UnexpectedClose (enum)
    {21, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 84},	//826 QHttp::InvalidResponseHeader (enum)
    {21, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 85},	//827 QHttp::WrongContentLength (enum)
    {21, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 86},	//828 QHttp::Aborted (enum)
    {21, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 87},	//829 QHttp::AuthenticationRequiredError (enum)
    {21, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 88},	//830 QHttp::ProxyAuthenticationRequiredError (enum)
    {21, 1250, 0, 0, Smoke::mf_dtor, 0, 89 },	//831 QHttp::~QHttp()
    {22, 180, 0, 0, Smoke::mf_ctor, 83, 1},	//832 QHttpHeader::QHttpHeader()
    {22, 180, 1025, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 83, 2},	//833 QHttpHeader::QHttpHeader(const QHttpHeader&)
    {22, 180, 69, 1, Smoke::mf_ctor, 83, 3},	//834 QHttpHeader::QHttpHeader(const QString&)
    {22, 663, 1025, 1, 0, 82, 4},	//835 QHttpHeader::operator=(const QHttpHeader&)
    {22, 1164, 85, 2, 0, 0, 5},	//836 QHttpHeader::setValue(const QString&, const QString&)
    {22, 1167, 1027, 1, 0, 0, 6},	//837 QHttpHeader::setValues(const QList<QPair<QString,QString> >&)
    {22, 370, 85, 2, 0, 0, 7},	//838 QHttpHeader::addValue(const QString&, const QString&)
    {22, 1224, 0, 0, Smoke::mf_const, 107, 8},	//839 QHttpHeader::values() const
    {22, 526, 69, 1, Smoke::mf_const, 310, 9},	//840 QHttpHeader::hasKey(const QString&) const
    {22, 580, 0, 0, Smoke::mf_const, 192, 10},	//841 QHttpHeader::keys() const
    {22, 1222, 69, 1, Smoke::mf_const, 188, 11},	//842 QHttpHeader::value(const QString&) const
    {22, 378, 69, 1, Smoke::mf_const, 192, 12},	//843 QHttpHeader::allValues(const QString&) const
    {22, 941, 69, 1, 0, 0, 13},	//844 QHttpHeader::removeValue(const QString&)
    {22, 937, 69, 1, 0, 0, 14},	//845 QHttpHeader::removeAllValues(const QString&)
    {22, 524, 0, 0, Smoke::mf_const, 310, 15},	//846 QHttpHeader::hasContentLength() const
    {22, 437, 0, 0, Smoke::mf_const, 404, 16},	//847 QHttpHeader::contentLength() const
    {22, 995, 44, 1, 0, 0, 17},	//848 QHttpHeader::setContentLength(int)
    {22, 525, 0, 0, Smoke::mf_const, 310, 18},	//849 QHttpHeader::hasContentType() const
    {22, 438, 0, 0, Smoke::mf_const, 188, 19},	//850 QHttpHeader::contentType() const
    {22, 997, 69, 1, 0, 0, 20},	//851 QHttpHeader::setContentType(const QString&)
    {22, 1205, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 188, 21},	//852 QHttpHeader::toString() const
    {22, 574, 0, 0, Smoke::mf_const, 310, 22},	//853 QHttpHeader::isValid() const
    {22, 606, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 393, 23},	//854 QHttpHeader::majorVersion() const [pure virtual]
    {22, 615, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 393, 24},	//855 QHttpHeader::minorVersion() const [pure virtual]
    {22, 700, 1010, 2, Smoke::mf_protected|Smoke::mf_virtual, 310, 25},	//856 QHttpHeader::parseLine(const QString&, int)
    {22, 696, 69, 1, Smoke::mf_protected, 310, 26},	//857 QHttpHeader::parse(const QString&)
    {22, 1162, 113, 1, Smoke::mf_protected, 0, 27},	//858 QHttpHeader::setValid(bool)
    {22, 1251, 0, 0, Smoke::mf_dtor, 0, 28 },	//859 QHttpHeader::~QHttpHeader()
    {23, 183, 0, 0, Smoke::mf_ctor, 86, 1},	//860 QHttpRequestHeader::QHttpRequestHeader()
    {23, 183, 1029, 4, Smoke::mf_ctor, 86, 2},	//861 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&, int, int)
    {23, 183, 1017, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 86, 3},	//862 QHttpRequestHeader::QHttpRequestHeader(const QHttpRequestHeader&)
    {23, 183, 69, 1, Smoke::mf_ctor, 86, 4},	//863 QHttpRequestHeader::QHttpRequestHeader(const QString&)
    {23, 663, 1017, 1, 0, 85, 5},	//864 QHttpRequestHeader::operator=(const QHttpRequestHeader&)
    {23, 1114, 1029, 4, 0, 0, 6},	//865 QHttpRequestHeader::setRequest(const QString&, const QString&, int, int)
    {23, 614, 0, 0, Smoke::mf_const, 188, 7},	//866 QHttpRequestHeader::method() const
    {23, 705, 0, 0, Smoke::mf_const, 188, 8},	//867 QHttpRequestHeader::path() const
    {23, 606, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 393, 9},	//868 QHttpRequestHeader::majorVersion() const
    {23, 615, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 393, 10},	//869 QHttpRequestHeader::minorVersion() const
    {23, 1205, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 188, 11},	//870 QHttpRequestHeader::toString() const
    {23, 700, 1010, 2, Smoke::mf_protected|Smoke::mf_virtual, 310, 12},	//871 QHttpRequestHeader::parseLine(const QString&, int)
    {23, 183, 85, 2, Smoke::mf_ctor, 86, 13},	//872 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&)
    {23, 183, 1034, 3, Smoke::mf_ctor, 86, 14},	//873 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&, int)
    {23, 1114, 85, 2, 0, 0, 15},	//874 QHttpRequestHeader::setRequest(const QString&, const QString&)
    {23, 1114, 1034, 3, 0, 0, 16},	//875 QHttpRequestHeader::setRequest(const QString&, const QString&, int)
    {23, 1252, 0, 0, Smoke::mf_dtor, 0, 17 },	//876 QHttpRequestHeader::~QHttpRequestHeader()
    {24, 189, 0, 0, Smoke::mf_ctor, 89, 1},	//877 QHttpResponseHeader::QHttpResponseHeader()
    {24, 189, 996, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 89, 2},	//878 QHttpResponseHeader::QHttpResponseHeader(const QHttpResponseHeader&)
    {24, 189, 69, 1, Smoke::mf_ctor, 89, 3},	//879 QHttpResponseHeader::QHttpResponseHeader(const QString&)
    {24, 189, 1038, 4, Smoke::mf_ctor, 89, 4},	//880 QHttpResponseHeader::QHttpResponseHeader(int, const QString&, int, int)
    {24, 663, 996, 1, 0, 88, 5},	//881 QHttpResponseHeader::operator=(const QHttpResponseHeader&)
    {24, 1144, 1038, 4, 0, 0, 6},	//882 QHttpResponseHeader::setStatusLine(int, const QString&, int, int)
    {24, 1186, 0, 0, Smoke::mf_const, 393, 7},	//883 QHttpResponseHeader::statusCode() const
    {24, 933, 0, 0, Smoke::mf_const, 188, 8},	//884 QHttpResponseHeader::reasonPhrase() const
    {24, 606, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 393, 9},	//885 QHttpResponseHeader::majorVersion() const
    {24, 615, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 393, 10},	//886 QHttpResponseHeader::minorVersion() const
    {24, 1205, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 188, 11},	//887 QHttpResponseHeader::toString() const
    {24, 700, 1010, 2, Smoke::mf_protected|Smoke::mf_virtual, 310, 12},	//888 QHttpResponseHeader::parseLine(const QString&, int)
    {24, 189, 44, 1, Smoke::mf_ctor, 89, 13},	//889 QHttpResponseHeader::QHttpResponseHeader(int)
    {24, 189, 107, 2, Smoke::mf_ctor, 89, 14},	//890 QHttpResponseHeader::QHttpResponseHeader(int, const QString&)
    {24, 189, 1043, 3, Smoke::mf_ctor, 89, 15},	//891 QHttpResponseHeader::QHttpResponseHeader(int, const QString&, int)
    {24, 1144, 44, 1, 0, 0, 16},	//892 QHttpResponseHeader::setStatusLine(int)
    {24, 1144, 107, 2, 0, 0, 17},	//893 QHttpResponseHeader::setStatusLine(int, const QString&)
    {24, 1144, 1043, 3, 0, 0, 18},	//894 QHttpResponseHeader::setStatusLine(int, const QString&, int)
    {24, 1253, 0, 0, Smoke::mf_dtor, 0, 19 },	//895 QHttpResponseHeader::~QHttpResponseHeader()
    {25, 625, 1047, 1, Smoke::mf_virtual, 310, 0},	//896 QIODevice::open(QFlags<QIODevice::OpenModeFlag>)
    {25, 719, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 395, 0},	//897 QIODevice::pos() const
    {25, 1171, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 395, 0},	//898 QIODevice::size() const
    {25, 960, 33, 1, Smoke::mf_virtual, 310, 0},	//899 QIODevice::seek(long long)
    {25, 382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 310, 0},	//900 QIODevice::atEnd() const
    {25, 953, 0, 0, Smoke::mf_virtual, 310, 0},	//901 QIODevice::reset()
    {25, 397, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 395, 0},	//902 QIODevice::bytesAvailable() const
    {25, 398, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 395, 0},	//903 QIODevice::bytesToWrite() const
    {25, 403, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 310, 0},	//904 QIODevice::canReadLine() const
    {25, 1237, 44, 1, Smoke::mf_virtual, 310, 0},	//905 QIODevice::waitForReadyRead(int)
    {25, 1226, 44, 1, Smoke::mf_virtual, 310, 0},	//906 QIODevice::waitForBytesWritten(int)
    {25, 922, 59, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 395, 0},	//907 QIODevice::readData(char*, long long) [pure virtual]
    {25, 928, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 395, 0},	//908 QIODevice::readLineData(char*, long long)
    {25, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 14},	//909 QIODevice::NotOpen (enum)
    {25, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 15},	//910 QIODevice::ReadOnly (enum)
    {25, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 16},	//911 QIODevice::WriteOnly (enum)
    {25, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 17},	//912 QIODevice::ReadWrite (enum)
    {25, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 18},	//913 QIODevice::Append (enum)
    {25, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 19},	//914 QIODevice::Truncate (enum)
    {25, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 20},	//915 QIODevice::Text (enum)
    {25, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 21},	//916 QIODevice::Unbuffered (enum)
    {26, 687, 44, 1, 0, 402, 1},	//917 QIPv6Address::operator[](int)
    {26, 687, 44, 1, Smoke::mf_const, 401, 2},	//918 QIPv6Address::operator[](int) const
    {26, 195, 0, 0, Smoke::mf_ctor, 94, 3},	//919 QIPv6Address::QIPv6Address()
    {26, 195, 939, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 94, 4},	//920 QIPv6Address::QIPv6Address(const QIPv6Address&)
    {26, 1254, 0, 0, Smoke::mf_dtor, 0, 5 },	//921 QIPv6Address::~QIPv6Address()
    {31, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 344, 1},	//922 QLocalServer::metaObject() const
    {31, 896, 1, 1, Smoke::mf_virtual, 412, 2},	//923 QLocalServer::qt_metacast(const char*)
    {31, 1206, 3, 2, Smoke::mf_static, 188, 3},	//924 QLocalServer::tr(const char*, const char*)
    {31, 1210, 3, 2, Smoke::mf_static, 188, 4},	//925 QLocalServer::trUtf8(const char*, const char*)
    {31, 1206, 6, 3, Smoke::mf_static, 188, 5},	//926 QLocalServer::tr(const char*, const char*, int)
    {31, 1210, 6, 3, Smoke::mf_static, 188, 6},	//927 QLocalServer::trUtf8(const char*, const char*, int)
    {31, 894, 10, 3, Smoke::mf_virtual, 393, 7},	//928 QLocalServer::qt_metacall(QMetaObject::Call, int, void**)
    {31, 623, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//929 QLocalServer::newConnection()
    {31, 197, 20, 1, Smoke::mf_ctor, 112, 9},	//930 QLocalServer::QLocalServer(QObject*)
    {31, 413, 0, 0, 0, 0, 10},	//931 QLocalServer::close()
    {31, 489, 0, 0, Smoke::mf_const, 188, 11},	//932 QLocalServer::errorString() const
    {31, 529, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 310, 12},	//933 QLocalServer::hasPendingConnections() const
    {31, 565, 0, 0, Smoke::mf_const, 310, 13},	//934 QLocalServer::isListening() const
    {31, 591, 69, 1, 0, 310, 14},	//935 QLocalServer::listen(const QString&)
    {31, 608, 0, 0, Smoke::mf_const, 393, 15},	//936 QLocalServer::maxPendingConnections() const
    {31, 624, 0, 0, Smoke::mf_virtual, 113, 16},	//937 QLocalServer::nextPendingConnection()
    {31, 964, 0, 0, Smoke::mf_const, 188, 17},	//938 QLocalServer::serverName() const
    {31, 513, 0, 0, Smoke::mf_const, 188, 18},	//939 QLocalServer::fullServerName() const
    {31, 939, 69, 1, Smoke::mf_static, 310, 19},	//940 QLocalServer::removeServer(const QString&)
    {31, 963, 0, 0, Smoke::mf_const, 5, 20},	//941 QLocalServer::serverError() const
    {31, 1050, 44, 1, 0, 0, 21},	//942 QLocalServer::setMaxPendingConnections(int)
    {31, 1234, 1049, 2, 0, 310, 22},	//943 QLocalServer::waitForNewConnection(int, bool*)
    {31, 544, 1052, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//944 QLocalServer::incomingConnection(QIntegerForSizeof< void* >::Unsigned)
    {31, 1206, 1, 1, Smoke::mf_static, 188, 24},	//945 QLocalServer::tr(const char*)
    {31, 1210, 1, 1, Smoke::mf_static, 188, 25},	//946 QLocalServer::trUtf8(const char*)
    {31, 197, 0, 0, Smoke::mf_ctor, 112, 26},	//947 QLocalServer::QLocalServer()
    {31, 1234, 0, 0, 0, 310, 27},	//948 QLocalServer::waitForNewConnection()
    {31, 1234, 44, 1, 0, 310, 28},	//949 QLocalServer::waitForNewConnection(int)
    {31, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 343, 29},	//950 QLocalServer::staticMetaObject() const
    {31, 1255, 0, 0, Smoke::mf_dtor, 0, 30 },	//951 QLocalServer::~QLocalServer()
    {32, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 344, 1},	//952 QLocalSocket::metaObject() const
    {32, 896, 1, 1, Smoke::mf_virtual, 412, 2},	//953 QLocalSocket::qt_metacast(const char*)
    {32, 1206, 3, 2, Smoke::mf_static, 188, 3},	//954 QLocalSocket::tr(const char*, const char*)
    {32, 1210, 3, 2, Smoke::mf_static, 188, 4},	//955 QLocalSocket::trUtf8(const char*, const char*)
    {32, 1206, 6, 3, Smoke::mf_static, 188, 5},	//956 QLocalSocket::tr(const char*, const char*, int)
    {32, 1210, 6, 3, Smoke::mf_static, 188, 6},	//957 QLocalSocket::trUtf8(const char*, const char*, int)
    {32, 894, 10, 3, Smoke::mf_virtual, 393, 7},	//958 QLocalSocket::qt_metacall(QMetaObject::Call, int, void**)
    {32, 199, 20, 1, Smoke::mf_ctor, 113, 8},	//959 QLocalSocket::QLocalSocket(QObject*)
    {32, 433, 1054, 2, 0, 0, 9},	//960 QLocalSocket::connectToServer(const QString&, QFlags<QIODevice::OpenModeFlag>)
    {32, 470, 0, 0, 0, 0, 10},	//961 QLocalSocket::disconnectFromServer()
    {32, 964, 0, 0, Smoke::mf_const, 188, 11},	//962 QLocalSocket::serverName() const
    {32, 513, 0, 0, Smoke::mf_const, 188, 12},	//963 QLocalSocket::fullServerName() const
    {32, 353, 0, 0, 0, 0, 13},	//964 QLocalSocket::abort()
    {32, 570, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 310, 14},	//965 QLocalSocket::isSequential() const
    {32, 397, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 395, 15},	//966 QLocalSocket::bytesAvailable() const
    {32, 398, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 395, 16},	//967 QLocalSocket::bytesToWrite() const
    {32, 403, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 310, 17},	//968 QLocalSocket::canReadLine() const
    {32, 413, 0, 0, Smoke::mf_virtual, 0, 18},	//969 QLocalSocket::close()
    {32, 487, 0, 0, Smoke::mf_const, 114, 19},	//970 QLocalSocket::error() const
    {32, 500, 0, 0, 0, 310, 20},	//971 QLocalSocket::flush()
    {32, 574, 0, 0, Smoke::mf_const, 310, 21},	//972 QLocalSocket::isValid() const
    {32, 921, 0, 0, Smoke::mf_const, 395, 22},	//973 QLocalSocket::readBufferSize() const
    {32, 1110, 33, 1, 0, 0, 23},	//974 QLocalSocket::setReadBufferSize(long long)
    {32, 1129, 1057, 3, 0, 310, 24},	//975 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState, QFlags<QIODevice::OpenModeFlag>)
    {32, 1172, 0, 0, Smoke::mf_const, 96, 25},	//976 QLocalSocket::socketDescriptor() const
    {32, 1182, 0, 0, Smoke::mf_const, 115, 26},	//977 QLocalSocket::state() const
    {32, 1226, 44, 1, Smoke::mf_virtual, 310, 27},	//978 QLocalSocket::waitForBytesWritten(int)
    {32, 1228, 44, 1, 0, 310, 28},	//979 QLocalSocket::waitForConnected(int)
    {32, 1230, 44, 1, 0, 310, 29},	//980 QLocalSocket::waitForDisconnected(int)
    {32, 1237, 44, 1, Smoke::mf_virtual, 310, 30},	//981 QLocalSocket::waitForReadyRead(int)
    {32, 436, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//982 QLocalSocket::connected()
    {32, 472, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//983 QLocalSocket::disconnected()
    {32, 487, 1061, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//984 QLocalSocket::error(QLocalSocket::LocalSocketError)
    {32, 1183, 1063, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//985 QLocalSocket::stateChanged(QLocalSocket::LocalSocketState)
    {32, 922, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 395, 35},	//986 QLocalSocket::readData(char*, long long)
    {32, 1239, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 395, 36},	//987 QLocalSocket::writeData(const char*, long long)
    {32, 1206, 1, 1, Smoke::mf_static, 188, 37},	//988 QLocalSocket::tr(const char*)
    {32, 1210, 1, 1, Smoke::mf_static, 188, 38},	//989 QLocalSocket::trUtf8(const char*)
    {32, 199, 0, 0, Smoke::mf_ctor, 113, 39},	//990 QLocalSocket::QLocalSocket()
    {32, 433, 69, 1, 0, 0, 40},	//991 QLocalSocket::connectToServer(const QString&)
    {32, 1129, 1052, 1, 0, 310, 41},	//992 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned)
    {32, 1129, 1065, 2, 0, 310, 42},	//993 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState)
    {32, 1226, 0, 0, 0, 310, 43},	//994 QLocalSocket::waitForBytesWritten()
    {32, 1228, 0, 0, 0, 310, 44},	//995 QLocalSocket::waitForConnected()
    {32, 1230, 0, 0, 0, 310, 45},	//996 QLocalSocket::waitForDisconnected()
    {32, 1237, 0, 0, 0, 310, 46},	//997 QLocalSocket::waitForReadyRead()
    {32, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 343, 47},	//998 QLocalSocket::staticMetaObject() const
    {32, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 48},	//999 QLocalSocket::ConnectionRefusedError (enum)
    {32, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 49},	//1000 QLocalSocket::PeerClosedError (enum)
    {32, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 50},	//1001 QLocalSocket::ServerNotFoundError (enum)
    {32, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 51},	//1002 QLocalSocket::SocketAccessError (enum)
    {32, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 52},	//1003 QLocalSocket::SocketResourceError (enum)
    {32, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 53},	//1004 QLocalSocket::SocketTimeoutError (enum)
    {32, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 54},	//1005 QLocalSocket::DatagramTooLargeError (enum)
    {32, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 55},	//1006 QLocalSocket::ConnectionError (enum)
    {32, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 56},	//1007 QLocalSocket::UnsupportedSocketOperationError (enum)
    {32, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 57},	//1008 QLocalSocket::UnknownSocketError (enum)
    {32, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 58},	//1009 QLocalSocket::UnconnectedState (enum)
    {32, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 59},	//1010 QLocalSocket::ConnectingState (enum)
    {32, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 60},	//1011 QLocalSocket::ConnectedState (enum)
    {32, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 61},	//1012 QLocalSocket::ClosingState (enum)
    {32, 1256, 0, 0, Smoke::mf_dtor, 0, 62 },	//1013 QLocalSocket::~QLocalSocket()
    {37, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 344, 1},	//1014 QNetworkAccessManager::metaObject() const
    {37, 896, 1, 1, Smoke::mf_virtual, 412, 2},	//1015 QNetworkAccessManager::qt_metacast(const char*)
    {37, 1206, 3, 2, Smoke::mf_static, 188, 3},	//1016 QNetworkAccessManager::tr(const char*, const char*)
    {37, 1210, 3, 2, Smoke::mf_static, 188, 4},	//1017 QNetworkAccessManager::trUtf8(const char*, const char*)
    {37, 1206, 6, 3, Smoke::mf_static, 188, 5},	//1018 QNetworkAccessManager::tr(const char*, const char*, int)
    {37, 1210, 6, 3, Smoke::mf_static, 188, 6},	//1019 QNetworkAccessManager::trUtf8(const char*, const char*, int)
    {37, 894, 10, 3, Smoke::mf_virtual, 393, 7},	//1020 QNetworkAccessManager::qt_metacall(QMetaObject::Call, int, void**)
    {37, 201, 20, 1, Smoke::mf_ctor, 120, 8},	//1021 QNetworkAccessManager::QNetworkAccessManager(QObject*)
    {37, 731, 0, 0, Smoke::mf_const, 136, 9},	//1022 QNetworkAccessManager::proxy() const
    {37, 1097, 46, 1, 0, 0, 10},	//1023 QNetworkAccessManager::setProxy(const QNetworkProxy&)
    {37, 734, 0, 0, Smoke::mf_const, 141, 11},	//1024 QNetworkAccessManager::proxyFactory() const
    {37, 1102, 1068, 1, 0, 0, 12},	//1025 QNetworkAccessManager::setProxyFactory(QNetworkProxyFactory*)
    {37, 400, 0, 0, Smoke::mf_const, 2, 13},	//1026 QNetworkAccessManager::cache() const
    {37, 986, 1070, 1, 0, 0, 14},	//1027 QNetworkAccessManager::setCache(QAbstractNetworkCache*)
    {37, 439, 0, 0, Smoke::mf_const, 130, 15},	//1028 QNetworkAccessManager::cookieJar() const
    {37, 999, 1072, 1, 0, 0, 16},	//1029 QNetworkAccessManager::setCookieJar(QNetworkCookieJar*)
    {37, 534, 1074, 1, 0, 145, 17},	//1030 QNetworkAccessManager::head(const QNetworkRequest&)
    {37, 514, 1074, 1, 0, 145, 18},	//1031 QNetworkAccessManager::get(const QNetworkRequest&)
    {37, 720, 1076, 2, 0, 145, 19},	//1032 QNetworkAccessManager::post(const QNetworkRequest&, QIODevice*)
    {37, 720, 1079, 2, 0, 145, 20},	//1033 QNetworkAccessManager::post(const QNetworkRequest&, const QByteArray&)
    {37, 738, 1076, 2, 0, 145, 21},	//1034 QNetworkAccessManager::put(const QNetworkRequest&, QIODevice*)
    {37, 738, 1079, 2, 0, 145, 22},	//1035 QNetworkAccessManager::put(const QNetworkRequest&, const QByteArray&)
    {37, 463, 1074, 1, 0, 145, 23},	//1036 QNetworkAccessManager::deleteResource(const QNetworkRequest&)
    {37, 732, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1037 QNetworkAccessManager::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {37, 388, 1082, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//1038 QNetworkAccessManager::authenticationRequired(QNetworkReply*, QAuthenticator*)
    {37, 497, 1085, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1039 QNetworkAccessManager::finished(QNetworkReply*)
    {37, 1177, 1087, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1040 QNetworkAccessManager::sslErrors(QNetworkReply*, const QList<QSslError>&)
    {37, 442, 1090, 3, Smoke::mf_protected|Smoke::mf_virtual, 145, 28},	//1041 QNetworkAccessManager::createRequest(QNetworkAccessManager::Operation, const QNetworkRequest&, QIODevice*)
    {37, 1206, 1, 1, Smoke::mf_static, 188, 29},	//1042 QNetworkAccessManager::tr(const char*)
    {37, 1210, 1, 1, Smoke::mf_static, 188, 30},	//1043 QNetworkAccessManager::trUtf8(const char*)
    {37, 201, 0, 0, Smoke::mf_ctor, 120, 31},	//1044 QNetworkAccessManager::QNetworkAccessManager()
    {37, 442, 1094, 2, Smoke::mf_protected, 145, 32},	//1045 QNetworkAccessManager::createRequest(QNetworkAccessManager::Operation, const QNetworkRequest&)
    {37, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 343, 33},	//1046 QNetworkAccessManager::staticMetaObject() const
    {37, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 34},	//1047 QNetworkAccessManager::HeadOperation (enum)
    {37, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 35},	//1048 QNetworkAccessManager::GetOperation (enum)
    {37, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 36},	//1049 QNetworkAccessManager::PutOperation (enum)
    {37, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 37},	//1050 QNetworkAccessManager::PostOperation (enum)
    {37, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 38},	//1051 QNetworkAccessManager::DeleteOperation (enum)
    {37, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 39},	//1052 QNetworkAccessManager::UnknownOperation (enum)
    {37, 1257, 0, 0, Smoke::mf_dtor, 0, 40 },	//1053 QNetworkAccessManager::~QNetworkAccessManager()
    {38, 203, 0, 0, Smoke::mf_ctor, 123, 1},	//1054 QNetworkAddressEntry::QNetworkAddressEntry()
    {38, 203, 1097, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 123, 2},	//1055 QNetworkAddressEntry::QNetworkAddressEntry(const QNetworkAddressEntry&)
    {38, 663, 1097, 1, 0, 122, 3},	//1056 QNetworkAddressEntry::operator=(const QNetworkAddressEntry&)
    {38, 666, 1097, 1, Smoke::mf_const, 310, 4},	//1057 QNetworkAddressEntry::operator==(const QNetworkAddressEntry&) const
    {38, 627, 1097, 1, Smoke::mf_const, 310, 5},	//1058 QNetworkAddressEntry::operator!=(const QNetworkAddressEntry&) const
    {38, 554, 0, 0, Smoke::mf_const, 70, 6},	//1059 QNetworkAddressEntry::ip() const
    {38, 1034, 67, 1, 0, 0, 7},	//1060 QNetworkAddressEntry::setIp(const QHostAddress&)
    {38, 622, 0, 0, Smoke::mf_const, 70, 8},	//1061 QNetworkAddressEntry::netmask() const
    {38, 1057, 67, 1, 0, 0, 9},	//1062 QNetworkAddressEntry::setNetmask(const QHostAddress&)
    {38, 724, 0, 0, Smoke::mf_const, 393, 10},	//1063 QNetworkAddressEntry::prefixLength() const
    {38, 1085, 44, 1, 0, 0, 11},	//1064 QNetworkAddressEntry::setPrefixLength(int)
    {38, 396, 0, 0, Smoke::mf_const, 70, 12},	//1065 QNetworkAddressEntry::broadcast() const
    {38, 982, 67, 1, 0, 0, 13},	//1066 QNetworkAddressEntry::setBroadcast(const QHostAddress&)
    {38, 1258, 0, 0, Smoke::mf_dtor, 0, 14 },	//1067 QNetworkAddressEntry::~QNetworkAddressEntry()
    {39, 205, 0, 0, Smoke::mf_ctor, 126, 1},	//1068 QNetworkCacheMetaData::QNetworkCacheMetaData()
    {39, 205, 16, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 126, 2},	//1069 QNetworkCacheMetaData::QNetworkCacheMetaData(const QNetworkCacheMetaData&)
    {39, 663, 16, 1, 0, 125, 3},	//1070 QNetworkCacheMetaData::operator=(const QNetworkCacheMetaData&)
    {39, 666, 16, 1, Smoke::mf_const, 310, 4},	//1071 QNetworkCacheMetaData::operator==(const QNetworkCacheMetaData&) const
    {39, 627, 16, 1, Smoke::mf_const, 310, 5},	//1072 QNetworkCacheMetaData::operator!=(const QNetworkCacheMetaData&) const
    {39, 574, 0, 0, Smoke::mf_const, 310, 6},	//1073 QNetworkCacheMetaData::isValid() const
    {39, 1219, 0, 0, Smoke::mf_const, 206, 7},	//1074 QNetworkCacheMetaData::url() const
    {39, 1155, 14, 1, 0, 0, 8},	//1075 QNetworkCacheMetaData::setUrl(const QUrl&)
    {39, 917, 0, 0, Smoke::mf_const, 106, 9},	//1076 QNetworkCacheMetaData::rawHeaders() const
    {39, 1108, 1099, 1, 0, 0, 10},	//1077 QNetworkCacheMetaData::setRawHeaders(const QList<QPair<QByteArray,QByteArray> >&)
    {39, 581, 0, 0, Smoke::mf_const, 22, 11},	//1078 QNetworkCacheMetaData::lastModified() const
    {39, 1036, 1101, 1, 0, 0, 12},	//1079 QNetworkCacheMetaData::setLastModified(const QDateTime&)
    {39, 492, 0, 0, Smoke::mf_const, 22, 13},	//1080 QNetworkCacheMetaData::expirationDate() const
    {39, 1018, 1101, 1, 0, 0, 14},	//1081 QNetworkCacheMetaData::setExpirationDate(const QDateTime&)
    {39, 958, 0, 0, Smoke::mf_const, 310, 15},	//1082 QNetworkCacheMetaData::saveToDisk() const
    {39, 1119, 113, 1, 0, 0, 16},	//1083 QNetworkCacheMetaData::setSaveToDisk(bool)
    {39, 386, 0, 0, Smoke::mf_const, 69, 17},	//1084 QNetworkCacheMetaData::attributes() const
    {39, 980, 1103, 1, 0, 0, 18},	//1085 QNetworkCacheMetaData::setAttributes(const QHash<QNetworkRequest::Attribute,QVariant>&)
    {39, 1259, 0, 0, Smoke::mf_dtor, 0, 19 },	//1086 QNetworkCacheMetaData::~QNetworkCacheMetaData()
    {40, 207, 353, 2, Smoke::mf_ctor, 128, 1},	//1087 QNetworkCookie::QNetworkCookie(const QByteArray&, const QByteArray&)
    {40, 207, 1105, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 128, 2},	//1088 QNetworkCookie::QNetworkCookie(const QNetworkCookie&)
    {40, 663, 1105, 1, 0, 127, 3},	//1089 QNetworkCookie::operator=(const QNetworkCookie&)
    {40, 666, 1105, 1, Smoke::mf_const, 310, 4},	//1090 QNetworkCookie::operator==(const QNetworkCookie&) const
    {40, 627, 1105, 1, Smoke::mf_const, 310, 5},	//1091 QNetworkCookie::operator!=(const QNetworkCookie&) const
    {40, 569, 0, 0, Smoke::mf_const, 310, 6},	//1092 QNetworkCookie::isSecure() const
    {40, 1123, 113, 1, 0, 0, 7},	//1093 QNetworkCookie::setSecure(bool)
    {40, 561, 0, 0, Smoke::mf_const, 310, 8},	//1094 QNetworkCookie::isHttpOnly() const
    {40, 1032, 113, 1, 0, 0, 9},	//1095 QNetworkCookie::setHttpOnly(bool)
    {40, 571, 0, 0, Smoke::mf_const, 310, 10},	//1096 QNetworkCookie::isSessionCookie() const
    {40, 492, 0, 0, Smoke::mf_const, 22, 11},	//1097 QNetworkCookie::expirationDate() const
    {40, 1018, 1101, 1, 0, 0, 12},	//1098 QNetworkCookie::setExpirationDate(const QDateTime&)
    {40, 473, 0, 0, Smoke::mf_const, 188, 13},	//1099 QNetworkCookie::domain() const
    {40, 1011, 69, 1, 0, 0, 14},	//1100 QNetworkCookie::setDomain(const QString&)
    {40, 705, 0, 0, Smoke::mf_const, 188, 15},	//1101 QNetworkCookie::path() const
    {40, 1067, 69, 1, 0, 0, 16},	//1102 QNetworkCookie::setPath(const QString&)
    {40, 621, 0, 0, Smoke::mf_const, 14, 17},	//1103 QNetworkCookie::name() const
    {40, 1054, 365, 1, 0, 0, 18},	//1104 QNetworkCookie::setName(const QByteArray&)
    {40, 1222, 0, 0, Smoke::mf_const, 14, 19},	//1105 QNetworkCookie::value() const
    {40, 1164, 365, 1, 0, 0, 20},	//1106 QNetworkCookie::setValue(const QByteArray&)
    {40, 1203, 1107, 1, Smoke::mf_const, 14, 21},	//1107 QNetworkCookie::toRawForm(QNetworkCookie::RawForm) const
    {40, 698, 365, 1, Smoke::mf_static, 103, 22},	//1108 QNetworkCookie::parseCookies(const QByteArray&)
    {40, 207, 0, 0, Smoke::mf_ctor, 128, 23},	//1109 QNetworkCookie::QNetworkCookie()
    {40, 207, 365, 1, Smoke::mf_ctor, 128, 24},	//1110 QNetworkCookie::QNetworkCookie(const QByteArray&)
    {40, 1203, 0, 0, Smoke::mf_const, 14, 25},	//1111 QNetworkCookie::toRawForm() const
    {40, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 26},	//1112 QNetworkCookie::NameAndValueOnly (enum)
    {40, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 27},	//1113 QNetworkCookie::Full (enum)
    {40, 1260, 0, 0, Smoke::mf_dtor, 0, 28 },	//1114 QNetworkCookie::~QNetworkCookie()
    {41, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 344, 1},	//1115 QNetworkCookieJar::metaObject() const
    {41, 896, 1, 1, Smoke::mf_virtual, 412, 2},	//1116 QNetworkCookieJar::qt_metacast(const char*)
    {41, 1206, 3, 2, Smoke::mf_static, 188, 3},	//1117 QNetworkCookieJar::tr(const char*, const char*)
    {41, 1210, 3, 2, Smoke::mf_static, 188, 4},	//1118 QNetworkCookieJar::trUtf8(const char*, const char*)
    {41, 1206, 6, 3, Smoke::mf_static, 188, 5},	//1119 QNetworkCookieJar::tr(const char*, const char*, int)
    {41, 1210, 6, 3, Smoke::mf_static, 188, 6},	//1120 QNetworkCookieJar::trUtf8(const char*, const char*, int)
    {41, 894, 10, 3, Smoke::mf_virtual, 393, 7},	//1121 QNetworkCookieJar::qt_metacall(QMetaObject::Call, int, void**)
    {41, 210, 20, 1, Smoke::mf_ctor, 130, 8},	//1122 QNetworkCookieJar::QNetworkCookieJar(QObject*)
    {41, 440, 14, 1, Smoke::mf_const|Smoke::mf_virtual, 103, 9},	//1123 QNetworkCookieJar::cookiesForUrl(const QUrl&) const
    {41, 1001, 1109, 2, Smoke::mf_virtual, 310, 10},	//1124 QNetworkCookieJar::setCookiesFromUrl(const QList<QNetworkCookie>&, const QUrl&)
    {41, 376, 0, 0, Smoke::mf_const|Smoke::mf_protected, 103, 11},	//1125 QNetworkCookieJar::allCookies() const
    {41, 972, 1112, 1, Smoke::mf_protected, 0, 12},	//1126 QNetworkCookieJar::setAllCookies(const QList<QNetworkCookie>&)
    {41, 1206, 1, 1, Smoke::mf_static, 188, 13},	//1127 QNetworkCookieJar::tr(const char*)
    {41, 1210, 1, 1, Smoke::mf_static, 188, 14},	//1128 QNetworkCookieJar::trUtf8(const char*)
    {41, 210, 0, 0, Smoke::mf_ctor, 130, 15},	//1129 QNetworkCookieJar::QNetworkCookieJar()
    {41, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 343, 16},	//1130 QNetworkCookieJar::staticMetaObject() const
    {41, 1261, 0, 0, Smoke::mf_dtor, 0, 17 },	//1131 QNetworkCookieJar::~QNetworkCookieJar()
    {42, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 344, 1},	//1132 QNetworkDiskCache::metaObject() const
    {42, 896, 1, 1, Smoke::mf_virtual, 412, 2},	//1133 QNetworkDiskCache::qt_metacast(const char*)
    {42, 1206, 3, 2, Smoke::mf_static, 188, 3},	//1134 QNetworkDiskCache::tr(const char*, const char*)
    {42, 1210, 3, 2, Smoke::mf_static, 188, 4},	//1135 QNetworkDiskCache::trUtf8(const char*, const char*)
    {42, 1206, 6, 3, Smoke::mf_static, 188, 5},	//1136 QNetworkDiskCache::tr(const char*, const char*, int)
    {42, 1210, 6, 3, Smoke::mf_static, 188, 6},	//1137 QNetworkDiskCache::trUtf8(const char*, const char*, int)
    {42, 894, 10, 3, Smoke::mf_virtual, 393, 7},	//1138 QNetworkDiskCache::qt_metacall(QMetaObject::Call, int, void**)
    {42, 212, 20, 1, Smoke::mf_ctor, 131, 8},	//1139 QNetworkDiskCache::QNetworkDiskCache(QObject*)
    {42, 401, 0, 0, Smoke::mf_const, 188, 9},	//1140 QNetworkDiskCache::cacheDirectory() const
    {42, 988, 69, 1, 0, 0, 10},	//1141 QNetworkDiskCache::setCacheDirectory(const QString&)
    {42, 609, 0, 0, Smoke::mf_const, 395, 11},	//1142 QNetworkDiskCache::maximumCacheSize() const
    {42, 1052, 33, 1, 0, 0, 12},	//1143 QNetworkDiskCache::setMaximumCacheSize(long long)
    {42, 402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 395, 13},	//1144 QNetworkDiskCache::cacheSize() const
    {42, 610, 14, 1, Smoke::mf_virtual, 124, 14},	//1145 QNetworkDiskCache::metaData(const QUrl&)
    {42, 1215, 16, 1, Smoke::mf_virtual, 0, 15},	//1146 QNetworkDiskCache::updateMetaData(const QNetworkCacheMetaData&)
    {42, 452, 14, 1, Smoke::mf_virtual, 90, 16},	//1147 QNetworkDiskCache::data(const QUrl&)
    {42, 934, 14, 1, Smoke::mf_virtual, 310, 17},	//1148 QNetworkDiskCache::remove(const QUrl&)
    {42, 725, 16, 1, Smoke::mf_virtual, 90, 18},	//1149 QNetworkDiskCache::prepare(const QNetworkCacheMetaData&)
    {42, 548, 18, 1, Smoke::mf_virtual, 0, 19},	//1150 QNetworkDiskCache::insert(QIODevice*)
    {42, 495, 69, 1, Smoke::mf_const, 124, 20},	//1151 QNetworkDiskCache::fileMetaData(const QString&) const
    {42, 410, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//1152 QNetworkDiskCache::clear()
    {42, 493, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 395, 22},	//1153 QNetworkDiskCache::expire()
    {42, 1206, 1, 1, Smoke::mf_static, 188, 23},	//1154 QNetworkDiskCache::tr(const char*)
    {42, 1210, 1, 1, Smoke::mf_static, 188, 24},	//1155 QNetworkDiskCache::trUtf8(const char*)
    {42, 212, 0, 0, Smoke::mf_ctor, 131, 25},	//1156 QNetworkDiskCache::QNetworkDiskCache()
    {42, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 343, 26},	//1157 QNetworkDiskCache::staticMetaObject() const
    {42, 1262, 0, 0, Smoke::mf_dtor, 0, 27 },	//1158 QNetworkDiskCache::~QNetworkDiskCache()
    {43, 214, 0, 0, Smoke::mf_ctor, 134, 1},	//1159 QNetworkInterface::QNetworkInterface()
    {43, 214, 1114, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 134, 2},	//1160 QNetworkInterface::QNetworkInterface(const QNetworkInterface&)
    {43, 663, 1114, 1, 0, 133, 3},	//1161 QNetworkInterface::operator=(const QNetworkInterface&)
    {43, 574, 0, 0, Smoke::mf_const, 310, 4},	//1162 QNetworkInterface::isValid() const
    {43, 547, 0, 0, Smoke::mf_const, 393, 5},	//1163 QNetworkInterface::index() const
    {43, 621, 0, 0, Smoke::mf_const, 188, 6},	//1164 QNetworkInterface::name() const
    {43, 541, 0, 0, Smoke::mf_const, 188, 7},	//1165 QNetworkInterface::humanReadableName() const
    {43, 499, 0, 0, Smoke::mf_const, 40, 8},	//1166 QNetworkInterface::flags() const
    {43, 523, 0, 0, Smoke::mf_const, 188, 9},	//1167 QNetworkInterface::hardwareAddress() const
    {43, 372, 0, 0, Smoke::mf_const, 102, 10},	//1168 QNetworkInterface::addressEntries() const
    {43, 552, 69, 1, Smoke::mf_static, 132, 11},	//1169 QNetworkInterface::interfaceFromName(const QString&)
    {43, 550, 44, 1, Smoke::mf_static, 132, 12},	//1170 QNetworkInterface::interfaceFromIndex(int)
    {43, 377, 0, 0, Smoke::mf_static, 104, 13},	//1171 QNetworkInterface::allInterfaces()
    {43, 375, 0, 0, Smoke::mf_static, 101, 14},	//1172 QNetworkInterface::allAddresses()
    {43, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 15},	//1173 QNetworkInterface::IsUp (enum)
    {43, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 16},	//1174 QNetworkInterface::IsRunning (enum)
    {43, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 17},	//1175 QNetworkInterface::CanBroadcast (enum)
    {43, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 18},	//1176 QNetworkInterface::IsLoopBack (enum)
    {43, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 19},	//1177 QNetworkInterface::IsPointToPoint (enum)
    {43, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 20},	//1178 QNetworkInterface::CanMulticast (enum)
    {43, 1263, 0, 0, Smoke::mf_dtor, 0, 21 },	//1179 QNetworkInterface::~QNetworkInterface()
    {44, 216, 0, 0, Smoke::mf_ctor, 138, 1},	//1180 QNetworkProxy::QNetworkProxy()
    {44, 216, 1116, 5, Smoke::mf_ctor, 138, 2},	//1181 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&, const QString&)
    {44, 216, 46, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 138, 3},	//1182 QNetworkProxy::QNetworkProxy(const QNetworkProxy&)
    {44, 663, 46, 1, 0, 137, 4},	//1183 QNetworkProxy::operator=(const QNetworkProxy&)
    {44, 666, 46, 1, Smoke::mf_const, 310, 5},	//1184 QNetworkProxy::operator==(const QNetworkProxy&) const
    {44, 627, 46, 1, Smoke::mf_const, 310, 6},	//1185 QNetworkProxy::operator!=(const QNetworkProxy&) const
    {44, 1153, 1122, 1, 0, 0, 7},	//1186 QNetworkProxy::setType(QNetworkProxy::ProxyType)
    {44, 1214, 0, 0, Smoke::mf_const, 140, 8},	//1187 QNetworkProxy::type() const
    {44, 990, 1124, 1, 0, 0, 9},	//1188 QNetworkProxy::setCapabilities(QFlags<QNetworkProxy::Capability>)
    {44, 404, 0, 0, Smoke::mf_const, 41, 10},	//1189 QNetworkProxy::capabilities() const
    {44, 555, 0, 0, Smoke::mf_const, 310, 11},	//1190 QNetworkProxy::isCachingProxy() const
    {44, 573, 0, 0, Smoke::mf_const, 310, 12},	//1191 QNetworkProxy::isTransparentProxy() const
    {44, 1159, 69, 1, 0, 0, 13},	//1192 QNetworkProxy::setUser(const QString&)
    {44, 1221, 0, 0, Smoke::mf_const, 188, 14},	//1193 QNetworkProxy::user() const
    {44, 1065, 69, 1, 0, 0, 15},	//1194 QNetworkProxy::setPassword(const QString&)
    {44, 704, 0, 0, Smoke::mf_const, 188, 16},	//1195 QNetworkProxy::password() const
    {44, 1030, 69, 1, 0, 0, 17},	//1196 QNetworkProxy::setHostName(const QString&)
    {44, 540, 0, 0, Smoke::mf_const, 188, 18},	//1197 QNetworkProxy::hostName() const
    {44, 1083, 65, 1, 0, 0, 19},	//1198 QNetworkProxy::setPort(unsigned short)
    {44, 718, 0, 0, Smoke::mf_const, 407, 20},	//1199 QNetworkProxy::port() const
    {44, 974, 46, 1, Smoke::mf_static, 0, 21},	//1200 QNetworkProxy::setApplicationProxy(const QNetworkProxy&)
    {44, 381, 0, 0, Smoke::mf_static, 136, 22},	//1201 QNetworkProxy::applicationProxy()
    {44, 216, 1122, 1, Smoke::mf_ctor, 138, 23},	//1202 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType)
    {44, 216, 1126, 2, Smoke::mf_ctor, 138, 24},	//1203 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&)
    {44, 216, 1129, 3, Smoke::mf_ctor, 138, 25},	//1204 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short)
    {44, 216, 1133, 4, Smoke::mf_ctor, 138, 26},	//1205 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&)
    {44, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 27},	//1206 QNetworkProxy::DefaultProxy (enum)
    {44, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 28},	//1207 QNetworkProxy::Socks5Proxy (enum)
    {44, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 29},	//1208 QNetworkProxy::NoProxy (enum)
    {44, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 30},	//1209 QNetworkProxy::HttpProxy (enum)
    {44, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 31},	//1210 QNetworkProxy::HttpCachingProxy (enum)
    {44, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 32},	//1211 QNetworkProxy::FtpCachingProxy (enum)
    {44, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 33},	//1212 QNetworkProxy::TunnelingCapability (enum)
    {44, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 34},	//1213 QNetworkProxy::ListeningCapability (enum)
    {44, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 35},	//1214 QNetworkProxy::UdpTunnelingCapability (enum)
    {44, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 36},	//1215 QNetworkProxy::CachingCapability (enum)
    {44, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 37},	//1216 QNetworkProxy::HostNameLookupCapability (enum)
    {44, 1264, 0, 0, Smoke::mf_dtor, 0, 38 },	//1217 QNetworkProxy::~QNetworkProxy()
    {45, 223, 0, 0, Smoke::mf_ctor, 141, 1},	//1218 QNetworkProxyFactory::QNetworkProxyFactory()
    {45, 903, 1138, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 105, 2},	//1219 QNetworkProxyFactory::queryProxy(const QNetworkProxyQuery&) [pure virtual]
    {45, 1157, 113, 1, Smoke::mf_static, 0, 3},	//1220 QNetworkProxyFactory::setUseSystemConfiguration(bool)
    {45, 976, 1068, 1, Smoke::mf_static, 0, 4},	//1221 QNetworkProxyFactory::setApplicationProxyFactory(QNetworkProxyFactory*)
    {45, 735, 1138, 1, Smoke::mf_static, 105, 5},	//1222 QNetworkProxyFactory::proxyForQuery(const QNetworkProxyQuery&)
    {45, 1194, 1138, 1, Smoke::mf_static, 105, 6},	//1223 QNetworkProxyFactory::systemProxyForQuery(const QNetworkProxyQuery&)
    {45, 223, 1140, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 141, 7},	//1224 QNetworkProxyFactory::QNetworkProxyFactory(const QNetworkProxyFactory&)
    {45, 903, 0, 0, 0, 105, 8},	//1225 QNetworkProxyFactory::queryProxy()
    {45, 1194, 0, 0, Smoke::mf_static, 105, 9},	//1226 QNetworkProxyFactory::systemProxyForQuery()
    {45, 1265, 0, 0, Smoke::mf_dtor, 0, 10 },	//1227 QNetworkProxyFactory::~QNetworkProxyFactory()
    {46, 225, 0, 0, Smoke::mf_ctor, 143, 1},	//1228 QNetworkProxyQuery::QNetworkProxyQuery()
    {46, 225, 1142, 2, Smoke::mf_ctor, 143, 2},	//1229 QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&, QNetworkProxyQuery::QueryType)
    {46, 225, 1145, 4, Smoke::mf_ctor, 143, 3},	//1230 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&, QNetworkProxyQuery::QueryType)
    {46, 225, 1150, 3, Smoke::mf_ctor, 143, 4},	//1231 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    {46, 225, 1138, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 143, 5},	//1232 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkProxyQuery&)
    {46, 663, 1138, 1, 0, 142, 6},	//1233 QNetworkProxyQuery::operator=(const QNetworkProxyQuery&)
    {46, 666, 1138, 1, Smoke::mf_const, 310, 7},	//1234 QNetworkProxyQuery::operator==(const QNetworkProxyQuery&) const
    {46, 627, 1138, 1, Smoke::mf_const, 310, 8},	//1235 QNetworkProxyQuery::operator!=(const QNetworkProxyQuery&) const
    {46, 905, 0, 0, Smoke::mf_const, 144, 9},	//1236 QNetworkProxyQuery::queryType() const
    {46, 1104, 1154, 1, 0, 0, 10},	//1237 QNetworkProxyQuery::setQueryType(QNetworkProxyQuery::QueryType)
    {46, 711, 0, 0, Smoke::mf_const, 393, 11},	//1238 QNetworkProxyQuery::peerPort() const
    {46, 1075, 44, 1, 0, 0, 12},	//1239 QNetworkProxyQuery::setPeerPort(int)
    {46, 709, 0, 0, Smoke::mf_const, 188, 13},	//1240 QNetworkProxyQuery::peerHostName() const
    {46, 1071, 69, 1, 0, 0, 14},	//1241 QNetworkProxyQuery::setPeerHostName(const QString&)
    {46, 599, 0, 0, Smoke::mf_const, 393, 15},	//1242 QNetworkProxyQuery::localPort() const
    {46, 1046, 44, 1, 0, 0, 16},	//1243 QNetworkProxyQuery::setLocalPort(int)
    {46, 730, 0, 0, Smoke::mf_const, 188, 17},	//1244 QNetworkProxyQuery::protocolTag() const
    {46, 1095, 69, 1, 0, 0, 18},	//1245 QNetworkProxyQuery::setProtocolTag(const QString&)
    {46, 1219, 0, 0, Smoke::mf_const, 206, 19},	//1246 QNetworkProxyQuery::url() const
    {46, 1155, 14, 1, 0, 0, 20},	//1247 QNetworkProxyQuery::setUrl(const QUrl&)
    {46, 225, 14, 1, Smoke::mf_ctor, 143, 21},	//1248 QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&)
    {46, 225, 1010, 2, Smoke::mf_ctor, 143, 22},	//1249 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int)
    {46, 225, 1013, 3, Smoke::mf_ctor, 143, 23},	//1250 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&)
    {46, 225, 65, 1, Smoke::mf_ctor, 143, 24},	//1251 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short)
    {46, 225, 1156, 2, Smoke::mf_ctor, 143, 25},	//1252 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&)
    {46, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 26},	//1253 QNetworkProxyQuery::TcpSocket (enum)
    {46, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 27},	//1254 QNetworkProxyQuery::UdpSocket (enum)
    {46, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 28},	//1255 QNetworkProxyQuery::TcpServer (enum)
    {46, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 29},	//1256 QNetworkProxyQuery::UrlRequest (enum)
    {46, 1266, 0, 0, Smoke::mf_dtor, 0, 30 },	//1257 QNetworkProxyQuery::~QNetworkProxyQuery()
    {47, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 344, 1},	//1258 QNetworkReply::metaObject() const
    {47, 896, 1, 1, Smoke::mf_virtual, 412, 2},	//1259 QNetworkReply::qt_metacast(const char*)
    {47, 1206, 3, 2, Smoke::mf_static, 188, 3},	//1260 QNetworkReply::tr(const char*, const char*)
    {47, 1210, 3, 2, Smoke::mf_static, 188, 4},	//1261 QNetworkReply::trUtf8(const char*, const char*)
    {47, 1206, 6, 3, Smoke::mf_static, 188, 5},	//1262 QNetworkReply::tr(const char*, const char*, int)
    {47, 1210, 6, 3, Smoke::mf_static, 188, 6},	//1263 QNetworkReply::trUtf8(const char*, const char*, int)
    {47, 894, 10, 3, Smoke::mf_virtual, 393, 7},	//1264 QNetworkReply::qt_metacall(QMetaObject::Call, int, void**)
    {47, 353, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//1265 QNetworkReply::abort() [pure virtual]
    {47, 413, 0, 0, Smoke::mf_virtual, 0, 9},	//1266 QNetworkReply::close()
    {47, 570, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 310, 10},	//1267 QNetworkReply::isSequential() const
    {47, 921, 0, 0, Smoke::mf_const, 395, 11},	//1268 QNetworkReply::readBufferSize() const
    {47, 1110, 33, 1, Smoke::mf_virtual, 0, 12},	//1269 QNetworkReply::setReadBufferSize(long long)
    {47, 607, 0, 0, Smoke::mf_const, 120, 13},	//1270 QNetworkReply::manager() const
    {47, 626, 0, 0, Smoke::mf_const, 121, 14},	//1271 QNetworkReply::operation() const
    {47, 945, 0, 0, Smoke::mf_const, 147, 15},	//1272 QNetworkReply::request() const
    {47, 487, 0, 0, Smoke::mf_const, 146, 16},	//1273 QNetworkReply::error() const
    {47, 560, 0, 0, Smoke::mf_const, 310, 17},	//1274 QNetworkReply::isFinished() const
    {47, 568, 0, 0, Smoke::mf_const, 310, 18},	//1275 QNetworkReply::isRunning() const
    {47, 1219, 0, 0, Smoke::mf_const, 206, 19},	//1276 QNetworkReply::url() const
    {47, 537, 1159, 1, Smoke::mf_const, 213, 20},	//1277 QNetworkReply::header(QNetworkRequest::KnownHeaders) const
    {47, 532, 365, 1, Smoke::mf_const, 310, 21},	//1278 QNetworkReply::hasRawHeader(const QByteArray&) const
    {47, 916, 0, 0, Smoke::mf_const, 100, 22},	//1279 QNetworkReply::rawHeaderList() const
    {47, 914, 365, 1, Smoke::mf_const, 14, 23},	//1280 QNetworkReply::rawHeader(const QByteArray&) const
    {47, 383, 1161, 1, Smoke::mf_const, 213, 24},	//1281 QNetworkReply::attribute(QNetworkRequest::Attribute) const
    {47, 1176, 0, 0, Smoke::mf_const, 176, 25},	//1282 QNetworkReply::sslConfiguration() const
    {47, 1142, 1163, 1, 0, 0, 26},	//1283 QNetworkReply::setSslConfiguration(const QSslConfiguration&)
    {47, 542, 1005, 1, 0, 0, 27},	//1284 QNetworkReply::ignoreSslErrors(const QList<QSslError>&)
    {47, 542, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1285 QNetworkReply::ignoreSslErrors()
    {47, 612, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1286 QNetworkReply::metaDataChanged()
    {47, 497, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1287 QNetworkReply::finished()
    {47, 487, 1165, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1288 QNetworkReply::error(QNetworkReply::NetworkError)
    {47, 1177, 1005, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1289 QNetworkReply::sslErrors(const QList<QSslError>&)
    {47, 1217, 104, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1290 QNetworkReply::uploadProgress(qint64, qint64)
    {47, 476, 104, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1291 QNetworkReply::downloadProgress(qint64, qint64)
    {47, 232, 20, 1, Smoke::mf_ctor|Smoke::mf_protected, 145, 35},	//1292 QNetworkReply::QNetworkReply(QObject*)
    {47, 1239, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 395, 36},	//1293 QNetworkReply::writeData(const char*, long long)
    {47, 1059, 1167, 1, Smoke::mf_protected, 0, 37},	//1294 QNetworkReply::setOperation(QNetworkAccessManager::Operation)
    {47, 1114, 1074, 1, Smoke::mf_protected, 0, 38},	//1295 QNetworkReply::setRequest(const QNetworkRequest&)
    {47, 1013, 1169, 2, Smoke::mf_protected, 0, 39},	//1296 QNetworkReply::setError(QNetworkReply::NetworkError, const QString&)
    {47, 1155, 14, 1, Smoke::mf_protected, 0, 40},	//1297 QNetworkReply::setUrl(const QUrl&)
    {47, 1024, 1172, 2, Smoke::mf_protected, 0, 41},	//1298 QNetworkReply::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {47, 1106, 353, 2, Smoke::mf_protected, 0, 42},	//1299 QNetworkReply::setRawHeader(const QByteArray&, const QByteArray&)
    {47, 978, 1175, 2, Smoke::mf_protected, 0, 43},	//1300 QNetworkReply::setAttribute(QNetworkRequest::Attribute, const QVariant&)
    {47, 1206, 1, 1, Smoke::mf_static, 188, 44},	//1301 QNetworkReply::tr(const char*)
    {47, 1210, 1, 1, Smoke::mf_static, 188, 45},	//1302 QNetworkReply::trUtf8(const char*)
    {47, 232, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 145, 46},	//1303 QNetworkReply::QNetworkReply()
    {47, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 343, 47},	//1304 QNetworkReply::staticMetaObject() const
    {47, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 48},	//1305 QNetworkReply::NoError (enum)
    {47, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 49},	//1306 QNetworkReply::ConnectionRefusedError (enum)
    {47, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 50},	//1307 QNetworkReply::RemoteHostClosedError (enum)
    {47, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 51},	//1308 QNetworkReply::HostNotFoundError (enum)
    {47, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 52},	//1309 QNetworkReply::TimeoutError (enum)
    {47, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 53},	//1310 QNetworkReply::OperationCanceledError (enum)
    {47, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 54},	//1311 QNetworkReply::SslHandshakeFailedError (enum)
    {47, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 55},	//1312 QNetworkReply::UnknownNetworkError (enum)
    {47, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 56},	//1313 QNetworkReply::ProxyConnectionRefusedError (enum)
    {47, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 57},	//1314 QNetworkReply::ProxyConnectionClosedError (enum)
    {47, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 58},	//1315 QNetworkReply::ProxyNotFoundError (enum)
    {47, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 59},	//1316 QNetworkReply::ProxyTimeoutError (enum)
    {47, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 60},	//1317 QNetworkReply::ProxyAuthenticationRequiredError (enum)
    {47, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 61},	//1318 QNetworkReply::UnknownProxyError (enum)
    {47, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 62},	//1319 QNetworkReply::ContentAccessDenied (enum)
    {47, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 63},	//1320 QNetworkReply::ContentOperationNotPermittedError (enum)
    {47, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 64},	//1321 QNetworkReply::ContentNotFoundError (enum)
    {47, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 65},	//1322 QNetworkReply::AuthenticationRequiredError (enum)
    {47, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 66},	//1323 QNetworkReply::ContentReSendError (enum)
    {47, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 67},	//1324 QNetworkReply::UnknownContentError (enum)
    {47, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 68},	//1325 QNetworkReply::ProtocolUnknownError (enum)
    {47, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 69},	//1326 QNetworkReply::ProtocolInvalidOperationError (enum)
    {47, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 70},	//1327 QNetworkReply::ProtocolFailure (enum)
    {47, 1267, 0, 0, Smoke::mf_dtor, 0, 71 },	//1328 QNetworkReply::~QNetworkReply()
    {48, 234, 14, 1, Smoke::mf_ctor, 149, 1},	//1329 QNetworkRequest::QNetworkRequest(const QUrl&)
    {48, 234, 1074, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 149, 2},	//1330 QNetworkRequest::QNetworkRequest(const QNetworkRequest&)
    {48, 663, 1074, 1, 0, 148, 3},	//1331 QNetworkRequest::operator=(const QNetworkRequest&)
    {48, 666, 1074, 1, Smoke::mf_const, 310, 4},	//1332 QNetworkRequest::operator==(const QNetworkRequest&) const
    {48, 627, 1074, 1, Smoke::mf_const, 310, 5},	//1333 QNetworkRequest::operator!=(const QNetworkRequest&) const
    {48, 1219, 0, 0, Smoke::mf_const, 206, 6},	//1334 QNetworkRequest::url() const
    {48, 1155, 14, 1, 0, 0, 7},	//1335 QNetworkRequest::setUrl(const QUrl&)
    {48, 537, 1159, 1, Smoke::mf_const, 213, 8},	//1336 QNetworkRequest::header(QNetworkRequest::KnownHeaders) const
    {48, 1024, 1172, 2, 0, 0, 9},	//1337 QNetworkRequest::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {48, 532, 365, 1, Smoke::mf_const, 310, 10},	//1338 QNetworkRequest::hasRawHeader(const QByteArray&) const
    {48, 916, 0, 0, Smoke::mf_const, 100, 11},	//1339 QNetworkRequest::rawHeaderList() const
    {48, 914, 365, 1, Smoke::mf_const, 14, 12},	//1340 QNetworkRequest::rawHeader(const QByteArray&) const
    {48, 1106, 353, 2, 0, 0, 13},	//1341 QNetworkRequest::setRawHeader(const QByteArray&, const QByteArray&)
    {48, 383, 1175, 2, Smoke::mf_const, 213, 14},	//1342 QNetworkRequest::attribute(QNetworkRequest::Attribute, const QVariant&) const
    {48, 978, 1175, 2, 0, 0, 15},	//1343 QNetworkRequest::setAttribute(QNetworkRequest::Attribute, const QVariant&)
    {48, 1176, 0, 0, Smoke::mf_const, 176, 16},	//1344 QNetworkRequest::sslConfiguration() const
    {48, 1142, 1163, 1, 0, 0, 17},	//1345 QNetworkRequest::setSslConfiguration(const QSslConfiguration&)
    {48, 1061, 20, 1, 0, 0, 18},	//1346 QNetworkRequest::setOriginatingObject(QObject*)
    {48, 694, 0, 0, Smoke::mf_const, 153, 19},	//1347 QNetworkRequest::originatingObject() const
    {48, 234, 0, 0, Smoke::mf_ctor, 149, 20},	//1348 QNetworkRequest::QNetworkRequest()
    {48, 383, 1161, 1, Smoke::mf_const, 213, 21},	//1349 QNetworkRequest::attribute(QNetworkRequest::Attribute) const
    {48, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 22},	//1350 QNetworkRequest::ContentTypeHeader (enum)
    {48, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 23},	//1351 QNetworkRequest::ContentLengthHeader (enum)
    {48, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 24},	//1352 QNetworkRequest::LocationHeader (enum)
    {48, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 25},	//1353 QNetworkRequest::LastModifiedHeader (enum)
    {48, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 26},	//1354 QNetworkRequest::CookieHeader (enum)
    {48, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 27},	//1355 QNetworkRequest::SetCookieHeader (enum)
    {48, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 28},	//1356 QNetworkRequest::HttpStatusCodeAttribute (enum)
    {48, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 29},	//1357 QNetworkRequest::HttpReasonPhraseAttribute (enum)
    {48, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 30},	//1358 QNetworkRequest::RedirectionTargetAttribute (enum)
    {48, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 31},	//1359 QNetworkRequest::ConnectionEncryptedAttribute (enum)
    {48, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 32},	//1360 QNetworkRequest::CacheLoadControlAttribute (enum)
    {48, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 33},	//1361 QNetworkRequest::CacheSaveControlAttribute (enum)
    {48, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 34},	//1362 QNetworkRequest::SourceIsFromCacheAttribute (enum)
    {48, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 35},	//1363 QNetworkRequest::DoNotBufferUploadDataAttribute (enum)
    {48, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 36},	//1364 QNetworkRequest::HttpPipeliningAllowedAttribute (enum)
    {48, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 37},	//1365 QNetworkRequest::HttpPipeliningWasUsedAttribute (enum)
    {48, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 38},	//1366 QNetworkRequest::User (enum)
    {48, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 39},	//1367 QNetworkRequest::UserMax (enum)
    {48, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 40},	//1368 QNetworkRequest::AlwaysNetwork (enum)
    {48, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 41},	//1369 QNetworkRequest::PreferNetwork (enum)
    {48, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 42},	//1370 QNetworkRequest::PreferCache (enum)
    {48, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 43},	//1371 QNetworkRequest::AlwaysCache (enum)
    {48, 1268, 0, 0, Smoke::mf_dtor, 0, 44 },	//1372 QNetworkRequest::~QNetworkRequest()
    {49, 490, 1178, 1, Smoke::mf_virtual, 310, 0},	//1373 QObject::event(QEvent*)
    {49, 491, 1180, 2, Smoke::mf_virtual, 310, 0},	//1374 QObject::eventFilter(QObject*, QEvent*)
    {49, 1196, 1183, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1375 QObject::timerEvent(QTimerEvent*)
    {49, 408, 1185, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1376 QObject::childEvent(QChildEvent*)
    {49, 451, 1178, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1377 QObject::customEvent(QEvent*)
    {49, 419, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1378 QObject::connectNotify(const char*)
    {49, 471, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1379 QObject::disconnectNotify(const char*)
    {58, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 1},	//1380 QSsl::Rsa (enum)
    {58, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 2},	//1381 QSsl::Dsa (enum)
    {58, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 3},	//1382 QSsl::Pem (enum)
    {58, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 4},	//1383 QSsl::Der (enum)
    {58, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 5},	//1384 QSsl::SslV3 (enum)
    {58, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 6},	//1385 QSsl::SslV2 (enum)
    {58, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 7},	//1386 QSsl::TlsV1 (enum)
    {58, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 8},	//1387 QSsl::AnyProtocol (enum)
    {58, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 9},	//1388 QSsl::UnknownProtocol (enum)
    {58, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 10},	//1389 QSsl::EmailEntry (enum)
    {58, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 11},	//1390 QSsl::DnsEntry (enum)
    {58, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 12},	//1391 QSsl::PrivateKey (enum)
    {58, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 13},	//1392 QSsl::PublicKey (enum)
    {59, 236, 1187, 2, Smoke::mf_ctor, 171, 1},	//1393 QSslCertificate::QSslCertificate(QIODevice*, QSsl::EncodingFormat)
    {59, 236, 1190, 2, Smoke::mf_ctor, 171, 2},	//1394 QSslCertificate::QSslCertificate(const QByteArray&, QSsl::EncodingFormat)
    {59, 236, 1193, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 171, 3},	//1395 QSslCertificate::QSslCertificate(const QSslCertificate&)
    {59, 663, 1193, 1, 0, 170, 4},	//1396 QSslCertificate::operator=(const QSslCertificate&)
    {59, 666, 1193, 1, Smoke::mf_const, 310, 5},	//1397 QSslCertificate::operator==(const QSslCertificate&) const
    {59, 627, 1193, 1, Smoke::mf_const, 310, 6},	//1398 QSslCertificate::operator!=(const QSslCertificate&) const
    {59, 566, 0, 0, Smoke::mf_const, 310, 7},	//1399 QSslCertificate::isNull() const
    {59, 574, 0, 0, Smoke::mf_const, 310, 8},	//1400 QSslCertificate::isValid() const
    {59, 410, 0, 0, 0, 0, 9},	//1401 QSslCertificate::clear()
    {59, 1225, 0, 0, Smoke::mf_const, 14, 10},	//1402 QSslCertificate::version() const
    {59, 961, 0, 0, Smoke::mf_const, 14, 11},	//1403 QSslCertificate::serialNumber() const
    {59, 466, 1195, 1, Smoke::mf_const, 14, 12},	//1404 QSslCertificate::digest(QCryptographicHash::Algorithm) const
    {59, 576, 1197, 1, Smoke::mf_const, 188, 13},	//1405 QSslCertificate::issuerInfo(QSslCertificate::SubjectInfo) const
    {59, 576, 365, 1, Smoke::mf_const, 188, 14},	//1406 QSslCertificate::issuerInfo(const QByteArray&) const
    {59, 1187, 1197, 1, Smoke::mf_const, 188, 15},	//1407 QSslCertificate::subjectInfo(QSslCertificate::SubjectInfo) const
    {59, 1187, 365, 1, Smoke::mf_const, 188, 16},	//1408 QSslCertificate::subjectInfo(const QByteArray&) const
    {59, 380, 0, 0, Smoke::mf_const, 119, 17},	//1409 QSslCertificate::alternateSubjectNames() const
    {59, 478, 0, 0, Smoke::mf_const, 22, 18},	//1410 QSslCertificate::effectiveDate() const
    {59, 494, 0, 0, Smoke::mf_const, 22, 19},	//1411 QSslCertificate::expiryDate() const
    {59, 737, 0, 0, Smoke::mf_const, 182, 20},	//1412 QSslCertificate::publicKey() const
    {59, 1201, 0, 0, Smoke::mf_const, 14, 21},	//1413 QSslCertificate::toPem() const
    {59, 1197, 0, 0, Smoke::mf_const, 14, 22},	//1414 QSslCertificate::toDer() const
    {59, 509, 1199, 3, Smoke::mf_static, 108, 23},	//1415 QSslCertificate::fromPath(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {59, 504, 1187, 2, Smoke::mf_static, 108, 24},	//1416 QSslCertificate::fromDevice(QIODevice*, QSsl::EncodingFormat)
    {59, 501, 1190, 2, Smoke::mf_static, 108, 25},	//1417 QSslCertificate::fromData(const QByteArray&, QSsl::EncodingFormat)
    {59, 522, 0, 0, Smoke::mf_const, 405, 26},	//1418 QSslCertificate::handle() const
    {59, 236, 18, 1, Smoke::mf_ctor, 171, 27},	//1419 QSslCertificate::QSslCertificate(QIODevice*)
    {59, 236, 0, 0, Smoke::mf_ctor, 171, 28},	//1420 QSslCertificate::QSslCertificate()
    {59, 236, 365, 1, Smoke::mf_ctor, 171, 29},	//1421 QSslCertificate::QSslCertificate(const QByteArray&)
    {59, 466, 0, 0, Smoke::mf_const, 14, 30},	//1422 QSslCertificate::digest() const
    {59, 509, 69, 1, Smoke::mf_static, 108, 31},	//1423 QSslCertificate::fromPath(const QString&)
    {59, 509, 1203, 2, Smoke::mf_static, 108, 32},	//1424 QSslCertificate::fromPath(const QString&, QSsl::EncodingFormat)
    {59, 504, 18, 1, Smoke::mf_static, 108, 33},	//1425 QSslCertificate::fromDevice(QIODevice*)
    {59, 501, 365, 1, Smoke::mf_static, 108, 34},	//1426 QSslCertificate::fromData(const QByteArray&)
    {59, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 35},	//1427 QSslCertificate::Organization (enum)
    {59, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 36},	//1428 QSslCertificate::CommonName (enum)
    {59, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 37},	//1429 QSslCertificate::LocalityName (enum)
    {59, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 38},	//1430 QSslCertificate::OrganizationalUnitName (enum)
    {59, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 39},	//1431 QSslCertificate::CountryName (enum)
    {59, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 40},	//1432 QSslCertificate::StateOrProvinceName (enum)
    {59, 1269, 0, 0, Smoke::mf_dtor, 0, 41 },	//1433 QSslCertificate::~QSslCertificate()
    {60, 239, 0, 0, Smoke::mf_ctor, 175, 1},	//1434 QSslCipher::QSslCipher()
    {60, 239, 1206, 2, Smoke::mf_ctor, 175, 2},	//1435 QSslCipher::QSslCipher(const QString&, QSsl::SslProtocol)
    {60, 239, 1209, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 175, 3},	//1436 QSslCipher::QSslCipher(const QSslCipher&)
    {60, 663, 1209, 1, 0, 174, 4},	//1437 QSslCipher::operator=(const QSslCipher&)
    {60, 666, 1209, 1, Smoke::mf_const, 310, 5},	//1438 QSslCipher::operator==(const QSslCipher&) const
    {60, 627, 1209, 1, Smoke::mf_const, 310, 6},	//1439 QSslCipher::operator!=(const QSslCipher&) const
    {60, 566, 0, 0, Smoke::mf_const, 310, 7},	//1440 QSslCipher::isNull() const
    {60, 621, 0, 0, Smoke::mf_const, 188, 8},	//1441 QSslCipher::name() const
    {60, 1190, 0, 0, Smoke::mf_const, 393, 9},	//1442 QSslCipher::supportedBits() const
    {60, 1220, 0, 0, Smoke::mf_const, 393, 10},	//1443 QSslCipher::usedBits() const
    {60, 579, 0, 0, Smoke::mf_const, 188, 11},	//1444 QSslCipher::keyExchangeMethod() const
    {60, 387, 0, 0, Smoke::mf_const, 188, 12},	//1445 QSslCipher::authenticationMethod() const
    {60, 484, 0, 0, Smoke::mf_const, 188, 13},	//1446 QSslCipher::encryptionMethod() const
    {60, 729, 0, 0, Smoke::mf_const, 188, 14},	//1447 QSslCipher::protocolString() const
    {60, 728, 0, 0, Smoke::mf_const, 168, 15},	//1448 QSslCipher::protocol() const
    {60, 1270, 0, 0, Smoke::mf_dtor, 0, 16 },	//1449 QSslCipher::~QSslCipher()
    {61, 242, 0, 0, Smoke::mf_ctor, 178, 1},	//1450 QSslConfiguration::QSslConfiguration()
    {61, 242, 1163, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 178, 2},	//1451 QSslConfiguration::QSslConfiguration(const QSslConfiguration&)
    {61, 663, 1163, 1, 0, 177, 3},	//1452 QSslConfiguration::operator=(const QSslConfiguration&)
    {61, 666, 1163, 1, Smoke::mf_const, 310, 4},	//1453 QSslConfiguration::operator==(const QSslConfiguration&) const
    {61, 627, 1163, 1, Smoke::mf_const, 310, 5},	//1454 QSslConfiguration::operator!=(const QSslConfiguration&) const
    {61, 566, 0, 0, Smoke::mf_const, 310, 6},	//1455 QSslConfiguration::isNull() const
    {61, 728, 0, 0, Smoke::mf_const, 168, 7},	//1456 QSslConfiguration::protocol() const
    {61, 1093, 1211, 1, 0, 0, 8},	//1457 QSslConfiguration::setProtocol(QSsl::SslProtocol)
    {61, 715, 0, 0, Smoke::mf_const, 186, 9},	//1458 QSslConfiguration::peerVerifyMode() const
    {61, 1079, 1213, 1, 0, 0, 10},	//1459 QSslConfiguration::setPeerVerifyMode(QSslSocket::PeerVerifyMode)
    {61, 712, 0, 0, Smoke::mf_const, 393, 11},	//1460 QSslConfiguration::peerVerifyDepth() const
    {61, 1077, 44, 1, 0, 0, 12},	//1461 QSslConfiguration::setPeerVerifyDepth(int)
    {61, 596, 0, 0, Smoke::mf_const, 169, 13},	//1462 QSslConfiguration::localCertificate() const
    {61, 1042, 1193, 1, 0, 0, 14},	//1463 QSslConfiguration::setLocalCertificate(const QSslCertificate&)
    {61, 707, 0, 0, Smoke::mf_const, 169, 15},	//1464 QSslConfiguration::peerCertificate() const
    {61, 708, 0, 0, Smoke::mf_const, 108, 16},	//1465 QSslConfiguration::peerCertificateChain() const
    {61, 966, 0, 0, Smoke::mf_const, 173, 17},	//1466 QSslConfiguration::sessionCipher() const
    {61, 727, 0, 0, Smoke::mf_const, 182, 18},	//1467 QSslConfiguration::privateKey() const
    {61, 1087, 1215, 1, 0, 0, 19},	//1468 QSslConfiguration::setPrivateKey(const QSslKey&)
    {61, 409, 0, 0, Smoke::mf_const, 109, 20},	//1469 QSslConfiguration::ciphers() const
    {61, 992, 1217, 1, 0, 0, 21},	//1470 QSslConfiguration::setCiphers(const QList<QSslCipher>&)
    {61, 399, 0, 0, Smoke::mf_const, 108, 22},	//1471 QSslConfiguration::caCertificates() const
    {61, 984, 1219, 1, 0, 0, 23},	//1472 QSslConfiguration::setCaCertificates(const QList<QSslCertificate>&)
    {61, 462, 0, 0, Smoke::mf_static, 176, 24},	//1473 QSslConfiguration::defaultConfiguration()
    {61, 1007, 1163, 1, Smoke::mf_static, 0, 25},	//1474 QSslConfiguration::setDefaultConfiguration(const QSslConfiguration&)
    {61, 1271, 0, 0, Smoke::mf_dtor, 0, 26 },	//1475 QSslConfiguration::~QSslConfiguration()
    {62, 244, 0, 0, Smoke::mf_ctor, 180, 1},	//1476 QSslError::QSslError()
    {62, 244, 1221, 1, Smoke::mf_ctor, 180, 2},	//1477 QSslError::QSslError(QSslError::SslError)
    {62, 244, 1223, 2, Smoke::mf_ctor, 180, 3},	//1478 QSslError::QSslError(QSslError::SslError, const QSslCertificate&)
    {62, 244, 1226, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 180, 4},	//1479 QSslError::QSslError(const QSslError&)
    {62, 663, 1226, 1, 0, 179, 5},	//1480 QSslError::operator=(const QSslError&)
    {62, 666, 1226, 1, Smoke::mf_const, 310, 6},	//1481 QSslError::operator==(const QSslError&) const
    {62, 627, 1226, 1, Smoke::mf_const, 310, 7},	//1482 QSslError::operator!=(const QSslError&) const
    {62, 487, 0, 0, Smoke::mf_const, 181, 8},	//1483 QSslError::error() const
    {62, 489, 0, 0, Smoke::mf_const, 188, 9},	//1484 QSslError::errorString() const
    {62, 407, 0, 0, Smoke::mf_const, 169, 10},	//1485 QSslError::certificate() const
    {62, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 11},	//1486 QSslError::NoError (enum)
    {62, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 12},	//1487 QSslError::UnableToGetIssuerCertificate (enum)
    {62, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 13},	//1488 QSslError::UnableToDecryptCertificateSignature (enum)
    {62, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 14},	//1489 QSslError::UnableToDecodeIssuerPublicKey (enum)
    {62, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 15},	//1490 QSslError::CertificateSignatureFailed (enum)
    {62, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 16},	//1491 QSslError::CertificateNotYetValid (enum)
    {62, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 17},	//1492 QSslError::CertificateExpired (enum)
    {62, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 18},	//1493 QSslError::InvalidNotBeforeField (enum)
    {62, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 19},	//1494 QSslError::InvalidNotAfterField (enum)
    {62, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 20},	//1495 QSslError::SelfSignedCertificate (enum)
    {62, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 21},	//1496 QSslError::SelfSignedCertificateInChain (enum)
    {62, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 22},	//1497 QSslError::UnableToGetLocalIssuerCertificate (enum)
    {62, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 23},	//1498 QSslError::UnableToVerifyFirstCertificate (enum)
    {62, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 24},	//1499 QSslError::CertificateRevoked (enum)
    {62, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 25},	//1500 QSslError::InvalidCaCertificate (enum)
    {62, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 26},	//1501 QSslError::PathLengthExceeded (enum)
    {62, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 27},	//1502 QSslError::InvalidPurpose (enum)
    {62, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 28},	//1503 QSslError::CertificateUntrusted (enum)
    {62, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 29},	//1504 QSslError::CertificateRejected (enum)
    {62, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 30},	//1505 QSslError::SubjectIssuerMismatch (enum)
    {62, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 31},	//1506 QSslError::AuthorityIssuerSerialNumberMismatch (enum)
    {62, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 32},	//1507 QSslError::NoPeerCertificate (enum)
    {62, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 33},	//1508 QSslError::HostNameMismatch (enum)
    {62, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 34},	//1509 QSslError::NoSslSupport (enum)
    {62, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 35},	//1510 QSslError::UnspecifiedError (enum)
    {62, 1272, 0, 0, Smoke::mf_dtor, 0, 36 },	//1511 QSslError::~QSslError()
    {63, 248, 0, 0, Smoke::mf_ctor, 184, 1},	//1512 QSslKey::QSslKey()
    {63, 248, 1228, 5, Smoke::mf_ctor, 184, 2},	//1513 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    {63, 248, 1234, 5, Smoke::mf_ctor, 184, 3},	//1514 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    {63, 248, 1215, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 184, 4},	//1515 QSslKey::QSslKey(const QSslKey&)
    {63, 663, 1215, 1, 0, 183, 5},	//1516 QSslKey::operator=(const QSslKey&)
    {63, 566, 0, 0, Smoke::mf_const, 310, 6},	//1517 QSslKey::isNull() const
    {63, 410, 0, 0, 0, 0, 7},	//1518 QSslKey::clear()
    {63, 584, 0, 0, Smoke::mf_const, 393, 8},	//1519 QSslKey::length() const
    {63, 1214, 0, 0, Smoke::mf_const, 167, 9},	//1520 QSslKey::type() const
    {63, 374, 0, 0, Smoke::mf_const, 166, 10},	//1521 QSslKey::algorithm() const
    {63, 1201, 365, 1, Smoke::mf_const, 14, 11},	//1522 QSslKey::toPem(const QByteArray&) const
    {63, 1197, 365, 1, Smoke::mf_const, 14, 12},	//1523 QSslKey::toDer(const QByteArray&) const
    {63, 522, 0, 0, Smoke::mf_const, 405, 13},	//1524 QSslKey::handle() const
    {63, 666, 1215, 1, Smoke::mf_const, 310, 14},	//1525 QSslKey::operator==(const QSslKey&) const
    {63, 627, 1215, 1, Smoke::mf_const, 310, 15},	//1526 QSslKey::operator!=(const QSslKey&) const
    {63, 248, 1240, 2, Smoke::mf_ctor, 184, 16},	//1527 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm)
    {63, 248, 1243, 3, Smoke::mf_ctor, 184, 17},	//1528 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {63, 248, 1247, 4, Smoke::mf_ctor, 184, 18},	//1529 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    {63, 248, 1252, 2, Smoke::mf_ctor, 184, 19},	//1530 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm)
    {63, 248, 1255, 3, Smoke::mf_ctor, 184, 20},	//1531 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {63, 248, 1259, 4, Smoke::mf_ctor, 184, 21},	//1532 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    {63, 1201, 0, 0, Smoke::mf_const, 14, 22},	//1533 QSslKey::toPem() const
    {63, 1197, 0, 0, Smoke::mf_const, 14, 23},	//1534 QSslKey::toDer() const
    {63, 1273, 0, 0, Smoke::mf_dtor, 0, 24 },	//1535 QSslKey::~QSslKey()
    {64, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 344, 1},	//1536 QSslSocket::metaObject() const
    {64, 896, 1, 1, Smoke::mf_virtual, 412, 2},	//1537 QSslSocket::qt_metacast(const char*)
    {64, 1206, 3, 2, Smoke::mf_static, 188, 3},	//1538 QSslSocket::tr(const char*, const char*)
    {64, 1210, 3, 2, Smoke::mf_static, 188, 4},	//1539 QSslSocket::trUtf8(const char*, const char*)
    {64, 1206, 6, 3, Smoke::mf_static, 188, 5},	//1540 QSslSocket::tr(const char*, const char*, int)
    {64, 1210, 6, 3, Smoke::mf_static, 188, 6},	//1541 QSslSocket::trUtf8(const char*, const char*, int)
    {64, 894, 10, 3, Smoke::mf_virtual, 393, 7},	//1542 QSslSocket::qt_metacall(QMetaObject::Call, int, void**)
    {64, 254, 20, 1, Smoke::mf_ctor, 185, 8},	//1543 QSslSocket::QSslSocket(QObject*)
    {64, 426, 25, 3, 0, 0, 9},	//1544 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {64, 426, 1264, 4, 0, 0, 10},	//1545 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&, QFlags<QIODevice::OpenModeFlag>)
    {64, 1129, 35, 3, 0, 310, 11},	//1546 QSslSocket::setSocketDescriptor(int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>)
    {64, 1138, 39, 2, 0, 0, 12},	//1547 QSslSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {64, 1173, 42, 1, 0, 213, 13},	//1548 QSslSocket::socketOption(QAbstractSocket::SocketOption)
    {64, 618, 0, 0, Smoke::mf_const, 187, 14},	//1549 QSslSocket::mode() const
    {64, 557, 0, 0, Smoke::mf_const, 310, 15},	//1550 QSslSocket::isEncrypted() const
    {64, 728, 0, 0, Smoke::mf_const, 168, 16},	//1551 QSslSocket::protocol() const
    {64, 1093, 1211, 1, 0, 0, 17},	//1552 QSslSocket::setProtocol(QSsl::SslProtocol)
    {64, 715, 0, 0, Smoke::mf_const, 186, 18},	//1553 QSslSocket::peerVerifyMode() const
    {64, 1079, 1213, 1, 0, 0, 19},	//1554 QSslSocket::setPeerVerifyMode(QSslSocket::PeerVerifyMode)
    {64, 712, 0, 0, Smoke::mf_const, 393, 20},	//1555 QSslSocket::peerVerifyDepth() const
    {64, 1077, 44, 1, 0, 0, 21},	//1556 QSslSocket::setPeerVerifyDepth(int)
    {64, 397, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 395, 22},	//1557 QSslSocket::bytesAvailable() const
    {64, 398, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 395, 23},	//1558 QSslSocket::bytesToWrite() const
    {64, 403, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 310, 24},	//1559 QSslSocket::canReadLine() const
    {64, 413, 0, 0, Smoke::mf_virtual, 0, 25},	//1560 QSslSocket::close()
    {64, 382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 310, 26},	//1561 QSslSocket::atEnd() const
    {64, 500, 0, 0, 0, 310, 27},	//1562 QSslSocket::flush()
    {64, 353, 0, 0, 0, 0, 28},	//1563 QSslSocket::abort()
    {64, 1110, 33, 1, 0, 0, 29},	//1564 QSslSocket::setReadBufferSize(long long)
    {64, 480, 0, 0, Smoke::mf_const, 395, 30},	//1565 QSslSocket::encryptedBytesAvailable() const
    {64, 481, 0, 0, Smoke::mf_const, 395, 31},	//1566 QSslSocket::encryptedBytesToWrite() const
    {64, 1176, 0, 0, Smoke::mf_const, 176, 32},	//1567 QSslSocket::sslConfiguration() const
    {64, 1142, 1163, 1, 0, 0, 33},	//1568 QSslSocket::setSslConfiguration(const QSslConfiguration&)
    {64, 1042, 1193, 1, 0, 0, 34},	//1569 QSslSocket::setLocalCertificate(const QSslCertificate&)
    {64, 1042, 1203, 2, 0, 0, 35},	//1570 QSslSocket::setLocalCertificate(const QString&, QSsl::EncodingFormat)
    {64, 596, 0, 0, Smoke::mf_const, 169, 36},	//1571 QSslSocket::localCertificate() const
    {64, 707, 0, 0, Smoke::mf_const, 169, 37},	//1572 QSslSocket::peerCertificate() const
    {64, 708, 0, 0, Smoke::mf_const, 108, 38},	//1573 QSslSocket::peerCertificateChain() const
    {64, 966, 0, 0, Smoke::mf_const, 173, 39},	//1574 QSslSocket::sessionCipher() const
    {64, 1087, 1215, 1, 0, 0, 40},	//1575 QSslSocket::setPrivateKey(const QSslKey&)
    {64, 1087, 1269, 4, 0, 0, 41},	//1576 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, const QByteArray&)
    {64, 727, 0, 0, Smoke::mf_const, 182, 42},	//1577 QSslSocket::privateKey() const
    {64, 409, 0, 0, Smoke::mf_const, 109, 43},	//1578 QSslSocket::ciphers() const
    {64, 992, 1217, 1, 0, 0, 44},	//1579 QSslSocket::setCiphers(const QList<QSslCipher>&)
    {64, 992, 69, 1, 0, 0, 45},	//1580 QSslSocket::setCiphers(const QString&)
    {64, 1005, 1217, 1, Smoke::mf_static, 0, 46},	//1581 QSslSocket::setDefaultCiphers(const QList<QSslCipher>&)
    {64, 461, 0, 0, Smoke::mf_static, 109, 47},	//1582 QSslSocket::defaultCiphers()
    {64, 1191, 0, 0, Smoke::mf_static, 109, 48},	//1583 QSslSocket::supportedCiphers()
    {64, 358, 1199, 3, 0, 310, 49},	//1584 QSslSocket::addCaCertificates(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {64, 356, 1193, 1, 0, 0, 50},	//1585 QSslSocket::addCaCertificate(const QSslCertificate&)
    {64, 358, 1219, 1, 0, 0, 51},	//1586 QSslSocket::addCaCertificates(const QList<QSslCertificate>&)
    {64, 984, 1219, 1, 0, 0, 52},	//1587 QSslSocket::setCaCertificates(const QList<QSslCertificate>&)
    {64, 399, 0, 0, Smoke::mf_const, 108, 53},	//1588 QSslSocket::caCertificates() const
    {64, 365, 1199, 3, Smoke::mf_static, 310, 54},	//1589 QSslSocket::addDefaultCaCertificates(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {64, 363, 1193, 1, Smoke::mf_static, 0, 55},	//1590 QSslSocket::addDefaultCaCertificate(const QSslCertificate&)
    {64, 365, 1219, 1, Smoke::mf_static, 0, 56},	//1591 QSslSocket::addDefaultCaCertificates(const QList<QSslCertificate>&)
    {64, 1003, 1219, 1, Smoke::mf_static, 0, 57},	//1592 QSslSocket::setDefaultCaCertificates(const QList<QSslCertificate>&)
    {64, 460, 0, 0, Smoke::mf_static, 108, 58},	//1593 QSslSocket::defaultCaCertificates()
    {64, 1193, 0, 0, Smoke::mf_static, 108, 59},	//1594 QSslSocket::systemCaCertificates()
    {64, 1228, 44, 1, 0, 310, 60},	//1595 QSslSocket::waitForConnected(int)
    {64, 1232, 44, 1, 0, 310, 61},	//1596 QSslSocket::waitForEncrypted(int)
    {64, 1237, 44, 1, Smoke::mf_virtual, 310, 62},	//1597 QSslSocket::waitForReadyRead(int)
    {64, 1226, 44, 1, Smoke::mf_virtual, 310, 63},	//1598 QSslSocket::waitForBytesWritten(int)
    {64, 1230, 44, 1, 0, 310, 64},	//1599 QSslSocket::waitForDisconnected(int)
    {64, 1177, 0, 0, Smoke::mf_const, 110, 65},	//1600 QSslSocket::sslErrors() const
    {64, 1192, 0, 0, Smoke::mf_static, 310, 66},	//1601 QSslSocket::supportsSsl()
    {64, 542, 1005, 1, 0, 0, 67},	//1602 QSslSocket::ignoreSslErrors(const QList<QSslError>&)
    {64, 1180, 0, 0, Smoke::mf_slot, 0, 68},	//1603 QSslSocket::startClientEncryption()
    {64, 1181, 0, 0, Smoke::mf_slot, 0, 69},	//1604 QSslSocket::startServerEncryption()
    {64, 542, 0, 0, Smoke::mf_slot, 0, 70},	//1605 QSslSocket::ignoreSslErrors()
    {64, 479, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 71},	//1606 QSslSocket::encrypted()
    {64, 713, 1226, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 72},	//1607 QSslSocket::peerVerifyError(const QSslError&)
    {64, 1177, 1005, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 73},	//1608 QSslSocket::sslErrors(const QList<QSslError>&)
    {64, 619, 1274, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 74},	//1609 QSslSocket::modeChanged(QSslSocket::SslMode)
    {64, 482, 1276, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 75},	//1610 QSslSocket::encryptedBytesWritten(qint64)
    {64, 430, 55, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 76},	//1611 QSslSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {64, 469, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 77},	//1612 QSslSocket::disconnectFromHostImplementation()
    {64, 922, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 395, 78},	//1613 QSslSocket::readData(char*, long long)
    {64, 1239, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 395, 79},	//1614 QSslSocket::writeData(const char*, long long)
    {64, 1206, 1, 1, Smoke::mf_static, 188, 80},	//1615 QSslSocket::tr(const char*)
    {64, 1210, 1, 1, Smoke::mf_static, 188, 81},	//1616 QSslSocket::trUtf8(const char*)
    {64, 254, 0, 0, Smoke::mf_ctor, 185, 82},	//1617 QSslSocket::QSslSocket()
    {64, 426, 71, 2, 0, 0, 83},	//1618 QSslSocket::connectToHostEncrypted(const QString&, unsigned short)
    {64, 426, 1278, 3, 0, 0, 84},	//1619 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&)
    {64, 1129, 44, 1, 0, 310, 85},	//1620 QSslSocket::setSocketDescriptor(int)
    {64, 1129, 77, 2, 0, 310, 86},	//1621 QSslSocket::setSocketDescriptor(int, QAbstractSocket::SocketState)
    {64, 1042, 69, 1, 0, 0, 87},	//1622 QSslSocket::setLocalCertificate(const QString&)
    {64, 1087, 69, 1, 0, 0, 88},	//1623 QSslSocket::setPrivateKey(const QString&)
    {64, 1087, 1282, 2, 0, 0, 89},	//1624 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm)
    {64, 1087, 1285, 3, 0, 0, 90},	//1625 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {64, 358, 69, 1, 0, 310, 91},	//1626 QSslSocket::addCaCertificates(const QString&)
    {64, 358, 1203, 2, 0, 310, 92},	//1627 QSslSocket::addCaCertificates(const QString&, QSsl::EncodingFormat)
    {64, 365, 69, 1, Smoke::mf_static, 310, 93},	//1628 QSslSocket::addDefaultCaCertificates(const QString&)
    {64, 365, 1203, 2, Smoke::mf_static, 310, 94},	//1629 QSslSocket::addDefaultCaCertificates(const QString&, QSsl::EncodingFormat)
    {64, 1228, 0, 0, 0, 310, 95},	//1630 QSslSocket::waitForConnected()
    {64, 1232, 0, 0, 0, 310, 96},	//1631 QSslSocket::waitForEncrypted()
    {64, 1237, 0, 0, 0, 310, 97},	//1632 QSslSocket::waitForReadyRead()
    {64, 1226, 0, 0, 0, 310, 98},	//1633 QSslSocket::waitForBytesWritten()
    {64, 1230, 0, 0, 0, 310, 99},	//1634 QSslSocket::waitForDisconnected()
    {64, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 343, 100},	//1635 QSslSocket::staticMetaObject() const
    {64, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 101},	//1636 QSslSocket::UnencryptedMode (enum)
    {64, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 102},	//1637 QSslSocket::SslClientMode (enum)
    {64, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 103},	//1638 QSslSocket::SslServerMode (enum)
    {64, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 104},	//1639 QSslSocket::VerifyNone (enum)
    {64, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 105},	//1640 QSslSocket::QueryPeer (enum)
    {64, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 106},	//1641 QSslSocket::VerifyPeer (enum)
    {64, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 107},	//1642 QSslSocket::AutoVerifyPeer (enum)
    {64, 1274, 0, 0, Smoke::mf_dtor, 0, 108 },	//1643 QSslSocket::~QSslSocket()
    {67, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 344, 1},	//1644 QTcpServer::metaObject() const
    {67, 896, 1, 1, Smoke::mf_virtual, 412, 2},	//1645 QTcpServer::qt_metacast(const char*)
    {67, 1206, 3, 2, Smoke::mf_static, 188, 3},	//1646 QTcpServer::tr(const char*, const char*)
    {67, 1210, 3, 2, Smoke::mf_static, 188, 4},	//1647 QTcpServer::trUtf8(const char*, const char*)
    {67, 1206, 6, 3, Smoke::mf_static, 188, 5},	//1648 QTcpServer::tr(const char*, const char*, int)
    {67, 1210, 6, 3, Smoke::mf_static, 188, 6},	//1649 QTcpServer::trUtf8(const char*, const char*, int)
    {67, 894, 10, 3, Smoke::mf_virtual, 393, 7},	//1650 QTcpServer::qt_metacall(QMetaObject::Call, int, void**)
    {67, 256, 20, 1, Smoke::mf_ctor, 195, 8},	//1651 QTcpServer::QTcpServer(QObject*)
    {67, 591, 74, 2, 0, 310, 9},	//1652 QTcpServer::listen(const QHostAddress&, unsigned short)
    {67, 413, 0, 0, 0, 0, 10},	//1653 QTcpServer::close()
    {67, 565, 0, 0, Smoke::mf_const, 310, 11},	//1654 QTcpServer::isListening() const
    {67, 1050, 44, 1, 0, 0, 12},	//1655 QTcpServer::setMaxPendingConnections(int)
    {67, 608, 0, 0, Smoke::mf_const, 393, 13},	//1656 QTcpServer::maxPendingConnections() const
    {67, 965, 0, 0, Smoke::mf_const, 407, 14},	//1657 QTcpServer::serverPort() const
    {67, 962, 0, 0, Smoke::mf_const, 70, 15},	//1658 QTcpServer::serverAddress() const
    {67, 1172, 0, 0, Smoke::mf_const, 393, 16},	//1659 QTcpServer::socketDescriptor() const
    {67, 1129, 44, 1, 0, 310, 17},	//1660 QTcpServer::setSocketDescriptor(int)
    {67, 1234, 1049, 2, 0, 310, 18},	//1661 QTcpServer::waitForNewConnection(int, bool*)
    {67, 529, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 310, 19},	//1662 QTcpServer::hasPendingConnections() const
    {67, 624, 0, 0, Smoke::mf_virtual, 196, 20},	//1663 QTcpServer::nextPendingConnection()
    {67, 963, 0, 0, Smoke::mf_const, 5, 21},	//1664 QTcpServer::serverError() const
    {67, 489, 0, 0, Smoke::mf_const, 188, 22},	//1665 QTcpServer::errorString() const
    {67, 1097, 46, 1, 0, 0, 23},	//1666 QTcpServer::setProxy(const QNetworkProxy&)
    {67, 731, 0, 0, Smoke::mf_const, 136, 24},	//1667 QTcpServer::proxy() const
    {67, 544, 44, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1668 QTcpServer::incomingConnection(int)
    {67, 623, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1669 QTcpServer::newConnection()
    {67, 1206, 1, 1, Smoke::mf_static, 188, 27},	//1670 QTcpServer::tr(const char*)
    {67, 1210, 1, 1, Smoke::mf_static, 188, 28},	//1671 QTcpServer::trUtf8(const char*)
    {67, 256, 0, 0, Smoke::mf_ctor, 195, 29},	//1672 QTcpServer::QTcpServer()
    {67, 591, 0, 0, 0, 310, 30},	//1673 QTcpServer::listen()
    {67, 591, 67, 1, 0, 310, 31},	//1674 QTcpServer::listen(const QHostAddress&)
    {67, 1234, 0, 0, 0, 310, 32},	//1675 QTcpServer::waitForNewConnection()
    {67, 1234, 44, 1, 0, 310, 33},	//1676 QTcpServer::waitForNewConnection(int)
    {67, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 343, 34},	//1677 QTcpServer::staticMetaObject() const
    {67, 1275, 0, 0, Smoke::mf_dtor, 0, 35 },	//1678 QTcpServer::~QTcpServer()
    {68, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 344, 1},	//1679 QTcpSocket::metaObject() const
    {68, 896, 1, 1, Smoke::mf_virtual, 412, 2},	//1680 QTcpSocket::qt_metacast(const char*)
    {68, 1206, 3, 2, Smoke::mf_static, 188, 3},	//1681 QTcpSocket::tr(const char*, const char*)
    {68, 1210, 3, 2, Smoke::mf_static, 188, 4},	//1682 QTcpSocket::trUtf8(const char*, const char*)
    {68, 1206, 6, 3, Smoke::mf_static, 188, 5},	//1683 QTcpSocket::tr(const char*, const char*, int)
    {68, 1210, 6, 3, Smoke::mf_static, 188, 6},	//1684 QTcpSocket::trUtf8(const char*, const char*, int)
    {68, 894, 10, 3, Smoke::mf_virtual, 393, 7},	//1685 QTcpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {68, 258, 20, 1, Smoke::mf_ctor, 196, 8},	//1686 QTcpSocket::QTcpSocket(QObject*)
    {68, 1206, 1, 1, Smoke::mf_static, 188, 9},	//1687 QTcpSocket::tr(const char*)
    {68, 1210, 1, 1, Smoke::mf_static, 188, 10},	//1688 QTcpSocket::trUtf8(const char*)
    {68, 258, 0, 0, Smoke::mf_ctor, 196, 11},	//1689 QTcpSocket::QTcpSocket()
    {68, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 343, 12},	//1690 QTcpSocket::staticMetaObject() const
    {68, 1276, 0, 0, Smoke::mf_dtor, 0, 13 },	//1691 QTcpSocket::~QTcpSocket()
    {73, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 344, 1},	//1692 QUdpSocket::metaObject() const
    {73, 896, 1, 1, Smoke::mf_virtual, 412, 2},	//1693 QUdpSocket::qt_metacast(const char*)
    {73, 1206, 3, 2, Smoke::mf_static, 188, 3},	//1694 QUdpSocket::tr(const char*, const char*)
    {73, 1210, 3, 2, Smoke::mf_static, 188, 4},	//1695 QUdpSocket::trUtf8(const char*, const char*)
    {73, 1206, 6, 3, Smoke::mf_static, 188, 5},	//1696 QUdpSocket::tr(const char*, const char*, int)
    {73, 1210, 6, 3, Smoke::mf_static, 188, 6},	//1697 QUdpSocket::trUtf8(const char*, const char*, int)
    {73, 894, 10, 3, Smoke::mf_virtual, 393, 7},	//1698 QUdpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {73, 260, 20, 1, Smoke::mf_ctor, 204, 8},	//1699 QUdpSocket::QUdpSocket(QObject*)
    {73, 391, 74, 2, 0, 310, 9},	//1700 QUdpSocket::bind(const QHostAddress&, unsigned short)
    {73, 391, 65, 1, 0, 310, 10},	//1701 QUdpSocket::bind(unsigned short)
    {73, 391, 1289, 3, 0, 310, 11},	//1702 QUdpSocket::bind(const QHostAddress&, unsigned short, QFlags<QUdpSocket::BindFlag>)
    {73, 391, 1293, 2, 0, 310, 12},	//1703 QUdpSocket::bind(unsigned short, QFlags<QUdpSocket::BindFlag>)
    {73, 530, 0, 0, Smoke::mf_const, 310, 13},	//1704 QUdpSocket::hasPendingDatagrams() const
    {73, 716, 0, 0, Smoke::mf_const, 395, 14},	//1705 QUdpSocket::pendingDatagramSize() const
    {73, 924, 1296, 4, 0, 395, 15},	//1706 QUdpSocket::readDatagram(char*, long long, QHostAddress*, unsigned short*)
    {73, 1241, 1301, 4, 0, 395, 16},	//1707 QUdpSocket::writeDatagram(const char*, long long, const QHostAddress&, unsigned short)
    {73, 1241, 1306, 3, 0, 395, 17},	//1708 QUdpSocket::writeDatagram(const QByteArray&, const QHostAddress&, unsigned short)
    {73, 1206, 1, 1, Smoke::mf_static, 188, 18},	//1709 QUdpSocket::tr(const char*)
    {73, 1210, 1, 1, Smoke::mf_static, 188, 19},	//1710 QUdpSocket::trUtf8(const char*)
    {73, 260, 0, 0, Smoke::mf_ctor, 204, 20},	//1711 QUdpSocket::QUdpSocket()
    {73, 391, 0, 0, 0, 310, 21},	//1712 QUdpSocket::bind()
    {73, 924, 59, 2, 0, 395, 22},	//1713 QUdpSocket::readDatagram(char*, long long)
    {73, 924, 1310, 3, 0, 395, 23},	//1714 QUdpSocket::readDatagram(char*, long long, QHostAddress*)
    {73, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 343, 24},	//1715 QUdpSocket::staticMetaObject() const
    {73, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 25},	//1716 QUdpSocket::DefaultForPlatform (enum)
    {73, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 26},	//1717 QUdpSocket::ShareAddress (enum)
    {73, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 27},	//1718 QUdpSocket::DontShareAddress (enum)
    {73, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 28},	//1719 QUdpSocket::ReuseAddressHint (enum)
    {73, 1277, 0, 0, Smoke::mf_dtor, 0, 29 },	//1720 QUdpSocket::~QUdpSocket()
    {75, 262, 0, 0, Smoke::mf_ctor, 210, 1},	//1721 QUrlInfo::QUrlInfo()
    {75, 262, 102, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 210, 2},	//1722 QUrlInfo::QUrlInfo(const QUrlInfo&)
    {75, 262, 1314, 13, Smoke::mf_ctor, 210, 3},	//1723 QUrlInfo::QUrlInfo(const QString&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool)
    {75, 262, 1328, 13, Smoke::mf_ctor, 210, 4},	//1724 QUrlInfo::QUrlInfo(const QUrl&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool)
    {75, 663, 102, 1, 0, 209, 5},	//1725 QUrlInfo::operator=(const QUrlInfo&)
    {75, 1054, 69, 1, Smoke::mf_virtual, 0, 6},	//1726 QUrlInfo::setName(const QString&)
    {75, 1009, 113, 1, Smoke::mf_virtual, 0, 7},	//1727 QUrlInfo::setDir(bool)
    {75, 1020, 113, 1, Smoke::mf_virtual, 0, 8},	//1728 QUrlInfo::setFile(bool)
    {75, 1149, 113, 1, Smoke::mf_virtual, 0, 9},	//1729 QUrlInfo::setSymLink(bool)
    {75, 1063, 69, 1, Smoke::mf_virtual, 0, 10},	//1730 QUrlInfo::setOwner(const QString&)
    {75, 1022, 69, 1, Smoke::mf_virtual, 0, 11},	//1731 QUrlInfo::setGroup(const QString&)
    {75, 1125, 33, 1, Smoke::mf_virtual, 0, 12},	//1732 QUrlInfo::setSize(long long)
    {75, 1169, 113, 1, Smoke::mf_virtual, 0, 13},	//1733 QUrlInfo::setWritable(bool)
    {75, 1112, 113, 1, Smoke::mf_virtual, 0, 14},	//1734 QUrlInfo::setReadable(bool)
    {75, 1081, 44, 1, Smoke::mf_virtual, 0, 15},	//1735 QUrlInfo::setPermissions(int)
    {75, 1036, 1101, 1, Smoke::mf_virtual, 0, 16},	//1736 QUrlInfo::setLastModified(const QDateTime&)
    {75, 1038, 1101, 1, 0, 0, 17},	//1737 QUrlInfo::setLastRead(const QDateTime&)
    {75, 574, 0, 0, Smoke::mf_const, 310, 18},	//1738 QUrlInfo::isValid() const
    {75, 621, 0, 0, Smoke::mf_const, 188, 19},	//1739 QUrlInfo::name() const
    {75, 717, 0, 0, Smoke::mf_const, 393, 20},	//1740 QUrlInfo::permissions() const
    {75, 695, 0, 0, Smoke::mf_const, 188, 21},	//1741 QUrlInfo::owner() const
    {75, 521, 0, 0, Smoke::mf_const, 188, 22},	//1742 QUrlInfo::group() const
    {75, 1171, 0, 0, Smoke::mf_const, 395, 23},	//1743 QUrlInfo::size() const
    {75, 581, 0, 0, Smoke::mf_const, 22, 24},	//1744 QUrlInfo::lastModified() const
    {75, 582, 0, 0, Smoke::mf_const, 22, 25},	//1745 QUrlInfo::lastRead() const
    {75, 556, 0, 0, Smoke::mf_const, 310, 26},	//1746 QUrlInfo::isDir() const
    {75, 559, 0, 0, Smoke::mf_const, 310, 27},	//1747 QUrlInfo::isFile() const
    {75, 572, 0, 0, Smoke::mf_const, 310, 28},	//1748 QUrlInfo::isSymLink() const
    {75, 575, 0, 0, Smoke::mf_const, 310, 29},	//1749 QUrlInfo::isWritable() const
    {75, 567, 0, 0, Smoke::mf_const, 310, 30},	//1750 QUrlInfo::isReadable() const
    {75, 558, 0, 0, Smoke::mf_const, 310, 31},	//1751 QUrlInfo::isExecutable() const
    {75, 519, 1342, 3, Smoke::mf_static, 310, 32},	//1752 QUrlInfo::greaterThan(const QUrlInfo&, const QUrlInfo&, int)
    {75, 585, 1342, 3, Smoke::mf_static, 310, 33},	//1753 QUrlInfo::lessThan(const QUrlInfo&, const QUrlInfo&, int)
    {75, 485, 1342, 3, Smoke::mf_static, 310, 34},	//1754 QUrlInfo::equal(const QUrlInfo&, const QUrlInfo&, int)
    {75, 666, 102, 1, Smoke::mf_const, 310, 35},	//1755 QUrlInfo::operator==(const QUrlInfo&) const
    {75, 627, 102, 1, Smoke::mf_const, 310, 36},	//1756 QUrlInfo::operator!=(const QUrlInfo&) const
    {75, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 37},	//1757 QUrlInfo::ReadOwner (enum)
    {75, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 38},	//1758 QUrlInfo::WriteOwner (enum)
    {75, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 39},	//1759 QUrlInfo::ExeOwner (enum)
    {75, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 40},	//1760 QUrlInfo::ReadGroup (enum)
    {75, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 41},	//1761 QUrlInfo::WriteGroup (enum)
    {75, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 42},	//1762 QUrlInfo::ExeGroup (enum)
    {75, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 43},	//1763 QUrlInfo::ReadOther (enum)
    {75, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 44},	//1764 QUrlInfo::WriteOther (enum)
    {75, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 45},	//1765 QUrlInfo::ExeOther (enum)
    {75, 1278, 0, 0, Smoke::mf_dtor, 0, 46 },	//1766 QUrlInfo::~QUrlInfo()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    257,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    264,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    268,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    278,  // QGlobalSpace::operator!=(QChar, QChar)
    303,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    313,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    327,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    328,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    361,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    377,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    392,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    407,  // QGlobalSpace::operator!=(QBool, QBool)
    417,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    448,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    486,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    614,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    0,
    441,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    468,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    547,  // QGlobalSpace::operator!=(QBool, bool)
    569,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    641,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    0,
    258,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    307,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    409,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    470,  // QGlobalSpace::operator!=(bool, QBool)
    481,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    589,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    0,
    239,  // QGlobalSpace::operator*(const QSizeF&, double)
    320,  // QGlobalSpace::operator*(const QPointF&, double)
    430,  // QGlobalSpace::operator*(const QSize&, double)
    559,  // QGlobalSpace::operator*(const QPoint&, double)
    0,
    378,  // QGlobalSpace::operator*(double, const QSize&)
    500,  // QGlobalSpace::operator*(double, const QPointF&)
    567,  // QGlobalSpace::operator*(double, const QPoint&)
    623,  // QGlobalSpace::operator*(double, const QSizeF&)
    0,
    261,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    496,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    526,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    566,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    652,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    0,
    251,  // QGlobalSpace::operator+(QChar, const QString&)
    475,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    497,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    521,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    260,  // QGlobalSpace::operator+(const QString&, QChar)
    304,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    517,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    537,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    388,  // QGlobalSpace::operator+(const char*, const QString&)
    408,  // QGlobalSpace::operator+(const QString&, char)
    538,  // QGlobalSpace::operator+(const QString&, const char*)
    546,  // QGlobalSpace::operator+(const QString&, const QString&)
    648,  // QGlobalSpace::operator+(char, const QString&)
    0,
    384,  // QGlobalSpace::operator-(const QPointF&)
    400,  // QGlobalSpace::operator-(const QPoint&)
    0,
    281,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    433,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    582,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    598,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    0,
    394,  // QGlobalSpace::operator/(const QSizeF&, double)
    413,  // QGlobalSpace::operator/(const QPointF&, double)
    438,  // QGlobalSpace::operator/(const QPoint&, double)
    585,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    405,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    540,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    595,  // QGlobalSpace::operator<(QChar, QChar)
    622,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    314,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    469,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    240,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    249,  // QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    259,  // QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    265,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    267,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    282,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    291,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    294,  // QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    301,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    321,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    337,  // QGlobalSpace::operator<<(QDebug, const QSslError&)
    343,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    344,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    346,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    358,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    375,  // QGlobalSpace::operator<<(QDebug, const QSslKey&)
    376,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    390,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    396,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    399,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    402,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    418,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    427,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    432,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    440,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    442,  // QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    451,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    467,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    485,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    495,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    502,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    503,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    512,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    516,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    527,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    530,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    535,  // QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    536,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    551,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    561,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    568,  // QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    571,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    572,  // QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    577,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    607,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    608,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    611,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    625,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    649,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    0,
    247,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    255,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    284,  // QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    288,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    335,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    345,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    347,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    371,  // QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    478,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    560,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    635,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    0,
    253,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    254,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    319,  // QGlobalSpace::operator<=(QChar, QChar)
    330,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    0,
    370,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    389,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    246,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    248,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    263,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    271,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    322,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    326,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    352,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    411,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    452,  // QGlobalSpace::operator==(QBool, QBool)
    474,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    490,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    513,  // QGlobalSpace::operator==(QChar, QChar)
    532,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    548,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    573,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    627,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    630,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    0,
    419,  // QGlobalSpace::operator==(QString::Null, const QString&)
    463,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    555,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    636,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    640,  // QGlobalSpace::operator==(QBool, bool)
    0,
    290,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    308,  // QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    356,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    365,  // QGlobalSpace::operator==(const QString&, QString::Null)
    446,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    457,  // QGlobalSpace::operator==(bool, QBool)
    492,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    0,
    302,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    348,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    393,  // QGlobalSpace::operator>(QChar, QChar)
    511,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    341,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    353,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    317,  // QGlobalSpace::operator>=(QChar, QChar)
    349,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    404,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    624,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    0,
    232,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    586,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    230,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    233,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    244,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    274,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    280,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    329,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    336,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    374,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    406,  // QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    425,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    429,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    435,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    453,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    455,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    460,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    480,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    504,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    509,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    564,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    576,  // QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    604,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    644,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    0,
    449,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    605,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    228,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    231,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    235,  // QGlobalSpace::operator|(Qt::WindowType, int)
    245,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    266,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    276,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    283,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    292,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    295,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    299,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    305,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag)
    306,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>)
    310,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    318,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    323,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    324,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, int)
    332,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>)
    338,  // QGlobalSpace::operator|(Qt::DropAction, int)
    340,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    351,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    357,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    359,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    360,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    363,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    364,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    366,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    368,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    372,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    373,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    379,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    382,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    385,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    387,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    395,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    403,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    415,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    423,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    424,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    434,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    436,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    444,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    447,  // QGlobalSpace::operator|(Qt::WindowState, int)
    456,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    458,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    466,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    472,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    476,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    477,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    479,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    483,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    489,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    491,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    493,  // QGlobalSpace::operator|(QFile::Permission, int)
    507,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, QUdpSocket::BindFlag)
    510,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    519,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    520,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    522,  // QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    523,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    525,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    529,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    531,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    534,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    539,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    544,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    552,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    558,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    565,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    574,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    579,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    580,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    583,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    584,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, int)
    587,  // QGlobalSpace::operator|(QDir::Filter, int)
    588,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    593,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    596,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    597,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    602,  // QGlobalSpace::operator|(Qt::Orientation, int)
    603,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    610,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    612,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    615,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    619,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    620,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    621,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    629,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    631,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    632,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    634,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    637,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    638,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    646,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    647,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    651,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    653,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    0,
    369,  // QGlobalSpace::qFuzzyCompare(double, double)
    426,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    459,  // QGlobalSpace::qFuzzyIsNull(double)
    606,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    309,  // QGlobalSpace::qHash(const QBitArray&)
    391,  // QGlobalSpace::qHash(const QHostAddress&)
    465,  // QGlobalSpace::qHash(QChar)
    508,  // QGlobalSpace::qHash(const QStringRef&)
    609,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    626,  // QGlobalSpace::qHash(const QByteArray&)
    628,  // QGlobalSpace::qHash(const QModelIndex&)
    0,
    237,  // QGlobalSpace::qHash(unsigned int)
    238,  // QGlobalSpace::qHash(char)
    269,  // QGlobalSpace::qHash(unsigned char)
    289,  // QGlobalSpace::qHash(short)
    298,  // QGlobalSpace::qHash(long)
    355,  // QGlobalSpace::qHash(unsigned short)
    443,  // QGlobalSpace::qHash(int)
    488,  // QGlobalSpace::qHash(signed char)
    545,  // QGlobalSpace::qHash(const QString&)
    592,  // QGlobalSpace::qHash(unsigned long)
    0,
    381,  // QGlobalSpace::qHash(long long)
    410,  // QGlobalSpace::qHash(unsigned long long)
    0,
    350,  // QGlobalSpace::qIntCast(float)
    414,  // QGlobalSpace::qIntCast(double)
    0,
    293,  // QGlobalSpace::qIsFinite(double)
    650,  // QGlobalSpace::qIsFinite(float)
    0,
    386,  // QGlobalSpace::qIsInf(float)
    581,  // QGlobalSpace::qIsInf(double)
    0,
    550,  // QGlobalSpace::qIsNaN(float)
    557,  // QGlobalSpace::qIsNaN(double)
    0,
    275,  // QGlobalSpace::qIsNull(float)
    600,  // QGlobalSpace::qIsNull(double)
    0,
    879,  // QHttpResponseHeader::QHttpResponseHeader(const QString&)
    889,  // QHttpResponseHeader::QHttpResponseHeader(int)
    0,
    1527,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm)
    1530,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm)
    0,
    1528,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    1531,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    0,
    1529,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    1532,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    0,
    1513,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    1514,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    0,
    1088,  // QNetworkCookie::QNetworkCookie(const QNetworkCookie&)
    1110,  // QNetworkCookie::QNetworkCookie(const QByteArray&)
    0,
    686,  // QHostAddress::QHostAddress(const QIPv6Address&)
    687,  // QHostAddress::QHostAddress(const sockaddr*)
    689,  // QHostAddress::QHostAddress(const QHostAddress&)
    0,
    684,  // QHostAddress::QHostAddress(unsigned int)
    685,  // QHostAddress::QHostAddress(unsigned char*)
    688,  // QHostAddress::QHostAddress(const QString&)
    690,  // QHostAddress::QHostAddress(QHostAddress::SpecialAddress)
    0,
    695,  // QHostAddress::setAddress(const QIPv6Address&)
    696,  // QHostAddress::setAddress(const sockaddr*)
    0,
    693,  // QHostAddress::setAddress(unsigned int)
    694,  // QHostAddress::setAddress(unsigned char*)
    697,  // QHostAddress::setAddress(const QString&)
    0,
    193,  // QFtp::put(const QByteArray&, const QString&)
    194,  // QFtp::put(QIODevice*, const QString&)
    0,
    157,  // QFtp::put(const QByteArray&, const QString&, QFtp::TransferType)
    158,  // QFtp::put(QIODevice*, const QString&, QFtp::TransferType)
    0,
    797,  // QHttp::QHttp(const QString&, unsigned short)
    798,  // QHttp::QHttp(const QString&, QHttp::ConnectionMode)
    0,
    806,  // QHttp::post(const QString&, QIODevice*)
    807,  // QHttp::post(const QString&, const QByteArray&)
    0,
    760,  // QHttp::post(const QString&, QIODevice*, QIODevice*)
    761,  // QHttp::post(const QString&, const QByteArray&, QIODevice*)
    0,
    809,  // QHttp::request(const QHttpRequestHeader&, QIODevice*)
    810,  // QHttp::request(const QHttpRequestHeader&, const QByteArray&)
    0,
    763,  // QHttp::request(const QHttpRequestHeader&, QIODevice*, QIODevice*)
    764,  // QHttp::request(const QHttpRequestHeader&, const QByteArray&, QIODevice*)
    0,
    753,  // QHttp::setHost(const QString&, unsigned short)
    801,  // QHttp::setHost(const QString&, QHttp::ConnectionMode)
    0,
    1329,  // QNetworkRequest::QNetworkRequest(const QUrl&)
    1330,  // QNetworkRequest::QNetworkRequest(const QNetworkRequest&)
    0,
    1032,  // QNetworkAccessManager::post(const QNetworkRequest&, QIODevice*)
    1033,  // QNetworkAccessManager::post(const QNetworkRequest&, const QByteArray&)
    0,
    1034,  // QNetworkAccessManager::put(const QNetworkRequest&, QIODevice*)
    1035,  // QNetworkAccessManager::put(const QNetworkRequest&, const QByteArray&)
    0,
    1544,  // QSslSocket::connectToHostEncrypted(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    1619,  // QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&)
    0,
    917,  // QIPv6Address::operator[](int)
    918,  // QIPv6Address::operator[](int) const
    0,
    1395,  // QSslCertificate::QSslCertificate(const QSslCertificate&)
    1419,  // QSslCertificate::QSslCertificate(QIODevice*)
    1421,  // QSslCertificate::QSslCertificate(const QByteArray&)
    0,
    1393,  // QSslCertificate::QSslCertificate(QIODevice*, QSsl::EncodingFormat)
    1394,  // QSslCertificate::QSslCertificate(const QByteArray&, QSsl::EncodingFormat)
    0,
    1232,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkProxyQuery&)
    1248,  // QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&)
    0,
    1249,  // QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int)
    1252,  // QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&)
    0,
    1231,  // QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    1250,  // QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 159, 19},	// QAbstractNetworkCache::QAbstractNetworkCache
    {1, 160, 16},	// QAbstractNetworkCache::QAbstractNetworkCache#
    {1, 402, 12},	// QAbstractNetworkCache::cacheSize
    {1, 410, 15},	// QAbstractNetworkCache::clear
    {1, 453, 10},	// QAbstractNetworkCache::data#
    {1, 549, 14},	// QAbstractNetworkCache::insert#
    {1, 611, 8},	// QAbstractNetworkCache::metaData#
    {1, 613, 1},	// QAbstractNetworkCache::metaObject
    {1, 726, 13},	// QAbstractNetworkCache::prepare#
    {1, 895, 7},	// QAbstractNetworkCache::qt_metacall$$?
    {1, 897, 2},	// QAbstractNetworkCache::qt_metacast$
    {1, 935, 11},	// QAbstractNetworkCache::remove#
    {1, 1185, 20},	// QAbstractNetworkCache::staticMetaObject
    {1, 1207, 17},	// QAbstractNetworkCache::tr$
    {1, 1208, 3},	// QAbstractNetworkCache::tr$$
    {1, 1209, 5},	// QAbstractNetworkCache::tr$$$
    {1, 1211, 18},	// QAbstractNetworkCache::trUtf8$
    {1, 1212, 4},	// QAbstractNetworkCache::trUtf8$$
    {1, 1213, 6},	// QAbstractNetworkCache::trUtf8$$$
    {1, 1216, 9},	// QAbstractNetworkCache::updateMetaData#
    {1, 1244, 21},	// QAbstractNetworkCache::~QAbstractNetworkCache
    {2, 3, 106},	// QAbstractSocket::AddressInUseError
    {2, 15, 122},	// QAbstractSocket::BoundState
    {2, 31, 124},	// QAbstractSocket::ClosingState
    {2, 35, 121},	// QAbstractSocket::ConnectedState
    {2, 37, 120},	// QAbstractSocket::ConnectingState
    {2, 43, 98},	// QAbstractSocket::ConnectionRefusedError
    {2, 52, 104},	// QAbstractSocket::DatagramTooLargeError
    {2, 71, 119},	// QAbstractSocket::HostLookupState
    {2, 75, 100},	// QAbstractSocket::HostNotFoundError
    {2, 82, 95},	// QAbstractSocket::IPv4Protocol
    {2, 83, 96},	// QAbstractSocket::IPv6Protocol
    {2, 93, 126},	// QAbstractSocket::KeepAliveOption
    {2, 116, 123},	// QAbstractSocket::ListeningState
    {2, 123, 125},	// QAbstractSocket::LowDelayOption
    {2, 126, 105},	// QAbstractSocket::NetworkError
    {2, 149, 110},	// QAbstractSocket::ProxyAuthenticationRequiredError
    {2, 150, 113},	// QAbstractSocket::ProxyConnectionClosedError
    {2, 151, 112},	// QAbstractSocket::ProxyConnectionRefusedError
    {2, 152, 114},	// QAbstractSocket::ProxyConnectionTimeoutError
    {2, 153, 115},	// QAbstractSocket::ProxyNotFoundError
    {2, 154, 116},	// QAbstractSocket::ProxyProtocolError
    {2, 162, 29},	// QAbstractSocket::QAbstractSocket$#
    {2, 285, 99},	// QAbstractSocket::RemoteHostClosedError
    {2, 299, 101},	// QAbstractSocket::SocketAccessError
    {2, 300, 107},	// QAbstractSocket::SocketAddressNotAvailableError
    {2, 301, 102},	// QAbstractSocket::SocketResourceError
    {2, 302, 103},	// QAbstractSocket::SocketTimeoutError
    {2, 306, 111},	// QAbstractSocket::SslHandshakeFailedError
    {2, 313, 92},	// QAbstractSocket::TcpSocket
    {2, 319, 93},	// QAbstractSocket::UdpSocket
    {2, 328, 118},	// QAbstractSocket::UnconnectedState
    {2, 331, 109},	// QAbstractSocket::UnfinishedSocketOperationError
    {2, 335, 97},	// QAbstractSocket::UnknownNetworkLayerProtocol
    {2, 339, 117},	// QAbstractSocket::UnknownSocketError
    {2, 340, 94},	// QAbstractSocket::UnknownSocketType
    {2, 342, 108},	// QAbstractSocket::UnsupportedSocketOperationError
    {2, 353, 44},	// QAbstractSocket::abort
    {2, 382, 54},	// QAbstractSocket::atEnd
    {2, 397, 34},	// QAbstractSocket::bytesAvailable
    {2, 398, 35},	// QAbstractSocket::bytesToWrite
    {2, 403, 36},	// QAbstractSocket::canReadLine
    {2, 413, 52},	// QAbstractSocket::close
    {2, 421, 83},	// QAbstractSocket::connectToHost#$
    {2, 422, 31},	// QAbstractSocket::connectToHost#$$
    {2, 424, 82},	// QAbstractSocket::connectToHost$$
    {2, 425, 30},	// QAbstractSocket::connectToHost$$$
    {2, 431, 90},	// QAbstractSocket::connectToHostImplementation$$
    {2, 432, 68},	// QAbstractSocket::connectToHostImplementation$$$
    {2, 436, 63},	// QAbstractSocket::connected
    {2, 468, 32},	// QAbstractSocket::disconnectFromHost
    {2, 469, 69},	// QAbstractSocket::disconnectFromHostImplementation
    {2, 472, 64},	// QAbstractSocket::disconnected
    {2, 487, 51},	// QAbstractSocket::error
    {2, 488, 66},	// QAbstractSocket::error$
    {2, 500, 55},	// QAbstractSocket::flush
    {2, 539, 62},	// QAbstractSocket::hostFound
    {2, 570, 53},	// QAbstractSocket::isSequential
    {2, 574, 33},	// QAbstractSocket::isValid
    {2, 595, 38},	// QAbstractSocket::localAddress
    {2, 599, 37},	// QAbstractSocket::localPort
    {2, 613, 22},	// QAbstractSocket::metaObject
    {2, 706, 40},	// QAbstractSocket::peerAddress
    {2, 710, 41},	// QAbstractSocket::peerName
    {2, 711, 39},	// QAbstractSocket::peerPort
    {2, 731, 61},	// QAbstractSocket::proxy
    {2, 733, 67},	// QAbstractSocket::proxyAuthenticationRequired##
    {2, 895, 28},	// QAbstractSocket::qt_metacall$$?
    {2, 897, 23},	// QAbstractSocket::qt_metacast$
    {2, 921, 42},	// QAbstractSocket::readBufferSize
    {2, 923, 70},	// QAbstractSocket::readData$?
    {2, 929, 71},	// QAbstractSocket::readLineData$?
    {2, 1041, 76},	// QAbstractSocket::setLocalAddress#
    {2, 1047, 75},	// QAbstractSocket::setLocalPort$
    {2, 1070, 78},	// QAbstractSocket::setPeerAddress#
    {2, 1074, 79},	// QAbstractSocket::setPeerName$
    {2, 1076, 77},	// QAbstractSocket::setPeerPort$
    {2, 1098, 60},	// QAbstractSocket::setProxy#
    {2, 1111, 43},	// QAbstractSocket::setReadBufferSize?
    {2, 1130, 84},	// QAbstractSocket::setSocketDescriptor$
    {2, 1131, 85},	// QAbstractSocket::setSocketDescriptor$$
    {2, 1132, 46},	// QAbstractSocket::setSocketDescriptor$$$
    {2, 1137, 74},	// QAbstractSocket::setSocketError$
    {2, 1139, 47},	// QAbstractSocket::setSocketOption$#
    {2, 1141, 73},	// QAbstractSocket::setSocketState$
    {2, 1172, 45},	// QAbstractSocket::socketDescriptor
    {2, 1174, 48},	// QAbstractSocket::socketOption$
    {2, 1175, 49},	// QAbstractSocket::socketType
    {2, 1182, 50},	// QAbstractSocket::state
    {2, 1184, 65},	// QAbstractSocket::stateChanged$
    {2, 1185, 91},	// QAbstractSocket::staticMetaObject
    {2, 1207, 80},	// QAbstractSocket::tr$
    {2, 1208, 24},	// QAbstractSocket::tr$$
    {2, 1209, 26},	// QAbstractSocket::tr$$$
    {2, 1211, 81},	// QAbstractSocket::trUtf8$
    {2, 1212, 25},	// QAbstractSocket::trUtf8$$
    {2, 1213, 27},	// QAbstractSocket::trUtf8$$$
    {2, 1226, 88},	// QAbstractSocket::waitForBytesWritten
    {2, 1227, 58},	// QAbstractSocket::waitForBytesWritten$
    {2, 1228, 86},	// QAbstractSocket::waitForConnected
    {2, 1229, 56},	// QAbstractSocket::waitForConnected$
    {2, 1230, 89},	// QAbstractSocket::waitForDisconnected
    {2, 1231, 59},	// QAbstractSocket::waitForDisconnected$
    {2, 1237, 87},	// QAbstractSocket::waitForReadyRead
    {2, 1238, 57},	// QAbstractSocket::waitForReadyRead$
    {2, 1240, 72},	// QAbstractSocket::writeData$?
    {2, 1245, 127},	// QAbstractSocket::~QAbstractSocket
    {3, 163, 128},	// QAuthenticator::QAuthenticator
    {3, 164, 129},	// QAuthenticator::QAuthenticator#
    {3, 465, 139},	// QAuthenticator::detach
    {3, 566, 138},	// QAuthenticator::isNull
    {3, 628, 132},	// QAuthenticator::operator!=#
    {3, 664, 130},	// QAuthenticator::operator=#
    {3, 667, 131},	// QAuthenticator::operator==#
    {3, 704, 135},	// QAuthenticator::password
    {3, 932, 137},	// QAuthenticator::realm
    {3, 1066, 136},	// QAuthenticator::setPassword$
    {3, 1160, 134},	// QAuthenticator::setUser$
    {3, 1221, 133},	// QAuthenticator::user
    {3, 1246, 140},	// QAuthenticator::~QAuthenticator
    {16, 2, 222},	// QFtp::Active
    {16, 10, 225},	// QFtp::Ascii
    {16, 14, 224},	// QFtp::Binary
    {16, 22, 214},	// QFtp::Cd
    {16, 29, 212},	// QFtp::Close
    {16, 30, 201},	// QFtp::Closing
    {16, 33, 210},	// QFtp::ConnectToHost
    {16, 34, 199},	// QFtp::Connected
    {16, 36, 198},	// QFtp::Connecting
    {16, 42, 205},	// QFtp::ConnectionRefused
    {16, 67, 215},	// QFtp::Get
    {16, 70, 197},	// QFtp::HostLookup
    {16, 74, 204},	// QFtp::HostNotFound
    {16, 114, 213},	// QFtp::List
    {16, 121, 200},	// QFtp::LoggedIn
    {16, 122, 211},	// QFtp::Login
    {16, 124, 218},	// QFtp::Mkdir
    {16, 127, 202},	// QFtp::NoError
    {16, 131, 207},	// QFtp::None
    {16, 132, 206},	// QFtp::NotConnected
    {16, 138, 223},	// QFtp::Passive
    {16, 157, 216},	// QFtp::Put
    {16, 165, 186},	// QFtp::QFtp
    {16, 166, 148},	// QFtp::QFtp#
    {16, 277, 221},	// QFtp::RawCommand
    {16, 286, 217},	// QFtp::Remove
    {16, 287, 220},	// QFtp::Rename
    {16, 289, 219},	// QFtp::Rmdir
    {16, 296, 209},	// QFtp::SetProxy
    {16, 297, 208},	// QFtp::SetTransferMode
    {16, 327, 196},	// QFtp::Unconnected
    {16, 333, 203},	// QFtp::UnknownError
    {16, 353, 175},	// QFtp::abort
    {16, 397, 164},	// QFtp::bytesAvailable
    {16, 406, 155},	// QFtp::cd$
    {16, 411, 171},	// QFtp::clearPendingCommands
    {16, 413, 152},	// QFtp::close
    {16, 416, 182},	// QFtp::commandFinished$$
    {16, 418, 181},	// QFtp::commandStarted$
    {16, 423, 187},	// QFtp::connectToHost$
    {16, 424, 150},	// QFtp::connectToHost$$
    {16, 445, 169},	// QFtp::currentCommand
    {16, 447, 168},	// QFtp::currentDevice
    {16, 448, 167},	// QFtp::currentId
    {16, 459, 179},	// QFtp::dataTransferProgress??
    {16, 475, 183},	// QFtp::done$
    {16, 487, 173},	// QFtp::error
    {16, 489, 174},	// QFtp::errorString
    {16, 516, 191},	// QFtp::get$
    {16, 517, 192},	// QFtp::get$#
    {16, 518, 156},	// QFtp::get$#$
    {16, 528, 170},	// QFtp::hasPendingCommands
    {16, 587, 190},	// QFtp::list
    {16, 588, 154},	// QFtp::list$
    {16, 590, 177},	// QFtp::listInfo#
    {16, 600, 188},	// QFtp::login
    {16, 601, 189},	// QFtp::login$
    {16, 602, 151},	// QFtp::login$$
    {16, 613, 141},	// QFtp::metaObject
    {16, 617, 160},	// QFtp::mkdir$
    {16, 740, -402},	// QFtp::put#$
    {16, 741, -405},	// QFtp::put#$$
    {16, 895, 147},	// QFtp::qt_metacall$$?
    {16, 897, 142},	// QFtp::qt_metacast$
    {16, 911, 163},	// QFtp::rawCommand$
    {16, 913, 180},	// QFtp::rawCommandReply$$
    {16, 919, 165},	// QFtp::read$?
    {16, 920, 166},	// QFtp::readAll
    {16, 930, 178},	// QFtp::readyRead
    {16, 936, 159},	// QFtp::remove$
    {16, 944, 162},	// QFtp::rename$$
    {16, 957, 161},	// QFtp::rmdir$
    {16, 1099, 149},	// QFtp::setProxy$$
    {16, 1152, 153},	// QFtp::setTransferMode$
    {16, 1182, 172},	// QFtp::state
    {16, 1184, 176},	// QFtp::stateChanged$
    {16, 1185, 195},	// QFtp::staticMetaObject
    {16, 1207, 184},	// QFtp::tr$
    {16, 1208, 143},	// QFtp::tr$$
    {16, 1209, 145},	// QFtp::tr$$$
    {16, 1211, 185},	// QFtp::trUtf8$
    {16, 1212, 144},	// QFtp::trUtf8$$
    {16, 1213, 146},	// QFtp::trUtf8$$$
    {16, 1247, 226},	// QFtp::~QFtp
    {17, 95, 666},	// QGlobalSpace::LicensedActiveQt
    {17, 96, 672},	// QGlobalSpace::LicensedCore
    {17, 97, 664},	// QGlobalSpace::LicensedDBus
    {17, 98, 669},	// QGlobalSpace::LicensedDeclarative
    {17, 99, 659},	// QGlobalSpace::LicensedGui
    {17, 100, 678},	// QGlobalSpace::LicensedHelp
    {17, 101, 679},	// QGlobalSpace::LicensedMultimedia
    {17, 102, 682},	// QGlobalSpace::LicensedNetwork
    {17, 103, 671},	// QGlobalSpace::LicensedOpenGL
    {17, 104, 663},	// QGlobalSpace::LicensedOpenVG
    {17, 105, 680},	// QGlobalSpace::LicensedQt3Support
    {17, 106, 661},	// QGlobalSpace::LicensedQt3SupportLight
    {17, 107, 662},	// QGlobalSpace::LicensedScript
    {17, 108, 667},	// QGlobalSpace::LicensedScriptTools
    {17, 109, 670},	// QGlobalSpace::LicensedSql
    {17, 110, 668},	// QGlobalSpace::LicensedSvg
    {17, 111, 665},	// QGlobalSpace::LicensedTest
    {17, 112, 660},	// QGlobalSpace::LicensedXml
    {17, 113, 681},	// QGlobalSpace::LicensedXmlPatterns
    {17, 266, 654},	// QGlobalSpace::Q_COMPLEX_TYPE
    {17, 267, 658},	// QGlobalSpace::Q_DUMMY_TYPE
    {17, 268, 657},	// QGlobalSpace::Q_MOVABLE_TYPE
    {17, 269, 655},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {17, 270, 656},	// QGlobalSpace::Q_STATIC_TYPE
    {17, 271, 675},	// QGlobalSpace::QtCriticalMsg
    {17, 272, 673},	// QGlobalSpace::QtDebugMsg
    {17, 273, 676},	// QGlobalSpace::QtFatalMsg
    {17, 274, 677},	// QGlobalSpace::QtSystemMsg
    {17, 275, 674},	// QGlobalSpace::QtWarningMsg
    {17, 629, -1},	// QGlobalSpace::operator!=##
    {17, 630, -18},	// QGlobalSpace::operator!=#$
    {17, 632, -24},	// QGlobalSpace::operator!=$#
    {17, 633, 616},	// QGlobalSpace::operator!=$$
    {17, 635, 398},	// QGlobalSpace::operator&##
    {17, 637, -31},	// QGlobalSpace::operator*#$
    {17, 638, -36},	// QGlobalSpace::operator*$#
    {17, 640, -41},	// QGlobalSpace::operator+##
    {17, 641, -47},	// QGlobalSpace::operator+#$
    {17, 642, -52},	// QGlobalSpace::operator+$#
    {17, 643, -57},	// QGlobalSpace::operator+$$
    {17, 645, -63},	// QGlobalSpace::operator-#
    {17, 646, -66},	// QGlobalSpace::operator-##
    {17, 648, -71},	// QGlobalSpace::operator/#$
    {17, 650, -76},	// QGlobalSpace::operator<##
    {17, 651, 242},	// QGlobalSpace::operator<#$
    {17, 652, -81},	// QGlobalSpace::operator<$#
    {17, 653, 462},	// QGlobalSpace::operator<$$
    {17, 655, -84},	// QGlobalSpace::operator<<##
    {17, 656, -134},	// QGlobalSpace::operator<<#$
    {17, 657, 549},	// QGlobalSpace::operator<<#?
    {17, 659, -146},	// QGlobalSpace::operator<=##
    {17, 660, 420},	// QGlobalSpace::operator<=#$
    {17, 661, -151},	// QGlobalSpace::operator<=$#
    {17, 662, 383},	// QGlobalSpace::operator<=$$
    {17, 668, -154},	// QGlobalSpace::operator==##
    {17, 669, -172},	// QGlobalSpace::operator==#$
    {17, 671, -178},	// QGlobalSpace::operator==$#
    {17, 672, 528},	// QGlobalSpace::operator==$$
    {17, 674, -186},	// QGlobalSpace::operator>##
    {17, 675, 613},	// QGlobalSpace::operator>#$
    {17, 676, -191},	// QGlobalSpace::operator>$#
    {17, 677, 243},	// QGlobalSpace::operator>$$
    {17, 679, -194},	// QGlobalSpace::operator>=##
    {17, 680, 401},	// QGlobalSpace::operator>=#$
    {17, 681, -199},	// QGlobalSpace::operator>=$#
    {17, 682, 556},	// QGlobalSpace::operator>=$$
    {17, 684, -202},	// QGlobalSpace::operator>>##
    {17, 685, -225},	// QGlobalSpace::operator>>#$
    {17, 686, 494},	// QGlobalSpace::operator>>#?
    {17, 690, 642},	// QGlobalSpace::operator^##
    {17, 692, 312},	// QGlobalSpace::operator|##
    {17, 693, -228},	// QGlobalSpace::operator|$$
    {17, 743, 229},	// QGlobalSpace::qAcos$
    {17, 745, 498},	// QGlobalSpace::qAddPostRoutine$
    {17, 746, 234},	// QGlobalSpace::qAppName
    {17, 748, 643},	// QGlobalSpace::qAsin$
    {17, 750, 315},	// QGlobalSpace::qAtan$
    {17, 752, 287},	// QGlobalSpace::qAtan2$$
    {17, 753, 645},	// QGlobalSpace::qBadAlloc
    {17, 755, 487},	// QGlobalSpace::qCeil$
    {17, 757, 428},	// QGlobalSpace::qChecksum$$
    {17, 759, 334},	// QGlobalSpace::qCompress#
    {17, 760, 333},	// QGlobalSpace::qCompress#$
    {17, 761, 542},	// QGlobalSpace::qCompress$$
    {17, 762, 541},	// QGlobalSpace::qCompress$$$
    {17, 764, 514},	// QGlobalSpace::qCos$
    {17, 765, 437},	// QGlobalSpace::qCritical
    {17, 766, 380},	// QGlobalSpace::qDebug
    {17, 768, 454},	// QGlobalSpace::qExp$
    {17, 770, 354},	// QGlobalSpace::qFabs$
    {17, 772, 421},	// QGlobalSpace::qFastCos$
    {17, 774, 250},	// QGlobalSpace::qFastSin$
    {17, 776, 412},	// QGlobalSpace::qFlagLocation$
    {17, 778, 543},	// QGlobalSpace::qFloor$
    {17, 780, 554},	// QGlobalSpace::qFree$
    {17, 782, 633},	// QGlobalSpace::qFreeAligned$
    {17, 784, -325},	// QGlobalSpace::qFuzzyCompare$$
    {17, 786, -328},	// QGlobalSpace::qFuzzyIsNull$
    {17, 788, -331},	// QGlobalSpace::qHash#
    {17, 789, -339},	// QGlobalSpace::qHash$
    {17, 790, -350},	// QGlobalSpace::qHash?
    {17, 791, 505},	// QGlobalSpace::qInf
    {17, 793, 431},	// QGlobalSpace::qInstallMsgHandler$
    {17, 795, -353},	// QGlobalSpace::qIntCast$
    {17, 797, -356},	// QGlobalSpace::qIsFinite$
    {17, 799, -359},	// QGlobalSpace::qIsInf$
    {17, 801, -362},	// QGlobalSpace::qIsNaN$
    {17, 803, -365},	// QGlobalSpace::qIsNull$
    {17, 805, 639},	// QGlobalSpace::qLn$
    {17, 807, 599},	// QGlobalSpace::qMalloc?
    {17, 809, 515},	// QGlobalSpace::qMallocAligned??
    {17, 811, 553},	// QGlobalSpace::qMemCopy$$?
    {17, 813, 484},	// QGlobalSpace::qMemSet$$?
    {17, 815, 439},	// QGlobalSpace::qPow$$
    {17, 816, 277},	// QGlobalSpace::qQNaN
    {17, 818, 362},	// QGlobalSpace::qRealloc$?
    {17, 820, 339},	// QGlobalSpace::qReallocAligned$???
    {17, 822, 499},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {17, 824, 422},	// QGlobalSpace::qRemovePostRoutine$
    {17, 826, 227},	// QGlobalSpace::qRound$
    {17, 828, 591},	// QGlobalSpace::qRound64$
    {17, 829, 594},	// QGlobalSpace::qSNaN
    {17, 831, 617},	// QGlobalSpace::qSetFieldWidth$
    {17, 833, 279},	// QGlobalSpace::qSetPadChar#
    {17, 835, 562},	// QGlobalSpace::qSetRealNumberPrecision$
    {17, 836, 501},	// QGlobalSpace::qSharedBuild
    {17, 838, 570},	// QGlobalSpace::qSin$
    {17, 840, 342},	// QGlobalSpace::qSqrt$
    {17, 842, 533},	// QGlobalSpace::qStringComparisonHelper#$
    {17, 843, 618},	// QGlobalSpace::qStringComparisonHelper$$
    {17, 845, 590},	// QGlobalSpace::qTan$
    {17, 847, 416},	// QGlobalSpace::qUncompress#
    {17, 848, 331},	// QGlobalSpace::qUncompress$$
    {17, 849, 524},	// QGlobalSpace::qVersion
    {17, 850, 367},	// QGlobalSpace::qWarning
    {17, 852, 464},	// QGlobalSpace::qbswap_helper$$$
    {17, 854, 241},	// QGlobalSpace::qgetenv$
    {17, 856, 601},	// QGlobalSpace::qputenv$#
    {17, 857, 563},	// QGlobalSpace::qrand
    {17, 859, 473},	// QGlobalSpace::qsrand$
    {17, 861, 397},	// QGlobalSpace::qstrcmp##
    {17, 862, 296},	// QGlobalSpace::qstrcmp#$
    {17, 863, 316},	// QGlobalSpace::qstrcmp$#
    {17, 864, 300},	// QGlobalSpace::qstrcmp$$
    {17, 866, 311},	// QGlobalSpace::qstrcpy$$
    {17, 868, 297},	// QGlobalSpace::qstrdup$
    {17, 870, 482},	// QGlobalSpace::qstricmp$$
    {17, 872, 578},	// QGlobalSpace::qstrlen$
    {17, 874, 252},	// QGlobalSpace::qstrncmp$$$
    {17, 876, 236},	// QGlobalSpace::qstrncpy$$$
    {17, 878, 506},	// QGlobalSpace::qstrnicmp$$$
    {17, 880, 262},	// QGlobalSpace::qstrnlen$$
    {17, 882, 286},	// QGlobalSpace::qtTrId$
    {17, 883, 285},	// QGlobalSpace::qtTrId$$
    {17, 885, 575},	// QGlobalSpace::qt_assert$$$
    {17, 887, 518},	// QGlobalSpace::qt_assert_x$$$$
    {17, 889, 325},	// QGlobalSpace::qt_check_pointer$$
    {17, 890, 273},	// QGlobalSpace::qt_error_string
    {17, 891, 272},	// QGlobalSpace::qt_error_string$
    {17, 893, 471},	// QGlobalSpace::qt_message_output$$
    {17, 898, 445},	// QGlobalSpace::qt_noop
    {17, 900, 450},	// QGlobalSpace::qt_qFindChild_helper#$#
    {17, 902, 270},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {17, 907, 461},	// QGlobalSpace::qvariant_cast_helper#$$
    {17, 909, 256},	// QGlobalSpace::qvsnprintf$?$?
    {19, 6, 717},	// QHostAddress::Any
    {19, 7, 718},	// QHostAddress::AnyIPv6
    {19, 16, 714},	// QHostAddress::Broadcast
    {19, 117, 715},	// QHostAddress::LocalHost
    {19, 118, 716},	// QHostAddress::LocalHostIPv6
    {19, 134, 713},	// QHostAddress::Null
    {19, 167, 683},	// QHostAddress::QHostAddress
    {19, 168, -386},	// QHostAddress::QHostAddress#
    {19, 169, -390},	// QHostAddress::QHostAddress$
    {19, 410, 709},	// QHostAddress::clear
    {19, 563, 710},	// QHostAddress::isInSubnet#$
    {19, 564, 711},	// QHostAddress::isInSubnet?
    {19, 566, 708},	// QHostAddress::isNull
    {19, 628, 706},	// QHostAddress::operator!=#
    {19, 631, 707},	// QHostAddress::operator!=$
    {19, 664, 691},	// QHostAddress::operator=#
    {19, 665, 692},	// QHostAddress::operator=$
    {19, 667, 704},	// QHostAddress::operator==#
    {19, 670, 705},	// QHostAddress::operator==$
    {19, 703, 712},	// QHostAddress::parseSubnet$
    {19, 728, 698},	// QHostAddress::protocol
    {19, 959, 702},	// QHostAddress::scopeId
    {19, 968, -395},	// QHostAddress::setAddress#
    {19, 969, -398},	// QHostAddress::setAddress$
    {19, 1122, 703},	// QHostAddress::setScopeId$
    {19, 1199, 699},	// QHostAddress::toIPv4Address
    {19, 1200, 700},	// QHostAddress::toIPv6Address
    {19, 1205, 701},	// QHostAddress::toString
    {19, 1248, 719},	// QHostAddress::~QHostAddress
    {20, 74, 740},	// QHostInfo::HostNotFound
    {20, 127, 739},	// QHostInfo::NoError
    {20, 170, 738},	// QHostInfo::QHostInfo
    {20, 171, 721},	// QHostInfo::QHostInfo#
    {20, 172, 720},	// QHostInfo::QHostInfo$
    {20, 333, 741},	// QHostInfo::UnknownError
    {20, 355, 734},	// QHostInfo::abortHostLookup$
    {20, 373, 725},	// QHostInfo::addresses
    {20, 487, 727},	// QHostInfo::error
    {20, 489, 729},	// QHostInfo::errorString
    {20, 508, 735},	// QHostInfo::fromName$
    {20, 540, 723},	// QHostInfo::hostName
    {20, 597, 737},	// QHostInfo::localDomainName
    {20, 598, 736},	// QHostInfo::localHostName
    {20, 604, 733},	// QHostInfo::lookupHost$#$
    {20, 605, 732},	// QHostInfo::lookupId
    {20, 664, 722},	// QHostInfo::operator=#
    {20, 971, 726},	// QHostInfo::setAddresses?
    {20, 1014, 728},	// QHostInfo::setError$
    {20, 1017, 730},	// QHostInfo::setErrorString$
    {20, 1031, 724},	// QHostInfo::setHostName$
    {20, 1049, 731},	// QHostInfo::setLookupId$
    {20, 1249, 742},	// QHostInfo::~QHostInfo
    {21, 1, 828},	// QHttp::Aborted
    {21, 11, 829},	// QHttp::AuthenticationRequiredError
    {21, 30, 820},	// QHttp::Closing
    {21, 34, 819},	// QHttp::Connected
    {21, 36, 816},	// QHttp::Connecting
    {21, 40, 812},	// QHttp::ConnectionModeHttp
    {21, 41, 813},	// QHttp::ConnectionModeHttps
    {21, 42, 824},	// QHttp::ConnectionRefused
    {21, 70, 815},	// QHttp::HostLookup
    {21, 74, 823},	// QHttp::HostNotFound
    {21, 88, 826},	// QHttp::InvalidResponseHeader
    {21, 127, 821},	// QHttp::NoError
    {21, 149, 830},	// QHttp::ProxyAuthenticationRequiredError
    {21, 173, 795},	// QHttp::QHttp
    {21, 174, 750},	// QHttp::QHttp#
    {21, 175, 796},	// QHttp::QHttp$
    {21, 176, -408},	// QHttp::QHttp$$
    {21, 177, 751},	// QHttp::QHttp$$#
    {21, 178, 799},	// QHttp::QHttp$$$
    {21, 179, 752},	// QHttp::QHttp$$$#
    {21, 283, 818},	// QHttp::Reading
    {21, 293, 817},	// QHttp::Sending
    {21, 327, 814},	// QHttp::Unconnected
    {21, 330, 825},	// QHttp::UnexpectedClose
    {21, 333, 822},	// QHttp::UnknownError
    {21, 352, 827},	// QHttp::WrongContentLength
    {21, 353, 780},	// QHttp::abort
    {21, 390, 791},	// QHttp::authenticationRequired$$#
    {21, 397, 767},	// QHttp::bytesAvailable
    {21, 412, 776},	// QHttp::clearPendingRequests
    {21, 413, 766},	// QHttp::close
    {21, 414, 765},	// QHttp::closeConnection
    {21, 446, 772},	// QHttp::currentDestinationDevice
    {21, 448, 770},	// QHttp::currentId
    {21, 449, 773},	// QHttp::currentRequest
    {21, 450, 771},	// QHttp::currentSourceDevice
    {21, 455, 786},	// QHttp::dataReadProgress$$
    {21, 457, 785},	// QHttp::dataSendProgress$$
    {21, 475, 789},	// QHttp::done$
    {21, 487, 778},	// QHttp::error
    {21, 489, 779},	// QHttp::errorString
    {21, 516, 805},	// QHttp::get$
    {21, 517, 759},	// QHttp::get$#
    {21, 531, 775},	// QHttp::hasPendingRequests
    {21, 536, 762},	// QHttp::head$
    {21, 542, 781},	// QHttp::ignoreSslErrors
    {21, 583, 774},	// QHttp::lastResponse
    {21, 613, 743},	// QHttp::metaObject
    {21, 722, -411},	// QHttp::post$#
    {21, 723, -414},	// QHttp::post$##
    {21, 733, 790},	// QHttp::proxyAuthenticationRequired##
    {21, 895, 749},	// QHttp::qt_metacall$$?
    {21, 897, 744},	// QHttp::qt_metacast$
    {21, 919, 768},	// QHttp::read$?
    {21, 920, 769},	// QHttp::readAll
    {21, 931, 784},	// QHttp::readyRead#
    {21, 946, 808},	// QHttp::request#
    {21, 947, -417},	// QHttp::request##
    {21, 948, -420},	// QHttp::request###
    {21, 950, 788},	// QHttp::requestFinished$$
    {21, 952, 787},	// QHttp::requestStarted$
    {21, 955, 783},	// QHttp::responseHeaderReceived#
    {21, 1027, 800},	// QHttp::setHost$
    {21, 1028, -423},	// QHttp::setHost$$
    {21, 1029, 754},	// QHttp::setHost$$$
    {21, 1098, 758},	// QHttp::setProxy#
    {21, 1099, 803},	// QHttp::setProxy$$
    {21, 1100, 804},	// QHttp::setProxy$$$
    {21, 1101, 757},	// QHttp::setProxy$$$$
    {21, 1128, 755},	// QHttp::setSocket#
    {21, 1160, 802},	// QHttp::setUser$
    {21, 1161, 756},	// QHttp::setUser$$
    {21, 1179, 792},	// QHttp::sslErrors?
    {21, 1182, 777},	// QHttp::state
    {21, 1184, 782},	// QHttp::stateChanged$
    {21, 1185, 811},	// QHttp::staticMetaObject
    {21, 1207, 793},	// QHttp::tr$
    {21, 1208, 745},	// QHttp::tr$$
    {21, 1209, 747},	// QHttp::tr$$$
    {21, 1211, 794},	// QHttp::trUtf8$
    {21, 1212, 746},	// QHttp::trUtf8$$
    {21, 1213, 748},	// QHttp::trUtf8$$$
    {21, 1250, 831},	// QHttp::~QHttp
    {22, 180, 832},	// QHttpHeader::QHttpHeader
    {22, 181, 833},	// QHttpHeader::QHttpHeader#
    {22, 182, 834},	// QHttpHeader::QHttpHeader$
    {22, 371, 838},	// QHttpHeader::addValue$$
    {22, 379, 843},	// QHttpHeader::allValues$
    {22, 437, 847},	// QHttpHeader::contentLength
    {22, 438, 850},	// QHttpHeader::contentType
    {22, 524, 846},	// QHttpHeader::hasContentLength
    {22, 525, 849},	// QHttpHeader::hasContentType
    {22, 527, 840},	// QHttpHeader::hasKey$
    {22, 574, 853},	// QHttpHeader::isValid
    {22, 580, 841},	// QHttpHeader::keys
    {22, 606, 854},	// QHttpHeader::majorVersion
    {22, 615, 855},	// QHttpHeader::minorVersion
    {22, 664, 835},	// QHttpHeader::operator=#
    {22, 697, 857},	// QHttpHeader::parse$
    {22, 701, 856},	// QHttpHeader::parseLine$$
    {22, 938, 845},	// QHttpHeader::removeAllValues$
    {22, 942, 844},	// QHttpHeader::removeValue$
    {22, 996, 848},	// QHttpHeader::setContentLength$
    {22, 998, 851},	// QHttpHeader::setContentType$
    {22, 1163, 858},	// QHttpHeader::setValid$
    {22, 1166, 836},	// QHttpHeader::setValue$$
    {22, 1168, 837},	// QHttpHeader::setValues?
    {22, 1205, 852},	// QHttpHeader::toString
    {22, 1223, 842},	// QHttpHeader::value$
    {22, 1224, 839},	// QHttpHeader::values
    {22, 1251, 859},	// QHttpHeader::~QHttpHeader
    {23, 183, 860},	// QHttpRequestHeader::QHttpRequestHeader
    {23, 184, 862},	// QHttpRequestHeader::QHttpRequestHeader#
    {23, 185, 863},	// QHttpRequestHeader::QHttpRequestHeader$
    {23, 186, 872},	// QHttpRequestHeader::QHttpRequestHeader$$
    {23, 187, 873},	// QHttpRequestHeader::QHttpRequestHeader$$$
    {23, 188, 861},	// QHttpRequestHeader::QHttpRequestHeader$$$$
    {23, 606, 868},	// QHttpRequestHeader::majorVersion
    {23, 614, 866},	// QHttpRequestHeader::method
    {23, 615, 869},	// QHttpRequestHeader::minorVersion
    {23, 664, 864},	// QHttpRequestHeader::operator=#
    {23, 701, 871},	// QHttpRequestHeader::parseLine$$
    {23, 705, 867},	// QHttpRequestHeader::path
    {23, 1116, 874},	// QHttpRequestHeader::setRequest$$
    {23, 1117, 875},	// QHttpRequestHeader::setRequest$$$
    {23, 1118, 865},	// QHttpRequestHeader::setRequest$$$$
    {23, 1205, 870},	// QHttpRequestHeader::toString
    {23, 1252, 876},	// QHttpRequestHeader::~QHttpRequestHeader
    {24, 189, 877},	// QHttpResponseHeader::QHttpResponseHeader
    {24, 190, 878},	// QHttpResponseHeader::QHttpResponseHeader#
    {24, 191, -368},	// QHttpResponseHeader::QHttpResponseHeader$
    {24, 192, 890},	// QHttpResponseHeader::QHttpResponseHeader$$
    {24, 193, 891},	// QHttpResponseHeader::QHttpResponseHeader$$$
    {24, 194, 880},	// QHttpResponseHeader::QHttpResponseHeader$$$$
    {24, 606, 885},	// QHttpResponseHeader::majorVersion
    {24, 615, 886},	// QHttpResponseHeader::minorVersion
    {24, 664, 881},	// QHttpResponseHeader::operator=#
    {24, 701, 888},	// QHttpResponseHeader::parseLine$$
    {24, 933, 884},	// QHttpResponseHeader::reasonPhrase
    {24, 1145, 892},	// QHttpResponseHeader::setStatusLine$
    {24, 1146, 893},	// QHttpResponseHeader::setStatusLine$$
    {24, 1147, 894},	// QHttpResponseHeader::setStatusLine$$$
    {24, 1148, 882},	// QHttpResponseHeader::setStatusLine$$$$
    {24, 1186, 883},	// QHttpResponseHeader::statusCode
    {24, 1205, 887},	// QHttpResponseHeader::toString
    {24, 1253, 895},	// QHttpResponseHeader::~QHttpResponseHeader
    {26, 195, 919},	// QIPv6Address::QIPv6Address
    {26, 196, 920},	// QIPv6Address::QIPv6Address#
    {26, 688, -438},	// QIPv6Address::operator[]$
    {26, 1254, 921},	// QIPv6Address::~QIPv6Address
    {31, 197, 947},	// QLocalServer::QLocalServer
    {31, 198, 930},	// QLocalServer::QLocalServer#
    {31, 413, 931},	// QLocalServer::close
    {31, 489, 932},	// QLocalServer::errorString
    {31, 513, 939},	// QLocalServer::fullServerName
    {31, 529, 933},	// QLocalServer::hasPendingConnections
    {31, 546, 944},	// QLocalServer::incomingConnection?
    {31, 565, 934},	// QLocalServer::isListening
    {31, 594, 935},	// QLocalServer::listen$
    {31, 608, 936},	// QLocalServer::maxPendingConnections
    {31, 613, 922},	// QLocalServer::metaObject
    {31, 623, 929},	// QLocalServer::newConnection
    {31, 624, 937},	// QLocalServer::nextPendingConnection
    {31, 895, 928},	// QLocalServer::qt_metacall$$?
    {31, 897, 923},	// QLocalServer::qt_metacast$
    {31, 940, 940},	// QLocalServer::removeServer$
    {31, 963, 941},	// QLocalServer::serverError
    {31, 964, 938},	// QLocalServer::serverName
    {31, 1051, 942},	// QLocalServer::setMaxPendingConnections$
    {31, 1185, 950},	// QLocalServer::staticMetaObject
    {31, 1207, 945},	// QLocalServer::tr$
    {31, 1208, 924},	// QLocalServer::tr$$
    {31, 1209, 926},	// QLocalServer::tr$$$
    {31, 1211, 946},	// QLocalServer::trUtf8$
    {31, 1212, 925},	// QLocalServer::trUtf8$$
    {31, 1213, 927},	// QLocalServer::trUtf8$$$
    {31, 1234, 948},	// QLocalServer::waitForNewConnection
    {31, 1235, 949},	// QLocalServer::waitForNewConnection$
    {31, 1236, 943},	// QLocalServer::waitForNewConnection$$
    {31, 1255, 951},	// QLocalServer::~QLocalServer
    {32, 31, 1012},	// QLocalSocket::ClosingState
    {32, 35, 1011},	// QLocalSocket::ConnectedState
    {32, 37, 1010},	// QLocalSocket::ConnectingState
    {32, 39, 1006},	// QLocalSocket::ConnectionError
    {32, 43, 999},	// QLocalSocket::ConnectionRefusedError
    {32, 52, 1005},	// QLocalSocket::DatagramTooLargeError
    {32, 140, 1000},	// QLocalSocket::PeerClosedError
    {32, 199, 990},	// QLocalSocket::QLocalSocket
    {32, 200, 959},	// QLocalSocket::QLocalSocket#
    {32, 294, 1001},	// QLocalSocket::ServerNotFoundError
    {32, 299, 1002},	// QLocalSocket::SocketAccessError
    {32, 301, 1003},	// QLocalSocket::SocketResourceError
    {32, 302, 1004},	// QLocalSocket::SocketTimeoutError
    {32, 328, 1009},	// QLocalSocket::UnconnectedState
    {32, 339, 1008},	// QLocalSocket::UnknownSocketError
    {32, 342, 1007},	// QLocalSocket::UnsupportedSocketOperationError
    {32, 353, 964},	// QLocalSocket::abort
    {32, 397, 966},	// QLocalSocket::bytesAvailable
    {32, 398, 967},	// QLocalSocket::bytesToWrite
    {32, 403, 968},	// QLocalSocket::canReadLine
    {32, 413, 969},	// QLocalSocket::close
    {32, 434, 991},	// QLocalSocket::connectToServer$
    {32, 435, 960},	// QLocalSocket::connectToServer$$
    {32, 436, 982},	// QLocalSocket::connected
    {32, 470, 961},	// QLocalSocket::disconnectFromServer
    {32, 472, 983},	// QLocalSocket::disconnected
    {32, 487, 970},	// QLocalSocket::error
    {32, 488, 984},	// QLocalSocket::error$
    {32, 500, 971},	// QLocalSocket::flush
    {32, 513, 963},	// QLocalSocket::fullServerName
    {32, 570, 965},	// QLocalSocket::isSequential
    {32, 574, 972},	// QLocalSocket::isValid
    {32, 613, 952},	// QLocalSocket::metaObject
    {32, 895, 958},	// QLocalSocket::qt_metacall$$?
    {32, 897, 953},	// QLocalSocket::qt_metacast$
    {32, 921, 973},	// QLocalSocket::readBufferSize
    {32, 923, 986},	// QLocalSocket::readData$?
    {32, 964, 962},	// QLocalSocket::serverName
    {32, 1111, 974},	// QLocalSocket::setReadBufferSize?
    {32, 1133, 992},	// QLocalSocket::setSocketDescriptor?
    {32, 1134, 993},	// QLocalSocket::setSocketDescriptor?$
    {32, 1135, 975},	// QLocalSocket::setSocketDescriptor?$$
    {32, 1172, 976},	// QLocalSocket::socketDescriptor
    {32, 1182, 977},	// QLocalSocket::state
    {32, 1184, 985},	// QLocalSocket::stateChanged$
    {32, 1185, 998},	// QLocalSocket::staticMetaObject
    {32, 1207, 988},	// QLocalSocket::tr$
    {32, 1208, 954},	// QLocalSocket::tr$$
    {32, 1209, 956},	// QLocalSocket::tr$$$
    {32, 1211, 989},	// QLocalSocket::trUtf8$
    {32, 1212, 955},	// QLocalSocket::trUtf8$$
    {32, 1213, 957},	// QLocalSocket::trUtf8$$$
    {32, 1226, 994},	// QLocalSocket::waitForBytesWritten
    {32, 1227, 978},	// QLocalSocket::waitForBytesWritten$
    {32, 1228, 995},	// QLocalSocket::waitForConnected
    {32, 1229, 979},	// QLocalSocket::waitForConnected$
    {32, 1230, 996},	// QLocalSocket::waitForDisconnected
    {32, 1231, 980},	// QLocalSocket::waitForDisconnected$
    {32, 1237, 997},	// QLocalSocket::waitForReadyRead
    {32, 1238, 981},	// QLocalSocket::waitForReadyRead$
    {32, 1240, 987},	// QLocalSocket::writeData$?
    {32, 1256, 1013},	// QLocalSocket::~QLocalSocket
    {37, 55, 1051},	// QNetworkAccessManager::DeleteOperation
    {37, 68, 1048},	// QNetworkAccessManager::GetOperation
    {37, 69, 1047},	// QNetworkAccessManager::HeadOperation
    {37, 142, 1050},	// QNetworkAccessManager::PostOperation
    {37, 158, 1049},	// QNetworkAccessManager::PutOperation
    {37, 201, 1044},	// QNetworkAccessManager::QNetworkAccessManager
    {37, 202, 1021},	// QNetworkAccessManager::QNetworkAccessManager#
    {37, 336, 1052},	// QNetworkAccessManager::UnknownOperation
    {37, 389, 1038},	// QNetworkAccessManager::authenticationRequired##
    {37, 400, 1026},	// QNetworkAccessManager::cache
    {37, 439, 1028},	// QNetworkAccessManager::cookieJar
    {37, 443, 1045},	// QNetworkAccessManager::createRequest$#
    {37, 444, 1041},	// QNetworkAccessManager::createRequest$##
    {37, 464, 1036},	// QNetworkAccessManager::deleteResource#
    {37, 498, 1039},	// QNetworkAccessManager::finished#
    {37, 515, 1031},	// QNetworkAccessManager::get#
    {37, 535, 1030},	// QNetworkAccessManager::head#
    {37, 613, 1014},	// QNetworkAccessManager::metaObject
    {37, 721, -429},	// QNetworkAccessManager::post##
    {37, 731, 1022},	// QNetworkAccessManager::proxy
    {37, 733, 1037},	// QNetworkAccessManager::proxyAuthenticationRequired##
    {37, 734, 1024},	// QNetworkAccessManager::proxyFactory
    {37, 739, -432},	// QNetworkAccessManager::put##
    {37, 895, 1020},	// QNetworkAccessManager::qt_metacall$$?
    {37, 897, 1015},	// QNetworkAccessManager::qt_metacast$
    {37, 987, 1027},	// QNetworkAccessManager::setCache#
    {37, 1000, 1029},	// QNetworkAccessManager::setCookieJar#
    {37, 1098, 1023},	// QNetworkAccessManager::setProxy#
    {37, 1103, 1025},	// QNetworkAccessManager::setProxyFactory#
    {37, 1178, 1040},	// QNetworkAccessManager::sslErrors#?
    {37, 1185, 1046},	// QNetworkAccessManager::staticMetaObject
    {37, 1207, 1042},	// QNetworkAccessManager::tr$
    {37, 1208, 1016},	// QNetworkAccessManager::tr$$
    {37, 1209, 1018},	// QNetworkAccessManager::tr$$$
    {37, 1211, 1043},	// QNetworkAccessManager::trUtf8$
    {37, 1212, 1017},	// QNetworkAccessManager::trUtf8$$
    {37, 1213, 1019},	// QNetworkAccessManager::trUtf8$$$
    {37, 1257, 1053},	// QNetworkAccessManager::~QNetworkAccessManager
    {38, 203, 1054},	// QNetworkAddressEntry::QNetworkAddressEntry
    {38, 204, 1055},	// QNetworkAddressEntry::QNetworkAddressEntry#
    {38, 396, 1065},	// QNetworkAddressEntry::broadcast
    {38, 554, 1059},	// QNetworkAddressEntry::ip
    {38, 622, 1061},	// QNetworkAddressEntry::netmask
    {38, 628, 1058},	// QNetworkAddressEntry::operator!=#
    {38, 664, 1056},	// QNetworkAddressEntry::operator=#
    {38, 667, 1057},	// QNetworkAddressEntry::operator==#
    {38, 724, 1063},	// QNetworkAddressEntry::prefixLength
    {38, 983, 1066},	// QNetworkAddressEntry::setBroadcast#
    {38, 1035, 1060},	// QNetworkAddressEntry::setIp#
    {38, 1058, 1062},	// QNetworkAddressEntry::setNetmask#
    {38, 1086, 1064},	// QNetworkAddressEntry::setPrefixLength$
    {38, 1258, 1067},	// QNetworkAddressEntry::~QNetworkAddressEntry
    {39, 205, 1068},	// QNetworkCacheMetaData::QNetworkCacheMetaData
    {39, 206, 1069},	// QNetworkCacheMetaData::QNetworkCacheMetaData#
    {39, 386, 1084},	// QNetworkCacheMetaData::attributes
    {39, 492, 1080},	// QNetworkCacheMetaData::expirationDate
    {39, 574, 1073},	// QNetworkCacheMetaData::isValid
    {39, 581, 1078},	// QNetworkCacheMetaData::lastModified
    {39, 628, 1072},	// QNetworkCacheMetaData::operator!=#
    {39, 664, 1070},	// QNetworkCacheMetaData::operator=#
    {39, 667, 1071},	// QNetworkCacheMetaData::operator==#
    {39, 917, 1076},	// QNetworkCacheMetaData::rawHeaders
    {39, 958, 1082},	// QNetworkCacheMetaData::saveToDisk
    {39, 981, 1085},	// QNetworkCacheMetaData::setAttributes?
    {39, 1019, 1081},	// QNetworkCacheMetaData::setExpirationDate#
    {39, 1037, 1079},	// QNetworkCacheMetaData::setLastModified#
    {39, 1109, 1077},	// QNetworkCacheMetaData::setRawHeaders?
    {39, 1120, 1083},	// QNetworkCacheMetaData::setSaveToDisk$
    {39, 1156, 1075},	// QNetworkCacheMetaData::setUrl#
    {39, 1219, 1074},	// QNetworkCacheMetaData::url
    {39, 1259, 1086},	// QNetworkCacheMetaData::~QNetworkCacheMetaData
    {40, 66, 1113},	// QNetworkCookie::Full
    {40, 125, 1112},	// QNetworkCookie::NameAndValueOnly
    {40, 207, 1109},	// QNetworkCookie::QNetworkCookie
    {40, 208, -383},	// QNetworkCookie::QNetworkCookie#
    {40, 209, 1087},	// QNetworkCookie::QNetworkCookie##
    {40, 473, 1099},	// QNetworkCookie::domain
    {40, 492, 1097},	// QNetworkCookie::expirationDate
    {40, 561, 1094},	// QNetworkCookie::isHttpOnly
    {40, 569, 1092},	// QNetworkCookie::isSecure
    {40, 571, 1096},	// QNetworkCookie::isSessionCookie
    {40, 621, 1103},	// QNetworkCookie::name
    {40, 628, 1091},	// QNetworkCookie::operator!=#
    {40, 664, 1089},	// QNetworkCookie::operator=#
    {40, 667, 1090},	// QNetworkCookie::operator==#
    {40, 699, 1108},	// QNetworkCookie::parseCookies#
    {40, 705, 1101},	// QNetworkCookie::path
    {40, 1012, 1100},	// QNetworkCookie::setDomain$
    {40, 1019, 1098},	// QNetworkCookie::setExpirationDate#
    {40, 1033, 1095},	// QNetworkCookie::setHttpOnly$
    {40, 1055, 1104},	// QNetworkCookie::setName#
    {40, 1068, 1102},	// QNetworkCookie::setPath$
    {40, 1124, 1093},	// QNetworkCookie::setSecure$
    {40, 1165, 1106},	// QNetworkCookie::setValue#
    {40, 1203, 1111},	// QNetworkCookie::toRawForm
    {40, 1204, 1107},	// QNetworkCookie::toRawForm$
    {40, 1222, 1105},	// QNetworkCookie::value
    {40, 1260, 1114},	// QNetworkCookie::~QNetworkCookie
    {41, 210, 1129},	// QNetworkCookieJar::QNetworkCookieJar
    {41, 211, 1122},	// QNetworkCookieJar::QNetworkCookieJar#
    {41, 376, 1125},	// QNetworkCookieJar::allCookies
    {41, 441, 1123},	// QNetworkCookieJar::cookiesForUrl#
    {41, 613, 1115},	// QNetworkCookieJar::metaObject
    {41, 895, 1121},	// QNetworkCookieJar::qt_metacall$$?
    {41, 897, 1116},	// QNetworkCookieJar::qt_metacast$
    {41, 973, 1126},	// QNetworkCookieJar::setAllCookies?
    {41, 1002, 1124},	// QNetworkCookieJar::setCookiesFromUrl?#
    {41, 1185, 1130},	// QNetworkCookieJar::staticMetaObject
    {41, 1207, 1127},	// QNetworkCookieJar::tr$
    {41, 1208, 1117},	// QNetworkCookieJar::tr$$
    {41, 1209, 1119},	// QNetworkCookieJar::tr$$$
    {41, 1211, 1128},	// QNetworkCookieJar::trUtf8$
    {41, 1212, 1118},	// QNetworkCookieJar::trUtf8$$
    {41, 1213, 1120},	// QNetworkCookieJar::trUtf8$$$
    {41, 1261, 1131},	// QNetworkCookieJar::~QNetworkCookieJar
    {42, 212, 1156},	// QNetworkDiskCache::QNetworkDiskCache
    {42, 213, 1139},	// QNetworkDiskCache::QNetworkDiskCache#
    {42, 401, 1140},	// QNetworkDiskCache::cacheDirectory
    {42, 402, 1144},	// QNetworkDiskCache::cacheSize
    {42, 410, 1152},	// QNetworkDiskCache::clear
    {42, 453, 1147},	// QNetworkDiskCache::data#
    {42, 493, 1153},	// QNetworkDiskCache::expire
    {42, 496, 1151},	// QNetworkDiskCache::fileMetaData$
    {42, 549, 1150},	// QNetworkDiskCache::insert#
    {42, 609, 1142},	// QNetworkDiskCache::maximumCacheSize
    {42, 611, 1145},	// QNetworkDiskCache::metaData#
    {42, 613, 1132},	// QNetworkDiskCache::metaObject
    {42, 726, 1149},	// QNetworkDiskCache::prepare#
    {42, 895, 1138},	// QNetworkDiskCache::qt_metacall$$?
    {42, 897, 1133},	// QNetworkDiskCache::qt_metacast$
    {42, 935, 1148},	// QNetworkDiskCache::remove#
    {42, 989, 1141},	// QNetworkDiskCache::setCacheDirectory$
    {42, 1053, 1143},	// QNetworkDiskCache::setMaximumCacheSize?
    {42, 1185, 1157},	// QNetworkDiskCache::staticMetaObject
    {42, 1207, 1154},	// QNetworkDiskCache::tr$
    {42, 1208, 1134},	// QNetworkDiskCache::tr$$
    {42, 1209, 1136},	// QNetworkDiskCache::tr$$$
    {42, 1211, 1155},	// QNetworkDiskCache::trUtf8$
    {42, 1212, 1135},	// QNetworkDiskCache::trUtf8$$
    {42, 1213, 1137},	// QNetworkDiskCache::trUtf8$$$
    {42, 1216, 1146},	// QNetworkDiskCache::updateMetaData#
    {42, 1262, 1158},	// QNetworkDiskCache::~QNetworkDiskCache
    {43, 20, 1175},	// QNetworkInterface::CanBroadcast
    {43, 21, 1178},	// QNetworkInterface::CanMulticast
    {43, 89, 1176},	// QNetworkInterface::IsLoopBack
    {43, 90, 1177},	// QNetworkInterface::IsPointToPoint
    {43, 91, 1174},	// QNetworkInterface::IsRunning
    {43, 92, 1173},	// QNetworkInterface::IsUp
    {43, 214, 1159},	// QNetworkInterface::QNetworkInterface
    {43, 215, 1160},	// QNetworkInterface::QNetworkInterface#
    {43, 372, 1168},	// QNetworkInterface::addressEntries
    {43, 375, 1172},	// QNetworkInterface::allAddresses
    {43, 377, 1171},	// QNetworkInterface::allInterfaces
    {43, 499, 1166},	// QNetworkInterface::flags
    {43, 523, 1167},	// QNetworkInterface::hardwareAddress
    {43, 541, 1165},	// QNetworkInterface::humanReadableName
    {43, 547, 1163},	// QNetworkInterface::index
    {43, 551, 1170},	// QNetworkInterface::interfaceFromIndex$
    {43, 553, 1169},	// QNetworkInterface::interfaceFromName$
    {43, 574, 1162},	// QNetworkInterface::isValid
    {43, 621, 1164},	// QNetworkInterface::name
    {43, 664, 1161},	// QNetworkInterface::operator=#
    {43, 1263, 1179},	// QNetworkInterface::~QNetworkInterface
    {44, 19, 1215},	// QNetworkProxy::CachingCapability
    {44, 54, 1206},	// QNetworkProxy::DefaultProxy
    {44, 65, 1211},	// QNetworkProxy::FtpCachingProxy
    {44, 72, 1216},	// QNetworkProxy::HostNameLookupCapability
    {44, 76, 1210},	// QNetworkProxy::HttpCachingProxy
    {44, 79, 1209},	// QNetworkProxy::HttpProxy
    {44, 115, 1213},	// QNetworkProxy::ListeningCapability
    {44, 129, 1208},	// QNetworkProxy::NoProxy
    {44, 216, 1180},	// QNetworkProxy::QNetworkProxy
    {44, 217, 1182},	// QNetworkProxy::QNetworkProxy#
    {44, 218, 1202},	// QNetworkProxy::QNetworkProxy$
    {44, 219, 1203},	// QNetworkProxy::QNetworkProxy$$
    {44, 220, 1204},	// QNetworkProxy::QNetworkProxy$$$
    {44, 221, 1205},	// QNetworkProxy::QNetworkProxy$$$$
    {44, 222, 1181},	// QNetworkProxy::QNetworkProxy$$$$$
    {44, 303, 1207},	// QNetworkProxy::Socks5Proxy
    {44, 318, 1212},	// QNetworkProxy::TunnelingCapability
    {44, 320, 1214},	// QNetworkProxy::UdpTunnelingCapability
    {44, 381, 1201},	// QNetworkProxy::applicationProxy
    {44, 404, 1189},	// QNetworkProxy::capabilities
    {44, 540, 1197},	// QNetworkProxy::hostName
    {44, 555, 1190},	// QNetworkProxy::isCachingProxy
    {44, 573, 1191},	// QNetworkProxy::isTransparentProxy
    {44, 628, 1185},	// QNetworkProxy::operator!=#
    {44, 664, 1183},	// QNetworkProxy::operator=#
    {44, 667, 1184},	// QNetworkProxy::operator==#
    {44, 704, 1195},	// QNetworkProxy::password
    {44, 718, 1199},	// QNetworkProxy::port
    {44, 975, 1200},	// QNetworkProxy::setApplicationProxy#
    {44, 991, 1188},	// QNetworkProxy::setCapabilities$
    {44, 1031, 1196},	// QNetworkProxy::setHostName$
    {44, 1066, 1194},	// QNetworkProxy::setPassword$
    {44, 1084, 1198},	// QNetworkProxy::setPort$
    {44, 1154, 1186},	// QNetworkProxy::setType$
    {44, 1160, 1192},	// QNetworkProxy::setUser$
    {44, 1214, 1187},	// QNetworkProxy::type
    {44, 1221, 1193},	// QNetworkProxy::user
    {44, 1264, 1217},	// QNetworkProxy::~QNetworkProxy
    {45, 223, 1218},	// QNetworkProxyFactory::QNetworkProxyFactory
    {45, 224, 1224},	// QNetworkProxyFactory::QNetworkProxyFactory#
    {45, 736, 1222},	// QNetworkProxyFactory::proxyForQuery#
    {45, 903, 1225},	// QNetworkProxyFactory::queryProxy
    {45, 904, 1219},	// QNetworkProxyFactory::queryProxy#
    {45, 977, 1221},	// QNetworkProxyFactory::setApplicationProxyFactory#
    {45, 1158, 1220},	// QNetworkProxyFactory::setUseSystemConfiguration$
    {45, 1194, 1226},	// QNetworkProxyFactory::systemProxyForQuery
    {45, 1195, 1223},	// QNetworkProxyFactory::systemProxyForQuery#
    {45, 1265, 1227},	// QNetworkProxyFactory::~QNetworkProxyFactory
    {46, 225, 1228},	// QNetworkProxyQuery::QNetworkProxyQuery
    {46, 226, -448},	// QNetworkProxyQuery::QNetworkProxyQuery#
    {46, 227, 1229},	// QNetworkProxyQuery::QNetworkProxyQuery#$
    {46, 228, 1251},	// QNetworkProxyQuery::QNetworkProxyQuery$
    {46, 229, -451},	// QNetworkProxyQuery::QNetworkProxyQuery$$
    {46, 230, -454},	// QNetworkProxyQuery::QNetworkProxyQuery$$$
    {46, 231, 1230},	// QNetworkProxyQuery::QNetworkProxyQuery$$$$
    {46, 312, 1255},	// QNetworkProxyQuery::TcpServer
    {46, 313, 1253},	// QNetworkProxyQuery::TcpSocket
    {46, 319, 1254},	// QNetworkProxyQuery::UdpSocket
    {46, 343, 1256},	// QNetworkProxyQuery::UrlRequest
    {46, 599, 1242},	// QNetworkProxyQuery::localPort
    {46, 628, 1235},	// QNetworkProxyQuery::operator!=#
    {46, 664, 1233},	// QNetworkProxyQuery::operator=#
    {46, 667, 1234},	// QNetworkProxyQuery::operator==#
    {46, 709, 1240},	// QNetworkProxyQuery::peerHostName
    {46, 711, 1238},	// QNetworkProxyQuery::peerPort
    {46, 730, 1244},	// QNetworkProxyQuery::protocolTag
    {46, 905, 1236},	// QNetworkProxyQuery::queryType
    {46, 1047, 1243},	// QNetworkProxyQuery::setLocalPort$
    {46, 1072, 1241},	// QNetworkProxyQuery::setPeerHostName$
    {46, 1076, 1239},	// QNetworkProxyQuery::setPeerPort$
    {46, 1096, 1245},	// QNetworkProxyQuery::setProtocolTag$
    {46, 1105, 1237},	// QNetworkProxyQuery::setQueryType$
    {46, 1156, 1247},	// QNetworkProxyQuery::setUrl#
    {46, 1219, 1246},	// QNetworkProxyQuery::url
    {46, 1266, 1257},	// QNetworkProxyQuery::~QNetworkProxyQuery
    {47, 11, 1322},	// QNetworkReply::AuthenticationRequiredError
    {47, 43, 1306},	// QNetworkReply::ConnectionRefusedError
    {47, 44, 1319},	// QNetworkReply::ContentAccessDenied
    {47, 46, 1321},	// QNetworkReply::ContentNotFoundError
    {47, 47, 1320},	// QNetworkReply::ContentOperationNotPermittedError
    {47, 48, 1323},	// QNetworkReply::ContentReSendError
    {47, 75, 1308},	// QNetworkReply::HostNotFoundError
    {47, 127, 1305},	// QNetworkReply::NoError
    {47, 135, 1310},	// QNetworkReply::OperationCanceledError
    {47, 146, 1327},	// QNetworkReply::ProtocolFailure
    {47, 147, 1326},	// QNetworkReply::ProtocolInvalidOperationError
    {47, 148, 1325},	// QNetworkReply::ProtocolUnknownError
    {47, 149, 1317},	// QNetworkReply::ProxyAuthenticationRequiredError
    {47, 150, 1314},	// QNetworkReply::ProxyConnectionClosedError
    {47, 151, 1313},	// QNetworkReply::ProxyConnectionRefusedError
    {47, 153, 1315},	// QNetworkReply::ProxyNotFoundError
    {47, 155, 1316},	// QNetworkReply::ProxyTimeoutError
    {47, 232, 1303},	// QNetworkReply::QNetworkReply
    {47, 233, 1292},	// QNetworkReply::QNetworkReply#
    {47, 285, 1307},	// QNetworkReply::RemoteHostClosedError
    {47, 306, 1311},	// QNetworkReply::SslHandshakeFailedError
    {47, 315, 1309},	// QNetworkReply::TimeoutError
    {47, 332, 1324},	// QNetworkReply::UnknownContentError
    {47, 334, 1312},	// QNetworkReply::UnknownNetworkError
    {47, 338, 1318},	// QNetworkReply::UnknownProxyError
    {47, 353, 1265},	// QNetworkReply::abort
    {47, 384, 1281},	// QNetworkReply::attribute$
    {47, 413, 1266},	// QNetworkReply::close
    {47, 477, 1291},	// QNetworkReply::downloadProgress??
    {47, 487, 1273},	// QNetworkReply::error
    {47, 488, 1288},	// QNetworkReply::error$
    {47, 497, 1287},	// QNetworkReply::finished
    {47, 533, 1278},	// QNetworkReply::hasRawHeader#
    {47, 538, 1277},	// QNetworkReply::header$
    {47, 542, 1285},	// QNetworkReply::ignoreSslErrors
    {47, 543, 1284},	// QNetworkReply::ignoreSslErrors?
    {47, 560, 1274},	// QNetworkReply::isFinished
    {47, 568, 1275},	// QNetworkReply::isRunning
    {47, 570, 1267},	// QNetworkReply::isSequential
    {47, 607, 1270},	// QNetworkReply::manager
    {47, 612, 1286},	// QNetworkReply::metaDataChanged
    {47, 613, 1258},	// QNetworkReply::metaObject
    {47, 626, 1271},	// QNetworkReply::operation
    {47, 895, 1264},	// QNetworkReply::qt_metacall$$?
    {47, 897, 1259},	// QNetworkReply::qt_metacast$
    {47, 915, 1280},	// QNetworkReply::rawHeader#
    {47, 916, 1279},	// QNetworkReply::rawHeaderList
    {47, 921, 1268},	// QNetworkReply::readBufferSize
    {47, 945, 1272},	// QNetworkReply::request
    {47, 979, 1300},	// QNetworkReply::setAttribute$#
    {47, 1015, 1296},	// QNetworkReply::setError$$
    {47, 1025, 1298},	// QNetworkReply::setHeader$#
    {47, 1060, 1294},	// QNetworkReply::setOperation$
    {47, 1107, 1299},	// QNetworkReply::setRawHeader##
    {47, 1111, 1269},	// QNetworkReply::setReadBufferSize?
    {47, 1115, 1295},	// QNetworkReply::setRequest#
    {47, 1143, 1283},	// QNetworkReply::setSslConfiguration#
    {47, 1156, 1297},	// QNetworkReply::setUrl#
    {47, 1176, 1282},	// QNetworkReply::sslConfiguration
    {47, 1179, 1289},	// QNetworkReply::sslErrors?
    {47, 1185, 1304},	// QNetworkReply::staticMetaObject
    {47, 1207, 1301},	// QNetworkReply::tr$
    {47, 1208, 1260},	// QNetworkReply::tr$$
    {47, 1209, 1262},	// QNetworkReply::tr$$$
    {47, 1211, 1302},	// QNetworkReply::trUtf8$
    {47, 1212, 1261},	// QNetworkReply::trUtf8$$
    {47, 1213, 1263},	// QNetworkReply::trUtf8$$$
    {47, 1218, 1290},	// QNetworkReply::uploadProgress??
    {47, 1219, 1276},	// QNetworkReply::url
    {47, 1240, 1293},	// QNetworkReply::writeData$?
    {47, 1267, 1328},	// QNetworkReply::~QNetworkReply
    {48, 4, 1371},	// QNetworkRequest::AlwaysCache
    {48, 5, 1368},	// QNetworkRequest::AlwaysNetwork
    {48, 17, 1360},	// QNetworkRequest::CacheLoadControlAttribute
    {48, 18, 1361},	// QNetworkRequest::CacheSaveControlAttribute
    {48, 38, 1359},	// QNetworkRequest::ConnectionEncryptedAttribute
    {48, 45, 1351},	// QNetworkRequest::ContentLengthHeader
    {48, 49, 1350},	// QNetworkRequest::ContentTypeHeader
    {48, 50, 1354},	// QNetworkRequest::CookieHeader
    {48, 58, 1363},	// QNetworkRequest::DoNotBufferUploadDataAttribute
    {48, 77, 1364},	// QNetworkRequest::HttpPipeliningAllowedAttribute
    {48, 78, 1365},	// QNetworkRequest::HttpPipeliningWasUsedAttribute
    {48, 80, 1357},	// QNetworkRequest::HttpReasonPhraseAttribute
    {48, 81, 1356},	// QNetworkRequest::HttpStatusCodeAttribute
    {48, 94, 1353},	// QNetworkRequest::LastModifiedHeader
    {48, 120, 1352},	// QNetworkRequest::LocationHeader
    {48, 143, 1370},	// QNetworkRequest::PreferCache
    {48, 144, 1369},	// QNetworkRequest::PreferNetwork
    {48, 234, 1348},	// QNetworkRequest::QNetworkRequest
    {48, 235, -426},	// QNetworkRequest::QNetworkRequest#
    {48, 284, 1358},	// QNetworkRequest::RedirectionTargetAttribute
    {48, 295, 1355},	// QNetworkRequest::SetCookieHeader
    {48, 304, 1362},	// QNetworkRequest::SourceIsFromCacheAttribute
    {48, 344, 1366},	// QNetworkRequest::User
    {48, 345, 1367},	// QNetworkRequest::UserMax
    {48, 384, 1349},	// QNetworkRequest::attribute$
    {48, 385, 1342},	// QNetworkRequest::attribute$#
    {48, 533, 1338},	// QNetworkRequest::hasRawHeader#
    {48, 538, 1336},	// QNetworkRequest::header$
    {48, 628, 1333},	// QNetworkRequest::operator!=#
    {48, 664, 1331},	// QNetworkRequest::operator=#
    {48, 667, 1332},	// QNetworkRequest::operator==#
    {48, 694, 1347},	// QNetworkRequest::originatingObject
    {48, 915, 1340},	// QNetworkRequest::rawHeader#
    {48, 916, 1339},	// QNetworkRequest::rawHeaderList
    {48, 979, 1343},	// QNetworkRequest::setAttribute$#
    {48, 1025, 1337},	// QNetworkRequest::setHeader$#
    {48, 1062, 1346},	// QNetworkRequest::setOriginatingObject#
    {48, 1107, 1341},	// QNetworkRequest::setRawHeader##
    {48, 1143, 1345},	// QNetworkRequest::setSslConfiguration#
    {48, 1156, 1335},	// QNetworkRequest::setUrl#
    {48, 1176, 1344},	// QNetworkRequest::sslConfiguration
    {48, 1219, 1334},	// QNetworkRequest::url
    {48, 1268, 1372},	// QNetworkRequest::~QNetworkRequest
    {58, 8, 1387},	// QSsl::AnyProtocol
    {58, 56, 1383},	// QSsl::Der
    {58, 57, 1390},	// QSsl::DnsEntry
    {58, 60, 1381},	// QSsl::Dsa
    {58, 61, 1389},	// QSsl::EmailEntry
    {58, 141, 1382},	// QSsl::Pem
    {58, 145, 1391},	// QSsl::PrivateKey
    {58, 156, 1392},	// QSsl::PublicKey
    {58, 290, 1380},	// QSsl::Rsa
    {58, 308, 1385},	// QSsl::SslV2
    {58, 309, 1384},	// QSsl::SslV3
    {58, 316, 1386},	// QSsl::TlsV1
    {58, 337, 1388},	// QSsl::UnknownProtocol
    {59, 32, 1428},	// QSslCertificate::CommonName
    {59, 51, 1431},	// QSslCertificate::CountryName
    {59, 119, 1429},	// QSslCertificate::LocalityName
    {59, 136, 1427},	// QSslCertificate::Organization
    {59, 137, 1430},	// QSslCertificate::OrganizationalUnitName
    {59, 236, 1420},	// QSslCertificate::QSslCertificate
    {59, 237, -441},	// QSslCertificate::QSslCertificate#
    {59, 238, -445},	// QSslCertificate::QSslCertificate#$
    {59, 310, 1432},	// QSslCertificate::StateOrProvinceName
    {59, 380, 1409},	// QSslCertificate::alternateSubjectNames
    {59, 410, 1401},	// QSslCertificate::clear
    {59, 466, 1422},	// QSslCertificate::digest
    {59, 467, 1404},	// QSslCertificate::digest$
    {59, 478, 1410},	// QSslCertificate::effectiveDate
    {59, 494, 1411},	// QSslCertificate::expiryDate
    {59, 502, 1426},	// QSslCertificate::fromData#
    {59, 503, 1417},	// QSslCertificate::fromData#$
    {59, 505, 1425},	// QSslCertificate::fromDevice#
    {59, 506, 1416},	// QSslCertificate::fromDevice#$
    {59, 510, 1423},	// QSslCertificate::fromPath$
    {59, 511, 1424},	// QSslCertificate::fromPath$$
    {59, 512, 1415},	// QSslCertificate::fromPath$$$
    {59, 522, 1418},	// QSslCertificate::handle
    {59, 566, 1399},	// QSslCertificate::isNull
    {59, 574, 1400},	// QSslCertificate::isValid
    {59, 577, 1406},	// QSslCertificate::issuerInfo#
    {59, 578, 1405},	// QSslCertificate::issuerInfo$
    {59, 628, 1398},	// QSslCertificate::operator!=#
    {59, 664, 1396},	// QSslCertificate::operator=#
    {59, 667, 1397},	// QSslCertificate::operator==#
    {59, 737, 1412},	// QSslCertificate::publicKey
    {59, 961, 1403},	// QSslCertificate::serialNumber
    {59, 1188, 1408},	// QSslCertificate::subjectInfo#
    {59, 1189, 1407},	// QSslCertificate::subjectInfo$
    {59, 1197, 1414},	// QSslCertificate::toDer
    {59, 1201, 1413},	// QSslCertificate::toPem
    {59, 1225, 1402},	// QSslCertificate::version
    {59, 1269, 1433},	// QSslCertificate::~QSslCertificate
    {60, 239, 1434},	// QSslCipher::QSslCipher
    {60, 240, 1436},	// QSslCipher::QSslCipher#
    {60, 241, 1435},	// QSslCipher::QSslCipher$$
    {60, 387, 1445},	// QSslCipher::authenticationMethod
    {60, 484, 1446},	// QSslCipher::encryptionMethod
    {60, 566, 1440},	// QSslCipher::isNull
    {60, 579, 1444},	// QSslCipher::keyExchangeMethod
    {60, 621, 1441},	// QSslCipher::name
    {60, 628, 1439},	// QSslCipher::operator!=#
    {60, 664, 1437},	// QSslCipher::operator=#
    {60, 667, 1438},	// QSslCipher::operator==#
    {60, 728, 1448},	// QSslCipher::protocol
    {60, 729, 1447},	// QSslCipher::protocolString
    {60, 1190, 1442},	// QSslCipher::supportedBits
    {60, 1220, 1443},	// QSslCipher::usedBits
    {60, 1270, 1449},	// QSslCipher::~QSslCipher
    {61, 242, 1450},	// QSslConfiguration::QSslConfiguration
    {61, 243, 1451},	// QSslConfiguration::QSslConfiguration#
    {61, 399, 1471},	// QSslConfiguration::caCertificates
    {61, 409, 1469},	// QSslConfiguration::ciphers
    {61, 462, 1473},	// QSslConfiguration::defaultConfiguration
    {61, 566, 1455},	// QSslConfiguration::isNull
    {61, 596, 1462},	// QSslConfiguration::localCertificate
    {61, 628, 1454},	// QSslConfiguration::operator!=#
    {61, 664, 1452},	// QSslConfiguration::operator=#
    {61, 667, 1453},	// QSslConfiguration::operator==#
    {61, 707, 1464},	// QSslConfiguration::peerCertificate
    {61, 708, 1465},	// QSslConfiguration::peerCertificateChain
    {61, 712, 1460},	// QSslConfiguration::peerVerifyDepth
    {61, 715, 1458},	// QSslConfiguration::peerVerifyMode
    {61, 727, 1467},	// QSslConfiguration::privateKey
    {61, 728, 1456},	// QSslConfiguration::protocol
    {61, 966, 1466},	// QSslConfiguration::sessionCipher
    {61, 985, 1472},	// QSslConfiguration::setCaCertificates?
    {61, 994, 1470},	// QSslConfiguration::setCiphers?
    {61, 1008, 1474},	// QSslConfiguration::setDefaultConfiguration#
    {61, 1043, 1463},	// QSslConfiguration::setLocalCertificate#
    {61, 1078, 1461},	// QSslConfiguration::setPeerVerifyDepth$
    {61, 1080, 1459},	// QSslConfiguration::setPeerVerifyMode$
    {61, 1088, 1468},	// QSslConfiguration::setPrivateKey#
    {61, 1094, 1457},	// QSslConfiguration::setProtocol$
    {61, 1271, 1475},	// QSslConfiguration::~QSslConfiguration
    {62, 12, 1506},	// QSslError::AuthorityIssuerSerialNumberMismatch
    {62, 23, 1492},	// QSslError::CertificateExpired
    {62, 24, 1491},	// QSslError::CertificateNotYetValid
    {62, 25, 1504},	// QSslError::CertificateRejected
    {62, 26, 1499},	// QSslError::CertificateRevoked
    {62, 27, 1490},	// QSslError::CertificateSignatureFailed
    {62, 28, 1503},	// QSslError::CertificateUntrusted
    {62, 73, 1508},	// QSslError::HostNameMismatch
    {62, 84, 1500},	// QSslError::InvalidCaCertificate
    {62, 85, 1494},	// QSslError::InvalidNotAfterField
    {62, 86, 1493},	// QSslError::InvalidNotBeforeField
    {62, 87, 1502},	// QSslError::InvalidPurpose
    {62, 127, 1486},	// QSslError::NoError
    {62, 128, 1507},	// QSslError::NoPeerCertificate
    {62, 130, 1509},	// QSslError::NoSslSupport
    {62, 139, 1501},	// QSslError::PathLengthExceeded
    {62, 244, 1476},	// QSslError::QSslError
    {62, 245, 1479},	// QSslError::QSslError#
    {62, 246, 1477},	// QSslError::QSslError$
    {62, 247, 1478},	// QSslError::QSslError$#
    {62, 291, 1495},	// QSslError::SelfSignedCertificate
    {62, 292, 1496},	// QSslError::SelfSignedCertificateInChain
    {62, 311, 1505},	// QSslError::SubjectIssuerMismatch
    {62, 321, 1489},	// QSslError::UnableToDecodeIssuerPublicKey
    {62, 322, 1488},	// QSslError::UnableToDecryptCertificateSignature
    {62, 323, 1487},	// QSslError::UnableToGetIssuerCertificate
    {62, 324, 1497},	// QSslError::UnableToGetLocalIssuerCertificate
    {62, 325, 1498},	// QSslError::UnableToVerifyFirstCertificate
    {62, 341, 1510},	// QSslError::UnspecifiedError
    {62, 407, 1485},	// QSslError::certificate
    {62, 487, 1483},	// QSslError::error
    {62, 489, 1484},	// QSslError::errorString
    {62, 628, 1482},	// QSslError::operator!=#
    {62, 664, 1480},	// QSslError::operator=#
    {62, 667, 1481},	// QSslError::operator==#
    {62, 1272, 1511},	// QSslError::~QSslError
    {63, 248, 1512},	// QSslKey::QSslKey
    {63, 249, 1515},	// QSslKey::QSslKey#
    {63, 250, -371},	// QSslKey::QSslKey#$
    {63, 251, -374},	// QSslKey::QSslKey#$$
    {63, 252, -377},	// QSslKey::QSslKey#$$$
    {63, 253, -380},	// QSslKey::QSslKey#$$$#
    {63, 374, 1521},	// QSslKey::algorithm
    {63, 410, 1518},	// QSslKey::clear
    {63, 522, 1524},	// QSslKey::handle
    {63, 566, 1517},	// QSslKey::isNull
    {63, 584, 1519},	// QSslKey::length
    {63, 628, 1526},	// QSslKey::operator!=#
    {63, 664, 1516},	// QSslKey::operator=#
    {63, 667, 1525},	// QSslKey::operator==#
    {63, 1197, 1534},	// QSslKey::toDer
    {63, 1198, 1523},	// QSslKey::toDer#
    {63, 1201, 1533},	// QSslKey::toPem
    {63, 1202, 1522},	// QSslKey::toPem#
    {63, 1214, 1520},	// QSslKey::type
    {63, 1273, 1535},	// QSslKey::~QSslKey
    {64, 13, 1642},	// QSslSocket::AutoVerifyPeer
    {64, 254, 1617},	// QSslSocket::QSslSocket
    {64, 255, 1543},	// QSslSocket::QSslSocket#
    {64, 276, 1640},	// QSslSocket::QueryPeer
    {64, 305, 1637},	// QSslSocket::SslClientMode
    {64, 307, 1638},	// QSslSocket::SslServerMode
    {64, 329, 1636},	// QSslSocket::UnencryptedMode
    {64, 346, 1639},	// QSslSocket::VerifyNone
    {64, 347, 1641},	// QSslSocket::VerifyPeer
    {64, 353, 1563},	// QSslSocket::abort
    {64, 357, 1585},	// QSslSocket::addCaCertificate#
    {64, 359, 1626},	// QSslSocket::addCaCertificates$
    {64, 360, 1627},	// QSslSocket::addCaCertificates$$
    {64, 361, 1584},	// QSslSocket::addCaCertificates$$$
    {64, 362, 1586},	// QSslSocket::addCaCertificates?
    {64, 364, 1590},	// QSslSocket::addDefaultCaCertificate#
    {64, 366, 1628},	// QSslSocket::addDefaultCaCertificates$
    {64, 367, 1629},	// QSslSocket::addDefaultCaCertificates$$
    {64, 368, 1589},	// QSslSocket::addDefaultCaCertificates$$$
    {64, 369, 1591},	// QSslSocket::addDefaultCaCertificates?
    {64, 382, 1561},	// QSslSocket::atEnd
    {64, 397, 1557},	// QSslSocket::bytesAvailable
    {64, 398, 1558},	// QSslSocket::bytesToWrite
    {64, 399, 1588},	// QSslSocket::caCertificates
    {64, 403, 1559},	// QSslSocket::canReadLine
    {64, 409, 1578},	// QSslSocket::ciphers
    {64, 413, 1560},	// QSslSocket::close
    {64, 427, 1618},	// QSslSocket::connectToHostEncrypted$$
    {64, 428, -435},	// QSslSocket::connectToHostEncrypted$$$
    {64, 429, 1545},	// QSslSocket::connectToHostEncrypted$$$$
    {64, 432, 1611},	// QSslSocket::connectToHostImplementation$$$
    {64, 460, 1593},	// QSslSocket::defaultCaCertificates
    {64, 461, 1582},	// QSslSocket::defaultCiphers
    {64, 469, 1612},	// QSslSocket::disconnectFromHostImplementation
    {64, 479, 1606},	// QSslSocket::encrypted
    {64, 480, 1565},	// QSslSocket::encryptedBytesAvailable
    {64, 481, 1566},	// QSslSocket::encryptedBytesToWrite
    {64, 483, 1610},	// QSslSocket::encryptedBytesWritten?
    {64, 500, 1562},	// QSslSocket::flush
    {64, 542, 1605},	// QSslSocket::ignoreSslErrors
    {64, 543, 1602},	// QSslSocket::ignoreSslErrors?
    {64, 557, 1550},	// QSslSocket::isEncrypted
    {64, 596, 1571},	// QSslSocket::localCertificate
    {64, 613, 1536},	// QSslSocket::metaObject
    {64, 618, 1549},	// QSslSocket::mode
    {64, 620, 1609},	// QSslSocket::modeChanged$
    {64, 707, 1572},	// QSslSocket::peerCertificate
    {64, 708, 1573},	// QSslSocket::peerCertificateChain
    {64, 712, 1555},	// QSslSocket::peerVerifyDepth
    {64, 714, 1607},	// QSslSocket::peerVerifyError#
    {64, 715, 1553},	// QSslSocket::peerVerifyMode
    {64, 727, 1577},	// QSslSocket::privateKey
    {64, 728, 1551},	// QSslSocket::protocol
    {64, 895, 1542},	// QSslSocket::qt_metacall$$?
    {64, 897, 1537},	// QSslSocket::qt_metacast$
    {64, 923, 1613},	// QSslSocket::readData$?
    {64, 966, 1574},	// QSslSocket::sessionCipher
    {64, 985, 1587},	// QSslSocket::setCaCertificates?
    {64, 993, 1580},	// QSslSocket::setCiphers$
    {64, 994, 1579},	// QSslSocket::setCiphers?
    {64, 1004, 1592},	// QSslSocket::setDefaultCaCertificates?
    {64, 1006, 1581},	// QSslSocket::setDefaultCiphers?
    {64, 1043, 1569},	// QSslSocket::setLocalCertificate#
    {64, 1044, 1622},	// QSslSocket::setLocalCertificate$
    {64, 1045, 1570},	// QSslSocket::setLocalCertificate$$
    {64, 1078, 1556},	// QSslSocket::setPeerVerifyDepth$
    {64, 1080, 1554},	// QSslSocket::setPeerVerifyMode$
    {64, 1088, 1575},	// QSslSocket::setPrivateKey#
    {64, 1089, 1623},	// QSslSocket::setPrivateKey$
    {64, 1090, 1624},	// QSslSocket::setPrivateKey$$
    {64, 1091, 1625},	// QSslSocket::setPrivateKey$$$
    {64, 1092, 1576},	// QSslSocket::setPrivateKey$$$#
    {64, 1094, 1552},	// QSslSocket::setProtocol$
    {64, 1111, 1564},	// QSslSocket::setReadBufferSize?
    {64, 1130, 1620},	// QSslSocket::setSocketDescriptor$
    {64, 1131, 1621},	// QSslSocket::setSocketDescriptor$$
    {64, 1132, 1546},	// QSslSocket::setSocketDescriptor$$$
    {64, 1139, 1547},	// QSslSocket::setSocketOption$#
    {64, 1143, 1568},	// QSslSocket::setSslConfiguration#
    {64, 1174, 1548},	// QSslSocket::socketOption$
    {64, 1176, 1567},	// QSslSocket::sslConfiguration
    {64, 1177, 1600},	// QSslSocket::sslErrors
    {64, 1179, 1608},	// QSslSocket::sslErrors?
    {64, 1180, 1603},	// QSslSocket::startClientEncryption
    {64, 1181, 1604},	// QSslSocket::startServerEncryption
    {64, 1185, 1635},	// QSslSocket::staticMetaObject
    {64, 1191, 1583},	// QSslSocket::supportedCiphers
    {64, 1192, 1601},	// QSslSocket::supportsSsl
    {64, 1193, 1594},	// QSslSocket::systemCaCertificates
    {64, 1207, 1615},	// QSslSocket::tr$
    {64, 1208, 1538},	// QSslSocket::tr$$
    {64, 1209, 1540},	// QSslSocket::tr$$$
    {64, 1211, 1616},	// QSslSocket::trUtf8$
    {64, 1212, 1539},	// QSslSocket::trUtf8$$
    {64, 1213, 1541},	// QSslSocket::trUtf8$$$
    {64, 1226, 1633},	// QSslSocket::waitForBytesWritten
    {64, 1227, 1598},	// QSslSocket::waitForBytesWritten$
    {64, 1228, 1630},	// QSslSocket::waitForConnected
    {64, 1229, 1595},	// QSslSocket::waitForConnected$
    {64, 1230, 1634},	// QSslSocket::waitForDisconnected
    {64, 1231, 1599},	// QSslSocket::waitForDisconnected$
    {64, 1232, 1631},	// QSslSocket::waitForEncrypted
    {64, 1233, 1596},	// QSslSocket::waitForEncrypted$
    {64, 1237, 1632},	// QSslSocket::waitForReadyRead
    {64, 1238, 1597},	// QSslSocket::waitForReadyRead$
    {64, 1240, 1614},	// QSslSocket::writeData$?
    {64, 1274, 1643},	// QSslSocket::~QSslSocket
    {67, 256, 1672},	// QTcpServer::QTcpServer
    {67, 257, 1651},	// QTcpServer::QTcpServer#
    {67, 413, 1653},	// QTcpServer::close
    {67, 489, 1665},	// QTcpServer::errorString
    {67, 529, 1662},	// QTcpServer::hasPendingConnections
    {67, 545, 1668},	// QTcpServer::incomingConnection$
    {67, 565, 1654},	// QTcpServer::isListening
    {67, 591, 1673},	// QTcpServer::listen
    {67, 592, 1674},	// QTcpServer::listen#
    {67, 593, 1652},	// QTcpServer::listen#$
    {67, 608, 1656},	// QTcpServer::maxPendingConnections
    {67, 613, 1644},	// QTcpServer::metaObject
    {67, 623, 1669},	// QTcpServer::newConnection
    {67, 624, 1663},	// QTcpServer::nextPendingConnection
    {67, 731, 1667},	// QTcpServer::proxy
    {67, 895, 1650},	// QTcpServer::qt_metacall$$?
    {67, 897, 1645},	// QTcpServer::qt_metacast$
    {67, 962, 1658},	// QTcpServer::serverAddress
    {67, 963, 1664},	// QTcpServer::serverError
    {67, 965, 1657},	// QTcpServer::serverPort
    {67, 1051, 1655},	// QTcpServer::setMaxPendingConnections$
    {67, 1098, 1666},	// QTcpServer::setProxy#
    {67, 1130, 1660},	// QTcpServer::setSocketDescriptor$
    {67, 1172, 1659},	// QTcpServer::socketDescriptor
    {67, 1185, 1677},	// QTcpServer::staticMetaObject
    {67, 1207, 1670},	// QTcpServer::tr$
    {67, 1208, 1646},	// QTcpServer::tr$$
    {67, 1209, 1648},	// QTcpServer::tr$$$
    {67, 1211, 1671},	// QTcpServer::trUtf8$
    {67, 1212, 1647},	// QTcpServer::trUtf8$$
    {67, 1213, 1649},	// QTcpServer::trUtf8$$$
    {67, 1234, 1675},	// QTcpServer::waitForNewConnection
    {67, 1235, 1676},	// QTcpServer::waitForNewConnection$
    {67, 1236, 1661},	// QTcpServer::waitForNewConnection$$
    {67, 1275, 1678},	// QTcpServer::~QTcpServer
    {68, 258, 1689},	// QTcpSocket::QTcpSocket
    {68, 259, 1686},	// QTcpSocket::QTcpSocket#
    {68, 613, 1679},	// QTcpSocket::metaObject
    {68, 895, 1685},	// QTcpSocket::qt_metacall$$?
    {68, 897, 1680},	// QTcpSocket::qt_metacast$
    {68, 1185, 1690},	// QTcpSocket::staticMetaObject
    {68, 1207, 1687},	// QTcpSocket::tr$
    {68, 1208, 1681},	// QTcpSocket::tr$$
    {68, 1209, 1683},	// QTcpSocket::tr$$$
    {68, 1211, 1688},	// QTcpSocket::trUtf8$
    {68, 1212, 1682},	// QTcpSocket::trUtf8$$
    {68, 1213, 1684},	// QTcpSocket::trUtf8$$$
    {68, 1276, 1691},	// QTcpSocket::~QTcpSocket
    {73, 53, 1716},	// QUdpSocket::DefaultForPlatform
    {73, 59, 1718},	// QUdpSocket::DontShareAddress
    {73, 260, 1711},	// QUdpSocket::QUdpSocket
    {73, 261, 1699},	// QUdpSocket::QUdpSocket#
    {73, 288, 1719},	// QUdpSocket::ReuseAddressHint
    {73, 298, 1717},	// QUdpSocket::ShareAddress
    {73, 391, 1712},	// QUdpSocket::bind
    {73, 392, 1700},	// QUdpSocket::bind#$
    {73, 393, 1702},	// QUdpSocket::bind#$$
    {73, 394, 1701},	// QUdpSocket::bind$
    {73, 395, 1703},	// QUdpSocket::bind$$
    {73, 530, 1704},	// QUdpSocket::hasPendingDatagrams
    {73, 613, 1692},	// QUdpSocket::metaObject
    {73, 716, 1705},	// QUdpSocket::pendingDatagramSize
    {73, 895, 1698},	// QUdpSocket::qt_metacall$$?
    {73, 897, 1693},	// QUdpSocket::qt_metacast$
    {73, 925, 1713},	// QUdpSocket::readDatagram$?
    {73, 926, 1714},	// QUdpSocket::readDatagram$?#
    {73, 927, 1706},	// QUdpSocket::readDatagram$?#$
    {73, 1185, 1715},	// QUdpSocket::staticMetaObject
    {73, 1207, 1709},	// QUdpSocket::tr$
    {73, 1208, 1694},	// QUdpSocket::tr$$
    {73, 1209, 1696},	// QUdpSocket::tr$$$
    {73, 1211, 1710},	// QUdpSocket::trUtf8$
    {73, 1212, 1695},	// QUdpSocket::trUtf8$$
    {73, 1213, 1697},	// QUdpSocket::trUtf8$$$
    {73, 1242, 1708},	// QUdpSocket::writeDatagram##$
    {73, 1243, 1707},	// QUdpSocket::writeDatagram$?#$
    {73, 1277, 1720},	// QUdpSocket::~QUdpSocket
    {75, 62, 1762},	// QUrlInfo::ExeGroup
    {75, 63, 1765},	// QUrlInfo::ExeOther
    {75, 64, 1759},	// QUrlInfo::ExeOwner
    {75, 262, 1721},	// QUrlInfo::QUrlInfo
    {75, 263, 1722},	// QUrlInfo::QUrlInfo#
    {75, 264, 1724},	// QUrlInfo::QUrlInfo#$$$?##$$$$$$
    {75, 265, 1723},	// QUrlInfo::QUrlInfo$$$$?##$$$$$$
    {75, 278, 1760},	// QUrlInfo::ReadGroup
    {75, 280, 1763},	// QUrlInfo::ReadOther
    {75, 281, 1757},	// QUrlInfo::ReadOwner
    {75, 348, 1761},	// QUrlInfo::WriteGroup
    {75, 350, 1764},	// QUrlInfo::WriteOther
    {75, 351, 1758},	// QUrlInfo::WriteOwner
    {75, 486, 1754},	// QUrlInfo::equal##$
    {75, 520, 1752},	// QUrlInfo::greaterThan##$
    {75, 521, 1742},	// QUrlInfo::group
    {75, 556, 1746},	// QUrlInfo::isDir
    {75, 558, 1751},	// QUrlInfo::isExecutable
    {75, 559, 1747},	// QUrlInfo::isFile
    {75, 567, 1750},	// QUrlInfo::isReadable
    {75, 572, 1748},	// QUrlInfo::isSymLink
    {75, 574, 1738},	// QUrlInfo::isValid
    {75, 575, 1749},	// QUrlInfo::isWritable
    {75, 581, 1744},	// QUrlInfo::lastModified
    {75, 582, 1745},	// QUrlInfo::lastRead
    {75, 586, 1753},	// QUrlInfo::lessThan##$
    {75, 621, 1739},	// QUrlInfo::name
    {75, 628, 1756},	// QUrlInfo::operator!=#
    {75, 664, 1725},	// QUrlInfo::operator=#
    {75, 667, 1755},	// QUrlInfo::operator==#
    {75, 695, 1741},	// QUrlInfo::owner
    {75, 717, 1740},	// QUrlInfo::permissions
    {75, 1010, 1727},	// QUrlInfo::setDir$
    {75, 1021, 1728},	// QUrlInfo::setFile$
    {75, 1023, 1731},	// QUrlInfo::setGroup$
    {75, 1037, 1736},	// QUrlInfo::setLastModified#
    {75, 1039, 1737},	// QUrlInfo::setLastRead#
    {75, 1056, 1726},	// QUrlInfo::setName$
    {75, 1064, 1730},	// QUrlInfo::setOwner$
    {75, 1082, 1735},	// QUrlInfo::setPermissions$
    {75, 1113, 1734},	// QUrlInfo::setReadable$
    {75, 1126, 1732},	// QUrlInfo::setSize?
    {75, 1150, 1729},	// QUrlInfo::setSymLink$
    {75, 1170, 1733},	// QUrlInfo::setWritable$
    {75, 1171, 1743},	// QUrlInfo::size
    {75, 1278, 1766},	// QUrlInfo::~QUrlInfo
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtnetwork_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtnetwork_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtnetwork_Smoke = new Smoke(
        "qtnetwork",
        __smokeqtnetwork::classes, 79,
        __smokeqtnetwork::methods, 1767,
        __smokeqtnetwork::methodMaps, 1415,
        __smokeqtnetwork::methodNames, 1278,
        __smokeqtnetwork::types, 414,
        __smokeqtnetwork::inheritanceList,
        __smokeqtnetwork::argumentList,
        __smokeqtnetwork::ambiguousMethodList,
        __smokeqtnetwork::cast );
    initialized = true;
}

void delete_qtnetwork_Smoke() { delete qtnetwork_Smoke; }

}
