#include <qtopengl_includes.h>

#include <smoke.h>
#include <qtopengl_smoke.h>

namespace __smokeqtopengl {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAccessible2Interface
      switch(to) {
        case 1: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QBrush
      switch(to) {
        case 5: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QCloseEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 9: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QContextMenuEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 11: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QCursor
      switch(to) {
        case 12: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 13:   //QDataStream
      switch(to) {
        case 13: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 14:   //QDate
      switch(to) {
        case 14: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 15:   //QDateTime
      switch(to) {
        case 15: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 16:   //QDebug
      switch(to) {
        case 16: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 17:   //QDir
      switch(to) {
        case 17: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 18:   //QDragEnterEvent
      switch(to) {
        case 20: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 22: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 24: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 18: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QDragLeaveEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 19: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QDragMoveEvent
      switch(to) {
        case 22: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 24: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 20: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QDrawPixmaps::Data
      switch(to) {
        case 21: return (void*)(QDrawPixmaps::Data*)xptr;
        default: return xptr;
      }
    case 22:   //QDropEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 22: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 23:   //QEasingCurve
      switch(to) {
        case 23: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 24:   //QEvent
      switch(to) {
        case 24: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QFocusEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 25: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QFont
      switch(to) {
        case 26: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 28:   //QGLColormap
      switch(to) {
        case 28: return (void*)(QGLColormap*)xptr;
        default: return xptr;
      }
    case 29:   //QGLContext
      switch(to) {
        case 29: return (void*)(QGLContext*)xptr;
        default: return xptr;
      }
    case 30:   //QGLFormat
      switch(to) {
        case 30: return (void*)(QGLFormat*)xptr;
        default: return xptr;
      }
    case 31:   //QGLFramebufferObject
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QGLFramebufferObject*)xptr;
        case 31: return (void*)(QGLFramebufferObject*)xptr;
        default: return xptr;
      }
    case 32:   //QGLFramebufferObjectFormat
      switch(to) {
        case 32: return (void*)(QGLFramebufferObjectFormat*)xptr;
        default: return xptr;
      }
    case 33:   //QGLPixelBuffer
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QGLPixelBuffer*)xptr;
        case 33: return (void*)(QGLPixelBuffer*)xptr;
        default: return xptr;
      }
    case 34:   //QGLShader
      switch(to) {
        case 61: return (void*)(QObject*)(QGLShader*)xptr;
        case 34: return (void*)(QGLShader*)xptr;
        default: return xptr;
      }
    case 35:   //QGLShaderProgram
      switch(to) {
        case 61: return (void*)(QObject*)(QGLShaderProgram*)xptr;
        case 35: return (void*)(QGLShaderProgram*)xptr;
        default: return xptr;
      }
    case 36:   //QGLWidget
      switch(to) {
        case 112: return (void*)(QWidget*)(QGLWidget*)xptr;
        case 61: return (void*)(QObject*)(QGLWidget*)xptr;
        case 62: return (void*)(QPaintDevice*)(QGLWidget*)xptr;
        case 36: return (void*)(QGLWidget*)xptr;
        default: return xptr;
      }
    case 38:   //QGraphicsItem
      switch(to) {
        case 38: return (void*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 39:   //QGraphicsObject
      switch(to) {
        case 61: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 38: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 39: return (void*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 40:   //QHashDummyValue
      switch(to) {
        case 40: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 41:   //QHideEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 41: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QIcon
      switch(to) {
        case 42: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 43:   //QImage
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QImage*)xptr;
        case 43: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 44:   //QIncompatibleFlag
      switch(to) {
        case 44: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 45:   //QInputMethodEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 45: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QItemSelectionRange
      switch(to) {
        case 46: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 47:   //QKeyEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 47: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QKeySequence
      switch(to) {
        case 48: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 49:   //QLatin1String
      switch(to) {
        case 49: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 50:   //QLine
      switch(to) {
        case 50: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 51:   //QLineF
      switch(to) {
        case 51: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 52:   //QListWidgetItem
      switch(to) {
        case 52: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 53:   //QLocale
      switch(to) {
        case 53: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 54:   //QMargins
      switch(to) {
        case 54: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 55:   //QMatrix
      switch(to) {
        case 55: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 56:   //QMatrix4x4
      switch(to) {
        case 56: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 57:   //QMetaObject
      switch(to) {
        case 57: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 58:   //QModelIndex
      switch(to) {
        case 58: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 59:   //QMouseEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 59: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 60:   //QMoveEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 60: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QObject
      switch(to) {
        case 61: return (void*)(QObject*)xptr;
        case 35: return (void*)(QGLShaderProgram*)(QObject*)xptr;
        case 36: return (void*)(QGLWidget*)(QObject*)xptr;
        case 34: return (void*)(QGLShader*)(QObject*)xptr;
        default: return xptr;
      }
    case 62:   //QPaintDevice
      switch(to) {
        case 62: return (void*)(QPaintDevice*)xptr;
        case 31: return (void*)(QGLFramebufferObject*)(QPaintDevice*)xptr;
        case 36: return (void*)(QGLWidget*)(QPaintDevice*)xptr;
        case 33: return (void*)(QGLPixelBuffer*)(QPaintDevice*)xptr;
        default: return xptr;
      }
    case 63:   //QPaintEngine
      switch(to) {
        case 63: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 64:   //QPaintEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 64: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 65:   //QPainter
      switch(to) {
        case 65: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 66:   //QPainterPath
      switch(to) {
        case 66: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 67:   //QPalette
      switch(to) {
        case 67: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 68:   //QPen
      switch(to) {
        case 68: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 69:   //QPersistentModelIndex
      switch(to) {
        case 69: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 70:   //QPicture
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QPicture*)xptr;
        case 70: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 71:   //QPixmap
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QPixmap*)xptr;
        case 71: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 72:   //QPoint
      switch(to) {
        case 72: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 73:   //QPointF
      switch(to) {
        case 73: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 74:   //QPolygon
      switch(to) {
        case 74: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 75:   //QPolygonF
      switch(to) {
        case 75: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 76:   //QQuaternion
      switch(to) {
        case 76: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 77:   //QRect
      switch(to) {
        case 77: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 78:   //QRectF
      switch(to) {
        case 78: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 79:   //QRegExp
      switch(to) {
        case 79: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 80:   //QRegion
      switch(to) {
        case 80: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 81:   //QResizeEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 81: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 82:   //QShowEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 82: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 83:   //QSize
      switch(to) {
        case 83: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 84:   //QSizeF
      switch(to) {
        case 84: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 85:   //QSizePolicy
      switch(to) {
        case 85: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 86:   //QSplitter
      switch(to) {
        case 112: return (void*)(QWidget*)(QSplitter*)xptr;
        case 61: return (void*)(QObject*)(QSplitter*)xptr;
        case 62: return (void*)(QPaintDevice*)(QSplitter*)xptr;
        case 86: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 87:   //QStandardItem
      switch(to) {
        case 87: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 88:   //QString::Null
      switch(to) {
        case 88: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 89:   //QStringRef
      switch(to) {
        case 89: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 90:   //QStyle
      switch(to) {
        case 61: return (void*)(QObject*)(QStyle*)xptr;
        case 90: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 91:   //QStyleOption
      switch(to) {
        case 91: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 92:   //QTableWidgetItem
      switch(to) {
        case 92: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 93:   //QTabletEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 93: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 94:   //QTextCodec
      switch(to) {
        case 94: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 95:   //QTextFormat
      switch(to) {
        case 95: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 96:   //QTextLength
      switch(to) {
        case 96: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 97:   //QTextStream
      switch(to) {
        case 97: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 98:   //QTextStreamManipulator
      switch(to) {
        case 98: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 99:   //QTileRules
      switch(to) {
        case 99: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 100:   //QTime
      switch(to) {
        case 100: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 101:   //QTimerEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 101: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 102:   //QTransform
      switch(to) {
        case 102: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 103:   //QTreeWidgetItem
      switch(to) {
        case 103: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 104:   //QUrl
      switch(to) {
        case 104: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 105:   //QUuid
      switch(to) {
        case 105: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 106:   //QVariant
      switch(to) {
        case 106: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 107:   //QVariantComparisonHelper
      switch(to) {
        case 107: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 108:   //QVector2D
      switch(to) {
        case 108: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 109:   //QVector3D
      switch(to) {
        case 109: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 110:   //QVector4D
      switch(to) {
        case 110: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 111:   //QWheelEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 111: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 112:   //QWidget
      switch(to) {
        case 61: return (void*)(QObject*)(QWidget*)xptr;
        case 62: return (void*)(QPaintDevice*)(QWidget*)xptr;
        case 112: return (void*)(QWidget*)xptr;
        case 36: return (void*)(QGLWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    62, 0,	// 1: QPaintDevice
    61, 0,	// 3: QObject
    112, 0,	// 5: QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLShader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLFramebufferObject(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGL(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGL(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLColormap(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFramebufferObject(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFramebufferObjectFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLPixelBuffer(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLShader(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLShaderProgram(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QBrush", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QCursor", true, 0, 0, 0, 0, 0 },	//12
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//13
    { "QDate", true, 0, 0, 0, 0, 0 },	//14
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//15
    { "QDebug", true, 0, 0, 0, 0, 0 },	//16
    { "QDir", true, 0, 0, 0, 0, 0 },	//17
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QDrawPixmaps::Data", true, 0, 0, 0, 0, 0 },	//21
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//22
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//23
    { "QEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QFont", true, 0, 0, 0, 0, 0 },	//26
    { "QGL", false, 0, xcall_QGL, xenum_QGL, Smoke::cf_namespace, 0 },	//27
    { "QGLColormap", false, 0, xcall_QGLColormap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLColormap) },	//28
    { "QGLContext", false, 0, xcall_QGLContext, xenum_QGLContext, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLContext) },	//29
    { "QGLFormat", false, 0, xcall_QGLFormat, xenum_QGLFormat, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLFormat) },	//30
    { "QGLFramebufferObject", false, 1, xcall_QGLFramebufferObject, xenum_QGLFramebufferObject, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLFramebufferObject) },	//31
    { "QGLFramebufferObjectFormat", false, 0, xcall_QGLFramebufferObjectFormat, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLFramebufferObjectFormat) },	//32
    { "QGLPixelBuffer", false, 1, xcall_QGLPixelBuffer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLPixelBuffer) },	//33
    { "QGLShader", false, 3, xcall_QGLShader, xenum_QGLShader, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLShader) },	//34
    { "QGLShaderProgram", false, 3, xcall_QGLShaderProgram, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLShaderProgram) },	//35
    { "QGLWidget", false, 5, xcall_QGLWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLWidget) },	//36
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//37
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//38
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//39
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//40
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QIcon", true, 0, 0, 0, 0, 0 },	//42
    { "QImage", true, 0, 0, 0, 0, 0 },	//43
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//44
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//46
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//48
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//49
    { "QLine", true, 0, 0, 0, 0, 0 },	//50
    { "QLineF", true, 0, 0, 0, 0, 0 },	//51
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//52
    { "QLocale", true, 0, 0, 0, 0, 0 },	//53
    { "QMargins", true, 0, 0, 0, 0, 0 },	//54
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//55
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//56
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//57
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//58
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//59
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QObject", true, 0, 0, 0, 0, 0 },	//61
    { "QPaintDevice", true, 0, 0, 0, 0, 0 },	//62
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//63
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//64
    { "QPainter", true, 0, 0, 0, 0, 0 },	//65
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//66
    { "QPalette", true, 0, 0, 0, 0, 0 },	//67
    { "QPen", true, 0, 0, 0, 0, 0 },	//68
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//69
    { "QPicture", true, 0, 0, 0, 0, 0 },	//70
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//71
    { "QPoint", true, 0, 0, 0, 0, 0 },	//72
    { "QPointF", true, 0, 0, 0, 0, 0 },	//73
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//74
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//75
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//76
    { "QRect", true, 0, 0, 0, 0, 0 },	//77
    { "QRectF", true, 0, 0, 0, 0, 0 },	//78
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//79
    { "QRegion", true, 0, 0, 0, 0, 0 },	//80
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//81
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//82
    { "QSize", true, 0, 0, 0, 0, 0 },	//83
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//84
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//85
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//86
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//87
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//88
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//89
    { "QStyle", true, 0, 0, 0, 0, 0 },	//90
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//91
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//92
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//93
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//94
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//95
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//96
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//97
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//98
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//99
    { "QTime", true, 0, 0, 0, 0, 0 },	//100
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//101
    { "QTransform", true, 0, 0, 0, 0, 0 },	//102
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//103
    { "QUrl", true, 0, 0, 0, 0, 0 },	//104
    { "QUuid", true, 0, 0, 0, 0, 0 },	//105
    { "QVariant", true, 0, 0, 0, 0, 0 },	//106
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//107
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//108
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//109
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//110
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//111
    { "QWidget", true, 0, 0, 0, 0, 0 },	//112
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "GLbitfield", 0, Smoke::t_voidp|Smoke::tf_stack },	//1
    { "GLenum", 0, Smoke::t_voidp|Smoke::tf_stack },	//2
    { "GLfloat", 0, Smoke::t_voidp|Smoke::tf_stack },	//3
    { "GLint", 0, Smoke::t_voidp|Smoke::tf_stack },	//4
    { "GLuint", 0, Smoke::t_voidp|Smoke::tf_stack },	//5
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAbstractPrintDialog::PrintDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//11
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QAccessible2Interface*", 1, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QAccessible::RelationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//14
    { "QAccessible::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//16
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//17
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//18
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//19
    { "QBrush&", 5, Smoke::t_class|Smoke::tf_ref },	//20
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//21
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//22
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//23
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//24
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QCloseEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QColor", 10, Smoke::t_class|Smoke::tf_stack },	//27
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//28
    { "QColorDialog::ColorDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "QContextMenuEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//30
    { "QCursor&", 12, Smoke::t_class|Smoke::tf_ref },	//31
    { "QDataStream&", 13, Smoke::t_class|Smoke::tf_ref },	//32
    { "QDate&", 14, Smoke::t_class|Smoke::tf_ref },	//33
    { "QDateTime&", 15, Smoke::t_class|Smoke::tf_ref },	//34
    { "QDateTimeEdit::Section", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QDebug", 16, Smoke::t_class|Smoke::tf_stack },	//36
    { "QDialogButtonBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "QDir::Filter", 17, Smoke::t_enum|Smoke::tf_stack },	//38
    { "QDir::SortFlag", 17, Smoke::t_enum|Smoke::tf_stack },	//39
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "QDockWidget::DockWidgetFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "QDragEnterEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QDragLeaveEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QDragMoveEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QDrawPixmaps::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "QDropEvent*", 22, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "QFileDialog::Option", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<QAbstractPrintDialog::PrintDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<QAccessible::RelationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QAccessible::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QColorDialog::ColorDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QDateTimeEdit::Section>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QDialogButtonBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QDockWidget::DockWidgetFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QDrawBorderPixmap::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QDrawPixmaps::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QFileDialog::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QFontComboBox::FontFilter>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QFontDialog::FontDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QGL::FormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QGLContext::BindOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QGLFormat::OpenGLVersionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QGLShader::ShaderTypeBit>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QGestureRecognizer::ResultFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QGraphicsBlurEffect::BlurHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QGraphicsEffect::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QGraphicsItem::GraphicsItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QGraphicsScene::SceneLayer>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QGraphicsView::CacheModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QGraphicsView::OptimizationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QImageIOPlugin::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QInputDialog::InputDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QMainWindow::DockOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<QMdiArea::AreaOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<QMdiSubWindow::SubWindowOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<QMessageBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<QPaintEngine::DirtyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<QPaintEngine::PaintEngineFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//106
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//107
    { "QFlags<QTextDocument::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//108
    { "QFlags<QTextEdit::AutoFormattingFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//109
    { "QFlags<QTextFormat::PageBreakFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "QFlags<QTextItem::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//111
    { "QFlags<QTextOption::Flag>", 0, Smoke::t_uint|Smoke::tf_stack },	//112
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "QFlags<QTreeWidgetItemIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//114
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<QWizard::WizardOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//121
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//123
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//124
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//125
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//126
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//127
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//128
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//129
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//130
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//131
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//132
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//133
    { "QFocusEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//134
    { "QFont&", 26, Smoke::t_class|Smoke::tf_ref },	//135
    { "QFontComboBox::FontFilter", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "QFontDialog::FontDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "QGL::FormatOption", 27, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QGLColormap&", 28, Smoke::t_class|Smoke::tf_ref },	//139
    { "QGLColormap*", 28, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QGLContext*", 29, Smoke::t_class|Smoke::tf_ptr },	//141
    { "QGLContext::BindOption", 29, Smoke::t_enum|Smoke::tf_stack },	//142
    { "QGLFormat", 30, Smoke::t_class|Smoke::tf_stack },	//143
    { "QGLFormat&", 30, Smoke::t_class|Smoke::tf_ref },	//144
    { "QGLFormat*", 30, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QGLFormat::OpenGLVersionFlag", 30, Smoke::t_enum|Smoke::tf_stack },	//146
    { "QGLFramebufferObject*", 31, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QGLFramebufferObject::Attachment", 31, Smoke::t_enum|Smoke::tf_stack },	//148
    { "QGLFramebufferObjectFormat", 32, Smoke::t_class|Smoke::tf_stack },	//149
    { "QGLFramebufferObjectFormat&", 32, Smoke::t_class|Smoke::tf_ref },	//150
    { "QGLFramebufferObjectFormat*", 32, Smoke::t_class|Smoke::tf_ptr },	//151
    { "QGLPixelBuffer*", 33, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QGLShader*", 34, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QGLShader::ShaderTypeBit", 34, Smoke::t_enum|Smoke::tf_stack },	//154
    { "QGLShaderProgram*", 35, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QGLWidget*", 36, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QGestureRecognizer::ResultFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "QGraphicsBlurEffect::BlurHint", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "QGraphicsEffect::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QGraphicsItem*", 38, Smoke::t_class|Smoke::tf_ptr },	//160
    { "QGraphicsItem::GraphicsItemChange", 38, Smoke::t_enum|Smoke::tf_stack },	//161
    { "QGraphicsItem::GraphicsItemFlag", 38, Smoke::t_enum|Smoke::tf_stack },	//162
    { "QGraphicsObject*", 39, Smoke::t_class|Smoke::tf_ptr },	//163
    { "QGraphicsScene::SceneLayer", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "QGraphicsView::CacheModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "QGraphicsView::OptimizationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QHideEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//167
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QIcon&", 42, Smoke::t_class|Smoke::tf_ref },	//169
    { "QImage", 43, Smoke::t_class|Smoke::tf_stack },	//170
    { "QImage&", 43, Smoke::t_class|Smoke::tf_ref },	//171
    { "QImageIOPlugin::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QIncompatibleFlag", 44, Smoke::t_class|Smoke::tf_stack },	//173
    { "QInputDialog::InputDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QInputMethodEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//175
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QKeyEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//177
    { "QKeySequence&", 48, Smoke::t_class|Smoke::tf_ref },	//178
    { "QKeySequence::StandardKey", 48, Smoke::t_enum|Smoke::tf_stack },	//179
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "QLine", 50, Smoke::t_class|Smoke::tf_stack },	//181
    { "QLine&", 50, Smoke::t_class|Smoke::tf_ref },	//182
    { "QLineF", 51, Smoke::t_class|Smoke::tf_stack },	//183
    { "QLineF&", 51, Smoke::t_class|Smoke::tf_ref },	//184
    { "QList<QGLShader*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//185
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//186
    { "QListWidgetItem&", 52, Smoke::t_class|Smoke::tf_ref },	//187
    { "QLocale&", 53, Smoke::t_class|Smoke::tf_ref },	//188
    { "QLocale::NumberOption", 53, Smoke::t_enum|Smoke::tf_stack },	//189
    { "QMainWindow::DockOption", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "QMatrix&", 55, Smoke::t_class|Smoke::tf_ref },	//191
    { "QMatrix4x4", 56, Smoke::t_class|Smoke::tf_stack },	//192
    { "QMatrix4x4&", 56, Smoke::t_class|Smoke::tf_ref },	//193
    { "QMdiArea::AreaOption", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "QMdiSubWindow::SubWindowOption", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "QMessageBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "QMetaObject::Call", 57, Smoke::t_enum|Smoke::tf_stack },	//197
    { "QMouseEvent*", 59, Smoke::t_class|Smoke::tf_ptr },	//198
    { "QMoveEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//199
    { "QObject*", 61, Smoke::t_class|Smoke::tf_ptr },	//200
    { "QObject*(*)()", 61, Smoke::t_class|Smoke::tf_ptr },	//201
    { "QPaintDevice*", 62, Smoke::t_class|Smoke::tf_ptr },	//202
    { "QPaintDevice::PaintDeviceMetric", 62, Smoke::t_enum|Smoke::tf_stack },	//203
    { "QPaintEngine*", 63, Smoke::t_class|Smoke::tf_ptr },	//204
    { "QPaintEngine::DirtyFlag", 63, Smoke::t_enum|Smoke::tf_stack },	//205
    { "QPaintEngine::PaintEngineFeature", 63, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QPaintEngine::Type", 63, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QPaintEvent*", 64, Smoke::t_class|Smoke::tf_ptr },	//208
    { "QPainter*", 65, Smoke::t_class|Smoke::tf_ptr },	//209
    { "QPainter::RenderHint", 65, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QPainterPath", 66, Smoke::t_class|Smoke::tf_stack },	//211
    { "QPainterPath&", 66, Smoke::t_class|Smoke::tf_ref },	//212
    { "QPalette&", 67, Smoke::t_class|Smoke::tf_ref },	//213
    { "QPen&", 68, Smoke::t_class|Smoke::tf_ref },	//214
    { "QPicture&", 70, Smoke::t_class|Smoke::tf_ref },	//215
    { "QPixmap", 71, Smoke::t_class|Smoke::tf_stack },	//216
    { "QPixmap&", 71, Smoke::t_class|Smoke::tf_ref },	//217
    { "QPoint", 72, Smoke::t_class|Smoke::tf_stack },	//218
    { "QPoint&", 72, Smoke::t_class|Smoke::tf_ref },	//219
    { "QPointF", 73, Smoke::t_class|Smoke::tf_stack },	//220
    { "QPointF&", 73, Smoke::t_class|Smoke::tf_ref },	//221
    { "QPolygon", 74, Smoke::t_class|Smoke::tf_stack },	//222
    { "QPolygon&", 74, Smoke::t_class|Smoke::tf_ref },	//223
    { "QPolygonF", 75, Smoke::t_class|Smoke::tf_stack },	//224
    { "QPolygonF&", 75, Smoke::t_class|Smoke::tf_ref },	//225
    { "QQuaternion&", 76, Smoke::t_class|Smoke::tf_ref },	//226
    { "QRect&", 77, Smoke::t_class|Smoke::tf_ref },	//227
    { "QRectF&", 78, Smoke::t_class|Smoke::tf_ref },	//228
    { "QRegExp&", 79, Smoke::t_class|Smoke::tf_ref },	//229
    { "QRegion", 80, Smoke::t_class|Smoke::tf_stack },	//230
    { "QRegion&", 80, Smoke::t_class|Smoke::tf_ref },	//231
    { "QResizeEvent*", 81, Smoke::t_class|Smoke::tf_ptr },	//232
    { "QShowEvent*", 82, Smoke::t_class|Smoke::tf_ptr },	//233
    { "QSize", 83, Smoke::t_class|Smoke::tf_stack },	//234
    { "QSize&", 83, Smoke::t_class|Smoke::tf_ref },	//235
    { "QSizeF&", 84, Smoke::t_class|Smoke::tf_ref },	//236
    { "QSizePolicy&", 85, Smoke::t_class|Smoke::tf_ref },	//237
    { "QSizePolicy::ControlType", 85, Smoke::t_enum|Smoke::tf_stack },	//238
    { "QSplitter&", 86, Smoke::t_class|Smoke::tf_ref },	//239
    { "QStandardItem&", 87, Smoke::t_class|Smoke::tf_ref },	//240
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//241
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//242
    { "QString::Null", 88, Smoke::t_class|Smoke::tf_stack },	//243
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//245
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//246
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//247
    { "QStyle&", 90, Smoke::t_class|Smoke::tf_ref },	//248
    { "QStyle::StateFlag", 90, Smoke::t_enum|Smoke::tf_stack },	//249
    { "QStyle::SubControl", 90, Smoke::t_enum|Smoke::tf_stack },	//250
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref },	//258
    { "QTabletEvent*", 93, Smoke::t_class|Smoke::tf_ptr },	//259
    { "QTextCodec*", 94, Smoke::t_class|Smoke::tf_ptr },	//260
    { "QTextCodec::ConversionFlag", 94, Smoke::t_enum|Smoke::tf_stack },	//261
    { "QTextDocument::FindFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "QTextEdit::AutoFormattingFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref },	//264
    { "QTextFormat::PageBreakFlag", 95, Smoke::t_enum|Smoke::tf_stack },	//265
    { "QTextItem::RenderFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//266
    { "QTextLength&", 96, Smoke::t_class|Smoke::tf_ref },	//267
    { "QTextOption::Flag", 0, Smoke::t_enum|Smoke::tf_stack },	//268
    { "QTextStream&", 97, Smoke::t_class|Smoke::tf_ref },	//269
    { "QTextStream&(*)(QTextStream&)", 97, Smoke::t_class|Smoke::tf_ref },	//270
    { "QTextStream::NumberFlag", 97, Smoke::t_enum|Smoke::tf_stack },	//271
    { "QTextStreamManipulator", 98, Smoke::t_class|Smoke::tf_stack },	//272
    { "QTime&", 100, Smoke::t_class|Smoke::tf_ref },	//273
    { "QTimerEvent*", 101, Smoke::t_class|Smoke::tf_ptr },	//274
    { "QTransform", 102, Smoke::t_class|Smoke::tf_stack },	//275
    { "QTransform&", 102, Smoke::t_class|Smoke::tf_ref },	//276
    { "QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref },	//277
    { "QTreeWidgetItemIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "QUrl&", 104, Smoke::t_class|Smoke::tf_ref },	//279
    { "QUrl::FormattingOption", 104, Smoke::t_enum|Smoke::tf_stack },	//280
    { "QUuid&", 105, Smoke::t_class|Smoke::tf_ref },	//281
    { "QVariant", 106, Smoke::t_class|Smoke::tf_stack },	//282
    { "QVariant&", 106, Smoke::t_class|Smoke::tf_ref },	//283
    { "QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack },	//284
    { "QVariant::Type&", 106, Smoke::t_enum|Smoke::tf_ref },	//285
    { "QVector2D&", 108, Smoke::t_class|Smoke::tf_ref },	//286
    { "QVector3D", 109, Smoke::t_class|Smoke::tf_stack },	//287
    { "QVector3D&", 109, Smoke::t_class|Smoke::tf_ref },	//288
    { "QVector4D", 110, Smoke::t_class|Smoke::tf_stack },	//289
    { "QVector4D&", 110, Smoke::t_class|Smoke::tf_ref },	//290
    { "QWheelEvent*", 111, Smoke::t_class|Smoke::tf_ptr },	//291
    { "QWidget*", 112, Smoke::t_class|Smoke::tf_ptr },	//292
    { "QWidget::RenderFlag", 112, Smoke::t_enum|Smoke::tf_stack },	//293
    { "QWizard::WizardOption", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//365
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//366
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//367
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//368
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//369
    { "QtMsgType", 37, Smoke::t_enum|Smoke::tf_stack },	//370
    { "QtValidLicenseForActiveQtModule", 37, Smoke::t_enum|Smoke::tf_stack },	//371
    { "QtValidLicenseForCoreModule", 37, Smoke::t_enum|Smoke::tf_stack },	//372
    { "QtValidLicenseForDBusModule", 37, Smoke::t_enum|Smoke::tf_stack },	//373
    { "QtValidLicenseForDeclarativeModule", 37, Smoke::t_enum|Smoke::tf_stack },	//374
    { "QtValidLicenseForGuiModule", 37, Smoke::t_enum|Smoke::tf_stack },	//375
    { "QtValidLicenseForHelpModule", 37, Smoke::t_enum|Smoke::tf_stack },	//376
    { "QtValidLicenseForMultimediaModule", 37, Smoke::t_enum|Smoke::tf_stack },	//377
    { "QtValidLicenseForNetworkModule", 37, Smoke::t_enum|Smoke::tf_stack },	//378
    { "QtValidLicenseForOpenGLModule", 37, Smoke::t_enum|Smoke::tf_stack },	//379
    { "QtValidLicenseForOpenVGModule", 37, Smoke::t_enum|Smoke::tf_stack },	//380
    { "QtValidLicenseForQt3SupportLightModule", 37, Smoke::t_enum|Smoke::tf_stack },	//381
    { "QtValidLicenseForQt3SupportModule", 37, Smoke::t_enum|Smoke::tf_stack },	//382
    { "QtValidLicenseForScriptModule", 37, Smoke::t_enum|Smoke::tf_stack },	//383
    { "QtValidLicenseForScriptToolsModule", 37, Smoke::t_enum|Smoke::tf_stack },	//384
    { "QtValidLicenseForSqlModule", 37, Smoke::t_enum|Smoke::tf_stack },	//385
    { "QtValidLicenseForSvgModule", 37, Smoke::t_enum|Smoke::tf_stack },	//386
    { "QtValidLicenseForTestModule", 37, Smoke::t_enum|Smoke::tf_stack },	//387
    { "QtValidLicenseForXmlModule", 37, Smoke::t_enum|Smoke::tf_stack },	//388
    { "QtValidLicenseForXmlPatternsModule", 37, Smoke::t_enum|Smoke::tf_stack },	//389
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//390
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//391
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//392
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//393
    { "const GLfloat*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//394
    { "const GLfloat[4][4]", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//395
    { "const GLint*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//396
    { "const GLuint*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//397
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const QBrush&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const QBrush*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//400
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//401
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const QCursor&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const QDate&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const QDateTime&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QDir&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const QDrawPixmaps::Data*", 21, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//409
    { "const QEasingCurve&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const QEvent*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//411
    { "const QFont&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QGLColormap&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QGLContext*", 29, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//414
    { "const QGLFormat&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QGLFramebufferObjectFormat&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QGLWidget*", 36, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//417
    { "const QGenericMatrix<2,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const QGenericMatrix<2,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//419
    { "const QGenericMatrix<2,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const QGenericMatrix<2,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//421
    { "const QGenericMatrix<2,4,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QGenericMatrix<2,4,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//423
    { "const QGenericMatrix<3,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const QGenericMatrix<3,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//425
    { "const QGenericMatrix<3,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const QGenericMatrix<3,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//427
    { "const QGenericMatrix<3,4,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QGenericMatrix<3,4,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//429
    { "const QGenericMatrix<4,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QGenericMatrix<4,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//431
    { "const QGenericMatrix<4,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QGenericMatrix<4,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//433
    { "const QHashDummyValue&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QIcon&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const QImage&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QItemSelectionRange&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QKeySequence&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QLatin1String&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QLine&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QLineF&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QListWidgetItem&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QLocale&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QMargins&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QMatrix&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QMatrix4x4&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QMatrix4x4*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//447
    { "const QMetaObject&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QMetaObject*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//449
    { "const QModelIndex&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QObject*", 61, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//451
    { "const QPainterPath&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QPalette&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QPen&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//454
    { "const QPersistentModelIndex&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QPicture&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//456
    { "const QPixmap&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QPoint", 72, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//458
    { "const QPoint&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const QPointF", 73, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//460
    { "const QPointF&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const QPolygon&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//462
    { "const QPolygonF&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//463
    { "const QQuaternion", 76, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//464
    { "const QQuaternion&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//465
    { "const QRect&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//466
    { "const QRectF&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//467
    { "const QRegExp&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//468
    { "const QRegExp*", 79, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//469
    { "const QRegion&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//470
    { "const QSize", 83, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//471
    { "const QSize&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//472
    { "const QSizeF", 84, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//473
    { "const QSizeF&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//474
    { "const QSizePolicy&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//475
    { "const QSplitter&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//476
    { "const QStandardItem&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//477
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//478
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//479
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//480
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//481
    { "const QStringRef&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//482
    { "const QStyleOption&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//483
    { "const QStyleOption::OptionType&", 91, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//484
    { "const QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//485
    { "const QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//486
    { "const QTextLength&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//487
    { "const QTileRules&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//488
    { "const QTime&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//489
    { "const QTransform&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//490
    { "const QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//491
    { "const QUrl&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//492
    { "const QUuid&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//493
    { "const QVariant&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//494
    { "const QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//495
    { "const QVariantComparisonHelper&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//496
    { "const QVector2D", 108, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//497
    { "const QVector2D&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//498
    { "const QVector2D*", 108, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//499
    { "const QVector3D", 109, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//500
    { "const QVector3D&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//501
    { "const QVector3D*", 109, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//502
    { "const QVector4D", 110, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//503
    { "const QVector4D&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//504
    { "const QVector4D*", 110, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//505
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//506
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//507
    { "const unsigned int*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//508
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//509
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//510
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//511
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//512
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//513
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//514
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//515
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//516
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//517
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//518
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//519
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//520
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//521
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//522
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//523
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//524
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//525
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//526
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//527
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//528
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//529
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    207, 0,	//1  QPaintEngine::Type
    413, 0,	//3  const QGLColormap&
    512, 508, 512, 0,	//5  int, const unsigned int*, int
    512, 520, 0,	//9  int, unsigned int
    512, 404, 0,	//12  int, const QColor&
    512, 0,	//15  int
    520, 0,	//17  unsigned int
    521, 0,	//19  unsigned long
    512, 508, 0,	//21  int, const unsigned int*
    415, 202, 0,	//24  const QGLFormat&, QPaintDevice*
    415, 0,	//27  const QGLFormat&
    414, 0,	//29  const QGLContext*
    414, 414, 0,	//31  const QGLContext*, const QGLContext*
    436, 2, 4, 73, 0,	//34  const QImage&, GLenum, GLint, QFlags<QGLContext::BindOption>
    457, 2, 4, 73, 0,	//39  const QPixmap&, GLenum, GLint, QFlags<QGLContext::BindOption>
    436, 2, 4, 0,	//44  const QImage&, GLenum, GLint
    457, 2, 4, 0,	//48  const QPixmap&, GLenum, GLint
    479, 0,	//52  const QString&
    5, 0,	//54  GLuint
    467, 5, 2, 0,	//56  const QRectF&, GLuint, GLenum
    461, 5, 2, 0,	//60  const QPointF&, GLuint, GLenum
    415, 512, 0,	//64  const QGLFormat&, int
    391, 0,	//67  bool
    412, 512, 0,	//69  const QFont&, int
    404, 0,	//72  const QColor&
    202, 0,	//74  QPaintDevice*
    436, 0,	//76  const QImage&
    436, 2, 0,	//78  const QImage&, GLenum
    457, 0,	//81  const QPixmap&
    457, 2, 0,	//83  const QPixmap&, GLenum
    467, 5, 0,	//86  const QRectF&, GLuint
    461, 5, 0,	//89  const QPointF&, GLuint
    141, 0,	//92  QGLContext*
    72, 512, 0,	//94  QFlags<QGL::FormatOption>, int
    72, 0,	//97  QFlags<QGL::FormatOption>
    472, 2, 0,	//99  const QSize&, GLenum
    512, 512, 2, 0,	//102  int, int, GLenum
    472, 148, 2, 2, 0,	//106  const QSize&, QGLFramebufferObject::Attachment, GLenum, GLenum
    512, 512, 148, 2, 2, 0,	//111  int, int, QGLFramebufferObject::Attachment, GLenum, GLenum
    472, 416, 0,	//117  const QSize&, const QGLFramebufferObjectFormat&
    512, 512, 416, 0,	//120  int, int, const QGLFramebufferObjectFormat&
    147, 466, 147, 466, 1, 2, 0,	//124  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, GLbitfield, GLenum
    203, 0,	//131  QPaintDevice::PaintDeviceMetric
    472, 0,	//133  const QSize&
    512, 512, 0,	//135  int, int
    472, 148, 0,	//138  const QSize&, QGLFramebufferObject::Attachment
    472, 148, 2, 0,	//141  const QSize&, QGLFramebufferObject::Attachment, GLenum
    512, 512, 148, 0,	//145  int, int, QGLFramebufferObject::Attachment
    512, 512, 148, 2, 0,	//149  int, int, QGLFramebufferObject::Attachment, GLenum
    147, 466, 147, 466, 0,	//154  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&
    147, 466, 147, 466, 1, 0,	//159  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, GLbitfield
    416, 0,	//165  const QGLFramebufferObjectFormat&
    148, 0,	//167  QGLFramebufferObject::Attachment
    2, 0,	//169  GLenum
    472, 415, 156, 0,	//171  const QSize&, const QGLFormat&, QGLWidget*
    512, 512, 415, 156, 0,	//175  int, int, const QGLFormat&, QGLWidget*
    472, 415, 0,	//180  const QSize&, const QGLFormat&
    512, 512, 415, 0,	//183  int, int, const QGLFormat&
    506, 0,	//187  const char*
    506, 506, 0,	//189  const char*, const char*
    506, 506, 512, 0,	//192  const char*, const char*, int
    197, 512, 528, 0,	//196  QMetaObject::Call, int, void**
    75, 200, 0,	//200  QFlags<QGLShader::ShaderTypeBit>, QObject*
    75, 414, 200, 0,	//203  QFlags<QGLShader::ShaderTypeBit>, const QGLContext*, QObject*
    402, 0,	//207  const QByteArray&
    75, 0,	//209  QFlags<QGLShader::ShaderTypeBit>
    75, 414, 0,	//211  QFlags<QGLShader::ShaderTypeBit>, const QGLContext*
    200, 0,	//214  QObject*
    414, 200, 0,	//216  const QGLContext*, QObject*
    153, 0,	//219  QGLShader*
    75, 506, 0,	//221  QFlags<QGLShader::ShaderTypeBit>, const char*
    75, 402, 0,	//224  QFlags<QGLShader::ShaderTypeBit>, const QByteArray&
    75, 479, 0,	//227  QFlags<QGLShader::ShaderTypeBit>, const QString&
    506, 512, 0,	//230  const char*, int
    402, 512, 0,	//233  const QByteArray&, int
    479, 512, 0,	//236  const QString&, int
    512, 3, 0,	//239  int, GLfloat
    512, 3, 3, 0,	//242  int, GLfloat, GLfloat
    512, 3, 3, 3, 0,	//246  int, GLfloat, GLfloat, GLfloat
    512, 3, 3, 3, 3, 0,	//251  int, GLfloat, GLfloat, GLfloat, GLfloat
    512, 498, 0,	//257  int, const QVector2D&
    512, 501, 0,	//260  int, const QVector3D&
    512, 504, 0,	//263  int, const QVector4D&
    512, 394, 512, 512, 0,	//266  int, const GLfloat*, int, int
    506, 3, 0,	//271  const char*, GLfloat
    506, 3, 3, 0,	//274  const char*, GLfloat, GLfloat
    506, 3, 3, 3, 0,	//278  const char*, GLfloat, GLfloat, GLfloat
    506, 3, 3, 3, 3, 0,	//283  const char*, GLfloat, GLfloat, GLfloat, GLfloat
    506, 498, 0,	//289  const char*, const QVector2D&
    506, 501, 0,	//292  const char*, const QVector3D&
    506, 504, 0,	//295  const char*, const QVector4D&
    506, 404, 0,	//298  const char*, const QColor&
    506, 394, 512, 512, 0,	//301  const char*, const GLfloat*, int, int
    512, 499, 512, 0,	//306  int, const QVector2D*, int
    512, 502, 512, 0,	//310  int, const QVector3D*, int
    512, 505, 512, 0,	//314  int, const QVector4D*, int
    506, 499, 512, 0,	//318  const char*, const QVector2D*, int
    506, 502, 512, 0,	//322  const char*, const QVector3D*, int
    506, 505, 512, 0,	//326  const char*, const QVector4D*, int
    512, 4, 0,	//330  int, GLint
    512, 5, 0,	//333  int, GLuint
    512, 459, 0,	//336  int, const QPoint&
    512, 461, 0,	//339  int, const QPointF&
    512, 472, 0,	//342  int, const QSize&
    512, 474, 0,	//345  int, const QSizeF&
    512, 418, 0,	//348  int, const QGenericMatrix<2,2,double>&
    512, 420, 0,	//351  int, const QGenericMatrix<2,3,double>&
    512, 422, 0,	//354  int, const QGenericMatrix<2,4,double>&
    512, 424, 0,	//357  int, const QGenericMatrix<3,2,double>&
    512, 426, 0,	//360  int, const QGenericMatrix<3,3,double>&
    512, 428, 0,	//363  int, const QGenericMatrix<3,4,double>&
    512, 430, 0,	//366  int, const QGenericMatrix<4,2,double>&
    512, 432, 0,	//369  int, const QGenericMatrix<4,3,double>&
    512, 446, 0,	//372  int, const QMatrix4x4&
    512, 395, 0,	//375  int, const GLfloat[4][4]
    512, 490, 0,	//378  int, const QTransform&
    506, 4, 0,	//381  const char*, GLint
    506, 5, 0,	//384  const char*, GLuint
    506, 459, 0,	//387  const char*, const QPoint&
    506, 461, 0,	//390  const char*, const QPointF&
    506, 472, 0,	//393  const char*, const QSize&
    506, 474, 0,	//396  const char*, const QSizeF&
    506, 418, 0,	//399  const char*, const QGenericMatrix<2,2,double>&
    506, 420, 0,	//402  const char*, const QGenericMatrix<2,3,double>&
    506, 422, 0,	//405  const char*, const QGenericMatrix<2,4,double>&
    506, 424, 0,	//408  const char*, const QGenericMatrix<3,2,double>&
    506, 426, 0,	//411  const char*, const QGenericMatrix<3,3,double>&
    506, 428, 0,	//414  const char*, const QGenericMatrix<3,4,double>&
    506, 430, 0,	//417  const char*, const QGenericMatrix<4,2,double>&
    506, 432, 0,	//420  const char*, const QGenericMatrix<4,3,double>&
    506, 446, 0,	//423  const char*, const QMatrix4x4&
    506, 395, 0,	//426  const char*, const GLfloat[4][4]
    506, 490, 0,	//429  const char*, const QTransform&
    512, 396, 512, 0,	//432  int, const GLint*, int
    512, 397, 512, 0,	//436  int, const GLuint*, int
    512, 419, 512, 0,	//440  int, const QGenericMatrix<2,2,double>*, int
    512, 421, 512, 0,	//444  int, const QGenericMatrix<2,3,double>*, int
    512, 423, 512, 0,	//448  int, const QGenericMatrix<2,4,double>*, int
    512, 425, 512, 0,	//452  int, const QGenericMatrix<3,2,double>*, int
    512, 427, 512, 0,	//456  int, const QGenericMatrix<3,3,double>*, int
    512, 429, 512, 0,	//460  int, const QGenericMatrix<3,4,double>*, int
    512, 431, 512, 0,	//464  int, const QGenericMatrix<4,2,double>*, int
    512, 433, 512, 0,	//468  int, const QGenericMatrix<4,3,double>*, int
    512, 447, 512, 0,	//472  int, const QMatrix4x4*, int
    506, 396, 512, 0,	//476  const char*, const GLint*, int
    506, 397, 512, 0,	//480  const char*, const GLuint*, int
    506, 419, 512, 0,	//484  const char*, const QGenericMatrix<2,2,double>*, int
    506, 421, 512, 0,	//488  const char*, const QGenericMatrix<2,3,double>*, int
    506, 423, 512, 0,	//492  const char*, const QGenericMatrix<2,4,double>*, int
    506, 425, 512, 0,	//496  const char*, const QGenericMatrix<3,2,double>*, int
    506, 427, 512, 0,	//500  const char*, const QGenericMatrix<3,3,double>*, int
    506, 429, 512, 0,	//504  const char*, const QGenericMatrix<3,4,double>*, int
    506, 431, 512, 0,	//508  const char*, const QGenericMatrix<4,2,double>*, int
    506, 433, 512, 0,	//512  const char*, const QGenericMatrix<4,3,double>*, int
    506, 447, 512, 0,	//516  const char*, const QMatrix4x4*, int
    512, 394, 512, 0,	//520  int, const GLfloat*, int
    512, 499, 0,	//524  int, const QVector2D*
    512, 502, 0,	//527  int, const QVector3D*
    512, 505, 0,	//530  int, const QVector4D*
    506, 394, 512, 0,	//533  const char*, const GLfloat*, int
    506, 499, 0,	//537  const char*, const QVector2D*
    506, 502, 0,	//540  const char*, const QVector3D*
    506, 505, 0,	//543  const char*, const QVector4D*
    292, 417, 133, 0,	//546  QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    141, 292, 417, 133, 0,	//550  QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    415, 292, 417, 133, 0,	//555  const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    141, 414, 391, 0,	//560  QGLContext*, const QGLContext*, bool
    512, 512, 391, 0,	//564  int, int, bool
    512, 512, 479, 412, 512, 0,	//568  int, int, const QString&, const QFont&, int
    510, 510, 510, 479, 412, 512, 0,	//574  double, double, double, const QString&, const QFont&, int
    48, 0,	//581  QEvent*
    208, 0,	//583  QPaintEvent*
    232, 0,	//585  QResizeEvent*
    292, 0,	//587  QWidget*
    292, 417, 0,	//589  QWidget*, const QGLWidget*
    141, 292, 0,	//592  QGLContext*, QWidget*
    141, 292, 417, 0,	//595  QGLContext*, QWidget*, const QGLWidget*
    415, 292, 0,	//599  const QGLFormat&, QWidget*
    415, 292, 417, 0,	//602  const QGLFormat&, QWidget*, const QGLWidget*
    141, 414, 0,	//606  QGLContext*, const QGLContext*
    512, 512, 479, 0,	//609  int, int, const QString&
    512, 512, 479, 412, 0,	//613  int, int, const QString&, const QFont&
    510, 510, 510, 479, 0,	//618  double, double, double, const QString&
    510, 510, 510, 479, 412, 0,	//623  double, double, double, const QString&, const QFont&
    412, 0,	//629  const QFont&
    398, 398, 0,	//631  const QBitArray&, const QBitArray&
    455, 0,	//634  const QPersistentModelIndex&
    314, 512, 0,	//636  Qt::DockWidgetArea, int
    157, 157, 0,	//639  QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag
    415, 415, 0,	//642  const QGLFormat&, const QGLFormat&
    459, 510, 0,	//645  const QPoint&, double
    510, 0,	//648  double
    36, 437, 0,	//650  QDebug, const QItemSelectionRange&
    510, 461, 0,	//653  double, const QPointF&
    339, 127, 0,	//656  Qt::MouseButton, QFlags<Qt::MouseButton>
    444, 444, 0,	//659  const QMargins&, const QMargins&
    36, 483, 0,	//662  QDebug, const QStyleOption&
    510, 474, 0,	//665  double, const QSizeF&
    39, 512, 0,	//668  QDir::SortFlag, int
    7, 7, 0,	//671  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    36, 455, 0,	//674  QDebug, const QPersistentModelIndex&
    32, 171, 0,	//677  QDataStream&, QImage&
    32, 475, 0,	//680  QDataStream&, const QSizePolicy&
    328, 512, 0,	//683  Qt::InputMethodHint, int
    255, 512, 0,	//686  QStyleOptionToolBar::ToolBarFeature, int
    36, 490, 0,	//689  QDebug, const QTransform&
    393, 506, 0,	//692  char*, const char*
    466, 466, 0,	//695  const QRect&, const QRect&
    472, 472, 0,	//698  const QSize&, const QSize&
    32, 490, 0,	//701  QDataStream&, const QTransform&
    261, 261, 0,	//704  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    36, 459, 0,	//707  QDebug, const QPoint&
    446, 446, 0,	//710  const QMatrix4x4&, const QMatrix4x4&
    154, 154, 0,	//713  QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit
    518, 0,	//716  unsigned char
    38, 61, 0,	//718  QDir::Filter, QFlags<QDir::Filter>
    504, 504, 0,	//721  const QVector4D&, const QVector4D&
    461, 445, 0,	//724  const QPointF&, const QMatrix&
    206, 206, 0,	//727  QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature
    440, 490, 0,	//730  const QLine&, const QTransform&
    498, 498, 0,	//733  const QVector2D&, const QVector2D&
    49, 67, 0,	//736  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    366, 132, 0,	//739  Qt::WindowState, QFlags<Qt::WindowState>
    474, 510, 0,	//742  const QSizeF&, double
    32, 440, 0,	//745  QDataStream&, const QLine&
    38, 512, 0,	//748  QDir::Filter, int
    490, 490, 0,	//751  const QTransform&, const QTransform&
    506, 439, 0,	//754  const char*, const QLatin1String&
    51, 69, 0,	//757  QFileDialog::Option, QFlags<QFileDialog::Option>
    474, 474, 0,	//760  const QSizeF&, const QSizeF&
    402, 402, 0,	//763  const QByteArray&, const QByteArray&
    439, 482, 0,	//766  const QLatin1String&, const QStringRef&
    465, 0,	//769  const QQuaternion&
    8, 8, 0,	//771  QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption
    339, 339, 0,	//774  Qt::MouseButton, Qt::MouseButton
    36, 495, 0,	//777  QDebug, const QVariant::Type
    494, 496, 0,	//780  const QVariant&, const QVariantComparisonHelper&
    465, 510, 0,	//783  const QQuaternion&, double
    19, 19, 0,	//786  QBool, QBool
    254, 254, 0,	//789  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    253, 253, 0,	//792  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    136, 136, 0,	//795  QFontComboBox::FontFilter, QFontComboBox::FontFilter
    295, 118, 0,	//798  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    482, 0,	//801  const QStringRef&
    265, 265, 0,	//803  QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag
    243, 243, 0,	//806  QString::Null, QString::Null
    36, 412, 0,	//809  QDebug, const QFont&
    36, 462, 0,	//812  QDebug, const QPolygon&
    32, 467, 0,	//815  QDataStream&, const QRectF&
    32, 188, 0,	//818  QDataStream&, QLocale&
    250, 512, 0,	//821  QStyle::SubControl, int
    41, 41, 0,	//824  QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature
    23, 479, 0,	//827  QChar, const QString&
    168, 83, 0,	//830  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    209, 466, 453, 391, 512, 400, 0,	//833  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    209, 466, 453, 0,	//840  QPainter*, const QRect&, const QPalette&
    209, 466, 453, 391, 0,	//844  QPainter*, const QRect&, const QPalette&, bool
    209, 466, 453, 391, 512, 0,	//849  QPainter*, const QRect&, const QPalette&, bool, int
    498, 0,	//855  const QVector2D&
    38, 38, 0,	//857  QDir::Filter, QDir::Filter
    32, 453, 0,	//860  QDataStream&, const QPalette&
    36, 489, 0,	//863  QDebug, const QTime&
    262, 108, 0,	//866  QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>
    465, 465, 0,	//869  const QQuaternion&, const QQuaternion&
    32, 402, 0,	//872  QDataStream&, const QByteArray&
    36, 406, 0,	//875  QDebug, const QDate&
    398, 0,	//878  const QBitArray&
    263, 109, 0,	//880  QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>
    507, 519, 512, 0,	//883  const unsigned char*, unsigned char*, int
    15, 57, 0,	//887  QAccessible::StateFlag, QFlags<QAccessible::StateFlag>
    463, 490, 0,	//890  const QPolygonF&, const QTransform&
    494, 284, 527, 0,	//893  const QVariant&, QVariant::Type, void*
    523, 0,	//897  unsigned short
    201, 0,	//899  QObject*(*)()
    513, 0,	//901  long
    356, 356, 0,	//903  Qt::ToolBarArea, Qt::ToolBarArea
    514, 0,	//906  long long
    36, 463, 0,	//908  QDebug, const QPolygonF&
    209, 512, 512, 512, 512, 453, 391, 400, 0,	//911  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    209, 512, 512, 512, 512, 453, 0,	//920  QPainter*, int, int, int, int, const QPalette&
    209, 512, 512, 512, 512, 453, 391, 0,	//927  QPainter*, int, int, int, int, const QPalette&, bool
    293, 512, 0,	//935  QWidget::RenderFlag, int
    36, 404, 0,	//938  QDebug, const QColor&
    278, 512, 0,	//941  QTreeWidgetItemIterator::IteratorFlag, int
    316, 512, 0,	//944  Qt::DropAction, int
    209, 512, 512, 512, 512, 453, 391, 512, 512, 400, 0,	//947  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    209, 512, 512, 512, 512, 453, 391, 512, 0,	//958  QPainter*, int, int, int, int, const QPalette&, bool, int
    209, 512, 512, 512, 512, 453, 391, 512, 512, 0,	//967  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    32, 480, 0,	//977  QDataStream&, const QStringList&
    6, 6, 0,	//980  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    32, 214, 0,	//983  QDataStream&, QPen&
    511, 0,	//986  float
    157, 76, 0,	//988  QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>
    295, 295, 0,	//991  Qt::AlignmentFlag, Qt::AlignmentFlag
    32, 28, 0,	//994  QDataStream&, QColor&
    40, 512, 0,	//997  QDirIterator::IteratorFlag, int
    32, 468, 0,	//1000  QDataStream&, const QRegExp&
    280, 512, 0,	//1003  QUrl::FormattingOption, int
    40, 63, 0,	//1006  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    402, 506, 0,	//1009  const QByteArray&, const char*
    159, 159, 0,	//1012  QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag
    137, 512, 0,	//1015  QFontDialog::FontDialogOption, int
    36, 474, 0,	//1018  QDebug, const QSizeF&
    314, 119, 0,	//1021  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    253, 512, 0,	//1024  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    440, 445, 0,	//1027  const QLine&, const QMatrix&
    205, 205, 0,	//1030  QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag
    512, 512, 512, 0,	//1033  int, int, int
    441, 445, 0,	//1037  const QLineF&, const QMatrix&
    341, 341, 0,	//1040  Qt::Orientation, Qt::Orientation
    452, 445, 0,	//1043  const QPainterPath&, const QMatrix&
    356, 512, 0,	//1046  Qt::ToolBarArea, int
    501, 501, 0,	//1049  const QVector3D&, const QVector3D&
    32, 221, 0,	//1052  QDataStream&, QPointF&
    32, 438, 0,	//1055  QDataStream&, const QKeySequence&
    337, 512, 0,	//1058  Qt::MatchFlag, int
    479, 506, 0,	//1061  const QString&, const char*
    32, 485, 0,	//1064  QDataStream&, const QTableWidgetItem&
    36, 161, 0,	//1067  QDebug, QGraphicsItem::GraphicsItemChange
    36, 410, 0,	//1070  QDebug, const QEasingCurve&
    176, 512, 0,	//1073  QItemSelectionModel::SelectionFlag, int
    32, 405, 0,	//1076  QDataStream&, const QCursor&
    196, 92, 0,	//1079  QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>
    321, 321, 0,	//1082  Qt::GestureFlag, Qt::GestureFlag
    32, 33, 0,	//1085  QDataStream&, QDate&
    32, 456, 0,	//1088  QDataStream&, const QPicture&
    168, 168, 0,	//1091  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    196, 196, 0,	//1094  QMessageBox::StandardButton, QMessageBox::StandardButton
    49, 512, 0,	//1097  QEventLoop::ProcessEventsFlag, int
    392, 402, 0,	//1100  char, const QByteArray&
    32, 290, 0,	//1103  QDataStream&, QVector4D&
    506, 479, 0,	//1106  const char*, const QString&
    195, 91, 0,	//1109  QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>
    36, 98, 0,	//1112  QDebug, QFlags<QStyle::StateFlag>
    506, 402, 0,	//1115  const char*, const QByteArray&
    137, 137, 0,	//1118  QFontDialog::FontDialogOption, QFontDialog::FontDialogOption
    32, 281, 0,	//1121  QDataStream&, QUuid&
    510, 510, 0,	//1124  double, double
    146, 146, 0,	//1127  QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag
    32, 22, 0,	//1130  QDataStream&, QByteArray&
    32, 283, 0,	//1133  QDataStream&, QVariant&
    32, 491, 0,	//1136  QDataStream&, const QTreeWidgetItem&
    32, 229, 0,	//1139  QDataStream&, QRegExp&
    210, 210, 0,	//1142  QPainter::RenderHint, QPainter::RenderHint
    461, 461, 0,	//1145  const QPointF&, const QPointF&
    490, 510, 0,	//1148  const QTransform&, double
    269, 476, 0,	//1151  QTextStream&, const QSplitter&
    9, 55, 0,	//1154  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    138, 512, 0,	//1157  QGL::FormatOption, int
    498, 510, 0,	//1160  const QVector2D&, double
    138, 138, 0,	//1163  QGL::FormatOption, QGL::FormatOption
    278, 278, 0,	//1166  QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag
    251, 251, 0,	//1169  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    482, 482, 0,	//1172  const QStringRef&, const QStringRef&
    504, 510, 0,	//1175  const QVector4D&, double
    251, 512, 0,	//1178  QStyleOptionButton::ButtonFeature, int
    50, 512, 0,	//1181  QFile::Permission, int
    36, 441, 0,	//1184  QDebug, const QLineF&
    23, 23, 0,	//1187  QChar, QChar
    446, 510, 0,	//1190  const QMatrix4x4&, double
    452, 490, 0,	//1193  const QPainterPath&, const QTransform&
    32, 399, 0,	//1196  QDataStream&, const QBrush&
    194, 90, 0,	//1199  QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>
    506, 506, 520, 0,	//1202  const char*, const char*, unsigned int
    9, 9, 0,	//1206  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    174, 512, 0,	//1209  QInputDialog::InputDialogOption, int
    142, 142, 0,	//1212  QGLContext::BindOption, QGLContext::BindOption
    249, 512, 0,	//1215  QStyle::StateFlag, int
    36, 61, 0,	//1218  QDebug, QFlags<QDir::Filter>
    32, 231, 0,	//1221  QDataStream&, QRegion&
    210, 512, 0,	//1224  QPainter::RenderHint, int
    254, 512, 0,	//1227  QStyleOptionTab::CornerWidget, int
    294, 294, 0,	//1230  QWizard::WizardOption, QWizard::WizardOption
    271, 113, 0,	//1233  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    32, 18, 0,	//1236  QDataStream&, QBitArray&
    294, 117, 0,	//1239  QWizard::WizardOption, QFlags<QWizard::WizardOption>
    461, 510, 0,	//1242  const QPointF&, double
    206, 94, 0,	//1245  QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>
    162, 162, 0,	//1248  QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag
    23, 0,	//1251  QChar
    209, 512, 512, 512, 512, 453, 391, 512, 400, 0,	//1253  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    6, 52, 0,	//1263  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    526, 0,	//1266  void(*)(QtMsgType,const char*)
    32, 406, 0,	//1268  QDataStream&, const QDate&
    451, 479, 448, 0,	//1271  const QObject*, const QString&, const QMetaObject&
    337, 126, 0,	//1275  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    501, 446, 0,	//1278  const QVector3D&, const QMatrix4x4&
    321, 512, 0,	//1281  Qt::GestureFlag, int
    209, 466, 453, 391, 400, 0,	//1284  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    261, 512, 0,	//1290  QTextCodec::ConversionFlag, int
    238, 238, 0,	//1293  QSizePolicy::ControlType, QSizePolicy::ControlType
    136, 512, 0,	//1296  QFontComboBox::FontFilter, int
    262, 512, 0,	//1299  QTextDocument::FindFlag, int
    32, 31, 0,	//1302  QDataStream&, QCursor&
    334, 125, 0,	//1305  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    501, 510, 0,	//1308  const QVector3D&, double
    337, 337, 0,	//1311  Qt::MatchFlag, Qt::MatchFlag
    32, 276, 0,	//1314  QDataStream&, QTransform&
    462, 445, 0,	//1317  const QPolygon&, const QMatrix&
    527, 0,	//1320  void*
    254, 103, 0,	//1322  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    479, 243, 0,	//1325  const QString&, QString::Null
    36, 454, 0,	//1328  QDebug, const QPen&
    256, 256, 0,	//1331  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    180, 512, 0,	//1334  QLibrary::LoadHint, int
    32, 236, 0,	//1337  QDataStream&, QSizeF&
    482, 506, 0,	//1340  const QStringRef&, const char*
    209, 466, 453, 391, 512, 512, 400, 0,	//1343  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    209, 466, 453, 391, 512, 512, 0,	//1351  QPainter*, const QRect&, const QPalette&, bool, int, int
    263, 263, 0,	//1358  QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag
    205, 512, 0,	//1361  QPaintEngine::DirtyFlag, int
    162, 512, 0,	//1364  QGraphicsItem::GraphicsItemFlag, int
    461, 0,	//1367  const QPointF&
    527, 517, 517, 517, 0,	//1369  void*, size_t, size_t, size_t
    331, 331, 0,	//1374  Qt::ItemFlag, Qt::ItemFlag
    32, 457, 0,	//1377  QDataStream&, const QPixmap&
    522, 0,	//1380  unsigned long long
    402, 479, 0,	//1382  const QByteArray&, const QString&
    367, 133, 0,	//1385  Qt::WindowType, QFlags<Qt::WindowType>
    36, 472, 0,	//1388  QDebug, const QSize&
    461, 490, 0,	//1391  const QPointF&, const QTransform&
    331, 124, 0,	//1394  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    36, 501, 0,	//1397  QDebug, const QVector3D&
    359, 131, 0,	//1400  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    479, 392, 0,	//1403  const QString&, char
    41, 64, 0,	//1406  QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>
    159, 512, 0,	//1409  QGraphicsEffect::ChangeFlag, int
    209, 512, 512, 512, 512, 404, 512, 400, 0,	//1412  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    209, 512, 512, 512, 512, 404, 0,	//1421  QPainter*, int, int, int, int, const QColor&
    209, 512, 512, 512, 512, 404, 512, 0,	//1428  QPainter*, int, int, int, int, const QColor&, int
    32, 492, 0,	//1436  QDataStream&, const QUrl&
    527, 512, 517, 0,	//1439  void*, int, size_t
    238, 96, 0,	//1443  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    32, 494, 0,	//1446  QDataStream&, const QVariant&
    32, 182, 0,	//1449  QDataStream&, QLine&
    9, 512, 0,	//1452  QAbstractSpinBox::StepEnabledFlag, int
    36, 498, 0,	//1455  QDebug, const QVector2D&
    334, 334, 0,	//1458  Qt::KeyboardModifier, Qt::KeyboardModifier
    446, 504, 0,	//1461  const QMatrix4x4&, const QVector4D&
    15, 512, 0,	//1464  QAccessible::StateFlag, int
    209, 466, 404, 512, 400, 0,	//1467  QPainter*, const QRect&, const QColor&, int, const QBrush*
    209, 466, 404, 0,	//1473  QPainter*, const QRect&, const QColor&
    209, 466, 404, 512, 0,	//1477  QPainter*, const QRect&, const QColor&, int
    35, 512, 0,	//1482  QDateTimeEdit::Section, int
    525, 0,	//1485  void(*)()
    295, 512, 0,	//1487  Qt::AlignmentFlag, int
    459, 445, 0,	//1490  const QPoint&, const QMatrix&
    334, 512, 0,	//1493  Qt::KeyboardModifier, int
    331, 512, 0,	//1496  Qt::ItemFlag, int
    326, 122, 0,	//1499  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    32, 454, 0,	//1502  QDataStream&, const QPen&
    459, 459, 0,	//1505  const QPoint&, const QPoint&
    244, 512, 0,	//1508  QString::SectionFlag, int
    367, 512, 0,	//1511  Qt::WindowType, int
    293, 293, 0,	//1514  QWidget::RenderFlag, QWidget::RenderFlag
    482, 479, 0,	//1517  const QStringRef&, const QString&
    209, 466, 444, 457, 466, 444, 488, 65, 0,	//1520  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>
    209, 466, 444, 457, 466, 444, 0,	//1529  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    209, 466, 444, 457, 466, 444, 488, 0,	//1536  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    439, 439, 0,	//1544  const QLatin1String&, const QLatin1String&
    434, 434, 0,	//1547  const QHashDummyValue&, const QHashDummyValue&
    506, 520, 0,	//1550  const char*, unsigned int
    280, 280, 0,	//1553  QUrl::FormattingOption, QUrl::FormattingOption
    29, 512, 0,	//1556  QColorDialog::ColorDialogOption, int
    32, 169, 0,	//1559  QDataStream&, QIcon&
    32, 462, 0,	//1562  QDataStream&, const QPolygon&
    359, 512, 0,	//1565  Qt::TouchPointState, int
    36, 444, 0,	//1568  QDebug, const QMargins&
    293, 116, 0,	//1571  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    265, 512, 0,	//1574  QTextFormat::PageBreakFlag, int
    172, 512, 0,	//1577  QImageIOPlugin::Capability, int
    36, 79, 0,	//1580  QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>
    165, 512, 0,	//1583  QGraphicsView::CacheModeFlag, int
    7, 512, 0,	//1586  QAbstractItemView::EditTrigger, int
    36, 504, 0,	//1589  QDebug, const QVector4D&
    269, 270, 0,	//1592  QTextStream&, QTextStream&(*)(QTextStream&)
    294, 512, 0,	//1595  QWizard::WizardOption, int
    51, 512, 0,	//1598  QFileDialog::Option, int
    249, 98, 0,	//1601  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    446, 459, 0,	//1604  const QMatrix4x4&, const QPoint&
    256, 105, 0,	//1607  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    164, 80, 0,	//1610  QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>
    194, 194, 0,	//1613  QMdiArea::AreaOption, QMdiArea::AreaOption
    32, 240, 0,	//1616  QDataStream&, QStandardItem&
    32, 441, 0,	//1619  QDataStream&, const QLineF&
    50, 68, 0,	//1622  QFile::Permission, QFlags<QFile::Permission>
    206, 512, 0,	//1625  QPaintEngine::PaintEngineFeature, int
    36, 452, 0,	//1628  QDebug, const QPainterPath&
    393, 506, 520, 0,	//1631  char*, const char*, unsigned int
    29, 58, 0,	//1635  QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>
    32, 20, 0,	//1638  QDataStream&, QBrush&
    32, 461, 0,	//1641  QDataStream&, const QPointF&
    32, 193, 0,	//1644  QDataStream&, QMatrix4x4&
    504, 0,	//1647  const QVector4D&
    36, 446, 0,	//1649  QDebug, const QMatrix4x4&
    166, 512, 0,	//1652  QGraphicsView::OptimizationFlag, int
    32, 264, 0,	//1655  QDataStream&, QTextFormat&
    189, 512, 0,	//1658  QLocale::NumberOption, int
    32, 187, 0,	//1661  QDataStream&, QListWidgetItem&
    527, 517, 0,	//1664  void*, size_t
    159, 78, 0,	//1667  QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>
    158, 77, 0,	//1670  QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>
    479, 479, 0,	//1673  const QString&, const QString&
    256, 512, 0,	//1676  QStyleOptionToolButton::ToolButtonFeature, int
    196, 512, 0,	//1679  QMessageBox::StandardButton, int
    506, 506, 506, 512, 0,	//1682  const char*, const char*, const char*, int
    479, 482, 0,	//1687  const QString&, const QStringRef&
    36, 162, 0,	//1690  QDebug, QGraphicsItem::GraphicsItemFlag
    14, 56, 0,	//1693  QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>
    179, 177, 0,	//1696  QKeySequence::StandardKey, QKeyEvent*
    238, 512, 0,	//1699  QSizePolicy::ControlType, int
    32, 237, 0,	//1702  QDataStream&, QSizePolicy&
    154, 512, 0,	//1705  QGLShader::ShaderTypeBit, int
    506, 482, 0,	//1708  const char*, const QStringRef&
    32, 191, 0,	//1711  QDataStream&, QMatrix&
    339, 512, 0,	//1714  Qt::MouseButton, int
    253, 102, 0,	//1717  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    32, 235, 0,	//1720  QDataStream&, QSize&
    40, 40, 0,	//1723  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    328, 328, 0,	//1726  Qt::InputMethodHint, Qt::InputMethodHint
    271, 271, 0,	//1729  QTextStream::NumberFlag, QTextStream::NumberFlag
    446, 461, 0,	//1732  const QMatrix4x4&, const QPointF&
    446, 0,	//1735  const QMatrix4x4&
    510, 498, 0,	//1737  double, const QVector2D&
    8, 54, 0,	//1740  QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>
    174, 174, 0,	//1743  QInputDialog::InputDialogOption, QInputDialog::InputDialogOption
    8, 512, 0,	//1746  QAbstractPrintDialog::PrintDialogOption, int
    32, 285, 0,	//1749  QDataStream&, QVariant::Type&
    353, 129, 0,	//1752  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    32, 501, 0,	//1755  QDataStream&, const QVector3D&
    441, 490, 0,	//1758  const QLineF&, const QTransform&
    482, 439, 0,	//1761  const QStringRef&, const QLatin1String&
    516, 0,	//1764  signed char
    32, 463, 0,	//1766  QDataStream&, const QPolygonF&
    32, 474, 0,	//1769  QDataStream&, const QSizeF&
    356, 130, 0,	//1772  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    510, 501, 0,	//1775  double, const QVector3D&
    32, 412, 0,	//1778  QDataStream&, const QFont&
    268, 112, 0,	//1781  QTextOption::Flag, QFlags<QTextOption::Flag>
    32, 258, 0,	//1784  QDataStream&, QTableWidgetItem&
    146, 74, 0,	//1787  QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>
    250, 99, 0,	//1790  QStyle::SubControl, QFlags<QStyle::SubControl>
    32, 498, 0,	//1793  QDataStream&, const QVector2D&
    32, 445, 0,	//1796  QDataStream&, const QMatrix&
    392, 479, 0,	//1799  char, const QString&
    210, 95, 0,	//1802  QPainter::RenderHint, QFlags<QPainter::RenderHint>
    180, 180, 0,	//1805  QLibrary::LoadHint, QLibrary::LoadHint
    510, 446, 0,	//1808  double, const QMatrix4x4&
    166, 82, 0,	//1811  QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>
    366, 366, 0,	//1814  Qt::WindowState, Qt::WindowState
    266, 266, 0,	//1817  QTextItem::RenderFlag, QTextItem::RenderFlag
    36, 492, 0,	//1820  QDebug, const QUrl&
    165, 165, 0,	//1823  QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag
    280, 115, 0,	//1826  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    32, 225, 0,	//1829  QDataStream&, QPolygonF&
    278, 114, 0,	//1832  QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>
    32, 213, 0,	//1835  QDataStream&, QPalette&
    32, 452, 0,	//1838  QDataStream&, const QPainterPath&
    15, 15, 0,	//1841  QAccessible::StateFlag, QAccessible::StateFlag
    467, 467, 0,	//1844  const QRectF&, const QRectF&
    510, 472, 0,	//1847  double, const QSize&
    177, 179, 0,	//1850  QKeyEvent*, QKeySequence::StandardKey
    50, 50, 0,	//1853  QFile::Permission, QFile::Permission
    450, 0,	//1856  const QModelIndex&
    165, 81, 0,	//1858  QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>
    250, 250, 0,	//1861  QStyle::SubControl, QStyle::SubControl
    36, 440, 0,	//1864  QDebug, const QLine&
    7, 53, 0,	//1867  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    32, 226, 0,	//1870  QDataStream&, QQuaternion&
    504, 446, 0,	//1873  const QVector4D&, const QMatrix4x4&
    32, 398, 0,	//1876  QDataStream&, const QBitArray&
    445, 445, 0,	//1879  const QMatrix&, const QMatrix&
    257, 257, 0,	//1882  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    527, 509, 517, 0,	//1885  void*, const void*, size_t
    510, 459, 0,	//1889  double, const QPoint&
    190, 89, 0,	//1892  QMainWindow::DockOption, QFlags<QMainWindow::DockOption>
    36, 163, 0,	//1895  QDebug, QGraphicsObject*
    209, 409, 512, 457, 66, 0,	//1898  QPainter*, const QDrawPixmaps::Data*, int, const QPixmap&, QFlags<QDrawPixmaps::DrawingHint>
    209, 409, 512, 457, 0,	//1904  QPainter*, const QDrawPixmaps::Data*, int, const QPixmap&
    36, 450, 0,	//1909  QDebug, const QModelIndex&
    515, 0,	//1912  short
    36, 407, 0,	//1914  QDebug, const QDateTime&
    195, 195, 0,	//1917  QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption
    32, 459, 0,	//1920  QDataStream&, const QPoint&
    32, 436, 0,	//1923  QDataStream&, const QImage&
    510, 465, 0,	//1926  double, const QQuaternion&
    402, 392, 0,	//1929  const QByteArray&, char
    262, 262, 0,	//1932  QTextDocument::FindFlag, QTextDocument::FindFlag
    36, 438, 0,	//1935  QDebug, const QKeySequence&
    205, 93, 0,	//1938  QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>
    37, 37, 0,	//1941  QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton
    14, 14, 0,	//1944  QAccessible::RelationFlag, QAccessible::RelationFlag
    36, 451, 0,	//1947  QDebug, const QObject*
    164, 164, 0,	//1950  QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer
    138, 72, 0,	//1953  QGL::FormatOption, QFlags<QGL::FormatOption>
    36, 411, 0,	//1956  QDebug, const QEvent*
    511, 511, 0,	//1959  float, float
    32, 135, 0,	//1962  QDataStream&, QFont&
    39, 62, 0,	//1965  QDir::SortFlag, QFlags<QDir::SortFlag>
    393, 517, 506, 524, 0,	//1968  char*, size_t, const char*, va_list
    174, 85, 0,	//1973  QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>
    244, 97, 0,	//1976  QString::SectionFlag, QFlags<QString::SectionFlag>
    32, 472, 0,	//1979  QDataStream&, const QSize&
    176, 86, 0,	//1982  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    32, 228, 0,	//1985  QDataStream&, QRectF&
    261, 107, 0,	//1988  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    36, 83, 0,	//1991  QDebug, QFlags<QIODevice::OpenModeFlag>
    32, 403, 0,	//1994  QDataStream&, const QChar&
    391, 19, 0,	//1997  bool, QBool
    36, 467, 0,	//2000  QDebug, const QRectF&
    157, 512, 0,	//2003  QGestureRecognizer::ResultFlag, int
    462, 490, 0,	//2006  const QPolygon&, const QTransform&
    19, 391, 0,	//2009  QBool, bool
    366, 512, 0,	//2012  Qt::WindowState, int
    257, 106, 0,	//2015  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    32, 267, 0,	//2018  QDataStream&, QTextLength&
    32, 246, 0,	//2021  QDataStream&, QStringList&
    32, 466, 0,	//2024  QDataStream&, const QRect&
    32, 470, 0,	//2027  QDataStream&, const QRegion&
    314, 314, 0,	//2030  Qt::DockWidgetArea, Qt::DockWidgetArea
    36, 445, 0,	//2033  QDebug, const QMatrix&
    158, 512, 0,	//2036  QGraphicsBlurEffect::BlurHint, int
    189, 88, 0,	//2039  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    146, 512, 0,	//2042  QGLFormat::OpenGLVersionFlag, int
    268, 268, 0,	//2045  QTextOption::Flag, QTextOption::Flag
    142, 73, 0,	//2048  QGLContext::BindOption, QFlags<QGLContext::BindOption>
    32, 404, 0,	//2051  QDataStream&, const QColor&
    367, 367, 0,	//2054  Qt::WindowType, Qt::WindowType
    35, 35, 0,	//2057  QDateTimeEdit::Section, QDateTimeEdit::Section
    472, 510, 0,	//2060  const QSize&, double
    446, 501, 0,	//2063  const QMatrix4x4&, const QVector3D&
    243, 479, 0,	//2066  QString::Null, const QString&
    36, 399, 0,	//2069  QDebug, const QBrush&
    39, 39, 0,	//2072  QDir::SortFlag, QDir::SortFlag
    328, 123, 0,	//2075  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    32, 219, 0,	//2078  QDataStream&, QPoint&
    36, 461, 0,	//2081  QDebug, const QPointF&
    451, 479, 469, 448, 186, 0,	//2084  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    32, 34, 0,	//2090  QDataStream&, QDateTime&
    252, 252, 0,	//2093  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    32, 489, 0,	//2096  QDataStream&, const QTime&
    32, 277, 0,	//2099  QDataStream&, QTreeWidgetItem&
    32, 178, 0,	//2102  QDataStream&, QKeySequence&
    263, 512, 0,	//2105  QTextEdit::AutoFormattingFlag, int
    32, 493, 0,	//2108  QDataStream&, const QUuid&
    172, 84, 0,	//2111  QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>
    269, 272, 0,	//2114  QTextStream&, QTextStreamManipulator
    32, 487, 0,	//2117  QDataStream&, const QTextLength&
    470, 490, 0,	//2120  const QRegion&, const QTransform&
    461, 446, 0,	//2123  const QPointF&, const QMatrix4x4&
    36, 160, 0,	//2126  QDebug, QGraphicsItem*
    41, 512, 0,	//2129  QDockWidget::DockWidgetFeature, int
    32, 442, 0,	//2132  QDataStream&, const QListWidgetItem&
    244, 244, 0,	//2135  QString::SectionFlag, QString::SectionFlag
    517, 517, 0,	//2138  size_t, size_t
    164, 512, 0,	//2141  QGraphicsScene::SceneLayer, int
    271, 512, 0,	//2144  QTextStream::NumberFlag, int
    507, 512, 512, 0,	//2147  const unsigned char*, int, int
    507, 512, 0,	//2151  const unsigned char*, int
    168, 512, 0,	//2154  QIODevice::OpenModeFlag, int
    36, 484, 0,	//2157  QDebug, const QStyleOption::OptionType&
    321, 121, 0,	//2160  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    32, 477, 0,	//2163  QDataStream&, const QStandardItem&
    463, 445, 0,	//2166  const QPolygonF&, const QMatrix&
    14, 512, 0,	//2169  QAccessible::RelationFlag, int
    459, 0,	//2172  const QPoint&
    32, 223, 0,	//2174  QDataStream&, QPolygon&
    209, 466, 444, 457, 0,	//2177  QPainter*, const QRect&, const QMargins&, const QPixmap&
    136, 70, 0,	//2182  QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>
    51, 51, 0,	//2185  QFileDialog::Option, QFileDialog::Option
    194, 512, 0,	//2188  QMdiArea::AreaOption, int
    32, 242, 0,	//2191  QDataStream&, QString&
    35, 59, 0,	//2194  QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>
    37, 60, 0,	//2197  QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>
    209, 459, 459, 453, 391, 512, 512, 0,	//2200  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    209, 459, 459, 453, 0,	//2208  QPainter*, const QPoint&, const QPoint&, const QPalette&
    209, 459, 459, 453, 391, 0,	//2213  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    209, 459, 459, 453, 391, 512, 0,	//2219  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    176, 176, 0,	//2226  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    32, 479, 0,	//2229  QDataStream&, const QString&
    269, 239, 0,	//2232  QTextStream&, QSplitter&
    142, 512, 0,	//2235  QGLContext::BindOption, int
    32, 446, 0,	//2238  QDataStream&, const QMatrix4x4&
    32, 24, 0,	//2241  QDataStream&, QChar&
    32, 504, 0,	//2244  QDataStream&, const QVector4D&
    249, 249, 0,	//2247  QStyle::StateFlag, QStyle::StateFlag
    437, 0,	//2250  const QItemSelectionRange&
    353, 353, 0,	//2252  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    32, 217, 0,	//2255  QDataStream&, QPixmap&
    479, 402, 0,	//2258  const QString&, const QByteArray&
    49, 49, 0,	//2261  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    459, 446, 0,	//2264  const QPoint&, const QMatrix4x4&
    32, 227, 0,	//2267  QDataStream&, QRect&
    6, 512, 0,	//2270  QAbstractFileEngine::FileFlag, int
    166, 166, 0,	//2273  QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag
    137, 71, 0,	//2276  QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>
    370, 506, 0,	//2279  QtMsgType, const char*
    326, 512, 0,	//2282  Qt::ImageConversionFlag, int
    501, 0,	//2285  const QVector3D&
    251, 100, 0,	//2287  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    29, 29, 0,	//2290  QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption
    36, 466, 0,	//2293  QDebug, const QRect&
    32, 435, 0,	//2296  QDataStream&, const QIcon&
    32, 495, 0,	//2299  QDataStream&, const QVariant::Type
    32, 288, 0,	//2302  QDataStream&, QVector3D&
    257, 512, 0,	//2305  QStyleOptionViewItemV2::ViewItemFeature, int
    510, 504, 0,	//2308  double, const QVector4D&
    32, 184, 0,	//2311  QDataStream&, QLineF&
    32, 212, 0,	//2314  QDataStream&, QPainterPath&
    162, 79, 0,	//2317  QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>
    32, 215, 0,	//2320  QDataStream&, QPicture&
    359, 359, 0,	//2323  Qt::TouchPointState, Qt::TouchPointState
    154, 75, 0,	//2326  QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>
    266, 111, 0,	//2329  QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>
    353, 512, 0,	//2332  Qt::TextInteractionFlag, int
    459, 490, 0,	//2335  const QPoint&, const QTransform&
    252, 512, 0,	//2338  QStyleOptionFrameV2::FrameFeature, int
    37, 512, 0,	//2341  QDialogButtonBox::StandardButton, int
    255, 255, 0,	//2344  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    32, 286, 0,	//2347  QDataStream&, QVector2D&
    266, 512, 0,	//2350  QTextItem::RenderFlag, int
    392, 0,	//2353  char
    32, 407, 0,	//2355  QDataStream&, const QDateTime&
    190, 512, 0,	//2358  QMainWindow::DockOption, int
    32, 273, 0,	//2361  QDataStream&, QTime&
    265, 110, 0,	//2364  QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>
    326, 326, 0,	//2367  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    36, 465, 0,	//2370  QDebug, const QQuaternion&
    252, 101, 0,	//2373  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    32, 486, 0,	//2376  QDataStream&, const QTextFormat&
    316, 120, 0,	//2379  Qt::DropAction, QFlags<Qt::DropAction>
    195, 512, 0,	//2382  QMdiSubWindow::SubWindowOption, int
    316, 316, 0,	//2385  Qt::DropAction, Qt::DropAction
    158, 158, 0,	//2388  QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint
    341, 512, 0,	//2391  Qt::Orientation, int
    172, 172, 0,	//2394  QImageIOPlugin::Capability, QImageIOPlugin::Capability
    32, 465, 0,	//2397  QDataStream&, const QQuaternion&
    36, 408, 0,	//2400  QDebug, const QDir&
    470, 445, 0,	//2403  const QRegion&, const QMatrix&
    36, 470, 0,	//2406  QDebug, const QRegion&
    32, 279, 0,	//2409  QDataStream&, QUrl&
    180, 87, 0,	//2412  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    268, 512, 0,	//2415  QTextOption::Flag, int
    479, 23, 0,	//2418  const QString&, QChar
    512, 512, 512, 512, 0,	//2421  int, int, int, int
    341, 128, 0,	//2426  Qt::Orientation, QFlags<Qt::Orientation>
    255, 104, 0,	//2429  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    190, 190, 0,	//2432  QMainWindow::DockOption, QMainWindow::DockOption
    517, 0,	//2435  size_t
    36, 494, 0,	//2437  QDebug, const QVariant&
    189, 189, 0,	//2440  QLocale::NumberOption, QLocale::NumberOption
    32, 443, 0,	//2443  QDataStream&, const QLocale&
    200, 48, 0,	//2446  QObject*, QEvent*
    274, 0,	//2449  QTimerEvent*
    25, 0,	//2451  QChildEvent*
    198, 0,	//2453  QMouseEvent*
    291, 0,	//2455  QWheelEvent*
    177, 0,	//2457  QKeyEvent*
    134, 0,	//2459  QFocusEvent*
    199, 0,	//2461  QMoveEvent*
    26, 0,	//2463  QCloseEvent*
    30, 0,	//2465  QContextMenuEvent*
    259, 0,	//2467  QTabletEvent*
    16, 0,	//2469  QActionEvent*
    42, 0,	//2471  QDragEnterEvent*
    44, 0,	//2473  QDragMoveEvent*
    43, 0,	//2475  QDragLeaveEvent*
    47, 0,	//2477  QDropEvent*
    233, 0,	//2479  QShowEvent*
    167, 0,	//2481  QHideEvent*
    390, 0,	//2483  _XEvent*
    175, 0,	//2485  QInputMethodEvent*
    329, 0,	//2487  Qt::InputMethodQuery
    248, 0,	//2489  QStyle&
    453, 0,	//2491  const QPalette&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccumBuffer",	//1
    "AlphaChannel",	//2
    "CanFlipNativePixmapBindOption",	//3
    "ColorIndex",	//4
    "CombinedDepthStencil",	//5
    "DefaultBindOption",	//6
    "Depth",	//7
    "DepthBuffer",	//8
    "DirectRendering",	//9
    "DoubleBuffer",	//10
    "DrawChildren",	//11
    "DrawWindowBackground",	//12
    "Fragment",	//13
    "HasOverlay",	//14
    "IgnoreMask",	//15
    "IndirectRendering",	//16
    "InternalBindOption",	//17
    "InvertedYBindOption",	//18
    "LicensedActiveQt",	//19
    "LicensedCore",	//20
    "LicensedDBus",	//21
    "LicensedDeclarative",	//22
    "LicensedGui",	//23
    "LicensedHelp",	//24
    "LicensedMultimedia",	//25
    "LicensedNetwork",	//26
    "LicensedOpenGL",	//27
    "LicensedOpenVG",	//28
    "LicensedQt3Support",	//29
    "LicensedQt3SupportLight",	//30
    "LicensedScript",	//31
    "LicensedScriptTools",	//32
    "LicensedSql",	//33
    "LicensedSvg",	//34
    "LicensedTest",	//35
    "LicensedXml",	//36
    "LicensedXmlPatterns",	//37
    "LinearFilteringBindOption",	//38
    "MemoryManagedBindOption",	//39
    "MipmapBindOption",	//40
    "NoAccumBuffer",	//41
    "NoAlphaChannel",	//42
    "NoAttachment",	//43
    "NoBindOption",	//44
    "NoDepthBuffer",	//45
    "NoOverlay",	//46
    "NoSampleBuffers",	//47
    "NoStencilBuffer",	//48
    "NoStereoBuffers",	//49
    "OpenGL_ES_CommonLite_Version_1_0",	//50
    "OpenGL_ES_CommonLite_Version_1_1",	//51
    "OpenGL_ES_Common_Version_1_0",	//52
    "OpenGL_ES_Common_Version_1_1",	//53
    "OpenGL_ES_Version_2_0",	//54
    "OpenGL_Version_1_1",	//55
    "OpenGL_Version_1_2",	//56
    "OpenGL_Version_1_3",	//57
    "OpenGL_Version_1_4",	//58
    "OpenGL_Version_1_5",	//59
    "OpenGL_Version_2_0",	//60
    "OpenGL_Version_2_1",	//61
    "OpenGL_Version_3_0",	//62
    "OpenGL_Version_None",	//63
    "PremultipliedAlphaBindOption",	//64
    "QGLColormap",	//65
    "QGLColormap#",	//66
    "QGLContext",	//67
    "QGLContext#",	//68
    "QGLContext##",	//69
    "QGLFormat",	//70
    "QGLFormat#",	//71
    "QGLFormat$",	//72
    "QGLFormat$$",	//73
    "QGLFramebufferObject",	//74
    "QGLFramebufferObject#",	//75
    "QGLFramebufferObject##",	//76
    "QGLFramebufferObject#$",	//77
    "QGLFramebufferObject#$?",	//78
    "QGLFramebufferObject#$??",	//79
    "QGLFramebufferObject#?",	//80
    "QGLFramebufferObject$$",	//81
    "QGLFramebufferObject$$#",	//82
    "QGLFramebufferObject$$$",	//83
    "QGLFramebufferObject$$$?",	//84
    "QGLFramebufferObject$$$??",	//85
    "QGLFramebufferObject$$?",	//86
    "QGLFramebufferObjectFormat",	//87
    "QGLFramebufferObjectFormat#",	//88
    "QGLPixelBuffer",	//89
    "QGLPixelBuffer#",	//90
    "QGLPixelBuffer##",	//91
    "QGLPixelBuffer###",	//92
    "QGLPixelBuffer$$",	//93
    "QGLPixelBuffer$$#",	//94
    "QGLPixelBuffer$$##",	//95
    "QGLShader",	//96
    "QGLShader$",	//97
    "QGLShader$#",	//98
    "QGLShader$##",	//99
    "QGLShaderProgram",	//100
    "QGLShaderProgram#",	//101
    "QGLShaderProgram##",	//102
    "QGLWidget",	//103
    "QGLWidget#",	//104
    "QGLWidget##",	//105
    "QGLWidget###",	//106
    "QGLWidget###$",	//107
    "QGLWidget##$",	//108
    "Q_COMPLEX_TYPE",	//109
    "Q_DUMMY_TYPE",	//110
    "Q_MOVABLE_TYPE",	//111
    "Q_PRIMITIVE_TYPE",	//112
    "Q_STATIC_TYPE",	//113
    "QtCriticalMsg",	//114
    "QtDebugMsg",	//115
    "QtFatalMsg",	//116
    "QtSystemMsg",	//117
    "QtWarningMsg",	//118
    "Rgba",	//119
    "SampleBuffers",	//120
    "SingleBuffer",	//121
    "StencilBuffer",	//122
    "StereoBuffers",	//123
    "Vertex",	//124
    "accum",	//125
    "accumBufferSize",	//126
    "actionEvent",	//127
    "addShader",	//128
    "addShader#",	//129
    "addShaderFromSourceCode",	//130
    "addShaderFromSourceCode$#",	//131
    "addShaderFromSourceCode$$",	//132
    "addShaderFromSourceFile",	//133
    "addShaderFromSourceFile$$",	//134
    "alpha",	//135
    "alphaBufferSize",	//136
    "areSharing",	//137
    "areSharing##",	//138
    "attachment",	//139
    "attributeLocation",	//140
    "attributeLocation#",	//141
    "attributeLocation$",	//142
    "autoBufferSwap",	//143
    "bind",	//144
    "bindAttributeLocation",	//145
    "bindAttributeLocation#$",	//146
    "bindAttributeLocation$$",	//147
    "bindTexture",	//148
    "bindTexture#",	//149
    "bindTexture#?",	//150
    "bindTexture#??",	//151
    "bindTexture#??$",	//152
    "bindTexture$",	//153
    "bindToDynamicTexture",	//154
    "bindToDynamicTexture?",	//155
    "blitFramebuffer",	//156
    "blitFramebuffer####",	//157
    "blitFramebuffer####?",	//158
    "blitFramebuffer####??",	//159
    "blueBufferSize",	//160
    "changeEvent",	//161
    "childEvent",	//162
    "chooseContext",	//163
    "chooseContext#",	//164
    "chooseVisual",	//165
    "closeEvent",	//166
    "colorIndex",	//167
    "colorIndex#",	//168
    "colormap",	//169
    "compileSourceCode",	//170
    "compileSourceCode#",	//171
    "compileSourceCode$",	//172
    "compileSourceFile",	//173
    "compileSourceFile$",	//174
    "connectNotify",	//175
    "context",	//176
    "contextMenuEvent",	//177
    "convertToGLFormat",	//178
    "convertToGLFormat#",	//179
    "create",	//180
    "create#",	//181
    "currentContext",	//182
    "currentCtx",	//183
    "customEvent",	//184
    "defaultFormat",	//185
    "defaultOverlayFormat",	//186
    "deleteTexture",	//187
    "deleteTexture?",	//188
    "depth",	//189
    "depthBufferSize",	//190
    "detach",	//191
    "devType",	//192
    "device",	//193
    "deviceIsPixmap",	//194
    "directRendering",	//195
    "disableAttributeArray",	//196
    "disableAttributeArray$",	//197
    "disconnectNotify",	//198
    "doneCurrent",	//199
    "doubleBuffer",	//200
    "dragEnterEvent",	//201
    "dragLeaveEvent",	//202
    "dragMoveEvent",	//203
    "drawTexture",	//204
    "drawTexture#?",	//205
    "drawTexture#??",	//206
    "dropEvent",	//207
    "enableAttributeArray",	//208
    "enableAttributeArray$",	//209
    "enabledChange",	//210
    "enterEvent",	//211
    "entryColor",	//212
    "entryColor$",	//213
    "entryRgb",	//214
    "entryRgb$",	//215
    "event",	//216
    "event#",	//217
    "eventFilter",	//218
    "find",	//219
    "find$",	//220
    "findNearest",	//221
    "findNearest$",	//222
    "focusInEvent",	//223
    "focusNextPrevChild",	//224
    "focusOutEvent",	//225
    "fontChange",	//226
    "fontDisplayListBase",	//227
    "fontDisplayListBase#",	//228
    "fontDisplayListBase#$",	//229
    "format",	//230
    "generateDynamicTexture",	//231
    "generateFontDisplayLists",	//232
    "generateFontDisplayLists#$",	//233
    "getProcAddress",	//234
    "getProcAddress$",	//235
    "glDraw",	//236
    "glInit",	//237
    "grabFrameBuffer",	//238
    "grabFrameBuffer$",	//239
    "greenBufferSize",	//240
    "handle",	//241
    "hasOpenGL",	//242
    "hasOpenGLFramebufferBlit",	//243
    "hasOpenGLFramebufferObjects",	//244
    "hasOpenGLOverlays",	//245
    "hasOpenGLPbuffers",	//246
    "hasOpenGLShaderPrograms",	//247
    "hasOpenGLShaderPrograms#",	//248
    "hasOverlay",	//249
    "heightForWidth",	//250
    "hideEvent",	//251
    "initializeGL",	//252
    "initializeOverlayGL",	//253
    "initialized",	//254
    "inputMethodEvent",	//255
    "inputMethodQuery",	//256
    "internalTextureFormat",	//257
    "isBound",	//258
    "isCompiled",	//259
    "isEmpty",	//260
    "isLinked",	//261
    "isSharing",	//262
    "isValid",	//263
    "keyPressEvent",	//264
    "keyReleaseEvent",	//265
    "languageChange",	//266
    "leaveEvent",	//267
    "link",	//268
    "log",	//269
    "makeCurrent",	//270
    "makeOverlayCurrent",	//271
    "metaObject",	//272
    "metric",	//273
    "metric$",	//274
    "minimumSizeHint",	//275
    "mouseDoubleClickEvent",	//276
    "mouseMoveEvent",	//277
    "mousePressEvent",	//278
    "mouseReleaseEvent",	//279
    "moveEvent",	//280
    "openGLVersionFlags",	//281
    "operator!=",	//282
    "operator!=#",	//283
    "operator!=##",	//284
    "operator!=#$",	//285
    "operator!=$#",	//286
    "operator!=$$",	//287
    "operator&",	//288
    "operator&##",	//289
    "operator*",	//290
    "operator*##",	//291
    "operator*#$",	//292
    "operator*$#",	//293
    "operator+",	//294
    "operator+##",	//295
    "operator+#$",	//296
    "operator+$#",	//297
    "operator+$$",	//298
    "operator-",	//299
    "operator-#",	//300
    "operator-##",	//301
    "operator-#$",	//302
    "operator/",	//303
    "operator/#$",	//304
    "operator<",	//305
    "operator<##",	//306
    "operator<#$",	//307
    "operator<$#",	//308
    "operator<$$",	//309
    "operator<<",	//310
    "operator<<##",	//311
    "operator<<#$",	//312
    "operator<<#?",	//313
    "operator<=",	//314
    "operator<=##",	//315
    "operator<=#$",	//316
    "operator<=$#",	//317
    "operator<=$$",	//318
    "operator=",	//319
    "operator=#",	//320
    "operator==",	//321
    "operator==#",	//322
    "operator==##",	//323
    "operator==#$",	//324
    "operator==$#",	//325
    "operator==$$",	//326
    "operator>",	//327
    "operator>##",	//328
    "operator>#$",	//329
    "operator>$#",	//330
    "operator>$$",	//331
    "operator>=",	//332
    "operator>=##",	//333
    "operator>=#$",	//334
    "operator>=$#",	//335
    "operator>=$$",	//336
    "operator>>",	//337
    "operator>>##",	//338
    "operator>>#$",	//339
    "operator>>#?",	//340
    "operator^",	//341
    "operator^##",	//342
    "operator|",	//343
    "operator|##",	//344
    "operator|$$",	//345
    "overlayContext",	//346
    "overlayTransparentColor",	//347
    "paintEngine",	//348
    "paintEvent",	//349
    "paintEvent#",	//350
    "paintGL",	//351
    "paintOverlayGL",	//352
    "paletteChange",	//353
    "plane",	//354
    "programId",	//355
    "qAccessibleActionCastHelper",	//356
    "qAccessibleEditableTextCastHelper",	//357
    "qAccessibleImageCastHelper",	//358
    "qAccessibleTableCastHelper",	//359
    "qAccessibleTextCastHelper",	//360
    "qAccessibleValueCastHelper",	//361
    "qAcos",	//362
    "qAcos$",	//363
    "qAddPostRoutine",	//364
    "qAddPostRoutine$",	//365
    "qAlpha",	//366
    "qAlpha$",	//367
    "qAppName",	//368
    "qAsin",	//369
    "qAsin$",	//370
    "qAtan",	//371
    "qAtan$",	//372
    "qAtan2",	//373
    "qAtan2$$",	//374
    "qBadAlloc",	//375
    "qBlue",	//376
    "qBlue$",	//377
    "qCeil",	//378
    "qCeil$",	//379
    "qChecksum",	//380
    "qChecksum$$",	//381
    "qCompress",	//382
    "qCompress#",	//383
    "qCompress#$",	//384
    "qCompress$$",	//385
    "qCompress$$$",	//386
    "qCos",	//387
    "qCos$",	//388
    "qCritical",	//389
    "qDebug",	//390
    "qDrawBorderPixmap",	//391
    "qDrawBorderPixmap####",	//392
    "qDrawBorderPixmap######",	//393
    "qDrawBorderPixmap#######",	//394
    "qDrawBorderPixmap#######$",	//395
    "qDrawPixmaps",	//396
    "qDrawPixmaps##$#",	//397
    "qDrawPixmaps##$#$",	//398
    "qDrawPlainRect",	//399
    "qDrawPlainRect###",	//400
    "qDrawPlainRect###$",	//401
    "qDrawPlainRect###$#",	//402
    "qDrawPlainRect#$$$$#",	//403
    "qDrawPlainRect#$$$$#$",	//404
    "qDrawPlainRect#$$$$#$#",	//405
    "qDrawShadeLine",	//406
    "qDrawShadeLine####",	//407
    "qDrawShadeLine####$",	//408
    "qDrawShadeLine####$$",	//409
    "qDrawShadeLine####$$$",	//410
    "qDrawShadeLine#$$$$#",	//411
    "qDrawShadeLine#$$$$#$",	//412
    "qDrawShadeLine#$$$$#$$",	//413
    "qDrawShadeLine#$$$$#$$$",	//414
    "qDrawShadePanel",	//415
    "qDrawShadePanel###",	//416
    "qDrawShadePanel###$",	//417
    "qDrawShadePanel###$$",	//418
    "qDrawShadePanel###$$#",	//419
    "qDrawShadePanel#$$$$#",	//420
    "qDrawShadePanel#$$$$#$",	//421
    "qDrawShadePanel#$$$$#$$",	//422
    "qDrawShadePanel#$$$$#$$#",	//423
    "qDrawShadeRect",	//424
    "qDrawShadeRect###",	//425
    "qDrawShadeRect###$",	//426
    "qDrawShadeRect###$$",	//427
    "qDrawShadeRect###$$$",	//428
    "qDrawShadeRect###$$$#",	//429
    "qDrawShadeRect#$$$$#",	//430
    "qDrawShadeRect#$$$$#$",	//431
    "qDrawShadeRect#$$$$#$$",	//432
    "qDrawShadeRect#$$$$#$$$",	//433
    "qDrawShadeRect#$$$$#$$$#",	//434
    "qDrawWinButton",	//435
    "qDrawWinButton###",	//436
    "qDrawWinButton###$",	//437
    "qDrawWinButton###$#",	//438
    "qDrawWinButton#$$$$#",	//439
    "qDrawWinButton#$$$$#$",	//440
    "qDrawWinButton#$$$$#$#",	//441
    "qDrawWinPanel",	//442
    "qDrawWinPanel###",	//443
    "qDrawWinPanel###$",	//444
    "qDrawWinPanel###$#",	//445
    "qDrawWinPanel#$$$$#",	//446
    "qDrawWinPanel#$$$$#$",	//447
    "qDrawWinPanel#$$$$#$#",	//448
    "qExp",	//449
    "qExp$",	//450
    "qFabs",	//451
    "qFabs$",	//452
    "qFastCos",	//453
    "qFastCos$",	//454
    "qFastSin",	//455
    "qFastSin$",	//456
    "qFlagLocation",	//457
    "qFlagLocation$",	//458
    "qFloor",	//459
    "qFloor$",	//460
    "qFree",	//461
    "qFree$",	//462
    "qFreeAligned",	//463
    "qFreeAligned$",	//464
    "qFuzzyCompare",	//465
    "qFuzzyCompare##",	//466
    "qFuzzyCompare$$",	//467
    "qFuzzyIsNull",	//468
    "qFuzzyIsNull$",	//469
    "qGray",	//470
    "qGray$",	//471
    "qGray$$$",	//472
    "qGreen",	//473
    "qGreen$",	//474
    "qHash",	//475
    "qHash#",	//476
    "qHash$",	//477
    "qHash?",	//478
    "qInf",	//479
    "qInstallMsgHandler",	//480
    "qInstallMsgHandler$",	//481
    "qIntCast",	//482
    "qIntCast$",	//483
    "qIsFinite",	//484
    "qIsFinite$",	//485
    "qIsGray",	//486
    "qIsGray$",	//487
    "qIsInf",	//488
    "qIsInf$",	//489
    "qIsNaN",	//490
    "qIsNaN$",	//491
    "qIsNull",	//492
    "qIsNull$",	//493
    "qLn",	//494
    "qLn$",	//495
    "qMalloc",	//496
    "qMalloc?",	//497
    "qMallocAligned",	//498
    "qMallocAligned??",	//499
    "qMemCopy",	//500
    "qMemCopy$$?",	//501
    "qMemSet",	//502
    "qMemSet$$?",	//503
    "qPow",	//504
    "qPow$$",	//505
    "qQNaN",	//506
    "qRealloc",	//507
    "qRealloc$?",	//508
    "qReallocAligned",	//509
    "qReallocAligned$???",	//510
    "qRed",	//511
    "qRed$",	//512
    "qRegisterStaticPluginInstanceFunction",	//513
    "qRegisterStaticPluginInstanceFunction#",	//514
    "qRemovePostRoutine",	//515
    "qRemovePostRoutine$",	//516
    "qRgb",	//517
    "qRgb$$$",	//518
    "qRgba",	//519
    "qRgba$$$$",	//520
    "qRound",	//521
    "qRound$",	//522
    "qRound64",	//523
    "qRound64$",	//524
    "qSNaN",	//525
    "qSetFieldWidth",	//526
    "qSetFieldWidth$",	//527
    "qSetPadChar",	//528
    "qSetPadChar#",	//529
    "qSetRealNumberPrecision",	//530
    "qSetRealNumberPrecision$",	//531
    "qSharedBuild",	//532
    "qSin",	//533
    "qSin$",	//534
    "qSqrt",	//535
    "qSqrt$",	//536
    "qStringComparisonHelper",	//537
    "qStringComparisonHelper#$",	//538
    "qStringComparisonHelper$$",	//539
    "qTan",	//540
    "qTan$",	//541
    "qUncompress",	//542
    "qUncompress#",	//543
    "qUncompress$$",	//544
    "qVersion",	//545
    "qWarning",	//546
    "qbswap_helper",	//547
    "qbswap_helper$$$",	//548
    "qgetenv",	//549
    "qgetenv$",	//550
    "qglClearColor",	//551
    "qglClearColor#",	//552
    "qglColor",	//553
    "qglColor#",	//554
    "qputenv",	//555
    "qputenv$#",	//556
    "qrand",	//557
    "qsrand",	//558
    "qsrand$",	//559
    "qstrcmp",	//560
    "qstrcmp##",	//561
    "qstrcmp#$",	//562
    "qstrcmp$#",	//563
    "qstrcmp$$",	//564
    "qstrcpy",	//565
    "qstrcpy$$",	//566
    "qstrdup",	//567
    "qstrdup$",	//568
    "qstricmp",	//569
    "qstricmp$$",	//570
    "qstrlen",	//571
    "qstrlen$",	//572
    "qstrncmp",	//573
    "qstrncmp$$$",	//574
    "qstrncpy",	//575
    "qstrncpy$$$",	//576
    "qstrnicmp",	//577
    "qstrnicmp$$$",	//578
    "qstrnlen",	//579
    "qstrnlen$$",	//580
    "qtTrId",	//581
    "qtTrId$",	//582
    "qtTrId$$",	//583
    "qt_assert",	//584
    "qt_assert$$$",	//585
    "qt_assert_x",	//586
    "qt_assert_x$$$$",	//587
    "qt_check_pointer",	//588
    "qt_check_pointer$$",	//589
    "qt_error_string",	//590
    "qt_error_string$",	//591
    "qt_message_output",	//592
    "qt_message_output$$",	//593
    "qt_metacall",	//594
    "qt_metacall$$?",	//595
    "qt_metacast",	//596
    "qt_metacast$",	//597
    "qt_noop",	//598
    "qt_qFindChild_helper",	//599
    "qt_qFindChild_helper#$#",	//600
    "qt_qFindChildren_helper",	//601
    "qt_qFindChildren_helper#$##?",	//602
    "qvariant_cast_helper",	//603
    "qvariant_cast_helper#$$",	//604
    "qvsnprintf",	//605
    "qvsnprintf$?$?",	//606
    "redBufferSize",	//607
    "release",	//608
    "releaseFromDynamicTexture",	//609
    "removeAllShaders",	//610
    "removeShader",	//611
    "removeShader#",	//612
    "renderPixmap",	//613
    "renderPixmap$",	//614
    "renderPixmap$$",	//615
    "renderPixmap$$$",	//616
    "renderText",	//617
    "renderText$$$",	//618
    "renderText$$$#",	//619
    "renderText$$$#$",	//620
    "renderText$$$$",	//621
    "renderText$$$$#",	//622
    "renderText$$$$#$",	//623
    "requestedFormat",	//624
    "reset",	//625
    "resizeEvent",	//626
    "resizeEvent#",	//627
    "resizeGL",	//628
    "resizeGL$$",	//629
    "resizeOverlayGL",	//630
    "resizeOverlayGL$$",	//631
    "rgba",	//632
    "sampleBuffers",	//633
    "samples",	//634
    "setAccum",	//635
    "setAccum$",	//636
    "setAccumBufferSize",	//637
    "setAccumBufferSize$",	//638
    "setAlpha",	//639
    "setAlpha$",	//640
    "setAlphaBufferSize",	//641
    "setAlphaBufferSize$",	//642
    "setAttachment",	//643
    "setAttachment$",	//644
    "setAttributeArray",	//645
    "setAttributeArray$#",	//646
    "setAttributeArray$#$",	//647
    "setAttributeArray$?$",	//648
    "setAttributeArray$?$$",	//649
    "setAttributeValue",	//650
    "setAttributeValue$#",	//651
    "setAttributeValue$?",	//652
    "setAttributeValue$?$$",	//653
    "setAttributeValue$??",	//654
    "setAttributeValue$???",	//655
    "setAttributeValue$????",	//656
    "setAutoBufferSwap",	//657
    "setAutoBufferSwap$",	//658
    "setBlueBufferSize",	//659
    "setBlueBufferSize$",	//660
    "setColormap",	//661
    "setColormap#",	//662
    "setContext",	//663
    "setContext#",	//664
    "setContext##",	//665
    "setContext##$",	//666
    "setCurrentCtx",	//667
    "setCurrentCtx#",	//668
    "setDefaultFormat",	//669
    "setDefaultFormat#",	//670
    "setDefaultOverlayFormat",	//671
    "setDefaultOverlayFormat#",	//672
    "setDepth",	//673
    "setDepth$",	//674
    "setDepthBufferSize",	//675
    "setDepthBufferSize$",	//676
    "setDevice",	//677
    "setDevice#",	//678
    "setDirectRendering",	//679
    "setDirectRendering$",	//680
    "setDoubleBuffer",	//681
    "setDoubleBuffer$",	//682
    "setEntries",	//683
    "setEntries$$",	//684
    "setEntries$$$",	//685
    "setEntry",	//686
    "setEntry$#",	//687
    "setEntry$$",	//688
    "setFormat",	//689
    "setFormat#",	//690
    "setGreenBufferSize",	//691
    "setGreenBufferSize$",	//692
    "setHandle",	//693
    "setHandle$",	//694
    "setInitialized",	//695
    "setInitialized$",	//696
    "setInternalTextureFormat",	//697
    "setInternalTextureFormat?",	//698
    "setMouseTracking",	//699
    "setMouseTracking$",	//700
    "setOption",	//701
    "setOption$",	//702
    "setOverlay",	//703
    "setOverlay$",	//704
    "setPlane",	//705
    "setPlane$",	//706
    "setPreferredPaintEngine",	//707
    "setPreferredPaintEngine$",	//708
    "setRedBufferSize",	//709
    "setRedBufferSize$",	//710
    "setRgba",	//711
    "setRgba$",	//712
    "setSampleBuffers",	//713
    "setSampleBuffers$",	//714
    "setSamples",	//715
    "setSamples$",	//716
    "setStencil",	//717
    "setStencil$",	//718
    "setStencilBufferSize",	//719
    "setStencilBufferSize$",	//720
    "setStereo",	//721
    "setStereo$",	//722
    "setSwapInterval",	//723
    "setSwapInterval$",	//724
    "setTextureCacheLimit",	//725
    "setTextureCacheLimit$",	//726
    "setTextureTarget",	//727
    "setTextureTarget?",	//728
    "setUniformValue",	//729
    "setUniformValue$#",	//730
    "setUniformValue$?",	//731
    "setUniformValue$??",	//732
    "setUniformValue$???",	//733
    "setUniformValue$????",	//734
    "setUniformValueArray",	//735
    "setUniformValueArray$#$",	//736
    "setUniformValueArray$?$",	//737
    "setUniformValueArray$?$$",	//738
    "setValid",	//739
    "setValid$",	//740
    "setVisible",	//741
    "setWindowCreated",	//742
    "setWindowCreated$",	//743
    "shaderId",	//744
    "shaderType",	//745
    "shaders",	//746
    "showEvent",	//747
    "size",	//748
    "sizeHint",	//749
    "sourceCode",	//750
    "staticMetaObject",	//751
    "stencil",	//752
    "stencilBufferSize",	//753
    "stereo",	//754
    "styleChange",	//755
    "swapBuffers",	//756
    "swapInterval",	//757
    "tabletEvent",	//758
    "testOption",	//759
    "testOption$",	//760
    "texture",	//761
    "textureCacheLimit",	//762
    "textureTarget",	//763
    "timerEvent",	//764
    "toImage",	//765
    "tr",	//766
    "tr$",	//767
    "tr$$",	//768
    "tr$$$",	//769
    "trUtf8",	//770
    "trUtf8$",	//771
    "trUtf8$$",	//772
    "trUtf8$$$",	//773
    "tryVisual",	//774
    "tryVisual#",	//775
    "tryVisual#$",	//776
    "uniformLocation",	//777
    "uniformLocation#",	//778
    "uniformLocation$",	//779
    "updateDynamicTexture",	//780
    "updateDynamicTexture?",	//781
    "updateGL",	//782
    "updateOverlayGL",	//783
    "wheelEvent",	//784
    "windowActivationChange",	//785
    "windowCreated",	//786
    "x11Event",	//787
    "~QGLColormap",	//788
    "~QGLContext",	//789
    "~QGLFormat",	//790
    "~QGLFramebufferObject",	//791
    "~QGLFramebufferObjectFormat",	//792
    "~QGLPixelBuffer",	//793
    "~QGLShader",	//794
    "~QGLShaderProgram",	//795
    "~QGLWidget",	//796
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {27, 707, 1, 1, Smoke::mf_static, 0, 1},	//1 QGL::setPreferredPaintEngine(QPaintEngine::Type)
    {27, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 2},	//2 QGL::DoubleBuffer (enum)
    {27, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 3},	//3 QGL::DepthBuffer (enum)
    {27, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 4},	//4 QGL::Rgba (enum)
    {27, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 5},	//5 QGL::AlphaChannel (enum)
    {27, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 6},	//6 QGL::AccumBuffer (enum)
    {27, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 7},	//7 QGL::StencilBuffer (enum)
    {27, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 8},	//8 QGL::StereoBuffers (enum)
    {27, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 9},	//9 QGL::DirectRendering (enum)
    {27, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 10},	//10 QGL::HasOverlay (enum)
    {27, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 11},	//11 QGL::SampleBuffers (enum)
    {27, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 12},	//12 QGL::SingleBuffer (enum)
    {27, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 13},	//13 QGL::NoDepthBuffer (enum)
    {27, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 14},	//14 QGL::ColorIndex (enum)
    {27, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 15},	//15 QGL::NoAlphaChannel (enum)
    {27, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 16},	//16 QGL::NoAccumBuffer (enum)
    {27, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 17},	//17 QGL::NoStencilBuffer (enum)
    {27, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 18},	//18 QGL::NoStereoBuffers (enum)
    {27, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 19},	//19 QGL::IndirectRendering (enum)
    {27, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 20},	//20 QGL::NoOverlay (enum)
    {27, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 21},	//21 QGL::NoSampleBuffers (enum)
    {28, 65, 0, 0, Smoke::mf_ctor, 140, 1},	//22 QGLColormap::QGLColormap()
    {28, 65, 3, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 140, 2},	//23 QGLColormap::QGLColormap(const QGLColormap&)
    {28, 319, 3, 1, 0, 139, 3},	//24 QGLColormap::operator=(const QGLColormap&)
    {28, 260, 0, 0, Smoke::mf_const, 391, 4},	//25 QGLColormap::isEmpty() const
    {28, 748, 0, 0, Smoke::mf_const, 512, 5},	//26 QGLColormap::size() const
    {28, 191, 0, 0, 0, 0, 6},	//27 QGLColormap::detach()
    {28, 683, 5, 3, 0, 0, 7},	//28 QGLColormap::setEntries(int, const unsigned int*, int)
    {28, 686, 9, 2, 0, 0, 8},	//29 QGLColormap::setEntry(int, unsigned int)
    {28, 686, 12, 2, 0, 0, 9},	//30 QGLColormap::setEntry(int, const QColor&)
    {28, 214, 15, 1, Smoke::mf_const, 520, 10},	//31 QGLColormap::entryRgb(int) const
    {28, 212, 15, 1, Smoke::mf_const, 27, 11},	//32 QGLColormap::entryColor(int) const
    {28, 219, 17, 1, Smoke::mf_const, 512, 12},	//33 QGLColormap::find(unsigned int) const
    {28, 221, 17, 1, Smoke::mf_const, 512, 13},	//34 QGLColormap::findNearest(unsigned int) const
    {28, 241, 0, 0, Smoke::mf_protected, 521, 14},	//35 QGLColormap::handle()
    {28, 693, 19, 1, Smoke::mf_protected, 0, 15},	//36 QGLColormap::setHandle(unsigned long)
    {28, 683, 21, 2, 0, 0, 16},	//37 QGLColormap::setEntries(int, const unsigned int*)
    {28, 788, 0, 0, Smoke::mf_dtor, 0, 17 },	//38 QGLColormap::~QGLColormap()
    {29, 67, 24, 2, Smoke::mf_ctor, 141, 1},	//39 QGLContext::QGLContext(const QGLFormat&, QPaintDevice*)
    {29, 67, 27, 1, Smoke::mf_ctor, 141, 2},	//40 QGLContext::QGLContext(const QGLFormat&)
    {29, 180, 29, 1, Smoke::mf_virtual, 391, 3},	//41 QGLContext::create(const QGLContext*)
    {29, 263, 0, 0, Smoke::mf_const, 391, 4},	//42 QGLContext::isValid() const
    {29, 262, 0, 0, Smoke::mf_const, 391, 5},	//43 QGLContext::isSharing() const
    {29, 625, 0, 0, 0, 0, 6},	//44 QGLContext::reset()
    {29, 137, 31, 2, Smoke::mf_static, 391, 7},	//45 QGLContext::areSharing(const QGLContext*, const QGLContext*)
    {29, 230, 0, 0, Smoke::mf_const, 143, 8},	//46 QGLContext::format() const
    {29, 624, 0, 0, Smoke::mf_const, 143, 9},	//47 QGLContext::requestedFormat() const
    {29, 689, 27, 1, 0, 0, 10},	//48 QGLContext::setFormat(const QGLFormat&)
    {29, 270, 0, 0, Smoke::mf_virtual, 0, 11},	//49 QGLContext::makeCurrent()
    {29, 199, 0, 0, Smoke::mf_virtual, 0, 12},	//50 QGLContext::doneCurrent()
    {29, 756, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 0, 13},	//51 QGLContext::swapBuffers() const
    {29, 148, 34, 4, 0, 5, 14},	//52 QGLContext::bindTexture(const QImage&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    {29, 148, 39, 4, 0, 5, 15},	//53 QGLContext::bindTexture(const QPixmap&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    {29, 148, 44, 3, 0, 5, 16},	//54 QGLContext::bindTexture(const QImage&, GLenum, GLint)
    {29, 148, 48, 3, 0, 5, 17},	//55 QGLContext::bindTexture(const QPixmap&, GLenum, GLint)
    {29, 148, 52, 1, 0, 5, 18},	//56 QGLContext::bindTexture(const QString&)
    {29, 187, 54, 1, 0, 0, 19},	//57 QGLContext::deleteTexture(GLuint)
    {29, 204, 56, 3, 0, 0, 20},	//58 QGLContext::drawTexture(const QRectF&, GLuint, GLenum)
    {29, 204, 60, 3, 0, 0, 21},	//59 QGLContext::drawTexture(const QPointF&, GLuint, GLenum)
    {29, 725, 15, 1, Smoke::mf_static, 0, 22},	//60 QGLContext::setTextureCacheLimit(int)
    {29, 762, 0, 0, Smoke::mf_static, 512, 23},	//61 QGLContext::textureCacheLimit()
    {29, 234, 52, 1, Smoke::mf_const, 527, 24},	//62 QGLContext::getProcAddress(const QString&) const
    {29, 193, 0, 0, Smoke::mf_const, 202, 25},	//63 QGLContext::device() const
    {29, 347, 0, 0, Smoke::mf_const, 27, 26},	//64 QGLContext::overlayTransparentColor() const
    {29, 182, 0, 0, Smoke::mf_static, 414, 27},	//65 QGLContext::currentContext()
    {29, 163, 29, 1, Smoke::mf_protected|Smoke::mf_virtual, 391, 28},	//66 QGLContext::chooseContext(const QGLContext*)
    {29, 774, 64, 2, Smoke::mf_protected|Smoke::mf_virtual, 527, 29},	//67 QGLContext::tryVisual(const QGLFormat&, int)
    {29, 165, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 527, 30},	//68 QGLContext::chooseVisual()
    {29, 194, 0, 0, Smoke::mf_const|Smoke::mf_protected, 391, 31},	//69 QGLContext::deviceIsPixmap() const
    {29, 786, 0, 0, Smoke::mf_const|Smoke::mf_protected, 391, 32},	//70 QGLContext::windowCreated() const
    {29, 742, 67, 1, Smoke::mf_protected, 0, 33},	//71 QGLContext::setWindowCreated(bool)
    {29, 254, 0, 0, Smoke::mf_const|Smoke::mf_protected, 391, 34},	//72 QGLContext::initialized() const
    {29, 695, 67, 1, Smoke::mf_protected, 0, 35},	//73 QGLContext::setInitialized(bool)
    {29, 232, 69, 2, Smoke::mf_protected, 0, 36},	//74 QGLContext::generateFontDisplayLists(const QFont&, int)
    {29, 167, 72, 1, Smoke::mf_const|Smoke::mf_protected, 520, 37},	//75 QGLContext::colorIndex(const QColor&) const
    {29, 739, 67, 1, Smoke::mf_protected, 0, 38},	//76 QGLContext::setValid(bool)
    {29, 677, 74, 1, Smoke::mf_protected, 0, 39},	//77 QGLContext::setDevice(QPaintDevice*)
    {29, 180, 0, 0, 0, 391, 40},	//78 QGLContext::create()
    {29, 148, 76, 1, 0, 5, 41},	//79 QGLContext::bindTexture(const QImage&)
    {29, 148, 78, 2, 0, 5, 42},	//80 QGLContext::bindTexture(const QImage&, GLenum)
    {29, 148, 81, 1, 0, 5, 43},	//81 QGLContext::bindTexture(const QPixmap&)
    {29, 148, 83, 2, 0, 5, 44},	//82 QGLContext::bindTexture(const QPixmap&, GLenum)
    {29, 204, 86, 2, 0, 0, 45},	//83 QGLContext::drawTexture(const QRectF&, GLuint)
    {29, 204, 89, 2, 0, 0, 46},	//84 QGLContext::drawTexture(const QPointF&, GLuint)
    {29, 163, 0, 0, Smoke::mf_protected, 391, 47},	//85 QGLContext::chooseContext()
    {29, 774, 27, 1, Smoke::mf_protected, 527, 48},	//86 QGLContext::tryVisual(const QGLFormat&)
    {29, 183, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_protected|Smoke::mf_attribute, 141, 49},	//87 QGLContext::currentCtx() const
    {29, 667, 92, 1, Smoke::mf_static|Smoke::mf_protected|Smoke::mf_attribute, 0, 50},	//88 QGLContext::setCurrentCtx(QGLContext*)
    {29, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 51},	//89 QGLContext::NoBindOption (enum)
    {29, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 52},	//90 QGLContext::InvertedYBindOption (enum)
    {29, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 53},	//91 QGLContext::MipmapBindOption (enum)
    {29, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 54},	//92 QGLContext::PremultipliedAlphaBindOption (enum)
    {29, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 55},	//93 QGLContext::LinearFilteringBindOption (enum)
    {29, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 56},	//94 QGLContext::MemoryManagedBindOption (enum)
    {29, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 57},	//95 QGLContext::CanFlipNativePixmapBindOption (enum)
    {29, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 58},	//96 QGLContext::DefaultBindOption (enum)
    {29, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 59},	//97 QGLContext::InternalBindOption (enum)
    {29, 789, 0, 0, Smoke::mf_dtor, 0, 60 },	//98 QGLContext::~QGLContext()
    {30, 70, 0, 0, Smoke::mf_ctor, 145, 1},	//99 QGLFormat::QGLFormat()
    {30, 70, 94, 2, Smoke::mf_ctor, 145, 2},	//100 QGLFormat::QGLFormat(QFlags<QGL::FormatOption>, int)
    {30, 70, 27, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 3},	//101 QGLFormat::QGLFormat(const QGLFormat&)
    {30, 319, 27, 1, 0, 144, 4},	//102 QGLFormat::operator=(const QGLFormat&)
    {30, 675, 15, 1, 0, 0, 5},	//103 QGLFormat::setDepthBufferSize(int)
    {30, 190, 0, 0, Smoke::mf_const, 512, 6},	//104 QGLFormat::depthBufferSize() const
    {30, 637, 15, 1, 0, 0, 7},	//105 QGLFormat::setAccumBufferSize(int)
    {30, 126, 0, 0, Smoke::mf_const, 512, 8},	//106 QGLFormat::accumBufferSize() const
    {30, 709, 15, 1, 0, 0, 9},	//107 QGLFormat::setRedBufferSize(int)
    {30, 607, 0, 0, Smoke::mf_const, 512, 10},	//108 QGLFormat::redBufferSize() const
    {30, 691, 15, 1, 0, 0, 11},	//109 QGLFormat::setGreenBufferSize(int)
    {30, 240, 0, 0, Smoke::mf_const, 512, 12},	//110 QGLFormat::greenBufferSize() const
    {30, 659, 15, 1, 0, 0, 13},	//111 QGLFormat::setBlueBufferSize(int)
    {30, 160, 0, 0, Smoke::mf_const, 512, 14},	//112 QGLFormat::blueBufferSize() const
    {30, 641, 15, 1, 0, 0, 15},	//113 QGLFormat::setAlphaBufferSize(int)
    {30, 136, 0, 0, Smoke::mf_const, 512, 16},	//114 QGLFormat::alphaBufferSize() const
    {30, 719, 15, 1, 0, 0, 17},	//115 QGLFormat::setStencilBufferSize(int)
    {30, 753, 0, 0, Smoke::mf_const, 512, 18},	//116 QGLFormat::stencilBufferSize() const
    {30, 713, 67, 1, 0, 0, 19},	//117 QGLFormat::setSampleBuffers(bool)
    {30, 633, 0, 0, Smoke::mf_const, 391, 20},	//118 QGLFormat::sampleBuffers() const
    {30, 715, 15, 1, 0, 0, 21},	//119 QGLFormat::setSamples(int)
    {30, 634, 0, 0, Smoke::mf_const, 512, 22},	//120 QGLFormat::samples() const
    {30, 723, 15, 1, 0, 0, 23},	//121 QGLFormat::setSwapInterval(int)
    {30, 757, 0, 0, Smoke::mf_const, 512, 24},	//122 QGLFormat::swapInterval() const
    {30, 200, 0, 0, Smoke::mf_const, 391, 25},	//123 QGLFormat::doubleBuffer() const
    {30, 681, 67, 1, 0, 0, 26},	//124 QGLFormat::setDoubleBuffer(bool)
    {30, 189, 0, 0, Smoke::mf_const, 391, 27},	//125 QGLFormat::depth() const
    {30, 673, 67, 1, 0, 0, 28},	//126 QGLFormat::setDepth(bool)
    {30, 632, 0, 0, Smoke::mf_const, 391, 29},	//127 QGLFormat::rgba() const
    {30, 711, 67, 1, 0, 0, 30},	//128 QGLFormat::setRgba(bool)
    {30, 135, 0, 0, Smoke::mf_const, 391, 31},	//129 QGLFormat::alpha() const
    {30, 639, 67, 1, 0, 0, 32},	//130 QGLFormat::setAlpha(bool)
    {30, 125, 0, 0, Smoke::mf_const, 391, 33},	//131 QGLFormat::accum() const
    {30, 635, 67, 1, 0, 0, 34},	//132 QGLFormat::setAccum(bool)
    {30, 752, 0, 0, Smoke::mf_const, 391, 35},	//133 QGLFormat::stencil() const
    {30, 717, 67, 1, 0, 0, 36},	//134 QGLFormat::setStencil(bool)
    {30, 754, 0, 0, Smoke::mf_const, 391, 37},	//135 QGLFormat::stereo() const
    {30, 721, 67, 1, 0, 0, 38},	//136 QGLFormat::setStereo(bool)
    {30, 195, 0, 0, Smoke::mf_const, 391, 39},	//137 QGLFormat::directRendering() const
    {30, 679, 67, 1, 0, 0, 40},	//138 QGLFormat::setDirectRendering(bool)
    {30, 249, 0, 0, Smoke::mf_const, 391, 41},	//139 QGLFormat::hasOverlay() const
    {30, 703, 67, 1, 0, 0, 42},	//140 QGLFormat::setOverlay(bool)
    {30, 354, 0, 0, Smoke::mf_const, 512, 43},	//141 QGLFormat::plane() const
    {30, 705, 15, 1, 0, 0, 44},	//142 QGLFormat::setPlane(int)
    {30, 701, 97, 1, 0, 0, 45},	//143 QGLFormat::setOption(QFlags<QGL::FormatOption>)
    {30, 759, 97, 1, Smoke::mf_const, 391, 46},	//144 QGLFormat::testOption(QFlags<QGL::FormatOption>) const
    {30, 185, 0, 0, Smoke::mf_static, 143, 47},	//145 QGLFormat::defaultFormat()
    {30, 669, 27, 1, Smoke::mf_static, 0, 48},	//146 QGLFormat::setDefaultFormat(const QGLFormat&)
    {30, 186, 0, 0, Smoke::mf_static, 143, 49},	//147 QGLFormat::defaultOverlayFormat()
    {30, 671, 27, 1, Smoke::mf_static, 0, 50},	//148 QGLFormat::setDefaultOverlayFormat(const QGLFormat&)
    {30, 242, 0, 0, Smoke::mf_static, 391, 51},	//149 QGLFormat::hasOpenGL()
    {30, 245, 0, 0, Smoke::mf_static, 391, 52},	//150 QGLFormat::hasOpenGLOverlays()
    {30, 281, 0, 0, Smoke::mf_static, 74, 53},	//151 QGLFormat::openGLVersionFlags()
    {30, 70, 97, 1, Smoke::mf_ctor, 145, 54},	//152 QGLFormat::QGLFormat(QFlags<QGL::FormatOption>)
    {30, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 55},	//153 QGLFormat::OpenGL_Version_None (enum)
    {30, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 56},	//154 QGLFormat::OpenGL_Version_1_1 (enum)
    {30, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 57},	//155 QGLFormat::OpenGL_Version_1_2 (enum)
    {30, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 58},	//156 QGLFormat::OpenGL_Version_1_3 (enum)
    {30, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 59},	//157 QGLFormat::OpenGL_Version_1_4 (enum)
    {30, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 60},	//158 QGLFormat::OpenGL_Version_1_5 (enum)
    {30, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 61},	//159 QGLFormat::OpenGL_Version_2_0 (enum)
    {30, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 62},	//160 QGLFormat::OpenGL_Version_2_1 (enum)
    {30, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 63},	//161 QGLFormat::OpenGL_ES_Common_Version_1_0 (enum)
    {30, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 64},	//162 QGLFormat::OpenGL_ES_CommonLite_Version_1_0 (enum)
    {30, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 65},	//163 QGLFormat::OpenGL_ES_Common_Version_1_1 (enum)
    {30, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 66},	//164 QGLFormat::OpenGL_ES_CommonLite_Version_1_1 (enum)
    {30, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 67},	//165 QGLFormat::OpenGL_ES_Version_2_0 (enum)
    {30, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 68},	//166 QGLFormat::OpenGL_Version_3_0 (enum)
    {30, 790, 0, 0, Smoke::mf_dtor, 0, 69 },	//167 QGLFormat::~QGLFormat()
    {31, 74, 99, 2, Smoke::mf_ctor, 147, 1},	//168 QGLFramebufferObject::QGLFramebufferObject(const QSize&, GLenum)
    {31, 74, 102, 3, Smoke::mf_ctor, 147, 2},	//169 QGLFramebufferObject::QGLFramebufferObject(int, int, GLenum)
    {31, 74, 106, 4, Smoke::mf_ctor, 147, 3},	//170 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment, GLenum, GLenum)
    {31, 74, 111, 5, Smoke::mf_ctor, 147, 4},	//171 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment, GLenum, GLenum)
    {31, 74, 117, 2, Smoke::mf_ctor, 147, 5},	//172 QGLFramebufferObject::QGLFramebufferObject(const QSize&, const QGLFramebufferObjectFormat&)
    {31, 74, 120, 3, Smoke::mf_ctor, 147, 6},	//173 QGLFramebufferObject::QGLFramebufferObject(int, int, const QGLFramebufferObjectFormat&)
    {31, 230, 0, 0, Smoke::mf_const, 149, 7},	//174 QGLFramebufferObject::format() const
    {31, 263, 0, 0, Smoke::mf_const, 391, 8},	//175 QGLFramebufferObject::isValid() const
    {31, 258, 0, 0, Smoke::mf_const, 391, 9},	//176 QGLFramebufferObject::isBound() const
    {31, 144, 0, 0, 0, 391, 10},	//177 QGLFramebufferObject::bind()
    {31, 608, 0, 0, 0, 391, 11},	//178 QGLFramebufferObject::release()
    {31, 761, 0, 0, Smoke::mf_const, 5, 12},	//179 QGLFramebufferObject::texture() const
    {31, 748, 0, 0, Smoke::mf_const, 234, 13},	//180 QGLFramebufferObject::size() const
    {31, 765, 0, 0, Smoke::mf_const, 170, 14},	//181 QGLFramebufferObject::toImage() const
    {31, 139, 0, 0, Smoke::mf_const, 148, 15},	//182 QGLFramebufferObject::attachment() const
    {31, 348, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 16},	//183 QGLFramebufferObject::paintEngine() const
    {31, 241, 0, 0, Smoke::mf_const, 5, 17},	//184 QGLFramebufferObject::handle() const
    {31, 244, 0, 0, Smoke::mf_static, 391, 18},	//185 QGLFramebufferObject::hasOpenGLFramebufferObjects()
    {31, 204, 56, 3, 0, 0, 19},	//186 QGLFramebufferObject::drawTexture(const QRectF&, GLuint, GLenum)
    {31, 204, 60, 3, 0, 0, 20},	//187 QGLFramebufferObject::drawTexture(const QPointF&, GLuint, GLenum)
    {31, 243, 0, 0, Smoke::mf_static, 391, 21},	//188 QGLFramebufferObject::hasOpenGLFramebufferBlit()
    {31, 156, 124, 6, Smoke::mf_static, 0, 22},	//189 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, GLbitfield, GLenum)
    {31, 273, 131, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 512, 23},	//190 QGLFramebufferObject::metric(QPaintDevice::PaintDeviceMetric) const
    {31, 192, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 512, 24},	//191 QGLFramebufferObject::devType() const
    {31, 74, 133, 1, Smoke::mf_ctor, 147, 25},	//192 QGLFramebufferObject::QGLFramebufferObject(const QSize&)
    {31, 74, 135, 2, Smoke::mf_ctor, 147, 26},	//193 QGLFramebufferObject::QGLFramebufferObject(int, int)
    {31, 74, 138, 2, Smoke::mf_ctor, 147, 27},	//194 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment)
    {31, 74, 141, 3, Smoke::mf_ctor, 147, 28},	//195 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment, GLenum)
    {31, 74, 145, 3, Smoke::mf_ctor, 147, 29},	//196 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment)
    {31, 74, 149, 4, Smoke::mf_ctor, 147, 30},	//197 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment, GLenum)
    {31, 204, 86, 2, 0, 0, 31},	//198 QGLFramebufferObject::drawTexture(const QRectF&, GLuint)
    {31, 204, 89, 2, 0, 0, 32},	//199 QGLFramebufferObject::drawTexture(const QPointF&, GLuint)
    {31, 156, 154, 4, Smoke::mf_static, 0, 33},	//200 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&)
    {31, 156, 159, 5, Smoke::mf_static, 0, 34},	//201 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, GLbitfield)
    {31, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 35},	//202 QGLFramebufferObject::NoAttachment (enum)
    {31, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 36},	//203 QGLFramebufferObject::CombinedDepthStencil (enum)
    {31, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 37},	//204 QGLFramebufferObject::Depth (enum)
    {31, 791, 0, 0, Smoke::mf_dtor, 0, 38 },	//205 QGLFramebufferObject::~QGLFramebufferObject()
    {32, 87, 0, 0, Smoke::mf_ctor, 151, 1},	//206 QGLFramebufferObjectFormat::QGLFramebufferObjectFormat()
    {32, 87, 165, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 151, 2},	//207 QGLFramebufferObjectFormat::QGLFramebufferObjectFormat(const QGLFramebufferObjectFormat&)
    {32, 319, 165, 1, 0, 150, 3},	//208 QGLFramebufferObjectFormat::operator=(const QGLFramebufferObjectFormat&)
    {32, 715, 15, 1, 0, 0, 4},	//209 QGLFramebufferObjectFormat::setSamples(int)
    {32, 634, 0, 0, Smoke::mf_const, 512, 5},	//210 QGLFramebufferObjectFormat::samples() const
    {32, 643, 167, 1, 0, 0, 6},	//211 QGLFramebufferObjectFormat::setAttachment(QGLFramebufferObject::Attachment)
    {32, 139, 0, 0, Smoke::mf_const, 148, 7},	//212 QGLFramebufferObjectFormat::attachment() const
    {32, 727, 169, 1, 0, 0, 8},	//213 QGLFramebufferObjectFormat::setTextureTarget(GLenum)
    {32, 763, 0, 0, Smoke::mf_const, 2, 9},	//214 QGLFramebufferObjectFormat::textureTarget() const
    {32, 697, 169, 1, 0, 0, 10},	//215 QGLFramebufferObjectFormat::setInternalTextureFormat(GLenum)
    {32, 257, 0, 0, Smoke::mf_const, 2, 11},	//216 QGLFramebufferObjectFormat::internalTextureFormat() const
    {32, 321, 165, 1, Smoke::mf_const, 391, 12},	//217 QGLFramebufferObjectFormat::operator==(const QGLFramebufferObjectFormat&) const
    {32, 282, 165, 1, Smoke::mf_const, 391, 13},	//218 QGLFramebufferObjectFormat::operator!=(const QGLFramebufferObjectFormat&) const
    {32, 792, 0, 0, Smoke::mf_dtor, 0, 14 },	//219 QGLFramebufferObjectFormat::~QGLFramebufferObjectFormat()
    {33, 89, 171, 3, Smoke::mf_ctor, 152, 1},	//220 QGLPixelBuffer::QGLPixelBuffer(const QSize&, const QGLFormat&, QGLWidget*)
    {33, 89, 175, 4, Smoke::mf_ctor, 152, 2},	//221 QGLPixelBuffer::QGLPixelBuffer(int, int, const QGLFormat&, QGLWidget*)
    {33, 263, 0, 0, Smoke::mf_const, 391, 3},	//222 QGLPixelBuffer::isValid() const
    {33, 270, 0, 0, 0, 391, 4},	//223 QGLPixelBuffer::makeCurrent()
    {33, 199, 0, 0, 0, 391, 5},	//224 QGLPixelBuffer::doneCurrent()
    {33, 231, 0, 0, Smoke::mf_const, 5, 6},	//225 QGLPixelBuffer::generateDynamicTexture() const
    {33, 154, 54, 1, 0, 391, 7},	//226 QGLPixelBuffer::bindToDynamicTexture(GLuint)
    {33, 609, 0, 0, 0, 0, 8},	//227 QGLPixelBuffer::releaseFromDynamicTexture()
    {33, 780, 54, 1, Smoke::mf_const, 0, 9},	//228 QGLPixelBuffer::updateDynamicTexture(GLuint) const
    {33, 148, 78, 2, 0, 5, 10},	//229 QGLPixelBuffer::bindTexture(const QImage&, GLenum)
    {33, 148, 83, 2, 0, 5, 11},	//230 QGLPixelBuffer::bindTexture(const QPixmap&, GLenum)
    {33, 148, 52, 1, 0, 5, 12},	//231 QGLPixelBuffer::bindTexture(const QString&)
    {33, 187, 54, 1, 0, 0, 13},	//232 QGLPixelBuffer::deleteTexture(GLuint)
    {33, 204, 56, 3, 0, 0, 14},	//233 QGLPixelBuffer::drawTexture(const QRectF&, GLuint, GLenum)
    {33, 204, 60, 3, 0, 0, 15},	//234 QGLPixelBuffer::drawTexture(const QPointF&, GLuint, GLenum)
    {33, 748, 0, 0, Smoke::mf_const, 234, 16},	//235 QGLPixelBuffer::size() const
    {33, 241, 0, 0, Smoke::mf_const, 521, 17},	//236 QGLPixelBuffer::handle() const
    {33, 765, 0, 0, Smoke::mf_const, 170, 18},	//237 QGLPixelBuffer::toImage() const
    {33, 348, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 19},	//238 QGLPixelBuffer::paintEngine() const
    {33, 230, 0, 0, Smoke::mf_const, 143, 20},	//239 QGLPixelBuffer::format() const
    {33, 246, 0, 0, Smoke::mf_static, 391, 21},	//240 QGLPixelBuffer::hasOpenGLPbuffers()
    {33, 273, 131, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 512, 22},	//241 QGLPixelBuffer::metric(QPaintDevice::PaintDeviceMetric) const
    {33, 192, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 512, 23},	//242 QGLPixelBuffer::devType() const
    {33, 89, 133, 1, Smoke::mf_ctor, 152, 24},	//243 QGLPixelBuffer::QGLPixelBuffer(const QSize&)
    {33, 89, 180, 2, Smoke::mf_ctor, 152, 25},	//244 QGLPixelBuffer::QGLPixelBuffer(const QSize&, const QGLFormat&)
    {33, 89, 135, 2, Smoke::mf_ctor, 152, 26},	//245 QGLPixelBuffer::QGLPixelBuffer(int, int)
    {33, 89, 183, 3, Smoke::mf_ctor, 152, 27},	//246 QGLPixelBuffer::QGLPixelBuffer(int, int, const QGLFormat&)
    {33, 148, 76, 1, 0, 5, 28},	//247 QGLPixelBuffer::bindTexture(const QImage&)
    {33, 148, 81, 1, 0, 5, 29},	//248 QGLPixelBuffer::bindTexture(const QPixmap&)
    {33, 204, 86, 2, 0, 0, 30},	//249 QGLPixelBuffer::drawTexture(const QRectF&, GLuint)
    {33, 204, 89, 2, 0, 0, 31},	//250 QGLPixelBuffer::drawTexture(const QPointF&, GLuint)
    {33, 793, 0, 0, Smoke::mf_dtor, 0, 32 },	//251 QGLPixelBuffer::~QGLPixelBuffer()
    {34, 272, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 449, 1},	//252 QGLShader::metaObject() const
    {34, 596, 187, 1, Smoke::mf_virtual, 527, 2},	//253 QGLShader::qt_metacast(const char*)
    {34, 766, 189, 2, Smoke::mf_static, 241, 3},	//254 QGLShader::tr(const char*, const char*)
    {34, 770, 189, 2, Smoke::mf_static, 241, 4},	//255 QGLShader::trUtf8(const char*, const char*)
    {34, 766, 192, 3, Smoke::mf_static, 241, 5},	//256 QGLShader::tr(const char*, const char*, int)
    {34, 770, 192, 3, Smoke::mf_static, 241, 6},	//257 QGLShader::trUtf8(const char*, const char*, int)
    {34, 594, 196, 3, Smoke::mf_virtual, 512, 7},	//258 QGLShader::qt_metacall(QMetaObject::Call, int, void**)
    {34, 96, 200, 2, Smoke::mf_ctor, 153, 8},	//259 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, QObject*)
    {34, 96, 203, 3, Smoke::mf_ctor, 153, 9},	//260 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*, QObject*)
    {34, 745, 0, 0, Smoke::mf_const, 75, 10},	//261 QGLShader::shaderType() const
    {34, 170, 187, 1, 0, 391, 11},	//262 QGLShader::compileSourceCode(const char*)
    {34, 170, 207, 1, 0, 391, 12},	//263 QGLShader::compileSourceCode(const QByteArray&)
    {34, 170, 52, 1, 0, 391, 13},	//264 QGLShader::compileSourceCode(const QString&)
    {34, 173, 52, 1, 0, 391, 14},	//265 QGLShader::compileSourceFile(const QString&)
    {34, 750, 0, 0, Smoke::mf_const, 21, 15},	//266 QGLShader::sourceCode() const
    {34, 259, 0, 0, Smoke::mf_const, 391, 16},	//267 QGLShader::isCompiled() const
    {34, 269, 0, 0, Smoke::mf_const, 241, 17},	//268 QGLShader::log() const
    {34, 744, 0, 0, Smoke::mf_const, 5, 18},	//269 QGLShader::shaderId() const
    {34, 766, 187, 1, Smoke::mf_static, 241, 19},	//270 QGLShader::tr(const char*)
    {34, 770, 187, 1, Smoke::mf_static, 241, 20},	//271 QGLShader::trUtf8(const char*)
    {34, 96, 209, 1, Smoke::mf_ctor, 153, 21},	//272 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>)
    {34, 96, 211, 2, Smoke::mf_ctor, 153, 22},	//273 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    {34, 751, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 448, 23},	//274 QGLShader::staticMetaObject() const
    {34, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 24},	//275 QGLShader::Vertex (enum)
    {34, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 25},	//276 QGLShader::Fragment (enum)
    {34, 794, 0, 0, Smoke::mf_dtor, 0, 26 },	//277 QGLShader::~QGLShader()
    {35, 272, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 449, 1},	//278 QGLShaderProgram::metaObject() const
    {35, 596, 187, 1, Smoke::mf_virtual, 527, 2},	//279 QGLShaderProgram::qt_metacast(const char*)
    {35, 766, 189, 2, Smoke::mf_static, 241, 3},	//280 QGLShaderProgram::tr(const char*, const char*)
    {35, 770, 189, 2, Smoke::mf_static, 241, 4},	//281 QGLShaderProgram::trUtf8(const char*, const char*)
    {35, 766, 192, 3, Smoke::mf_static, 241, 5},	//282 QGLShaderProgram::tr(const char*, const char*, int)
    {35, 770, 192, 3, Smoke::mf_static, 241, 6},	//283 QGLShaderProgram::trUtf8(const char*, const char*, int)
    {35, 594, 196, 3, Smoke::mf_virtual, 512, 7},	//284 QGLShaderProgram::qt_metacall(QMetaObject::Call, int, void**)
    {35, 100, 214, 1, Smoke::mf_ctor, 155, 8},	//285 QGLShaderProgram::QGLShaderProgram(QObject*)
    {35, 100, 216, 2, Smoke::mf_ctor, 155, 9},	//286 QGLShaderProgram::QGLShaderProgram(const QGLContext*, QObject*)
    {35, 128, 219, 1, 0, 391, 10},	//287 QGLShaderProgram::addShader(QGLShader*)
    {35, 611, 219, 1, 0, 0, 11},	//288 QGLShaderProgram::removeShader(QGLShader*)
    {35, 746, 0, 0, Smoke::mf_const, 185, 12},	//289 QGLShaderProgram::shaders() const
    {35, 130, 221, 2, 0, 391, 13},	//290 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const char*)
    {35, 130, 224, 2, 0, 391, 14},	//291 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QByteArray&)
    {35, 130, 227, 2, 0, 391, 15},	//292 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    {35, 133, 227, 2, 0, 391, 16},	//293 QGLShaderProgram::addShaderFromSourceFile(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    {35, 610, 0, 0, 0, 0, 17},	//294 QGLShaderProgram::removeAllShaders()
    {35, 268, 0, 0, Smoke::mf_virtual, 391, 18},	//295 QGLShaderProgram::link()
    {35, 261, 0, 0, Smoke::mf_const, 391, 19},	//296 QGLShaderProgram::isLinked() const
    {35, 269, 0, 0, Smoke::mf_const, 241, 20},	//297 QGLShaderProgram::log() const
    {35, 144, 0, 0, 0, 391, 21},	//298 QGLShaderProgram::bind()
    {35, 608, 0, 0, 0, 0, 22},	//299 QGLShaderProgram::release()
    {35, 355, 0, 0, Smoke::mf_const, 5, 23},	//300 QGLShaderProgram::programId() const
    {35, 145, 230, 2, 0, 0, 24},	//301 QGLShaderProgram::bindAttributeLocation(const char*, int)
    {35, 145, 233, 2, 0, 0, 25},	//302 QGLShaderProgram::bindAttributeLocation(const QByteArray&, int)
    {35, 145, 236, 2, 0, 0, 26},	//303 QGLShaderProgram::bindAttributeLocation(const QString&, int)
    {35, 140, 187, 1, Smoke::mf_const, 512, 27},	//304 QGLShaderProgram::attributeLocation(const char*) const
    {35, 140, 207, 1, Smoke::mf_const, 512, 28},	//305 QGLShaderProgram::attributeLocation(const QByteArray&) const
    {35, 140, 52, 1, Smoke::mf_const, 512, 29},	//306 QGLShaderProgram::attributeLocation(const QString&) const
    {35, 650, 239, 2, 0, 0, 30},	//307 QGLShaderProgram::setAttributeValue(int, GLfloat)
    {35, 650, 242, 3, 0, 0, 31},	//308 QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat)
    {35, 650, 246, 4, 0, 0, 32},	//309 QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat, GLfloat)
    {35, 650, 251, 5, 0, 0, 33},	//310 QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat, GLfloat, GLfloat)
    {35, 650, 257, 2, 0, 0, 34},	//311 QGLShaderProgram::setAttributeValue(int, const QVector2D&)
    {35, 650, 260, 2, 0, 0, 35},	//312 QGLShaderProgram::setAttributeValue(int, const QVector3D&)
    {35, 650, 263, 2, 0, 0, 36},	//313 QGLShaderProgram::setAttributeValue(int, const QVector4D&)
    {35, 650, 12, 2, 0, 0, 37},	//314 QGLShaderProgram::setAttributeValue(int, const QColor&)
    {35, 650, 266, 4, 0, 0, 38},	//315 QGLShaderProgram::setAttributeValue(int, const GLfloat*, int, int)
    {35, 650, 271, 2, 0, 0, 39},	//316 QGLShaderProgram::setAttributeValue(const char*, GLfloat)
    {35, 650, 274, 3, 0, 0, 40},	//317 QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat)
    {35, 650, 278, 4, 0, 0, 41},	//318 QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat, GLfloat)
    {35, 650, 283, 5, 0, 0, 42},	//319 QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat, GLfloat, GLfloat)
    {35, 650, 289, 2, 0, 0, 43},	//320 QGLShaderProgram::setAttributeValue(const char*, const QVector2D&)
    {35, 650, 292, 2, 0, 0, 44},	//321 QGLShaderProgram::setAttributeValue(const char*, const QVector3D&)
    {35, 650, 295, 2, 0, 0, 45},	//322 QGLShaderProgram::setAttributeValue(const char*, const QVector4D&)
    {35, 650, 298, 2, 0, 0, 46},	//323 QGLShaderProgram::setAttributeValue(const char*, const QColor&)
    {35, 650, 301, 4, 0, 0, 47},	//324 QGLShaderProgram::setAttributeValue(const char*, const GLfloat*, int, int)
    {35, 645, 266, 4, 0, 0, 48},	//325 QGLShaderProgram::setAttributeArray(int, const GLfloat*, int, int)
    {35, 645, 306, 3, 0, 0, 49},	//326 QGLShaderProgram::setAttributeArray(int, const QVector2D*, int)
    {35, 645, 310, 3, 0, 0, 50},	//327 QGLShaderProgram::setAttributeArray(int, const QVector3D*, int)
    {35, 645, 314, 3, 0, 0, 51},	//328 QGLShaderProgram::setAttributeArray(int, const QVector4D*, int)
    {35, 645, 301, 4, 0, 0, 52},	//329 QGLShaderProgram::setAttributeArray(const char*, const GLfloat*, int, int)
    {35, 645, 318, 3, 0, 0, 53},	//330 QGLShaderProgram::setAttributeArray(const char*, const QVector2D*, int)
    {35, 645, 322, 3, 0, 0, 54},	//331 QGLShaderProgram::setAttributeArray(const char*, const QVector3D*, int)
    {35, 645, 326, 3, 0, 0, 55},	//332 QGLShaderProgram::setAttributeArray(const char*, const QVector4D*, int)
    {35, 208, 15, 1, 0, 0, 56},	//333 QGLShaderProgram::enableAttributeArray(int)
    {35, 208, 187, 1, 0, 0, 57},	//334 QGLShaderProgram::enableAttributeArray(const char*)
    {35, 196, 15, 1, 0, 0, 58},	//335 QGLShaderProgram::disableAttributeArray(int)
    {35, 196, 187, 1, 0, 0, 59},	//336 QGLShaderProgram::disableAttributeArray(const char*)
    {35, 777, 187, 1, Smoke::mf_const, 512, 60},	//337 QGLShaderProgram::uniformLocation(const char*) const
    {35, 777, 207, 1, Smoke::mf_const, 512, 61},	//338 QGLShaderProgram::uniformLocation(const QByteArray&) const
    {35, 777, 52, 1, Smoke::mf_const, 512, 62},	//339 QGLShaderProgram::uniformLocation(const QString&) const
    {35, 729, 239, 2, 0, 0, 63},	//340 QGLShaderProgram::setUniformValue(int, GLfloat)
    {35, 729, 330, 2, 0, 0, 64},	//341 QGLShaderProgram::setUniformValue(int, GLint)
    {35, 729, 333, 2, 0, 0, 65},	//342 QGLShaderProgram::setUniformValue(int, GLuint)
    {35, 729, 242, 3, 0, 0, 66},	//343 QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat)
    {35, 729, 246, 4, 0, 0, 67},	//344 QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat, GLfloat)
    {35, 729, 251, 5, 0, 0, 68},	//345 QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat, GLfloat, GLfloat)
    {35, 729, 257, 2, 0, 0, 69},	//346 QGLShaderProgram::setUniformValue(int, const QVector2D&)
    {35, 729, 260, 2, 0, 0, 70},	//347 QGLShaderProgram::setUniformValue(int, const QVector3D&)
    {35, 729, 263, 2, 0, 0, 71},	//348 QGLShaderProgram::setUniformValue(int, const QVector4D&)
    {35, 729, 12, 2, 0, 0, 72},	//349 QGLShaderProgram::setUniformValue(int, const QColor&)
    {35, 729, 336, 2, 0, 0, 73},	//350 QGLShaderProgram::setUniformValue(int, const QPoint&)
    {35, 729, 339, 2, 0, 0, 74},	//351 QGLShaderProgram::setUniformValue(int, const QPointF&)
    {35, 729, 342, 2, 0, 0, 75},	//352 QGLShaderProgram::setUniformValue(int, const QSize&)
    {35, 729, 345, 2, 0, 0, 76},	//353 QGLShaderProgram::setUniformValue(int, const QSizeF&)
    {35, 729, 348, 2, 0, 0, 77},	//354 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,2,double>&)
    {35, 729, 351, 2, 0, 0, 78},	//355 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,3,double>&)
    {35, 729, 354, 2, 0, 0, 79},	//356 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,4,double>&)
    {35, 729, 357, 2, 0, 0, 80},	//357 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,2,double>&)
    {35, 729, 360, 2, 0, 0, 81},	//358 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,3,double>&)
    {35, 729, 363, 2, 0, 0, 82},	//359 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,4,double>&)
    {35, 729, 366, 2, 0, 0, 83},	//360 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,2,double>&)
    {35, 729, 369, 2, 0, 0, 84},	//361 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,3,double>&)
    {35, 729, 372, 2, 0, 0, 85},	//362 QGLShaderProgram::setUniformValue(int, const QMatrix4x4&)
    {35, 729, 375, 2, 0, 0, 86},	//363 QGLShaderProgram::setUniformValue(int, const GLfloat[4][4])
    {35, 729, 378, 2, 0, 0, 87},	//364 QGLShaderProgram::setUniformValue(int, const QTransform&)
    {35, 729, 271, 2, 0, 0, 88},	//365 QGLShaderProgram::setUniformValue(const char*, GLfloat)
    {35, 729, 381, 2, 0, 0, 89},	//366 QGLShaderProgram::setUniformValue(const char*, GLint)
    {35, 729, 384, 2, 0, 0, 90},	//367 QGLShaderProgram::setUniformValue(const char*, GLuint)
    {35, 729, 274, 3, 0, 0, 91},	//368 QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat)
    {35, 729, 278, 4, 0, 0, 92},	//369 QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat, GLfloat)
    {35, 729, 283, 5, 0, 0, 93},	//370 QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat, GLfloat, GLfloat)
    {35, 729, 289, 2, 0, 0, 94},	//371 QGLShaderProgram::setUniformValue(const char*, const QVector2D&)
    {35, 729, 292, 2, 0, 0, 95},	//372 QGLShaderProgram::setUniformValue(const char*, const QVector3D&)
    {35, 729, 295, 2, 0, 0, 96},	//373 QGLShaderProgram::setUniformValue(const char*, const QVector4D&)
    {35, 729, 298, 2, 0, 0, 97},	//374 QGLShaderProgram::setUniformValue(const char*, const QColor&)
    {35, 729, 387, 2, 0, 0, 98},	//375 QGLShaderProgram::setUniformValue(const char*, const QPoint&)
    {35, 729, 390, 2, 0, 0, 99},	//376 QGLShaderProgram::setUniformValue(const char*, const QPointF&)
    {35, 729, 393, 2, 0, 0, 100},	//377 QGLShaderProgram::setUniformValue(const char*, const QSize&)
    {35, 729, 396, 2, 0, 0, 101},	//378 QGLShaderProgram::setUniformValue(const char*, const QSizeF&)
    {35, 729, 399, 2, 0, 0, 102},	//379 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,2,double>&)
    {35, 729, 402, 2, 0, 0, 103},	//380 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,3,double>&)
    {35, 729, 405, 2, 0, 0, 104},	//381 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,4,double>&)
    {35, 729, 408, 2, 0, 0, 105},	//382 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,2,double>&)
    {35, 729, 411, 2, 0, 0, 106},	//383 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,3,double>&)
    {35, 729, 414, 2, 0, 0, 107},	//384 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,4,double>&)
    {35, 729, 417, 2, 0, 0, 108},	//385 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,2,double>&)
    {35, 729, 420, 2, 0, 0, 109},	//386 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,3,double>&)
    {35, 729, 423, 2, 0, 0, 110},	//387 QGLShaderProgram::setUniformValue(const char*, const QMatrix4x4&)
    {35, 729, 426, 2, 0, 0, 111},	//388 QGLShaderProgram::setUniformValue(const char*, const GLfloat[4][4])
    {35, 729, 429, 2, 0, 0, 112},	//389 QGLShaderProgram::setUniformValue(const char*, const QTransform&)
    {35, 735, 266, 4, 0, 0, 113},	//390 QGLShaderProgram::setUniformValueArray(int, const GLfloat*, int, int)
    {35, 735, 432, 3, 0, 0, 114},	//391 QGLShaderProgram::setUniformValueArray(int, const GLint*, int)
    {35, 735, 436, 3, 0, 0, 115},	//392 QGLShaderProgram::setUniformValueArray(int, const GLuint*, int)
    {35, 735, 306, 3, 0, 0, 116},	//393 QGLShaderProgram::setUniformValueArray(int, const QVector2D*, int)
    {35, 735, 310, 3, 0, 0, 117},	//394 QGLShaderProgram::setUniformValueArray(int, const QVector3D*, int)
    {35, 735, 314, 3, 0, 0, 118},	//395 QGLShaderProgram::setUniformValueArray(int, const QVector4D*, int)
    {35, 735, 440, 3, 0, 0, 119},	//396 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,2,double>*, int)
    {35, 735, 444, 3, 0, 0, 120},	//397 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,3,double>*, int)
    {35, 735, 448, 3, 0, 0, 121},	//398 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,4,double>*, int)
    {35, 735, 452, 3, 0, 0, 122},	//399 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,2,double>*, int)
    {35, 735, 456, 3, 0, 0, 123},	//400 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,3,double>*, int)
    {35, 735, 460, 3, 0, 0, 124},	//401 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,4,double>*, int)
    {35, 735, 464, 3, 0, 0, 125},	//402 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,2,double>*, int)
    {35, 735, 468, 3, 0, 0, 126},	//403 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,3,double>*, int)
    {35, 735, 472, 3, 0, 0, 127},	//404 QGLShaderProgram::setUniformValueArray(int, const QMatrix4x4*, int)
    {35, 735, 301, 4, 0, 0, 128},	//405 QGLShaderProgram::setUniformValueArray(const char*, const GLfloat*, int, int)
    {35, 735, 476, 3, 0, 0, 129},	//406 QGLShaderProgram::setUniformValueArray(const char*, const GLint*, int)
    {35, 735, 480, 3, 0, 0, 130},	//407 QGLShaderProgram::setUniformValueArray(const char*, const GLuint*, int)
    {35, 735, 318, 3, 0, 0, 131},	//408 QGLShaderProgram::setUniformValueArray(const char*, const QVector2D*, int)
    {35, 735, 322, 3, 0, 0, 132},	//409 QGLShaderProgram::setUniformValueArray(const char*, const QVector3D*, int)
    {35, 735, 326, 3, 0, 0, 133},	//410 QGLShaderProgram::setUniformValueArray(const char*, const QVector4D*, int)
    {35, 735, 484, 3, 0, 0, 134},	//411 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,2,double>*, int)
    {35, 735, 488, 3, 0, 0, 135},	//412 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,3,double>*, int)
    {35, 735, 492, 3, 0, 0, 136},	//413 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,4,double>*, int)
    {35, 735, 496, 3, 0, 0, 137},	//414 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,2,double>*, int)
    {35, 735, 500, 3, 0, 0, 138},	//415 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,3,double>*, int)
    {35, 735, 504, 3, 0, 0, 139},	//416 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,4,double>*, int)
    {35, 735, 508, 3, 0, 0, 140},	//417 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,2,double>*, int)
    {35, 735, 512, 3, 0, 0, 141},	//418 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,3,double>*, int)
    {35, 735, 516, 3, 0, 0, 142},	//419 QGLShaderProgram::setUniformValueArray(const char*, const QMatrix4x4*, int)
    {35, 247, 29, 1, Smoke::mf_static, 391, 143},	//420 QGLShaderProgram::hasOpenGLShaderPrograms(const QGLContext*)
    {35, 766, 187, 1, Smoke::mf_static, 241, 144},	//421 QGLShaderProgram::tr(const char*)
    {35, 770, 187, 1, Smoke::mf_static, 241, 145},	//422 QGLShaderProgram::trUtf8(const char*)
    {35, 100, 0, 0, Smoke::mf_ctor, 155, 146},	//423 QGLShaderProgram::QGLShaderProgram()
    {35, 100, 29, 1, Smoke::mf_ctor, 155, 147},	//424 QGLShaderProgram::QGLShaderProgram(const QGLContext*)
    {35, 645, 520, 3, 0, 0, 148},	//425 QGLShaderProgram::setAttributeArray(int, const GLfloat*, int)
    {35, 645, 524, 2, 0, 0, 149},	//426 QGLShaderProgram::setAttributeArray(int, const QVector2D*)
    {35, 645, 527, 2, 0, 0, 150},	//427 QGLShaderProgram::setAttributeArray(int, const QVector3D*)
    {35, 645, 530, 2, 0, 0, 151},	//428 QGLShaderProgram::setAttributeArray(int, const QVector4D*)
    {35, 645, 533, 3, 0, 0, 152},	//429 QGLShaderProgram::setAttributeArray(const char*, const GLfloat*, int)
    {35, 645, 537, 2, 0, 0, 153},	//430 QGLShaderProgram::setAttributeArray(const char*, const QVector2D*)
    {35, 645, 540, 2, 0, 0, 154},	//431 QGLShaderProgram::setAttributeArray(const char*, const QVector3D*)
    {35, 645, 543, 2, 0, 0, 155},	//432 QGLShaderProgram::setAttributeArray(const char*, const QVector4D*)
    {35, 247, 0, 0, Smoke::mf_static, 391, 156},	//433 QGLShaderProgram::hasOpenGLShaderPrograms()
    {35, 751, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 448, 157},	//434 QGLShaderProgram::staticMetaObject() const
    {35, 795, 0, 0, Smoke::mf_dtor, 0, 158 },	//435 QGLShaderProgram::~QGLShaderProgram()
    {36, 272, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 449, 1},	//436 QGLWidget::metaObject() const
    {36, 596, 187, 1, Smoke::mf_virtual, 527, 2},	//437 QGLWidget::qt_metacast(const char*)
    {36, 766, 189, 2, Smoke::mf_static, 241, 3},	//438 QGLWidget::tr(const char*, const char*)
    {36, 770, 189, 2, Smoke::mf_static, 241, 4},	//439 QGLWidget::trUtf8(const char*, const char*)
    {36, 766, 192, 3, Smoke::mf_static, 241, 5},	//440 QGLWidget::tr(const char*, const char*, int)
    {36, 770, 192, 3, Smoke::mf_static, 241, 6},	//441 QGLWidget::trUtf8(const char*, const char*, int)
    {36, 594, 196, 3, Smoke::mf_virtual, 512, 7},	//442 QGLWidget::qt_metacall(QMetaObject::Call, int, void**)
    {36, 103, 546, 3, Smoke::mf_ctor, 156, 8},	//443 QGLWidget::QGLWidget(QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {36, 103, 550, 4, Smoke::mf_ctor, 156, 9},	//444 QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {36, 103, 555, 4, Smoke::mf_ctor, 156, 10},	//445 QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {36, 553, 72, 1, Smoke::mf_const, 0, 11},	//446 QGLWidget::qglColor(const QColor&) const
    {36, 551, 72, 1, Smoke::mf_const, 0, 12},	//447 QGLWidget::qglClearColor(const QColor&) const
    {36, 263, 0, 0, Smoke::mf_const, 391, 13},	//448 QGLWidget::isValid() const
    {36, 262, 0, 0, Smoke::mf_const, 391, 14},	//449 QGLWidget::isSharing() const
    {36, 270, 0, 0, 0, 0, 15},	//450 QGLWidget::makeCurrent()
    {36, 199, 0, 0, 0, 0, 16},	//451 QGLWidget::doneCurrent()
    {36, 200, 0, 0, Smoke::mf_const, 391, 17},	//452 QGLWidget::doubleBuffer() const
    {36, 756, 0, 0, 0, 0, 18},	//453 QGLWidget::swapBuffers()
    {36, 230, 0, 0, Smoke::mf_const, 143, 19},	//454 QGLWidget::format() const
    {36, 689, 27, 1, 0, 0, 20},	//455 QGLWidget::setFormat(const QGLFormat&)
    {36, 176, 0, 0, Smoke::mf_const, 414, 21},	//456 QGLWidget::context() const
    {36, 663, 560, 3, 0, 0, 22},	//457 QGLWidget::setContext(QGLContext*, const QGLContext*, bool)
    {36, 613, 564, 3, 0, 216, 23},	//458 QGLWidget::renderPixmap(int, int, bool)
    {36, 238, 67, 1, 0, 170, 24},	//459 QGLWidget::grabFrameBuffer(bool)
    {36, 271, 0, 0, 0, 0, 25},	//460 QGLWidget::makeOverlayCurrent()
    {36, 346, 0, 0, Smoke::mf_const, 414, 26},	//461 QGLWidget::overlayContext() const
    {36, 178, 76, 1, Smoke::mf_static, 170, 27},	//462 QGLWidget::convertToGLFormat(const QImage&)
    {36, 699, 67, 1, 0, 0, 28},	//463 QGLWidget::setMouseTracking(bool)
    {36, 169, 0, 0, Smoke::mf_const, 413, 29},	//464 QGLWidget::colormap() const
    {36, 661, 3, 1, 0, 0, 30},	//465 QGLWidget::setColormap(const QGLColormap&)
    {36, 617, 568, 5, 0, 0, 31},	//466 QGLWidget::renderText(int, int, const QString&, const QFont&, int)
    {36, 617, 574, 6, 0, 0, 32},	//467 QGLWidget::renderText(double, double, double, const QString&, const QFont&, int)
    {36, 348, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 33},	//468 QGLWidget::paintEngine() const
    {36, 148, 34, 4, 0, 5, 34},	//469 QGLWidget::bindTexture(const QImage&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    {36, 148, 39, 4, 0, 5, 35},	//470 QGLWidget::bindTexture(const QPixmap&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    {36, 148, 44, 3, 0, 5, 36},	//471 QGLWidget::bindTexture(const QImage&, GLenum, GLint)
    {36, 148, 48, 3, 0, 5, 37},	//472 QGLWidget::bindTexture(const QPixmap&, GLenum, GLint)
    {36, 148, 52, 1, 0, 5, 38},	//473 QGLWidget::bindTexture(const QString&)
    {36, 187, 54, 1, 0, 0, 39},	//474 QGLWidget::deleteTexture(GLuint)
    {36, 204, 56, 3, 0, 0, 40},	//475 QGLWidget::drawTexture(const QRectF&, GLuint, GLenum)
    {36, 204, 60, 3, 0, 0, 41},	//476 QGLWidget::drawTexture(const QPointF&, GLuint, GLenum)
    {36, 782, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 42},	//477 QGLWidget::updateGL()
    {36, 783, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 43},	//478 QGLWidget::updateOverlayGL()
    {36, 216, 581, 1, Smoke::mf_protected|Smoke::mf_virtual, 391, 44},	//479 QGLWidget::event(QEvent*)
    {36, 252, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//480 QGLWidget::initializeGL()
    {36, 628, 135, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//481 QGLWidget::resizeGL(int, int)
    {36, 351, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//482 QGLWidget::paintGL()
    {36, 253, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 48},	//483 QGLWidget::initializeOverlayGL()
    {36, 630, 135, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//484 QGLWidget::resizeOverlayGL(int, int)
    {36, 352, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//485 QGLWidget::paintOverlayGL()
    {36, 657, 67, 1, Smoke::mf_protected, 0, 51},	//486 QGLWidget::setAutoBufferSwap(bool)
    {36, 143, 0, 0, Smoke::mf_const|Smoke::mf_protected, 391, 52},	//487 QGLWidget::autoBufferSwap() const
    {36, 349, 583, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//488 QGLWidget::paintEvent(QPaintEvent*)
    {36, 626, 585, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//489 QGLWidget::resizeEvent(QResizeEvent*)
    {36, 237, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//490 QGLWidget::glInit()
    {36, 236, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//491 QGLWidget::glDraw()
    {36, 227, 69, 2, Smoke::mf_protected, 512, 57},	//492 QGLWidget::fontDisplayListBase(const QFont&, int)
    {36, 766, 187, 1, Smoke::mf_static, 241, 58},	//493 QGLWidget::tr(const char*)
    {36, 770, 187, 1, Smoke::mf_static, 241, 59},	//494 QGLWidget::trUtf8(const char*)
    {36, 103, 0, 0, Smoke::mf_ctor, 156, 60},	//495 QGLWidget::QGLWidget()
    {36, 103, 587, 1, Smoke::mf_ctor, 156, 61},	//496 QGLWidget::QGLWidget(QWidget*)
    {36, 103, 589, 2, Smoke::mf_ctor, 156, 62},	//497 QGLWidget::QGLWidget(QWidget*, const QGLWidget*)
    {36, 103, 92, 1, Smoke::mf_ctor, 156, 63},	//498 QGLWidget::QGLWidget(QGLContext*)
    {36, 103, 592, 2, Smoke::mf_ctor, 156, 64},	//499 QGLWidget::QGLWidget(QGLContext*, QWidget*)
    {36, 103, 595, 3, Smoke::mf_ctor, 156, 65},	//500 QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*)
    {36, 103, 27, 1, Smoke::mf_ctor, 156, 66},	//501 QGLWidget::QGLWidget(const QGLFormat&)
    {36, 103, 599, 2, Smoke::mf_ctor, 156, 67},	//502 QGLWidget::QGLWidget(const QGLFormat&, QWidget*)
    {36, 103, 602, 3, Smoke::mf_ctor, 156, 68},	//503 QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*)
    {36, 663, 92, 1, 0, 0, 69},	//504 QGLWidget::setContext(QGLContext*)
    {36, 663, 606, 2, 0, 0, 70},	//505 QGLWidget::setContext(QGLContext*, const QGLContext*)
    {36, 613, 0, 0, 0, 216, 71},	//506 QGLWidget::renderPixmap()
    {36, 613, 15, 1, 0, 216, 72},	//507 QGLWidget::renderPixmap(int)
    {36, 613, 135, 2, 0, 216, 73},	//508 QGLWidget::renderPixmap(int, int)
    {36, 238, 0, 0, 0, 170, 74},	//509 QGLWidget::grabFrameBuffer()
    {36, 617, 609, 3, 0, 0, 75},	//510 QGLWidget::renderText(int, int, const QString&)
    {36, 617, 613, 4, 0, 0, 76},	//511 QGLWidget::renderText(int, int, const QString&, const QFont&)
    {36, 617, 618, 4, 0, 0, 77},	//512 QGLWidget::renderText(double, double, double, const QString&)
    {36, 617, 623, 5, 0, 0, 78},	//513 QGLWidget::renderText(double, double, double, const QString&, const QFont&)
    {36, 148, 76, 1, 0, 5, 79},	//514 QGLWidget::bindTexture(const QImage&)
    {36, 148, 78, 2, 0, 5, 80},	//515 QGLWidget::bindTexture(const QImage&, GLenum)
    {36, 148, 81, 1, 0, 5, 81},	//516 QGLWidget::bindTexture(const QPixmap&)
    {36, 148, 83, 2, 0, 5, 82},	//517 QGLWidget::bindTexture(const QPixmap&, GLenum)
    {36, 204, 86, 2, 0, 0, 83},	//518 QGLWidget::drawTexture(const QRectF&, GLuint)
    {36, 204, 89, 2, 0, 0, 84},	//519 QGLWidget::drawTexture(const QPointF&, GLuint)
    {36, 227, 629, 1, Smoke::mf_protected, 512, 85},	//520 QGLWidget::fontDisplayListBase(const QFont&)
    {36, 751, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 448, 86},	//521 QGLWidget::staticMetaObject() const
    {36, 796, 0, 0, Smoke::mf_dtor, 0, 87 },	//522 QGLWidget::~QGLWidget()
    {37, 288, 631, 2, Smoke::mf_static, 17, 1},	//523 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {37, 389, 0, 0, Smoke::mf_static, 36, 2},	//524 QGlobalSpace::qCritical()
    {37, 475, 634, 1, Smoke::mf_static, 520, 3},	//525 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {37, 343, 636, 2, Smoke::mf_static, 173, 4},	//526 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {37, 584, 192, 3, Smoke::mf_static, 0, 5},	//527 QGlobalSpace::qt_assert(const char*, const char*, int)
    {37, 343, 639, 2, Smoke::mf_static, 76, 6},	//528 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    {37, 321, 642, 2, Smoke::mf_static, 391, 7},	//529 QGlobalSpace::operator==(const QGLFormat&, const QGLFormat&)
    {37, 290, 645, 2, Smoke::mf_static, 458, 8},	//530 QGlobalSpace::operator*(const QPoint&, double)
    {37, 488, 648, 1, Smoke::mf_static, 391, 9},	//531 QGlobalSpace::qIsInf(double)
    {37, 310, 650, 2, Smoke::mf_static, 36, 10},	//532 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {37, 290, 653, 2, Smoke::mf_static, 460, 11},	//533 QGlobalSpace::operator*(double, const QPointF&)
    {37, 343, 656, 2, Smoke::mf_static, 127, 12},	//534 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {37, 282, 659, 2, Smoke::mf_static, 391, 13},	//535 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {37, 310, 662, 2, Smoke::mf_static, 36, 14},	//536 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {37, 290, 665, 2, Smoke::mf_static, 473, 15},	//537 QGlobalSpace::operator*(double, const QSizeF&)
    {37, 343, 668, 2, Smoke::mf_static, 173, 16},	//538 QGlobalSpace::operator|(QDir::SortFlag, int)
    {37, 343, 671, 2, Smoke::mf_static, 53, 17},	//539 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {37, 310, 674, 2, Smoke::mf_static, 36, 18},	//540 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {37, 337, 677, 2, Smoke::mf_static, 32, 19},	//541 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {37, 310, 680, 2, Smoke::mf_static, 32, 20},	//542 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {37, 343, 683, 2, Smoke::mf_static, 173, 21},	//543 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {37, 343, 686, 2, Smoke::mf_static, 173, 22},	//544 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {37, 310, 689, 2, Smoke::mf_static, 36, 23},	//545 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {37, 565, 692, 2, Smoke::mf_static, 393, 24},	//546 QGlobalSpace::qstrcpy(char*, const char*)
    {37, 282, 695, 2, Smoke::mf_static, 391, 25},	//547 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {37, 294, 698, 2, Smoke::mf_static, 471, 26},	//548 QGlobalSpace::operator+(const QSize&, const QSize&)
    {37, 451, 648, 1, Smoke::mf_static, 510, 27},	//549 QGlobalSpace::qFabs(double)
    {37, 310, 701, 2, Smoke::mf_static, 32, 28},	//550 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {37, 343, 704, 2, Smoke::mf_static, 107, 29},	//551 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {37, 310, 707, 2, Smoke::mf_static, 36, 30},	//552 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {37, 506, 0, 0, Smoke::mf_static, 510, 31},	//553 QGlobalSpace::qQNaN()
    {37, 299, 710, 2, Smoke::mf_static, 192, 32},	//554 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {37, 343, 713, 2, Smoke::mf_static, 75, 33},	//555 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit)
    {37, 475, 716, 1, Smoke::mf_static, 520, 34},	//556 QGlobalSpace::qHash(unsigned char)
    {37, 343, 718, 2, Smoke::mf_static, 61, 35},	//557 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {37, 299, 721, 2, Smoke::mf_static, 503, 36},	//558 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {37, 290, 724, 2, Smoke::mf_static, 220, 37},	//559 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {37, 343, 727, 2, Smoke::mf_static, 94, 38},	//560 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    {37, 290, 730, 2, Smoke::mf_static, 181, 39},	//561 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {37, 545, 0, 0, Smoke::mf_static, 506, 40},	//562 QGlobalSpace::qVersion()
    {37, 465, 733, 2, Smoke::mf_static, 391, 41},	//563 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {37, 343, 736, 2, Smoke::mf_static, 67, 42},	//564 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {37, 321, 659, 2, Smoke::mf_static, 391, 43},	//565 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {37, 343, 739, 2, Smoke::mf_static, 132, 44},	//566 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {37, 290, 742, 2, Smoke::mf_static, 473, 45},	//567 QGlobalSpace::operator*(const QSizeF&, double)
    {37, 310, 745, 2, Smoke::mf_static, 32, 46},	//568 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {37, 343, 748, 2, Smoke::mf_static, 173, 47},	//569 QGlobalSpace::operator|(QDir::Filter, int)
    {37, 465, 751, 2, Smoke::mf_static, 391, 48},	//570 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {37, 327, 754, 2, Smoke::mf_static, 391, 49},	//571 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {37, 378, 648, 1, Smoke::mf_static, 512, 50},	//572 QGlobalSpace::qCeil(double)
    {37, 557, 0, 0, Smoke::mf_static, 512, 51},	//573 QGlobalSpace::qrand()
    {37, 470, 17, 1, Smoke::mf_static, 512, 52},	//574 QGlobalSpace::qGray(unsigned int)
    {37, 343, 757, 2, Smoke::mf_static, 69, 53},	//575 QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    {37, 299, 760, 2, Smoke::mf_static, 473, 54},	//576 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {37, 332, 763, 2, Smoke::mf_static, 391, 55},	//577 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {37, 321, 766, 2, Smoke::mf_static, 391, 56},	//578 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {37, 299, 769, 1, Smoke::mf_static, 464, 57},	//579 QGlobalSpace::operator-(const QQuaternion&)
    {37, 343, 771, 2, Smoke::mf_static, 54, 58},	//580 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    {37, 343, 774, 2, Smoke::mf_static, 127, 59},	//581 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {37, 310, 777, 2, Smoke::mf_static, 36, 60},	//582 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {37, 511, 17, 1, Smoke::mf_static, 512, 61},	//583 QGlobalSpace::qRed(unsigned int)
    {37, 282, 780, 2, Smoke::mf_static, 391, 62},	//584 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {37, 290, 783, 2, Smoke::mf_static, 464, 63},	//585 QGlobalSpace::operator*(const QQuaternion&, double)
    {37, 321, 786, 2, Smoke::mf_static, 391, 64},	//586 QGlobalSpace::operator==(QBool, QBool)
    {37, 343, 789, 2, Smoke::mf_static, 103, 65},	//587 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {37, 343, 792, 2, Smoke::mf_static, 102, 66},	//588 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {37, 343, 795, 2, Smoke::mf_static, 70, 67},	//589 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    {37, 343, 798, 2, Smoke::mf_static, 118, 68},	//590 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {37, 475, 801, 1, Smoke::mf_static, 520, 69},	//591 QGlobalSpace::qHash(const QStringRef&)
    {37, 343, 803, 2, Smoke::mf_static, 110, 70},	//592 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    {37, 321, 806, 2, Smoke::mf_static, 391, 71},	//593 QGlobalSpace::operator==(QString::Null, QString::Null)
    {37, 310, 809, 2, Smoke::mf_static, 36, 72},	//594 QGlobalSpace::operator<<(QDebug, const QFont&)
    {37, 310, 812, 2, Smoke::mf_static, 36, 73},	//595 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {37, 310, 815, 2, Smoke::mf_static, 32, 74},	//596 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {37, 337, 818, 2, Smoke::mf_static, 32, 75},	//597 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {37, 366, 17, 1, Smoke::mf_static, 512, 76},	//598 QGlobalSpace::qAlpha(unsigned int)
    {37, 343, 821, 2, Smoke::mf_static, 173, 77},	//599 QGlobalSpace::operator|(QStyle::SubControl, int)
    {37, 343, 824, 2, Smoke::mf_static, 64, 78},	//600 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    {37, 294, 827, 2, Smoke::mf_static, 478, 79},	//601 QGlobalSpace::operator+(QChar, const QString&)
    {37, 473, 17, 1, Smoke::mf_static, 512, 80},	//602 QGlobalSpace::qGreen(unsigned int)
    {37, 343, 830, 2, Smoke::mf_static, 83, 81},	//603 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {37, 415, 833, 6, Smoke::mf_static, 0, 82},	//604 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {37, 415, 840, 3, Smoke::mf_static, 0, 83},	//605 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {37, 415, 844, 4, Smoke::mf_static, 0, 84},	//606 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {37, 415, 849, 5, Smoke::mf_static, 0, 85},	//607 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {37, 299, 855, 1, Smoke::mf_static, 497, 86},	//608 QGlobalSpace::operator-(const QVector2D&)
    {37, 343, 857, 2, Smoke::mf_static, 61, 87},	//609 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {37, 310, 860, 2, Smoke::mf_static, 32, 88},	//610 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {37, 310, 863, 2, Smoke::mf_static, 36, 89},	//611 QGlobalSpace::operator<<(QDebug, const QTime&)
    {37, 290, 721, 2, Smoke::mf_static, 503, 90},	//612 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {37, 343, 866, 2, Smoke::mf_static, 108, 91},	//613 QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    {37, 290, 869, 2, Smoke::mf_static, 464, 92},	//614 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {37, 310, 872, 2, Smoke::mf_static, 32, 93},	//615 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {37, 310, 875, 2, Smoke::mf_static, 36, 94},	//616 QGlobalSpace::operator<<(QDebug, const QDate&)
    {37, 475, 878, 1, Smoke::mf_static, 520, 95},	//617 QGlobalSpace::qHash(const QBitArray&)
    {37, 343, 880, 2, Smoke::mf_static, 109, 96},	//618 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    {37, 371, 648, 1, Smoke::mf_static, 510, 97},	//619 QGlobalSpace::qAtan(double)
    {37, 547, 883, 3, Smoke::mf_static, 0, 98},	//620 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {37, 343, 887, 2, Smoke::mf_static, 57, 99},	//621 QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    {37, 290, 890, 2, Smoke::mf_static, 224, 100},	//622 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {37, 603, 893, 3, Smoke::mf_static, 391, 101},	//623 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {37, 475, 52, 1, Smoke::mf_static, 520, 102},	//624 QGlobalSpace::qHash(const QString&)
    {37, 475, 897, 1, Smoke::mf_static, 520, 103},	//625 QGlobalSpace::qHash(unsigned short)
    {37, 513, 899, 1, Smoke::mf_static, 0, 104},	//626 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {37, 475, 901, 1, Smoke::mf_static, 520, 105},	//627 QGlobalSpace::qHash(long)
    {37, 343, 903, 2, Smoke::mf_static, 130, 106},	//628 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {37, 475, 906, 1, Smoke::mf_static, 520, 107},	//629 QGlobalSpace::qHash(long long)
    {37, 310, 908, 2, Smoke::mf_static, 36, 108},	//630 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {37, 294, 760, 2, Smoke::mf_static, 473, 109},	//631 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {37, 435, 911, 8, Smoke::mf_static, 0, 110},	//632 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {37, 435, 920, 6, Smoke::mf_static, 0, 111},	//633 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {37, 435, 927, 7, Smoke::mf_static, 0, 112},	//634 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 343, 935, 2, Smoke::mf_static, 173, 113},	//635 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {37, 310, 938, 2, Smoke::mf_static, 36, 114},	//636 QGlobalSpace::operator<<(QDebug, const QColor&)
    {37, 343, 941, 2, Smoke::mf_static, 173, 115},	//637 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    {37, 343, 944, 2, Smoke::mf_static, 173, 116},	//638 QGlobalSpace::operator|(Qt::DropAction, int)
    {37, 424, 947, 10, Smoke::mf_static, 0, 117},	//639 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {37, 424, 920, 6, Smoke::mf_static, 0, 118},	//640 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {37, 424, 927, 7, Smoke::mf_static, 0, 119},	//641 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 424, 958, 8, Smoke::mf_static, 0, 120},	//642 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {37, 424, 967, 9, Smoke::mf_static, 0, 121},	//643 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {37, 387, 648, 1, Smoke::mf_static, 510, 122},	//644 QGlobalSpace::qCos(double)
    {37, 310, 977, 2, Smoke::mf_static, 32, 123},	//645 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {37, 343, 980, 2, Smoke::mf_static, 52, 124},	//646 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {37, 337, 983, 2, Smoke::mf_static, 32, 125},	//647 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {37, 558, 17, 1, Smoke::mf_static, 0, 126},	//648 QGlobalSpace::qsrand(unsigned int)
    {37, 488, 986, 1, Smoke::mf_static, 391, 127},	//649 QGlobalSpace::qIsInf(float)
    {37, 343, 988, 2, Smoke::mf_static, 76, 128},	//650 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    {37, 343, 991, 2, Smoke::mf_static, 118, 129},	//651 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {37, 337, 994, 2, Smoke::mf_static, 32, 130},	//652 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {37, 343, 997, 2, Smoke::mf_static, 173, 131},	//653 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {37, 310, 1000, 2, Smoke::mf_static, 32, 132},	//654 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {37, 343, 1003, 2, Smoke::mf_static, 173, 133},	//655 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {37, 343, 1006, 2, Smoke::mf_static, 63, 134},	//656 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {37, 305, 1009, 2, Smoke::mf_static, 391, 135},	//657 QGlobalSpace::operator<(const QByteArray&, const char*)
    {37, 343, 1012, 2, Smoke::mf_static, 78, 136},	//658 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    {37, 343, 1015, 2, Smoke::mf_static, 173, 137},	//659 QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    {37, 310, 1018, 2, Smoke::mf_static, 36, 138},	//660 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {37, 343, 1021, 2, Smoke::mf_static, 119, 139},	//661 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {37, 343, 1024, 2, Smoke::mf_static, 173, 140},	//662 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {37, 290, 1027, 2, Smoke::mf_static, 181, 141},	//663 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {37, 546, 0, 0, Smoke::mf_static, 36, 142},	//664 QGlobalSpace::qWarning()
    {37, 343, 1030, 2, Smoke::mf_static, 93, 143},	//665 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    {37, 294, 721, 2, Smoke::mf_static, 503, 144},	//666 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {37, 470, 1033, 3, Smoke::mf_static, 512, 145},	//667 QGlobalSpace::qGray(int, int, int)
    {37, 290, 1037, 2, Smoke::mf_static, 183, 146},	//668 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {37, 343, 1040, 2, Smoke::mf_static, 128, 147},	//669 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {37, 290, 1043, 2, Smoke::mf_static, 211, 148},	//670 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {37, 343, 1046, 2, Smoke::mf_static, 173, 149},	//671 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {37, 321, 1049, 2, Smoke::mf_static, 391, 150},	//672 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {37, 282, 733, 2, Smoke::mf_static, 391, 151},	//673 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {37, 337, 1052, 2, Smoke::mf_static, 32, 152},	//674 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {37, 310, 1055, 2, Smoke::mf_static, 32, 153},	//675 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {37, 343, 1058, 2, Smoke::mf_static, 173, 154},	//676 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {37, 294, 1061, 2, Smoke::mf_static, 478, 155},	//677 QGlobalSpace::operator+(const QString&, const char*)
    {37, 310, 1064, 2, Smoke::mf_static, 32, 156},	//678 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {37, 310, 1067, 2, Smoke::mf_static, 36, 157},	//679 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {37, 310, 1070, 2, Smoke::mf_static, 36, 158},	//680 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {37, 343, 1073, 2, Smoke::mf_static, 173, 159},	//681 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {37, 310, 1076, 2, Smoke::mf_static, 32, 160},	//682 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {37, 343, 1079, 2, Smoke::mf_static, 92, 161},	//683 QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    {37, 343, 1082, 2, Smoke::mf_static, 121, 162},	//684 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {37, 337, 1085, 2, Smoke::mf_static, 32, 163},	//685 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {37, 310, 1088, 2, Smoke::mf_static, 32, 164},	//686 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {37, 343, 1091, 2, Smoke::mf_static, 83, 165},	//687 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {37, 343, 1094, 2, Smoke::mf_static, 92, 166},	//688 QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    {37, 343, 1097, 2, Smoke::mf_static, 173, 167},	//689 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {37, 294, 1100, 2, Smoke::mf_static, 401, 168},	//690 QGlobalSpace::operator+(char, const QByteArray&)
    {37, 303, 645, 2, Smoke::mf_static, 458, 169},	//691 QGlobalSpace::operator/(const QPoint&, double)
    {37, 337, 1103, 2, Smoke::mf_static, 32, 170},	//692 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {37, 294, 1106, 2, Smoke::mf_static, 478, 171},	//693 QGlobalSpace::operator+(const char*, const QString&)
    {37, 294, 733, 2, Smoke::mf_static, 497, 172},	//694 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {37, 343, 1109, 2, Smoke::mf_static, 91, 173},	//695 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    {37, 310, 1112, 2, Smoke::mf_static, 36, 174},	//696 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {37, 321, 1115, 2, Smoke::mf_static, 391, 175},	//697 QGlobalSpace::operator==(const char*, const QByteArray&)
    {37, 343, 1118, 2, Smoke::mf_static, 71, 176},	//698 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    {37, 337, 1121, 2, Smoke::mf_static, 32, 177},	//699 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {37, 490, 986, 1, Smoke::mf_static, 391, 178},	//700 QGlobalSpace::qIsNaN(float)
    {37, 465, 1124, 2, Smoke::mf_static, 391, 179},	//701 QGlobalSpace::qFuzzyCompare(double, double)
    {37, 492, 986, 1, Smoke::mf_static, 391, 180},	//702 QGlobalSpace::qIsNull(float)
    {37, 343, 1127, 2, Smoke::mf_static, 74, 181},	//703 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag)
    {37, 337, 1130, 2, Smoke::mf_static, 32, 182},	//704 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {37, 337, 1133, 2, Smoke::mf_static, 32, 183},	//705 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {37, 310, 1136, 2, Smoke::mf_static, 32, 184},	//706 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {37, 337, 1139, 2, Smoke::mf_static, 32, 185},	//707 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {37, 343, 1142, 2, Smoke::mf_static, 95, 186},	//708 QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    {37, 321, 1145, 2, Smoke::mf_static, 391, 187},	//709 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {37, 303, 1148, 2, Smoke::mf_static, 275, 188},	//710 QGlobalSpace::operator/(const QTransform&, double)
    {37, 310, 1151, 2, Smoke::mf_static, 269, 189},	//711 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {37, 343, 1154, 2, Smoke::mf_static, 55, 190},	//712 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {37, 343, 1157, 2, Smoke::mf_static, 173, 191},	//713 QGlobalSpace::operator|(QGL::FormatOption, int)
    {37, 314, 1106, 2, Smoke::mf_static, 391, 192},	//714 QGlobalSpace::operator<=(const char*, const QString&)
    {37, 290, 1160, 2, Smoke::mf_static, 497, 193},	//715 QGlobalSpace::operator*(const QVector2D&, double)
    {37, 343, 1163, 2, Smoke::mf_static, 72, 194},	//716 QGlobalSpace::operator|(QGL::FormatOption, QGL::FormatOption)
    {37, 343, 1166, 2, Smoke::mf_static, 114, 195},	//717 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    {37, 343, 1169, 2, Smoke::mf_static, 100, 196},	//718 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {37, 282, 1172, 2, Smoke::mf_static, 391, 197},	//719 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {37, 290, 1175, 2, Smoke::mf_static, 503, 198},	//720 QGlobalSpace::operator*(const QVector4D&, double)
    {37, 343, 1178, 2, Smoke::mf_static, 173, 199},	//721 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {37, 343, 1181, 2, Smoke::mf_static, 173, 200},	//722 QGlobalSpace::operator|(QFile::Permission, int)
    {37, 310, 1184, 2, Smoke::mf_static, 36, 201},	//723 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {37, 305, 1187, 2, Smoke::mf_static, 391, 202},	//724 QGlobalSpace::operator<(QChar, QChar)
    {37, 321, 869, 2, Smoke::mf_static, 391, 203},	//725 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {37, 360, 0, 0, Smoke::mf_static, 13, 204},	//726 QGlobalSpace::qAccessibleTextCastHelper()
    {37, 465, 710, 2, Smoke::mf_static, 391, 205},	//727 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {37, 303, 1190, 2, Smoke::mf_static, 192, 206},	//728 QGlobalSpace::operator/(const QMatrix4x4&, double)
    {37, 290, 1193, 2, Smoke::mf_static, 211, 207},	//729 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {37, 310, 1196, 2, Smoke::mf_static, 32, 208},	//730 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {37, 332, 754, 2, Smoke::mf_static, 391, 209},	//731 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {37, 343, 1199, 2, Smoke::mf_static, 90, 210},	//732 QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    {37, 577, 1202, 3, Smoke::mf_static, 512, 211},	//733 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {37, 475, 207, 1, Smoke::mf_static, 520, 212},	//734 QGlobalSpace::qHash(const QByteArray&)
    {37, 343, 1206, 2, Smoke::mf_static, 55, 213},	//735 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {37, 343, 1209, 2, Smoke::mf_static, 173, 214},	//736 QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    {37, 343, 1212, 2, Smoke::mf_static, 73, 215},	//737 QGlobalSpace::operator|(QGLContext::BindOption, QGLContext::BindOption)
    {37, 343, 1215, 2, Smoke::mf_static, 173, 216},	//738 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {37, 294, 710, 2, Smoke::mf_static, 192, 217},	//739 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {37, 310, 1218, 2, Smoke::mf_static, 36, 218},	//740 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {37, 290, 733, 2, Smoke::mf_static, 497, 219},	//741 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {37, 588, 230, 2, Smoke::mf_static, 0, 220},	//742 QGlobalSpace::qt_check_pointer(const char*, int)
    {37, 337, 1221, 2, Smoke::mf_static, 32, 221},	//743 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {37, 343, 1224, 2, Smoke::mf_static, 173, 222},	//744 QGlobalSpace::operator|(QPainter::RenderHint, int)
    {37, 343, 1227, 2, Smoke::mf_static, 173, 223},	//745 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {37, 343, 1230, 2, Smoke::mf_static, 117, 224},	//746 QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    {37, 343, 1233, 2, Smoke::mf_static, 113, 225},	//747 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {37, 337, 1236, 2, Smoke::mf_static, 32, 226},	//748 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {37, 343, 1239, 2, Smoke::mf_static, 117, 227},	//749 QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    {37, 290, 1242, 2, Smoke::mf_static, 460, 228},	//750 QGlobalSpace::operator*(const QPointF&, double)
    {37, 560, 763, 2, Smoke::mf_static, 512, 229},	//751 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {37, 343, 1245, 2, Smoke::mf_static, 94, 230},	//752 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    {37, 343, 1248, 2, Smoke::mf_static, 79, 231},	//753 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    {37, 528, 1251, 1, Smoke::mf_static, 272, 232},	//754 QGlobalSpace::qSetPadChar(QChar)
    {37, 560, 1009, 2, Smoke::mf_static, 512, 233},	//755 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {37, 321, 698, 2, Smoke::mf_static, 391, 234},	//756 QGlobalSpace::operator==(const QSize&, const QSize&)
    {37, 415, 1253, 9, Smoke::mf_static, 0, 235},	//757 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {37, 415, 920, 6, Smoke::mf_static, 0, 236},	//758 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {37, 415, 927, 7, Smoke::mf_static, 0, 237},	//759 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 415, 958, 8, Smoke::mf_static, 0, 238},	//760 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {37, 532, 0, 0, Smoke::mf_static, 391, 239},	//761 QGlobalSpace::qSharedBuild()
    {37, 294, 869, 2, Smoke::mf_static, 464, 240},	//762 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {37, 343, 1263, 2, Smoke::mf_static, 52, 241},	//763 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {37, 480, 1266, 1, Smoke::mf_static, 526, 242},	//764 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {37, 310, 1268, 2, Smoke::mf_static, 32, 243},	//765 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {37, 599, 1271, 3, Smoke::mf_static, 200, 244},	//766 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {37, 321, 754, 2, Smoke::mf_static, 391, 245},	//767 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {37, 343, 1275, 2, Smoke::mf_static, 126, 246},	//768 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {37, 290, 1278, 2, Smoke::mf_static, 287, 247},	//769 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {37, 343, 1281, 2, Smoke::mf_static, 173, 248},	//770 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {37, 282, 763, 2, Smoke::mf_static, 391, 249},	//771 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {37, 435, 1284, 5, Smoke::mf_static, 0, 250},	//772 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {37, 435, 840, 3, Smoke::mf_static, 0, 251},	//773 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {37, 435, 844, 4, Smoke::mf_static, 0, 252},	//774 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {37, 343, 1290, 2, Smoke::mf_static, 173, 253},	//775 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {37, 343, 1293, 2, Smoke::mf_static, 96, 254},	//776 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {37, 343, 1296, 2, Smoke::mf_static, 173, 255},	//777 QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    {37, 343, 1299, 2, Smoke::mf_static, 173, 256},	//778 QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    {37, 337, 1302, 2, Smoke::mf_static, 32, 257},	//779 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {37, 299, 733, 2, Smoke::mf_static, 497, 258},	//780 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {37, 343, 1305, 2, Smoke::mf_static, 125, 259},	//781 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {37, 303, 742, 2, Smoke::mf_static, 473, 260},	//782 QGlobalSpace::operator/(const QSizeF&, double)
    {37, 290, 1308, 2, Smoke::mf_static, 500, 261},	//783 QGlobalSpace::operator*(const QVector3D&, double)
    {37, 343, 1311, 2, Smoke::mf_static, 126, 262},	//784 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {37, 337, 1314, 2, Smoke::mf_static, 32, 263},	//785 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {37, 290, 1317, 2, Smoke::mf_static, 222, 264},	//786 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {37, 327, 1187, 2, Smoke::mf_static, 391, 265},	//787 QGlobalSpace::operator>(QChar, QChar)
    {37, 332, 1115, 2, Smoke::mf_static, 391, 266},	//788 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {37, 463, 1320, 1, Smoke::mf_static, 0, 267},	//789 QGlobalSpace::qFreeAligned(void*)
    {37, 343, 1322, 2, Smoke::mf_static, 103, 268},	//790 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {37, 321, 1325, 2, Smoke::mf_static, 391, 269},	//791 QGlobalSpace::operator==(const QString&, QString::Null)
    {37, 310, 1328, 2, Smoke::mf_static, 36, 270},	//792 QGlobalSpace::operator<<(QDebug, const QPen&)
    {37, 482, 986, 1, Smoke::mf_static, 512, 271},	//793 QGlobalSpace::qIntCast(float)
    {37, 305, 763, 2, Smoke::mf_static, 391, 272},	//794 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {37, 343, 1331, 2, Smoke::mf_static, 105, 273},	//795 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {37, 555, 1115, 2, Smoke::mf_static, 391, 274},	//796 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {37, 343, 1334, 2, Smoke::mf_static, 173, 275},	//797 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {37, 337, 1337, 2, Smoke::mf_static, 32, 276},	//798 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {37, 537, 1340, 2, Smoke::mf_static, 391, 277},	//799 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {37, 573, 1202, 3, Smoke::mf_static, 512, 278},	//800 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {37, 424, 1343, 7, Smoke::mf_static, 0, 279},	//801 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {37, 424, 840, 3, Smoke::mf_static, 0, 280},	//802 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {37, 424, 844, 4, Smoke::mf_static, 0, 281},	//803 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {37, 424, 849, 5, Smoke::mf_static, 0, 282},	//804 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {37, 424, 1351, 6, Smoke::mf_static, 0, 283},	//805 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {37, 343, 1358, 2, Smoke::mf_static, 109, 284},	//806 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    {37, 343, 1361, 2, Smoke::mf_static, 173, 285},	//807 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    {37, 343, 1364, 2, Smoke::mf_static, 173, 286},	//808 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    {37, 299, 1367, 1, Smoke::mf_static, 460, 287},	//809 QGlobalSpace::operator-(const QPointF&)
    {37, 509, 1369, 4, Smoke::mf_static, 527, 288},	//810 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {37, 343, 1374, 2, Smoke::mf_static, 124, 289},	//811 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {37, 310, 1377, 2, Smoke::mf_static, 32, 290},	//812 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {37, 475, 1380, 1, Smoke::mf_static, 520, 291},	//813 QGlobalSpace::qHash(unsigned long long)
    {37, 294, 1382, 2, Smoke::mf_static, 478, 292},	//814 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {37, 343, 1385, 2, Smoke::mf_static, 133, 293},	//815 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {37, 310, 1388, 2, Smoke::mf_static, 36, 294},	//816 QGlobalSpace::operator<<(QDebug, const QSize&)
    {37, 290, 1391, 2, Smoke::mf_static, 220, 295},	//817 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {37, 343, 1394, 2, Smoke::mf_static, 124, 296},	//818 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {37, 310, 1397, 2, Smoke::mf_static, 36, 297},	//819 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {37, 343, 1400, 2, Smoke::mf_static, 131, 298},	//820 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {37, 368, 0, 0, Smoke::mf_static, 241, 299},	//821 QGlobalSpace::qAppName()
    {37, 294, 1403, 2, Smoke::mf_static, 478, 300},	//822 QGlobalSpace::operator+(const QString&, char)
    {37, 332, 1172, 2, Smoke::mf_static, 391, 301},	//823 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {37, 343, 1406, 2, Smoke::mf_static, 64, 302},	//824 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    {37, 475, 1251, 1, Smoke::mf_static, 520, 303},	//825 QGlobalSpace::qHash(QChar)
    {37, 343, 1409, 2, Smoke::mf_static, 173, 304},	//826 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    {37, 399, 1412, 8, Smoke::mf_static, 0, 305},	//827 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {37, 399, 1421, 6, Smoke::mf_static, 0, 306},	//828 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {37, 399, 1428, 7, Smoke::mf_static, 0, 307},	//829 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {37, 321, 780, 2, Smoke::mf_static, 391, 308},	//830 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {37, 468, 648, 1, Smoke::mf_static, 391, 309},	//831 QGlobalSpace::qFuzzyIsNull(double)
    {37, 290, 710, 2, Smoke::mf_static, 192, 310},	//832 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {37, 310, 1436, 2, Smoke::mf_static, 32, 311},	//833 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {37, 502, 1439, 3, Smoke::mf_static, 527, 312},	//834 QGlobalSpace::qMemSet(void*, int, size_t)
    {37, 373, 1124, 2, Smoke::mf_static, 510, 313},	//835 QGlobalSpace::qAtan2(double, double)
    {37, 343, 1443, 2, Smoke::mf_static, 96, 314},	//836 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {37, 310, 1446, 2, Smoke::mf_static, 32, 315},	//837 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {37, 337, 1449, 2, Smoke::mf_static, 32, 316},	//838 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {37, 382, 233, 2, Smoke::mf_static, 21, 317},	//839 QGlobalSpace::qCompress(const QByteArray&, int)
    {37, 382, 207, 1, Smoke::mf_static, 21, 318},	//840 QGlobalSpace::qCompress(const QByteArray&)
    {37, 282, 642, 2, Smoke::mf_static, 391, 319},	//841 QGlobalSpace::operator!=(const QGLFormat&, const QGLFormat&)
    {37, 343, 1452, 2, Smoke::mf_static, 173, 320},	//842 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {37, 310, 1455, 2, Smoke::mf_static, 36, 321},	//843 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {37, 343, 1458, 2, Smoke::mf_static, 125, 322},	//844 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {37, 290, 1461, 2, Smoke::mf_static, 289, 323},	//845 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {37, 343, 1464, 2, Smoke::mf_static, 173, 324},	//846 QGlobalSpace::operator|(QAccessible::StateFlag, int)
    {37, 305, 1115, 2, Smoke::mf_static, 391, 325},	//847 QGlobalSpace::operator<(const char*, const QByteArray&)
    {37, 399, 1467, 5, Smoke::mf_static, 0, 326},	//848 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {37, 399, 1473, 3, Smoke::mf_static, 0, 327},	//849 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {37, 399, 1477, 4, Smoke::mf_static, 0, 328},	//850 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {37, 343, 1482, 2, Smoke::mf_static, 173, 329},	//851 QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    {37, 364, 1485, 1, Smoke::mf_static, 0, 330},	//852 QGlobalSpace::qAddPostRoutine(void(*)())
    {37, 343, 1487, 2, Smoke::mf_static, 173, 331},	//853 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {37, 290, 1490, 2, Smoke::mf_static, 218, 332},	//854 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {37, 343, 1493, 2, Smoke::mf_static, 173, 333},	//855 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {37, 343, 1496, 2, Smoke::mf_static, 173, 334},	//856 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {37, 449, 648, 1, Smoke::mf_static, 510, 335},	//857 QGlobalSpace::qExp(double)
    {37, 282, 698, 2, Smoke::mf_static, 391, 336},	//858 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {37, 343, 1499, 2, Smoke::mf_static, 122, 337},	//859 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {37, 314, 1009, 2, Smoke::mf_static, 391, 338},	//860 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {37, 310, 1502, 2, Smoke::mf_static, 32, 339},	//861 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {37, 282, 1505, 2, Smoke::mf_static, 391, 340},	//862 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {37, 343, 1508, 2, Smoke::mf_static, 173, 341},	//863 QGlobalSpace::operator|(QString::SectionFlag, int)
    {37, 343, 1511, 2, Smoke::mf_static, 173, 342},	//864 QGlobalSpace::operator|(Qt::WindowType, int)
    {37, 343, 1514, 2, Smoke::mf_static, 116, 343},	//865 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {37, 321, 1517, 2, Smoke::mf_static, 391, 344},	//866 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {37, 492, 648, 1, Smoke::mf_static, 391, 345},	//867 QGlobalSpace::qIsNull(double)
    {37, 391, 1520, 8, Smoke::mf_static, 0, 346},	//868 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>)
    {37, 391, 1529, 6, Smoke::mf_static, 0, 347},	//869 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {37, 391, 1536, 7, Smoke::mf_static, 0, 348},	//870 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {37, 332, 1544, 2, Smoke::mf_static, 391, 349},	//871 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {37, 321, 1547, 2, Smoke::mf_static, 391, 350},	//872 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {37, 482, 648, 1, Smoke::mf_static, 512, 351},	//873 QGlobalSpace::qIntCast(double)
    {37, 341, 631, 2, Smoke::mf_static, 17, 352},	//874 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {37, 380, 1550, 2, Smoke::mf_static, 523, 353},	//875 QGlobalSpace::qChecksum(const char*, unsigned int)
    {37, 343, 1553, 2, Smoke::mf_static, 115, 354},	//876 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {37, 343, 1556, 2, Smoke::mf_static, 173, 355},	//877 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    {37, 337, 1559, 2, Smoke::mf_static, 32, 356},	//878 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {37, 310, 1562, 2, Smoke::mf_static, 32, 357},	//879 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {37, 290, 1148, 2, Smoke::mf_static, 275, 358},	//880 QGlobalSpace::operator*(const QTransform&, double)
    {37, 343, 1565, 2, Smoke::mf_static, 173, 359},	//881 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {37, 305, 1172, 2, Smoke::mf_static, 391, 360},	//882 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {37, 310, 1568, 2, Smoke::mf_static, 36, 361},	//883 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {37, 343, 1571, 2, Smoke::mf_static, 116, 362},	//884 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {37, 343, 1574, 2, Smoke::mf_static, 173, 363},	//885 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    {37, 549, 187, 1, Smoke::mf_static, 21, 364},	//886 QGlobalSpace::qgetenv(const char*)
    {37, 343, 1577, 2, Smoke::mf_static, 173, 365},	//887 QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    {37, 310, 1580, 2, Smoke::mf_static, 36, 366},	//888 QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {37, 343, 1583, 2, Smoke::mf_static, 173, 367},	//889 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    {37, 343, 1586, 2, Smoke::mf_static, 173, 368},	//890 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {37, 282, 1340, 2, Smoke::mf_static, 391, 369},	//891 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {37, 310, 1589, 2, Smoke::mf_static, 36, 370},	//892 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {37, 337, 1592, 2, Smoke::mf_static, 269, 371},	//893 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {37, 343, 1595, 2, Smoke::mf_static, 173, 372},	//894 QGlobalSpace::operator|(QWizard::WizardOption, int)
    {37, 282, 1115, 2, Smoke::mf_static, 391, 373},	//895 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {37, 343, 1598, 2, Smoke::mf_static, 173, 374},	//896 QGlobalSpace::operator|(QFileDialog::Option, int)
    {37, 362, 648, 1, Smoke::mf_static, 510, 375},	//897 QGlobalSpace::qAcos(double)
    {37, 343, 1601, 2, Smoke::mf_static, 98, 376},	//898 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {37, 327, 1172, 2, Smoke::mf_static, 391, 377},	//899 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {37, 303, 1175, 2, Smoke::mf_static, 503, 378},	//900 QGlobalSpace::operator/(const QVector4D&, double)
    {37, 290, 1604, 2, Smoke::mf_static, 218, 379},	//901 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {37, 343, 1607, 2, Smoke::mf_static, 105, 380},	//902 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {37, 343, 1610, 2, Smoke::mf_static, 80, 381},	//903 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    {37, 303, 783, 2, Smoke::mf_static, 464, 382},	//904 QGlobalSpace::operator/(const QQuaternion&, double)
    {37, 343, 1613, 2, Smoke::mf_static, 90, 383},	//905 QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    {37, 337, 1616, 2, Smoke::mf_static, 32, 384},	//906 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {37, 310, 1619, 2, Smoke::mf_static, 32, 385},	//907 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {37, 343, 1622, 2, Smoke::mf_static, 68, 386},	//908 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {37, 358, 0, 0, Smoke::mf_static, 13, 387},	//909 QGlobalSpace::qAccessibleImageCastHelper()
    {37, 343, 1625, 2, Smoke::mf_static, 173, 388},	//910 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    {37, 310, 1628, 2, Smoke::mf_static, 36, 389},	//911 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {37, 575, 1631, 3, Smoke::mf_static, 393, 390},	//912 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {37, 343, 1635, 2, Smoke::mf_static, 58, 391},	//913 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    {37, 337, 1638, 2, Smoke::mf_static, 32, 392},	//914 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {37, 310, 1641, 2, Smoke::mf_static, 32, 393},	//915 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {37, 337, 1644, 2, Smoke::mf_static, 32, 394},	//916 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {37, 299, 1647, 1, Smoke::mf_static, 503, 395},	//917 QGlobalSpace::operator-(const QVector4D&)
    {37, 310, 1649, 2, Smoke::mf_static, 36, 396},	//918 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {37, 343, 1652, 2, Smoke::mf_static, 173, 397},	//919 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    {37, 337, 1655, 2, Smoke::mf_static, 32, 398},	//920 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {37, 484, 986, 1, Smoke::mf_static, 391, 399},	//921 QGlobalSpace::qIsFinite(float)
    {37, 282, 1049, 2, Smoke::mf_static, 391, 400},	//922 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {37, 321, 733, 2, Smoke::mf_static, 391, 401},	//923 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {37, 590, 15, 1, Smoke::mf_static, 241, 402},	//924 QGlobalSpace::qt_error_string(int)
    {37, 590, 0, 0, Smoke::mf_static, 241, 403},	//925 QGlobalSpace::qt_error_string()
    {37, 303, 1160, 2, Smoke::mf_static, 497, 404},	//926 QGlobalSpace::operator/(const QVector2D&, double)
    {37, 343, 1658, 2, Smoke::mf_static, 173, 405},	//927 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {37, 337, 1661, 2, Smoke::mf_static, 32, 406},	//928 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {37, 507, 1664, 2, Smoke::mf_static, 527, 407},	//929 QGlobalSpace::qRealloc(void*, size_t)
    {37, 343, 1667, 2, Smoke::mf_static, 78, 408},	//930 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    {37, 343, 1670, 2, Smoke::mf_static, 77, 409},	//931 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    {37, 294, 1673, 2, Smoke::mf_static, 478, 410},	//932 QGlobalSpace::operator+(const QString&, const QString&)
    {37, 343, 1676, 2, Smoke::mf_static, 173, 411},	//933 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {37, 359, 0, 0, Smoke::mf_static, 13, 412},	//934 QGlobalSpace::qAccessibleTableCastHelper()
    {37, 343, 1679, 2, Smoke::mf_static, 173, 413},	//935 QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    {37, 290, 1190, 2, Smoke::mf_static, 192, 414},	//936 QGlobalSpace::operator*(const QMatrix4x4&, double)
    {37, 586, 1682, 4, Smoke::mf_static, 0, 415},	//937 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {37, 305, 1106, 2, Smoke::mf_static, 391, 416},	//938 QGlobalSpace::operator<(const char*, const QString&)
    {37, 282, 1106, 2, Smoke::mf_static, 391, 417},	//939 QGlobalSpace::operator!=(const char*, const QString&)
    {37, 282, 1009, 2, Smoke::mf_static, 391, 418},	//940 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {37, 282, 1687, 2, Smoke::mf_static, 391, 419},	//941 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {37, 310, 1690, 2, Smoke::mf_static, 36, 420},	//942 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {37, 343, 1693, 2, Smoke::mf_static, 56, 421},	//943 QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    {37, 321, 1696, 2, Smoke::mf_static, 391, 422},	//944 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {37, 343, 1699, 2, Smoke::mf_static, 173, 423},	//945 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {37, 337, 1702, 2, Smoke::mf_static, 32, 424},	//946 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {37, 327, 763, 2, Smoke::mf_static, 391, 425},	//947 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {37, 521, 648, 1, Smoke::mf_static, 512, 426},	//948 QGlobalSpace::qRound(double)
    {37, 314, 754, 2, Smoke::mf_static, 391, 427},	//949 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {37, 343, 1705, 2, Smoke::mf_static, 173, 428},	//950 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, int)
    {37, 321, 1505, 2, Smoke::mf_static, 391, 429},	//951 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {37, 343, 631, 2, Smoke::mf_static, 17, 430},	//952 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {37, 321, 1708, 2, Smoke::mf_static, 391, 431},	//953 QGlobalSpace::operator==(const char*, const QStringRef&)
    {37, 294, 1115, 2, Smoke::mf_static, 401, 432},	//954 QGlobalSpace::operator+(const char*, const QByteArray&)
    {37, 337, 1711, 2, Smoke::mf_static, 32, 433},	//955 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {37, 343, 1714, 2, Smoke::mf_static, 173, 434},	//956 QGlobalSpace::operator|(Qt::MouseButton, int)
    {37, 343, 1717, 2, Smoke::mf_static, 102, 435},	//957 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {37, 314, 1172, 2, Smoke::mf_static, 391, 436},	//958 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {37, 337, 1720, 2, Smoke::mf_static, 32, 437},	//959 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {37, 343, 1723, 2, Smoke::mf_static, 63, 438},	//960 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {37, 343, 1726, 2, Smoke::mf_static, 123, 439},	//961 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {37, 486, 17, 1, Smoke::mf_static, 391, 440},	//962 QGlobalSpace::qIsGray(unsigned int)
    {37, 343, 1729, 2, Smoke::mf_static, 113, 441},	//963 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {37, 290, 1732, 2, Smoke::mf_static, 220, 442},	//964 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {37, 299, 1735, 1, Smoke::mf_static, 192, 443},	//965 QGlobalSpace::operator-(const QMatrix4x4&)
    {37, 290, 1737, 2, Smoke::mf_static, 497, 444},	//966 QGlobalSpace::operator*(double, const QVector2D&)
    {37, 343, 1740, 2, Smoke::mf_static, 54, 445},	//967 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    {37, 343, 1743, 2, Smoke::mf_static, 85, 446},	//968 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    {37, 343, 1746, 2, Smoke::mf_static, 173, 447},	//969 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    {37, 337, 1749, 2, Smoke::mf_static, 32, 448},	//970 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {37, 321, 1187, 2, Smoke::mf_static, 391, 449},	//971 QGlobalSpace::operator==(QChar, QChar)
    {37, 343, 1752, 2, Smoke::mf_static, 129, 450},	//972 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {37, 310, 1755, 2, Smoke::mf_static, 32, 451},	//973 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {37, 282, 1517, 2, Smoke::mf_static, 391, 452},	//974 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {37, 290, 1758, 2, Smoke::mf_static, 183, 453},	//975 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {37, 282, 1761, 2, Smoke::mf_static, 391, 454},	//976 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {37, 475, 1764, 1, Smoke::mf_static, 520, 455},	//977 QGlobalSpace::qHash(signed char)
    {37, 310, 1766, 2, Smoke::mf_static, 32, 456},	//978 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {37, 310, 1769, 2, Smoke::mf_static, 32, 457},	//979 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {37, 343, 1772, 2, Smoke::mf_static, 130, 458},	//980 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {37, 290, 1775, 2, Smoke::mf_static, 500, 459},	//981 QGlobalSpace::operator*(double, const QVector3D&)
    {37, 535, 648, 1, Smoke::mf_static, 510, 460},	//982 QGlobalSpace::qSqrt(double)
    {37, 310, 1778, 2, Smoke::mf_static, 32, 461},	//983 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {37, 343, 1781, 2, Smoke::mf_static, 112, 462},	//984 QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    {37, 560, 189, 2, Smoke::mf_static, 512, 463},	//985 QGlobalSpace::qstrcmp(const char*, const char*)
    {37, 337, 1784, 2, Smoke::mf_static, 32, 464},	//986 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {37, 343, 1787, 2, Smoke::mf_static, 74, 465},	//987 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>)
    {37, 343, 1790, 2, Smoke::mf_static, 99, 466},	//988 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {37, 321, 721, 2, Smoke::mf_static, 391, 467},	//989 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {37, 310, 1793, 2, Smoke::mf_static, 32, 468},	//990 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {37, 310, 1796, 2, Smoke::mf_static, 32, 469},	//991 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {37, 294, 1799, 2, Smoke::mf_static, 478, 470},	//992 QGlobalSpace::operator+(char, const QString&)
    {37, 303, 1308, 2, Smoke::mf_static, 500, 471},	//993 QGlobalSpace::operator/(const QVector3D&, double)
    {37, 343, 1802, 2, Smoke::mf_static, 95, 472},	//994 QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    {37, 282, 766, 2, Smoke::mf_static, 391, 473},	//995 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {37, 282, 1187, 2, Smoke::mf_static, 391, 474},	//996 QGlobalSpace::operator!=(QChar, QChar)
    {37, 343, 1805, 2, Smoke::mf_static, 87, 475},	//997 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {37, 290, 1808, 2, Smoke::mf_static, 192, 476},	//998 QGlobalSpace::operator*(double, const QMatrix4x4&)
    {37, 579, 1550, 2, Smoke::mf_static, 520, 477},	//999 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {37, 343, 1811, 2, Smoke::mf_static, 82, 478},	//1000 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    {37, 321, 1544, 2, Smoke::mf_static, 391, 479},	//1001 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {37, 517, 1033, 3, Smoke::mf_static, 520, 480},	//1002 QGlobalSpace::qRgb(int, int, int)
    {37, 465, 721, 2, Smoke::mf_static, 391, 481},	//1003 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {37, 459, 648, 1, Smoke::mf_static, 512, 482},	//1004 QGlobalSpace::qFloor(double)
    {37, 343, 1814, 2, Smoke::mf_static, 132, 483},	//1005 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {37, 343, 1817, 2, Smoke::mf_static, 111, 484},	//1006 QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    {37, 310, 1820, 2, Smoke::mf_static, 36, 485},	//1007 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {37, 343, 1823, 2, Smoke::mf_static, 81, 486},	//1008 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    {37, 343, 1826, 2, Smoke::mf_static, 115, 487},	//1009 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {37, 321, 760, 2, Smoke::mf_static, 391, 488},	//1010 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {37, 337, 1829, 2, Smoke::mf_static, 32, 489},	//1011 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {37, 343, 1832, 2, Smoke::mf_static, 114, 490},	//1012 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    {37, 337, 1835, 2, Smoke::mf_static, 32, 491},	//1013 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {37, 310, 1838, 2, Smoke::mf_static, 32, 492},	//1014 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {37, 343, 1841, 2, Smoke::mf_static, 57, 493},	//1015 QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    {37, 321, 1172, 2, Smoke::mf_static, 391, 494},	//1016 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {37, 282, 1844, 2, Smoke::mf_static, 391, 495},	//1017 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {37, 290, 1847, 2, Smoke::mf_static, 471, 496},	//1018 QGlobalSpace::operator*(double, const QSize&)
    {37, 321, 1850, 2, Smoke::mf_static, 391, 497},	//1019 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {37, 343, 1853, 2, Smoke::mf_static, 68, 498},	//1020 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {37, 475, 1856, 1, Smoke::mf_static, 520, 499},	//1021 QGlobalSpace::qHash(const QModelIndex&)
    {37, 343, 1858, 2, Smoke::mf_static, 81, 500},	//1022 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    {37, 343, 1861, 2, Smoke::mf_static, 99, 501},	//1023 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {37, 310, 1864, 2, Smoke::mf_static, 36, 502},	//1024 QGlobalSpace::operator<<(QDebug, const QLine&)
    {37, 361, 0, 0, Smoke::mf_static, 13, 503},	//1025 QGlobalSpace::qAccessibleValueCastHelper()
    {37, 343, 1867, 2, Smoke::mf_static, 53, 504},	//1026 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {37, 515, 1485, 1, Smoke::mf_static, 0, 505},	//1027 QGlobalSpace::qRemovePostRoutine(void(*)())
    {37, 337, 1870, 2, Smoke::mf_static, 32, 506},	//1028 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {37, 290, 1873, 2, Smoke::mf_static, 289, 507},	//1029 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {37, 310, 1876, 2, Smoke::mf_static, 32, 508},	//1030 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {37, 465, 1879, 2, Smoke::mf_static, 391, 509},	//1031 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {37, 343, 1882, 2, Smoke::mf_static, 106, 510},	//1032 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {37, 457, 187, 1, Smoke::mf_static, 506, 511},	//1033 QGlobalSpace::qFlagLocation(const char*)
    {37, 500, 1885, 3, Smoke::mf_static, 527, 512},	//1034 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {37, 332, 1009, 2, Smoke::mf_static, 391, 513},	//1035 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {37, 290, 1889, 2, Smoke::mf_static, 458, 514},	//1036 QGlobalSpace::operator*(double, const QPoint&)
    {37, 490, 648, 1, Smoke::mf_static, 391, 515},	//1037 QGlobalSpace::qIsNaN(double)
    {37, 343, 1892, 2, Smoke::mf_static, 89, 516},	//1038 QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    {37, 310, 1895, 2, Smoke::mf_static, 36, 517},	//1039 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {37, 396, 1898, 5, Smoke::mf_static, 0, 518},	//1040 QGlobalSpace::qDrawPixmaps(QPainter*, const QDrawPixmaps::Data*, int, const QPixmap&, QFlags<QDrawPixmaps::DrawingHint>)
    {37, 396, 1904, 4, Smoke::mf_static, 0, 519},	//1041 QGlobalSpace::qDrawPixmaps(QPainter*, const QDrawPixmaps::Data*, int, const QPixmap&)
    {37, 310, 1909, 2, Smoke::mf_static, 36, 520},	//1042 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {37, 475, 1912, 1, Smoke::mf_static, 520, 521},	//1043 QGlobalSpace::qHash(short)
    {37, 479, 0, 0, Smoke::mf_static, 510, 522},	//1044 QGlobalSpace::qInf()
    {37, 310, 1914, 2, Smoke::mf_static, 36, 523},	//1045 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {37, 343, 1917, 2, Smoke::mf_static, 91, 524},	//1046 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    {37, 310, 1920, 2, Smoke::mf_static, 32, 525},	//1047 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {37, 310, 1923, 2, Smoke::mf_static, 32, 526},	//1048 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {37, 290, 1926, 2, Smoke::mf_static, 464, 527},	//1049 QGlobalSpace::operator*(double, const QQuaternion&)
    {37, 294, 1929, 2, Smoke::mf_static, 401, 528},	//1050 QGlobalSpace::operator+(const QByteArray&, char)
    {37, 343, 1932, 2, Smoke::mf_static, 108, 529},	//1051 QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    {37, 310, 1935, 2, Smoke::mf_static, 36, 530},	//1052 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {37, 343, 1938, 2, Smoke::mf_static, 93, 531},	//1053 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    {37, 343, 1941, 2, Smoke::mf_static, 60, 532},	//1054 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    {37, 303, 1242, 2, Smoke::mf_static, 460, 533},	//1055 QGlobalSpace::operator/(const QPointF&, double)
    {37, 542, 207, 1, Smoke::mf_static, 21, 534},	//1056 QGlobalSpace::qUncompress(const QByteArray&)
    {37, 332, 1187, 2, Smoke::mf_static, 391, 535},	//1057 QGlobalSpace::operator>=(QChar, QChar)
    {37, 343, 1944, 2, Smoke::mf_static, 56, 536},	//1058 QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    {37, 314, 763, 2, Smoke::mf_static, 391, 537},	//1059 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {37, 530, 15, 1, Smoke::mf_static, 272, 538},	//1060 QGlobalSpace::qSetRealNumberPrecision(int)
    {37, 310, 1947, 2, Smoke::mf_static, 36, 539},	//1061 QGlobalSpace::operator<<(QDebug, const QObject*)
    {37, 533, 648, 1, Smoke::mf_static, 510, 540},	//1062 QGlobalSpace::qSin(double)
    {37, 369, 648, 1, Smoke::mf_static, 510, 541},	//1063 QGlobalSpace::qAsin(double)
    {37, 465, 1049, 2, Smoke::mf_static, 391, 542},	//1064 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {37, 569, 189, 2, Smoke::mf_static, 512, 543},	//1065 QGlobalSpace::qstricmp(const char*, const char*)
    {37, 343, 1950, 2, Smoke::mf_static, 80, 544},	//1066 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    {37, 343, 1953, 2, Smoke::mf_static, 72, 545},	//1067 QGlobalSpace::operator|(QGL::FormatOption, QFlags<QGL::FormatOption>)
    {37, 310, 1956, 2, Smoke::mf_static, 36, 546},	//1068 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {37, 465, 1959, 2, Smoke::mf_static, 391, 547},	//1069 QGlobalSpace::qFuzzyCompare(float, float)
    {37, 337, 1962, 2, Smoke::mf_static, 32, 548},	//1070 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {37, 343, 1965, 2, Smoke::mf_static, 62, 549},	//1071 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {37, 314, 1544, 2, Smoke::mf_static, 391, 550},	//1072 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {37, 605, 1968, 4, Smoke::mf_static, 512, 551},	//1073 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {37, 343, 1973, 2, Smoke::mf_static, 85, 552},	//1074 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    {37, 343, 1976, 2, Smoke::mf_static, 97, 553},	//1075 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {37, 310, 1979, 2, Smoke::mf_static, 32, 554},	//1076 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {37, 598, 0, 0, Smoke::mf_static, 0, 555},	//1077 QGlobalSpace::qt_noop()
    {37, 343, 1982, 2, Smoke::mf_static, 86, 556},	//1078 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {37, 327, 1115, 2, Smoke::mf_static, 391, 557},	//1079 QGlobalSpace::operator>(const char*, const QByteArray&)
    {37, 337, 1985, 2, Smoke::mf_static, 32, 558},	//1080 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {37, 526, 15, 1, Smoke::mf_static, 272, 559},	//1081 QGlobalSpace::qSetFieldWidth(int)
    {37, 343, 1988, 2, Smoke::mf_static, 107, 560},	//1082 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {37, 310, 1991, 2, Smoke::mf_static, 36, 561},	//1083 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {37, 310, 1994, 2, Smoke::mf_static, 32, 562},	//1084 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {37, 321, 1844, 2, Smoke::mf_static, 391, 563},	//1085 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {37, 282, 1997, 2, Smoke::mf_static, 391, 564},	//1086 QGlobalSpace::operator!=(bool, QBool)
    {37, 475, 19, 1, Smoke::mf_static, 520, 565},	//1087 QGlobalSpace::qHash(unsigned long)
    {37, 310, 2000, 2, Smoke::mf_static, 36, 566},	//1088 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {37, 343, 2003, 2, Smoke::mf_static, 173, 567},	//1089 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    {37, 290, 2006, 2, Smoke::mf_static, 222, 568},	//1090 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {37, 282, 2009, 2, Smoke::mf_static, 391, 569},	//1091 QGlobalSpace::operator!=(QBool, bool)
    {37, 343, 2012, 2, Smoke::mf_static, 173, 570},	//1092 QGlobalSpace::operator|(Qt::WindowState, int)
    {37, 343, 2015, 2, Smoke::mf_static, 106, 571},	//1093 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {37, 299, 1505, 2, Smoke::mf_static, 458, 572},	//1094 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {37, 494, 648, 1, Smoke::mf_static, 510, 573},	//1095 QGlobalSpace::qLn(double)
    {37, 337, 2018, 2, Smoke::mf_static, 32, 574},	//1096 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {37, 337, 2021, 2, Smoke::mf_static, 32, 575},	//1097 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {37, 465, 869, 2, Smoke::mf_static, 391, 576},	//1098 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {37, 406, 967, 9, Smoke::mf_static, 0, 577},	//1099 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {37, 406, 920, 6, Smoke::mf_static, 0, 578},	//1100 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {37, 406, 927, 7, Smoke::mf_static, 0, 579},	//1101 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 406, 958, 8, Smoke::mf_static, 0, 580},	//1102 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {37, 571, 187, 1, Smoke::mf_static, 520, 581},	//1103 QGlobalSpace::qstrlen(const char*)
    {37, 294, 1009, 2, Smoke::mf_static, 401, 582},	//1104 QGlobalSpace::operator+(const QByteArray&, const char*)
    {37, 310, 2024, 2, Smoke::mf_static, 32, 583},	//1105 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {37, 282, 760, 2, Smoke::mf_static, 391, 584},	//1106 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {37, 314, 1115, 2, Smoke::mf_static, 391, 585},	//1107 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {37, 310, 2027, 2, Smoke::mf_static, 32, 586},	//1108 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {37, 343, 2030, 2, Smoke::mf_static, 119, 587},	//1109 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {37, 310, 2033, 2, Smoke::mf_static, 36, 588},	//1110 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {37, 343, 2036, 2, Smoke::mf_static, 173, 589},	//1111 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    {37, 321, 1687, 2, Smoke::mf_static, 391, 590},	//1112 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {37, 343, 2039, 2, Smoke::mf_static, 88, 591},	//1113 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {37, 343, 2042, 2, Smoke::mf_static, 173, 592},	//1114 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, int)
    {37, 282, 1544, 2, Smoke::mf_static, 391, 593},	//1115 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {37, 343, 2045, 2, Smoke::mf_static, 112, 594},	//1116 QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    {37, 343, 2048, 2, Smoke::mf_static, 73, 595},	//1117 QGlobalSpace::operator|(QGLContext::BindOption, QFlags<QGLContext::BindOption>)
    {37, 310, 2051, 2, Smoke::mf_static, 32, 596},	//1118 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {37, 343, 2054, 2, Smoke::mf_static, 133, 597},	//1119 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {37, 343, 2057, 2, Smoke::mf_static, 59, 598},	//1120 QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    {37, 357, 0, 0, Smoke::mf_static, 13, 599},	//1121 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {37, 290, 2060, 2, Smoke::mf_static, 471, 600},	//1122 QGlobalSpace::operator*(const QSize&, double)
    {37, 290, 2063, 2, Smoke::mf_static, 287, 601},	//1123 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {37, 321, 2066, 2, Smoke::mf_static, 391, 602},	//1124 QGlobalSpace::operator==(QString::Null, const QString&)
    {37, 310, 2069, 2, Smoke::mf_static, 36, 603},	//1125 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {37, 343, 2072, 2, Smoke::mf_static, 62, 604},	//1126 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {37, 343, 2075, 2, Smoke::mf_static, 123, 605},	//1127 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {37, 337, 2078, 2, Smoke::mf_static, 32, 606},	//1128 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {37, 310, 2081, 2, Smoke::mf_static, 36, 607},	//1129 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {37, 321, 1009, 2, Smoke::mf_static, 391, 608},	//1130 QGlobalSpace::operator==(const QByteArray&, const char*)
    {37, 601, 2084, 5, Smoke::mf_static, 0, 609},	//1131 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {37, 337, 2090, 2, Smoke::mf_static, 32, 610},	//1132 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {37, 343, 2093, 2, Smoke::mf_static, 101, 611},	//1133 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {37, 327, 1106, 2, Smoke::mf_static, 391, 612},	//1134 QGlobalSpace::operator>(const char*, const QString&)
    {37, 310, 2096, 2, Smoke::mf_static, 32, 613},	//1135 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {37, 337, 2099, 2, Smoke::mf_static, 32, 614},	//1136 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {37, 337, 2102, 2, Smoke::mf_static, 32, 615},	//1137 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {37, 327, 1009, 2, Smoke::mf_static, 391, 616},	//1138 QGlobalSpace::operator>(const QByteArray&, const char*)
    {37, 305, 754, 2, Smoke::mf_static, 391, 617},	//1139 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {37, 343, 2105, 2, Smoke::mf_static, 173, 618},	//1140 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    {37, 294, 1505, 2, Smoke::mf_static, 458, 619},	//1141 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {37, 310, 2108, 2, Smoke::mf_static, 32, 620},	//1142 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {37, 461, 1320, 1, Smoke::mf_static, 0, 621},	//1143 QGlobalSpace::qFree(void*)
    {37, 294, 1049, 2, Smoke::mf_static, 500, 622},	//1144 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {37, 343, 2111, 2, Smoke::mf_static, 84, 623},	//1145 QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    {37, 314, 1187, 2, Smoke::mf_static, 391, 624},	//1146 QGlobalSpace::operator<=(QChar, QChar)
    {37, 310, 2114, 2, Smoke::mf_static, 269, 625},	//1147 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {37, 310, 2117, 2, Smoke::mf_static, 32, 626},	//1148 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {37, 475, 17, 1, Smoke::mf_static, 520, 627},	//1149 QGlobalSpace::qHash(unsigned int)
    {37, 290, 2120, 2, Smoke::mf_static, 230, 628},	//1150 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {37, 282, 2066, 2, Smoke::mf_static, 391, 629},	//1151 QGlobalSpace::operator!=(QString::Null, const QString&)
    {37, 523, 648, 1, Smoke::mf_static, 514, 630},	//1152 QGlobalSpace::qRound64(double)
    {37, 290, 2123, 2, Smoke::mf_static, 220, 631},	//1153 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {37, 327, 1544, 2, Smoke::mf_static, 391, 632},	//1154 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {37, 310, 2126, 2, Smoke::mf_static, 36, 633},	//1155 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {37, 343, 2129, 2, Smoke::mf_static, 173, 634},	//1156 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    {37, 310, 2132, 2, Smoke::mf_static, 32, 635},	//1157 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {37, 343, 2135, 2, Smoke::mf_static, 97, 636},	//1158 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {37, 498, 2138, 2, Smoke::mf_static, 527, 637},	//1159 QGlobalSpace::qMallocAligned(size_t, size_t)
    {37, 343, 2141, 2, Smoke::mf_static, 173, 638},	//1160 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    {37, 343, 2144, 2, Smoke::mf_static, 173, 639},	//1161 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {37, 282, 1325, 2, Smoke::mf_static, 391, 640},	//1162 QGlobalSpace::operator!=(const QString&, QString::Null)
    {37, 382, 2147, 3, Smoke::mf_static, 21, 641},	//1163 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {37, 382, 2151, 2, Smoke::mf_static, 21, 642},	//1164 QGlobalSpace::qCompress(const unsigned char*, int)
    {37, 343, 2154, 2, Smoke::mf_static, 173, 643},	//1165 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {37, 310, 2157, 2, Smoke::mf_static, 36, 644},	//1166 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {37, 567, 187, 1, Smoke::mf_static, 393, 645},	//1167 QGlobalSpace::qstrdup(const char*)
    {37, 343, 2160, 2, Smoke::mf_static, 121, 646},	//1168 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {37, 310, 2163, 2, Smoke::mf_static, 32, 647},	//1169 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {37, 290, 2166, 2, Smoke::mf_static, 224, 648},	//1170 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {37, 282, 869, 2, Smoke::mf_static, 391, 649},	//1171 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {37, 343, 2169, 2, Smoke::mf_static, 173, 650},	//1172 QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    {37, 390, 0, 0, Smoke::mf_static, 36, 651},	//1173 QGlobalSpace::qDebug()
    {37, 299, 2172, 1, Smoke::mf_static, 458, 652},	//1174 QGlobalSpace::operator-(const QPoint&)
    {37, 337, 2174, 2, Smoke::mf_static, 32, 653},	//1175 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {37, 282, 721, 2, Smoke::mf_static, 391, 654},	//1176 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {37, 391, 2177, 4, Smoke::mf_static, 0, 655},	//1177 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {37, 343, 2182, 2, Smoke::mf_static, 70, 656},	//1178 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    {37, 560, 1115, 2, Smoke::mf_static, 512, 657},	//1179 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {37, 343, 2185, 2, Smoke::mf_static, 69, 658},	//1180 QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    {37, 343, 2188, 2, Smoke::mf_static, 173, 659},	//1181 QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    {37, 540, 648, 1, Smoke::mf_static, 510, 660},	//1182 QGlobalSpace::qTan(double)
    {37, 337, 2191, 2, Smoke::mf_static, 32, 661},	//1183 QGlobalSpace::operator>>(QDataStream&, QString&)
    {37, 343, 2194, 2, Smoke::mf_static, 59, 662},	//1184 QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    {37, 321, 763, 2, Smoke::mf_static, 391, 663},	//1185 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {37, 343, 2197, 2, Smoke::mf_static, 60, 664},	//1186 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    {37, 406, 2200, 7, Smoke::mf_static, 0, 665},	//1187 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {37, 406, 2208, 4, Smoke::mf_static, 0, 666},	//1188 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {37, 406, 2213, 5, Smoke::mf_static, 0, 667},	//1189 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {37, 406, 2219, 6, Smoke::mf_static, 0, 668},	//1190 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {37, 290, 1049, 2, Smoke::mf_static, 500, 669},	//1191 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {37, 343, 2226, 2, Smoke::mf_static, 86, 670},	//1192 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {37, 442, 1284, 5, Smoke::mf_static, 0, 671},	//1193 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {37, 442, 840, 3, Smoke::mf_static, 0, 672},	//1194 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {37, 442, 844, 4, Smoke::mf_static, 0, 673},	//1195 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {37, 310, 2229, 2, Smoke::mf_static, 32, 674},	//1196 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {37, 475, 15, 1, Smoke::mf_static, 520, 675},	//1197 QGlobalSpace::qHash(int)
    {37, 299, 1145, 2, Smoke::mf_static, 460, 676},	//1198 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {37, 305, 1544, 2, Smoke::mf_static, 391, 677},	//1199 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {37, 337, 2232, 2, Smoke::mf_static, 269, 678},	//1200 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {37, 343, 2235, 2, Smoke::mf_static, 173, 679},	//1201 QGlobalSpace::operator|(QGLContext::BindOption, int)
    {37, 310, 2238, 2, Smoke::mf_static, 32, 680},	//1202 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {37, 337, 2241, 2, Smoke::mf_static, 32, 681},	//1203 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {37, 294, 1148, 2, Smoke::mf_static, 275, 682},	//1204 QGlobalSpace::operator+(const QTransform&, double)
    {37, 310, 2244, 2, Smoke::mf_static, 32, 683},	//1205 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {37, 343, 2247, 2, Smoke::mf_static, 98, 684},	//1206 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {37, 475, 2250, 1, Smoke::mf_static, 520, 685},	//1207 QGlobalSpace::qHash(const QItemSelectionRange&)
    {37, 343, 2252, 2, Smoke::mf_static, 129, 686},	//1208 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {37, 504, 1124, 2, Smoke::mf_static, 510, 687},	//1209 QGlobalSpace::qPow(double, double)
    {37, 321, 1340, 2, Smoke::mf_static, 391, 688},	//1210 QGlobalSpace::operator==(const QStringRef&, const char*)
    {37, 282, 1708, 2, Smoke::mf_static, 391, 689},	//1211 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {37, 337, 2255, 2, Smoke::mf_static, 32, 690},	//1212 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {37, 294, 763, 2, Smoke::mf_static, 401, 691},	//1213 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {37, 294, 2258, 2, Smoke::mf_static, 478, 692},	//1214 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {37, 537, 1061, 2, Smoke::mf_static, 391, 693},	//1215 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {37, 343, 2261, 2, Smoke::mf_static, 67, 694},	//1216 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {37, 290, 2264, 2, Smoke::mf_static, 218, 695},	//1217 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {37, 337, 2267, 2, Smoke::mf_static, 32, 696},	//1218 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {37, 343, 2270, 2, Smoke::mf_static, 173, 697},	//1219 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {37, 343, 2273, 2, Smoke::mf_static, 82, 698},	//1220 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    {37, 343, 2276, 2, Smoke::mf_static, 71, 699},	//1221 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    {37, 592, 2279, 2, Smoke::mf_static, 0, 700},	//1222 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {37, 343, 2282, 2, Smoke::mf_static, 173, 701},	//1223 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {37, 299, 2285, 1, Smoke::mf_static, 500, 702},	//1224 QGlobalSpace::operator-(const QVector3D&)
    {37, 343, 2287, 2, Smoke::mf_static, 100, 703},	//1225 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {37, 321, 1106, 2, Smoke::mf_static, 391, 704},	//1226 QGlobalSpace::operator==(const char*, const QString&)
    {37, 343, 2290, 2, Smoke::mf_static, 58, 705},	//1227 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    {37, 310, 2293, 2, Smoke::mf_static, 36, 706},	//1228 QGlobalSpace::operator<<(QDebug, const QRect&)
    {37, 453, 648, 1, Smoke::mf_static, 510, 707},	//1229 QGlobalSpace::qFastCos(double)
    {37, 310, 2296, 2, Smoke::mf_static, 32, 708},	//1230 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {37, 310, 2299, 2, Smoke::mf_static, 32, 709},	//1231 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {37, 337, 2302, 2, Smoke::mf_static, 32, 710},	//1232 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {37, 343, 2305, 2, Smoke::mf_static, 173, 711},	//1233 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {37, 290, 2308, 2, Smoke::mf_static, 503, 712},	//1234 QGlobalSpace::operator*(double, const QVector4D&)
    {37, 303, 2060, 2, Smoke::mf_static, 471, 713},	//1235 QGlobalSpace::operator/(const QSize&, double)
    {37, 337, 2311, 2, Smoke::mf_static, 32, 714},	//1236 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {37, 337, 2314, 2, Smoke::mf_static, 32, 715},	//1237 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {37, 343, 2317, 2, Smoke::mf_static, 79, 716},	//1238 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {37, 337, 2320, 2, Smoke::mf_static, 32, 717},	//1239 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {37, 321, 1997, 2, Smoke::mf_static, 391, 718},	//1240 QGlobalSpace::operator==(bool, QBool)
    {37, 442, 911, 8, Smoke::mf_static, 0, 719},	//1241 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {37, 442, 920, 6, Smoke::mf_static, 0, 720},	//1242 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {37, 442, 927, 7, Smoke::mf_static, 0, 721},	//1243 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 343, 2323, 2, Smoke::mf_static, 131, 722},	//1244 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {37, 343, 2326, 2, Smoke::mf_static, 75, 723},	//1245 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>)
    {37, 343, 2329, 2, Smoke::mf_static, 111, 724},	//1246 QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    {37, 343, 2332, 2, Smoke::mf_static, 173, 725},	//1247 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {37, 290, 2335, 2, Smoke::mf_static, 218, 726},	//1248 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {37, 343, 2338, 2, Smoke::mf_static, 173, 727},	//1249 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {37, 343, 2341, 2, Smoke::mf_static, 173, 728},	//1250 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    {37, 299, 869, 2, Smoke::mf_static, 464, 729},	//1251 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {37, 343, 2344, 2, Smoke::mf_static, 104, 730},	//1252 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {37, 299, 1049, 2, Smoke::mf_static, 500, 731},	//1253 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {37, 337, 2347, 2, Smoke::mf_static, 32, 732},	//1254 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {37, 343, 2350, 2, Smoke::mf_static, 173, 733},	//1255 QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    {37, 332, 1106, 2, Smoke::mf_static, 391, 734},	//1256 QGlobalSpace::operator>=(const char*, const QString&)
    {37, 356, 0, 0, Smoke::mf_static, 13, 735},	//1257 QGlobalSpace::qAccessibleActionCastHelper()
    {37, 475, 2353, 1, Smoke::mf_static, 520, 736},	//1258 QGlobalSpace::qHash(char)
    {37, 310, 2355, 2, Smoke::mf_static, 32, 737},	//1259 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {37, 376, 17, 1, Smoke::mf_static, 512, 738},	//1260 QGlobalSpace::qBlue(unsigned int)
    {37, 343, 2358, 2, Smoke::mf_static, 173, 739},	//1261 QGlobalSpace::operator|(QMainWindow::DockOption, int)
    {37, 337, 2361, 2, Smoke::mf_static, 32, 740},	//1262 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {37, 282, 1145, 2, Smoke::mf_static, 391, 741},	//1263 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {37, 343, 2364, 2, Smoke::mf_static, 110, 742},	//1264 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    {37, 484, 648, 1, Smoke::mf_static, 391, 743},	//1265 QGlobalSpace::qIsFinite(double)
    {37, 343, 2367, 2, Smoke::mf_static, 122, 744},	//1266 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {37, 299, 698, 2, Smoke::mf_static, 471, 745},	//1267 QGlobalSpace::operator-(const QSize&, const QSize&)
    {37, 310, 2370, 2, Smoke::mf_static, 36, 746},	//1268 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {37, 525, 0, 0, Smoke::mf_static, 510, 747},	//1269 QGlobalSpace::qSNaN()
    {37, 343, 2373, 2, Smoke::mf_static, 101, 748},	//1270 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {37, 310, 2376, 2, Smoke::mf_static, 32, 749},	//1271 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {37, 468, 986, 1, Smoke::mf_static, 391, 750},	//1272 QGlobalSpace::qFuzzyIsNull(float)
    {37, 343, 2379, 2, Smoke::mf_static, 120, 751},	//1273 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {37, 343, 2382, 2, Smoke::mf_static, 173, 752},	//1274 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    {37, 542, 2151, 2, Smoke::mf_static, 21, 753},	//1275 QGlobalSpace::qUncompress(const unsigned char*, int)
    {37, 343, 2385, 2, Smoke::mf_static, 120, 754},	//1276 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {37, 343, 2388, 2, Smoke::mf_static, 77, 755},	//1277 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    {37, 343, 2391, 2, Smoke::mf_static, 173, 756},	//1278 QGlobalSpace::operator|(Qt::Orientation, int)
    {37, 455, 648, 1, Smoke::mf_static, 510, 757},	//1279 QGlobalSpace::qFastSin(double)
    {37, 282, 754, 2, Smoke::mf_static, 391, 758},	//1280 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {37, 343, 2394, 2, Smoke::mf_static, 84, 759},	//1281 QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    {37, 310, 2397, 2, Smoke::mf_static, 32, 760},	//1282 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {37, 310, 2400, 2, Smoke::mf_static, 36, 761},	//1283 QGlobalSpace::operator<<(QDebug, const QDir&)
    {37, 294, 1145, 2, Smoke::mf_static, 460, 762},	//1284 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {37, 290, 2403, 2, Smoke::mf_static, 230, 763},	//1285 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {37, 321, 2009, 2, Smoke::mf_static, 391, 764},	//1286 QGlobalSpace::operator==(QBool, bool)
    {37, 321, 695, 2, Smoke::mf_static, 391, 765},	//1287 QGlobalSpace::operator==(const QRect&, const QRect&)
    {37, 310, 2406, 2, Smoke::mf_static, 36, 766},	//1288 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {37, 581, 230, 2, Smoke::mf_static, 241, 767},	//1289 QGlobalSpace::qtTrId(const char*, int)
    {37, 581, 187, 1, Smoke::mf_static, 241, 768},	//1290 QGlobalSpace::qtTrId(const char*)
    {37, 337, 2409, 2, Smoke::mf_static, 32, 769},	//1291 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {37, 343, 2412, 2, Smoke::mf_static, 87, 770},	//1292 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {37, 343, 2415, 2, Smoke::mf_static, 173, 771},	//1293 QGlobalSpace::operator|(QTextOption::Flag, int)
    {37, 294, 2418, 2, Smoke::mf_static, 478, 772},	//1294 QGlobalSpace::operator+(const QString&, QChar)
    {37, 375, 0, 0, Smoke::mf_static, 0, 773},	//1295 QGlobalSpace::qBadAlloc()
    {37, 282, 806, 2, Smoke::mf_static, 391, 774},	//1296 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {37, 519, 2421, 4, Smoke::mf_static, 520, 775},	//1297 QGlobalSpace::qRgba(int, int, int, int)
    {37, 343, 2426, 2, Smoke::mf_static, 128, 776},	//1298 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {37, 343, 2429, 2, Smoke::mf_static, 104, 777},	//1299 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {37, 343, 2432, 2, Smoke::mf_static, 89, 778},	//1300 QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    {37, 282, 786, 2, Smoke::mf_static, 391, 779},	//1301 QGlobalSpace::operator!=(QBool, QBool)
    {37, 310, 1592, 2, Smoke::mf_static, 269, 780},	//1302 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {37, 496, 2435, 1, Smoke::mf_static, 527, 781},	//1303 QGlobalSpace::qMalloc(size_t)
    {37, 310, 2437, 2, Smoke::mf_static, 36, 782},	//1304 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {37, 321, 1761, 2, Smoke::mf_static, 391, 783},	//1305 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {37, 299, 1148, 2, Smoke::mf_static, 275, 784},	//1306 QGlobalSpace::operator-(const QTransform&, double)
    {37, 343, 2440, 2, Smoke::mf_static, 88, 785},	//1307 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {37, 310, 2443, 2, Smoke::mf_static, 32, 786},	//1308 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {37, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 513, 787},	//1309 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {37, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 513, 788},	//1310 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {37, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 513, 789},	//1311 QGlobalSpace::Q_STATIC_TYPE (enum)
    {37, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 513, 790},	//1312 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {37, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 513, 791},	//1313 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {37, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 379, 792},	//1314 QGlobalSpace::LicensedOpenGL (enum)
    {37, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 386, 793},	//1315 QGlobalSpace::LicensedSvg (enum)
    {37, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 380, 794},	//1316 QGlobalSpace::LicensedOpenVG (enum)
    {37, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 383, 795},	//1317 QGlobalSpace::LicensedScript (enum)
    {37, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 381, 796},	//1318 QGlobalSpace::LicensedQt3SupportLight (enum)
    {37, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 797},	//1319 QGlobalSpace::QtDebugMsg (enum)
    {37, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 798},	//1320 QGlobalSpace::QtWarningMsg (enum)
    {37, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 799},	//1321 QGlobalSpace::QtCriticalMsg (enum)
    {37, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 800},	//1322 QGlobalSpace::QtFatalMsg (enum)
    {37, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 801},	//1323 QGlobalSpace::QtSystemMsg (enum)
    {37, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 375, 802},	//1324 QGlobalSpace::LicensedGui (enum)
    {37, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 389, 803},	//1325 QGlobalSpace::LicensedXmlPatterns (enum)
    {37, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 385, 804},	//1326 QGlobalSpace::LicensedSql (enum)
    {37, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 371, 805},	//1327 QGlobalSpace::LicensedActiveQt (enum)
    {37, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 382, 806},	//1328 QGlobalSpace::LicensedQt3Support (enum)
    {37, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 373, 807},	//1329 QGlobalSpace::LicensedDBus (enum)
    {37, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 372, 808},	//1330 QGlobalSpace::LicensedCore (enum)
    {37, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 809},	//1331 QGlobalSpace::LicensedNetwork (enum)
    {37, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 810},	//1332 QGlobalSpace::LicensedMultimedia (enum)
    {37, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 387, 811},	//1333 QGlobalSpace::LicensedTest (enum)
    {37, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 384, 812},	//1334 QGlobalSpace::LicensedScriptTools (enum)
    {37, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 376, 813},	//1335 QGlobalSpace::LicensedHelp (enum)
    {37, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 388, 814},	//1336 QGlobalSpace::LicensedXml (enum)
    {37, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 374, 815},	//1337 QGlobalSpace::LicensedDeclarative (enum)
    {61, 216, 581, 1, Smoke::mf_virtual, 391, 0},	//1338 QObject::event(QEvent*)
    {61, 218, 2446, 2, Smoke::mf_virtual, 391, 0},	//1339 QObject::eventFilter(QObject*, QEvent*)
    {61, 764, 2449, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1340 QObject::timerEvent(QTimerEvent*)
    {61, 162, 2451, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1341 QObject::childEvent(QChildEvent*)
    {61, 184, 581, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1342 QObject::customEvent(QEvent*)
    {61, 175, 187, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1343 QObject::connectNotify(const char*)
    {61, 198, 187, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1344 QObject::disconnectNotify(const char*)
    {112, 192, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 512, 0},	//1345 QWidget::devType() const
    {112, 741, 67, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1346 QWidget::setVisible(bool)
    {112, 749, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 234, 0},	//1347 QWidget::sizeHint() const
    {112, 275, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 234, 0},	//1348 QWidget::minimumSizeHint() const
    {112, 250, 15, 1, Smoke::mf_const|Smoke::mf_virtual, 512, 0},	//1349 QWidget::heightForWidth(int) const
    {112, 278, 2453, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1350 QWidget::mousePressEvent(QMouseEvent*)
    {112, 279, 2453, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1351 QWidget::mouseReleaseEvent(QMouseEvent*)
    {112, 276, 2453, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1352 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {112, 277, 2453, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1353 QWidget::mouseMoveEvent(QMouseEvent*)
    {112, 784, 2455, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1354 QWidget::wheelEvent(QWheelEvent*)
    {112, 264, 2457, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1355 QWidget::keyPressEvent(QKeyEvent*)
    {112, 265, 2457, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1356 QWidget::keyReleaseEvent(QKeyEvent*)
    {112, 223, 2459, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1357 QWidget::focusInEvent(QFocusEvent*)
    {112, 225, 2459, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1358 QWidget::focusOutEvent(QFocusEvent*)
    {112, 211, 581, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1359 QWidget::enterEvent(QEvent*)
    {112, 267, 581, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1360 QWidget::leaveEvent(QEvent*)
    {112, 280, 2461, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1361 QWidget::moveEvent(QMoveEvent*)
    {112, 166, 2463, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1362 QWidget::closeEvent(QCloseEvent*)
    {112, 177, 2465, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1363 QWidget::contextMenuEvent(QContextMenuEvent*)
    {112, 758, 2467, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1364 QWidget::tabletEvent(QTabletEvent*)
    {112, 127, 2469, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1365 QWidget::actionEvent(QActionEvent*)
    {112, 201, 2471, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1366 QWidget::dragEnterEvent(QDragEnterEvent*)
    {112, 203, 2473, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1367 QWidget::dragMoveEvent(QDragMoveEvent*)
    {112, 202, 2475, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1368 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {112, 207, 2477, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1369 QWidget::dropEvent(QDropEvent*)
    {112, 747, 2479, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1370 QWidget::showEvent(QShowEvent*)
    {112, 251, 2481, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1371 QWidget::hideEvent(QHideEvent*)
    {112, 787, 2483, 1, Smoke::mf_protected|Smoke::mf_virtual, 391, 0},	//1372 QWidget::x11Event(_XEvent*)
    {112, 161, 581, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1373 QWidget::changeEvent(QEvent*)
    {112, 273, 131, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 512, 0},	//1374 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {112, 255, 2485, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1375 QWidget::inputMethodEvent(QInputMethodEvent*)
    {112, 256, 2487, 1, Smoke::mf_const|Smoke::mf_virtual, 282, 0},	//1376 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {112, 224, 67, 1, Smoke::mf_protected|Smoke::mf_virtual, 391, 0},	//1377 QWidget::focusNextPrevChild(bool)
    {112, 755, 2489, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1378 QWidget::styleChange(QStyle&)
    {112, 210, 67, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1379 QWidget::enabledChange(bool)
    {112, 353, 2491, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1380 QWidget::paletteChange(const QPalette&)
    {112, 226, 629, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1381 QWidget::fontChange(const QFont&)
    {112, 785, 67, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1382 QWidget::windowActivationChange(bool)
    {112, 266, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1383 QWidget::languageChange()
    {112, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 293, 40},	//1384 QWidget::DrawWindowBackground (enum)
    {112, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 293, 41},	//1385 QWidget::DrawChildren (enum)
    {112, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 293, 42},	//1386 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    259,  // QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, QObject*)
    273,  // QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    0,
    262,  // QGLShader::compileSourceCode(const char*)
    264,  // QGLShader::compileSourceCode(const QString&)
    0,
    79,  // QGLContext::bindTexture(const QImage&)
    81,  // QGLContext::bindTexture(const QPixmap&)
    0,
    80,  // QGLContext::bindTexture(const QImage&, GLenum)
    82,  // QGLContext::bindTexture(const QPixmap&, GLenum)
    0,
    54,  // QGLContext::bindTexture(const QImage&, GLenum, GLint)
    55,  // QGLContext::bindTexture(const QPixmap&, GLenum, GLint)
    0,
    52,  // QGLContext::bindTexture(const QImage&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    53,  // QGLContext::bindTexture(const QPixmap&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    0,
    83,  // QGLContext::drawTexture(const QRectF&, GLuint)
    84,  // QGLContext::drawTexture(const QPointF&, GLuint)
    0,
    58,  // QGLContext::drawTexture(const QRectF&, GLuint, GLenum)
    59,  // QGLContext::drawTexture(const QPointF&, GLuint, GLenum)
    0,
    198,  // QGLFramebufferObject::drawTexture(const QRectF&, GLuint)
    199,  // QGLFramebufferObject::drawTexture(const QPointF&, GLuint)
    0,
    186,  // QGLFramebufferObject::drawTexture(const QRectF&, GLuint, GLenum)
    187,  // QGLFramebufferObject::drawTexture(const QPointF&, GLuint, GLenum)
    0,
    535,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    547,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    584,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    673,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    719,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    771,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    841,  // QGlobalSpace::operator!=(const QGLFormat&, const QGLFormat&)
    858,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    862,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    922,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    976,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    995,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    996,  // QGlobalSpace::operator!=(QChar, QChar)
    1017,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    1106,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    1115,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    1171,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    1176,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    1263,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    1296,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    1301,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    891,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    940,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    974,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    1091,  // QGlobalSpace::operator!=(QBool, bool)
    1151,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    895,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    941,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    1086,  // QGlobalSpace::operator!=(bool, QBool)
    1162,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    1211,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    1280,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    0,
    559,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    561,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    612,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    614,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    622,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    663,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    668,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    670,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    729,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    741,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    769,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    786,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    817,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    832,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    845,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    854,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    901,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    964,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    975,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    1029,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    1090,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    1123,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    1150,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    1153,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    1170,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    1191,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    1217,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    1248,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    1285,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    530,  // QGlobalSpace::operator*(const QPoint&, double)
    567,  // QGlobalSpace::operator*(const QSizeF&, double)
    585,  // QGlobalSpace::operator*(const QQuaternion&, double)
    715,  // QGlobalSpace::operator*(const QVector2D&, double)
    720,  // QGlobalSpace::operator*(const QVector4D&, double)
    750,  // QGlobalSpace::operator*(const QPointF&, double)
    783,  // QGlobalSpace::operator*(const QVector3D&, double)
    880,  // QGlobalSpace::operator*(const QTransform&, double)
    936,  // QGlobalSpace::operator*(const QMatrix4x4&, double)
    1122,  // QGlobalSpace::operator*(const QSize&, double)
    0,
    533,  // QGlobalSpace::operator*(double, const QPointF&)
    537,  // QGlobalSpace::operator*(double, const QSizeF&)
    966,  // QGlobalSpace::operator*(double, const QVector2D&)
    981,  // QGlobalSpace::operator*(double, const QVector3D&)
    998,  // QGlobalSpace::operator*(double, const QMatrix4x4&)
    1018,  // QGlobalSpace::operator*(double, const QSize&)
    1036,  // QGlobalSpace::operator*(double, const QPoint&)
    1049,  // QGlobalSpace::operator*(double, const QQuaternion&)
    1234,  // QGlobalSpace::operator*(double, const QVector4D&)
    0,
    548,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    631,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    666,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    694,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    739,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    762,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    1141,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    1144,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    1213,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    1284,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    601,  // QGlobalSpace::operator+(QChar, const QString&)
    814,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    1050,  // QGlobalSpace::operator+(const QByteArray&, char)
    1104,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    1204,  // QGlobalSpace::operator+(const QTransform&, double)
    0,
    690,  // QGlobalSpace::operator+(char, const QByteArray&)
    954,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    1214,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    1294,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    677,  // QGlobalSpace::operator+(const QString&, const char*)
    693,  // QGlobalSpace::operator+(const char*, const QString&)
    822,  // QGlobalSpace::operator+(const QString&, char)
    932,  // QGlobalSpace::operator+(const QString&, const QString&)
    992,  // QGlobalSpace::operator+(char, const QString&)
    0,
    579,  // QGlobalSpace::operator-(const QQuaternion&)
    608,  // QGlobalSpace::operator-(const QVector2D&)
    809,  // QGlobalSpace::operator-(const QPointF&)
    917,  // QGlobalSpace::operator-(const QVector4D&)
    965,  // QGlobalSpace::operator-(const QMatrix4x4&)
    1174,  // QGlobalSpace::operator-(const QPoint&)
    1224,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    554,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    558,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    576,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    780,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    1094,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    1198,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    1251,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    1253,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    1267,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    691,  // QGlobalSpace::operator/(const QPoint&, double)
    710,  // QGlobalSpace::operator/(const QTransform&, double)
    728,  // QGlobalSpace::operator/(const QMatrix4x4&, double)
    782,  // QGlobalSpace::operator/(const QSizeF&, double)
    900,  // QGlobalSpace::operator/(const QVector4D&, double)
    904,  // QGlobalSpace::operator/(const QQuaternion&, double)
    926,  // QGlobalSpace::operator/(const QVector2D&, double)
    993,  // QGlobalSpace::operator/(const QVector3D&, double)
    1055,  // QGlobalSpace::operator/(const QPointF&, double)
    1235,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    724,  // QGlobalSpace::operator<(QChar, QChar)
    794,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    882,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    1199,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    847,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    1139,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    532,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    536,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    540,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    542,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    545,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    550,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    552,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    568,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    594,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    595,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    596,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    610,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    611,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    615,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    616,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    630,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    636,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    654,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    660,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    675,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    678,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    680,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    682,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    686,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    706,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    711,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    723,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    730,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    765,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    792,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    812,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    816,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    819,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    833,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    837,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    843,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    861,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    879,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    883,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    892,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    907,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    911,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    915,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    918,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    973,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    978,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    979,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    983,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    990,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    991,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    1007,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    1014,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    1024,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    1030,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    1039,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    1042,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    1045,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    1047,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    1048,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    1052,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    1061,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    1068,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    1076,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    1084,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    1088,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    1105,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    1108,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    1110,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    1118,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    1125,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    1129,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    1135,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    1142,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    1147,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    1148,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    1155,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    1157,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    1169,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    1202,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    1205,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    1228,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    1230,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    1259,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    1268,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    1271,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    1282,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    1283,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    1288,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    1302,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    1304,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    1308,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    0,
    582,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    679,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    696,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    740,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    888,  // QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    942,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    1083,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    1166,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    1196,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    1231,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    958,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    1059,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    1072,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    1146,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    949,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    1107,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    529,  // QGlobalSpace::operator==(const QGLFormat&, const QGLFormat&)
    565,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    578,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    586,  // QGlobalSpace::operator==(QBool, QBool)
    593,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    672,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    709,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    725,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    756,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    830,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    872,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    923,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    951,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    971,  // QGlobalSpace::operator==(QChar, QChar)
    989,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    1001,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    1010,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    1016,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    1085,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    1185,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    1287,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    1305,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    866,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    1019,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    1124,  // QGlobalSpace::operator==(QString::Null, const QString&)
    1130,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    1210,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    1286,  // QGlobalSpace::operator==(QBool, bool)
    0,
    697,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    767,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    791,  // QGlobalSpace::operator==(const QString&, QString::Null)
    944,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    953,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    1112,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    1240,  // QGlobalSpace::operator==(bool, QBool)
    0,
    787,  // QGlobalSpace::operator>(QChar, QChar)
    899,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    947,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    1154,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    0,
    571,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    1079,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    577,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    823,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    871,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    1057,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    731,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    788,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    541,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    597,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    647,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    652,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    674,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    685,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    692,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    699,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    704,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    705,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    707,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    743,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    748,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    779,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    785,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    798,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    838,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    878,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    893,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    906,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    914,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    916,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    920,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    928,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    946,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    955,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    959,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    986,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    1011,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    1013,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    1028,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    1070,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    1080,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    1096,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    1128,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    1132,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    1136,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    1137,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    1175,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    1200,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    1203,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    1212,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    1218,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    1232,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    1236,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    1237,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    1239,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    1254,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    1262,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    1291,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    970,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    1183,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    526,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    528,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    534,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    538,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    539,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    543,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    544,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    551,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    555,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit)
    557,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    560,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    564,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    566,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    569,  // QGlobalSpace::operator|(QDir::Filter, int)
    575,  // QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    580,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    581,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    587,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    588,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    589,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    590,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    592,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    599,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    600,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    603,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    609,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    613,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    618,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    621,  // QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    628,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    635,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    637,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    638,  // QGlobalSpace::operator|(Qt::DropAction, int)
    646,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    650,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    651,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    653,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    655,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    656,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    658,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    659,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    661,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    662,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    665,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    669,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    671,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    676,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    681,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    683,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    684,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    687,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    688,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    689,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    695,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    698,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    703,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag)
    708,  // QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    712,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    713,  // QGlobalSpace::operator|(QGL::FormatOption, int)
    716,  // QGlobalSpace::operator|(QGL::FormatOption, QGL::FormatOption)
    717,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    718,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    721,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    722,  // QGlobalSpace::operator|(QFile::Permission, int)
    732,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    735,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    736,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    737,  // QGlobalSpace::operator|(QGLContext::BindOption, QGLContext::BindOption)
    738,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    744,  // QGlobalSpace::operator|(QPainter::RenderHint, int)
    745,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    746,  // QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    747,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    749,  // QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    752,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    753,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    763,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    768,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    770,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    775,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    776,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    777,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    778,  // QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    781,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    784,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    790,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    795,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    797,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    806,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    807,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    808,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    811,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    815,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    818,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    820,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    824,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    826,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    836,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    842,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    844,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    846,  // QGlobalSpace::operator|(QAccessible::StateFlag, int)
    851,  // QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    853,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    855,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    856,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    859,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    863,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    864,  // QGlobalSpace::operator|(Qt::WindowType, int)
    865,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    876,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    877,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    881,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    884,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    885,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    887,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    889,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    890,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    894,  // QGlobalSpace::operator|(QWizard::WizardOption, int)
    896,  // QGlobalSpace::operator|(QFileDialog::Option, int)
    898,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    902,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    903,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    905,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    908,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    910,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    913,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    919,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    927,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    930,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    931,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    933,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    935,  // QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    943,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    945,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    950,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, int)
    956,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    957,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    960,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    961,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    963,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    967,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    968,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    969,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    972,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    980,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    984,  // QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    987,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>)
    988,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    994,  // QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    997,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    1000,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    1005,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    1006,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    1008,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    1009,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    1012,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    1015,  // QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    1020,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    1022,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    1023,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    1026,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    1032,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    1038,  // QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    1046,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    1051,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    1053,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    1054,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    1058,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    1066,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    1067,  // QGlobalSpace::operator|(QGL::FormatOption, QFlags<QGL::FormatOption>)
    1071,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    1074,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    1075,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    1078,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    1082,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    1089,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    1092,  // QGlobalSpace::operator|(Qt::WindowState, int)
    1093,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    1109,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    1111,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    1113,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    1114,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, int)
    1116,  // QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    1117,  // QGlobalSpace::operator|(QGLContext::BindOption, QFlags<QGLContext::BindOption>)
    1119,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    1120,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    1126,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    1127,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    1133,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    1140,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    1145,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    1156,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    1158,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    1160,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    1161,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    1165,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    1168,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    1172,  // QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    1178,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    1180,  // QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    1181,  // QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    1184,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    1186,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    1192,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    1201,  // QGlobalSpace::operator|(QGLContext::BindOption, int)
    1206,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    1208,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    1216,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    1219,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    1220,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    1221,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    1223,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    1225,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    1227,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    1233,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    1238,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    1244,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    1245,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>)
    1246,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    1247,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    1249,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    1250,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    1252,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    1255,  // QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    1261,  // QGlobalSpace::operator|(QMainWindow::DockOption, int)
    1264,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    1266,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    1270,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    1273,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    1274,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    1276,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    1277,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    1278,  // QGlobalSpace::operator|(Qt::Orientation, int)
    1281,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    1292,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    1293,  // QGlobalSpace::operator|(QTextOption::Flag, int)
    1298,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    1299,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    1300,  // QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    1307,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    0,
    563,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    570,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    727,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    1003,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    1031,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    1064,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    1098,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    0,
    701,  // QGlobalSpace::qFuzzyCompare(double, double)
    1069,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    831,  // QGlobalSpace::qFuzzyIsNull(double)
    1272,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    525,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    591,  // QGlobalSpace::qHash(const QStringRef&)
    617,  // QGlobalSpace::qHash(const QBitArray&)
    734,  // QGlobalSpace::qHash(const QByteArray&)
    825,  // QGlobalSpace::qHash(QChar)
    1021,  // QGlobalSpace::qHash(const QModelIndex&)
    1207,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    0,
    556,  // QGlobalSpace::qHash(unsigned char)
    624,  // QGlobalSpace::qHash(const QString&)
    625,  // QGlobalSpace::qHash(unsigned short)
    627,  // QGlobalSpace::qHash(long)
    977,  // QGlobalSpace::qHash(signed char)
    1043,  // QGlobalSpace::qHash(short)
    1087,  // QGlobalSpace::qHash(unsigned long)
    1149,  // QGlobalSpace::qHash(unsigned int)
    1197,  // QGlobalSpace::qHash(int)
    1258,  // QGlobalSpace::qHash(char)
    0,
    629,  // QGlobalSpace::qHash(long long)
    813,  // QGlobalSpace::qHash(unsigned long long)
    0,
    793,  // QGlobalSpace::qIntCast(float)
    873,  // QGlobalSpace::qIntCast(double)
    0,
    921,  // QGlobalSpace::qIsFinite(float)
    1265,  // QGlobalSpace::qIsFinite(double)
    0,
    531,  // QGlobalSpace::qIsInf(double)
    649,  // QGlobalSpace::qIsInf(float)
    0,
    700,  // QGlobalSpace::qIsNaN(float)
    1037,  // QGlobalSpace::qIsNaN(double)
    0,
    702,  // QGlobalSpace::qIsNull(float)
    867,  // QGlobalSpace::qIsNull(double)
    0,
    285,  // QGLShaderProgram::QGLShaderProgram(QObject*)
    424,  // QGLShaderProgram::QGLShaderProgram(const QGLContext*)
    0,
    290,  // QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const char*)
    292,  // QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    0,
    304,  // QGLShaderProgram::attributeLocation(const char*) const
    306,  // QGLShaderProgram::attributeLocation(const QString&) const
    0,
    301,  // QGLShaderProgram::bindAttributeLocation(const char*, int)
    303,  // QGLShaderProgram::bindAttributeLocation(const QString&, int)
    0,
    335,  // QGLShaderProgram::disableAttributeArray(int)
    336,  // QGLShaderProgram::disableAttributeArray(const char*)
    0,
    333,  // QGLShaderProgram::enableAttributeArray(int)
    334,  // QGLShaderProgram::enableAttributeArray(const char*)
    0,
    426,  // QGLShaderProgram::setAttributeArray(int, const QVector2D*)
    427,  // QGLShaderProgram::setAttributeArray(int, const QVector3D*)
    428,  // QGLShaderProgram::setAttributeArray(int, const QVector4D*)
    430,  // QGLShaderProgram::setAttributeArray(const char*, const QVector2D*)
    431,  // QGLShaderProgram::setAttributeArray(const char*, const QVector3D*)
    432,  // QGLShaderProgram::setAttributeArray(const char*, const QVector4D*)
    0,
    326,  // QGLShaderProgram::setAttributeArray(int, const QVector2D*, int)
    327,  // QGLShaderProgram::setAttributeArray(int, const QVector3D*, int)
    328,  // QGLShaderProgram::setAttributeArray(int, const QVector4D*, int)
    330,  // QGLShaderProgram::setAttributeArray(const char*, const QVector2D*, int)
    331,  // QGLShaderProgram::setAttributeArray(const char*, const QVector3D*, int)
    332,  // QGLShaderProgram::setAttributeArray(const char*, const QVector4D*, int)
    0,
    425,  // QGLShaderProgram::setAttributeArray(int, const GLfloat*, int)
    429,  // QGLShaderProgram::setAttributeArray(const char*, const GLfloat*, int)
    0,
    325,  // QGLShaderProgram::setAttributeArray(int, const GLfloat*, int, int)
    329,  // QGLShaderProgram::setAttributeArray(const char*, const GLfloat*, int, int)
    0,
    311,  // QGLShaderProgram::setAttributeValue(int, const QVector2D&)
    312,  // QGLShaderProgram::setAttributeValue(int, const QVector3D&)
    313,  // QGLShaderProgram::setAttributeValue(int, const QVector4D&)
    314,  // QGLShaderProgram::setAttributeValue(int, const QColor&)
    320,  // QGLShaderProgram::setAttributeValue(const char*, const QVector2D&)
    321,  // QGLShaderProgram::setAttributeValue(const char*, const QVector3D&)
    322,  // QGLShaderProgram::setAttributeValue(const char*, const QVector4D&)
    323,  // QGLShaderProgram::setAttributeValue(const char*, const QColor&)
    0,
    307,  // QGLShaderProgram::setAttributeValue(int, GLfloat)
    316,  // QGLShaderProgram::setAttributeValue(const char*, GLfloat)
    0,
    315,  // QGLShaderProgram::setAttributeValue(int, const GLfloat*, int, int)
    324,  // QGLShaderProgram::setAttributeValue(const char*, const GLfloat*, int, int)
    0,
    308,  // QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat)
    317,  // QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat)
    0,
    309,  // QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat, GLfloat)
    318,  // QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat, GLfloat)
    0,
    310,  // QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat, GLfloat, GLfloat)
    319,  // QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat, GLfloat, GLfloat)
    0,
    346,  // QGLShaderProgram::setUniformValue(int, const QVector2D&)
    347,  // QGLShaderProgram::setUniformValue(int, const QVector3D&)
    348,  // QGLShaderProgram::setUniformValue(int, const QVector4D&)
    349,  // QGLShaderProgram::setUniformValue(int, const QColor&)
    350,  // QGLShaderProgram::setUniformValue(int, const QPoint&)
    351,  // QGLShaderProgram::setUniformValue(int, const QPointF&)
    352,  // QGLShaderProgram::setUniformValue(int, const QSize&)
    353,  // QGLShaderProgram::setUniformValue(int, const QSizeF&)
    362,  // QGLShaderProgram::setUniformValue(int, const QMatrix4x4&)
    364,  // QGLShaderProgram::setUniformValue(int, const QTransform&)
    371,  // QGLShaderProgram::setUniformValue(const char*, const QVector2D&)
    372,  // QGLShaderProgram::setUniformValue(const char*, const QVector3D&)
    373,  // QGLShaderProgram::setUniformValue(const char*, const QVector4D&)
    374,  // QGLShaderProgram::setUniformValue(const char*, const QColor&)
    375,  // QGLShaderProgram::setUniformValue(const char*, const QPoint&)
    376,  // QGLShaderProgram::setUniformValue(const char*, const QPointF&)
    377,  // QGLShaderProgram::setUniformValue(const char*, const QSize&)
    378,  // QGLShaderProgram::setUniformValue(const char*, const QSizeF&)
    387,  // QGLShaderProgram::setUniformValue(const char*, const QMatrix4x4&)
    389,  // QGLShaderProgram::setUniformValue(const char*, const QTransform&)
    0,
    340,  // QGLShaderProgram::setUniformValue(int, GLfloat)
    341,  // QGLShaderProgram::setUniformValue(int, GLint)
    342,  // QGLShaderProgram::setUniformValue(int, GLuint)
    354,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,2,double>&)
    355,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,3,double>&)
    356,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,4,double>&)
    357,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,2,double>&)
    358,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,3,double>&)
    359,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,4,double>&)
    360,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,2,double>&)
    361,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,3,double>&)
    363,  // QGLShaderProgram::setUniformValue(int, const GLfloat[4][4])
    365,  // QGLShaderProgram::setUniformValue(const char*, GLfloat)
    366,  // QGLShaderProgram::setUniformValue(const char*, GLint)
    367,  // QGLShaderProgram::setUniformValue(const char*, GLuint)
    379,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,2,double>&)
    380,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,3,double>&)
    381,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,4,double>&)
    382,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,2,double>&)
    383,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,3,double>&)
    384,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,4,double>&)
    385,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,2,double>&)
    386,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,3,double>&)
    388,  // QGLShaderProgram::setUniformValue(const char*, const GLfloat[4][4])
    0,
    343,  // QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat)
    368,  // QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat)
    0,
    344,  // QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat, GLfloat)
    369,  // QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat, GLfloat)
    0,
    345,  // QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat, GLfloat, GLfloat)
    370,  // QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat, GLfloat, GLfloat)
    0,
    393,  // QGLShaderProgram::setUniformValueArray(int, const QVector2D*, int)
    394,  // QGLShaderProgram::setUniformValueArray(int, const QVector3D*, int)
    395,  // QGLShaderProgram::setUniformValueArray(int, const QVector4D*, int)
    404,  // QGLShaderProgram::setUniformValueArray(int, const QMatrix4x4*, int)
    408,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector2D*, int)
    409,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector3D*, int)
    410,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector4D*, int)
    419,  // QGLShaderProgram::setUniformValueArray(const char*, const QMatrix4x4*, int)
    0,
    391,  // QGLShaderProgram::setUniformValueArray(int, const GLint*, int)
    392,  // QGLShaderProgram::setUniformValueArray(int, const GLuint*, int)
    396,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,2,double>*, int)
    397,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,3,double>*, int)
    398,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,4,double>*, int)
    399,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,2,double>*, int)
    400,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,3,double>*, int)
    401,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,4,double>*, int)
    402,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,2,double>*, int)
    403,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,3,double>*, int)
    406,  // QGLShaderProgram::setUniformValueArray(const char*, const GLint*, int)
    407,  // QGLShaderProgram::setUniformValueArray(const char*, const GLuint*, int)
    411,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,2,double>*, int)
    412,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,3,double>*, int)
    413,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,4,double>*, int)
    414,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,2,double>*, int)
    415,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,3,double>*, int)
    416,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,4,double>*, int)
    417,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,2,double>*, int)
    418,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,3,double>*, int)
    0,
    390,  // QGLShaderProgram::setUniformValueArray(int, const GLfloat*, int, int)
    405,  // QGLShaderProgram::setUniformValueArray(const char*, const GLfloat*, int, int)
    0,
    337,  // QGLShaderProgram::uniformLocation(const char*) const
    339,  // QGLShaderProgram::uniformLocation(const QString&) const
    0,
    496,  // QGLWidget::QGLWidget(QWidget*)
    498,  // QGLWidget::QGLWidget(QGLContext*)
    501,  // QGLWidget::QGLWidget(const QGLFormat&)
    0,
    497,  // QGLWidget::QGLWidget(QWidget*, const QGLWidget*)
    499,  // QGLWidget::QGLWidget(QGLContext*, QWidget*)
    502,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*)
    0,
    500,  // QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*)
    503,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*)
    0,
    444,  // QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    445,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    0,
    514,  // QGLWidget::bindTexture(const QImage&)
    516,  // QGLWidget::bindTexture(const QPixmap&)
    0,
    515,  // QGLWidget::bindTexture(const QImage&, GLenum)
    517,  // QGLWidget::bindTexture(const QPixmap&, GLenum)
    0,
    471,  // QGLWidget::bindTexture(const QImage&, GLenum, GLint)
    472,  // QGLWidget::bindTexture(const QPixmap&, GLenum, GLint)
    0,
    469,  // QGLWidget::bindTexture(const QImage&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    470,  // QGLWidget::bindTexture(const QPixmap&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    0,
    518,  // QGLWidget::drawTexture(const QRectF&, GLuint)
    519,  // QGLWidget::drawTexture(const QPointF&, GLuint)
    0,
    475,  // QGLWidget::drawTexture(const QRectF&, GLuint, GLenum)
    476,  // QGLWidget::drawTexture(const QPointF&, GLuint, GLenum)
    0,
    247,  // QGLPixelBuffer::bindTexture(const QImage&)
    248,  // QGLPixelBuffer::bindTexture(const QPixmap&)
    0,
    229,  // QGLPixelBuffer::bindTexture(const QImage&, GLenum)
    230,  // QGLPixelBuffer::bindTexture(const QPixmap&, GLenum)
    0,
    249,  // QGLPixelBuffer::drawTexture(const QRectF&, GLuint)
    250,  // QGLPixelBuffer::drawTexture(const QPointF&, GLuint)
    0,
    233,  // QGLPixelBuffer::drawTexture(const QRectF&, GLuint, GLenum)
    234,  // QGLPixelBuffer::drawTexture(const QPointF&, GLuint, GLenum)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {27, 1, 6},	// QGL::AccumBuffer
    {27, 2, 5},	// QGL::AlphaChannel
    {27, 4, 14},	// QGL::ColorIndex
    {27, 8, 3},	// QGL::DepthBuffer
    {27, 9, 9},	// QGL::DirectRendering
    {27, 10, 2},	// QGL::DoubleBuffer
    {27, 14, 10},	// QGL::HasOverlay
    {27, 16, 19},	// QGL::IndirectRendering
    {27, 41, 16},	// QGL::NoAccumBuffer
    {27, 42, 15},	// QGL::NoAlphaChannel
    {27, 45, 13},	// QGL::NoDepthBuffer
    {27, 46, 20},	// QGL::NoOverlay
    {27, 47, 21},	// QGL::NoSampleBuffers
    {27, 48, 17},	// QGL::NoStencilBuffer
    {27, 49, 18},	// QGL::NoStereoBuffers
    {27, 119, 4},	// QGL::Rgba
    {27, 120, 11},	// QGL::SampleBuffers
    {27, 121, 12},	// QGL::SingleBuffer
    {27, 122, 7},	// QGL::StencilBuffer
    {27, 123, 8},	// QGL::StereoBuffers
    {27, 708, 1},	// QGL::setPreferredPaintEngine$
    {28, 65, 22},	// QGLColormap::QGLColormap
    {28, 66, 23},	// QGLColormap::QGLColormap#
    {28, 191, 27},	// QGLColormap::detach
    {28, 213, 32},	// QGLColormap::entryColor$
    {28, 215, 31},	// QGLColormap::entryRgb$
    {28, 220, 33},	// QGLColormap::find$
    {28, 222, 34},	// QGLColormap::findNearest$
    {28, 241, 35},	// QGLColormap::handle
    {28, 260, 25},	// QGLColormap::isEmpty
    {28, 320, 24},	// QGLColormap::operator=#
    {28, 684, 37},	// QGLColormap::setEntries$$
    {28, 685, 28},	// QGLColormap::setEntries$$$
    {28, 687, 30},	// QGLColormap::setEntry$#
    {28, 688, 29},	// QGLColormap::setEntry$$
    {28, 694, 36},	// QGLColormap::setHandle$
    {28, 748, 26},	// QGLColormap::size
    {28, 788, 38},	// QGLColormap::~QGLColormap
    {29, 3, 95},	// QGLContext::CanFlipNativePixmapBindOption
    {29, 6, 96},	// QGLContext::DefaultBindOption
    {29, 17, 97},	// QGLContext::InternalBindOption
    {29, 18, 90},	// QGLContext::InvertedYBindOption
    {29, 38, 93},	// QGLContext::LinearFilteringBindOption
    {29, 39, 94},	// QGLContext::MemoryManagedBindOption
    {29, 40, 91},	// QGLContext::MipmapBindOption
    {29, 44, 89},	// QGLContext::NoBindOption
    {29, 64, 92},	// QGLContext::PremultipliedAlphaBindOption
    {29, 68, 40},	// QGLContext::QGLContext#
    {29, 69, 39},	// QGLContext::QGLContext##
    {29, 138, 45},	// QGLContext::areSharing##
    {29, 149, -7},	// QGLContext::bindTexture#
    {29, 150, -10},	// QGLContext::bindTexture#?
    {29, 151, -13},	// QGLContext::bindTexture#??
    {29, 152, -16},	// QGLContext::bindTexture#??$
    {29, 153, 56},	// QGLContext::bindTexture$
    {29, 163, 85},	// QGLContext::chooseContext
    {29, 164, 66},	// QGLContext::chooseContext#
    {29, 165, 68},	// QGLContext::chooseVisual
    {29, 168, 75},	// QGLContext::colorIndex#
    {29, 180, 78},	// QGLContext::create
    {29, 181, 41},	// QGLContext::create#
    {29, 182, 65},	// QGLContext::currentContext
    {29, 183, 87},	// QGLContext::currentCtx
    {29, 188, 57},	// QGLContext::deleteTexture?
    {29, 193, 63},	// QGLContext::device
    {29, 194, 69},	// QGLContext::deviceIsPixmap
    {29, 199, 50},	// QGLContext::doneCurrent
    {29, 205, -19},	// QGLContext::drawTexture#?
    {29, 206, -22},	// QGLContext::drawTexture#??
    {29, 230, 46},	// QGLContext::format
    {29, 233, 74},	// QGLContext::generateFontDisplayLists#$
    {29, 235, 62},	// QGLContext::getProcAddress$
    {29, 254, 72},	// QGLContext::initialized
    {29, 262, 43},	// QGLContext::isSharing
    {29, 263, 42},	// QGLContext::isValid
    {29, 270, 49},	// QGLContext::makeCurrent
    {29, 347, 64},	// QGLContext::overlayTransparentColor
    {29, 624, 47},	// QGLContext::requestedFormat
    {29, 625, 44},	// QGLContext::reset
    {29, 668, 88},	// QGLContext::setCurrentCtx#
    {29, 678, 77},	// QGLContext::setDevice#
    {29, 690, 48},	// QGLContext::setFormat#
    {29, 696, 73},	// QGLContext::setInitialized$
    {29, 726, 60},	// QGLContext::setTextureCacheLimit$
    {29, 740, 76},	// QGLContext::setValid$
    {29, 743, 71},	// QGLContext::setWindowCreated$
    {29, 756, 51},	// QGLContext::swapBuffers
    {29, 762, 61},	// QGLContext::textureCacheLimit
    {29, 775, 86},	// QGLContext::tryVisual#
    {29, 776, 67},	// QGLContext::tryVisual#$
    {29, 786, 70},	// QGLContext::windowCreated
    {29, 789, 98},	// QGLContext::~QGLContext
    {30, 50, 162},	// QGLFormat::OpenGL_ES_CommonLite_Version_1_0
    {30, 51, 164},	// QGLFormat::OpenGL_ES_CommonLite_Version_1_1
    {30, 52, 161},	// QGLFormat::OpenGL_ES_Common_Version_1_0
    {30, 53, 163},	// QGLFormat::OpenGL_ES_Common_Version_1_1
    {30, 54, 165},	// QGLFormat::OpenGL_ES_Version_2_0
    {30, 55, 154},	// QGLFormat::OpenGL_Version_1_1
    {30, 56, 155},	// QGLFormat::OpenGL_Version_1_2
    {30, 57, 156},	// QGLFormat::OpenGL_Version_1_3
    {30, 58, 157},	// QGLFormat::OpenGL_Version_1_4
    {30, 59, 158},	// QGLFormat::OpenGL_Version_1_5
    {30, 60, 159},	// QGLFormat::OpenGL_Version_2_0
    {30, 61, 160},	// QGLFormat::OpenGL_Version_2_1
    {30, 62, 166},	// QGLFormat::OpenGL_Version_3_0
    {30, 63, 153},	// QGLFormat::OpenGL_Version_None
    {30, 70, 99},	// QGLFormat::QGLFormat
    {30, 71, 101},	// QGLFormat::QGLFormat#
    {30, 72, 152},	// QGLFormat::QGLFormat$
    {30, 73, 100},	// QGLFormat::QGLFormat$$
    {30, 125, 131},	// QGLFormat::accum
    {30, 126, 106},	// QGLFormat::accumBufferSize
    {30, 135, 129},	// QGLFormat::alpha
    {30, 136, 114},	// QGLFormat::alphaBufferSize
    {30, 160, 112},	// QGLFormat::blueBufferSize
    {30, 185, 145},	// QGLFormat::defaultFormat
    {30, 186, 147},	// QGLFormat::defaultOverlayFormat
    {30, 189, 125},	// QGLFormat::depth
    {30, 190, 104},	// QGLFormat::depthBufferSize
    {30, 195, 137},	// QGLFormat::directRendering
    {30, 200, 123},	// QGLFormat::doubleBuffer
    {30, 240, 110},	// QGLFormat::greenBufferSize
    {30, 242, 149},	// QGLFormat::hasOpenGL
    {30, 245, 150},	// QGLFormat::hasOpenGLOverlays
    {30, 249, 139},	// QGLFormat::hasOverlay
    {30, 281, 151},	// QGLFormat::openGLVersionFlags
    {30, 320, 102},	// QGLFormat::operator=#
    {30, 354, 141},	// QGLFormat::plane
    {30, 607, 108},	// QGLFormat::redBufferSize
    {30, 632, 127},	// QGLFormat::rgba
    {30, 633, 118},	// QGLFormat::sampleBuffers
    {30, 634, 120},	// QGLFormat::samples
    {30, 636, 132},	// QGLFormat::setAccum$
    {30, 638, 105},	// QGLFormat::setAccumBufferSize$
    {30, 640, 130},	// QGLFormat::setAlpha$
    {30, 642, 113},	// QGLFormat::setAlphaBufferSize$
    {30, 660, 111},	// QGLFormat::setBlueBufferSize$
    {30, 670, 146},	// QGLFormat::setDefaultFormat#
    {30, 672, 148},	// QGLFormat::setDefaultOverlayFormat#
    {30, 674, 126},	// QGLFormat::setDepth$
    {30, 676, 103},	// QGLFormat::setDepthBufferSize$
    {30, 680, 138},	// QGLFormat::setDirectRendering$
    {30, 682, 124},	// QGLFormat::setDoubleBuffer$
    {30, 692, 109},	// QGLFormat::setGreenBufferSize$
    {30, 702, 143},	// QGLFormat::setOption$
    {30, 704, 140},	// QGLFormat::setOverlay$
    {30, 706, 142},	// QGLFormat::setPlane$
    {30, 710, 107},	// QGLFormat::setRedBufferSize$
    {30, 712, 128},	// QGLFormat::setRgba$
    {30, 714, 117},	// QGLFormat::setSampleBuffers$
    {30, 716, 119},	// QGLFormat::setSamples$
    {30, 718, 134},	// QGLFormat::setStencil$
    {30, 720, 115},	// QGLFormat::setStencilBufferSize$
    {30, 722, 136},	// QGLFormat::setStereo$
    {30, 724, 121},	// QGLFormat::setSwapInterval$
    {30, 752, 133},	// QGLFormat::stencil
    {30, 753, 116},	// QGLFormat::stencilBufferSize
    {30, 754, 135},	// QGLFormat::stereo
    {30, 757, 122},	// QGLFormat::swapInterval
    {30, 760, 144},	// QGLFormat::testOption$
    {30, 790, 167},	// QGLFormat::~QGLFormat
    {31, 5, 203},	// QGLFramebufferObject::CombinedDepthStencil
    {31, 7, 204},	// QGLFramebufferObject::Depth
    {31, 43, 202},	// QGLFramebufferObject::NoAttachment
    {31, 75, 192},	// QGLFramebufferObject::QGLFramebufferObject#
    {31, 76, 172},	// QGLFramebufferObject::QGLFramebufferObject##
    {31, 77, 194},	// QGLFramebufferObject::QGLFramebufferObject#$
    {31, 78, 195},	// QGLFramebufferObject::QGLFramebufferObject#$?
    {31, 79, 170},	// QGLFramebufferObject::QGLFramebufferObject#$??
    {31, 80, 168},	// QGLFramebufferObject::QGLFramebufferObject#?
    {31, 81, 193},	// QGLFramebufferObject::QGLFramebufferObject$$
    {31, 82, 173},	// QGLFramebufferObject::QGLFramebufferObject$$#
    {31, 83, 196},	// QGLFramebufferObject::QGLFramebufferObject$$$
    {31, 84, 197},	// QGLFramebufferObject::QGLFramebufferObject$$$?
    {31, 85, 171},	// QGLFramebufferObject::QGLFramebufferObject$$$??
    {31, 86, 169},	// QGLFramebufferObject::QGLFramebufferObject$$?
    {31, 139, 182},	// QGLFramebufferObject::attachment
    {31, 144, 177},	// QGLFramebufferObject::bind
    {31, 157, 200},	// QGLFramebufferObject::blitFramebuffer####
    {31, 158, 201},	// QGLFramebufferObject::blitFramebuffer####?
    {31, 159, 189},	// QGLFramebufferObject::blitFramebuffer####??
    {31, 192, 191},	// QGLFramebufferObject::devType
    {31, 205, -25},	// QGLFramebufferObject::drawTexture#?
    {31, 206, -28},	// QGLFramebufferObject::drawTexture#??
    {31, 230, 174},	// QGLFramebufferObject::format
    {31, 241, 184},	// QGLFramebufferObject::handle
    {31, 243, 188},	// QGLFramebufferObject::hasOpenGLFramebufferBlit
    {31, 244, 185},	// QGLFramebufferObject::hasOpenGLFramebufferObjects
    {31, 258, 176},	// QGLFramebufferObject::isBound
    {31, 263, 175},	// QGLFramebufferObject::isValid
    {31, 274, 190},	// QGLFramebufferObject::metric$
    {31, 348, 183},	// QGLFramebufferObject::paintEngine
    {31, 608, 178},	// QGLFramebufferObject::release
    {31, 748, 180},	// QGLFramebufferObject::size
    {31, 761, 179},	// QGLFramebufferObject::texture
    {31, 765, 181},	// QGLFramebufferObject::toImage
    {31, 791, 205},	// QGLFramebufferObject::~QGLFramebufferObject
    {32, 87, 206},	// QGLFramebufferObjectFormat::QGLFramebufferObjectFormat
    {32, 88, 207},	// QGLFramebufferObjectFormat::QGLFramebufferObjectFormat#
    {32, 139, 212},	// QGLFramebufferObjectFormat::attachment
    {32, 257, 216},	// QGLFramebufferObjectFormat::internalTextureFormat
    {32, 283, 218},	// QGLFramebufferObjectFormat::operator!=#
    {32, 320, 208},	// QGLFramebufferObjectFormat::operator=#
    {32, 322, 217},	// QGLFramebufferObjectFormat::operator==#
    {32, 634, 210},	// QGLFramebufferObjectFormat::samples
    {32, 644, 211},	// QGLFramebufferObjectFormat::setAttachment$
    {32, 698, 215},	// QGLFramebufferObjectFormat::setInternalTextureFormat?
    {32, 716, 209},	// QGLFramebufferObjectFormat::setSamples$
    {32, 728, 213},	// QGLFramebufferObjectFormat::setTextureTarget?
    {32, 763, 214},	// QGLFramebufferObjectFormat::textureTarget
    {32, 792, 219},	// QGLFramebufferObjectFormat::~QGLFramebufferObjectFormat
    {33, 90, 243},	// QGLPixelBuffer::QGLPixelBuffer#
    {33, 91, 244},	// QGLPixelBuffer::QGLPixelBuffer##
    {33, 92, 220},	// QGLPixelBuffer::QGLPixelBuffer###
    {33, 93, 245},	// QGLPixelBuffer::QGLPixelBuffer$$
    {33, 94, 246},	// QGLPixelBuffer::QGLPixelBuffer$$#
    {33, 95, 221},	// QGLPixelBuffer::QGLPixelBuffer$$##
    {33, 149, -878},	// QGLPixelBuffer::bindTexture#
    {33, 150, -881},	// QGLPixelBuffer::bindTexture#?
    {33, 153, 231},	// QGLPixelBuffer::bindTexture$
    {33, 155, 226},	// QGLPixelBuffer::bindToDynamicTexture?
    {33, 188, 232},	// QGLPixelBuffer::deleteTexture?
    {33, 192, 242},	// QGLPixelBuffer::devType
    {33, 199, 224},	// QGLPixelBuffer::doneCurrent
    {33, 205, -884},	// QGLPixelBuffer::drawTexture#?
    {33, 206, -887},	// QGLPixelBuffer::drawTexture#??
    {33, 230, 239},	// QGLPixelBuffer::format
    {33, 231, 225},	// QGLPixelBuffer::generateDynamicTexture
    {33, 241, 236},	// QGLPixelBuffer::handle
    {33, 246, 240},	// QGLPixelBuffer::hasOpenGLPbuffers
    {33, 263, 222},	// QGLPixelBuffer::isValid
    {33, 270, 223},	// QGLPixelBuffer::makeCurrent
    {33, 274, 241},	// QGLPixelBuffer::metric$
    {33, 348, 238},	// QGLPixelBuffer::paintEngine
    {33, 609, 227},	// QGLPixelBuffer::releaseFromDynamicTexture
    {33, 748, 235},	// QGLPixelBuffer::size
    {33, 765, 237},	// QGLPixelBuffer::toImage
    {33, 781, 228},	// QGLPixelBuffer::updateDynamicTexture?
    {33, 793, 251},	// QGLPixelBuffer::~QGLPixelBuffer
    {34, 13, 276},	// QGLShader::Fragment
    {34, 97, 272},	// QGLShader::QGLShader$
    {34, 98, -1},	// QGLShader::QGLShader$#
    {34, 99, 260},	// QGLShader::QGLShader$##
    {34, 124, 275},	// QGLShader::Vertex
    {34, 171, 263},	// QGLShader::compileSourceCode#
    {34, 172, -4},	// QGLShader::compileSourceCode$
    {34, 174, 265},	// QGLShader::compileSourceFile$
    {34, 259, 267},	// QGLShader::isCompiled
    {34, 269, 268},	// QGLShader::log
    {34, 272, 252},	// QGLShader::metaObject
    {34, 595, 258},	// QGLShader::qt_metacall$$?
    {34, 597, 253},	// QGLShader::qt_metacast$
    {34, 744, 269},	// QGLShader::shaderId
    {34, 745, 261},	// QGLShader::shaderType
    {34, 750, 266},	// QGLShader::sourceCode
    {34, 751, 274},	// QGLShader::staticMetaObject
    {34, 767, 270},	// QGLShader::tr$
    {34, 768, 254},	// QGLShader::tr$$
    {34, 769, 256},	// QGLShader::tr$$$
    {34, 771, 271},	// QGLShader::trUtf8$
    {34, 772, 255},	// QGLShader::trUtf8$$
    {34, 773, 257},	// QGLShader::trUtf8$$$
    {34, 794, 277},	// QGLShader::~QGLShader
    {35, 100, 423},	// QGLShaderProgram::QGLShaderProgram
    {35, 101, -693},	// QGLShaderProgram::QGLShaderProgram#
    {35, 102, 286},	// QGLShaderProgram::QGLShaderProgram##
    {35, 129, 287},	// QGLShaderProgram::addShader#
    {35, 131, 291},	// QGLShaderProgram::addShaderFromSourceCode$#
    {35, 132, -696},	// QGLShaderProgram::addShaderFromSourceCode$$
    {35, 134, 293},	// QGLShaderProgram::addShaderFromSourceFile$$
    {35, 141, 305},	// QGLShaderProgram::attributeLocation#
    {35, 142, -699},	// QGLShaderProgram::attributeLocation$
    {35, 144, 298},	// QGLShaderProgram::bind
    {35, 146, 302},	// QGLShaderProgram::bindAttributeLocation#$
    {35, 147, -702},	// QGLShaderProgram::bindAttributeLocation$$
    {35, 197, -705},	// QGLShaderProgram::disableAttributeArray$
    {35, 209, -708},	// QGLShaderProgram::enableAttributeArray$
    {35, 247, 433},	// QGLShaderProgram::hasOpenGLShaderPrograms
    {35, 248, 420},	// QGLShaderProgram::hasOpenGLShaderPrograms#
    {35, 261, 296},	// QGLShaderProgram::isLinked
    {35, 268, 295},	// QGLShaderProgram::link
    {35, 269, 297},	// QGLShaderProgram::log
    {35, 272, 278},	// QGLShaderProgram::metaObject
    {35, 355, 300},	// QGLShaderProgram::programId
    {35, 595, 284},	// QGLShaderProgram::qt_metacall$$?
    {35, 597, 279},	// QGLShaderProgram::qt_metacast$
    {35, 608, 299},	// QGLShaderProgram::release
    {35, 610, 294},	// QGLShaderProgram::removeAllShaders
    {35, 612, 288},	// QGLShaderProgram::removeShader#
    {35, 646, -711},	// QGLShaderProgram::setAttributeArray$#
    {35, 647, -718},	// QGLShaderProgram::setAttributeArray$#$
    {35, 648, -725},	// QGLShaderProgram::setAttributeArray$?$
    {35, 649, -728},	// QGLShaderProgram::setAttributeArray$?$$
    {35, 651, -731},	// QGLShaderProgram::setAttributeValue$#
    {35, 652, -740},	// QGLShaderProgram::setAttributeValue$?
    {35, 653, -743},	// QGLShaderProgram::setAttributeValue$?$$
    {35, 654, -746},	// QGLShaderProgram::setAttributeValue$??
    {35, 655, -749},	// QGLShaderProgram::setAttributeValue$???
    {35, 656, -752},	// QGLShaderProgram::setAttributeValue$????
    {35, 730, -755},	// QGLShaderProgram::setUniformValue$#
    {35, 731, -776},	// QGLShaderProgram::setUniformValue$?
    {35, 732, -801},	// QGLShaderProgram::setUniformValue$??
    {35, 733, -804},	// QGLShaderProgram::setUniformValue$???
    {35, 734, -807},	// QGLShaderProgram::setUniformValue$????
    {35, 736, -810},	// QGLShaderProgram::setUniformValueArray$#$
    {35, 737, -819},	// QGLShaderProgram::setUniformValueArray$?$
    {35, 738, -840},	// QGLShaderProgram::setUniformValueArray$?$$
    {35, 746, 289},	// QGLShaderProgram::shaders
    {35, 751, 434},	// QGLShaderProgram::staticMetaObject
    {35, 767, 421},	// QGLShaderProgram::tr$
    {35, 768, 280},	// QGLShaderProgram::tr$$
    {35, 769, 282},	// QGLShaderProgram::tr$$$
    {35, 771, 422},	// QGLShaderProgram::trUtf8$
    {35, 772, 281},	// QGLShaderProgram::trUtf8$$
    {35, 773, 283},	// QGLShaderProgram::trUtf8$$$
    {35, 778, 338},	// QGLShaderProgram::uniformLocation#
    {35, 779, -843},	// QGLShaderProgram::uniformLocation$
    {35, 795, 435},	// QGLShaderProgram::~QGLShaderProgram
    {36, 103, 495},	// QGLWidget::QGLWidget
    {36, 104, -846},	// QGLWidget::QGLWidget#
    {36, 105, -850},	// QGLWidget::QGLWidget##
    {36, 106, -854},	// QGLWidget::QGLWidget###
    {36, 107, -857},	// QGLWidget::QGLWidget###$
    {36, 108, 443},	// QGLWidget::QGLWidget##$
    {36, 143, 487},	// QGLWidget::autoBufferSwap
    {36, 149, -860},	// QGLWidget::bindTexture#
    {36, 150, -863},	// QGLWidget::bindTexture#?
    {36, 151, -866},	// QGLWidget::bindTexture#??
    {36, 152, -869},	// QGLWidget::bindTexture#??$
    {36, 153, 473},	// QGLWidget::bindTexture$
    {36, 169, 464},	// QGLWidget::colormap
    {36, 176, 456},	// QGLWidget::context
    {36, 179, 462},	// QGLWidget::convertToGLFormat#
    {36, 188, 474},	// QGLWidget::deleteTexture?
    {36, 199, 451},	// QGLWidget::doneCurrent
    {36, 200, 452},	// QGLWidget::doubleBuffer
    {36, 205, -872},	// QGLWidget::drawTexture#?
    {36, 206, -875},	// QGLWidget::drawTexture#??
    {36, 217, 479},	// QGLWidget::event#
    {36, 228, 520},	// QGLWidget::fontDisplayListBase#
    {36, 229, 492},	// QGLWidget::fontDisplayListBase#$
    {36, 230, 454},	// QGLWidget::format
    {36, 236, 491},	// QGLWidget::glDraw
    {36, 237, 490},	// QGLWidget::glInit
    {36, 238, 509},	// QGLWidget::grabFrameBuffer
    {36, 239, 459},	// QGLWidget::grabFrameBuffer$
    {36, 252, 480},	// QGLWidget::initializeGL
    {36, 253, 483},	// QGLWidget::initializeOverlayGL
    {36, 262, 449},	// QGLWidget::isSharing
    {36, 263, 448},	// QGLWidget::isValid
    {36, 270, 450},	// QGLWidget::makeCurrent
    {36, 271, 460},	// QGLWidget::makeOverlayCurrent
    {36, 272, 436},	// QGLWidget::metaObject
    {36, 346, 461},	// QGLWidget::overlayContext
    {36, 348, 468},	// QGLWidget::paintEngine
    {36, 350, 488},	// QGLWidget::paintEvent#
    {36, 351, 482},	// QGLWidget::paintGL
    {36, 352, 485},	// QGLWidget::paintOverlayGL
    {36, 552, 447},	// QGLWidget::qglClearColor#
    {36, 554, 446},	// QGLWidget::qglColor#
    {36, 595, 442},	// QGLWidget::qt_metacall$$?
    {36, 597, 437},	// QGLWidget::qt_metacast$
    {36, 613, 506},	// QGLWidget::renderPixmap
    {36, 614, 507},	// QGLWidget::renderPixmap$
    {36, 615, 508},	// QGLWidget::renderPixmap$$
    {36, 616, 458},	// QGLWidget::renderPixmap$$$
    {36, 618, 510},	// QGLWidget::renderText$$$
    {36, 619, 511},	// QGLWidget::renderText$$$#
    {36, 620, 466},	// QGLWidget::renderText$$$#$
    {36, 621, 512},	// QGLWidget::renderText$$$$
    {36, 622, 513},	// QGLWidget::renderText$$$$#
    {36, 623, 467},	// QGLWidget::renderText$$$$#$
    {36, 627, 489},	// QGLWidget::resizeEvent#
    {36, 629, 481},	// QGLWidget::resizeGL$$
    {36, 631, 484},	// QGLWidget::resizeOverlayGL$$
    {36, 658, 486},	// QGLWidget::setAutoBufferSwap$
    {36, 662, 465},	// QGLWidget::setColormap#
    {36, 664, 504},	// QGLWidget::setContext#
    {36, 665, 505},	// QGLWidget::setContext##
    {36, 666, 457},	// QGLWidget::setContext##$
    {36, 690, 455},	// QGLWidget::setFormat#
    {36, 700, 463},	// QGLWidget::setMouseTracking$
    {36, 751, 521},	// QGLWidget::staticMetaObject
    {36, 756, 453},	// QGLWidget::swapBuffers
    {36, 767, 493},	// QGLWidget::tr$
    {36, 768, 438},	// QGLWidget::tr$$
    {36, 769, 440},	// QGLWidget::tr$$$
    {36, 771, 494},	// QGLWidget::trUtf8$
    {36, 772, 439},	// QGLWidget::trUtf8$$
    {36, 773, 441},	// QGLWidget::trUtf8$$$
    {36, 782, 477},	// QGLWidget::updateGL
    {36, 783, 478},	// QGLWidget::updateOverlayGL
    {36, 796, 522},	// QGLWidget::~QGLWidget
    {37, 19, 1327},	// QGlobalSpace::LicensedActiveQt
    {37, 20, 1330},	// QGlobalSpace::LicensedCore
    {37, 21, 1329},	// QGlobalSpace::LicensedDBus
    {37, 22, 1337},	// QGlobalSpace::LicensedDeclarative
    {37, 23, 1324},	// QGlobalSpace::LicensedGui
    {37, 24, 1335},	// QGlobalSpace::LicensedHelp
    {37, 25, 1332},	// QGlobalSpace::LicensedMultimedia
    {37, 26, 1331},	// QGlobalSpace::LicensedNetwork
    {37, 27, 1314},	// QGlobalSpace::LicensedOpenGL
    {37, 28, 1316},	// QGlobalSpace::LicensedOpenVG
    {37, 29, 1328},	// QGlobalSpace::LicensedQt3Support
    {37, 30, 1318},	// QGlobalSpace::LicensedQt3SupportLight
    {37, 31, 1317},	// QGlobalSpace::LicensedScript
    {37, 32, 1334},	// QGlobalSpace::LicensedScriptTools
    {37, 33, 1326},	// QGlobalSpace::LicensedSql
    {37, 34, 1315},	// QGlobalSpace::LicensedSvg
    {37, 35, 1333},	// QGlobalSpace::LicensedTest
    {37, 36, 1336},	// QGlobalSpace::LicensedXml
    {37, 37, 1325},	// QGlobalSpace::LicensedXmlPatterns
    {37, 109, 1309},	// QGlobalSpace::Q_COMPLEX_TYPE
    {37, 110, 1313},	// QGlobalSpace::Q_DUMMY_TYPE
    {37, 111, 1312},	// QGlobalSpace::Q_MOVABLE_TYPE
    {37, 112, 1310},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {37, 113, 1311},	// QGlobalSpace::Q_STATIC_TYPE
    {37, 114, 1321},	// QGlobalSpace::QtCriticalMsg
    {37, 115, 1319},	// QGlobalSpace::QtDebugMsg
    {37, 116, 1322},	// QGlobalSpace::QtFatalMsg
    {37, 117, 1323},	// QGlobalSpace::QtSystemMsg
    {37, 118, 1320},	// QGlobalSpace::QtWarningMsg
    {37, 284, -31},	// QGlobalSpace::operator!=##
    {37, 285, -53},	// QGlobalSpace::operator!=#$
    {37, 286, -59},	// QGlobalSpace::operator!=$#
    {37, 287, 939},	// QGlobalSpace::operator!=$$
    {37, 289, 523},	// QGlobalSpace::operator&##
    {37, 291, -66},	// QGlobalSpace::operator*##
    {37, 292, -96},	// QGlobalSpace::operator*#$
    {37, 293, -107},	// QGlobalSpace::operator*$#
    {37, 295, -117},	// QGlobalSpace::operator+##
    {37, 296, -128},	// QGlobalSpace::operator+#$
    {37, 297, -134},	// QGlobalSpace::operator+$#
    {37, 298, -139},	// QGlobalSpace::operator+$$
    {37, 300, -145},	// QGlobalSpace::operator-#
    {37, 301, -153},	// QGlobalSpace::operator-##
    {37, 302, 1306},	// QGlobalSpace::operator-#$
    {37, 304, -163},	// QGlobalSpace::operator/#$
    {37, 306, -174},	// QGlobalSpace::operator<##
    {37, 307, 657},	// QGlobalSpace::operator<#$
    {37, 308, -179},	// QGlobalSpace::operator<$#
    {37, 309, 938},	// QGlobalSpace::operator<$$
    {37, 311, -182},	// QGlobalSpace::operator<<##
    {37, 312, -274},	// QGlobalSpace::operator<<#$
    {37, 313, 645},	// QGlobalSpace::operator<<#?
    {37, 315, -285},	// QGlobalSpace::operator<=##
    {37, 316, 860},	// QGlobalSpace::operator<=#$
    {37, 317, -290},	// QGlobalSpace::operator<=$#
    {37, 318, 714},	// QGlobalSpace::operator<=$$
    {37, 323, -293},	// QGlobalSpace::operator==##
    {37, 324, -316},	// QGlobalSpace::operator==#$
    {37, 325, -323},	// QGlobalSpace::operator==$#
    {37, 326, 1226},	// QGlobalSpace::operator==$$
    {37, 328, -331},	// QGlobalSpace::operator>##
    {37, 329, 1138},	// QGlobalSpace::operator>#$
    {37, 330, -336},	// QGlobalSpace::operator>$#
    {37, 331, 1134},	// QGlobalSpace::operator>$$
    {37, 333, -339},	// QGlobalSpace::operator>=##
    {37, 334, 1035},	// QGlobalSpace::operator>=#$
    {37, 335, -344},	// QGlobalSpace::operator>=$#
    {37, 336, 1256},	// QGlobalSpace::operator>=$$
    {37, 338, -347},	// QGlobalSpace::operator>>##
    {37, 339, -398},	// QGlobalSpace::operator>>#$
    {37, 340, 1097},	// QGlobalSpace::operator>>#?
    {37, 342, 874},	// QGlobalSpace::operator^##
    {37, 344, 952},	// QGlobalSpace::operator|##
    {37, 345, -401},	// QGlobalSpace::operator|$$
    {37, 356, 1257},	// QGlobalSpace::qAccessibleActionCastHelper
    {37, 357, 1121},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {37, 358, 909},	// QGlobalSpace::qAccessibleImageCastHelper
    {37, 359, 934},	// QGlobalSpace::qAccessibleTableCastHelper
    {37, 360, 726},	// QGlobalSpace::qAccessibleTextCastHelper
    {37, 361, 1025},	// QGlobalSpace::qAccessibleValueCastHelper
    {37, 363, 897},	// QGlobalSpace::qAcos$
    {37, 365, 852},	// QGlobalSpace::qAddPostRoutine$
    {37, 367, 598},	// QGlobalSpace::qAlpha$
    {37, 368, 821},	// QGlobalSpace::qAppName
    {37, 370, 1063},	// QGlobalSpace::qAsin$
    {37, 372, 619},	// QGlobalSpace::qAtan$
    {37, 374, 835},	// QGlobalSpace::qAtan2$$
    {37, 375, 1295},	// QGlobalSpace::qBadAlloc
    {37, 377, 1260},	// QGlobalSpace::qBlue$
    {37, 379, 572},	// QGlobalSpace::qCeil$
    {37, 381, 875},	// QGlobalSpace::qChecksum$$
    {37, 383, 840},	// QGlobalSpace::qCompress#
    {37, 384, 839},	// QGlobalSpace::qCompress#$
    {37, 385, 1164},	// QGlobalSpace::qCompress$$
    {37, 386, 1163},	// QGlobalSpace::qCompress$$$
    {37, 388, 644},	// QGlobalSpace::qCos$
    {37, 389, 524},	// QGlobalSpace::qCritical
    {37, 390, 1173},	// QGlobalSpace::qDebug
    {37, 392, 1177},	// QGlobalSpace::qDrawBorderPixmap####
    {37, 393, 869},	// QGlobalSpace::qDrawBorderPixmap######
    {37, 394, 870},	// QGlobalSpace::qDrawBorderPixmap#######
    {37, 395, 868},	// QGlobalSpace::qDrawBorderPixmap#######$
    {37, 397, 1041},	// QGlobalSpace::qDrawPixmaps##$#
    {37, 398, 1040},	// QGlobalSpace::qDrawPixmaps##$#$
    {37, 400, 849},	// QGlobalSpace::qDrawPlainRect###
    {37, 401, 850},	// QGlobalSpace::qDrawPlainRect###$
    {37, 402, 848},	// QGlobalSpace::qDrawPlainRect###$#
    {37, 403, 828},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {37, 404, 829},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {37, 405, 827},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {37, 407, 1188},	// QGlobalSpace::qDrawShadeLine####
    {37, 408, 1189},	// QGlobalSpace::qDrawShadeLine####$
    {37, 409, 1190},	// QGlobalSpace::qDrawShadeLine####$$
    {37, 410, 1187},	// QGlobalSpace::qDrawShadeLine####$$$
    {37, 411, 1100},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {37, 412, 1101},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {37, 413, 1102},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {37, 414, 1099},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {37, 416, 605},	// QGlobalSpace::qDrawShadePanel###
    {37, 417, 606},	// QGlobalSpace::qDrawShadePanel###$
    {37, 418, 607},	// QGlobalSpace::qDrawShadePanel###$$
    {37, 419, 604},	// QGlobalSpace::qDrawShadePanel###$$#
    {37, 420, 758},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {37, 421, 759},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {37, 422, 760},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {37, 423, 757},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {37, 425, 802},	// QGlobalSpace::qDrawShadeRect###
    {37, 426, 803},	// QGlobalSpace::qDrawShadeRect###$
    {37, 427, 804},	// QGlobalSpace::qDrawShadeRect###$$
    {37, 428, 805},	// QGlobalSpace::qDrawShadeRect###$$$
    {37, 429, 801},	// QGlobalSpace::qDrawShadeRect###$$$#
    {37, 430, 640},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {37, 431, 641},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {37, 432, 642},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {37, 433, 643},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {37, 434, 639},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {37, 436, 773},	// QGlobalSpace::qDrawWinButton###
    {37, 437, 774},	// QGlobalSpace::qDrawWinButton###$
    {37, 438, 772},	// QGlobalSpace::qDrawWinButton###$#
    {37, 439, 633},	// QGlobalSpace::qDrawWinButton#$$$$#
    {37, 440, 634},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {37, 441, 632},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {37, 443, 1194},	// QGlobalSpace::qDrawWinPanel###
    {37, 444, 1195},	// QGlobalSpace::qDrawWinPanel###$
    {37, 445, 1193},	// QGlobalSpace::qDrawWinPanel###$#
    {37, 446, 1242},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {37, 447, 1243},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {37, 448, 1241},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {37, 450, 857},	// QGlobalSpace::qExp$
    {37, 452, 549},	// QGlobalSpace::qFabs$
    {37, 454, 1229},	// QGlobalSpace::qFastCos$
    {37, 456, 1279},	// QGlobalSpace::qFastSin$
    {37, 458, 1033},	// QGlobalSpace::qFlagLocation$
    {37, 460, 1004},	// QGlobalSpace::qFloor$
    {37, 462, 1143},	// QGlobalSpace::qFree$
    {37, 464, 789},	// QGlobalSpace::qFreeAligned$
    {37, 466, -642},	// QGlobalSpace::qFuzzyCompare##
    {37, 467, -650},	// QGlobalSpace::qFuzzyCompare$$
    {37, 469, -653},	// QGlobalSpace::qFuzzyIsNull$
    {37, 471, 574},	// QGlobalSpace::qGray$
    {37, 472, 667},	// QGlobalSpace::qGray$$$
    {37, 474, 602},	// QGlobalSpace::qGreen$
    {37, 476, -656},	// QGlobalSpace::qHash#
    {37, 477, -664},	// QGlobalSpace::qHash$
    {37, 478, -675},	// QGlobalSpace::qHash?
    {37, 479, 1044},	// QGlobalSpace::qInf
    {37, 481, 764},	// QGlobalSpace::qInstallMsgHandler$
    {37, 483, -678},	// QGlobalSpace::qIntCast$
    {37, 485, -681},	// QGlobalSpace::qIsFinite$
    {37, 487, 962},	// QGlobalSpace::qIsGray$
    {37, 489, -684},	// QGlobalSpace::qIsInf$
    {37, 491, -687},	// QGlobalSpace::qIsNaN$
    {37, 493, -690},	// QGlobalSpace::qIsNull$
    {37, 495, 1095},	// QGlobalSpace::qLn$
    {37, 497, 1303},	// QGlobalSpace::qMalloc?
    {37, 499, 1159},	// QGlobalSpace::qMallocAligned??
    {37, 501, 1034},	// QGlobalSpace::qMemCopy$$?
    {37, 503, 834},	// QGlobalSpace::qMemSet$$?
    {37, 505, 1209},	// QGlobalSpace::qPow$$
    {37, 506, 553},	// QGlobalSpace::qQNaN
    {37, 508, 929},	// QGlobalSpace::qRealloc$?
    {37, 510, 810},	// QGlobalSpace::qReallocAligned$???
    {37, 512, 583},	// QGlobalSpace::qRed$
    {37, 514, 626},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {37, 516, 1027},	// QGlobalSpace::qRemovePostRoutine$
    {37, 518, 1002},	// QGlobalSpace::qRgb$$$
    {37, 520, 1297},	// QGlobalSpace::qRgba$$$$
    {37, 522, 948},	// QGlobalSpace::qRound$
    {37, 524, 1152},	// QGlobalSpace::qRound64$
    {37, 525, 1269},	// QGlobalSpace::qSNaN
    {37, 527, 1081},	// QGlobalSpace::qSetFieldWidth$
    {37, 529, 754},	// QGlobalSpace::qSetPadChar#
    {37, 531, 1060},	// QGlobalSpace::qSetRealNumberPrecision$
    {37, 532, 761},	// QGlobalSpace::qSharedBuild
    {37, 534, 1062},	// QGlobalSpace::qSin$
    {37, 536, 982},	// QGlobalSpace::qSqrt$
    {37, 538, 799},	// QGlobalSpace::qStringComparisonHelper#$
    {37, 539, 1215},	// QGlobalSpace::qStringComparisonHelper$$
    {37, 541, 1182},	// QGlobalSpace::qTan$
    {37, 543, 1056},	// QGlobalSpace::qUncompress#
    {37, 544, 1275},	// QGlobalSpace::qUncompress$$
    {37, 545, 562},	// QGlobalSpace::qVersion
    {37, 546, 664},	// QGlobalSpace::qWarning
    {37, 548, 620},	// QGlobalSpace::qbswap_helper$$$
    {37, 550, 886},	// QGlobalSpace::qgetenv$
    {37, 556, 796},	// QGlobalSpace::qputenv$#
    {37, 557, 573},	// QGlobalSpace::qrand
    {37, 559, 648},	// QGlobalSpace::qsrand$
    {37, 561, 751},	// QGlobalSpace::qstrcmp##
    {37, 562, 755},	// QGlobalSpace::qstrcmp#$
    {37, 563, 1179},	// QGlobalSpace::qstrcmp$#
    {37, 564, 985},	// QGlobalSpace::qstrcmp$$
    {37, 566, 546},	// QGlobalSpace::qstrcpy$$
    {37, 568, 1167},	// QGlobalSpace::qstrdup$
    {37, 570, 1065},	// QGlobalSpace::qstricmp$$
    {37, 572, 1103},	// QGlobalSpace::qstrlen$
    {37, 574, 800},	// QGlobalSpace::qstrncmp$$$
    {37, 576, 912},	// QGlobalSpace::qstrncpy$$$
    {37, 578, 733},	// QGlobalSpace::qstrnicmp$$$
    {37, 580, 999},	// QGlobalSpace::qstrnlen$$
    {37, 582, 1290},	// QGlobalSpace::qtTrId$
    {37, 583, 1289},	// QGlobalSpace::qtTrId$$
    {37, 585, 527},	// QGlobalSpace::qt_assert$$$
    {37, 587, 937},	// QGlobalSpace::qt_assert_x$$$$
    {37, 589, 742},	// QGlobalSpace::qt_check_pointer$$
    {37, 590, 925},	// QGlobalSpace::qt_error_string
    {37, 591, 924},	// QGlobalSpace::qt_error_string$
    {37, 593, 1222},	// QGlobalSpace::qt_message_output$$
    {37, 598, 1077},	// QGlobalSpace::qt_noop
    {37, 600, 766},	// QGlobalSpace::qt_qFindChild_helper#$#
    {37, 602, 1131},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {37, 604, 623},	// QGlobalSpace::qvariant_cast_helper#$$
    {37, 606, 1073},	// QGlobalSpace::qvsnprintf$?$?
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtopengl_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtopengl_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtopengl_Smoke = new Smoke(
        "qtopengl",
        __smokeqtopengl::classes, 112,
        __smokeqtopengl::methods, 1387,
        __smokeqtopengl::methodMaps, 627,
        __smokeqtopengl::methodNames, 796,
        __smokeqtopengl::types, 529,
        __smokeqtopengl::inheritanceList,
        __smokeqtopengl::argumentList,
        __smokeqtopengl::ambiguousMethodList,
        __smokeqtopengl::cast );
    initialized = true;
}

void delete_qtopengl_Smoke() { delete qtopengl_Smoke; }

}
