#include <qtsql_includes.h>

#include <smoke.h>
#include <qtsql_smoke.h>

namespace __smokeqtsql {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractItemModel
      switch(to) {
        case 27: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)xptr;
        case 46: return (void*)(QSqlQueryModel*)(QAbstractItemModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QAbstractItemModel*)xptr;
        case 51: return (void*)(QSqlTableModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 2:   //QAbstractTableModel
      switch(to) {
        case 1: return (void*)(QAbstractItemModel*)(QAbstractTableModel*)xptr;
        case 27: return (void*)(QObject*)(QAbstractTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)xptr;
        case 46: return (void*)(QSqlQueryModel*)(QAbstractTableModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QAbstractTableModel*)xptr;
        case 51: return (void*)(QSqlTableModel*)(QAbstractTableModel*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QByteArray
      switch(to) {
        case 5: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 6:   //QChar
      switch(to) {
        case 6: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 7:   //QChildEvent
      switch(to) {
        case 14: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 7: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDataStream
      switch(to) {
        case 8: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 9:   //QDate
      switch(to) {
        case 9: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 10:   //QDateTime
      switch(to) {
        case 10: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 11:   //QDebug
      switch(to) {
        case 11: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 12:   //QDir
      switch(to) {
        case 12: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 13:   //QEasingCurve
      switch(to) {
        case 13: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 14:   //QEvent
      switch(to) {
        case 14: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFactoryInterface
      switch(to) {
        case 15: return (void*)(QFactoryInterface*)xptr;
        case 41: return (void*)(QSqlDriverPlugin*)(QFactoryInterface*)xptr;
        case 40: return (void*)(QSqlDriverFactoryInterface*)(QFactoryInterface*)xptr;
        default: return xptr;
      }
    case 17:   //QHashDummyValue
      switch(to) {
        case 17: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 18:   //QIncompatibleFlag
      switch(to) {
        case 18: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 19:   //QLatin1String
      switch(to) {
        case 19: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 20:   //QLine
      switch(to) {
        case 20: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 21:   //QLineF
      switch(to) {
        case 21: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 22:   //QLocale
      switch(to) {
        case 22: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 23:   //QMargins
      switch(to) {
        case 23: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 24:   //QMetaObject
      switch(to) {
        case 24: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 25:   //QMimeData
      switch(to) {
        case 27: return (void*)(QObject*)(QMimeData*)xptr;
        case 25: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 26:   //QModelIndex
      switch(to) {
        case 26: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 27:   //QObject
      switch(to) {
        case 27: return (void*)(QObject*)xptr;
        case 46: return (void*)(QSqlQueryModel*)(QObject*)xptr;
        case 38: return (void*)(QSqlDriver*)(QObject*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QObject*)xptr;
        case 51: return (void*)(QSqlTableModel*)(QObject*)xptr;
        case 41: return (void*)(QSqlDriverPlugin*)(QObject*)xptr;
        default: return xptr;
      }
    case 28:   //QPersistentModelIndex
      switch(to) {
        case 28: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 29:   //QPoint
      switch(to) {
        case 29: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 30:   //QPointF
      switch(to) {
        case 30: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 31:   //QRect
      switch(to) {
        case 31: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 32:   //QRectF
      switch(to) {
        case 32: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 33:   //QRegExp
      switch(to) {
        case 33: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 34:   //QSize
      switch(to) {
        case 34: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 35:   //QSizeF
      switch(to) {
        case 35: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 37:   //QSqlDatabase
      switch(to) {
        case 37: return (void*)(QSqlDatabase*)xptr;
        default: return xptr;
      }
    case 38:   //QSqlDriver
      switch(to) {
        case 27: return (void*)(QObject*)(QSqlDriver*)xptr;
        case 38: return (void*)(QSqlDriver*)xptr;
        default: return xptr;
      }
    case 39:   //QSqlDriverCreatorBase
      switch(to) {
        case 39: return (void*)(QSqlDriverCreatorBase*)xptr;
        default: return xptr;
      }
    case 40:   //QSqlDriverFactoryInterface
      switch(to) {
        case 15: return (void*)(QFactoryInterface*)(QSqlDriverFactoryInterface*)xptr;
        case 40: return (void*)(QSqlDriverFactoryInterface*)xptr;
        case 41: return (void*)(QSqlDriverPlugin*)(QSqlDriverFactoryInterface*)xptr;
        default: return xptr;
      }
    case 41:   //QSqlDriverPlugin
      switch(to) {
        case 27: return (void*)(QObject*)(QSqlDriverPlugin*)xptr;
        case 40: return (void*)(QSqlDriverFactoryInterface*)(QSqlDriverPlugin*)xptr;
        case 15: return (void*)(QFactoryInterface*)(QSqlDriverPlugin*)xptr;
        case 41: return (void*)(QSqlDriverPlugin*)xptr;
        default: return xptr;
      }
    case 42:   //QSqlError
      switch(to) {
        case 42: return (void*)(QSqlError*)xptr;
        default: return xptr;
      }
    case 43:   //QSqlField
      switch(to) {
        case 43: return (void*)(QSqlField*)xptr;
        default: return xptr;
      }
    case 44:   //QSqlIndex
      switch(to) {
        case 47: return (void*)(QSqlRecord*)(QSqlIndex*)xptr;
        case 44: return (void*)(QSqlIndex*)xptr;
        default: return xptr;
      }
    case 45:   //QSqlQuery
      switch(to) {
        case 45: return (void*)(QSqlQuery*)xptr;
        default: return xptr;
      }
    case 46:   //QSqlQueryModel
      switch(to) {
        case 2: return (void*)(QAbstractTableModel*)(QSqlQueryModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlQueryModel*)xptr;
        case 27: return (void*)(QObject*)(QSqlQueryModel*)xptr;
        case 46: return (void*)(QSqlQueryModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QSqlQueryModel*)xptr;
        case 51: return (void*)(QSqlTableModel*)(QSqlQueryModel*)xptr;
        default: return xptr;
      }
    case 47:   //QSqlRecord
      switch(to) {
        case 47: return (void*)(QSqlRecord*)xptr;
        case 44: return (void*)(QSqlIndex*)(QSqlRecord*)xptr;
        default: return xptr;
      }
    case 48:   //QSqlRelation
      switch(to) {
        case 48: return (void*)(QSqlRelation*)xptr;
        default: return xptr;
      }
    case 49:   //QSqlRelationalTableModel
      switch(to) {
        case 51: return (void*)(QSqlTableModel*)(QSqlRelationalTableModel*)xptr;
        case 46: return (void*)(QSqlQueryModel*)(QSqlRelationalTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)(QSqlRelationalTableModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlRelationalTableModel*)xptr;
        case 27: return (void*)(QObject*)(QSqlRelationalTableModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)xptr;
        default: return xptr;
      }
    case 50:   //QSqlResult
      switch(to) {
        case 50: return (void*)(QSqlResult*)xptr;
        default: return xptr;
      }
    case 51:   //QSqlTableModel
      switch(to) {
        case 46: return (void*)(QSqlQueryModel*)(QSqlTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)(QSqlTableModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlTableModel*)xptr;
        case 27: return (void*)(QObject*)(QSqlTableModel*)xptr;
        case 51: return (void*)(QSqlTableModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QSqlTableModel*)xptr;
        default: return xptr;
      }
    case 52:   //QString::Null
      switch(to) {
        case 52: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 53:   //QStringRef
      switch(to) {
        case 53: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 54:   //QTextStream
      switch(to) {
        case 54: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 55:   //QTextStreamManipulator
      switch(to) {
        case 55: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 56:   //QTime
      switch(to) {
        case 56: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 57:   //QTimerEvent
      switch(to) {
        case 14: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 57: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QUrl
      switch(to) {
        case 58: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 59:   //QUuid
      switch(to) {
        case 59: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 60:   //QVariant
      switch(to) {
        case 60: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 61:   //QVariantComparisonHelper
      switch(to) {
        case 61: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    27, 0,	// 1: QObject
    15, 0,	// 3: QFactoryInterface
    27, 40, 0,	// 5: QObject, QSqlDriverFactoryInterface
    47, 0,	// 8: QSqlRecord
    2, 0,	// 10: QAbstractTableModel
    51, 0,	// 12: QSqlTableModel
    46, 0,	// 14: QSqlQueryModel
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlResult(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlField(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlTableModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSql(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlDriver(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlError(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QSql(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriver(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverCreatorBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverFactoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlError(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlField(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlIndex(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlQueryModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRecord(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelation(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelationalTableModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlTableModel(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//1
    { "QAbstractTableModel", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//5
    { "QChar", true, 0, 0, 0, 0, 0 },	//6
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//8
    { "QDate", true, 0, 0, 0, 0, 0 },	//9
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//10
    { "QDebug", true, 0, 0, 0, 0, 0 },	//11
    { "QDir", true, 0, 0, 0, 0, 0 },	//12
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//13
    { "QEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFactoryInterface", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//16
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//17
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//18
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//19
    { "QLine", true, 0, 0, 0, 0, 0 },	//20
    { "QLineF", true, 0, 0, 0, 0, 0 },	//21
    { "QLocale", true, 0, 0, 0, 0, 0 },	//22
    { "QMargins", true, 0, 0, 0, 0, 0 },	//23
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//24
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//25
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//26
    { "QObject", true, 0, 0, 0, 0, 0 },	//27
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//28
    { "QPoint", true, 0, 0, 0, 0, 0 },	//29
    { "QPointF", true, 0, 0, 0, 0, 0 },	//30
    { "QRect", true, 0, 0, 0, 0, 0 },	//31
    { "QRectF", true, 0, 0, 0, 0, 0 },	//32
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//33
    { "QSize", true, 0, 0, 0, 0, 0 },	//34
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//35
    { "QSql", false, 0, xcall_QSql, xenum_QSql, Smoke::cf_namespace, 0 },	//36
    { "QSqlDatabase", false, 0, xcall_QSqlDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlDatabase) },	//37
    { "QSqlDriver", false, 1, xcall_QSqlDriver, xenum_QSqlDriver, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlDriver) },	//38
    { "QSqlDriverCreatorBase", false, 0, xcall_QSqlDriverCreatorBase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QSqlDriverCreatorBase) },	//39
    { "QSqlDriverFactoryInterface", false, 3, xcall_QSqlDriverFactoryInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QSqlDriverFactoryInterface) },	//40
    { "QSqlDriverPlugin", false, 5, xcall_QSqlDriverPlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlDriverPlugin) },	//41
    { "QSqlError", false, 0, xcall_QSqlError, xenum_QSqlError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlError) },	//42
    { "QSqlField", false, 0, xcall_QSqlField, xenum_QSqlField, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlField) },	//43
    { "QSqlIndex", false, 8, xcall_QSqlIndex, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlIndex) },	//44
    { "QSqlQuery", false, 0, xcall_QSqlQuery, xenum_QSqlQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlQuery) },	//45
    { "QSqlQueryModel", false, 10, xcall_QSqlQueryModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlQueryModel) },	//46
    { "QSqlRecord", false, 0, xcall_QSqlRecord, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlRecord) },	//47
    { "QSqlRelation", false, 0, xcall_QSqlRelation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlRelation) },	//48
    { "QSqlRelationalTableModel", false, 12, xcall_QSqlRelationalTableModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlRelationalTableModel) },	//49
    { "QSqlResult", false, 0, xcall_QSqlResult, xenum_QSqlResult, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlResult) },	//50
    { "QSqlTableModel", false, 14, xcall_QSqlTableModel, xenum_QSqlTableModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlTableModel) },	//51
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//52
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//53
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//54
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//55
    { "QTime", true, 0, 0, 0, 0, 0 },	//56
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QUrl", true, 0, 0, 0, 0, 0 },	//58
    { "QUuid", true, 0, 0, 0, 0, 0 },	//59
    { "QVariant", true, 0, 0, 0, 0, 0 },	//60
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//61
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 5, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 5, Smoke::t_class|Smoke::tf_ref },	//6
    { "QChar", 6, Smoke::t_class|Smoke::tf_stack },	//7
    { "QChar&", 6, Smoke::t_class|Smoke::tf_ref },	//8
    { "QChildEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDataStream&", 8, Smoke::t_class|Smoke::tf_ref },	//10
    { "QDate&", 9, Smoke::t_class|Smoke::tf_ref },	//11
    { "QDateTime&", 10, Smoke::t_class|Smoke::tf_ref },	//12
    { "QDebug", 11, Smoke::t_class|Smoke::tf_stack },	//13
    { "QDir::Filter", 12, Smoke::t_enum|Smoke::tf_stack },	//14
    { "QDir::SortFlag", 12, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//16
    { "QEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//18
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//20
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//21
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//22
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//23
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//24
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//25
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//26
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//27
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//28
    { "QFlags<QSql::ParamTypeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//29
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//30
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//31
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//32
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//33
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//34
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//35
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//36
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//37
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//38
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//39
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//40
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//41
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//42
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//43
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//44
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "QIncompatibleFlag", 18, Smoke::t_class|Smoke::tf_stack },	//51
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "QLine&", 20, Smoke::t_class|Smoke::tf_ref },	//53
    { "QLineF&", 21, Smoke::t_class|Smoke::tf_ref },	//54
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//55
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//56
    { "QLocale&", 22, Smoke::t_class|Smoke::tf_ref },	//57
    { "QLocale::NumberOption", 22, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//59
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//60
    { "QMetaObject::Call", 24, Smoke::t_enum|Smoke::tf_stack },	//61
    { "QMimeData*", 25, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QModelIndex", 26, Smoke::t_class|Smoke::tf_stack },	//63
    { "QObject*", 27, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QObject*(*)()", 27, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QPoint&", 29, Smoke::t_class|Smoke::tf_ref },	//66
    { "QPointF&", 30, Smoke::t_class|Smoke::tf_ref },	//67
    { "QRect&", 31, Smoke::t_class|Smoke::tf_ref },	//68
    { "QRectF&", 32, Smoke::t_class|Smoke::tf_ref },	//69
    { "QRegExp&", 33, Smoke::t_class|Smoke::tf_ref },	//70
    { "QSize", 34, Smoke::t_class|Smoke::tf_stack },	//71
    { "QSize&", 34, Smoke::t_class|Smoke::tf_ref },	//72
    { "QSizeF&", 35, Smoke::t_class|Smoke::tf_ref },	//73
    { "QSql::Location", 36, Smoke::t_enum|Smoke::tf_stack },	//74
    { "QSql::NumericalPrecisionPolicy", 36, Smoke::t_enum|Smoke::tf_stack },	//75
    { "QSql::ParamTypeFlag", 36, Smoke::t_enum|Smoke::tf_stack },	//76
    { "QSql::TableType", 36, Smoke::t_enum|Smoke::tf_stack },	//77
    { "QSqlDatabase", 37, Smoke::t_class|Smoke::tf_stack },	//78
    { "QSqlDatabase&", 37, Smoke::t_class|Smoke::tf_ref },	//79
    { "QSqlDatabase*", 37, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QSqlDriver*", 38, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QSqlDriver::DriverFeature", 38, Smoke::t_enum|Smoke::tf_stack },	//82
    { "QSqlDriver::IdentifierType", 38, Smoke::t_enum|Smoke::tf_stack },	//83
    { "QSqlDriver::StatementType", 38, Smoke::t_enum|Smoke::tf_stack },	//84
    { "QSqlDriverCreatorBase*", 39, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QSqlDriverFactoryInterface*", 40, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QSqlDriverPlugin*", 41, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QSqlError", 42, Smoke::t_class|Smoke::tf_stack },	//88
    { "QSqlError&", 42, Smoke::t_class|Smoke::tf_ref },	//89
    { "QSqlError*", 42, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QSqlError::ErrorType", 42, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QSqlField", 43, Smoke::t_class|Smoke::tf_stack },	//92
    { "QSqlField&", 43, Smoke::t_class|Smoke::tf_ref },	//93
    { "QSqlField*", 43, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QSqlField::RequiredStatus", 43, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QSqlIndex", 44, Smoke::t_class|Smoke::tf_stack },	//96
    { "QSqlIndex&", 44, Smoke::t_class|Smoke::tf_ref },	//97
    { "QSqlIndex*", 44, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QSqlQuery", 45, Smoke::t_class|Smoke::tf_stack },	//99
    { "QSqlQuery&", 45, Smoke::t_class|Smoke::tf_ref },	//100
    { "QSqlQuery*", 45, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QSqlQuery::BatchExecutionMode", 45, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QSqlQueryModel*", 46, Smoke::t_class|Smoke::tf_ptr },	//103
    { "QSqlRecord", 47, Smoke::t_class|Smoke::tf_stack },	//104
    { "QSqlRecord&", 47, Smoke::t_class|Smoke::tf_ref },	//105
    { "QSqlRecord*", 47, Smoke::t_class|Smoke::tf_ptr },	//106
    { "QSqlRelation", 48, Smoke::t_class|Smoke::tf_stack },	//107
    { "QSqlRelation*", 48, Smoke::t_class|Smoke::tf_ptr },	//108
    { "QSqlRelationalTableModel*", 49, Smoke::t_class|Smoke::tf_ptr },	//109
    { "QSqlResult*", 50, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QSqlResult::BindingSyntax", 50, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QSqlResult::VirtualHookOperation", 50, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QSqlTableModel*", 51, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QSqlTableModel::EditStrategy", 51, Smoke::t_enum|Smoke::tf_stack },	//114
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//115
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//116
    { "QString::Null", 52, Smoke::t_class|Smoke::tf_stack },	//117
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//119
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//120
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//121
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "QTextStream&", 54, Smoke::t_class|Smoke::tf_ref },	//123
    { "QTextStream&(*)(QTextStream&)", 54, Smoke::t_class|Smoke::tf_ref },	//124
    { "QTextStream::NumberFlag", 54, Smoke::t_enum|Smoke::tf_stack },	//125
    { "QTextStreamManipulator", 55, Smoke::t_class|Smoke::tf_stack },	//126
    { "QTime&", 56, Smoke::t_class|Smoke::tf_ref },	//127
    { "QTimerEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//128
    { "QUrl&", 58, Smoke::t_class|Smoke::tf_ref },	//129
    { "QUrl::FormattingOption", 58, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QUuid&", 59, Smoke::t_class|Smoke::tf_ref },	//131
    { "QVariant", 60, Smoke::t_class|Smoke::tf_stack },	//132
    { "QVariant&", 60, Smoke::t_class|Smoke::tf_ref },	//133
    { "QVariant::Type", 60, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QVariant::Type&", 60, Smoke::t_enum|Smoke::tf_ref },	//135
    { "QVector<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//136
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QtMsgType", 16, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QtValidLicenseForActiveQtModule", 16, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QtValidLicenseForCoreModule", 16, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QtValidLicenseForDBusModule", 16, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QtValidLicenseForDeclarativeModule", 16, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QtValidLicenseForGuiModule", 16, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QtValidLicenseForHelpModule", 16, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QtValidLicenseForMultimediaModule", 16, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QtValidLicenseForNetworkModule", 16, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QtValidLicenseForOpenGLModule", 16, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QtValidLicenseForOpenVGModule", 16, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QtValidLicenseForQt3SupportLightModule", 16, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QtValidLicenseForQt3SupportModule", 16, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QtValidLicenseForScriptModule", 16, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QtValidLicenseForScriptToolsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QtValidLicenseForSqlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QtValidLicenseForSvgModule", 16, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QtValidLicenseForTestModule", 16, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QtValidLicenseForXmlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QtValidLicenseForXmlPatternsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//229
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//230
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//231
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//232
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QByteArray", 5, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//234
    { "const QByteArray&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QChar&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QDate&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QDateTime&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QDir&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QEasingCurve&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QHashDummyValue&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QLatin1String&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QLine&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QLineF&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QLocale&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QMargins&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QMetaObject&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QMetaObject*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//250
    { "const QMimeData*", 25, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//251
    { "const QModelIndex&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QObject*", 27, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//253
    { "const QPersistentModelIndex&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QPoint", 29, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//255
    { "const QPoint&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QPointF", 30, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//257
    { "const QPointF&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QRect&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QRectF&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QRegExp&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QRegExp*", 33, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//262
    { "const QSize", 34, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//263
    { "const QSize&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QSizeF", 35, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//265
    { "const QSizeF&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QSqlDatabase&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QSqlDriver*", 38, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//268
    { "const QSqlDriverCreatorBase&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QSqlDriverFactoryInterface&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QSqlError&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QSqlField&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QSqlIndex&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QSqlQuery&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QSqlRecord&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QSqlRelation&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QSqlResult*", 50, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//277
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//278
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//281
    { "const QStringRef&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const QTime&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QUrl&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const QUuid&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QVariant&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const QVariant::Type", 60, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//287
    { "const QVariantComparisonHelper&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//289
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//290
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//291
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//292
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//293
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//294
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//295
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//296
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//297
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//298
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//299
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//300
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//301
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//302
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//303
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//304
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//305
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//306
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//307
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//308
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//309
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//310
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//311
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    252, 286, 294, 0,	//1  const QModelIndex&, const QVariant&, int
    252, 0,	//5  const QModelIndex&
    252, 247, 0,	//7  const QModelIndex&, const QMap<int,QVariant>&
    245, 0,	//10  const QList<QModelIndex>&
    294, 294, 252, 0,	//12  int, int, const QModelIndex&
    294, 190, 0,	//16  int, Qt::SortOrder
    252, 294, 286, 294, 42, 0,	//19  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    251, 158, 294, 294, 252, 0,	//25  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    292, 0,	//31  double
    19, 19, 0,	//33  QFile::Permission, QFile::Permission
    10, 8, 0,	//36  QDataStream&, QChar&
    16, 23, 0,	//39  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    289, 242, 0,	//42  const char*, const QLatin1String&
    10, 57, 0,	//45  QDataStream&, QLocale&
    207, 294, 0,	//48  Qt::WindowType, int
    232, 289, 302, 0,	//51  char*, const char*, unsigned int
    302, 0,	//55  unsigned int
    231, 0,	//57  char
    266, 292, 0,	//59  const QSizeF&, double
    13, 243, 0,	//62  QDebug, const QLine&
    289, 0,	//65  const char*
    235, 289, 0,	//67  const QByteArray&, const char*
    289, 279, 0,	//70  const char*, const QString&
    10, 68, 0,	//73  QDataStream&, QRect&
    172, 172, 0,	//76  Qt::ItemFlag, Qt::ItemFlag
    286, 288, 0,	//79  const QVariant&, const QVariantComparisonHelper&
    13, 26, 0,	//82  QDebug, QFlags<QIODevice::OpenModeFlag>
    264, 264, 0,	//85  const QSize&, const QSize&
    7, 279, 0,	//88  QChar, const QString&
    13, 271, 0,	//91  QDebug, const QSqlError&
    289, 289, 302, 0,	//94  const char*, const char*, unsigned int
    242, 242, 0,	//98  const QLatin1String&, const QLatin1String&
    282, 282, 0,	//101  const QStringRef&, const QStringRef&
    232, 299, 289, 306, 0,	//104  char*, size_t, const char*, va_list
    258, 258, 0,	//109  const QPointF&, const QPointF&
    279, 282, 0,	//112  const QString&, const QStringRef&
    279, 7, 0,	//115  const QString&, QChar
    289, 302, 0,	//118  const char*, unsigned int
    242, 282, 0,	//121  const QLatin1String&, const QStringRef&
    13, 237, 0,	//124  QDebug, const QDate&
    197, 197, 0,	//127  Qt::ToolBarArea, Qt::ToolBarArea
    13, 244, 0,	//130  QDebug, const QLineF&
    260, 260, 0,	//133  const QRectF&, const QRectF&
    300, 0,	//136  unsigned char
    253, 279, 262, 249, 56, 0,	//138  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    282, 242, 0,	//144  const QStringRef&, const QLatin1String&
    294, 0,	//147  int
    10, 11, 0,	//149  QDataStream&, QDate&
    293, 0,	//152  float
    194, 294, 0,	//154  Qt::TextInteractionFlag, int
    7, 7, 0,	//157  QChar, QChar
    7, 0,	//160  QChar
    13, 272, 0,	//162  QDebug, const QSqlField&
    10, 129, 0,	//165  QDataStream&, QUrl&
    13, 252, 0,	//168  QDebug, const QModelIndex&
    52, 27, 0,	//171  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    289, 294, 0,	//174  const char*, int
    292, 292, 0,	//177  double, double
    10, 287, 0,	//180  QDataStream&, const QVariant::Type
    297, 0,	//183  short
    10, 286, 0,	//185  QDataStream&, const QVariant&
    194, 45, 0,	//188  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    172, 40, 0,	//191  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    295, 0,	//194  long
    169, 39, 0,	//196  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    289, 289, 0,	//199  const char*, const char*
    10, 266, 0,	//202  QDataStream&, const QSizeF&
    117, 117, 0,	//205  QString::Null, QString::Null
    289, 235, 0,	//208  const char*, const QByteArray&
    233, 0,	//211  const QBitArray&
    16, 16, 0,	//213  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    232, 289, 0,	//216  char*, const char*
    233, 233, 0,	//219  const QBitArray&, const QBitArray&
    256, 256, 0,	//222  const QPoint&, const QPoint&
    175, 41, 0,	//225  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    258, 292, 0,	//228  const QPointF&, double
    13, 266, 0,	//231  QDebug, const QSizeF&
    241, 241, 0,	//234  const QHashDummyValue&, const QHashDummyValue&
    1, 1, 0,	//237  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    259, 259, 0,	//240  const QRect&, const QRect&
    10, 131, 0,	//243  QDataStream&, QUuid&
    235, 235, 0,	//246  const QByteArray&, const QByteArray&
    290, 294, 0,	//249  const unsigned char*, int
    235, 294, 0,	//252  const QByteArray&, int
    235, 0,	//255  const QByteArray&
    10, 279, 0,	//257  QDataStream&, const QString&
    123, 124, 0,	//260  QTextStream&, QTextStream&(*)(QTextStream&)
    158, 294, 0,	//263  Qt::DropAction, int
    309, 299, 299, 299, 0,	//266  void*, size_t, size_t, size_t
    178, 294, 0,	//271  Qt::MatchFlag, int
    10, 256, 0,	//274  QDataStream&, const QPoint&
    13, 259, 0,	//277  QDebug, const QRect&
    122, 31, 0,	//280  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    305, 0,	//283  unsigned short
    194, 194, 0,	//285  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    13, 239, 0,	//288  QDebug, const QDir&
    118, 30, 0,	//291  QString::SectionFlag, QFlags<QString::SectionFlag>
    180, 180, 0,	//294  Qt::MouseButton, Qt::MouseButton
    309, 299, 0,	//297  void*, size_t
    158, 158, 0,	//300  Qt::DropAction, Qt::DropAction
    1, 294, 0,	//303  QAbstractFileEngine::FileFlag, int
    279, 117, 0,	//306  const QString&, QString::Null
    163, 37, 0,	//309  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    18, 294, 0,	//312  QEventLoop::ProcessEventsFlag, int
    58, 58, 0,	//315  QLocale::NumberOption, QLocale::NumberOption
    50, 50, 0,	//318  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    10, 54, 0,	//321  QDataStream&, QLineF&
    10, 244, 0,	//324  QDataStream&, const QLineF&
    266, 266, 0,	//327  const QSizeF&, const QSizeF&
    292, 264, 0,	//330  double, const QSize&
    156, 35, 0,	//333  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    296, 0,	//336  long long
    178, 42, 0,	//338  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    258, 0,	//341  const QPointF&
    137, 294, 0,	//343  Qt::AlignmentFlag, int
    167, 294, 0,	//346  Qt::ImageConversionFlag, int
    13, 264, 0,	//349  QDebug, const QSize&
    122, 294, 0,	//352  QTextCodec::ConversionFlag, int
    13, 256, 0,	//355  QDebug, const QPoint&
    13, 284, 0,	//358  QDebug, const QUrl&
    256, 0,	//361  const QPoint&
    10, 258, 0,	//363  QDataStream&, const QPointF&
    122, 122, 0,	//366  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    4, 4, 0,	//369  QBool, QBool
    279, 231, 0,	//372  const QString&, char
    289, 282, 0,	//375  const char*, const QStringRef&
    304, 0,	//378  unsigned long long
    125, 294, 0,	//380  QTextStream::NumberFlag, int
    13, 258, 0,	//383  QDebug, const QPointF&
    117, 279, 0,	//386  QString::Null, const QString&
    307, 0,	//389  void(*)()
    58, 28, 0,	//391  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    163, 163, 0,	//394  Qt::GestureFlag, Qt::GestureFlag
    10, 69, 0,	//397  QDataStream&, QRectF&
    293, 293, 0,	//400  float, float
    10, 236, 0,	//403  QDataStream&, const QChar&
    10, 67, 0,	//406  QDataStream&, QPointF&
    264, 292, 0,	//409  const QSize&, double
    308, 0,	//412  void(*)(QtMsgType,const char*)
    123, 126, 0,	//414  QTextStream&, QTextStreamManipulator
    137, 137, 0,	//417  Qt::AlignmentFlag, Qt::AlignmentFlag
    10, 53, 0,	//420  QDataStream&, QLine&
    14, 14, 0,	//423  QDir::Filter, QDir::Filter
    256, 292, 0,	//426  const QPoint&, double
    10, 235, 0,	//429  QDataStream&, const QByteArray&
    167, 167, 0,	//432  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    206, 294, 0,	//435  Qt::WindowState, int
    10, 116, 0,	//438  QDataStream&, QString&
    253, 279, 249, 0,	//441  const QObject*, const QString&, const QMetaObject&
    10, 260, 0,	//445  QDataStream&, const QRectF&
    10, 3, 0,	//448  QDataStream&, QBitArray&
    10, 72, 0,	//451  QDataStream&, QSize&
    175, 175, 0,	//454  Qt::KeyboardModifier, Qt::KeyboardModifier
    230, 4, 0,	//457  bool, QBool
    125, 125, 0,	//460  QTextStream::NumberFlag, QTextStream::NumberFlag
    10, 12, 0,	//463  QDataStream&, QDateTime&
    286, 134, 309, 0,	//466  const QVariant&, QVariant::Type, void*
    282, 279, 0,	//470  const QStringRef&, const QString&
    290, 301, 294, 0,	//473  const unsigned char*, unsigned char*, int
    175, 294, 0,	//477  Qt::KeyboardModifier, int
    10, 238, 0,	//480  QDataStream&, const QDateTime&
    210, 289, 0,	//483  QtMsgType, const char*
    18, 24, 0,	//486  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    248, 248, 0,	//489  const QMargins&, const QMargins&
    235, 279, 0,	//492  const QByteArray&, const QString&
    130, 130, 0,	//495  QUrl::FormattingOption, QUrl::FormattingOption
    13, 287, 0,	//498  QDebug, const QVariant::Type
    156, 294, 0,	//501  Qt::DockWidgetArea, int
    10, 127, 0,	//504  QDataStream&, QTime&
    207, 207, 0,	//507  Qt::WindowType, Qt::WindowType
    309, 294, 299, 0,	//510  void*, int, size_t
    13, 238, 0,	//514  QDebug, const QDateTime&
    298, 0,	//517  signed char
    207, 49, 0,	//519  Qt::WindowType, QFlags<Qt::WindowType>
    206, 206, 0,	//522  Qt::WindowState, Qt::WindowState
    19, 294, 0,	//525  QFile::Permission, int
    10, 120, 0,	//528  QDataStream&, QStringList&
    13, 286, 0,	//531  QDebug, const QVariant&
    65, 0,	//534  QObject*(*)()
    292, 258, 0,	//536  double, const QPointF&
    10, 284, 0,	//539  QDataStream&, const QUrl&
    10, 283, 0,	//542  QDataStream&, const QTime&
    10, 66, 0,	//545  QDataStream&, QPoint&
    282, 0,	//548  const QStringRef&
    10, 70, 0,	//550  QDataStream&, QRegExp&
    169, 294, 0,	//553  Qt::InputMethodHint, int
    10, 246, 0,	//556  QDataStream&, const QLocale&
    13, 275, 0,	//559  QDebug, const QSqlRecord&
    299, 299, 0,	//562  size_t, size_t
    10, 233, 0,	//565  QDataStream&, const QBitArray&
    279, 235, 0,	//568  const QString&, const QByteArray&
    289, 289, 289, 294, 0,	//571  const char*, const char*, const char*, int
    130, 33, 0,	//576  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    18, 18, 0,	//579  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    235, 231, 0,	//582  const QByteArray&, char
    52, 52, 0,	//585  QLibrary::LoadHint, QLibrary::LoadHint
    137, 34, 0,	//588  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    10, 285, 0,	//591  QDataStream&, const QUuid&
    50, 26, 0,	//594  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    10, 243, 0,	//597  QDataStream&, const QLine&
    163, 294, 0,	//600  Qt::GestureFlag, int
    282, 289, 0,	//603  const QStringRef&, const char*
    15, 22, 0,	//606  QDir::SortFlag, QFlags<QDir::SortFlag>
    10, 237, 0,	//609  QDataStream&, const QDate&
    231, 235, 0,	//612  char, const QByteArray&
    279, 289, 0,	//615  const QString&, const char*
    52, 294, 0,	//618  QLibrary::LoadHint, int
    76, 76, 0,	//621  QSql::ParamTypeFlag, QSql::ParamTypeFlag
    76, 294, 0,	//624  QSql::ParamTypeFlag, int
    290, 294, 294, 0,	//627  const unsigned char*, int, int
    182, 182, 0,	//631  Qt::Orientation, Qt::Orientation
    279, 0,	//634  const QString&
    279, 279, 0,	//636  const QString&, const QString&
    4, 230, 0,	//639  QBool, bool
    10, 280, 0,	//642  QDataStream&, const QStringList&
    10, 261, 0,	//645  QDataStream&, const QRegExp&
    15, 294, 0,	//648  QDir::SortFlag, int
    309, 291, 299, 0,	//651  void*, const void*, size_t
    309, 0,	//655  void*
    197, 46, 0,	//657  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    13, 254, 0,	//660  QDebug, const QPersistentModelIndex&
    10, 133, 0,	//663  QDataStream&, QVariant&
    200, 47, 0,	//666  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    292, 256, 0,	//669  double, const QPoint&
    13, 253, 0,	//672  QDebug, const QObject*
    19, 25, 0,	//675  QFile::Permission, QFlags<QFile::Permission>
    289, 289, 294, 0,	//678  const char*, const char*, int
    13, 260, 0,	//682  QDebug, const QRectF&
    125, 32, 0,	//685  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    15, 15, 0,	//688  QDir::SortFlag, QDir::SortFlag
    14, 294, 0,	//691  QDir::Filter, int
    200, 294, 0,	//694  Qt::TouchPointState, int
    303, 0,	//697  unsigned long
    1, 20, 0,	//699  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    180, 43, 0,	//702  Qt::MouseButton, QFlags<Qt::MouseButton>
    158, 36, 0,	//705  Qt::DropAction, QFlags<Qt::DropAction>
    299, 0,	//708  size_t
    182, 294, 0,	//710  Qt::Orientation, int
    197, 294, 0,	//713  Qt::ToolBarArea, int
    10, 6, 0,	//716  QDataStream&, QByteArray&
    10, 135, 0,	//719  QDataStream&, QVariant::Type&
    10, 259, 0,	//722  QDataStream&, const QRect&
    13, 240, 0,	//725  QDebug, const QEasingCurve&
    76, 29, 0,	//728  QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>
    254, 0,	//731  const QPersistentModelIndex&
    58, 294, 0,	//733  QLocale::NumberOption, int
    13, 283, 0,	//736  QDebug, const QTime&
    200, 200, 0,	//739  Qt::TouchPointState, Qt::TouchPointState
    167, 38, 0,	//742  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    206, 48, 0,	//745  Qt::WindowState, QFlags<Qt::WindowState>
    156, 156, 0,	//748  Qt::DockWidgetArea, Qt::DockWidgetArea
    16, 294, 0,	//751  QDirIterator::IteratorFlag, int
    292, 266, 0,	//754  double, const QSizeF&
    13, 248, 0,	//757  QDebug, const QMargins&
    130, 294, 0,	//760  QUrl::FormattingOption, int
    178, 178, 0,	//763  Qt::MatchFlag, Qt::MatchFlag
    169, 169, 0,	//766  Qt::InputMethodHint, Qt::InputMethodHint
    182, 44, 0,	//769  Qt::Orientation, QFlags<Qt::Orientation>
    13, 21, 0,	//772  QDebug, QFlags<QDir::Filter>
    172, 294, 0,	//775  Qt::ItemFlag, int
    180, 294, 0,	//778  Qt::MouseButton, int
    10, 73, 0,	//781  QDataStream&, QSizeF&
    50, 294, 0,	//784  QIODevice::OpenModeFlag, int
    118, 294, 0,	//787  QString::SectionFlag, int
    231, 279, 0,	//790  char, const QString&
    10, 264, 0,	//793  QDataStream&, const QSize&
    14, 21, 0,	//796  QDir::Filter, QFlags<QDir::Filter>
    13, 267, 0,	//799  QDebug, const QSqlDatabase&
    118, 118, 0,	//802  QString::SectionFlag, QString::SectionFlag
    17, 0,	//805  QEvent*
    64, 17, 0,	//807  QObject*, QEvent*
    128, 0,	//810  QTimerEvent*
    9, 0,	//812  QChildEvent*
    267, 0,	//814  const QSqlDatabase&
    77, 0,	//816  QSql::TableType
    75, 0,	//818  QSql::NumericalPrecisionPolicy
    81, 279, 0,	//820  QSqlDriver*, const QString&
    267, 279, 0,	//823  const QSqlDatabase&, const QString&
    279, 230, 0,	//826  const QString&, bool
    279, 85, 0,	//829  const QString&, QSqlDriverCreatorBase*
    81, 0,	//832  QSqlDriver*
    61, 294, 310, 0,	//834  QMetaObject::Call, int, void**
    64, 0,	//838  QObject*
    272, 230, 0,	//840  const QSqlField&, bool
    279, 83, 0,	//843  const QString&, QSqlDriver::IdentifierType
    84, 279, 275, 230, 0,	//846  QSqlDriver::StatementType, const QString&, const QSqlRecord&, bool
    82, 0,	//851  QSqlDriver::DriverFeature
    279, 279, 279, 279, 294, 279, 0,	//853  const QString&, const QString&, const QString&, const QString&, int, const QString&
    230, 0,	//860  bool
    271, 0,	//862  const QSqlError&
    272, 0,	//864  const QSqlField&
    279, 279, 279, 0,	//866  const QString&, const QString&, const QString&
    279, 279, 279, 279, 0,	//870  const QString&, const QString&, const QString&, const QString&
    279, 279, 279, 279, 294, 0,	//875  const QString&, const QString&, const QString&, const QString&, int
    269, 0,	//881  const QSqlDriverCreatorBase&
    270, 0,	//883  const QSqlDriverFactoryInterface&
    279, 279, 91, 294, 0,	//885  const QString&, const QString&, QSqlError::ErrorType, int
    91, 0,	//890  QSqlError::ErrorType
    279, 279, 91, 0,	//892  const QString&, const QString&, QSqlError::ErrorType
    279, 134, 0,	//896  const QString&, QVariant::Type
    286, 0,	//899  const QVariant&
    134, 0,	//901  QVariant::Type
    95, 0,	//903  QSqlField::RequiredStatus
    273, 0,	//905  const QSqlIndex&
    294, 230, 0,	//907  int, bool
    110, 0,	//910  QSqlResult*
    279, 78, 0,	//912  const QString&, QSqlDatabase
    78, 0,	//915  QSqlDatabase
    274, 0,	//917  const QSqlQuery&
    102, 0,	//919  QSqlQuery::BatchExecutionMode
    279, 286, 29, 0,	//921  const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>
    294, 286, 29, 0,	//925  int, const QVariant&, QFlags<QSql::ParamTypeFlag>
    286, 29, 0,	//929  const QVariant&, QFlags<QSql::ParamTypeFlag>
    279, 286, 0,	//932  const QString&, const QVariant&
    294, 286, 0,	//935  int, const QVariant&
    252, 294, 0,	//938  const QModelIndex&, int
    294, 182, 294, 0,	//941  int, Qt::Orientation, int
    294, 182, 286, 294, 0,	//945  int, Qt::Orientation, const QVariant&, int
    279, 267, 0,	//950  const QString&, const QSqlDatabase&
    294, 182, 0,	//953  int, Qt::Orientation
    294, 182, 286, 0,	//956  int, Qt::Orientation, const QVariant&
    294, 294, 0,	//960  int, int
    275, 0,	//963  const QSqlRecord&
    294, 272, 0,	//965  int, const QSqlField&
    276, 0,	//968  const QSqlRelation&
    64, 78, 0,	//970  QObject*, QSqlDatabase
    294, 276, 0,	//973  int, const QSqlRelation&
    294, 275, 0,	//976  int, const QSqlRecord&
    252, 286, 0,	//979  const QModelIndex&, const QVariant&
    268, 0,	//982  const QSqlDriver*
    294, 309, 0,	//984  int, void*
    114, 0,	//987  QSqlTableModel::EditStrategy
    294, 105, 0,	//989  int, QSqlRecord&
    105, 0,	//992  QSqlRecord&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AfterLastRow",	//1
    "AllTables",	//2
    "BLOB",	//3
    "BatchOperation",	//4
    "BatchOperations",	//5
    "BeforeFirstRow",	//6
    "Binary",	//7
    "ConnectionError",	//8
    "DeleteStatement",	//9
    "DetachFromResultSet",	//10
    "EventNotifications",	//11
    "FieldName",	//12
    "FinishQuery",	//13
    "HighPrecision",	//14
    "In",	//15
    "InOut",	//16
    "InsertStatement",	//17
    "LastInsertId",	//18
    "LicensedActiveQt",	//19
    "LicensedCore",	//20
    "LicensedDBus",	//21
    "LicensedDeclarative",	//22
    "LicensedGui",	//23
    "LicensedHelp",	//24
    "LicensedMultimedia",	//25
    "LicensedNetwork",	//26
    "LicensedOpenGL",	//27
    "LicensedOpenVG",	//28
    "LicensedQt3Support",	//29
    "LicensedQt3SupportLight",	//30
    "LicensedScript",	//31
    "LicensedScriptTools",	//32
    "LicensedSql",	//33
    "LicensedSvg",	//34
    "LicensedTest",	//35
    "LicensedXml",	//36
    "LicensedXmlPatterns",	//37
    "LowPrecisionDouble",	//38
    "LowPrecisionInt32",	//39
    "LowPrecisionInt64",	//40
    "LowPrecisionNumbers",	//41
    "MultipleResultSets",	//42
    "NamedBinding",	//43
    "NamedPlaceholders",	//44
    "NextResult",	//45
    "NoError",	//46
    "OnFieldChange",	//47
    "OnManualSubmit",	//48
    "OnRowChange",	//49
    "Optional",	//50
    "Out",	//51
    "PositionalBinding",	//52
    "PositionalPlaceholders",	//53
    "PreparedQueries",	//54
    "QSqlDatabase",	//55
    "QSqlDatabase#",	//56
    "QSqlDatabase$",	//57
    "QSqlDriver",	//58
    "QSqlDriver#",	//59
    "QSqlDriverCreatorBase",	//60
    "QSqlDriverCreatorBase#",	//61
    "QSqlDriverFactoryInterface",	//62
    "QSqlDriverFactoryInterface#",	//63
    "QSqlDriverPlugin",	//64
    "QSqlDriverPlugin#",	//65
    "QSqlError",	//66
    "QSqlError#",	//67
    "QSqlError$",	//68
    "QSqlError$$",	//69
    "QSqlError$$$",	//70
    "QSqlError$$$$",	//71
    "QSqlField",	//72
    "QSqlField#",	//73
    "QSqlField$",	//74
    "QSqlField$$",	//75
    "QSqlIndex",	//76
    "QSqlIndex#",	//77
    "QSqlIndex$",	//78
    "QSqlIndex$$",	//79
    "QSqlQuery",	//80
    "QSqlQuery#",	//81
    "QSqlQuery$",	//82
    "QSqlQuery$#",	//83
    "QSqlQueryModel",	//84
    "QSqlQueryModel#",	//85
    "QSqlRecord",	//86
    "QSqlRecord#",	//87
    "QSqlRelation",	//88
    "QSqlRelation#",	//89
    "QSqlRelation$$$",	//90
    "QSqlRelationalTableModel",	//91
    "QSqlRelationalTableModel#",	//92
    "QSqlRelationalTableModel##",	//93
    "QSqlResult",	//94
    "QSqlResult#",	//95
    "QSqlTableModel",	//96
    "QSqlTableModel#",	//97
    "QSqlTableModel##",	//98
    "Q_COMPLEX_TYPE",	//99
    "Q_DUMMY_TYPE",	//100
    "Q_MOVABLE_TYPE",	//101
    "Q_PRIMITIVE_TYPE",	//102
    "Q_STATIC_TYPE",	//103
    "QtCriticalMsg",	//104
    "QtDebugMsg",	//105
    "QtFatalMsg",	//106
    "QtSystemMsg",	//107
    "QtWarningMsg",	//108
    "QuerySize",	//109
    "Required",	//110
    "SelectStatement",	//111
    "SetNumericalPrecision",	//112
    "SimpleLocking",	//113
    "StatementError",	//114
    "SystemTables",	//115
    "TableName",	//116
    "Tables",	//117
    "TransactionError",	//118
    "Transactions",	//119
    "Unicode",	//120
    "Unknown",	//121
    "UnknownError",	//122
    "UpdateStatement",	//123
    "ValuesAsColumns",	//124
    "ValuesAsRows",	//125
    "Views",	//126
    "WhereStatement",	//127
    "addBindValue",	//128
    "addBindValue#",	//129
    "addBindValue#$",	//130
    "addDatabase",	//131
    "addDatabase#",	//132
    "addDatabase#$",	//133
    "addDatabase$",	//134
    "addDatabase$$",	//135
    "append",	//136
    "append#",	//137
    "append#$",	//138
    "at",	//139
    "beforeDelete",	//140
    "beforeDelete$",	//141
    "beforeInsert",	//142
    "beforeInsert#",	//143
    "beforeUpdate",	//144
    "beforeUpdate$#",	//145
    "beginTransaction",	//146
    "bindValue",	//147
    "bindValue$#",	//148
    "bindValue$#$",	//149
    "bindValueType",	//150
    "bindValueType$",	//151
    "bindingSyntax",	//152
    "boundValue",	//153
    "boundValue$",	//154
    "boundValueCount",	//155
    "boundValueName",	//156
    "boundValueName$",	//157
    "boundValues",	//158
    "buddy",	//159
    "canFetchMore",	//160
    "canFetchMore#",	//161
    "childEvent",	//162
    "clear",	//163
    "clearValues",	//164
    "cloneDatabase",	//165
    "cloneDatabase#$",	//166
    "close",	//167
    "columnCount",	//168
    "columnCount#",	//169
    "commit",	//170
    "commitTransaction",	//171
    "connectNotify",	//172
    "connectOptions",	//173
    "connectionName",	//174
    "connectionNames",	//175
    "contains",	//176
    "contains$",	//177
    "count",	//178
    "create",	//179
    "create$",	//180
    "createObject",	//181
    "createResult",	//182
    "cursorName",	//183
    "customEvent",	//184
    "data",	//185
    "data#",	//186
    "data#$",	//187
    "data$",	//188
    "database",	//189
    "database$",	//190
    "database$$",	//191
    "databaseName",	//192
    "databaseText",	//193
    "defaultConnection",	//194
    "defaultValue",	//195
    "deleteRowFromTable",	//196
    "deleteRowFromTable$",	//197
    "detachFromResultSet",	//198
    "disconnectNotify",	//199
    "displayColumn",	//200
    "driver",	//201
    "driverName",	//202
    "driverText",	//203
    "drivers",	//204
    "dropMimeData",	//205
    "editStrategy",	//206
    "escapeIdentifier",	//207
    "escapeIdentifier$$",	//208
    "event",	//209
    "eventFilter",	//210
    "exec",	//211
    "exec$",	//212
    "execBatch",	//213
    "execBatch$",	//214
    "executedQuery",	//215
    "fetch",	//216
    "fetch$",	//217
    "fetchFirst",	//218
    "fetchLast",	//219
    "fetchMore",	//220
    "fetchMore#",	//221
    "fetchNext",	//222
    "fetchPrevious",	//223
    "field",	//224
    "field$",	//225
    "fieldIndex",	//226
    "fieldIndex$",	//227
    "fieldName",	//228
    "fieldName$",	//229
    "filter",	//230
    "finish",	//231
    "first",	//232
    "flags",	//233
    "flags#",	//234
    "formatValue",	//235
    "formatValue#",	//236
    "formatValue#$",	//237
    "handle",	//238
    "hasFeature",	//239
    "hasFeature$",	//240
    "hasOutValues",	//241
    "headerData",	//242
    "headerData$$",	//243
    "headerData$$$",	//244
    "hostName",	//245
    "index",	//246
    "indexColumn",	//247
    "indexInQuery",	//248
    "indexInQuery#",	//249
    "indexOf",	//250
    "indexOf$",	//251
    "insert",	//252
    "insert$#",	//253
    "insertColumns",	//254
    "insertColumns$$",	//255
    "insertColumns$$#",	//256
    "insertRecord",	//257
    "insertRecord$#",	//258
    "insertRowIntoTable",	//259
    "insertRowIntoTable#",	//260
    "insertRows",	//261
    "insertRows$$",	//262
    "insertRows$$#",	//263
    "isActive",	//264
    "isAutoValue",	//265
    "isDescending",	//266
    "isDescending$",	//267
    "isDirty",	//268
    "isDirty#",	//269
    "isDriverAvailable",	//270
    "isDriverAvailable$",	//271
    "isEmpty",	//272
    "isForwardOnly",	//273
    "isGenerated",	//274
    "isGenerated$",	//275
    "isIdentifierEscaped",	//276
    "isIdentifierEscaped$$",	//277
    "isIdentifierEscapedImplementation",	//278
    "isIdentifierEscapedImplementation$$",	//279
    "isNull",	//280
    "isNull$",	//281
    "isOpen",	//282
    "isOpenError",	//283
    "isReadOnly",	//284
    "isSelect",	//285
    "isValid",	//286
    "itemData",	//287
    "keys",	//288
    "last",	//289
    "lastError",	//290
    "lastInsertId",	//291
    "lastQuery",	//292
    "length",	//293
    "match",	//294
    "metaObject",	//295
    "mimeData",	//296
    "mimeTypes",	//297
    "name",	//298
    "next",	//299
    "nextResult",	//300
    "notification",	//301
    "notification$",	//302
    "numRowsAffected",	//303
    "number",	//304
    "numericalPrecisionPolicy",	//305
    "open",	//306
    "open$",	//307
    "open$$",	//308
    "open$$$",	//309
    "open$$$$",	//310
    "open$$$$$",	//311
    "open$$$$$$",	//312
    "operator!=",	//313
    "operator!=#",	//314
    "operator!=##",	//315
    "operator!=#$",	//316
    "operator!=$#",	//317
    "operator!=$$",	//318
    "operator&",	//319
    "operator&##",	//320
    "operator*",	//321
    "operator*#$",	//322
    "operator*$#",	//323
    "operator+",	//324
    "operator+##",	//325
    "operator+#$",	//326
    "operator+$#",	//327
    "operator+$$",	//328
    "operator-",	//329
    "operator-#",	//330
    "operator-##",	//331
    "operator/",	//332
    "operator/#$",	//333
    "operator<",	//334
    "operator<##",	//335
    "operator<#$",	//336
    "operator<$#",	//337
    "operator<$$",	//338
    "operator<<",	//339
    "operator<<##",	//340
    "operator<<#$",	//341
    "operator<<#?",	//342
    "operator<=",	//343
    "operator<=##",	//344
    "operator<=#$",	//345
    "operator<=$#",	//346
    "operator<=$$",	//347
    "operator=",	//348
    "operator=#",	//349
    "operator==",	//350
    "operator==#",	//351
    "operator==##",	//352
    "operator==#$",	//353
    "operator==$#",	//354
    "operator==$$",	//355
    "operator>",	//356
    "operator>##",	//357
    "operator>#$",	//358
    "operator>$#",	//359
    "operator>$$",	//360
    "operator>=",	//361
    "operator>=##",	//362
    "operator>=#$",	//363
    "operator>=$#",	//364
    "operator>=$$",	//365
    "operator>>",	//366
    "operator>>##",	//367
    "operator>>#$",	//368
    "operator>>#?",	//369
    "operator^",	//370
    "operator^##",	//371
    "operator|",	//372
    "operator|##",	//373
    "operator|$$",	//374
    "orderByClause",	//375
    "password",	//376
    "port",	//377
    "precision",	//378
    "prepare",	//379
    "prepare$",	//380
    "previous",	//381
    "primaryIndex",	//382
    "primaryIndex$",	//383
    "primaryKey",	//384
    "primeInsert",	//385
    "primeInsert$#",	//386
    "qAcos",	//387
    "qAcos$",	//388
    "qAddPostRoutine",	//389
    "qAddPostRoutine$",	//390
    "qAppName",	//391
    "qAsin",	//392
    "qAsin$",	//393
    "qAtan",	//394
    "qAtan$",	//395
    "qAtan2",	//396
    "qAtan2$$",	//397
    "qBadAlloc",	//398
    "qCeil",	//399
    "qCeil$",	//400
    "qChecksum",	//401
    "qChecksum$$",	//402
    "qCompress",	//403
    "qCompress#",	//404
    "qCompress#$",	//405
    "qCompress$$",	//406
    "qCompress$$$",	//407
    "qCos",	//408
    "qCos$",	//409
    "qCritical",	//410
    "qDebug",	//411
    "qExp",	//412
    "qExp$",	//413
    "qFabs",	//414
    "qFabs$",	//415
    "qFastCos",	//416
    "qFastCos$",	//417
    "qFastSin",	//418
    "qFastSin$",	//419
    "qFlagLocation",	//420
    "qFlagLocation$",	//421
    "qFloor",	//422
    "qFloor$",	//423
    "qFree",	//424
    "qFree$",	//425
    "qFreeAligned",	//426
    "qFreeAligned$",	//427
    "qFuzzyCompare",	//428
    "qFuzzyCompare$$",	//429
    "qFuzzyIsNull",	//430
    "qFuzzyIsNull$",	//431
    "qHash",	//432
    "qHash#",	//433
    "qHash$",	//434
    "qHash?",	//435
    "qInf",	//436
    "qInstallMsgHandler",	//437
    "qInstallMsgHandler$",	//438
    "qIntCast",	//439
    "qIntCast$",	//440
    "qIsFinite",	//441
    "qIsFinite$",	//442
    "qIsInf",	//443
    "qIsInf$",	//444
    "qIsNaN",	//445
    "qIsNaN$",	//446
    "qIsNull",	//447
    "qIsNull$",	//448
    "qLn",	//449
    "qLn$",	//450
    "qMalloc",	//451
    "qMalloc?",	//452
    "qMallocAligned",	//453
    "qMallocAligned??",	//454
    "qMemCopy",	//455
    "qMemCopy$$?",	//456
    "qMemSet",	//457
    "qMemSet$$?",	//458
    "qPow",	//459
    "qPow$$",	//460
    "qQNaN",	//461
    "qRealloc",	//462
    "qRealloc$?",	//463
    "qReallocAligned",	//464
    "qReallocAligned$???",	//465
    "qRegisterStaticPluginInstanceFunction",	//466
    "qRegisterStaticPluginInstanceFunction#",	//467
    "qRemovePostRoutine",	//468
    "qRemovePostRoutine$",	//469
    "qRound",	//470
    "qRound$",	//471
    "qRound64",	//472
    "qRound64$",	//473
    "qSNaN",	//474
    "qSetFieldWidth",	//475
    "qSetFieldWidth$",	//476
    "qSetPadChar",	//477
    "qSetPadChar#",	//478
    "qSetRealNumberPrecision",	//479
    "qSetRealNumberPrecision$",	//480
    "qSharedBuild",	//481
    "qSin",	//482
    "qSin$",	//483
    "qSqrt",	//484
    "qSqrt$",	//485
    "qStringComparisonHelper",	//486
    "qStringComparisonHelper#$",	//487
    "qStringComparisonHelper$$",	//488
    "qTan",	//489
    "qTan$",	//490
    "qUncompress",	//491
    "qUncompress#",	//492
    "qUncompress$$",	//493
    "qVersion",	//494
    "qWarning",	//495
    "qbswap_helper",	//496
    "qbswap_helper$$$",	//497
    "qgetenv",	//498
    "qgetenv$",	//499
    "qputenv",	//500
    "qputenv$#",	//501
    "qrand",	//502
    "qsrand",	//503
    "qsrand$",	//504
    "qstrcmp",	//505
    "qstrcmp##",	//506
    "qstrcmp#$",	//507
    "qstrcmp$#",	//508
    "qstrcmp$$",	//509
    "qstrcpy",	//510
    "qstrcpy$$",	//511
    "qstrdup",	//512
    "qstrdup$",	//513
    "qstricmp",	//514
    "qstricmp$$",	//515
    "qstrlen",	//516
    "qstrlen$",	//517
    "qstrncmp",	//518
    "qstrncmp$$$",	//519
    "qstrncpy",	//520
    "qstrncpy$$$",	//521
    "qstrnicmp",	//522
    "qstrnicmp$$$",	//523
    "qstrnlen",	//524
    "qstrnlen$$",	//525
    "qtTrId",	//526
    "qtTrId$",	//527
    "qtTrId$$",	//528
    "qt_assert",	//529
    "qt_assert$$$",	//530
    "qt_assert_x",	//531
    "qt_assert_x$$$$",	//532
    "qt_check_pointer",	//533
    "qt_check_pointer$$",	//534
    "qt_error_string",	//535
    "qt_error_string$",	//536
    "qt_message_output",	//537
    "qt_message_output$$",	//538
    "qt_metacall",	//539
    "qt_metacall$$?",	//540
    "qt_metacast",	//541
    "qt_metacast$",	//542
    "qt_noop",	//543
    "qt_qFindChild_helper",	//544
    "qt_qFindChild_helper#$#",	//545
    "qt_qFindChildren_helper",	//546
    "qt_qFindChildren_helper#$##?",	//547
    "query",	//548
    "queryChange",	//549
    "qvariant_cast_helper",	//550
    "qvariant_cast_helper#$$",	//551
    "qvsnprintf",	//552
    "qvsnprintf$?$?",	//553
    "record",	//554
    "record$",	//555
    "registerSqlDriver",	//556
    "registerSqlDriver$#",	//557
    "relation",	//558
    "relation$",	//559
    "relationModel",	//560
    "relationModel$",	//561
    "remove",	//562
    "remove$",	//563
    "removeColumns",	//564
    "removeColumns$$",	//565
    "removeColumns$$#",	//566
    "removeDatabase",	//567
    "removeDatabase$",	//568
    "removeRows",	//569
    "removeRows$$",	//570
    "removeRows$$#",	//571
    "replace",	//572
    "replace$#",	//573
    "requiredStatus",	//574
    "reset",	//575
    "reset$",	//576
    "result",	//577
    "revert",	//578
    "revertAll",	//579
    "revertRow",	//580
    "revertRow$",	//581
    "rollback",	//582
    "rollbackTransaction",	//583
    "rowCount",	//584
    "rowCount#",	//585
    "savePrepare",	//586
    "savePrepare$",	//587
    "seek",	//588
    "seek$",	//589
    "seek$$",	//590
    "select",	//591
    "selectStatement",	//592
    "setActive",	//593
    "setActive$",	//594
    "setAt",	//595
    "setAt$",	//596
    "setAutoValue",	//597
    "setAutoValue$",	//598
    "setConnectOptions",	//599
    "setConnectOptions$",	//600
    "setCursorName",	//601
    "setCursorName$",	//602
    "setData",	//603
    "setData##",	//604
    "setData##$",	//605
    "setDatabaseName",	//606
    "setDatabaseName$",	//607
    "setDatabaseText",	//608
    "setDatabaseText$",	//609
    "setDefaultConnection",	//610
    "setDefaultConnection$",	//611
    "setDefaultValue",	//612
    "setDefaultValue#",	//613
    "setDescending",	//614
    "setDescending$$",	//615
    "setDriverText",	//616
    "setDriverText$",	//617
    "setEditStrategy",	//618
    "setEditStrategy$",	//619
    "setFilter",	//620
    "setFilter$",	//621
    "setForwardOnly",	//622
    "setForwardOnly$",	//623
    "setGenerated",	//624
    "setGenerated$",	//625
    "setGenerated$$",	//626
    "setHeaderData",	//627
    "setHeaderData$$#",	//628
    "setHeaderData$$#$",	//629
    "setHostName",	//630
    "setHostName$",	//631
    "setItemData",	//632
    "setLastError",	//633
    "setLastError#",	//634
    "setLength",	//635
    "setLength$",	//636
    "setName",	//637
    "setName$",	//638
    "setNull",	//639
    "setNull$",	//640
    "setNumber",	//641
    "setNumber$",	//642
    "setNumericalPrecisionPolicy",	//643
    "setNumericalPrecisionPolicy$",	//644
    "setOpen",	//645
    "setOpen$",	//646
    "setOpenError",	//647
    "setOpenError$",	//648
    "setPassword",	//649
    "setPassword$",	//650
    "setPort",	//651
    "setPort$",	//652
    "setPrecision",	//653
    "setPrecision$",	//654
    "setPrimaryKey",	//655
    "setPrimaryKey#",	//656
    "setQuery",	//657
    "setQuery#",	//658
    "setQuery$",	//659
    "setQuery$#",	//660
    "setReadOnly",	//661
    "setReadOnly$",	//662
    "setRecord",	//663
    "setRecord$#",	//664
    "setRelation",	//665
    "setRelation$#",	//666
    "setRequired",	//667
    "setRequired$",	//668
    "setRequiredStatus",	//669
    "setRequiredStatus$",	//670
    "setSelect",	//671
    "setSelect$",	//672
    "setSort",	//673
    "setSort$$",	//674
    "setSqlType",	//675
    "setSqlType$",	//676
    "setTable",	//677
    "setTable$",	//678
    "setType",	//679
    "setType$",	//680
    "setUserName",	//681
    "setUserName$",	//682
    "setValue",	//683
    "setValue#",	//684
    "setValue$#",	//685
    "size",	//686
    "sort",	//687
    "sort$$",	//688
    "span",	//689
    "sqlStatement",	//690
    "sqlStatement$$#$",	//691
    "staticMetaObject",	//692
    "stripDelimiters",	//693
    "stripDelimiters$$",	//694
    "stripDelimitersImplementation",	//695
    "stripDelimitersImplementation$$",	//696
    "submit",	//697
    "submitAll",	//698
    "subscribeToNotification",	//699
    "subscribeToNotification$",	//700
    "subscribeToNotificationImplementation",	//701
    "subscribeToNotificationImplementation$",	//702
    "subscribedToNotifications",	//703
    "subscribedToNotificationsImplementation",	//704
    "supportedDropActions",	//705
    "tableName",	//706
    "tables",	//707
    "tables$",	//708
    "text",	//709
    "timerEvent",	//710
    "tr",	//711
    "tr$",	//712
    "tr$$",	//713
    "tr$$$",	//714
    "trUtf8",	//715
    "trUtf8$",	//716
    "trUtf8$$",	//717
    "trUtf8$$$",	//718
    "transaction",	//719
    "type",	//720
    "typeID",	//721
    "unsubscribeFromNotification",	//722
    "unsubscribeFromNotification$",	//723
    "unsubscribeFromNotificationImplementation",	//724
    "unsubscribeFromNotificationImplementation$",	//725
    "updateRowInTable",	//726
    "updateRowInTable$#",	//727
    "userName",	//728
    "value",	//729
    "value$",	//730
    "virtual_hook",	//731
    "virtual_hook$$",	//732
    "~QSqlDatabase",	//733
    "~QSqlDriver",	//734
    "~QSqlDriverCreatorBase",	//735
    "~QSqlDriverFactoryInterface",	//736
    "~QSqlDriverPlugin",	//737
    "~QSqlError",	//738
    "~QSqlField",	//739
    "~QSqlIndex",	//740
    "~QSqlQuery",	//741
    "~QSqlQueryModel",	//742
    "~QSqlRecord",	//743
    "~QSqlRelation",	//744
    "~QSqlRelationalTableModel",	//745
    "~QSqlResult",	//746
    "~QSqlTableModel",	//747
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 603, 1, 3, Smoke::mf_virtual, 230, 0},	//1 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {1, 287, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 60, 0},	//2 QAbstractItemModel::itemData(const QModelIndex&) const
    {1, 632, 7, 2, Smoke::mf_virtual, 230, 0},	//3 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {1, 297, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 119, 0},	//4 QAbstractItemModel::mimeTypes() const
    {1, 296, 10, 1, Smoke::mf_const|Smoke::mf_virtual, 62, 0},	//5 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {1, 705, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 36, 0},	//6 QAbstractItemModel::supportedDropActions() const
    {1, 261, 12, 3, Smoke::mf_virtual, 230, 0},	//7 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {1, 569, 12, 3, Smoke::mf_virtual, 230, 0},	//8 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {1, 233, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 0},	//9 QAbstractItemModel::flags(const QModelIndex&) const
    {1, 687, 16, 2, Smoke::mf_virtual, 0, 0},	//10 QAbstractItemModel::sort(int, Qt::SortOrder)
    {1, 159, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 63, 0},	//11 QAbstractItemModel::buddy(const QModelIndex&) const
    {1, 294, 19, 5, Smoke::mf_const|Smoke::mf_virtual, 55, 0},	//12 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {1, 689, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 71, 0},	//13 QAbstractItemModel::span(const QModelIndex&) const
    {1, 697, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 230, 0},	//14 QAbstractItemModel::submit()
    {1, 578, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//15 QAbstractItemModel::revert()
    {2, 246, 12, 3, Smoke::mf_const|Smoke::mf_virtual, 63, 0},	//16 QAbstractTableModel::index(int, int, const QModelIndex&) const
    {2, 205, 25, 5, Smoke::mf_virtual, 230, 0},	//17 QAbstractTableModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {15, 288, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 119, 0},	//18 QFactoryInterface::keys() const [pure virtual]
    {16, 470, 31, 1, Smoke::mf_static, 294, 1},	//19 QGlobalSpace::qRound(double)
    {16, 372, 33, 2, Smoke::mf_static, 25, 2},	//20 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {16, 387, 31, 1, Smoke::mf_static, 292, 3},	//21 QGlobalSpace::qAcos(double)
    {16, 366, 36, 2, Smoke::mf_static, 10, 4},	//22 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {16, 372, 39, 2, Smoke::mf_static, 23, 5},	//23 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {16, 361, 42, 2, Smoke::mf_static, 230, 6},	//24 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {16, 366, 45, 2, Smoke::mf_static, 10, 7},	//25 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {16, 391, 0, 0, Smoke::mf_static, 115, 8},	//26 QGlobalSpace::qAppName()
    {16, 372, 48, 2, Smoke::mf_static, 51, 9},	//27 QGlobalSpace::operator|(Qt::WindowType, int)
    {16, 520, 51, 3, Smoke::mf_static, 232, 10},	//28 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {16, 432, 55, 1, Smoke::mf_static, 302, 11},	//29 QGlobalSpace::qHash(unsigned int)
    {16, 432, 57, 1, Smoke::mf_static, 302, 12},	//30 QGlobalSpace::qHash(char)
    {16, 321, 59, 2, Smoke::mf_static, 265, 13},	//31 QGlobalSpace::operator*(const QSizeF&, double)
    {16, 339, 62, 2, Smoke::mf_static, 13, 14},	//32 QGlobalSpace::operator<<(QDebug, const QLine&)
    {16, 498, 65, 1, Smoke::mf_static, 5, 15},	//33 QGlobalSpace::qgetenv(const char*)
    {16, 334, 67, 2, Smoke::mf_static, 230, 16},	//34 QGlobalSpace::operator<(const QByteArray&, const char*)
    {16, 356, 70, 2, Smoke::mf_static, 230, 17},	//35 QGlobalSpace::operator>(const char*, const QString&)
    {16, 366, 73, 2, Smoke::mf_static, 10, 18},	//36 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {16, 372, 76, 2, Smoke::mf_static, 40, 19},	//37 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {16, 350, 79, 2, Smoke::mf_static, 230, 20},	//38 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {16, 339, 82, 2, Smoke::mf_static, 13, 21},	//39 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {16, 350, 85, 2, Smoke::mf_static, 230, 22},	//40 QGlobalSpace::operator==(const QSize&, const QSize&)
    {16, 418, 31, 1, Smoke::mf_static, 292, 23},	//41 QGlobalSpace::qFastSin(double)
    {16, 324, 88, 2, Smoke::mf_static, 278, 24},	//42 QGlobalSpace::operator+(QChar, const QString&)
    {16, 339, 91, 2, Smoke::mf_static, 13, 25},	//43 QGlobalSpace::operator<<(QDebug, const QSqlError&)
    {16, 518, 94, 3, Smoke::mf_static, 294, 26},	//44 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {16, 343, 98, 2, Smoke::mf_static, 230, 27},	//45 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {16, 343, 101, 2, Smoke::mf_static, 230, 28},	//46 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {16, 552, 104, 4, Smoke::mf_static, 294, 29},	//47 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {16, 313, 109, 2, Smoke::mf_static, 230, 30},	//48 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {16, 313, 112, 2, Smoke::mf_static, 230, 31},	//49 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {16, 324, 115, 2, Smoke::mf_static, 278, 32},	//50 QGlobalSpace::operator+(const QString&, QChar)
    {16, 324, 85, 2, Smoke::mf_static, 263, 33},	//51 QGlobalSpace::operator+(const QSize&, const QSize&)
    {16, 524, 118, 2, Smoke::mf_static, 302, 34},	//52 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {16, 350, 101, 2, Smoke::mf_static, 230, 35},	//53 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {16, 313, 121, 2, Smoke::mf_static, 230, 36},	//54 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {16, 339, 124, 2, Smoke::mf_static, 13, 37},	//55 QGlobalSpace::operator<<(QDebug, const QDate&)
    {16, 372, 127, 2, Smoke::mf_static, 46, 38},	//56 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {16, 339, 130, 2, Smoke::mf_static, 13, 39},	//57 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {16, 313, 133, 2, Smoke::mf_static, 230, 40},	//58 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {16, 432, 136, 1, Smoke::mf_static, 302, 41},	//59 QGlobalSpace::qHash(unsigned char)
    {16, 546, 138, 5, Smoke::mf_static, 0, 42},	//60 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {16, 350, 144, 2, Smoke::mf_static, 230, 43},	//61 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {16, 535, 147, 1, Smoke::mf_static, 115, 44},	//62 QGlobalSpace::qt_error_string(int)
    {16, 535, 0, 0, Smoke::mf_static, 115, 45},	//63 QGlobalSpace::qt_error_string()
    {16, 366, 149, 2, Smoke::mf_static, 10, 46},	//64 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {16, 447, 152, 1, Smoke::mf_static, 230, 47},	//65 QGlobalSpace::qIsNull(float)
    {16, 372, 154, 2, Smoke::mf_static, 51, 48},	//66 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {16, 461, 0, 0, Smoke::mf_static, 292, 49},	//67 QGlobalSpace::qQNaN()
    {16, 313, 157, 2, Smoke::mf_static, 230, 50},	//68 QGlobalSpace::operator!=(QChar, QChar)
    {16, 477, 160, 1, Smoke::mf_static, 126, 51},	//69 QGlobalSpace::qSetPadChar(QChar)
    {16, 339, 162, 2, Smoke::mf_static, 13, 52},	//70 QGlobalSpace::operator<<(QDebug, const QSqlField&)
    {16, 366, 165, 2, Smoke::mf_static, 10, 53},	//71 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {16, 329, 109, 2, Smoke::mf_static, 257, 54},	//72 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {16, 339, 168, 2, Smoke::mf_static, 13, 55},	//73 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {16, 372, 171, 2, Smoke::mf_static, 27, 56},	//74 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {16, 526, 174, 2, Smoke::mf_static, 115, 57},	//75 QGlobalSpace::qtTrId(const char*, int)
    {16, 526, 65, 1, Smoke::mf_static, 115, 58},	//76 QGlobalSpace::qtTrId(const char*)
    {16, 396, 177, 2, Smoke::mf_static, 292, 59},	//77 QGlobalSpace::qAtan2(double, double)
    {16, 339, 180, 2, Smoke::mf_static, 10, 60},	//78 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {16, 432, 183, 1, Smoke::mf_static, 302, 61},	//79 QGlobalSpace::qHash(short)
    {16, 350, 42, 2, Smoke::mf_static, 230, 62},	//80 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {16, 339, 185, 2, Smoke::mf_static, 10, 63},	//81 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {16, 372, 188, 2, Smoke::mf_static, 45, 64},	//82 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {16, 441, 31, 1, Smoke::mf_static, 230, 65},	//83 QGlobalSpace::qIsFinite(double)
    {16, 372, 191, 2, Smoke::mf_static, 40, 66},	//84 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {16, 505, 67, 2, Smoke::mf_static, 294, 67},	//85 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {16, 512, 65, 1, Smoke::mf_static, 232, 68},	//86 QGlobalSpace::qstrdup(const char*)
    {16, 432, 194, 1, Smoke::mf_static, 302, 69},	//87 QGlobalSpace::qHash(long)
    {16, 372, 196, 2, Smoke::mf_static, 39, 70},	//88 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {16, 505, 199, 2, Smoke::mf_static, 294, 71},	//89 QGlobalSpace::qstrcmp(const char*, const char*)
    {16, 339, 202, 2, Smoke::mf_static, 10, 72},	//90 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {16, 356, 98, 2, Smoke::mf_static, 230, 73},	//91 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {16, 313, 205, 2, Smoke::mf_static, 230, 74},	//92 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {16, 324, 208, 2, Smoke::mf_static, 234, 75},	//93 QGlobalSpace::operator+(const char*, const QByteArray&)
    {16, 313, 42, 2, Smoke::mf_static, 230, 76},	//94 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {16, 432, 211, 1, Smoke::mf_static, 302, 77},	//95 QGlobalSpace::qHash(const QBitArray&)
    {16, 372, 213, 2, Smoke::mf_static, 23, 78},	//96 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {16, 510, 216, 2, Smoke::mf_static, 232, 79},	//97 QGlobalSpace::qstrcpy(char*, const char*)
    {16, 372, 219, 2, Smoke::mf_static, 2, 80},	//98 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {16, 313, 222, 2, Smoke::mf_static, 230, 81},	//99 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {16, 334, 208, 2, Smoke::mf_static, 230, 82},	//100 QGlobalSpace::operator<(const char*, const QByteArray&)
    {16, 394, 31, 1, Smoke::mf_static, 292, 83},	//101 QGlobalSpace::qAtan(double)
    {16, 505, 208, 2, Smoke::mf_static, 294, 84},	//102 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {16, 361, 157, 2, Smoke::mf_static, 230, 85},	//103 QGlobalSpace::operator>=(QChar, QChar)
    {16, 372, 225, 2, Smoke::mf_static, 41, 86},	//104 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {16, 343, 157, 2, Smoke::mf_static, 230, 87},	//105 QGlobalSpace::operator<=(QChar, QChar)
    {16, 321, 228, 2, Smoke::mf_static, 257, 88},	//106 QGlobalSpace::operator*(const QPointF&, double)
    {16, 339, 231, 2, Smoke::mf_static, 13, 89},	//107 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {16, 350, 234, 2, Smoke::mf_static, 230, 90},	//108 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {16, 372, 237, 2, Smoke::mf_static, 20, 91},	//109 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {16, 533, 174, 2, Smoke::mf_static, 0, 92},	//110 QGlobalSpace::qt_check_pointer(const char*, int)
    {16, 350, 205, 2, Smoke::mf_static, 230, 93},	//111 QGlobalSpace::operator==(QString::Null, QString::Null)
    {16, 313, 98, 2, Smoke::mf_static, 230, 94},	//112 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {16, 313, 240, 2, Smoke::mf_static, 230, 95},	//113 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {16, 366, 243, 2, Smoke::mf_static, 10, 96},	//114 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {16, 343, 246, 2, Smoke::mf_static, 230, 97},	//115 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {16, 491, 249, 2, Smoke::mf_static, 5, 98},	//116 QGlobalSpace::qUncompress(const unsigned char*, int)
    {16, 403, 252, 2, Smoke::mf_static, 5, 99},	//117 QGlobalSpace::qCompress(const QByteArray&, int)
    {16, 403, 255, 1, Smoke::mf_static, 5, 100},	//118 QGlobalSpace::qCompress(const QByteArray&)
    {16, 339, 257, 2, Smoke::mf_static, 10, 101},	//119 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {16, 366, 260, 2, Smoke::mf_static, 123, 102},	//120 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {16, 372, 263, 2, Smoke::mf_static, 51, 103},	//121 QGlobalSpace::operator|(Qt::DropAction, int)
    {16, 464, 266, 4, Smoke::mf_static, 309, 104},	//122 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {16, 372, 271, 2, Smoke::mf_static, 51, 105},	//123 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {16, 356, 42, 2, Smoke::mf_static, 230, 106},	//124 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {16, 484, 31, 1, Smoke::mf_static, 292, 107},	//125 QGlobalSpace::qSqrt(double)
    {16, 339, 260, 2, Smoke::mf_static, 123, 108},	//126 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {16, 339, 274, 2, Smoke::mf_static, 10, 109},	//127 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {16, 339, 277, 2, Smoke::mf_static, 13, 110},	//128 QGlobalSpace::operator<<(QDebug, const QRect&)
    {16, 356, 101, 2, Smoke::mf_static, 230, 111},	//129 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {16, 361, 246, 2, Smoke::mf_static, 230, 112},	//130 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {16, 439, 152, 1, Smoke::mf_static, 294, 113},	//131 QGlobalSpace::qIntCast(float)
    {16, 372, 280, 2, Smoke::mf_static, 31, 114},	//132 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {16, 350, 109, 2, Smoke::mf_static, 230, 115},	//133 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {16, 356, 208, 2, Smoke::mf_static, 230, 116},	//134 QGlobalSpace::operator>(const char*, const QByteArray&)
    {16, 414, 31, 1, Smoke::mf_static, 292, 117},	//135 QGlobalSpace::qFabs(double)
    {16, 432, 283, 1, Smoke::mf_static, 302, 118},	//136 QGlobalSpace::qHash(unsigned short)
    {16, 350, 208, 2, Smoke::mf_static, 230, 119},	//137 QGlobalSpace::operator==(const char*, const QByteArray&)
    {16, 372, 285, 2, Smoke::mf_static, 45, 120},	//138 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {16, 339, 288, 2, Smoke::mf_static, 13, 121},	//139 QGlobalSpace::operator<<(QDebug, const QDir&)
    {16, 372, 291, 2, Smoke::mf_static, 30, 122},	//140 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {16, 372, 294, 2, Smoke::mf_static, 43, 123},	//141 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {16, 313, 101, 2, Smoke::mf_static, 230, 124},	//142 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {16, 462, 297, 2, Smoke::mf_static, 309, 125},	//143 QGlobalSpace::qRealloc(void*, size_t)
    {16, 372, 300, 2, Smoke::mf_static, 36, 126},	//144 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {16, 372, 303, 2, Smoke::mf_static, 51, 127},	//145 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {16, 350, 306, 2, Smoke::mf_static, 230, 128},	//146 QGlobalSpace::operator==(const QString&, QString::Null)
    {16, 372, 309, 2, Smoke::mf_static, 37, 129},	//147 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {16, 495, 0, 0, Smoke::mf_static, 13, 130},	//148 QGlobalSpace::qWarning()
    {16, 372, 312, 2, Smoke::mf_static, 51, 131},	//149 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {16, 428, 177, 2, Smoke::mf_static, 230, 132},	//150 QGlobalSpace::qFuzzyCompare(double, double)
    {16, 343, 42, 2, Smoke::mf_static, 230, 133},	//151 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {16, 372, 315, 2, Smoke::mf_static, 28, 134},	//152 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {16, 372, 318, 2, Smoke::mf_static, 26, 135},	//153 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {16, 366, 321, 2, Smoke::mf_static, 10, 136},	//154 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {16, 339, 324, 2, Smoke::mf_static, 10, 137},	//155 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {16, 313, 327, 2, Smoke::mf_static, 230, 138},	//156 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {16, 321, 330, 2, Smoke::mf_static, 263, 139},	//157 QGlobalSpace::operator*(double, const QSize&)
    {16, 372, 333, 2, Smoke::mf_static, 35, 140},	//158 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {16, 411, 0, 0, Smoke::mf_static, 13, 141},	//159 QGlobalSpace::qDebug()
    {16, 432, 336, 1, Smoke::mf_static, 302, 142},	//160 QGlobalSpace::qHash(long long)
    {16, 372, 338, 2, Smoke::mf_static, 42, 143},	//161 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {16, 343, 70, 2, Smoke::mf_static, 230, 144},	//162 QGlobalSpace::operator<=(const char*, const QString&)
    {16, 329, 341, 1, Smoke::mf_static, 257, 145},	//163 QGlobalSpace::operator-(const QPointF&)
    {16, 372, 343, 2, Smoke::mf_static, 51, 146},	//164 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {16, 443, 152, 1, Smoke::mf_static, 230, 147},	//165 QGlobalSpace::qIsInf(float)
    {16, 372, 346, 2, Smoke::mf_static, 51, 148},	//166 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {16, 324, 70, 2, Smoke::mf_static, 278, 149},	//167 QGlobalSpace::operator+(const char*, const QString&)
    {16, 343, 208, 2, Smoke::mf_static, 230, 150},	//168 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {16, 339, 349, 2, Smoke::mf_static, 13, 151},	//169 QGlobalSpace::operator<<(QDebug, const QSize&)
    {16, 313, 246, 2, Smoke::mf_static, 230, 152},	//170 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {16, 356, 157, 2, Smoke::mf_static, 230, 153},	//171 QGlobalSpace::operator>(QChar, QChar)
    {16, 332, 59, 2, Smoke::mf_static, 265, 154},	//172 QGlobalSpace::operator/(const QSizeF&, double)
    {16, 372, 352, 2, Smoke::mf_static, 51, 155},	//173 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {16, 339, 355, 2, Smoke::mf_static, 13, 156},	//174 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {16, 505, 246, 2, Smoke::mf_static, 294, 157},	//175 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {16, 319, 219, 2, Smoke::mf_static, 2, 158},	//176 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {16, 339, 358, 2, Smoke::mf_static, 13, 159},	//177 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {16, 329, 361, 1, Smoke::mf_static, 255, 160},	//178 QGlobalSpace::operator-(const QPoint&)
    {16, 361, 67, 2, Smoke::mf_static, 230, 161},	//179 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {16, 339, 363, 2, Smoke::mf_static, 10, 162},	//180 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {16, 372, 366, 2, Smoke::mf_static, 31, 163},	//181 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {16, 361, 98, 2, Smoke::mf_static, 230, 164},	//182 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {16, 334, 101, 2, Smoke::mf_static, 230, 165},	//183 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {16, 313, 369, 2, Smoke::mf_static, 230, 166},	//184 QGlobalSpace::operator!=(QBool, QBool)
    {16, 324, 372, 2, Smoke::mf_static, 278, 167},	//185 QGlobalSpace::operator+(const QString&, char)
    {16, 313, 375, 2, Smoke::mf_static, 230, 168},	//186 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {16, 432, 378, 1, Smoke::mf_static, 302, 169},	//187 QGlobalSpace::qHash(unsigned long long)
    {16, 350, 98, 2, Smoke::mf_static, 230, 170},	//188 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {16, 420, 65, 1, Smoke::mf_static, 289, 171},	//189 QGlobalSpace::qFlagLocation(const char*)
    {16, 332, 228, 2, Smoke::mf_static, 257, 172},	//190 QGlobalSpace::operator/(const QPointF&, double)
    {16, 439, 31, 1, Smoke::mf_static, 294, 173},	//191 QGlobalSpace::qIntCast(double)
    {16, 372, 380, 2, Smoke::mf_static, 51, 174},	//192 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {16, 491, 255, 1, Smoke::mf_static, 5, 175},	//193 QGlobalSpace::qUncompress(const QByteArray&)
    {16, 313, 79, 2, Smoke::mf_static, 230, 176},	//194 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {16, 339, 383, 2, Smoke::mf_static, 13, 177},	//195 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {16, 350, 386, 2, Smoke::mf_static, 230, 178},	//196 QGlobalSpace::operator==(QString::Null, const QString&)
    {16, 343, 67, 2, Smoke::mf_static, 230, 179},	//197 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {16, 416, 31, 1, Smoke::mf_static, 292, 180},	//198 QGlobalSpace::qFastCos(double)
    {16, 468, 389, 1, Smoke::mf_static, 0, 181},	//199 QGlobalSpace::qRemovePostRoutine(void(*)())
    {16, 372, 391, 2, Smoke::mf_static, 28, 182},	//200 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {16, 372, 394, 2, Smoke::mf_static, 37, 183},	//201 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {16, 366, 397, 2, Smoke::mf_static, 10, 184},	//202 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {16, 428, 400, 2, Smoke::mf_static, 230, 185},	//203 QGlobalSpace::qFuzzyCompare(float, float)
    {16, 339, 403, 2, Smoke::mf_static, 10, 186},	//204 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {16, 401, 118, 2, Smoke::mf_static, 305, 187},	//205 QGlobalSpace::qChecksum(const char*, unsigned int)
    {16, 366, 406, 2, Smoke::mf_static, 10, 188},	//206 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {16, 321, 409, 2, Smoke::mf_static, 263, 189},	//207 QGlobalSpace::operator*(const QSize&, double)
    {16, 437, 412, 1, Smoke::mf_static, 308, 190},	//208 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {16, 339, 414, 2, Smoke::mf_static, 123, 191},	//209 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {16, 329, 222, 2, Smoke::mf_static, 255, 192},	//210 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {16, 372, 417, 2, Smoke::mf_static, 34, 193},	//211 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {16, 366, 420, 2, Smoke::mf_static, 10, 194},	//212 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {16, 372, 423, 2, Smoke::mf_static, 21, 195},	//213 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {16, 410, 0, 0, Smoke::mf_static, 13, 196},	//214 QGlobalSpace::qCritical()
    {16, 332, 426, 2, Smoke::mf_static, 255, 197},	//215 QGlobalSpace::operator/(const QPoint&, double)
    {16, 459, 177, 2, Smoke::mf_static, 292, 198},	//216 QGlobalSpace::qPow(double, double)
    {16, 339, 429, 2, Smoke::mf_static, 10, 199},	//217 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {16, 313, 386, 2, Smoke::mf_static, 230, 200},	//218 QGlobalSpace::operator!=(QString::Null, const QString&)
    {16, 432, 147, 1, Smoke::mf_static, 302, 201},	//219 QGlobalSpace::qHash(int)
    {16, 372, 432, 2, Smoke::mf_static, 38, 202},	//220 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {16, 543, 0, 0, Smoke::mf_static, 0, 203},	//221 QGlobalSpace::qt_noop()
    {16, 350, 112, 2, Smoke::mf_static, 230, 204},	//222 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {16, 372, 435, 2, Smoke::mf_static, 51, 205},	//223 QGlobalSpace::operator|(Qt::WindowState, int)
    {16, 313, 144, 2, Smoke::mf_static, 230, 206},	//224 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {16, 366, 438, 2, Smoke::mf_static, 10, 207},	//225 QGlobalSpace::operator>>(QDataStream&, QString&)
    {16, 544, 441, 3, Smoke::mf_static, 64, 208},	//226 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {16, 339, 445, 2, Smoke::mf_static, 10, 209},	//227 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {16, 350, 369, 2, Smoke::mf_static, 230, 210},	//228 QGlobalSpace::operator==(QBool, QBool)
    {16, 366, 448, 2, Smoke::mf_static, 10, 211},	//229 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {16, 412, 31, 1, Smoke::mf_static, 292, 212},	//230 QGlobalSpace::qExp(double)
    {16, 366, 451, 2, Smoke::mf_static, 10, 213},	//231 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {16, 372, 454, 2, Smoke::mf_static, 41, 214},	//232 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {16, 350, 457, 2, Smoke::mf_static, 230, 215},	//233 QGlobalSpace::operator==(bool, QBool)
    {16, 372, 460, 2, Smoke::mf_static, 32, 216},	//234 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {16, 430, 31, 1, Smoke::mf_static, 230, 217},	//235 QGlobalSpace::qFuzzyIsNull(double)
    {16, 366, 463, 2, Smoke::mf_static, 10, 218},	//236 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {16, 550, 466, 3, Smoke::mf_static, 230, 219},	//237 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {16, 334, 70, 2, Smoke::mf_static, 230, 220},	//238 QGlobalSpace::operator<(const char*, const QString&)
    {16, 350, 470, 2, Smoke::mf_static, 230, 221},	//239 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {16, 496, 473, 3, Smoke::mf_static, 0, 222},	//240 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {16, 432, 160, 1, Smoke::mf_static, 302, 223},	//241 QGlobalSpace::qHash(QChar)
    {16, 372, 477, 2, Smoke::mf_static, 51, 224},	//242 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {16, 339, 480, 2, Smoke::mf_static, 10, 225},	//243 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {16, 313, 470, 2, Smoke::mf_static, 230, 226},	//244 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {16, 334, 42, 2, Smoke::mf_static, 230, 227},	//245 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {16, 313, 457, 2, Smoke::mf_static, 230, 228},	//246 QGlobalSpace::operator!=(bool, QBool)
    {16, 537, 483, 2, Smoke::mf_static, 0, 229},	//247 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {16, 372, 486, 2, Smoke::mf_static, 24, 230},	//248 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {16, 503, 55, 1, Smoke::mf_static, 0, 231},	//249 QGlobalSpace::qsrand(unsigned int)
    {16, 350, 489, 2, Smoke::mf_static, 230, 232},	//250 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {16, 324, 492, 2, Smoke::mf_static, 278, 233},	//251 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {16, 372, 495, 2, Smoke::mf_static, 33, 234},	//252 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {16, 339, 498, 2, Smoke::mf_static, 13, 235},	//253 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {16, 372, 501, 2, Smoke::mf_static, 51, 236},	//254 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {16, 366, 504, 2, Smoke::mf_static, 10, 237},	//255 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {16, 313, 306, 2, Smoke::mf_static, 230, 238},	//256 QGlobalSpace::operator!=(const QString&, QString::Null)
    {16, 514, 199, 2, Smoke::mf_static, 294, 239},	//257 QGlobalSpace::qstricmp(const char*, const char*)
    {16, 372, 507, 2, Smoke::mf_static, 49, 240},	//258 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {16, 457, 510, 3, Smoke::mf_static, 309, 241},	//259 QGlobalSpace::qMemSet(void*, int, size_t)
    {16, 339, 514, 2, Smoke::mf_static, 13, 242},	//260 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {16, 313, 85, 2, Smoke::mf_static, 230, 243},	//261 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {16, 399, 31, 1, Smoke::mf_static, 294, 244},	//262 QGlobalSpace::qCeil(double)
    {16, 432, 517, 1, Smoke::mf_static, 302, 245},	//263 QGlobalSpace::qHash(signed char)
    {16, 372, 519, 2, Smoke::mf_static, 49, 246},	//264 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {16, 350, 133, 2, Smoke::mf_static, 230, 247},	//265 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {16, 372, 522, 2, Smoke::mf_static, 48, 248},	//266 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {16, 350, 375, 2, Smoke::mf_static, 230, 249},	//267 QGlobalSpace::operator==(const char*, const QStringRef&)
    {16, 372, 525, 2, Smoke::mf_static, 51, 250},	//268 QGlobalSpace::operator|(QFile::Permission, int)
    {16, 366, 528, 2, Smoke::mf_static, 10, 251},	//269 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {16, 339, 531, 2, Smoke::mf_static, 13, 252},	//270 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {16, 324, 222, 2, Smoke::mf_static, 255, 253},	//271 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {16, 324, 67, 2, Smoke::mf_static, 234, 254},	//272 QGlobalSpace::operator+(const QByteArray&, const char*)
    {16, 389, 389, 1, Smoke::mf_static, 0, 255},	//273 QGlobalSpace::qAddPostRoutine(void(*)())
    {16, 466, 534, 1, Smoke::mf_static, 0, 256},	//274 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {16, 321, 536, 2, Smoke::mf_static, 257, 257},	//275 QGlobalSpace::operator*(double, const QPointF&)
    {16, 481, 0, 0, Smoke::mf_static, 230, 258},	//276 QGlobalSpace::qSharedBuild()
    {16, 339, 539, 2, Smoke::mf_static, 10, 259},	//277 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {16, 339, 542, 2, Smoke::mf_static, 10, 260},	//278 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {16, 366, 545, 2, Smoke::mf_static, 10, 261},	//279 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {16, 436, 0, 0, Smoke::mf_static, 292, 262},	//280 QGlobalSpace::qInf()
    {16, 522, 94, 3, Smoke::mf_static, 294, 263},	//281 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {16, 432, 548, 1, Smoke::mf_static, 302, 264},	//282 QGlobalSpace::qHash(const QStringRef&)
    {16, 366, 550, 2, Smoke::mf_static, 10, 265},	//283 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {16, 372, 553, 2, Smoke::mf_static, 51, 266},	//284 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {16, 356, 246, 2, Smoke::mf_static, 230, 267},	//285 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {16, 339, 556, 2, Smoke::mf_static, 10, 268},	//286 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {16, 339, 559, 2, Smoke::mf_static, 13, 269},	//287 QGlobalSpace::operator<<(QDebug, const QSqlRecord&)
    {16, 350, 157, 2, Smoke::mf_static, 230, 270},	//288 QGlobalSpace::operator==(QChar, QChar)
    {16, 408, 31, 1, Smoke::mf_static, 292, 271},	//289 QGlobalSpace::qCos(double)
    {16, 453, 562, 2, Smoke::mf_static, 309, 272},	//290 QGlobalSpace::qMallocAligned(size_t, size_t)
    {16, 339, 565, 2, Smoke::mf_static, 10, 273},	//291 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {16, 324, 568, 2, Smoke::mf_static, 278, 274},	//292 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {16, 531, 571, 4, Smoke::mf_static, 0, 275},	//293 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {16, 372, 576, 2, Smoke::mf_static, 33, 276},	//294 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {16, 372, 579, 2, Smoke::mf_static, 24, 277},	//295 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {16, 324, 582, 2, Smoke::mf_static, 234, 278},	//296 QGlobalSpace::operator+(const QByteArray&, char)
    {16, 372, 585, 2, Smoke::mf_static, 27, 279},	//297 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {16, 494, 0, 0, Smoke::mf_static, 289, 280},	//298 QGlobalSpace::qVersion()
    {16, 372, 588, 2, Smoke::mf_static, 34, 281},	//299 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {16, 324, 109, 2, Smoke::mf_static, 257, 282},	//300 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {16, 339, 591, 2, Smoke::mf_static, 10, 283},	//301 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {16, 350, 70, 2, Smoke::mf_static, 230, 284},	//302 QGlobalSpace::operator==(const char*, const QString&)
    {16, 372, 594, 2, Smoke::mf_static, 26, 285},	//303 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {16, 339, 597, 2, Smoke::mf_static, 10, 286},	//304 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {16, 372, 600, 2, Smoke::mf_static, 51, 287},	//305 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {16, 350, 327, 2, Smoke::mf_static, 230, 288},	//306 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {16, 486, 603, 2, Smoke::mf_static, 230, 289},	//307 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {16, 372, 606, 2, Smoke::mf_static, 22, 290},	//308 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {16, 339, 609, 2, Smoke::mf_static, 10, 291},	//309 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {16, 324, 612, 2, Smoke::mf_static, 234, 292},	//310 QGlobalSpace::operator+(char, const QByteArray&)
    {16, 324, 615, 2, Smoke::mf_static, 278, 293},	//311 QGlobalSpace::operator+(const QString&, const char*)
    {16, 372, 618, 2, Smoke::mf_static, 51, 294},	//312 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {16, 372, 621, 2, Smoke::mf_static, 29, 295},	//313 QGlobalSpace::operator|(QSql::ParamTypeFlag, QSql::ParamTypeFlag)
    {16, 372, 624, 2, Smoke::mf_static, 51, 296},	//314 QGlobalSpace::operator|(QSql::ParamTypeFlag, int)
    {16, 334, 246, 2, Smoke::mf_static, 230, 297},	//315 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {16, 403, 627, 3, Smoke::mf_static, 5, 298},	//316 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {16, 403, 249, 2, Smoke::mf_static, 5, 299},	//317 QGlobalSpace::qCompress(const unsigned char*, int)
    {16, 422, 31, 1, Smoke::mf_static, 294, 300},	//318 QGlobalSpace::qFloor(double)
    {16, 372, 631, 2, Smoke::mf_static, 44, 301},	//319 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {16, 432, 634, 1, Smoke::mf_static, 302, 302},	//320 QGlobalSpace::qHash(const QString&)
    {16, 324, 636, 2, Smoke::mf_static, 278, 303},	//321 QGlobalSpace::operator+(const QString&, const QString&)
    {16, 313, 639, 2, Smoke::mf_static, 230, 304},	//322 QGlobalSpace::operator!=(QBool, bool)
    {16, 350, 246, 2, Smoke::mf_static, 230, 305},	//323 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {16, 339, 642, 2, Smoke::mf_static, 10, 306},	//324 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {16, 445, 152, 1, Smoke::mf_static, 230, 307},	//325 QGlobalSpace::qIsNaN(float)
    {16, 339, 645, 2, Smoke::mf_static, 10, 308},	//326 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {16, 372, 648, 2, Smoke::mf_static, 51, 309},	//327 QGlobalSpace::operator|(QDir::SortFlag, int)
    {16, 455, 651, 3, Smoke::mf_static, 309, 310},	//328 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {16, 424, 655, 1, Smoke::mf_static, 0, 311},	//329 QGlobalSpace::qFree(void*)
    {16, 350, 603, 2, Smoke::mf_static, 230, 312},	//330 QGlobalSpace::operator==(const QStringRef&, const char*)
    {16, 361, 70, 2, Smoke::mf_static, 230, 313},	//331 QGlobalSpace::operator>=(const char*, const QString&)
    {16, 445, 31, 1, Smoke::mf_static, 230, 314},	//332 QGlobalSpace::qIsNaN(double)
    {16, 372, 657, 2, Smoke::mf_static, 46, 315},	//333 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {16, 321, 426, 2, Smoke::mf_static, 255, 316},	//334 QGlobalSpace::operator*(const QPoint&, double)
    {16, 339, 660, 2, Smoke::mf_static, 13, 317},	//335 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {16, 479, 147, 1, Smoke::mf_static, 126, 318},	//336 QGlobalSpace::qSetRealNumberPrecision(int)
    {16, 502, 0, 0, Smoke::mf_static, 294, 319},	//337 QGlobalSpace::qrand()
    {16, 366, 663, 2, Smoke::mf_static, 10, 320},	//338 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {16, 372, 666, 2, Smoke::mf_static, 47, 321},	//339 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {16, 324, 246, 2, Smoke::mf_static, 234, 322},	//340 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {16, 321, 669, 2, Smoke::mf_static, 255, 323},	//341 QGlobalSpace::operator*(double, const QPoint&)
    {16, 313, 603, 2, Smoke::mf_static, 230, 324},	//342 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {16, 482, 31, 1, Smoke::mf_static, 292, 325},	//343 QGlobalSpace::qSin(double)
    {16, 339, 672, 2, Smoke::mf_static, 13, 326},	//344 QGlobalSpace::operator<<(QDebug, const QObject*)
    {16, 350, 222, 2, Smoke::mf_static, 230, 327},	//345 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {16, 372, 675, 2, Smoke::mf_static, 25, 328},	//346 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {16, 529, 678, 3, Smoke::mf_static, 0, 329},	//347 QGlobalSpace::qt_assert(const char*, const char*, int)
    {16, 339, 682, 2, Smoke::mf_static, 13, 330},	//348 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {16, 516, 65, 1, Smoke::mf_static, 302, 331},	//349 QGlobalSpace::qstrlen(const char*)
    {16, 372, 685, 2, Smoke::mf_static, 32, 332},	//350 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {16, 372, 688, 2, Smoke::mf_static, 22, 333},	//351 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {16, 443, 31, 1, Smoke::mf_static, 230, 334},	//352 QGlobalSpace::qIsInf(double)
    {16, 329, 85, 2, Smoke::mf_static, 263, 335},	//353 QGlobalSpace::operator-(const QSize&, const QSize&)
    {16, 332, 409, 2, Smoke::mf_static, 263, 336},	//354 QGlobalSpace::operator/(const QSize&, double)
    {16, 361, 208, 2, Smoke::mf_static, 230, 337},	//355 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {16, 372, 691, 2, Smoke::mf_static, 51, 338},	//356 QGlobalSpace::operator|(QDir::Filter, int)
    {16, 372, 694, 2, Smoke::mf_static, 51, 339},	//357 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {16, 313, 208, 2, Smoke::mf_static, 230, 340},	//358 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {16, 489, 31, 1, Smoke::mf_static, 292, 341},	//359 QGlobalSpace::qTan(double)
    {16, 472, 31, 1, Smoke::mf_static, 296, 342},	//360 QGlobalSpace::qRound64(double)
    {16, 432, 697, 1, Smoke::mf_static, 302, 343},	//361 QGlobalSpace::qHash(unsigned long)
    {16, 372, 699, 2, Smoke::mf_static, 20, 344},	//362 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {16, 474, 0, 0, Smoke::mf_static, 292, 345},	//363 QGlobalSpace::qSNaN()
    {16, 334, 157, 2, Smoke::mf_static, 230, 346},	//364 QGlobalSpace::operator<(QChar, QChar)
    {16, 372, 702, 2, Smoke::mf_static, 43, 347},	//365 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {16, 372, 705, 2, Smoke::mf_static, 36, 348},	//366 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {16, 329, 327, 2, Smoke::mf_static, 265, 349},	//367 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {16, 451, 708, 1, Smoke::mf_static, 309, 350},	//368 QGlobalSpace::qMalloc(size_t)
    {16, 447, 31, 1, Smoke::mf_static, 230, 351},	//369 QGlobalSpace::qIsNull(double)
    {16, 500, 208, 2, Smoke::mf_static, 230, 352},	//370 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {16, 372, 710, 2, Smoke::mf_static, 51, 353},	//371 QGlobalSpace::operator|(Qt::Orientation, int)
    {16, 372, 713, 2, Smoke::mf_static, 51, 354},	//372 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {16, 366, 716, 2, Smoke::mf_static, 10, 355},	//373 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {16, 366, 719, 2, Smoke::mf_static, 10, 356},	//374 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {16, 430, 152, 1, Smoke::mf_static, 230, 357},	//375 QGlobalSpace::qFuzzyIsNull(float)
    {16, 339, 722, 2, Smoke::mf_static, 10, 358},	//376 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {16, 339, 725, 2, Smoke::mf_static, 13, 359},	//377 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {16, 372, 728, 2, Smoke::mf_static, 29, 360},	//378 QGlobalSpace::operator|(QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>)
    {16, 432, 731, 1, Smoke::mf_static, 302, 361},	//379 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {16, 372, 733, 2, Smoke::mf_static, 51, 362},	//380 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {16, 339, 736, 2, Smoke::mf_static, 13, 363},	//381 QGlobalSpace::operator<<(QDebug, const QTime&)
    {16, 372, 739, 2, Smoke::mf_static, 47, 364},	//382 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {16, 356, 67, 2, Smoke::mf_static, 230, 365},	//383 QGlobalSpace::operator>(const QByteArray&, const char*)
    {16, 313, 489, 2, Smoke::mf_static, 230, 366},	//384 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {16, 372, 742, 2, Smoke::mf_static, 38, 367},	//385 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {16, 313, 70, 2, Smoke::mf_static, 230, 368},	//386 QGlobalSpace::operator!=(const char*, const QString&)
    {16, 475, 147, 1, Smoke::mf_static, 126, 369},	//387 QGlobalSpace::qSetFieldWidth(int)
    {16, 486, 615, 2, Smoke::mf_static, 230, 370},	//388 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {16, 372, 745, 2, Smoke::mf_static, 48, 371},	//389 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {16, 372, 748, 2, Smoke::mf_static, 35, 372},	//390 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {16, 372, 751, 2, Smoke::mf_static, 51, 373},	//391 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {16, 334, 98, 2, Smoke::mf_static, 230, 374},	//392 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {16, 321, 754, 2, Smoke::mf_static, 265, 375},	//393 QGlobalSpace::operator*(double, const QSizeF&)
    {16, 361, 101, 2, Smoke::mf_static, 230, 376},	//394 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {16, 339, 757, 2, Smoke::mf_static, 13, 377},	//395 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {16, 432, 255, 1, Smoke::mf_static, 302, 378},	//396 QGlobalSpace::qHash(const QByteArray&)
    {16, 350, 121, 2, Smoke::mf_static, 230, 379},	//397 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {16, 432, 5, 1, Smoke::mf_static, 302, 380},	//398 QGlobalSpace::qHash(const QModelIndex&)
    {16, 372, 760, 2, Smoke::mf_static, 51, 381},	//399 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {16, 350, 240, 2, Smoke::mf_static, 230, 382},	//400 QGlobalSpace::operator==(const QRect&, const QRect&)
    {16, 372, 763, 2, Smoke::mf_static, 42, 383},	//401 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {16, 372, 766, 2, Smoke::mf_static, 39, 384},	//402 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {16, 426, 655, 1, Smoke::mf_static, 0, 385},	//403 QGlobalSpace::qFreeAligned(void*)
    {16, 372, 769, 2, Smoke::mf_static, 44, 386},	//404 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {16, 339, 772, 2, Smoke::mf_static, 13, 387},	//405 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {16, 350, 67, 2, Smoke::mf_static, 230, 388},	//406 QGlobalSpace::operator==(const QByteArray&, const char*)
    {16, 372, 775, 2, Smoke::mf_static, 51, 389},	//407 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {16, 372, 778, 2, Smoke::mf_static, 51, 390},	//408 QGlobalSpace::operator|(Qt::MouseButton, int)
    {16, 449, 31, 1, Smoke::mf_static, 292, 391},	//409 QGlobalSpace::qLn(double)
    {16, 350, 639, 2, Smoke::mf_static, 230, 392},	//410 QGlobalSpace::operator==(QBool, bool)
    {16, 313, 67, 2, Smoke::mf_static, 230, 393},	//411 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {16, 370, 219, 2, Smoke::mf_static, 2, 394},	//412 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {16, 392, 31, 1, Smoke::mf_static, 292, 395},	//413 QGlobalSpace::qAsin(double)
    {16, 366, 781, 2, Smoke::mf_static, 10, 396},	//414 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {16, 398, 0, 0, Smoke::mf_static, 0, 397},	//415 QGlobalSpace::qBadAlloc()
    {16, 372, 784, 2, Smoke::mf_static, 51, 398},	//416 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {16, 372, 787, 2, Smoke::mf_static, 51, 399},	//417 QGlobalSpace::operator|(QString::SectionFlag, int)
    {16, 324, 790, 2, Smoke::mf_static, 278, 400},	//418 QGlobalSpace::operator+(char, const QString&)
    {16, 339, 793, 2, Smoke::mf_static, 10, 401},	//419 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {16, 441, 152, 1, Smoke::mf_static, 230, 402},	//420 QGlobalSpace::qIsFinite(float)
    {16, 372, 796, 2, Smoke::mf_static, 21, 403},	//421 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {16, 324, 327, 2, Smoke::mf_static, 265, 404},	//422 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {16, 339, 799, 2, Smoke::mf_static, 13, 405},	//423 QGlobalSpace::operator<<(QDebug, const QSqlDatabase&)
    {16, 372, 802, 2, Smoke::mf_static, 30, 406},	//424 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {16, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 407},	//425 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {16, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 408},	//426 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {16, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 409},	//427 QGlobalSpace::Q_STATIC_TYPE (enum)
    {16, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 410},	//428 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {16, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 411},	//429 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {16, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 412},	//430 QGlobalSpace::LicensedGui (enum)
    {16, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 413},	//431 QGlobalSpace::LicensedXml (enum)
    {16, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 414},	//432 QGlobalSpace::LicensedQt3SupportLight (enum)
    {16, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 415},	//433 QGlobalSpace::LicensedScript (enum)
    {16, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 416},	//434 QGlobalSpace::LicensedOpenVG (enum)
    {16, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 417},	//435 QGlobalSpace::LicensedDBus (enum)
    {16, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 418},	//436 QGlobalSpace::LicensedTest (enum)
    {16, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 419},	//437 QGlobalSpace::LicensedActiveQt (enum)
    {16, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 420},	//438 QGlobalSpace::LicensedScriptTools (enum)
    {16, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 421},	//439 QGlobalSpace::LicensedSvg (enum)
    {16, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 422},	//440 QGlobalSpace::LicensedDeclarative (enum)
    {16, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 423},	//441 QGlobalSpace::LicensedSql (enum)
    {16, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 424},	//442 QGlobalSpace::LicensedOpenGL (enum)
    {16, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 425},	//443 QGlobalSpace::LicensedCore (enum)
    {16, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 426},	//444 QGlobalSpace::QtDebugMsg (enum)
    {16, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 427},	//445 QGlobalSpace::QtWarningMsg (enum)
    {16, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 428},	//446 QGlobalSpace::QtCriticalMsg (enum)
    {16, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 429},	//447 QGlobalSpace::QtFatalMsg (enum)
    {16, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 430},	//448 QGlobalSpace::QtSystemMsg (enum)
    {16, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 431},	//449 QGlobalSpace::LicensedHelp (enum)
    {16, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 432},	//450 QGlobalSpace::LicensedMultimedia (enum)
    {16, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 433},	//451 QGlobalSpace::LicensedQt3Support (enum)
    {16, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 434},	//452 QGlobalSpace::LicensedXmlPatterns (enum)
    {16, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 435},	//453 QGlobalSpace::LicensedNetwork (enum)
    {27, 209, 805, 1, Smoke::mf_virtual, 230, 0},	//454 QObject::event(QEvent*)
    {27, 210, 807, 2, Smoke::mf_virtual, 230, 0},	//455 QObject::eventFilter(QObject*, QEvent*)
    {27, 710, 810, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//456 QObject::timerEvent(QTimerEvent*)
    {27, 162, 812, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//457 QObject::childEvent(QChildEvent*)
    {27, 184, 805, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//458 QObject::customEvent(QEvent*)
    {27, 172, 65, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//459 QObject::connectNotify(const char*)
    {27, 199, 65, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//460 QObject::disconnectNotify(const char*)
    {36, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 1},	//461 QSql::In (enum)
    {36, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 2},	//462 QSql::Out (enum)
    {36, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 3},	//463 QSql::InOut (enum)
    {36, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 4},	//464 QSql::Binary (enum)
    {36, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 5},	//465 QSql::LowPrecisionInt32 (enum)
    {36, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 6},	//466 QSql::LowPrecisionInt64 (enum)
    {36, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 7},	//467 QSql::LowPrecisionDouble (enum)
    {36, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 8},	//468 QSql::HighPrecision (enum)
    {36, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 9},	//469 QSql::Tables (enum)
    {36, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 10},	//470 QSql::SystemTables (enum)
    {36, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 11},	//471 QSql::Views (enum)
    {36, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 12},	//472 QSql::AllTables (enum)
    {36, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 13},	//473 QSql::BeforeFirstRow (enum)
    {36, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 14},	//474 QSql::AfterLastRow (enum)
    {37, 55, 0, 0, Smoke::mf_ctor, 80, 1},	//475 QSqlDatabase::QSqlDatabase()
    {37, 55, 814, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 80, 2},	//476 QSqlDatabase::QSqlDatabase(const QSqlDatabase&)
    {37, 348, 814, 1, 0, 79, 3},	//477 QSqlDatabase::operator=(const QSqlDatabase&)
    {37, 306, 0, 0, 0, 230, 4},	//478 QSqlDatabase::open()
    {37, 306, 636, 2, 0, 230, 5},	//479 QSqlDatabase::open(const QString&, const QString&)
    {37, 167, 0, 0, 0, 0, 6},	//480 QSqlDatabase::close()
    {37, 282, 0, 0, Smoke::mf_const, 230, 7},	//481 QSqlDatabase::isOpen() const
    {37, 283, 0, 0, Smoke::mf_const, 230, 8},	//482 QSqlDatabase::isOpenError() const
    {37, 707, 816, 1, Smoke::mf_const, 119, 9},	//483 QSqlDatabase::tables(QSql::TableType) const
    {37, 382, 634, 1, Smoke::mf_const, 96, 10},	//484 QSqlDatabase::primaryIndex(const QString&) const
    {37, 554, 634, 1, Smoke::mf_const, 104, 11},	//485 QSqlDatabase::record(const QString&) const
    {37, 211, 634, 1, Smoke::mf_const, 99, 12},	//486 QSqlDatabase::exec(const QString&) const
    {37, 290, 0, 0, Smoke::mf_const, 88, 13},	//487 QSqlDatabase::lastError() const
    {37, 286, 0, 0, Smoke::mf_const, 230, 14},	//488 QSqlDatabase::isValid() const
    {37, 719, 0, 0, 0, 230, 15},	//489 QSqlDatabase::transaction()
    {37, 170, 0, 0, 0, 230, 16},	//490 QSqlDatabase::commit()
    {37, 582, 0, 0, 0, 230, 17},	//491 QSqlDatabase::rollback()
    {37, 606, 634, 1, 0, 0, 18},	//492 QSqlDatabase::setDatabaseName(const QString&)
    {37, 681, 634, 1, 0, 0, 19},	//493 QSqlDatabase::setUserName(const QString&)
    {37, 649, 634, 1, 0, 0, 20},	//494 QSqlDatabase::setPassword(const QString&)
    {37, 630, 634, 1, 0, 0, 21},	//495 QSqlDatabase::setHostName(const QString&)
    {37, 651, 147, 1, 0, 0, 22},	//496 QSqlDatabase::setPort(int)
    {37, 599, 634, 1, 0, 0, 23},	//497 QSqlDatabase::setConnectOptions(const QString&)
    {37, 192, 0, 0, Smoke::mf_const, 115, 24},	//498 QSqlDatabase::databaseName() const
    {37, 728, 0, 0, Smoke::mf_const, 115, 25},	//499 QSqlDatabase::userName() const
    {37, 376, 0, 0, Smoke::mf_const, 115, 26},	//500 QSqlDatabase::password() const
    {37, 245, 0, 0, Smoke::mf_const, 115, 27},	//501 QSqlDatabase::hostName() const
    {37, 202, 0, 0, Smoke::mf_const, 115, 28},	//502 QSqlDatabase::driverName() const
    {37, 377, 0, 0, Smoke::mf_const, 294, 29},	//503 QSqlDatabase::port() const
    {37, 173, 0, 0, Smoke::mf_const, 115, 30},	//504 QSqlDatabase::connectOptions() const
    {37, 174, 0, 0, Smoke::mf_const, 115, 31},	//505 QSqlDatabase::connectionName() const
    {37, 643, 818, 1, 0, 0, 32},	//506 QSqlDatabase::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {37, 305, 0, 0, Smoke::mf_const, 75, 33},	//507 QSqlDatabase::numericalPrecisionPolicy() const
    {37, 201, 0, 0, Smoke::mf_const, 81, 34},	//508 QSqlDatabase::driver() const
    {37, 131, 636, 2, Smoke::mf_static, 78, 35},	//509 QSqlDatabase::addDatabase(const QString&, const QString&)
    {37, 131, 820, 2, Smoke::mf_static, 78, 36},	//510 QSqlDatabase::addDatabase(QSqlDriver*, const QString&)
    {37, 165, 823, 2, Smoke::mf_static, 78, 37},	//511 QSqlDatabase::cloneDatabase(const QSqlDatabase&, const QString&)
    {37, 189, 826, 2, Smoke::mf_static, 78, 38},	//512 QSqlDatabase::database(const QString&, bool)
    {37, 567, 634, 1, Smoke::mf_static, 0, 39},	//513 QSqlDatabase::removeDatabase(const QString&)
    {37, 176, 634, 1, Smoke::mf_static, 230, 40},	//514 QSqlDatabase::contains(const QString&)
    {37, 204, 0, 0, Smoke::mf_static, 119, 41},	//515 QSqlDatabase::drivers()
    {37, 175, 0, 0, Smoke::mf_static, 119, 42},	//516 QSqlDatabase::connectionNames()
    {37, 556, 829, 2, Smoke::mf_static, 0, 43},	//517 QSqlDatabase::registerSqlDriver(const QString&, QSqlDriverCreatorBase*)
    {37, 270, 634, 1, Smoke::mf_static, 230, 44},	//518 QSqlDatabase::isDriverAvailable(const QString&)
    {37, 55, 634, 1, Smoke::mf_ctor|Smoke::mf_protected, 80, 45},	//519 QSqlDatabase::QSqlDatabase(const QString&)
    {37, 55, 832, 1, Smoke::mf_ctor|Smoke::mf_protected, 80, 46},	//520 QSqlDatabase::QSqlDatabase(QSqlDriver*)
    {37, 707, 0, 0, Smoke::mf_const, 119, 47},	//521 QSqlDatabase::tables() const
    {37, 211, 0, 0, Smoke::mf_const, 99, 48},	//522 QSqlDatabase::exec() const
    {37, 599, 0, 0, 0, 0, 49},	//523 QSqlDatabase::setConnectOptions()
    {37, 131, 634, 1, Smoke::mf_static, 78, 50},	//524 QSqlDatabase::addDatabase(const QString&)
    {37, 131, 832, 1, Smoke::mf_static, 78, 51},	//525 QSqlDatabase::addDatabase(QSqlDriver*)
    {37, 189, 0, 0, Smoke::mf_static, 78, 52},	//526 QSqlDatabase::database()
    {37, 189, 634, 1, Smoke::mf_static, 78, 53},	//527 QSqlDatabase::database(const QString&)
    {37, 176, 0, 0, Smoke::mf_static, 230, 54},	//528 QSqlDatabase::contains()
    {37, 194, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 289, 55},	//529 QSqlDatabase::defaultConnection() const
    {37, 610, 65, 1, Smoke::mf_static|Smoke::mf_attribute, 0, 56},	//530 QSqlDatabase::setDefaultConnection(const char*)
    {37, 733, 0, 0, Smoke::mf_dtor, 0, 57 },	//531 QSqlDatabase::~QSqlDatabase()
    {38, 295, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 250, 1},	//532 QSqlDriver::metaObject() const
    {38, 541, 65, 1, Smoke::mf_virtual, 309, 2},	//533 QSqlDriver::qt_metacast(const char*)
    {38, 711, 199, 2, Smoke::mf_static, 115, 3},	//534 QSqlDriver::tr(const char*, const char*)
    {38, 715, 199, 2, Smoke::mf_static, 115, 4},	//535 QSqlDriver::trUtf8(const char*, const char*)
    {38, 711, 678, 3, Smoke::mf_static, 115, 5},	//536 QSqlDriver::tr(const char*, const char*, int)
    {38, 715, 678, 3, Smoke::mf_static, 115, 6},	//537 QSqlDriver::trUtf8(const char*, const char*, int)
    {38, 539, 834, 3, Smoke::mf_virtual, 294, 7},	//538 QSqlDriver::qt_metacall(QMetaObject::Call, int, void**)
    {38, 58, 838, 1, Smoke::mf_ctor, 81, 8},	//539 QSqlDriver::QSqlDriver(QObject*)
    {38, 282, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 230, 9},	//540 QSqlDriver::isOpen() const
    {38, 283, 0, 0, Smoke::mf_const, 230, 10},	//541 QSqlDriver::isOpenError() const
    {38, 146, 0, 0, Smoke::mf_virtual, 230, 11},	//542 QSqlDriver::beginTransaction()
    {38, 171, 0, 0, Smoke::mf_virtual, 230, 12},	//543 QSqlDriver::commitTransaction()
    {38, 583, 0, 0, Smoke::mf_virtual, 230, 13},	//544 QSqlDriver::rollbackTransaction()
    {38, 707, 816, 1, Smoke::mf_const|Smoke::mf_virtual, 119, 14},	//545 QSqlDriver::tables(QSql::TableType) const
    {38, 382, 634, 1, Smoke::mf_const|Smoke::mf_virtual, 96, 15},	//546 QSqlDriver::primaryIndex(const QString&) const
    {38, 554, 634, 1, Smoke::mf_const|Smoke::mf_virtual, 104, 16},	//547 QSqlDriver::record(const QString&) const
    {38, 235, 840, 2, Smoke::mf_const|Smoke::mf_virtual, 115, 17},	//548 QSqlDriver::formatValue(const QSqlField&, bool) const
    {38, 207, 843, 2, Smoke::mf_const|Smoke::mf_virtual, 115, 18},	//549 QSqlDriver::escapeIdentifier(const QString&, QSqlDriver::IdentifierType) const
    {38, 690, 846, 4, Smoke::mf_const|Smoke::mf_virtual, 115, 19},	//550 QSqlDriver::sqlStatement(QSqlDriver::StatementType, const QString&, const QSqlRecord&, bool) const
    {38, 290, 0, 0, Smoke::mf_const, 88, 20},	//551 QSqlDriver::lastError() const
    {38, 238, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 132, 21},	//552 QSqlDriver::handle() const
    {38, 239, 851, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 230, 22},	//553 QSqlDriver::hasFeature(QSqlDriver::DriverFeature) const [pure virtual]
    {38, 167, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 23},	//554 QSqlDriver::close() [pure virtual]
    {38, 182, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 110, 24},	//555 QSqlDriver::createResult() const [pure virtual]
    {38, 306, 853, 6, Smoke::mf_virtual|Smoke::mf_purevirtual, 230, 25},	//556 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&, int, const QString&) [pure virtual]
    {38, 699, 634, 1, 0, 230, 26},	//557 QSqlDriver::subscribeToNotification(const QString&)
    {38, 722, 634, 1, 0, 230, 27},	//558 QSqlDriver::unsubscribeFromNotification(const QString&)
    {38, 703, 0, 0, Smoke::mf_const, 119, 28},	//559 QSqlDriver::subscribedToNotifications() const
    {38, 276, 843, 2, Smoke::mf_const, 230, 29},	//560 QSqlDriver::isIdentifierEscaped(const QString&, QSqlDriver::IdentifierType) const
    {38, 693, 843, 2, Smoke::mf_const, 115, 30},	//561 QSqlDriver::stripDelimiters(const QString&, QSqlDriver::IdentifierType) const
    {38, 643, 818, 1, 0, 0, 31},	//562 QSqlDriver::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {38, 305, 0, 0, Smoke::mf_const, 75, 32},	//563 QSqlDriver::numericalPrecisionPolicy() const
    {38, 301, 634, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//564 QSqlDriver::notification(const QString&)
    {38, 645, 860, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//565 QSqlDriver::setOpen(bool)
    {38, 647, 860, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//566 QSqlDriver::setOpenError(bool)
    {38, 633, 862, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//567 QSqlDriver::setLastError(const QSqlError&)
    {38, 701, 634, 1, Smoke::mf_protected|Smoke::mf_slot, 230, 37},	//568 QSqlDriver::subscribeToNotificationImplementation(const QString&)
    {38, 724, 634, 1, Smoke::mf_protected|Smoke::mf_slot, 230, 38},	//569 QSqlDriver::unsubscribeFromNotificationImplementation(const QString&)
    {38, 704, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 119, 39},	//570 QSqlDriver::subscribedToNotificationsImplementation() const
    {38, 278, 843, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 230, 40},	//571 QSqlDriver::isIdentifierEscapedImplementation(const QString&, QSqlDriver::IdentifierType) const
    {38, 695, 843, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 115, 41},	//572 QSqlDriver::stripDelimitersImplementation(const QString&, QSqlDriver::IdentifierType) const
    {38, 711, 65, 1, Smoke::mf_static, 115, 42},	//573 QSqlDriver::tr(const char*)
    {38, 715, 65, 1, Smoke::mf_static, 115, 43},	//574 QSqlDriver::trUtf8(const char*)
    {38, 58, 0, 0, Smoke::mf_ctor, 81, 44},	//575 QSqlDriver::QSqlDriver()
    {38, 235, 864, 1, Smoke::mf_const, 115, 45},	//576 QSqlDriver::formatValue(const QSqlField&) const
    {38, 306, 634, 1, 0, 230, 46},	//577 QSqlDriver::open(const QString&)
    {38, 306, 636, 2, 0, 230, 47},	//578 QSqlDriver::open(const QString&, const QString&)
    {38, 306, 866, 3, 0, 230, 48},	//579 QSqlDriver::open(const QString&, const QString&, const QString&)
    {38, 306, 870, 4, 0, 230, 49},	//580 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&)
    {38, 306, 875, 5, 0, 230, 50},	//581 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&, int)
    {38, 692, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 249, 51},	//582 QSqlDriver::staticMetaObject() const
    {38, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 52},	//583 QSqlDriver::Transactions (enum)
    {38, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 53},	//584 QSqlDriver::QuerySize (enum)
    {38, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 54},	//585 QSqlDriver::BLOB (enum)
    {38, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 55},	//586 QSqlDriver::Unicode (enum)
    {38, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 56},	//587 QSqlDriver::PreparedQueries (enum)
    {38, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 57},	//588 QSqlDriver::NamedPlaceholders (enum)
    {38, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 58},	//589 QSqlDriver::PositionalPlaceholders (enum)
    {38, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 59},	//590 QSqlDriver::LastInsertId (enum)
    {38, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 60},	//591 QSqlDriver::BatchOperations (enum)
    {38, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 61},	//592 QSqlDriver::SimpleLocking (enum)
    {38, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 62},	//593 QSqlDriver::LowPrecisionNumbers (enum)
    {38, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 63},	//594 QSqlDriver::EventNotifications (enum)
    {38, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 64},	//595 QSqlDriver::FinishQuery (enum)
    {38, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 65},	//596 QSqlDriver::MultipleResultSets (enum)
    {38, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 66},	//597 QSqlDriver::WhereStatement (enum)
    {38, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 67},	//598 QSqlDriver::SelectStatement (enum)
    {38, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 68},	//599 QSqlDriver::UpdateStatement (enum)
    {38, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 69},	//600 QSqlDriver::InsertStatement (enum)
    {38, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 70},	//601 QSqlDriver::DeleteStatement (enum)
    {38, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 71},	//602 QSqlDriver::FieldName (enum)
    {38, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 72},	//603 QSqlDriver::TableName (enum)
    {38, 734, 0, 0, Smoke::mf_dtor, 0, 73 },	//604 QSqlDriver::~QSqlDriver()
    {39, 181, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 81, 1},	//605 QSqlDriverCreatorBase::createObject() const [pure virtual]
    {39, 60, 0, 0, Smoke::mf_ctor, 85, 2},	//606 QSqlDriverCreatorBase::QSqlDriverCreatorBase()
    {39, 60, 881, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 85, 3},	//607 QSqlDriverCreatorBase::QSqlDriverCreatorBase(const QSqlDriverCreatorBase&)
    {39, 735, 0, 0, Smoke::mf_dtor, 0, 4 },	//608 QSqlDriverCreatorBase::~QSqlDriverCreatorBase()
    {40, 179, 634, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 81, 1},	//609 QSqlDriverFactoryInterface::create(const QString&) [pure virtual]
    {40, 62, 0, 0, Smoke::mf_ctor, 86, 2},	//610 QSqlDriverFactoryInterface::QSqlDriverFactoryInterface()
    {40, 62, 883, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 86, 3},	//611 QSqlDriverFactoryInterface::QSqlDriverFactoryInterface(const QSqlDriverFactoryInterface&)
    {40, 736, 0, 0, Smoke::mf_dtor, 0, 4 },	//612 QSqlDriverFactoryInterface::~QSqlDriverFactoryInterface()
    {41, 295, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 250, 1},	//613 QSqlDriverPlugin::metaObject() const
    {41, 541, 65, 1, Smoke::mf_virtual, 309, 2},	//614 QSqlDriverPlugin::qt_metacast(const char*)
    {41, 711, 199, 2, Smoke::mf_static, 115, 3},	//615 QSqlDriverPlugin::tr(const char*, const char*)
    {41, 715, 199, 2, Smoke::mf_static, 115, 4},	//616 QSqlDriverPlugin::trUtf8(const char*, const char*)
    {41, 711, 678, 3, Smoke::mf_static, 115, 5},	//617 QSqlDriverPlugin::tr(const char*, const char*, int)
    {41, 715, 678, 3, Smoke::mf_static, 115, 6},	//618 QSqlDriverPlugin::trUtf8(const char*, const char*, int)
    {41, 539, 834, 3, Smoke::mf_virtual, 294, 7},	//619 QSqlDriverPlugin::qt_metacall(QMetaObject::Call, int, void**)
    {41, 64, 838, 1, Smoke::mf_ctor, 87, 8},	//620 QSqlDriverPlugin::QSqlDriverPlugin(QObject*)
    {41, 288, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 119, 9},	//621 QSqlDriverPlugin::keys() const [pure virtual]
    {41, 179, 634, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 81, 10},	//622 QSqlDriverPlugin::create(const QString&) [pure virtual]
    {41, 711, 65, 1, Smoke::mf_static, 115, 11},	//623 QSqlDriverPlugin::tr(const char*)
    {41, 715, 65, 1, Smoke::mf_static, 115, 12},	//624 QSqlDriverPlugin::trUtf8(const char*)
    {41, 64, 0, 0, Smoke::mf_ctor, 87, 13},	//625 QSqlDriverPlugin::QSqlDriverPlugin()
    {41, 692, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 249, 14},	//626 QSqlDriverPlugin::staticMetaObject() const
    {41, 737, 0, 0, Smoke::mf_dtor, 0, 15 },	//627 QSqlDriverPlugin::~QSqlDriverPlugin()
    {42, 66, 885, 4, Smoke::mf_ctor, 90, 1},	//628 QSqlError::QSqlError(const QString&, const QString&, QSqlError::ErrorType, int)
    {42, 66, 862, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 90, 2},	//629 QSqlError::QSqlError(const QSqlError&)
    {42, 348, 862, 1, 0, 89, 3},	//630 QSqlError::operator=(const QSqlError&)
    {42, 203, 0, 0, Smoke::mf_const, 115, 4},	//631 QSqlError::driverText() const
    {42, 616, 634, 1, 0, 0, 5},	//632 QSqlError::setDriverText(const QString&)
    {42, 193, 0, 0, Smoke::mf_const, 115, 6},	//633 QSqlError::databaseText() const
    {42, 608, 634, 1, 0, 0, 7},	//634 QSqlError::setDatabaseText(const QString&)
    {42, 720, 0, 0, Smoke::mf_const, 91, 8},	//635 QSqlError::type() const
    {42, 679, 890, 1, 0, 0, 9},	//636 QSqlError::setType(QSqlError::ErrorType)
    {42, 304, 0, 0, Smoke::mf_const, 294, 10},	//637 QSqlError::number() const
    {42, 641, 147, 1, 0, 0, 11},	//638 QSqlError::setNumber(int)
    {42, 709, 0, 0, Smoke::mf_const, 115, 12},	//639 QSqlError::text() const
    {42, 286, 0, 0, Smoke::mf_const, 230, 13},	//640 QSqlError::isValid() const
    {42, 66, 0, 0, Smoke::mf_ctor, 90, 14},	//641 QSqlError::QSqlError()
    {42, 66, 634, 1, Smoke::mf_ctor, 90, 15},	//642 QSqlError::QSqlError(const QString&)
    {42, 66, 636, 2, Smoke::mf_ctor, 90, 16},	//643 QSqlError::QSqlError(const QString&, const QString&)
    {42, 66, 892, 3, Smoke::mf_ctor, 90, 17},	//644 QSqlError::QSqlError(const QString&, const QString&, QSqlError::ErrorType)
    {42, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 18},	//645 QSqlError::NoError (enum)
    {42, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 19},	//646 QSqlError::ConnectionError (enum)
    {42, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 20},	//647 QSqlError::StatementError (enum)
    {42, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 21},	//648 QSqlError::TransactionError (enum)
    {42, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 22},	//649 QSqlError::UnknownError (enum)
    {42, 738, 0, 0, Smoke::mf_dtor, 0, 23 },	//650 QSqlError::~QSqlError()
    {43, 72, 896, 2, Smoke::mf_ctor, 94, 1},	//651 QSqlField::QSqlField(const QString&, QVariant::Type)
    {43, 72, 864, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 94, 2},	//652 QSqlField::QSqlField(const QSqlField&)
    {43, 348, 864, 1, 0, 93, 3},	//653 QSqlField::operator=(const QSqlField&)
    {43, 350, 864, 1, Smoke::mf_const, 230, 4},	//654 QSqlField::operator==(const QSqlField&) const
    {43, 313, 864, 1, Smoke::mf_const, 230, 5},	//655 QSqlField::operator!=(const QSqlField&) const
    {43, 683, 899, 1, 0, 0, 6},	//656 QSqlField::setValue(const QVariant&)
    {43, 729, 0, 0, Smoke::mf_const, 132, 7},	//657 QSqlField::value() const
    {43, 637, 634, 1, 0, 0, 8},	//658 QSqlField::setName(const QString&)
    {43, 298, 0, 0, Smoke::mf_const, 115, 9},	//659 QSqlField::name() const
    {43, 280, 0, 0, Smoke::mf_const, 230, 10},	//660 QSqlField::isNull() const
    {43, 661, 860, 1, 0, 0, 11},	//661 QSqlField::setReadOnly(bool)
    {43, 284, 0, 0, Smoke::mf_const, 230, 12},	//662 QSqlField::isReadOnly() const
    {43, 163, 0, 0, 0, 0, 13},	//663 QSqlField::clear()
    {43, 720, 0, 0, Smoke::mf_const, 134, 14},	//664 QSqlField::type() const
    {43, 265, 0, 0, Smoke::mf_const, 230, 15},	//665 QSqlField::isAutoValue() const
    {43, 679, 901, 1, 0, 0, 16},	//666 QSqlField::setType(QVariant::Type)
    {43, 669, 903, 1, 0, 0, 17},	//667 QSqlField::setRequiredStatus(QSqlField::RequiredStatus)
    {43, 667, 860, 1, 0, 0, 18},	//668 QSqlField::setRequired(bool)
    {43, 635, 147, 1, 0, 0, 19},	//669 QSqlField::setLength(int)
    {43, 653, 147, 1, 0, 0, 20},	//670 QSqlField::setPrecision(int)
    {43, 612, 899, 1, 0, 0, 21},	//671 QSqlField::setDefaultValue(const QVariant&)
    {43, 675, 147, 1, 0, 0, 22},	//672 QSqlField::setSqlType(int)
    {43, 624, 860, 1, 0, 0, 23},	//673 QSqlField::setGenerated(bool)
    {43, 597, 860, 1, 0, 0, 24},	//674 QSqlField::setAutoValue(bool)
    {43, 574, 0, 0, Smoke::mf_const, 95, 25},	//675 QSqlField::requiredStatus() const
    {43, 293, 0, 0, Smoke::mf_const, 294, 26},	//676 QSqlField::length() const
    {43, 378, 0, 0, Smoke::mf_const, 294, 27},	//677 QSqlField::precision() const
    {43, 195, 0, 0, Smoke::mf_const, 132, 28},	//678 QSqlField::defaultValue() const
    {43, 721, 0, 0, Smoke::mf_const, 294, 29},	//679 QSqlField::typeID() const
    {43, 274, 0, 0, Smoke::mf_const, 230, 30},	//680 QSqlField::isGenerated() const
    {43, 286, 0, 0, Smoke::mf_const, 230, 31},	//681 QSqlField::isValid() const
    {43, 72, 0, 0, Smoke::mf_ctor, 94, 32},	//682 QSqlField::QSqlField()
    {43, 72, 634, 1, Smoke::mf_ctor, 94, 33},	//683 QSqlField::QSqlField(const QString&)
    {43, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 34},	//684 QSqlField::Unknown (enum)
    {43, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 35},	//685 QSqlField::Optional (enum)
    {43, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 36},	//686 QSqlField::Required (enum)
    {43, 739, 0, 0, Smoke::mf_dtor, 0, 37 },	//687 QSqlField::~QSqlField()
    {44, 76, 636, 2, Smoke::mf_ctor, 98, 1},	//688 QSqlIndex::QSqlIndex(const QString&, const QString&)
    {44, 76, 905, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 98, 2},	//689 QSqlIndex::QSqlIndex(const QSqlIndex&)
    {44, 348, 905, 1, 0, 97, 3},	//690 QSqlIndex::operator=(const QSqlIndex&)
    {44, 601, 634, 1, 0, 0, 4},	//691 QSqlIndex::setCursorName(const QString&)
    {44, 183, 0, 0, Smoke::mf_const, 115, 5},	//692 QSqlIndex::cursorName() const
    {44, 637, 634, 1, 0, 0, 6},	//693 QSqlIndex::setName(const QString&)
    {44, 298, 0, 0, Smoke::mf_const, 115, 7},	//694 QSqlIndex::name() const
    {44, 136, 864, 1, 0, 0, 8},	//695 QSqlIndex::append(const QSqlField&)
    {44, 136, 840, 2, 0, 0, 9},	//696 QSqlIndex::append(const QSqlField&, bool)
    {44, 266, 147, 1, Smoke::mf_const, 230, 10},	//697 QSqlIndex::isDescending(int) const
    {44, 614, 907, 2, 0, 0, 11},	//698 QSqlIndex::setDescending(int, bool)
    {44, 76, 0, 0, Smoke::mf_ctor, 98, 12},	//699 QSqlIndex::QSqlIndex()
    {44, 76, 634, 1, Smoke::mf_ctor, 98, 13},	//700 QSqlIndex::QSqlIndex(const QString&)
    {44, 740, 0, 0, Smoke::mf_dtor, 0, 14 },	//701 QSqlIndex::~QSqlIndex()
    {45, 80, 910, 1, Smoke::mf_ctor, 101, 1},	//702 QSqlQuery::QSqlQuery(QSqlResult*)
    {45, 80, 912, 2, Smoke::mf_ctor, 101, 2},	//703 QSqlQuery::QSqlQuery(const QString&, QSqlDatabase)
    {45, 80, 915, 1, Smoke::mf_ctor, 101, 3},	//704 QSqlQuery::QSqlQuery(QSqlDatabase)
    {45, 80, 917, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 101, 4},	//705 QSqlQuery::QSqlQuery(const QSqlQuery&)
    {45, 348, 917, 1, 0, 100, 5},	//706 QSqlQuery::operator=(const QSqlQuery&)
    {45, 286, 0, 0, Smoke::mf_const, 230, 6},	//707 QSqlQuery::isValid() const
    {45, 264, 0, 0, Smoke::mf_const, 230, 7},	//708 QSqlQuery::isActive() const
    {45, 280, 147, 1, Smoke::mf_const, 230, 8},	//709 QSqlQuery::isNull(int) const
    {45, 139, 0, 0, Smoke::mf_const, 294, 9},	//710 QSqlQuery::at() const
    {45, 292, 0, 0, Smoke::mf_const, 115, 10},	//711 QSqlQuery::lastQuery() const
    {45, 303, 0, 0, Smoke::mf_const, 294, 11},	//712 QSqlQuery::numRowsAffected() const
    {45, 290, 0, 0, Smoke::mf_const, 88, 12},	//713 QSqlQuery::lastError() const
    {45, 285, 0, 0, Smoke::mf_const, 230, 13},	//714 QSqlQuery::isSelect() const
    {45, 686, 0, 0, Smoke::mf_const, 294, 14},	//715 QSqlQuery::size() const
    {45, 201, 0, 0, Smoke::mf_const, 268, 15},	//716 QSqlQuery::driver() const
    {45, 577, 0, 0, Smoke::mf_const, 277, 16},	//717 QSqlQuery::result() const
    {45, 273, 0, 0, Smoke::mf_const, 230, 17},	//718 QSqlQuery::isForwardOnly() const
    {45, 554, 0, 0, Smoke::mf_const, 104, 18},	//719 QSqlQuery::record() const
    {45, 622, 860, 1, 0, 0, 19},	//720 QSqlQuery::setForwardOnly(bool)
    {45, 211, 634, 1, 0, 230, 20},	//721 QSqlQuery::exec(const QString&)
    {45, 729, 147, 1, Smoke::mf_const, 132, 21},	//722 QSqlQuery::value(int) const
    {45, 643, 818, 1, 0, 0, 22},	//723 QSqlQuery::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {45, 305, 0, 0, Smoke::mf_const, 75, 23},	//724 QSqlQuery::numericalPrecisionPolicy() const
    {45, 588, 907, 2, 0, 230, 24},	//725 QSqlQuery::seek(int, bool)
    {45, 299, 0, 0, 0, 230, 25},	//726 QSqlQuery::next()
    {45, 381, 0, 0, 0, 230, 26},	//727 QSqlQuery::previous()
    {45, 232, 0, 0, 0, 230, 27},	//728 QSqlQuery::first()
    {45, 289, 0, 0, 0, 230, 28},	//729 QSqlQuery::last()
    {45, 163, 0, 0, 0, 0, 29},	//730 QSqlQuery::clear()
    {45, 211, 0, 0, 0, 230, 30},	//731 QSqlQuery::exec()
    {45, 213, 919, 1, 0, 230, 31},	//732 QSqlQuery::execBatch(QSqlQuery::BatchExecutionMode)
    {45, 379, 634, 1, 0, 230, 32},	//733 QSqlQuery::prepare(const QString&)
    {45, 147, 921, 3, 0, 0, 33},	//734 QSqlQuery::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {45, 147, 925, 3, 0, 0, 34},	//735 QSqlQuery::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {45, 128, 929, 2, 0, 0, 35},	//736 QSqlQuery::addBindValue(const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {45, 153, 634, 1, Smoke::mf_const, 132, 36},	//737 QSqlQuery::boundValue(const QString&) const
    {45, 153, 147, 1, Smoke::mf_const, 132, 37},	//738 QSqlQuery::boundValue(int) const
    {45, 158, 0, 0, Smoke::mf_const, 59, 38},	//739 QSqlQuery::boundValues() const
    {45, 215, 0, 0, Smoke::mf_const, 115, 39},	//740 QSqlQuery::executedQuery() const
    {45, 291, 0, 0, Smoke::mf_const, 132, 40},	//741 QSqlQuery::lastInsertId() const
    {45, 231, 0, 0, 0, 0, 41},	//742 QSqlQuery::finish()
    {45, 300, 0, 0, 0, 230, 42},	//743 QSqlQuery::nextResult()
    {45, 80, 0, 0, Smoke::mf_ctor, 101, 43},	//744 QSqlQuery::QSqlQuery()
    {45, 80, 634, 1, Smoke::mf_ctor, 101, 44},	//745 QSqlQuery::QSqlQuery(const QString&)
    {45, 588, 147, 1, 0, 230, 45},	//746 QSqlQuery::seek(int)
    {45, 213, 0, 0, 0, 230, 46},	//747 QSqlQuery::execBatch()
    {45, 147, 932, 2, 0, 0, 47},	//748 QSqlQuery::bindValue(const QString&, const QVariant&)
    {45, 147, 935, 2, 0, 0, 48},	//749 QSqlQuery::bindValue(int, const QVariant&)
    {45, 128, 899, 1, 0, 0, 49},	//750 QSqlQuery::addBindValue(const QVariant&)
    {45, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 50},	//751 QSqlQuery::ValuesAsRows (enum)
    {45, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 51},	//752 QSqlQuery::ValuesAsColumns (enum)
    {45, 741, 0, 0, Smoke::mf_dtor, 0, 52 },	//753 QSqlQuery::~QSqlQuery()
    {46, 295, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 250, 1},	//754 QSqlQueryModel::metaObject() const
    {46, 541, 65, 1, Smoke::mf_virtual, 309, 2},	//755 QSqlQueryModel::qt_metacast(const char*)
    {46, 711, 199, 2, Smoke::mf_static, 115, 3},	//756 QSqlQueryModel::tr(const char*, const char*)
    {46, 715, 199, 2, Smoke::mf_static, 115, 4},	//757 QSqlQueryModel::trUtf8(const char*, const char*)
    {46, 711, 678, 3, Smoke::mf_static, 115, 5},	//758 QSqlQueryModel::tr(const char*, const char*, int)
    {46, 715, 678, 3, Smoke::mf_static, 115, 6},	//759 QSqlQueryModel::trUtf8(const char*, const char*, int)
    {46, 539, 834, 3, Smoke::mf_virtual, 294, 7},	//760 QSqlQueryModel::qt_metacall(QMetaObject::Call, int, void**)
    {46, 84, 838, 1, Smoke::mf_ctor, 103, 8},	//761 QSqlQueryModel::QSqlQueryModel(QObject*)
    {46, 584, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 294, 9},	//762 QSqlQueryModel::rowCount(const QModelIndex&) const
    {46, 168, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 294, 10},	//763 QSqlQueryModel::columnCount(const QModelIndex&) const
    {46, 554, 147, 1, Smoke::mf_const, 104, 11},	//764 QSqlQueryModel::record(int) const
    {46, 554, 0, 0, Smoke::mf_const, 104, 12},	//765 QSqlQueryModel::record() const
    {46, 185, 938, 2, Smoke::mf_const|Smoke::mf_virtual, 132, 13},	//766 QSqlQueryModel::data(const QModelIndex&, int) const
    {46, 242, 941, 3, Smoke::mf_const|Smoke::mf_virtual, 132, 14},	//767 QSqlQueryModel::headerData(int, Qt::Orientation, int) const
    {46, 627, 945, 4, Smoke::mf_virtual, 230, 15},	//768 QSqlQueryModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {46, 254, 12, 3, Smoke::mf_virtual, 230, 16},	//769 QSqlQueryModel::insertColumns(int, int, const QModelIndex&)
    {46, 564, 12, 3, Smoke::mf_virtual, 230, 17},	//770 QSqlQueryModel::removeColumns(int, int, const QModelIndex&)
    {46, 657, 917, 1, 0, 0, 18},	//771 QSqlQueryModel::setQuery(const QSqlQuery&)
    {46, 657, 950, 2, 0, 0, 19},	//772 QSqlQueryModel::setQuery(const QString&, const QSqlDatabase&)
    {46, 548, 0, 0, Smoke::mf_const, 99, 20},	//773 QSqlQueryModel::query() const
    {46, 163, 0, 0, Smoke::mf_virtual, 0, 21},	//774 QSqlQueryModel::clear()
    {46, 290, 0, 0, Smoke::mf_const, 88, 22},	//775 QSqlQueryModel::lastError() const
    {46, 220, 5, 1, Smoke::mf_virtual, 0, 23},	//776 QSqlQueryModel::fetchMore(const QModelIndex&)
    {46, 160, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 230, 24},	//777 QSqlQueryModel::canFetchMore(const QModelIndex&) const
    {46, 549, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//778 QSqlQueryModel::queryChange()
    {46, 248, 5, 1, Smoke::mf_const|Smoke::mf_protected, 63, 26},	//779 QSqlQueryModel::indexInQuery(const QModelIndex&) const
    {46, 633, 862, 1, Smoke::mf_protected, 0, 27},	//780 QSqlQueryModel::setLastError(const QSqlError&)
    {46, 711, 65, 1, Smoke::mf_static, 115, 28},	//781 QSqlQueryModel::tr(const char*)
    {46, 715, 65, 1, Smoke::mf_static, 115, 29},	//782 QSqlQueryModel::trUtf8(const char*)
    {46, 84, 0, 0, Smoke::mf_ctor, 103, 30},	//783 QSqlQueryModel::QSqlQueryModel()
    {46, 584, 0, 0, Smoke::mf_const, 294, 31},	//784 QSqlQueryModel::rowCount() const
    {46, 168, 0, 0, Smoke::mf_const, 294, 32},	//785 QSqlQueryModel::columnCount() const
    {46, 185, 5, 1, Smoke::mf_const, 132, 33},	//786 QSqlQueryModel::data(const QModelIndex&) const
    {46, 242, 953, 2, Smoke::mf_const, 132, 34},	//787 QSqlQueryModel::headerData(int, Qt::Orientation) const
    {46, 627, 956, 3, 0, 230, 35},	//788 QSqlQueryModel::setHeaderData(int, Qt::Orientation, const QVariant&)
    {46, 254, 960, 2, 0, 230, 36},	//789 QSqlQueryModel::insertColumns(int, int)
    {46, 564, 960, 2, 0, 230, 37},	//790 QSqlQueryModel::removeColumns(int, int)
    {46, 657, 634, 1, 0, 0, 38},	//791 QSqlQueryModel::setQuery(const QString&)
    {46, 220, 0, 0, 0, 0, 39},	//792 QSqlQueryModel::fetchMore()
    {46, 160, 0, 0, Smoke::mf_const, 230, 40},	//793 QSqlQueryModel::canFetchMore() const
    {46, 692, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 249, 41},	//794 QSqlQueryModel::staticMetaObject() const
    {46, 742, 0, 0, Smoke::mf_dtor, 0, 42 },	//795 QSqlQueryModel::~QSqlQueryModel()
    {47, 86, 0, 0, Smoke::mf_ctor, 106, 1},	//796 QSqlRecord::QSqlRecord()
    {47, 86, 963, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 106, 2},	//797 QSqlRecord::QSqlRecord(const QSqlRecord&)
    {47, 348, 963, 1, 0, 105, 3},	//798 QSqlRecord::operator=(const QSqlRecord&)
    {47, 350, 963, 1, Smoke::mf_const, 230, 4},	//799 QSqlRecord::operator==(const QSqlRecord&) const
    {47, 313, 963, 1, Smoke::mf_const, 230, 5},	//800 QSqlRecord::operator!=(const QSqlRecord&) const
    {47, 729, 147, 1, Smoke::mf_const, 132, 6},	//801 QSqlRecord::value(int) const
    {47, 729, 634, 1, Smoke::mf_const, 132, 7},	//802 QSqlRecord::value(const QString&) const
    {47, 683, 935, 2, 0, 0, 8},	//803 QSqlRecord::setValue(int, const QVariant&)
    {47, 683, 932, 2, 0, 0, 9},	//804 QSqlRecord::setValue(const QString&, const QVariant&)
    {47, 639, 147, 1, 0, 0, 10},	//805 QSqlRecord::setNull(int)
    {47, 639, 634, 1, 0, 0, 11},	//806 QSqlRecord::setNull(const QString&)
    {47, 280, 147, 1, Smoke::mf_const, 230, 12},	//807 QSqlRecord::isNull(int) const
    {47, 280, 634, 1, Smoke::mf_const, 230, 13},	//808 QSqlRecord::isNull(const QString&) const
    {47, 250, 634, 1, Smoke::mf_const, 294, 14},	//809 QSqlRecord::indexOf(const QString&) const
    {47, 228, 147, 1, Smoke::mf_const, 115, 15},	//810 QSqlRecord::fieldName(int) const
    {47, 224, 147, 1, Smoke::mf_const, 92, 16},	//811 QSqlRecord::field(int) const
    {47, 224, 634, 1, Smoke::mf_const, 92, 17},	//812 QSqlRecord::field(const QString&) const
    {47, 274, 147, 1, Smoke::mf_const, 230, 18},	//813 QSqlRecord::isGenerated(int) const
    {47, 274, 634, 1, Smoke::mf_const, 230, 19},	//814 QSqlRecord::isGenerated(const QString&) const
    {47, 624, 826, 2, 0, 0, 20},	//815 QSqlRecord::setGenerated(const QString&, bool)
    {47, 624, 907, 2, 0, 0, 21},	//816 QSqlRecord::setGenerated(int, bool)
    {47, 136, 864, 1, 0, 0, 22},	//817 QSqlRecord::append(const QSqlField&)
    {47, 572, 965, 2, 0, 0, 23},	//818 QSqlRecord::replace(int, const QSqlField&)
    {47, 252, 965, 2, 0, 0, 24},	//819 QSqlRecord::insert(int, const QSqlField&)
    {47, 562, 147, 1, 0, 0, 25},	//820 QSqlRecord::remove(int)
    {47, 272, 0, 0, Smoke::mf_const, 230, 26},	//821 QSqlRecord::isEmpty() const
    {47, 176, 634, 1, Smoke::mf_const, 230, 27},	//822 QSqlRecord::contains(const QString&) const
    {47, 163, 0, 0, 0, 0, 28},	//823 QSqlRecord::clear()
    {47, 164, 0, 0, 0, 0, 29},	//824 QSqlRecord::clearValues()
    {47, 178, 0, 0, Smoke::mf_const, 294, 30},	//825 QSqlRecord::count() const
    {47, 743, 0, 0, Smoke::mf_dtor, 0, 31 },	//826 QSqlRecord::~QSqlRecord()
    {48, 88, 0, 0, Smoke::mf_ctor, 108, 1},	//827 QSqlRelation::QSqlRelation()
    {48, 88, 866, 3, Smoke::mf_ctor, 108, 2},	//828 QSqlRelation::QSqlRelation(const QString&, const QString&, const QString&)
    {48, 706, 0, 0, Smoke::mf_const, 115, 3},	//829 QSqlRelation::tableName() const
    {48, 247, 0, 0, Smoke::mf_const, 115, 4},	//830 QSqlRelation::indexColumn() const
    {48, 200, 0, 0, Smoke::mf_const, 115, 5},	//831 QSqlRelation::displayColumn() const
    {48, 286, 0, 0, Smoke::mf_const, 230, 6},	//832 QSqlRelation::isValid() const
    {48, 88, 968, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 108, 7},	//833 QSqlRelation::QSqlRelation(const QSqlRelation&)
    {48, 744, 0, 0, Smoke::mf_dtor, 0, 8 },	//834 QSqlRelation::~QSqlRelation()
    {49, 295, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 250, 1},	//835 QSqlRelationalTableModel::metaObject() const
    {49, 541, 65, 1, Smoke::mf_virtual, 309, 2},	//836 QSqlRelationalTableModel::qt_metacast(const char*)
    {49, 711, 199, 2, Smoke::mf_static, 115, 3},	//837 QSqlRelationalTableModel::tr(const char*, const char*)
    {49, 715, 199, 2, Smoke::mf_static, 115, 4},	//838 QSqlRelationalTableModel::trUtf8(const char*, const char*)
    {49, 711, 678, 3, Smoke::mf_static, 115, 5},	//839 QSqlRelationalTableModel::tr(const char*, const char*, int)
    {49, 715, 678, 3, Smoke::mf_static, 115, 6},	//840 QSqlRelationalTableModel::trUtf8(const char*, const char*, int)
    {49, 539, 834, 3, Smoke::mf_virtual, 294, 7},	//841 QSqlRelationalTableModel::qt_metacall(QMetaObject::Call, int, void**)
    {49, 91, 970, 2, Smoke::mf_ctor, 109, 8},	//842 QSqlRelationalTableModel::QSqlRelationalTableModel(QObject*, QSqlDatabase)
    {49, 185, 938, 2, Smoke::mf_const|Smoke::mf_virtual, 132, 9},	//843 QSqlRelationalTableModel::data(const QModelIndex&, int) const
    {49, 603, 1, 3, Smoke::mf_virtual, 230, 10},	//844 QSqlRelationalTableModel::setData(const QModelIndex&, const QVariant&, int)
    {49, 564, 12, 3, Smoke::mf_virtual, 230, 11},	//845 QSqlRelationalTableModel::removeColumns(int, int, const QModelIndex&)
    {49, 163, 0, 0, Smoke::mf_virtual, 0, 12},	//846 QSqlRelationalTableModel::clear()
    {49, 591, 0, 0, Smoke::mf_virtual, 230, 13},	//847 QSqlRelationalTableModel::select()
    {49, 677, 634, 1, Smoke::mf_virtual, 0, 14},	//848 QSqlRelationalTableModel::setTable(const QString&)
    {49, 665, 973, 2, Smoke::mf_virtual, 0, 15},	//849 QSqlRelationalTableModel::setRelation(int, const QSqlRelation&)
    {49, 558, 147, 1, Smoke::mf_const, 107, 16},	//850 QSqlRelationalTableModel::relation(int) const
    {49, 560, 147, 1, Smoke::mf_const|Smoke::mf_virtual, 113, 17},	//851 QSqlRelationalTableModel::relationModel(int) const
    {49, 580, 147, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//852 QSqlRelationalTableModel::revertRow(int)
    {49, 592, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 115, 19},	//853 QSqlRelationalTableModel::selectStatement() const
    {49, 726, 976, 2, Smoke::mf_protected|Smoke::mf_virtual, 230, 20},	//854 QSqlRelationalTableModel::updateRowInTable(int, const QSqlRecord&)
    {49, 259, 963, 1, Smoke::mf_protected|Smoke::mf_virtual, 230, 21},	//855 QSqlRelationalTableModel::insertRowIntoTable(const QSqlRecord&)
    {49, 375, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 115, 22},	//856 QSqlRelationalTableModel::orderByClause() const
    {49, 711, 65, 1, Smoke::mf_static, 115, 23},	//857 QSqlRelationalTableModel::tr(const char*)
    {49, 715, 65, 1, Smoke::mf_static, 115, 24},	//858 QSqlRelationalTableModel::trUtf8(const char*)
    {49, 91, 0, 0, Smoke::mf_ctor, 109, 25},	//859 QSqlRelationalTableModel::QSqlRelationalTableModel()
    {49, 91, 838, 1, Smoke::mf_ctor, 109, 26},	//860 QSqlRelationalTableModel::QSqlRelationalTableModel(QObject*)
    {49, 185, 5, 1, Smoke::mf_const, 132, 27},	//861 QSqlRelationalTableModel::data(const QModelIndex&) const
    {49, 603, 979, 2, 0, 230, 28},	//862 QSqlRelationalTableModel::setData(const QModelIndex&, const QVariant&)
    {49, 564, 960, 2, 0, 230, 29},	//863 QSqlRelationalTableModel::removeColumns(int, int)
    {49, 692, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 249, 30},	//864 QSqlRelationalTableModel::staticMetaObject() const
    {49, 745, 0, 0, Smoke::mf_dtor, 0, 31 },	//865 QSqlRelationalTableModel::~QSqlRelationalTableModel()
    {50, 238, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 132, 1},	//866 QSqlResult::handle() const
    {50, 94, 982, 1, Smoke::mf_ctor|Smoke::mf_protected, 110, 2},	//867 QSqlResult::QSqlResult(const QSqlDriver*)
    {50, 139, 0, 0, Smoke::mf_const|Smoke::mf_protected, 294, 3},	//868 QSqlResult::at() const
    {50, 292, 0, 0, Smoke::mf_const|Smoke::mf_protected, 115, 4},	//869 QSqlResult::lastQuery() const
    {50, 290, 0, 0, Smoke::mf_const|Smoke::mf_protected, 88, 5},	//870 QSqlResult::lastError() const
    {50, 286, 0, 0, Smoke::mf_const|Smoke::mf_protected, 230, 6},	//871 QSqlResult::isValid() const
    {50, 264, 0, 0, Smoke::mf_const|Smoke::mf_protected, 230, 7},	//872 QSqlResult::isActive() const
    {50, 285, 0, 0, Smoke::mf_const|Smoke::mf_protected, 230, 8},	//873 QSqlResult::isSelect() const
    {50, 273, 0, 0, Smoke::mf_const|Smoke::mf_protected, 230, 9},	//874 QSqlResult::isForwardOnly() const
    {50, 201, 0, 0, Smoke::mf_const|Smoke::mf_protected, 268, 10},	//875 QSqlResult::driver() const
    {50, 595, 147, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//876 QSqlResult::setAt(int)
    {50, 593, 860, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//877 QSqlResult::setActive(bool)
    {50, 633, 862, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//878 QSqlResult::setLastError(const QSqlError&)
    {50, 657, 634, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//879 QSqlResult::setQuery(const QString&)
    {50, 671, 860, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//880 QSqlResult::setSelect(bool)
    {50, 622, 860, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//881 QSqlResult::setForwardOnly(bool)
    {50, 211, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 230, 17},	//882 QSqlResult::exec()
    {50, 379, 634, 1, Smoke::mf_protected|Smoke::mf_virtual, 230, 18},	//883 QSqlResult::prepare(const QString&)
    {50, 586, 634, 1, Smoke::mf_protected|Smoke::mf_virtual, 230, 19},	//884 QSqlResult::savePrepare(const QString&)
    {50, 147, 925, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//885 QSqlResult::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {50, 147, 921, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//886 QSqlResult::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {50, 128, 929, 2, Smoke::mf_protected, 0, 22},	//887 QSqlResult::addBindValue(const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {50, 153, 634, 1, Smoke::mf_const|Smoke::mf_protected, 132, 23},	//888 QSqlResult::boundValue(const QString&) const
    {50, 153, 147, 1, Smoke::mf_const|Smoke::mf_protected, 132, 24},	//889 QSqlResult::boundValue(int) const
    {50, 150, 634, 1, Smoke::mf_const|Smoke::mf_protected, 29, 25},	//890 QSqlResult::bindValueType(const QString&) const
    {50, 150, 147, 1, Smoke::mf_const|Smoke::mf_protected, 29, 26},	//891 QSqlResult::bindValueType(int) const
    {50, 155, 0, 0, Smoke::mf_const|Smoke::mf_protected, 294, 27},	//892 QSqlResult::boundValueCount() const
    {50, 158, 0, 0, Smoke::mf_const|Smoke::mf_protected, 136, 28},	//893 QSqlResult::boundValues() const
    {50, 215, 0, 0, Smoke::mf_const|Smoke::mf_protected, 115, 29},	//894 QSqlResult::executedQuery() const
    {50, 156, 147, 1, Smoke::mf_const|Smoke::mf_protected, 115, 30},	//895 QSqlResult::boundValueName(int) const
    {50, 163, 0, 0, Smoke::mf_protected, 0, 31},	//896 QSqlResult::clear()
    {50, 241, 0, 0, Smoke::mf_const|Smoke::mf_protected, 230, 32},	//897 QSqlResult::hasOutValues() const
    {50, 152, 0, 0, Smoke::mf_const|Smoke::mf_protected, 111, 33},	//898 QSqlResult::bindingSyntax() const
    {50, 185, 147, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 132, 34},	//899 QSqlResult::data(int) [pure virtual]
    {50, 280, 147, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 230, 35},	//900 QSqlResult::isNull(int) [pure virtual]
    {50, 575, 634, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 230, 36},	//901 QSqlResult::reset(const QString&) [pure virtual]
    {50, 216, 147, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 230, 37},	//902 QSqlResult::fetch(int) [pure virtual]
    {50, 222, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 230, 38},	//903 QSqlResult::fetchNext()
    {50, 223, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 230, 39},	//904 QSqlResult::fetchPrevious()
    {50, 218, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 230, 40},	//905 QSqlResult::fetchFirst() [pure virtual]
    {50, 219, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 230, 41},	//906 QSqlResult::fetchLast() [pure virtual]
    {50, 686, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 294, 42},	//907 QSqlResult::size() [pure virtual]
    {50, 303, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 294, 43},	//908 QSqlResult::numRowsAffected() [pure virtual]
    {50, 554, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 104, 44},	//909 QSqlResult::record() const
    {50, 291, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 132, 45},	//910 QSqlResult::lastInsertId() const
    {50, 731, 984, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//911 QSqlResult::virtual_hook(int, void*)
    {50, 213, 860, 1, Smoke::mf_protected, 230, 47},	//912 QSqlResult::execBatch(bool)
    {50, 198, 0, 0, Smoke::mf_protected, 0, 48},	//913 QSqlResult::detachFromResultSet()
    {50, 643, 818, 1, Smoke::mf_protected, 0, 49},	//914 QSqlResult::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {50, 305, 0, 0, Smoke::mf_const|Smoke::mf_protected, 75, 50},	//915 QSqlResult::numericalPrecisionPolicy() const
    {50, 300, 0, 0, Smoke::mf_protected, 230, 51},	//916 QSqlResult::nextResult()
    {50, 213, 0, 0, Smoke::mf_protected, 230, 52},	//917 QSqlResult::execBatch()
    {50, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 53},	//918 QSqlResult::PositionalBinding (enum)
    {50, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 54},	//919 QSqlResult::NamedBinding (enum)
    {50, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 55},	//920 QSqlResult::BatchOperation (enum)
    {50, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 56},	//921 QSqlResult::DetachFromResultSet (enum)
    {50, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 57},	//922 QSqlResult::SetNumericalPrecision (enum)
    {50, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 58},	//923 QSqlResult::NextResult (enum)
    {50, 746, 0, 0, Smoke::mf_dtor, 0, 59 },	//924 QSqlResult::~QSqlResult()
    {51, 295, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 250, 1},	//925 QSqlTableModel::metaObject() const
    {51, 541, 65, 1, Smoke::mf_virtual, 309, 2},	//926 QSqlTableModel::qt_metacast(const char*)
    {51, 711, 199, 2, Smoke::mf_static, 115, 3},	//927 QSqlTableModel::tr(const char*, const char*)
    {51, 715, 199, 2, Smoke::mf_static, 115, 4},	//928 QSqlTableModel::trUtf8(const char*, const char*)
    {51, 711, 678, 3, Smoke::mf_static, 115, 5},	//929 QSqlTableModel::tr(const char*, const char*, int)
    {51, 715, 678, 3, Smoke::mf_static, 115, 6},	//930 QSqlTableModel::trUtf8(const char*, const char*, int)
    {51, 539, 834, 3, Smoke::mf_virtual, 294, 7},	//931 QSqlTableModel::qt_metacall(QMetaObject::Call, int, void**)
    {51, 96, 970, 2, Smoke::mf_ctor, 113, 8},	//932 QSqlTableModel::QSqlTableModel(QObject*, QSqlDatabase)
    {51, 591, 0, 0, Smoke::mf_virtual, 230, 9},	//933 QSqlTableModel::select()
    {51, 677, 634, 1, Smoke::mf_virtual, 0, 10},	//934 QSqlTableModel::setTable(const QString&)
    {51, 706, 0, 0, Smoke::mf_const, 115, 11},	//935 QSqlTableModel::tableName() const
    {51, 233, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 12},	//936 QSqlTableModel::flags(const QModelIndex&) const
    {51, 185, 938, 2, Smoke::mf_const|Smoke::mf_virtual, 132, 13},	//937 QSqlTableModel::data(const QModelIndex&, int) const
    {51, 603, 1, 3, Smoke::mf_virtual, 230, 14},	//938 QSqlTableModel::setData(const QModelIndex&, const QVariant&, int)
    {51, 242, 941, 3, Smoke::mf_const|Smoke::mf_virtual, 132, 15},	//939 QSqlTableModel::headerData(int, Qt::Orientation, int) const
    {51, 268, 5, 1, Smoke::mf_const, 230, 16},	//940 QSqlTableModel::isDirty(const QModelIndex&) const
    {51, 163, 0, 0, Smoke::mf_virtual, 0, 17},	//941 QSqlTableModel::clear()
    {51, 618, 987, 1, Smoke::mf_virtual, 0, 18},	//942 QSqlTableModel::setEditStrategy(QSqlTableModel::EditStrategy)
    {51, 206, 0, 0, Smoke::mf_const, 114, 19},	//943 QSqlTableModel::editStrategy() const
    {51, 384, 0, 0, Smoke::mf_const, 96, 20},	//944 QSqlTableModel::primaryKey() const
    {51, 189, 0, 0, Smoke::mf_const, 78, 21},	//945 QSqlTableModel::database() const
    {51, 226, 634, 1, Smoke::mf_const, 294, 22},	//946 QSqlTableModel::fieldIndex(const QString&) const
    {51, 687, 16, 2, Smoke::mf_virtual, 0, 23},	//947 QSqlTableModel::sort(int, Qt::SortOrder)
    {51, 673, 16, 2, Smoke::mf_virtual, 0, 24},	//948 QSqlTableModel::setSort(int, Qt::SortOrder)
    {51, 230, 0, 0, Smoke::mf_const, 115, 25},	//949 QSqlTableModel::filter() const
    {51, 620, 634, 1, Smoke::mf_virtual, 0, 26},	//950 QSqlTableModel::setFilter(const QString&)
    {51, 584, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 294, 27},	//951 QSqlTableModel::rowCount(const QModelIndex&) const
    {51, 564, 12, 3, Smoke::mf_virtual, 230, 28},	//952 QSqlTableModel::removeColumns(int, int, const QModelIndex&)
    {51, 569, 12, 3, Smoke::mf_virtual, 230, 29},	//953 QSqlTableModel::removeRows(int, int, const QModelIndex&)
    {51, 261, 12, 3, Smoke::mf_virtual, 230, 30},	//954 QSqlTableModel::insertRows(int, int, const QModelIndex&)
    {51, 257, 976, 2, 0, 230, 31},	//955 QSqlTableModel::insertRecord(int, const QSqlRecord&)
    {51, 663, 976, 2, 0, 230, 32},	//956 QSqlTableModel::setRecord(int, const QSqlRecord&)
    {51, 580, 147, 1, Smoke::mf_virtual, 0, 33},	//957 QSqlTableModel::revertRow(int)
    {51, 697, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 230, 34},	//958 QSqlTableModel::submit()
    {51, 578, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//959 QSqlTableModel::revert()
    {51, 698, 0, 0, Smoke::mf_slot, 230, 36},	//960 QSqlTableModel::submitAll()
    {51, 579, 0, 0, Smoke::mf_slot, 0, 37},	//961 QSqlTableModel::revertAll()
    {51, 385, 989, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//962 QSqlTableModel::primeInsert(int, QSqlRecord&)
    {51, 142, 992, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//963 QSqlTableModel::beforeInsert(QSqlRecord&)
    {51, 144, 989, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//964 QSqlTableModel::beforeUpdate(int, QSqlRecord&)
    {51, 140, 147, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//965 QSqlTableModel::beforeDelete(int)
    {51, 726, 976, 2, Smoke::mf_protected|Smoke::mf_virtual, 230, 42},	//966 QSqlTableModel::updateRowInTable(int, const QSqlRecord&)
    {51, 259, 963, 1, Smoke::mf_protected|Smoke::mf_virtual, 230, 43},	//967 QSqlTableModel::insertRowIntoTable(const QSqlRecord&)
    {51, 196, 147, 1, Smoke::mf_protected|Smoke::mf_virtual, 230, 44},	//968 QSqlTableModel::deleteRowFromTable(int)
    {51, 375, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 115, 45},	//969 QSqlTableModel::orderByClause() const
    {51, 592, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 115, 46},	//970 QSqlTableModel::selectStatement() const
    {51, 655, 905, 1, Smoke::mf_protected, 0, 47},	//971 QSqlTableModel::setPrimaryKey(const QSqlIndex&)
    {51, 657, 917, 1, Smoke::mf_protected, 0, 48},	//972 QSqlTableModel::setQuery(const QSqlQuery&)
    {51, 248, 5, 1, Smoke::mf_const|Smoke::mf_protected, 63, 49},	//973 QSqlTableModel::indexInQuery(const QModelIndex&) const
    {51, 711, 65, 1, Smoke::mf_static, 115, 50},	//974 QSqlTableModel::tr(const char*)
    {51, 715, 65, 1, Smoke::mf_static, 115, 51},	//975 QSqlTableModel::trUtf8(const char*)
    {51, 96, 0, 0, Smoke::mf_ctor, 113, 52},	//976 QSqlTableModel::QSqlTableModel()
    {51, 96, 838, 1, Smoke::mf_ctor, 113, 53},	//977 QSqlTableModel::QSqlTableModel(QObject*)
    {51, 185, 5, 1, Smoke::mf_const, 132, 54},	//978 QSqlTableModel::data(const QModelIndex&) const
    {51, 603, 979, 2, 0, 230, 55},	//979 QSqlTableModel::setData(const QModelIndex&, const QVariant&)
    {51, 242, 953, 2, Smoke::mf_const, 132, 56},	//980 QSqlTableModel::headerData(int, Qt::Orientation) const
    {51, 584, 0, 0, Smoke::mf_const, 294, 57},	//981 QSqlTableModel::rowCount() const
    {51, 564, 960, 2, 0, 230, 58},	//982 QSqlTableModel::removeColumns(int, int)
    {51, 569, 960, 2, 0, 230, 59},	//983 QSqlTableModel::removeRows(int, int)
    {51, 261, 960, 2, 0, 230, 60},	//984 QSqlTableModel::insertRows(int, int)
    {51, 692, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 249, 61},	//985 QSqlTableModel::staticMetaObject() const
    {51, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 62},	//986 QSqlTableModel::OnFieldChange (enum)
    {51, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 63},	//987 QSqlTableModel::OnRowChange (enum)
    {51, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 64},	//988 QSqlTableModel::OnManualSubmit (enum)
    {51, 747, 0, 0, Smoke::mf_dtor, 0, 65 },	//989 QSqlTableModel::~QSqlTableModel()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    885,  // QSqlResult::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    886,  // QSqlResult::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    0,
    890,  // QSqlResult::bindValueType(const QString&) const
    891,  // QSqlResult::bindValueType(int) const
    0,
    888,  // QSqlResult::boundValue(const QString&) const
    889,  // QSqlResult::boundValue(int) const
    0,
    702,  // QSqlQuery::QSqlQuery(QSqlResult*)
    704,  // QSqlQuery::QSqlQuery(QSqlDatabase)
    705,  // QSqlQuery::QSqlQuery(const QSqlQuery&)
    0,
    748,  // QSqlQuery::bindValue(const QString&, const QVariant&)
    749,  // QSqlQuery::bindValue(int, const QVariant&)
    0,
    734,  // QSqlQuery::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    735,  // QSqlQuery::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    0,
    737,  // QSqlQuery::boundValue(const QString&) const
    738,  // QSqlQuery::boundValue(int) const
    0,
    48,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    54,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    58,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    68,  // QGlobalSpace::operator!=(QChar, QChar)
    92,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    99,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    112,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    113,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    142,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    156,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    170,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    184,  // QGlobalSpace::operator!=(QBool, QBool)
    194,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    224,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    261,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    384,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    0,
    218,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    244,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    322,  // QGlobalSpace::operator!=(QBool, bool)
    342,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    411,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    0,
    49,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    94,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    186,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    246,  // QGlobalSpace::operator!=(bool, QBool)
    256,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    358,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    0,
    31,  // QGlobalSpace::operator*(const QSizeF&, double)
    106,  // QGlobalSpace::operator*(const QPointF&, double)
    207,  // QGlobalSpace::operator*(const QSize&, double)
    334,  // QGlobalSpace::operator*(const QPoint&, double)
    0,
    157,  // QGlobalSpace::operator*(double, const QSize&)
    275,  // QGlobalSpace::operator*(double, const QPointF&)
    341,  // QGlobalSpace::operator*(double, const QPoint&)
    393,  // QGlobalSpace::operator*(double, const QSizeF&)
    0,
    51,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    271,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    300,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    340,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    422,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    0,
    42,  // QGlobalSpace::operator+(QChar, const QString&)
    251,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    272,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    296,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    50,  // QGlobalSpace::operator+(const QString&, QChar)
    93,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    292,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    310,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    167,  // QGlobalSpace::operator+(const char*, const QString&)
    185,  // QGlobalSpace::operator+(const QString&, char)
    311,  // QGlobalSpace::operator+(const QString&, const char*)
    321,  // QGlobalSpace::operator+(const QString&, const QString&)
    418,  // QGlobalSpace::operator+(char, const QString&)
    0,
    163,  // QGlobalSpace::operator-(const QPointF&)
    178,  // QGlobalSpace::operator-(const QPoint&)
    0,
    72,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    210,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    353,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    367,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    0,
    172,  // QGlobalSpace::operator/(const QSizeF&, double)
    190,  // QGlobalSpace::operator/(const QPointF&, double)
    215,  // QGlobalSpace::operator/(const QPoint&, double)
    354,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    183,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    315,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    364,  // QGlobalSpace::operator<(QChar, QChar)
    392,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    100,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    245,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    32,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    43,  // QGlobalSpace::operator<<(QDebug, const QSqlError&)
    55,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    57,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    70,  // QGlobalSpace::operator<<(QDebug, const QSqlField&)
    73,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    81,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    90,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    107,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    126,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    127,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    128,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    139,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    155,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    169,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    174,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    177,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    180,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    195,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    204,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    209,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    217,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    227,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    243,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    260,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    270,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    277,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    278,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    286,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    287,  // QGlobalSpace::operator<<(QDebug, const QSqlRecord&)
    291,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    301,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    304,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    309,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    326,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    335,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    344,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    348,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    376,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    377,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    381,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    395,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    419,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    423,  // QGlobalSpace::operator<<(QDebug, const QSqlDatabase&)
    0,
    39,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    78,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    119,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    253,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    405,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    0,
    45,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    46,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    105,  // QGlobalSpace::operator<=(QChar, QChar)
    115,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    0,
    151,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    168,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    38,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    40,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    53,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    61,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    108,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    111,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    133,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    188,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    228,  // QGlobalSpace::operator==(QBool, QBool)
    250,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    265,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    288,  // QGlobalSpace::operator==(QChar, QChar)
    306,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    323,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    345,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    397,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    400,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    0,
    196,  // QGlobalSpace::operator==(QString::Null, const QString&)
    239,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    330,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    406,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    410,  // QGlobalSpace::operator==(QBool, bool)
    0,
    80,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    137,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    146,  // QGlobalSpace::operator==(const QString&, QString::Null)
    222,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    233,  // QGlobalSpace::operator==(bool, QBool)
    267,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    0,
    91,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    129,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    171,  // QGlobalSpace::operator>(QChar, QChar)
    285,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    124,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    134,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    103,  // QGlobalSpace::operator>=(QChar, QChar)
    130,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    182,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    394,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    0,
    24,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    355,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    22,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    25,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    36,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    64,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    71,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    114,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    120,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    154,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    202,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    206,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    212,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    229,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    231,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    236,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    255,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    279,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    283,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    338,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    373,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    414,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    0,
    225,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    374,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    20,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    23,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    27,  // QGlobalSpace::operator|(Qt::WindowType, int)
    37,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    56,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    66,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    74,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    82,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    84,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    88,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    96,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    104,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    109,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    121,  // QGlobalSpace::operator|(Qt::DropAction, int)
    123,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    132,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    138,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    140,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    141,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    144,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    145,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    147,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    149,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    152,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    153,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    158,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    161,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    164,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    166,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    173,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    181,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    192,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    200,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    201,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    211,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    213,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    220,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    223,  // QGlobalSpace::operator|(Qt::WindowState, int)
    232,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    234,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    242,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    248,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    252,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    254,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    258,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    264,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    266,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    268,  // QGlobalSpace::operator|(QFile::Permission, int)
    284,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    294,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    295,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    297,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    299,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    303,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    305,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    308,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    312,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    313,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, QSql::ParamTypeFlag)
    314,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, int)
    319,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    327,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    333,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    339,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    346,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    350,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    351,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    356,  // QGlobalSpace::operator|(QDir::Filter, int)
    357,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    362,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    365,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    366,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    371,  // QGlobalSpace::operator|(Qt::Orientation, int)
    372,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    378,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>)
    380,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    382,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    385,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    389,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    390,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    391,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    399,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    401,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    402,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    404,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    407,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    408,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    416,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    417,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    421,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    424,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    0,
    150,  // QGlobalSpace::qFuzzyCompare(double, double)
    203,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    235,  // QGlobalSpace::qFuzzyIsNull(double)
    375,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    95,  // QGlobalSpace::qHash(const QBitArray&)
    241,  // QGlobalSpace::qHash(QChar)
    282,  // QGlobalSpace::qHash(const QStringRef&)
    379,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    396,  // QGlobalSpace::qHash(const QByteArray&)
    398,  // QGlobalSpace::qHash(const QModelIndex&)
    0,
    29,  // QGlobalSpace::qHash(unsigned int)
    30,  // QGlobalSpace::qHash(char)
    59,  // QGlobalSpace::qHash(unsigned char)
    79,  // QGlobalSpace::qHash(short)
    87,  // QGlobalSpace::qHash(long)
    136,  // QGlobalSpace::qHash(unsigned short)
    219,  // QGlobalSpace::qHash(int)
    263,  // QGlobalSpace::qHash(signed char)
    320,  // QGlobalSpace::qHash(const QString&)
    361,  // QGlobalSpace::qHash(unsigned long)
    0,
    160,  // QGlobalSpace::qHash(long long)
    187,  // QGlobalSpace::qHash(unsigned long long)
    0,
    131,  // QGlobalSpace::qIntCast(float)
    191,  // QGlobalSpace::qIntCast(double)
    0,
    83,  // QGlobalSpace::qIsFinite(double)
    420,  // QGlobalSpace::qIsFinite(float)
    0,
    165,  // QGlobalSpace::qIsInf(float)
    352,  // QGlobalSpace::qIsInf(double)
    0,
    325,  // QGlobalSpace::qIsNaN(float)
    332,  // QGlobalSpace::qIsNaN(double)
    0,
    65,  // QGlobalSpace::qIsNull(float)
    369,  // QGlobalSpace::qIsNull(double)
    0,
    476,  // QSqlDatabase::QSqlDatabase(const QSqlDatabase&)
    520,  // QSqlDatabase::QSqlDatabase(QSqlDriver*)
    0,
    811,  // QSqlRecord::field(int) const
    812,  // QSqlRecord::field(const QString&) const
    0,
    813,  // QSqlRecord::isGenerated(int) const
    814,  // QSqlRecord::isGenerated(const QString&) const
    0,
    807,  // QSqlRecord::isNull(int) const
    808,  // QSqlRecord::isNull(const QString&) const
    0,
    815,  // QSqlRecord::setGenerated(const QString&, bool)
    816,  // QSqlRecord::setGenerated(int, bool)
    0,
    805,  // QSqlRecord::setNull(int)
    806,  // QSqlRecord::setNull(const QString&)
    0,
    803,  // QSqlRecord::setValue(int, const QVariant&)
    804,  // QSqlRecord::setValue(const QString&, const QVariant&)
    0,
    801,  // QSqlRecord::value(int) const
    802,  // QSqlRecord::value(const QString&) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 19, 437},	// QGlobalSpace::LicensedActiveQt
    {16, 20, 443},	// QGlobalSpace::LicensedCore
    {16, 21, 435},	// QGlobalSpace::LicensedDBus
    {16, 22, 440},	// QGlobalSpace::LicensedDeclarative
    {16, 23, 430},	// QGlobalSpace::LicensedGui
    {16, 24, 449},	// QGlobalSpace::LicensedHelp
    {16, 25, 450},	// QGlobalSpace::LicensedMultimedia
    {16, 26, 453},	// QGlobalSpace::LicensedNetwork
    {16, 27, 442},	// QGlobalSpace::LicensedOpenGL
    {16, 28, 434},	// QGlobalSpace::LicensedOpenVG
    {16, 29, 451},	// QGlobalSpace::LicensedQt3Support
    {16, 30, 432},	// QGlobalSpace::LicensedQt3SupportLight
    {16, 31, 433},	// QGlobalSpace::LicensedScript
    {16, 32, 438},	// QGlobalSpace::LicensedScriptTools
    {16, 33, 441},	// QGlobalSpace::LicensedSql
    {16, 34, 439},	// QGlobalSpace::LicensedSvg
    {16, 35, 436},	// QGlobalSpace::LicensedTest
    {16, 36, 431},	// QGlobalSpace::LicensedXml
    {16, 37, 452},	// QGlobalSpace::LicensedXmlPatterns
    {16, 99, 425},	// QGlobalSpace::Q_COMPLEX_TYPE
    {16, 100, 429},	// QGlobalSpace::Q_DUMMY_TYPE
    {16, 101, 428},	// QGlobalSpace::Q_MOVABLE_TYPE
    {16, 102, 426},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {16, 103, 427},	// QGlobalSpace::Q_STATIC_TYPE
    {16, 104, 446},	// QGlobalSpace::QtCriticalMsg
    {16, 105, 444},	// QGlobalSpace::QtDebugMsg
    {16, 106, 447},	// QGlobalSpace::QtFatalMsg
    {16, 107, 448},	// QGlobalSpace::QtSystemMsg
    {16, 108, 445},	// QGlobalSpace::QtWarningMsg
    {16, 315, -23},	// QGlobalSpace::operator!=##
    {16, 316, -40},	// QGlobalSpace::operator!=#$
    {16, 317, -46},	// QGlobalSpace::operator!=$#
    {16, 318, 386},	// QGlobalSpace::operator!=$$
    {16, 320, 176},	// QGlobalSpace::operator&##
    {16, 322, -53},	// QGlobalSpace::operator*#$
    {16, 323, -58},	// QGlobalSpace::operator*$#
    {16, 325, -63},	// QGlobalSpace::operator+##
    {16, 326, -69},	// QGlobalSpace::operator+#$
    {16, 327, -74},	// QGlobalSpace::operator+$#
    {16, 328, -79},	// QGlobalSpace::operator+$$
    {16, 330, -85},	// QGlobalSpace::operator-#
    {16, 331, -88},	// QGlobalSpace::operator-##
    {16, 333, -93},	// QGlobalSpace::operator/#$
    {16, 335, -98},	// QGlobalSpace::operator<##
    {16, 336, 34},	// QGlobalSpace::operator<#$
    {16, 337, -103},	// QGlobalSpace::operator<$#
    {16, 338, 238},	// QGlobalSpace::operator<$$
    {16, 340, -106},	// QGlobalSpace::operator<<##
    {16, 341, -151},	// QGlobalSpace::operator<<#$
    {16, 342, 324},	// QGlobalSpace::operator<<#?
    {16, 344, -157},	// QGlobalSpace::operator<=##
    {16, 345, 197},	// QGlobalSpace::operator<=#$
    {16, 346, -162},	// QGlobalSpace::operator<=$#
    {16, 347, 162},	// QGlobalSpace::operator<=$$
    {16, 352, -165},	// QGlobalSpace::operator==##
    {16, 353, -183},	// QGlobalSpace::operator==#$
    {16, 354, -189},	// QGlobalSpace::operator==$#
    {16, 355, 302},	// QGlobalSpace::operator==$$
    {16, 357, -196},	// QGlobalSpace::operator>##
    {16, 358, 383},	// QGlobalSpace::operator>#$
    {16, 359, -201},	// QGlobalSpace::operator>$#
    {16, 360, 35},	// QGlobalSpace::operator>$$
    {16, 362, -204},	// QGlobalSpace::operator>=##
    {16, 363, 179},	// QGlobalSpace::operator>=#$
    {16, 364, -209},	// QGlobalSpace::operator>=$#
    {16, 365, 331},	// QGlobalSpace::operator>=$$
    {16, 367, -212},	// QGlobalSpace::operator>>##
    {16, 368, -233},	// QGlobalSpace::operator>>#$
    {16, 369, 269},	// QGlobalSpace::operator>>#?
    {16, 371, 412},	// QGlobalSpace::operator^##
    {16, 373, 98},	// QGlobalSpace::operator|##
    {16, 374, -236},	// QGlobalSpace::operator|$$
    {16, 388, 21},	// QGlobalSpace::qAcos$
    {16, 390, 273},	// QGlobalSpace::qAddPostRoutine$
    {16, 391, 26},	// QGlobalSpace::qAppName
    {16, 393, 413},	// QGlobalSpace::qAsin$
    {16, 395, 101},	// QGlobalSpace::qAtan$
    {16, 397, 77},	// QGlobalSpace::qAtan2$$
    {16, 398, 415},	// QGlobalSpace::qBadAlloc
    {16, 400, 262},	// QGlobalSpace::qCeil$
    {16, 402, 205},	// QGlobalSpace::qChecksum$$
    {16, 404, 118},	// QGlobalSpace::qCompress#
    {16, 405, 117},	// QGlobalSpace::qCompress#$
    {16, 406, 317},	// QGlobalSpace::qCompress$$
    {16, 407, 316},	// QGlobalSpace::qCompress$$$
    {16, 409, 289},	// QGlobalSpace::qCos$
    {16, 410, 214},	// QGlobalSpace::qCritical
    {16, 411, 159},	// QGlobalSpace::qDebug
    {16, 413, 230},	// QGlobalSpace::qExp$
    {16, 415, 135},	// QGlobalSpace::qFabs$
    {16, 417, 198},	// QGlobalSpace::qFastCos$
    {16, 419, 41},	// QGlobalSpace::qFastSin$
    {16, 421, 189},	// QGlobalSpace::qFlagLocation$
    {16, 423, 318},	// QGlobalSpace::qFloor$
    {16, 425, 329},	// QGlobalSpace::qFree$
    {16, 427, 403},	// QGlobalSpace::qFreeAligned$
    {16, 429, -327},	// QGlobalSpace::qFuzzyCompare$$
    {16, 431, -330},	// QGlobalSpace::qFuzzyIsNull$
    {16, 433, -333},	// QGlobalSpace::qHash#
    {16, 434, -340},	// QGlobalSpace::qHash$
    {16, 435, -351},	// QGlobalSpace::qHash?
    {16, 436, 280},	// QGlobalSpace::qInf
    {16, 438, 208},	// QGlobalSpace::qInstallMsgHandler$
    {16, 440, -354},	// QGlobalSpace::qIntCast$
    {16, 442, -357},	// QGlobalSpace::qIsFinite$
    {16, 444, -360},	// QGlobalSpace::qIsInf$
    {16, 446, -363},	// QGlobalSpace::qIsNaN$
    {16, 448, -366},	// QGlobalSpace::qIsNull$
    {16, 450, 409},	// QGlobalSpace::qLn$
    {16, 452, 368},	// QGlobalSpace::qMalloc?
    {16, 454, 290},	// QGlobalSpace::qMallocAligned??
    {16, 456, 328},	// QGlobalSpace::qMemCopy$$?
    {16, 458, 259},	// QGlobalSpace::qMemSet$$?
    {16, 460, 216},	// QGlobalSpace::qPow$$
    {16, 461, 67},	// QGlobalSpace::qQNaN
    {16, 463, 143},	// QGlobalSpace::qRealloc$?
    {16, 465, 122},	// QGlobalSpace::qReallocAligned$???
    {16, 467, 274},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {16, 469, 199},	// QGlobalSpace::qRemovePostRoutine$
    {16, 471, 19},	// QGlobalSpace::qRound$
    {16, 473, 360},	// QGlobalSpace::qRound64$
    {16, 474, 363},	// QGlobalSpace::qSNaN
    {16, 476, 387},	// QGlobalSpace::qSetFieldWidth$
    {16, 478, 69},	// QGlobalSpace::qSetPadChar#
    {16, 480, 336},	// QGlobalSpace::qSetRealNumberPrecision$
    {16, 481, 276},	// QGlobalSpace::qSharedBuild
    {16, 483, 343},	// QGlobalSpace::qSin$
    {16, 485, 125},	// QGlobalSpace::qSqrt$
    {16, 487, 307},	// QGlobalSpace::qStringComparisonHelper#$
    {16, 488, 388},	// QGlobalSpace::qStringComparisonHelper$$
    {16, 490, 359},	// QGlobalSpace::qTan$
    {16, 492, 193},	// QGlobalSpace::qUncompress#
    {16, 493, 116},	// QGlobalSpace::qUncompress$$
    {16, 494, 298},	// QGlobalSpace::qVersion
    {16, 495, 148},	// QGlobalSpace::qWarning
    {16, 497, 240},	// QGlobalSpace::qbswap_helper$$$
    {16, 499, 33},	// QGlobalSpace::qgetenv$
    {16, 501, 370},	// QGlobalSpace::qputenv$#
    {16, 502, 337},	// QGlobalSpace::qrand
    {16, 504, 249},	// QGlobalSpace::qsrand$
    {16, 506, 175},	// QGlobalSpace::qstrcmp##
    {16, 507, 85},	// QGlobalSpace::qstrcmp#$
    {16, 508, 102},	// QGlobalSpace::qstrcmp$#
    {16, 509, 89},	// QGlobalSpace::qstrcmp$$
    {16, 511, 97},	// QGlobalSpace::qstrcpy$$
    {16, 513, 86},	// QGlobalSpace::qstrdup$
    {16, 515, 257},	// QGlobalSpace::qstricmp$$
    {16, 517, 349},	// QGlobalSpace::qstrlen$
    {16, 519, 44},	// QGlobalSpace::qstrncmp$$$
    {16, 521, 28},	// QGlobalSpace::qstrncpy$$$
    {16, 523, 281},	// QGlobalSpace::qstrnicmp$$$
    {16, 525, 52},	// QGlobalSpace::qstrnlen$$
    {16, 527, 76},	// QGlobalSpace::qtTrId$
    {16, 528, 75},	// QGlobalSpace::qtTrId$$
    {16, 530, 347},	// QGlobalSpace::qt_assert$$$
    {16, 532, 293},	// QGlobalSpace::qt_assert_x$$$$
    {16, 534, 110},	// QGlobalSpace::qt_check_pointer$$
    {16, 535, 63},	// QGlobalSpace::qt_error_string
    {16, 536, 62},	// QGlobalSpace::qt_error_string$
    {16, 538, 247},	// QGlobalSpace::qt_message_output$$
    {16, 543, 221},	// QGlobalSpace::qt_noop
    {16, 545, 226},	// QGlobalSpace::qt_qFindChild_helper#$#
    {16, 547, 60},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {16, 551, 237},	// QGlobalSpace::qvariant_cast_helper#$$
    {16, 553, 47},	// QGlobalSpace::qvsnprintf$?$?
    {36, 1, 474},	// QSql::AfterLastRow
    {36, 2, 472},	// QSql::AllTables
    {36, 6, 473},	// QSql::BeforeFirstRow
    {36, 7, 464},	// QSql::Binary
    {36, 14, 468},	// QSql::HighPrecision
    {36, 15, 461},	// QSql::In
    {36, 16, 463},	// QSql::InOut
    {36, 38, 467},	// QSql::LowPrecisionDouble
    {36, 39, 465},	// QSql::LowPrecisionInt32
    {36, 40, 466},	// QSql::LowPrecisionInt64
    {36, 51, 462},	// QSql::Out
    {36, 115, 470},	// QSql::SystemTables
    {36, 117, 469},	// QSql::Tables
    {36, 126, 471},	// QSql::Views
    {37, 55, 475},	// QSqlDatabase::QSqlDatabase
    {37, 56, -369},	// QSqlDatabase::QSqlDatabase#
    {37, 57, 519},	// QSqlDatabase::QSqlDatabase$
    {37, 132, 525},	// QSqlDatabase::addDatabase#
    {37, 133, 510},	// QSqlDatabase::addDatabase#$
    {37, 134, 524},	// QSqlDatabase::addDatabase$
    {37, 135, 509},	// QSqlDatabase::addDatabase$$
    {37, 166, 511},	// QSqlDatabase::cloneDatabase#$
    {37, 167, 480},	// QSqlDatabase::close
    {37, 170, 490},	// QSqlDatabase::commit
    {37, 173, 504},	// QSqlDatabase::connectOptions
    {37, 174, 505},	// QSqlDatabase::connectionName
    {37, 175, 516},	// QSqlDatabase::connectionNames
    {37, 176, 528},	// QSqlDatabase::contains
    {37, 177, 514},	// QSqlDatabase::contains$
    {37, 189, 526},	// QSqlDatabase::database
    {37, 190, 527},	// QSqlDatabase::database$
    {37, 191, 512},	// QSqlDatabase::database$$
    {37, 192, 498},	// QSqlDatabase::databaseName
    {37, 194, 529},	// QSqlDatabase::defaultConnection
    {37, 201, 508},	// QSqlDatabase::driver
    {37, 202, 502},	// QSqlDatabase::driverName
    {37, 204, 515},	// QSqlDatabase::drivers
    {37, 211, 522},	// QSqlDatabase::exec
    {37, 212, 486},	// QSqlDatabase::exec$
    {37, 245, 501},	// QSqlDatabase::hostName
    {37, 271, 518},	// QSqlDatabase::isDriverAvailable$
    {37, 282, 481},	// QSqlDatabase::isOpen
    {37, 283, 482},	// QSqlDatabase::isOpenError
    {37, 286, 488},	// QSqlDatabase::isValid
    {37, 290, 487},	// QSqlDatabase::lastError
    {37, 305, 507},	// QSqlDatabase::numericalPrecisionPolicy
    {37, 306, 478},	// QSqlDatabase::open
    {37, 308, 479},	// QSqlDatabase::open$$
    {37, 349, 477},	// QSqlDatabase::operator=#
    {37, 376, 500},	// QSqlDatabase::password
    {37, 377, 503},	// QSqlDatabase::port
    {37, 383, 484},	// QSqlDatabase::primaryIndex$
    {37, 555, 485},	// QSqlDatabase::record$
    {37, 557, 517},	// QSqlDatabase::registerSqlDriver$#
    {37, 568, 513},	// QSqlDatabase::removeDatabase$
    {37, 582, 491},	// QSqlDatabase::rollback
    {37, 599, 523},	// QSqlDatabase::setConnectOptions
    {37, 600, 497},	// QSqlDatabase::setConnectOptions$
    {37, 607, 492},	// QSqlDatabase::setDatabaseName$
    {37, 611, 530},	// QSqlDatabase::setDefaultConnection$
    {37, 631, 495},	// QSqlDatabase::setHostName$
    {37, 644, 506},	// QSqlDatabase::setNumericalPrecisionPolicy$
    {37, 650, 494},	// QSqlDatabase::setPassword$
    {37, 652, 496},	// QSqlDatabase::setPort$
    {37, 682, 493},	// QSqlDatabase::setUserName$
    {37, 707, 521},	// QSqlDatabase::tables
    {37, 708, 483},	// QSqlDatabase::tables$
    {37, 719, 489},	// QSqlDatabase::transaction
    {37, 728, 499},	// QSqlDatabase::userName
    {37, 733, 531},	// QSqlDatabase::~QSqlDatabase
    {38, 3, 585},	// QSqlDriver::BLOB
    {38, 5, 591},	// QSqlDriver::BatchOperations
    {38, 9, 601},	// QSqlDriver::DeleteStatement
    {38, 11, 594},	// QSqlDriver::EventNotifications
    {38, 12, 602},	// QSqlDriver::FieldName
    {38, 13, 595},	// QSqlDriver::FinishQuery
    {38, 17, 600},	// QSqlDriver::InsertStatement
    {38, 18, 590},	// QSqlDriver::LastInsertId
    {38, 41, 593},	// QSqlDriver::LowPrecisionNumbers
    {38, 42, 596},	// QSqlDriver::MultipleResultSets
    {38, 44, 588},	// QSqlDriver::NamedPlaceholders
    {38, 53, 589},	// QSqlDriver::PositionalPlaceholders
    {38, 54, 587},	// QSqlDriver::PreparedQueries
    {38, 58, 575},	// QSqlDriver::QSqlDriver
    {38, 59, 539},	// QSqlDriver::QSqlDriver#
    {38, 109, 584},	// QSqlDriver::QuerySize
    {38, 111, 598},	// QSqlDriver::SelectStatement
    {38, 113, 592},	// QSqlDriver::SimpleLocking
    {38, 116, 603},	// QSqlDriver::TableName
    {38, 119, 583},	// QSqlDriver::Transactions
    {38, 120, 586},	// QSqlDriver::Unicode
    {38, 123, 599},	// QSqlDriver::UpdateStatement
    {38, 127, 597},	// QSqlDriver::WhereStatement
    {38, 146, 542},	// QSqlDriver::beginTransaction
    {38, 167, 554},	// QSqlDriver::close
    {38, 171, 543},	// QSqlDriver::commitTransaction
    {38, 182, 555},	// QSqlDriver::createResult
    {38, 208, 549},	// QSqlDriver::escapeIdentifier$$
    {38, 236, 576},	// QSqlDriver::formatValue#
    {38, 237, 548},	// QSqlDriver::formatValue#$
    {38, 238, 552},	// QSqlDriver::handle
    {38, 240, 553},	// QSqlDriver::hasFeature$
    {38, 277, 560},	// QSqlDriver::isIdentifierEscaped$$
    {38, 279, 571},	// QSqlDriver::isIdentifierEscapedImplementation$$
    {38, 282, 540},	// QSqlDriver::isOpen
    {38, 283, 541},	// QSqlDriver::isOpenError
    {38, 290, 551},	// QSqlDriver::lastError
    {38, 295, 532},	// QSqlDriver::metaObject
    {38, 302, 564},	// QSqlDriver::notification$
    {38, 305, 563},	// QSqlDriver::numericalPrecisionPolicy
    {38, 307, 577},	// QSqlDriver::open$
    {38, 308, 578},	// QSqlDriver::open$$
    {38, 309, 579},	// QSqlDriver::open$$$
    {38, 310, 580},	// QSqlDriver::open$$$$
    {38, 311, 581},	// QSqlDriver::open$$$$$
    {38, 312, 556},	// QSqlDriver::open$$$$$$
    {38, 383, 546},	// QSqlDriver::primaryIndex$
    {38, 540, 538},	// QSqlDriver::qt_metacall$$?
    {38, 542, 533},	// QSqlDriver::qt_metacast$
    {38, 555, 547},	// QSqlDriver::record$
    {38, 583, 544},	// QSqlDriver::rollbackTransaction
    {38, 634, 567},	// QSqlDriver::setLastError#
    {38, 644, 562},	// QSqlDriver::setNumericalPrecisionPolicy$
    {38, 646, 565},	// QSqlDriver::setOpen$
    {38, 648, 566},	// QSqlDriver::setOpenError$
    {38, 691, 550},	// QSqlDriver::sqlStatement$$#$
    {38, 692, 582},	// QSqlDriver::staticMetaObject
    {38, 694, 561},	// QSqlDriver::stripDelimiters$$
    {38, 696, 572},	// QSqlDriver::stripDelimitersImplementation$$
    {38, 700, 557},	// QSqlDriver::subscribeToNotification$
    {38, 702, 568},	// QSqlDriver::subscribeToNotificationImplementation$
    {38, 703, 559},	// QSqlDriver::subscribedToNotifications
    {38, 704, 570},	// QSqlDriver::subscribedToNotificationsImplementation
    {38, 708, 545},	// QSqlDriver::tables$
    {38, 712, 573},	// QSqlDriver::tr$
    {38, 713, 534},	// QSqlDriver::tr$$
    {38, 714, 536},	// QSqlDriver::tr$$$
    {38, 716, 574},	// QSqlDriver::trUtf8$
    {38, 717, 535},	// QSqlDriver::trUtf8$$
    {38, 718, 537},	// QSqlDriver::trUtf8$$$
    {38, 723, 558},	// QSqlDriver::unsubscribeFromNotification$
    {38, 725, 569},	// QSqlDriver::unsubscribeFromNotificationImplementation$
    {38, 734, 604},	// QSqlDriver::~QSqlDriver
    {39, 60, 606},	// QSqlDriverCreatorBase::QSqlDriverCreatorBase
    {39, 61, 607},	// QSqlDriverCreatorBase::QSqlDriverCreatorBase#
    {39, 181, 605},	// QSqlDriverCreatorBase::createObject
    {39, 735, 608},	// QSqlDriverCreatorBase::~QSqlDriverCreatorBase
    {40, 62, 610},	// QSqlDriverFactoryInterface::QSqlDriverFactoryInterface
    {40, 63, 611},	// QSqlDriverFactoryInterface::QSqlDriverFactoryInterface#
    {40, 180, 609},	// QSqlDriverFactoryInterface::create$
    {40, 736, 612},	// QSqlDriverFactoryInterface::~QSqlDriverFactoryInterface
    {41, 64, 625},	// QSqlDriverPlugin::QSqlDriverPlugin
    {41, 65, 620},	// QSqlDriverPlugin::QSqlDriverPlugin#
    {41, 180, 622},	// QSqlDriverPlugin::create$
    {41, 288, 621},	// QSqlDriverPlugin::keys
    {41, 295, 613},	// QSqlDriverPlugin::metaObject
    {41, 540, 619},	// QSqlDriverPlugin::qt_metacall$$?
    {41, 542, 614},	// QSqlDriverPlugin::qt_metacast$
    {41, 692, 626},	// QSqlDriverPlugin::staticMetaObject
    {41, 712, 623},	// QSqlDriverPlugin::tr$
    {41, 713, 615},	// QSqlDriverPlugin::tr$$
    {41, 714, 617},	// QSqlDriverPlugin::tr$$$
    {41, 716, 624},	// QSqlDriverPlugin::trUtf8$
    {41, 717, 616},	// QSqlDriverPlugin::trUtf8$$
    {41, 718, 618},	// QSqlDriverPlugin::trUtf8$$$
    {41, 737, 627},	// QSqlDriverPlugin::~QSqlDriverPlugin
    {42, 8, 646},	// QSqlError::ConnectionError
    {42, 46, 645},	// QSqlError::NoError
    {42, 66, 641},	// QSqlError::QSqlError
    {42, 67, 629},	// QSqlError::QSqlError#
    {42, 68, 642},	// QSqlError::QSqlError$
    {42, 69, 643},	// QSqlError::QSqlError$$
    {42, 70, 644},	// QSqlError::QSqlError$$$
    {42, 71, 628},	// QSqlError::QSqlError$$$$
    {42, 114, 647},	// QSqlError::StatementError
    {42, 118, 648},	// QSqlError::TransactionError
    {42, 122, 649},	// QSqlError::UnknownError
    {42, 193, 633},	// QSqlError::databaseText
    {42, 203, 631},	// QSqlError::driverText
    {42, 286, 640},	// QSqlError::isValid
    {42, 304, 637},	// QSqlError::number
    {42, 349, 630},	// QSqlError::operator=#
    {42, 609, 634},	// QSqlError::setDatabaseText$
    {42, 617, 632},	// QSqlError::setDriverText$
    {42, 642, 638},	// QSqlError::setNumber$
    {42, 680, 636},	// QSqlError::setType$
    {42, 709, 639},	// QSqlError::text
    {42, 720, 635},	// QSqlError::type
    {42, 738, 650},	// QSqlError::~QSqlError
    {43, 50, 685},	// QSqlField::Optional
    {43, 72, 682},	// QSqlField::QSqlField
    {43, 73, 652},	// QSqlField::QSqlField#
    {43, 74, 683},	// QSqlField::QSqlField$
    {43, 75, 651},	// QSqlField::QSqlField$$
    {43, 110, 686},	// QSqlField::Required
    {43, 121, 684},	// QSqlField::Unknown
    {43, 163, 663},	// QSqlField::clear
    {43, 195, 678},	// QSqlField::defaultValue
    {43, 265, 665},	// QSqlField::isAutoValue
    {43, 274, 680},	// QSqlField::isGenerated
    {43, 280, 660},	// QSqlField::isNull
    {43, 284, 662},	// QSqlField::isReadOnly
    {43, 286, 681},	// QSqlField::isValid
    {43, 293, 676},	// QSqlField::length
    {43, 298, 659},	// QSqlField::name
    {43, 314, 655},	// QSqlField::operator!=#
    {43, 349, 653},	// QSqlField::operator=#
    {43, 351, 654},	// QSqlField::operator==#
    {43, 378, 677},	// QSqlField::precision
    {43, 574, 675},	// QSqlField::requiredStatus
    {43, 598, 674},	// QSqlField::setAutoValue$
    {43, 613, 671},	// QSqlField::setDefaultValue#
    {43, 625, 673},	// QSqlField::setGenerated$
    {43, 636, 669},	// QSqlField::setLength$
    {43, 638, 658},	// QSqlField::setName$
    {43, 654, 670},	// QSqlField::setPrecision$
    {43, 662, 661},	// QSqlField::setReadOnly$
    {43, 668, 668},	// QSqlField::setRequired$
    {43, 670, 667},	// QSqlField::setRequiredStatus$
    {43, 676, 672},	// QSqlField::setSqlType$
    {43, 680, 666},	// QSqlField::setType$
    {43, 684, 656},	// QSqlField::setValue#
    {43, 720, 664},	// QSqlField::type
    {43, 721, 679},	// QSqlField::typeID
    {43, 729, 657},	// QSqlField::value
    {43, 739, 687},	// QSqlField::~QSqlField
    {44, 76, 699},	// QSqlIndex::QSqlIndex
    {44, 77, 689},	// QSqlIndex::QSqlIndex#
    {44, 78, 700},	// QSqlIndex::QSqlIndex$
    {44, 79, 688},	// QSqlIndex::QSqlIndex$$
    {44, 137, 695},	// QSqlIndex::append#
    {44, 138, 696},	// QSqlIndex::append#$
    {44, 183, 692},	// QSqlIndex::cursorName
    {44, 267, 697},	// QSqlIndex::isDescending$
    {44, 298, 694},	// QSqlIndex::name
    {44, 349, 690},	// QSqlIndex::operator=#
    {44, 602, 691},	// QSqlIndex::setCursorName$
    {44, 615, 698},	// QSqlIndex::setDescending$$
    {44, 638, 693},	// QSqlIndex::setName$
    {44, 740, 701},	// QSqlIndex::~QSqlIndex
    {45, 80, 744},	// QSqlQuery::QSqlQuery
    {45, 81, -10},	// QSqlQuery::QSqlQuery#
    {45, 82, 745},	// QSqlQuery::QSqlQuery$
    {45, 83, 703},	// QSqlQuery::QSqlQuery$#
    {45, 124, 752},	// QSqlQuery::ValuesAsColumns
    {45, 125, 751},	// QSqlQuery::ValuesAsRows
    {45, 129, 750},	// QSqlQuery::addBindValue#
    {45, 130, 736},	// QSqlQuery::addBindValue#$
    {45, 139, 710},	// QSqlQuery::at
    {45, 148, -14},	// QSqlQuery::bindValue$#
    {45, 149, -17},	// QSqlQuery::bindValue$#$
    {45, 154, -20},	// QSqlQuery::boundValue$
    {45, 158, 739},	// QSqlQuery::boundValues
    {45, 163, 730},	// QSqlQuery::clear
    {45, 201, 716},	// QSqlQuery::driver
    {45, 211, 731},	// QSqlQuery::exec
    {45, 212, 721},	// QSqlQuery::exec$
    {45, 213, 747},	// QSqlQuery::execBatch
    {45, 214, 732},	// QSqlQuery::execBatch$
    {45, 215, 740},	// QSqlQuery::executedQuery
    {45, 231, 742},	// QSqlQuery::finish
    {45, 232, 728},	// QSqlQuery::first
    {45, 264, 708},	// QSqlQuery::isActive
    {45, 273, 718},	// QSqlQuery::isForwardOnly
    {45, 281, 709},	// QSqlQuery::isNull$
    {45, 285, 714},	// QSqlQuery::isSelect
    {45, 286, 707},	// QSqlQuery::isValid
    {45, 289, 729},	// QSqlQuery::last
    {45, 290, 713},	// QSqlQuery::lastError
    {45, 291, 741},	// QSqlQuery::lastInsertId
    {45, 292, 711},	// QSqlQuery::lastQuery
    {45, 299, 726},	// QSqlQuery::next
    {45, 300, 743},	// QSqlQuery::nextResult
    {45, 303, 712},	// QSqlQuery::numRowsAffected
    {45, 305, 724},	// QSqlQuery::numericalPrecisionPolicy
    {45, 349, 706},	// QSqlQuery::operator=#
    {45, 380, 733},	// QSqlQuery::prepare$
    {45, 381, 727},	// QSqlQuery::previous
    {45, 554, 719},	// QSqlQuery::record
    {45, 577, 717},	// QSqlQuery::result
    {45, 589, 746},	// QSqlQuery::seek$
    {45, 590, 725},	// QSqlQuery::seek$$
    {45, 623, 720},	// QSqlQuery::setForwardOnly$
    {45, 644, 723},	// QSqlQuery::setNumericalPrecisionPolicy$
    {45, 686, 715},	// QSqlQuery::size
    {45, 730, 722},	// QSqlQuery::value$
    {45, 741, 753},	// QSqlQuery::~QSqlQuery
    {46, 84, 783},	// QSqlQueryModel::QSqlQueryModel
    {46, 85, 761},	// QSqlQueryModel::QSqlQueryModel#
    {46, 160, 793},	// QSqlQueryModel::canFetchMore
    {46, 161, 777},	// QSqlQueryModel::canFetchMore#
    {46, 163, 774},	// QSqlQueryModel::clear
    {46, 168, 785},	// QSqlQueryModel::columnCount
    {46, 169, 763},	// QSqlQueryModel::columnCount#
    {46, 186, 786},	// QSqlQueryModel::data#
    {46, 187, 766},	// QSqlQueryModel::data#$
    {46, 220, 792},	// QSqlQueryModel::fetchMore
    {46, 221, 776},	// QSqlQueryModel::fetchMore#
    {46, 243, 787},	// QSqlQueryModel::headerData$$
    {46, 244, 767},	// QSqlQueryModel::headerData$$$
    {46, 249, 779},	// QSqlQueryModel::indexInQuery#
    {46, 255, 789},	// QSqlQueryModel::insertColumns$$
    {46, 256, 769},	// QSqlQueryModel::insertColumns$$#
    {46, 290, 775},	// QSqlQueryModel::lastError
    {46, 295, 754},	// QSqlQueryModel::metaObject
    {46, 540, 760},	// QSqlQueryModel::qt_metacall$$?
    {46, 542, 755},	// QSqlQueryModel::qt_metacast$
    {46, 548, 773},	// QSqlQueryModel::query
    {46, 549, 778},	// QSqlQueryModel::queryChange
    {46, 554, 765},	// QSqlQueryModel::record
    {46, 555, 764},	// QSqlQueryModel::record$
    {46, 565, 790},	// QSqlQueryModel::removeColumns$$
    {46, 566, 770},	// QSqlQueryModel::removeColumns$$#
    {46, 584, 784},	// QSqlQueryModel::rowCount
    {46, 585, 762},	// QSqlQueryModel::rowCount#
    {46, 628, 788},	// QSqlQueryModel::setHeaderData$$#
    {46, 629, 768},	// QSqlQueryModel::setHeaderData$$#$
    {46, 634, 780},	// QSqlQueryModel::setLastError#
    {46, 658, 771},	// QSqlQueryModel::setQuery#
    {46, 659, 791},	// QSqlQueryModel::setQuery$
    {46, 660, 772},	// QSqlQueryModel::setQuery$#
    {46, 692, 794},	// QSqlQueryModel::staticMetaObject
    {46, 712, 781},	// QSqlQueryModel::tr$
    {46, 713, 756},	// QSqlQueryModel::tr$$
    {46, 714, 758},	// QSqlQueryModel::tr$$$
    {46, 716, 782},	// QSqlQueryModel::trUtf8$
    {46, 717, 757},	// QSqlQueryModel::trUtf8$$
    {46, 718, 759},	// QSqlQueryModel::trUtf8$$$
    {46, 742, 795},	// QSqlQueryModel::~QSqlQueryModel
    {47, 86, 796},	// QSqlRecord::QSqlRecord
    {47, 87, 797},	// QSqlRecord::QSqlRecord#
    {47, 137, 817},	// QSqlRecord::append#
    {47, 163, 823},	// QSqlRecord::clear
    {47, 164, 824},	// QSqlRecord::clearValues
    {47, 177, 822},	// QSqlRecord::contains$
    {47, 178, 825},	// QSqlRecord::count
    {47, 225, -372},	// QSqlRecord::field$
    {47, 229, 810},	// QSqlRecord::fieldName$
    {47, 251, 809},	// QSqlRecord::indexOf$
    {47, 253, 819},	// QSqlRecord::insert$#
    {47, 272, 821},	// QSqlRecord::isEmpty
    {47, 275, -375},	// QSqlRecord::isGenerated$
    {47, 281, -378},	// QSqlRecord::isNull$
    {47, 314, 800},	// QSqlRecord::operator!=#
    {47, 349, 798},	// QSqlRecord::operator=#
    {47, 351, 799},	// QSqlRecord::operator==#
    {47, 563, 820},	// QSqlRecord::remove$
    {47, 573, 818},	// QSqlRecord::replace$#
    {47, 626, -381},	// QSqlRecord::setGenerated$$
    {47, 640, -384},	// QSqlRecord::setNull$
    {47, 685, -387},	// QSqlRecord::setValue$#
    {47, 730, -390},	// QSqlRecord::value$
    {47, 743, 826},	// QSqlRecord::~QSqlRecord
    {48, 88, 827},	// QSqlRelation::QSqlRelation
    {48, 89, 833},	// QSqlRelation::QSqlRelation#
    {48, 90, 828},	// QSqlRelation::QSqlRelation$$$
    {48, 200, 831},	// QSqlRelation::displayColumn
    {48, 247, 830},	// QSqlRelation::indexColumn
    {48, 286, 832},	// QSqlRelation::isValid
    {48, 706, 829},	// QSqlRelation::tableName
    {48, 744, 834},	// QSqlRelation::~QSqlRelation
    {49, 91, 859},	// QSqlRelationalTableModel::QSqlRelationalTableModel
    {49, 92, 860},	// QSqlRelationalTableModel::QSqlRelationalTableModel#
    {49, 93, 842},	// QSqlRelationalTableModel::QSqlRelationalTableModel##
    {49, 163, 846},	// QSqlRelationalTableModel::clear
    {49, 186, 861},	// QSqlRelationalTableModel::data#
    {49, 187, 843},	// QSqlRelationalTableModel::data#$
    {49, 260, 855},	// QSqlRelationalTableModel::insertRowIntoTable#
    {49, 295, 835},	// QSqlRelationalTableModel::metaObject
    {49, 375, 856},	// QSqlRelationalTableModel::orderByClause
    {49, 540, 841},	// QSqlRelationalTableModel::qt_metacall$$?
    {49, 542, 836},	// QSqlRelationalTableModel::qt_metacast$
    {49, 559, 850},	// QSqlRelationalTableModel::relation$
    {49, 561, 851},	// QSqlRelationalTableModel::relationModel$
    {49, 565, 863},	// QSqlRelationalTableModel::removeColumns$$
    {49, 566, 845},	// QSqlRelationalTableModel::removeColumns$$#
    {49, 581, 852},	// QSqlRelationalTableModel::revertRow$
    {49, 591, 847},	// QSqlRelationalTableModel::select
    {49, 592, 853},	// QSqlRelationalTableModel::selectStatement
    {49, 604, 862},	// QSqlRelationalTableModel::setData##
    {49, 605, 844},	// QSqlRelationalTableModel::setData##$
    {49, 666, 849},	// QSqlRelationalTableModel::setRelation$#
    {49, 678, 848},	// QSqlRelationalTableModel::setTable$
    {49, 692, 864},	// QSqlRelationalTableModel::staticMetaObject
    {49, 712, 857},	// QSqlRelationalTableModel::tr$
    {49, 713, 837},	// QSqlRelationalTableModel::tr$$
    {49, 714, 839},	// QSqlRelationalTableModel::tr$$$
    {49, 716, 858},	// QSqlRelationalTableModel::trUtf8$
    {49, 717, 838},	// QSqlRelationalTableModel::trUtf8$$
    {49, 718, 840},	// QSqlRelationalTableModel::trUtf8$$$
    {49, 727, 854},	// QSqlRelationalTableModel::updateRowInTable$#
    {49, 745, 865},	// QSqlRelationalTableModel::~QSqlRelationalTableModel
    {50, 4, 920},	// QSqlResult::BatchOperation
    {50, 10, 921},	// QSqlResult::DetachFromResultSet
    {50, 43, 919},	// QSqlResult::NamedBinding
    {50, 45, 923},	// QSqlResult::NextResult
    {50, 52, 918},	// QSqlResult::PositionalBinding
    {50, 95, 867},	// QSqlResult::QSqlResult#
    {50, 112, 922},	// QSqlResult::SetNumericalPrecision
    {50, 130, 887},	// QSqlResult::addBindValue#$
    {50, 139, 868},	// QSqlResult::at
    {50, 149, -1},	// QSqlResult::bindValue$#$
    {50, 151, -4},	// QSqlResult::bindValueType$
    {50, 152, 898},	// QSqlResult::bindingSyntax
    {50, 154, -7},	// QSqlResult::boundValue$
    {50, 155, 892},	// QSqlResult::boundValueCount
    {50, 157, 895},	// QSqlResult::boundValueName$
    {50, 158, 893},	// QSqlResult::boundValues
    {50, 163, 896},	// QSqlResult::clear
    {50, 188, 899},	// QSqlResult::data$
    {50, 198, 913},	// QSqlResult::detachFromResultSet
    {50, 201, 875},	// QSqlResult::driver
    {50, 211, 882},	// QSqlResult::exec
    {50, 213, 917},	// QSqlResult::execBatch
    {50, 214, 912},	// QSqlResult::execBatch$
    {50, 215, 894},	// QSqlResult::executedQuery
    {50, 217, 902},	// QSqlResult::fetch$
    {50, 218, 905},	// QSqlResult::fetchFirst
    {50, 219, 906},	// QSqlResult::fetchLast
    {50, 222, 903},	// QSqlResult::fetchNext
    {50, 223, 904},	// QSqlResult::fetchPrevious
    {50, 238, 866},	// QSqlResult::handle
    {50, 241, 897},	// QSqlResult::hasOutValues
    {50, 264, 872},	// QSqlResult::isActive
    {50, 273, 874},	// QSqlResult::isForwardOnly
    {50, 281, 900},	// QSqlResult::isNull$
    {50, 285, 873},	// QSqlResult::isSelect
    {50, 286, 871},	// QSqlResult::isValid
    {50, 290, 870},	// QSqlResult::lastError
    {50, 291, 910},	// QSqlResult::lastInsertId
    {50, 292, 869},	// QSqlResult::lastQuery
    {50, 300, 916},	// QSqlResult::nextResult
    {50, 303, 908},	// QSqlResult::numRowsAffected
    {50, 305, 915},	// QSqlResult::numericalPrecisionPolicy
    {50, 380, 883},	// QSqlResult::prepare$
    {50, 554, 909},	// QSqlResult::record
    {50, 576, 901},	// QSqlResult::reset$
    {50, 587, 884},	// QSqlResult::savePrepare$
    {50, 594, 877},	// QSqlResult::setActive$
    {50, 596, 876},	// QSqlResult::setAt$
    {50, 623, 881},	// QSqlResult::setForwardOnly$
    {50, 634, 878},	// QSqlResult::setLastError#
    {50, 644, 914},	// QSqlResult::setNumericalPrecisionPolicy$
    {50, 659, 879},	// QSqlResult::setQuery$
    {50, 672, 880},	// QSqlResult::setSelect$
    {50, 686, 907},	// QSqlResult::size
    {50, 732, 911},	// QSqlResult::virtual_hook$$
    {50, 746, 924},	// QSqlResult::~QSqlResult
    {51, 47, 986},	// QSqlTableModel::OnFieldChange
    {51, 48, 988},	// QSqlTableModel::OnManualSubmit
    {51, 49, 987},	// QSqlTableModel::OnRowChange
    {51, 96, 976},	// QSqlTableModel::QSqlTableModel
    {51, 97, 977},	// QSqlTableModel::QSqlTableModel#
    {51, 98, 932},	// QSqlTableModel::QSqlTableModel##
    {51, 141, 965},	// QSqlTableModel::beforeDelete$
    {51, 143, 963},	// QSqlTableModel::beforeInsert#
    {51, 145, 964},	// QSqlTableModel::beforeUpdate$#
    {51, 163, 941},	// QSqlTableModel::clear
    {51, 186, 978},	// QSqlTableModel::data#
    {51, 187, 937},	// QSqlTableModel::data#$
    {51, 189, 945},	// QSqlTableModel::database
    {51, 197, 968},	// QSqlTableModel::deleteRowFromTable$
    {51, 206, 943},	// QSqlTableModel::editStrategy
    {51, 227, 946},	// QSqlTableModel::fieldIndex$
    {51, 230, 949},	// QSqlTableModel::filter
    {51, 234, 936},	// QSqlTableModel::flags#
    {51, 243, 980},	// QSqlTableModel::headerData$$
    {51, 244, 939},	// QSqlTableModel::headerData$$$
    {51, 249, 973},	// QSqlTableModel::indexInQuery#
    {51, 258, 955},	// QSqlTableModel::insertRecord$#
    {51, 260, 967},	// QSqlTableModel::insertRowIntoTable#
    {51, 262, 984},	// QSqlTableModel::insertRows$$
    {51, 263, 954},	// QSqlTableModel::insertRows$$#
    {51, 269, 940},	// QSqlTableModel::isDirty#
    {51, 295, 925},	// QSqlTableModel::metaObject
    {51, 375, 969},	// QSqlTableModel::orderByClause
    {51, 384, 944},	// QSqlTableModel::primaryKey
    {51, 386, 962},	// QSqlTableModel::primeInsert$#
    {51, 540, 931},	// QSqlTableModel::qt_metacall$$?
    {51, 542, 926},	// QSqlTableModel::qt_metacast$
    {51, 565, 982},	// QSqlTableModel::removeColumns$$
    {51, 566, 952},	// QSqlTableModel::removeColumns$$#
    {51, 570, 983},	// QSqlTableModel::removeRows$$
    {51, 571, 953},	// QSqlTableModel::removeRows$$#
    {51, 578, 959},	// QSqlTableModel::revert
    {51, 579, 961},	// QSqlTableModel::revertAll
    {51, 581, 957},	// QSqlTableModel::revertRow$
    {51, 584, 981},	// QSqlTableModel::rowCount
    {51, 585, 951},	// QSqlTableModel::rowCount#
    {51, 591, 933},	// QSqlTableModel::select
    {51, 592, 970},	// QSqlTableModel::selectStatement
    {51, 604, 979},	// QSqlTableModel::setData##
    {51, 605, 938},	// QSqlTableModel::setData##$
    {51, 619, 942},	// QSqlTableModel::setEditStrategy$
    {51, 621, 950},	// QSqlTableModel::setFilter$
    {51, 656, 971},	// QSqlTableModel::setPrimaryKey#
    {51, 658, 972},	// QSqlTableModel::setQuery#
    {51, 664, 956},	// QSqlTableModel::setRecord$#
    {51, 674, 948},	// QSqlTableModel::setSort$$
    {51, 678, 934},	// QSqlTableModel::setTable$
    {51, 688, 947},	// QSqlTableModel::sort$$
    {51, 692, 985},	// QSqlTableModel::staticMetaObject
    {51, 697, 958},	// QSqlTableModel::submit
    {51, 698, 960},	// QSqlTableModel::submitAll
    {51, 706, 935},	// QSqlTableModel::tableName
    {51, 712, 974},	// QSqlTableModel::tr$
    {51, 713, 927},	// QSqlTableModel::tr$$
    {51, 714, 929},	// QSqlTableModel::tr$$$
    {51, 716, 975},	// QSqlTableModel::trUtf8$
    {51, 717, 928},	// QSqlTableModel::trUtf8$$
    {51, 718, 930},	// QSqlTableModel::trUtf8$$$
    {51, 727, 966},	// QSqlTableModel::updateRowInTable$#
    {51, 747, 989},	// QSqlTableModel::~QSqlTableModel
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtsql_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtsql_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtsql_Smoke = new Smoke(
        "qtsql",
        __smokeqtsql::classes, 61,
        __smokeqtsql::methods, 990,
        __smokeqtsql::methodMaps, 679,
        __smokeqtsql::methodNames, 747,
        __smokeqtsql::types, 311,
        __smokeqtsql::inheritanceList,
        __smokeqtsql::argumentList,
        __smokeqtsql::ambiguousMethodList,
        __smokeqtsql::cast );
    initialized = true;
}

void delete_qtsql_Smoke() { delete qtsql_Smoke; }

}
