#include <qtsvg_includes.h>

#include <smoke.h>
#include <qtsvg_smoke.h>

namespace __smokeqtsvg {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAccessible2Interface
      switch(to) {
        case 1: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QBrush
      switch(to) {
        case 5: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QCloseEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 9: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QContextMenuEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 11: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QCursor
      switch(to) {
        case 12: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 13:   //QDataStream
      switch(to) {
        case 13: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 14:   //QDate
      switch(to) {
        case 14: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 15:   //QDateTime
      switch(to) {
        case 15: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 16:   //QDebug
      switch(to) {
        case 16: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 17:   //QDir
      switch(to) {
        case 17: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 18:   //QDragEnterEvent
      switch(to) {
        case 20: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 22: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 24: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 18: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QDragLeaveEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 19: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QDragMoveEvent
      switch(to) {
        case 22: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 24: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 20: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QDrawPixmaps::Data
      switch(to) {
        case 21: return (void*)(QDrawPixmaps::Data*)xptr;
        default: return xptr;
      }
    case 22:   //QDropEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 22: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 23:   //QEasingCurve
      switch(to) {
        case 23: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 24:   //QEvent
      switch(to) {
        case 24: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QFocusEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 25: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QFont
      switch(to) {
        case 26: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 28:   //QGraphicsItem
      switch(to) {
        case 28: return (void*)(QGraphicsItem*)xptr;
        case 35: return (void*)(QGraphicsSvgItem*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 29:   //QGraphicsObject
      switch(to) {
        case 58: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 28: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 29: return (void*)(QGraphicsObject*)xptr;
        case 35: return (void*)(QGraphicsSvgItem*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 30:   //QGraphicsSceneContextMenuEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QGraphicsSceneContextMenuEvent*)xptr;
        case 30: return (void*)(QGraphicsSceneContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QGraphicsSceneDragDropEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QGraphicsSceneDragDropEvent*)xptr;
        case 31: return (void*)(QGraphicsSceneDragDropEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QGraphicsSceneHoverEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QGraphicsSceneHoverEvent*)xptr;
        case 32: return (void*)(QGraphicsSceneHoverEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QGraphicsSceneMouseEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QGraphicsSceneMouseEvent*)xptr;
        case 33: return (void*)(QGraphicsSceneMouseEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QGraphicsSceneWheelEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QGraphicsSceneWheelEvent*)xptr;
        case 34: return (void*)(QGraphicsSceneWheelEvent*)xptr;
        default: return xptr;
      }
    case 35:   //QGraphicsSvgItem
      switch(to) {
        case 29: return (void*)(QGraphicsObject*)(QGraphicsSvgItem*)xptr;
        case 58: return (void*)(QObject*)(QGraphicsSvgItem*)xptr;
        case 28: return (void*)(QGraphicsItem*)(QGraphicsSvgItem*)xptr;
        case 35: return (void*)(QGraphicsSvgItem*)xptr;
        default: return xptr;
      }
    case 36:   //QHashDummyValue
      switch(to) {
        case 36: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 37:   //QHideEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 37: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 38:   //QIODevice
      switch(to) {
        case 58: return (void*)(QObject*)(QIODevice*)xptr;
        case 38: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 39:   //QIcon
      switch(to) {
        case 39: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 40:   //QImage
      switch(to) {
        case 59: return (void*)(QPaintDevice*)(QImage*)xptr;
        case 40: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 41:   //QIncompatibleFlag
      switch(to) {
        case 41: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 42:   //QInputMethodEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 42: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 43:   //QItemSelectionRange
      switch(to) {
        case 43: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 44:   //QKeyEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 44: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QKeySequence
      switch(to) {
        case 45: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 46:   //QLatin1String
      switch(to) {
        case 46: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 47:   //QLine
      switch(to) {
        case 47: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 48:   //QLineF
      switch(to) {
        case 48: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 49:   //QListWidgetItem
      switch(to) {
        case 49: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 50:   //QLocale
      switch(to) {
        case 50: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 51:   //QMargins
      switch(to) {
        case 51: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 52:   //QMatrix
      switch(to) {
        case 52: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 53:   //QMatrix4x4
      switch(to) {
        case 53: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 54:   //QMetaObject
      switch(to) {
        case 54: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 55:   //QModelIndex
      switch(to) {
        case 55: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 56:   //QMouseEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 56: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 57:   //QMoveEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 57: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QObject
      switch(to) {
        case 58: return (void*)(QObject*)xptr;
        case 35: return (void*)(QGraphicsSvgItem*)(QObject*)xptr;
        case 91: return (void*)(QSvgRenderer*)(QObject*)xptr;
        case 92: return (void*)(QSvgWidget*)(QObject*)xptr;
        default: return xptr;
      }
    case 59:   //QPaintDevice
      switch(to) {
        case 59: return (void*)(QPaintDevice*)xptr;
        case 90: return (void*)(QSvgGenerator*)(QPaintDevice*)xptr;
        case 92: return (void*)(QSvgWidget*)(QPaintDevice*)xptr;
        default: return xptr;
      }
    case 60:   //QPaintEngine
      switch(to) {
        case 60: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 61:   //QPaintEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 61: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 62:   //QPainter
      switch(to) {
        case 62: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 63:   //QPainterPath
      switch(to) {
        case 63: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 64:   //QPalette
      switch(to) {
        case 64: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 65:   //QPen
      switch(to) {
        case 65: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 66:   //QPersistentModelIndex
      switch(to) {
        case 66: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 67:   //QPicture
      switch(to) {
        case 59: return (void*)(QPaintDevice*)(QPicture*)xptr;
        case 67: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 68:   //QPixmap
      switch(to) {
        case 59: return (void*)(QPaintDevice*)(QPixmap*)xptr;
        case 68: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 69:   //QPoint
      switch(to) {
        case 69: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 70:   //QPointF
      switch(to) {
        case 70: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 71:   //QPolygon
      switch(to) {
        case 71: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 72:   //QPolygonF
      switch(to) {
        case 72: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 73:   //QQuaternion
      switch(to) {
        case 73: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 74:   //QRect
      switch(to) {
        case 74: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 75:   //QRectF
      switch(to) {
        case 75: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 76:   //QRegExp
      switch(to) {
        case 76: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 77:   //QRegion
      switch(to) {
        case 77: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 78:   //QResizeEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 78: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QShowEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 79: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 80:   //QSize
      switch(to) {
        case 80: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 81:   //QSizeF
      switch(to) {
        case 81: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 82:   //QSizePolicy
      switch(to) {
        case 82: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 83:   //QSplitter
      switch(to) {
        case 113: return (void*)(QWidget*)(QSplitter*)xptr;
        case 58: return (void*)(QObject*)(QSplitter*)xptr;
        case 59: return (void*)(QPaintDevice*)(QSplitter*)xptr;
        case 83: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 84:   //QStandardItem
      switch(to) {
        case 84: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 85:   //QString::Null
      switch(to) {
        case 85: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 86:   //QStringRef
      switch(to) {
        case 86: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 87:   //QStyle
      switch(to) {
        case 58: return (void*)(QObject*)(QStyle*)xptr;
        case 87: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 88:   //QStyleOption
      switch(to) {
        case 88: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 89:   //QStyleOptionGraphicsItem
      switch(to) {
        case 88: return (void*)(QStyleOption*)(QStyleOptionGraphicsItem*)xptr;
        case 89: return (void*)(QStyleOptionGraphicsItem*)xptr;
        default: return xptr;
      }
    case 90:   //QSvgGenerator
      switch(to) {
        case 59: return (void*)(QPaintDevice*)(QSvgGenerator*)xptr;
        case 90: return (void*)(QSvgGenerator*)xptr;
        default: return xptr;
      }
    case 91:   //QSvgRenderer
      switch(to) {
        case 58: return (void*)(QObject*)(QSvgRenderer*)xptr;
        case 91: return (void*)(QSvgRenderer*)xptr;
        default: return xptr;
      }
    case 92:   //QSvgWidget
      switch(to) {
        case 113: return (void*)(QWidget*)(QSvgWidget*)xptr;
        case 58: return (void*)(QObject*)(QSvgWidget*)xptr;
        case 59: return (void*)(QPaintDevice*)(QSvgWidget*)xptr;
        case 92: return (void*)(QSvgWidget*)xptr;
        default: return xptr;
      }
    case 93:   //QTableWidgetItem
      switch(to) {
        case 93: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 94:   //QTabletEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 94: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 95:   //QTextCodec
      switch(to) {
        case 95: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 96:   //QTextFormat
      switch(to) {
        case 96: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 97:   //QTextLength
      switch(to) {
        case 97: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 98:   //QTextStream
      switch(to) {
        case 98: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 99:   //QTextStreamManipulator
      switch(to) {
        case 99: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 100:   //QTileRules
      switch(to) {
        case 100: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 101:   //QTime
      switch(to) {
        case 101: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 102:   //QTimerEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 102: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 103:   //QTransform
      switch(to) {
        case 103: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 104:   //QTreeWidgetItem
      switch(to) {
        case 104: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 105:   //QUrl
      switch(to) {
        case 105: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 106:   //QUuid
      switch(to) {
        case 106: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 107:   //QVariant
      switch(to) {
        case 107: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 108:   //QVariantComparisonHelper
      switch(to) {
        case 108: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 109:   //QVector2D
      switch(to) {
        case 109: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 110:   //QVector3D
      switch(to) {
        case 110: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 111:   //QVector4D
      switch(to) {
        case 111: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 112:   //QWheelEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 112: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 113:   //QWidget
      switch(to) {
        case 58: return (void*)(QObject*)(QWidget*)xptr;
        case 59: return (void*)(QPaintDevice*)(QWidget*)xptr;
        case 113: return (void*)(QWidget*)xptr;
        case 92: return (void*)(QSvgWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    case 114:   //QXmlStreamReader
      switch(to) {
        case 114: return (void*)(QXmlStreamReader*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    29, 0,	// 1: QGraphicsObject
    59, 0,	// 3: QPaintDevice
    58, 0,	// 5: QObject
    113, 0,	// 7: QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QGraphicsSvgItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgGenerator(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgRenderer(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgWidget(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QBrush", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QCursor", true, 0, 0, 0, 0, 0 },	//12
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//13
    { "QDate", true, 0, 0, 0, 0, 0 },	//14
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//15
    { "QDebug", true, 0, 0, 0, 0, 0 },	//16
    { "QDir", true, 0, 0, 0, 0, 0 },	//17
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QDrawPixmaps::Data", true, 0, 0, 0, 0, 0 },	//21
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//22
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//23
    { "QEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QFont", true, 0, 0, 0, 0, 0 },	//26
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//27
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//28
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//29
    { "QGraphicsSceneContextMenuEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QGraphicsSceneDragDropEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QGraphicsSceneHoverEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QGraphicsSceneMouseEvent", true, 0, 0, 0, 0, 0 },	//33
    { "QGraphicsSceneWheelEvent", true, 0, 0, 0, 0, 0 },	//34
    { "QGraphicsSvgItem", false, 1, xcall_QGraphicsSvgItem, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGraphicsSvgItem) },	//35
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//36
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//37
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//38
    { "QIcon", true, 0, 0, 0, 0, 0 },	//39
    { "QImage", true, 0, 0, 0, 0, 0 },	//40
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//41
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//42
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//43
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//45
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//46
    { "QLine", true, 0, 0, 0, 0, 0 },	//47
    { "QLineF", true, 0, 0, 0, 0, 0 },	//48
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//49
    { "QLocale", true, 0, 0, 0, 0, 0 },	//50
    { "QMargins", true, 0, 0, 0, 0, 0 },	//51
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//52
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//53
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//54
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//55
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//56
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QObject", true, 0, 0, 0, 0, 0 },	//58
    { "QPaintDevice", true, 0, 0, 0, 0, 0 },	//59
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//60
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//61
    { "QPainter", true, 0, 0, 0, 0, 0 },	//62
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//63
    { "QPalette", true, 0, 0, 0, 0, 0 },	//64
    { "QPen", true, 0, 0, 0, 0, 0 },	//65
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//66
    { "QPicture", true, 0, 0, 0, 0, 0 },	//67
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//68
    { "QPoint", true, 0, 0, 0, 0, 0 },	//69
    { "QPointF", true, 0, 0, 0, 0, 0 },	//70
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//71
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//72
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//73
    { "QRect", true, 0, 0, 0, 0, 0 },	//74
    { "QRectF", true, 0, 0, 0, 0, 0 },	//75
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//76
    { "QRegion", true, 0, 0, 0, 0, 0 },	//77
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//79
    { "QSize", true, 0, 0, 0, 0, 0 },	//80
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//81
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//82
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//83
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//84
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//85
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//86
    { "QStyle", true, 0, 0, 0, 0, 0 },	//87
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//88
    { "QStyleOptionGraphicsItem", true, 0, 0, 0, 0, 0 },	//89
    { "QSvgGenerator", false, 3, xcall_QSvgGenerator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgGenerator) },	//90
    { "QSvgRenderer", false, 5, xcall_QSvgRenderer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgRenderer) },	//91
    { "QSvgWidget", false, 7, xcall_QSvgWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgWidget) },	//92
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//93
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//94
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//95
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//96
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//97
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//98
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//99
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//100
    { "QTime", true, 0, 0, 0, 0, 0 },	//101
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//102
    { "QTransform", true, 0, 0, 0, 0, 0 },	//103
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//104
    { "QUrl", true, 0, 0, 0, 0, 0 },	//105
    { "QUuid", true, 0, 0, 0, 0, 0 },	//106
    { "QVariant", true, 0, 0, 0, 0, 0 },	//107
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//108
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//109
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//110
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//111
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//112
    { "QWidget", true, 0, 0, 0, 0, 0 },	//113
    { "QXmlStreamReader", true, 0, 0, 0, 0, 0 },	//114
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//2
    { "QAbstractPrintDialog::PrintDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAccessible2Interface*", 1, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QAccessible::RelationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "QAccessible::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//12
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//13
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//14
    { "QBrush&", 5, Smoke::t_class|Smoke::tf_ref },	//15
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//16
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//17
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//18
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//19
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QCloseEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//22
    { "QColorDialog::ColorDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QContextMenuEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QCursor&", 12, Smoke::t_class|Smoke::tf_ref },	//25
    { "QDataStream&", 13, Smoke::t_class|Smoke::tf_ref },	//26
    { "QDate&", 14, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDateTime&", 15, Smoke::t_class|Smoke::tf_ref },	//28
    { "QDateTimeEdit::Section", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "QDebug", 16, Smoke::t_class|Smoke::tf_stack },	//30
    { "QDialogButtonBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "QDir::Filter", 17, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QDir::SortFlag", 17, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "QDockWidget::DockWidgetFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QDragEnterEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QDragLeaveEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDragMoveEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "QDrawPixmaps::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "QDropEvent*", 22, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "QFileDialog::Option", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QAbstractPrintDialog::PrintDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<QAccessible::RelationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<QAccessible::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<QColorDialog::ColorDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<QDateTimeEdit::Section>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<QDialogButtonBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QDockWidget::DockWidgetFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QDrawBorderPixmap::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QDrawPixmaps::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QFileDialog::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QFontComboBox::FontFilter>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QFontDialog::FontDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QGestureRecognizer::ResultFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QGraphicsBlurEffect::BlurHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QGraphicsEffect::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QGraphicsItem::GraphicsItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QGraphicsScene::SceneLayer>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QGraphicsView::CacheModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QGraphicsView::OptimizationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QImageIOPlugin::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QInputDialog::InputDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QMainWindow::DockOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QMdiArea::AreaOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QMdiSubWindow::SubWindowOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QMessageBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QPaintEngine::DirtyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QPaintEngine::PaintEngineFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<QTextDocument::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<QTextEdit::AutoFormattingFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<QTextFormat::PageBreakFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<QTextItem::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<QTextOption::Flag>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFlags<QTreeWidgetItemIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//106
    { "QFlags<QWizard::WizardOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//107
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//108
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//109
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//111
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//112
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//114
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//121
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//123
    { "QFocusEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//124
    { "QFont&", 26, Smoke::t_class|Smoke::tf_ref },	//125
    { "QFontComboBox::FontFilter", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QFontDialog::FontDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QGestureRecognizer::ResultFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QGraphicsBlurEffect::BlurHint", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QGraphicsEffect::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QGraphicsItem*", 28, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QGraphicsItem::Extension", 28, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QGraphicsItem::GraphicsItemChange", 28, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QGraphicsItem::GraphicsItemFlag", 28, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QGraphicsObject*", 29, Smoke::t_class|Smoke::tf_ptr },	//135
    { "QGraphicsScene::SceneLayer", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "QGraphicsSceneContextMenuEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//137
    { "QGraphicsSceneDragDropEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//138
    { "QGraphicsSceneHoverEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//139
    { "QGraphicsSceneMouseEvent*", 33, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QGraphicsSceneWheelEvent*", 34, Smoke::t_class|Smoke::tf_ptr },	//141
    { "QGraphicsSvgItem*", 35, Smoke::t_class|Smoke::tf_ptr },	//142
    { "QGraphicsView::CacheModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "QGraphicsView::OptimizationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "QHideEvent*", 37, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QIODevice*", 38, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QIODevice::OpenModeFlag", 38, Smoke::t_enum|Smoke::tf_stack },	//147
    { "QIcon&", 39, Smoke::t_class|Smoke::tf_ref },	//148
    { "QImage&", 40, Smoke::t_class|Smoke::tf_ref },	//149
    { "QImageIOPlugin::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "QIncompatibleFlag", 41, Smoke::t_class|Smoke::tf_stack },	//151
    { "QInputDialog::InputDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "QInputMethodEvent*", 42, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "QKeyEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QKeySequence&", 45, Smoke::t_class|Smoke::tf_ref },	//156
    { "QKeySequence::StandardKey", 45, Smoke::t_enum|Smoke::tf_stack },	//157
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "QLine", 47, Smoke::t_class|Smoke::tf_stack },	//159
    { "QLine&", 47, Smoke::t_class|Smoke::tf_ref },	//160
    { "QLineF", 48, Smoke::t_class|Smoke::tf_stack },	//161
    { "QLineF&", 48, Smoke::t_class|Smoke::tf_ref },	//162
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//163
    { "QListWidgetItem&", 49, Smoke::t_class|Smoke::tf_ref },	//164
    { "QLocale&", 50, Smoke::t_class|Smoke::tf_ref },	//165
    { "QLocale::NumberOption", 50, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QMainWindow::DockOption", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QMatrix", 52, Smoke::t_class|Smoke::tf_stack },	//168
    { "QMatrix&", 52, Smoke::t_class|Smoke::tf_ref },	//169
    { "QMatrix4x4", 53, Smoke::t_class|Smoke::tf_stack },	//170
    { "QMatrix4x4&", 53, Smoke::t_class|Smoke::tf_ref },	//171
    { "QMdiArea::AreaOption", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QMdiSubWindow::SubWindowOption", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QMessageBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QMetaObject::Call", 54, Smoke::t_enum|Smoke::tf_stack },	//175
    { "QMouseEvent*", 56, Smoke::t_class|Smoke::tf_ptr },	//176
    { "QMoveEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//177
    { "QObject*", 58, Smoke::t_class|Smoke::tf_ptr },	//178
    { "QObject*(*)()", 58, Smoke::t_class|Smoke::tf_ptr },	//179
    { "QPaintDevice::PaintDeviceMetric", 59, Smoke::t_enum|Smoke::tf_stack },	//180
    { "QPaintEngine*", 60, Smoke::t_class|Smoke::tf_ptr },	//181
    { "QPaintEngine::DirtyFlag", 60, Smoke::t_enum|Smoke::tf_stack },	//182
    { "QPaintEngine::PaintEngineFeature", 60, Smoke::t_enum|Smoke::tf_stack },	//183
    { "QPaintEvent*", 61, Smoke::t_class|Smoke::tf_ptr },	//184
    { "QPainter*", 62, Smoke::t_class|Smoke::tf_ptr },	//185
    { "QPainter::RenderHint", 62, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QPainterPath", 63, Smoke::t_class|Smoke::tf_stack },	//187
    { "QPainterPath&", 63, Smoke::t_class|Smoke::tf_ref },	//188
    { "QPalette&", 64, Smoke::t_class|Smoke::tf_ref },	//189
    { "QPen&", 65, Smoke::t_class|Smoke::tf_ref },	//190
    { "QPicture&", 67, Smoke::t_class|Smoke::tf_ref },	//191
    { "QPixmap&", 68, Smoke::t_class|Smoke::tf_ref },	//192
    { "QPoint", 69, Smoke::t_class|Smoke::tf_stack },	//193
    { "QPoint&", 69, Smoke::t_class|Smoke::tf_ref },	//194
    { "QPointF", 70, Smoke::t_class|Smoke::tf_stack },	//195
    { "QPointF&", 70, Smoke::t_class|Smoke::tf_ref },	//196
    { "QPolygon", 71, Smoke::t_class|Smoke::tf_stack },	//197
    { "QPolygon&", 71, Smoke::t_class|Smoke::tf_ref },	//198
    { "QPolygonF", 72, Smoke::t_class|Smoke::tf_stack },	//199
    { "QPolygonF&", 72, Smoke::t_class|Smoke::tf_ref },	//200
    { "QQuaternion&", 73, Smoke::t_class|Smoke::tf_ref },	//201
    { "QRect", 74, Smoke::t_class|Smoke::tf_stack },	//202
    { "QRect&", 74, Smoke::t_class|Smoke::tf_ref },	//203
    { "QRectF", 75, Smoke::t_class|Smoke::tf_stack },	//204
    { "QRectF&", 75, Smoke::t_class|Smoke::tf_ref },	//205
    { "QRegExp&", 76, Smoke::t_class|Smoke::tf_ref },	//206
    { "QRegion", 77, Smoke::t_class|Smoke::tf_stack },	//207
    { "QRegion&", 77, Smoke::t_class|Smoke::tf_ref },	//208
    { "QResizeEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//209
    { "QShowEvent*", 79, Smoke::t_class|Smoke::tf_ptr },	//210
    { "QSize", 80, Smoke::t_class|Smoke::tf_stack },	//211
    { "QSize&", 80, Smoke::t_class|Smoke::tf_ref },	//212
    { "QSizeF&", 81, Smoke::t_class|Smoke::tf_ref },	//213
    { "QSizePolicy&", 82, Smoke::t_class|Smoke::tf_ref },	//214
    { "QSizePolicy::ControlType", 82, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QSplitter&", 83, Smoke::t_class|Smoke::tf_ref },	//216
    { "QStandardItem&", 84, Smoke::t_class|Smoke::tf_ref },	//217
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//218
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//219
    { "QString::Null", 85, Smoke::t_class|Smoke::tf_stack },	//220
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//222
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//223
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//224
    { "QStyle&", 87, Smoke::t_class|Smoke::tf_ref },	//225
    { "QStyle::StateFlag", 87, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QStyle::SubControl", 87, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "QSvgGenerator*", 90, Smoke::t_class|Smoke::tf_ptr },	//235
    { "QSvgRenderer*", 91, Smoke::t_class|Smoke::tf_ptr },	//236
    { "QSvgWidget*", 92, Smoke::t_class|Smoke::tf_ptr },	//237
    { "QTableWidgetItem&", 93, Smoke::t_class|Smoke::tf_ref },	//238
    { "QTabletEvent*", 94, Smoke::t_class|Smoke::tf_ptr },	//239
    { "QTextCodec*", 95, Smoke::t_class|Smoke::tf_ptr },	//240
    { "QTextCodec::ConversionFlag", 95, Smoke::t_enum|Smoke::tf_stack },	//241
    { "QTextDocument::FindFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "QTextEdit::AutoFormattingFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "QTextFormat&", 96, Smoke::t_class|Smoke::tf_ref },	//244
    { "QTextFormat::PageBreakFlag", 96, Smoke::t_enum|Smoke::tf_stack },	//245
    { "QTextItem::RenderFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "QTextLength&", 97, Smoke::t_class|Smoke::tf_ref },	//247
    { "QTextOption::Flag", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "QTextStream&", 98, Smoke::t_class|Smoke::tf_ref },	//249
    { "QTextStream&(*)(QTextStream&)", 98, Smoke::t_class|Smoke::tf_ref },	//250
    { "QTextStream::NumberFlag", 98, Smoke::t_enum|Smoke::tf_stack },	//251
    { "QTextStreamManipulator", 99, Smoke::t_class|Smoke::tf_stack },	//252
    { "QTime&", 101, Smoke::t_class|Smoke::tf_ref },	//253
    { "QTimerEvent*", 102, Smoke::t_class|Smoke::tf_ptr },	//254
    { "QTransform", 103, Smoke::t_class|Smoke::tf_stack },	//255
    { "QTransform&", 103, Smoke::t_class|Smoke::tf_ref },	//256
    { "QTreeWidgetItem&", 104, Smoke::t_class|Smoke::tf_ref },	//257
    { "QTreeWidgetItemIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "QUrl&", 105, Smoke::t_class|Smoke::tf_ref },	//259
    { "QUrl::FormattingOption", 105, Smoke::t_enum|Smoke::tf_stack },	//260
    { "QUuid&", 106, Smoke::t_class|Smoke::tf_ref },	//261
    { "QVariant", 107, Smoke::t_class|Smoke::tf_stack },	//262
    { "QVariant&", 107, Smoke::t_class|Smoke::tf_ref },	//263
    { "QVariant::Type", 107, Smoke::t_enum|Smoke::tf_stack },	//264
    { "QVariant::Type&", 107, Smoke::t_enum|Smoke::tf_ref },	//265
    { "QVector2D&", 109, Smoke::t_class|Smoke::tf_ref },	//266
    { "QVector3D", 110, Smoke::t_class|Smoke::tf_stack },	//267
    { "QVector3D&", 110, Smoke::t_class|Smoke::tf_ref },	//268
    { "QVector4D", 111, Smoke::t_class|Smoke::tf_stack },	//269
    { "QVector4D&", 111, Smoke::t_class|Smoke::tf_ref },	//270
    { "QWheelEvent*", 112, Smoke::t_class|Smoke::tf_ptr },	//271
    { "QWidget*", 113, Smoke::t_class|Smoke::tf_ptr },	//272
    { "QWidget::RenderFlag", 113, Smoke::t_enum|Smoke::tf_stack },	//273
    { "QWizard::WizardOption", 0, Smoke::t_enum|Smoke::tf_stack },	//274
    { "QXmlStreamReader*", 114, Smoke::t_class|Smoke::tf_ptr },	//275
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//276
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//277
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//280
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "QtMsgType", 27, Smoke::t_enum|Smoke::tf_stack },	//351
    { "QtValidLicenseForActiveQtModule", 27, Smoke::t_enum|Smoke::tf_stack },	//352
    { "QtValidLicenseForCoreModule", 27, Smoke::t_enum|Smoke::tf_stack },	//353
    { "QtValidLicenseForDBusModule", 27, Smoke::t_enum|Smoke::tf_stack },	//354
    { "QtValidLicenseForDeclarativeModule", 27, Smoke::t_enum|Smoke::tf_stack },	//355
    { "QtValidLicenseForGuiModule", 27, Smoke::t_enum|Smoke::tf_stack },	//356
    { "QtValidLicenseForHelpModule", 27, Smoke::t_enum|Smoke::tf_stack },	//357
    { "QtValidLicenseForMultimediaModule", 27, Smoke::t_enum|Smoke::tf_stack },	//358
    { "QtValidLicenseForNetworkModule", 27, Smoke::t_enum|Smoke::tf_stack },	//359
    { "QtValidLicenseForOpenGLModule", 27, Smoke::t_enum|Smoke::tf_stack },	//360
    { "QtValidLicenseForOpenVGModule", 27, Smoke::t_enum|Smoke::tf_stack },	//361
    { "QtValidLicenseForQt3SupportLightModule", 27, Smoke::t_enum|Smoke::tf_stack },	//362
    { "QtValidLicenseForQt3SupportModule", 27, Smoke::t_enum|Smoke::tf_stack },	//363
    { "QtValidLicenseForScriptModule", 27, Smoke::t_enum|Smoke::tf_stack },	//364
    { "QtValidLicenseForScriptToolsModule", 27, Smoke::t_enum|Smoke::tf_stack },	//365
    { "QtValidLicenseForSqlModule", 27, Smoke::t_enum|Smoke::tf_stack },	//366
    { "QtValidLicenseForSvgModule", 27, Smoke::t_enum|Smoke::tf_stack },	//367
    { "QtValidLicenseForTestModule", 27, Smoke::t_enum|Smoke::tf_stack },	//368
    { "QtValidLicenseForXmlModule", 27, Smoke::t_enum|Smoke::tf_stack },	//369
    { "QtValidLicenseForXmlPatternsModule", 27, Smoke::t_enum|Smoke::tf_stack },	//370
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//371
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//372
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//373
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//374
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//375
    { "const QBrush&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//376
    { "const QBrush*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//377
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//378
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const QCursor&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const QDate&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const QDateTime&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const QDir&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QDrawPixmaps::Data*", 21, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//386
    { "const QEasingCurve&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const QEvent*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//388
    { "const QFont&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QGraphicsItem*", 28, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//390
    { "const QHashDummyValue&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const QIcon&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const QImage&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const QItemSelectionRange&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QKeySequence&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const QLatin1String&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const QLine&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const QLineF&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const QListWidgetItem&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const QLocale&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const QMargins&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QMatrix&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QMatrix4x4&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const QMetaObject&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const QMetaObject*", 54, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//405
    { "const QModelIndex&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const QObject*", 58, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//407
    { "const QPainterPath&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const QPalette&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const QPen&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const QPersistentModelIndex&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QPicture&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QPixmap&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QPoint", 69, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//414
    { "const QPoint&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QPointF", 70, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//416
    { "const QPointF&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QPolygon&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const QPolygonF&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QQuaternion", 73, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//420
    { "const QQuaternion&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QRect&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QRectF&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const QRegExp&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const QRegExp*", 76, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//425
    { "const QRegion&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const QSize", 80, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//427
    { "const QSize&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QSizeF", 81, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//429
    { "const QSizeF&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QSizePolicy&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QSplitter&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QStandardItem&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//434
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//437
    { "const QStringRef&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QStyleOption&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QStyleOption::OptionType&", 88, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QStyleOptionGraphicsItem*", 89, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//441
    { "const QTableWidgetItem&", 93, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QTextFormat&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QTextLength&", 97, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QTileRules&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QTime&", 101, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QTransform&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QTreeWidgetItem&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QUrl&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QUuid&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QVariant&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QVariant::Type", 107, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//452
    { "const QVariantComparisonHelper&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QVector2D", 109, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//454
    { "const QVector2D&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QVector3D", 110, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//456
    { "const QVector3D&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QVector4D", 111, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//458
    { "const QVector4D&", 111, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//460
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//461
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//462
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//463
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//464
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//465
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//466
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//467
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//468
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//469
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//470
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//471
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//472
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//473
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//474
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//475
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//476
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//477
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//478
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//479
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//480
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//481
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//482
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    375, 375, 0,	//1  const QBitArray&, const QBitArray&
    411, 0,	//4  const QPersistentModelIndex&
    295, 465, 0,	//6  Qt::DockWidgetArea, int
    460, 460, 465, 0,	//9  const char*, const char*, int
    128, 128, 0,	//13  QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag
    415, 463, 0,	//16  const QPoint&, double
    463, 0,	//19  double
    30, 394, 0,	//21  QDebug, const QItemSelectionRange&
    463, 417, 0,	//24  double, const QPointF&
    320, 117, 0,	//27  Qt::MouseButton, QFlags<Qt::MouseButton>
    401, 401, 0,	//30  const QMargins&, const QMargins&
    30, 439, 0,	//33  QDebug, const QStyleOption&
    463, 430, 0,	//36  double, const QSizeF&
    33, 465, 0,	//39  QDir::SortFlag, int
    2, 2, 0,	//42  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    30, 411, 0,	//45  QDebug, const QPersistentModelIndex&
    26, 149, 0,	//48  QDataStream&, QImage&
    26, 431, 0,	//51  QDataStream&, const QSizePolicy&
    309, 465, 0,	//54  Qt::InputMethodHint, int
    232, 465, 0,	//57  QStyleOptionToolBar::ToolBarFeature, int
    30, 447, 0,	//60  QDebug, const QTransform&
    374, 460, 0,	//63  char*, const char*
    422, 422, 0,	//66  const QRect&, const QRect&
    428, 428, 0,	//69  const QSize&, const QSize&
    26, 447, 0,	//72  QDataStream&, const QTransform&
    241, 241, 0,	//75  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    30, 415, 0,	//78  QDebug, const QPoint&
    403, 403, 0,	//81  const QMatrix4x4&, const QMatrix4x4&
    471, 0,	//84  unsigned char
    32, 55, 0,	//86  QDir::Filter, QFlags<QDir::Filter>
    459, 459, 0,	//89  const QVector4D&, const QVector4D&
    417, 402, 0,	//92  const QPointF&, const QMatrix&
    183, 183, 0,	//95  QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature
    397, 447, 0,	//98  const QLine&, const QTransform&
    455, 455, 0,	//101  const QVector2D&, const QVector2D&
    43, 61, 0,	//104  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    347, 122, 0,	//107  Qt::WindowState, QFlags<Qt::WindowState>
    430, 463, 0,	//110  const QSizeF&, double
    26, 397, 0,	//113  QDataStream&, const QLine&
    32, 465, 0,	//116  QDir::Filter, int
    447, 447, 0,	//119  const QTransform&, const QTransform&
    460, 396, 0,	//122  const char*, const QLatin1String&
    473, 0,	//125  unsigned int
    45, 63, 0,	//127  QFileDialog::Option, QFlags<QFileDialog::Option>
    430, 430, 0,	//130  const QSizeF&, const QSizeF&
    379, 379, 0,	//133  const QByteArray&, const QByteArray&
    396, 438, 0,	//136  const QLatin1String&, const QStringRef&
    421, 0,	//139  const QQuaternion&
    3, 3, 0,	//141  QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption
    320, 320, 0,	//144  Qt::MouseButton, Qt::MouseButton
    30, 452, 0,	//147  QDebug, const QVariant::Type
    451, 453, 0,	//150  const QVariant&, const QVariantComparisonHelper&
    421, 463, 0,	//153  const QQuaternion&, double
    14, 14, 0,	//156  QBool, QBool
    231, 231, 0,	//159  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    230, 230, 0,	//162  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    126, 126, 0,	//165  QFontComboBox::FontFilter, QFontComboBox::FontFilter
    276, 108, 0,	//168  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    438, 0,	//171  const QStringRef&
    245, 245, 0,	//173  QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag
    220, 220, 0,	//176  QString::Null, QString::Null
    30, 389, 0,	//179  QDebug, const QFont&
    30, 418, 0,	//182  QDebug, const QPolygon&
    26, 423, 0,	//185  QDataStream&, const QRectF&
    26, 165, 0,	//188  QDataStream&, QLocale&
    227, 465, 0,	//191  QStyle::SubControl, int
    35, 35, 0,	//194  QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature
    18, 435, 0,	//197  QChar, const QString&
    147, 73, 0,	//200  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    185, 422, 409, 372, 465, 377, 0,	//203  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    185, 422, 409, 0,	//210  QPainter*, const QRect&, const QPalette&
    185, 422, 409, 372, 0,	//214  QPainter*, const QRect&, const QPalette&, bool
    185, 422, 409, 372, 465, 0,	//219  QPainter*, const QRect&, const QPalette&, bool, int
    455, 0,	//225  const QVector2D&
    32, 32, 0,	//227  QDir::Filter, QDir::Filter
    26, 409, 0,	//230  QDataStream&, const QPalette&
    30, 446, 0,	//233  QDebug, const QTime&
    242, 98, 0,	//236  QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>
    421, 421, 0,	//239  const QQuaternion&, const QQuaternion&
    26, 379, 0,	//242  QDataStream&, const QByteArray&
    30, 383, 0,	//245  QDebug, const QDate&
    375, 0,	//248  const QBitArray&
    243, 99, 0,	//250  QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>
    461, 472, 465, 0,	//253  const unsigned char*, unsigned char*, int
    10, 51, 0,	//257  QAccessible::StateFlag, QFlags<QAccessible::StateFlag>
    419, 447, 0,	//260  const QPolygonF&, const QTransform&
    451, 264, 480, 0,	//263  const QVariant&, QVariant::Type, void*
    435, 0,	//267  const QString&
    476, 0,	//269  unsigned short
    179, 0,	//271  QObject*(*)()
    466, 0,	//273  long
    337, 337, 0,	//275  Qt::ToolBarArea, Qt::ToolBarArea
    467, 0,	//278  long long
    30, 419, 0,	//280  QDebug, const QPolygonF&
    185, 465, 465, 465, 465, 409, 372, 377, 0,	//283  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    185, 465, 465, 465, 465, 409, 0,	//292  QPainter*, int, int, int, int, const QPalette&
    185, 465, 465, 465, 465, 409, 372, 0,	//299  QPainter*, int, int, int, int, const QPalette&, bool
    273, 465, 0,	//307  QWidget::RenderFlag, int
    30, 381, 0,	//310  QDebug, const QColor&
    258, 465, 0,	//313  QTreeWidgetItemIterator::IteratorFlag, int
    297, 465, 0,	//316  Qt::DropAction, int
    185, 465, 465, 465, 465, 409, 372, 465, 465, 377, 0,	//319  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    185, 465, 465, 465, 465, 409, 372, 465, 0,	//330  QPainter*, int, int, int, int, const QPalette&, bool, int
    185, 465, 465, 465, 465, 409, 372, 465, 465, 0,	//339  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    26, 436, 0,	//349  QDataStream&, const QStringList&
    1, 1, 0,	//352  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    26, 190, 0,	//355  QDataStream&, QPen&
    464, 0,	//358  float
    128, 66, 0,	//360  QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>
    276, 276, 0,	//363  Qt::AlignmentFlag, Qt::AlignmentFlag
    26, 22, 0,	//366  QDataStream&, QColor&
    34, 465, 0,	//369  QDirIterator::IteratorFlag, int
    26, 424, 0,	//372  QDataStream&, const QRegExp&
    260, 465, 0,	//375  QUrl::FormattingOption, int
    34, 57, 0,	//378  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    379, 460, 0,	//381  const QByteArray&, const char*
    130, 130, 0,	//384  QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag
    127, 465, 0,	//387  QFontDialog::FontDialogOption, int
    30, 430, 0,	//390  QDebug, const QSizeF&
    295, 109, 0,	//393  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    230, 465, 0,	//396  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    397, 402, 0,	//399  const QLine&, const QMatrix&
    182, 182, 0,	//402  QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag
    465, 465, 465, 0,	//405  int, int, int
    398, 402, 0,	//409  const QLineF&, const QMatrix&
    322, 322, 0,	//412  Qt::Orientation, Qt::Orientation
    408, 402, 0,	//415  const QPainterPath&, const QMatrix&
    337, 465, 0,	//418  Qt::ToolBarArea, int
    457, 457, 0,	//421  const QVector3D&, const QVector3D&
    26, 196, 0,	//424  QDataStream&, QPointF&
    26, 395, 0,	//427  QDataStream&, const QKeySequence&
    318, 465, 0,	//430  Qt::MatchFlag, int
    435, 460, 0,	//433  const QString&, const char*
    26, 442, 0,	//436  QDataStream&, const QTableWidgetItem&
    30, 133, 0,	//439  QDebug, QGraphicsItem::GraphicsItemChange
    30, 387, 0,	//442  QDebug, const QEasingCurve&
    154, 465, 0,	//445  QItemSelectionModel::SelectionFlag, int
    26, 382, 0,	//448  QDataStream&, const QCursor&
    174, 82, 0,	//451  QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>
    302, 302, 0,	//454  Qt::GestureFlag, Qt::GestureFlag
    26, 27, 0,	//457  QDataStream&, QDate&
    26, 412, 0,	//460  QDataStream&, const QPicture&
    147, 147, 0,	//463  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    174, 174, 0,	//466  QMessageBox::StandardButton, QMessageBox::StandardButton
    43, 465, 0,	//469  QEventLoop::ProcessEventsFlag, int
    373, 379, 0,	//472  char, const QByteArray&
    26, 270, 0,	//475  QDataStream&, QVector4D&
    460, 435, 0,	//478  const char*, const QString&
    173, 81, 0,	//481  QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>
    30, 88, 0,	//484  QDebug, QFlags<QStyle::StateFlag>
    460, 379, 0,	//487  const char*, const QByteArray&
    127, 127, 0,	//490  QFontDialog::FontDialogOption, QFontDialog::FontDialogOption
    26, 261, 0,	//493  QDataStream&, QUuid&
    463, 463, 0,	//496  double, double
    26, 17, 0,	//499  QDataStream&, QByteArray&
    26, 263, 0,	//502  QDataStream&, QVariant&
    26, 448, 0,	//505  QDataStream&, const QTreeWidgetItem&
    26, 206, 0,	//508  QDataStream&, QRegExp&
    186, 186, 0,	//511  QPainter::RenderHint, QPainter::RenderHint
    417, 417, 0,	//514  const QPointF&, const QPointF&
    447, 463, 0,	//517  const QTransform&, double
    249, 432, 0,	//520  QTextStream&, const QSplitter&
    4, 49, 0,	//523  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    455, 463, 0,	//526  const QVector2D&, double
    258, 258, 0,	//529  QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag
    228, 228, 0,	//532  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    438, 438, 0,	//535  const QStringRef&, const QStringRef&
    459, 463, 0,	//538  const QVector4D&, double
    228, 465, 0,	//541  QStyleOptionButton::ButtonFeature, int
    44, 465, 0,	//544  QFile::Permission, int
    30, 398, 0,	//547  QDebug, const QLineF&
    18, 18, 0,	//550  QChar, QChar
    403, 463, 0,	//553  const QMatrix4x4&, double
    408, 447, 0,	//556  const QPainterPath&, const QTransform&
    26, 376, 0,	//559  QDataStream&, const QBrush&
    172, 80, 0,	//562  QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>
    460, 460, 473, 0,	//565  const char*, const char*, unsigned int
    379, 0,	//569  const QByteArray&
    4, 4, 0,	//571  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    152, 465, 0,	//574  QInputDialog::InputDialogOption, int
    226, 465, 0,	//577  QStyle::StateFlag, int
    30, 55, 0,	//580  QDebug, QFlags<QDir::Filter>
    460, 465, 0,	//583  const char*, int
    26, 208, 0,	//586  QDataStream&, QRegion&
    186, 465, 0,	//589  QPainter::RenderHint, int
    231, 465, 0,	//592  QStyleOptionTab::CornerWidget, int
    274, 274, 0,	//595  QWizard::WizardOption, QWizard::WizardOption
    251, 103, 0,	//598  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    26, 13, 0,	//601  QDataStream&, QBitArray&
    274, 107, 0,	//604  QWizard::WizardOption, QFlags<QWizard::WizardOption>
    417, 463, 0,	//607  const QPointF&, double
    183, 84, 0,	//610  QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>
    134, 134, 0,	//613  QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag
    18, 0,	//616  QChar
    185, 465, 465, 465, 465, 409, 372, 465, 377, 0,	//618  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    1, 46, 0,	//628  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    479, 0,	//631  void(*)(QtMsgType,const char*)
    26, 383, 0,	//633  QDataStream&, const QDate&
    407, 435, 404, 0,	//636  const QObject*, const QString&, const QMetaObject&
    318, 116, 0,	//640  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    457, 403, 0,	//643  const QVector3D&, const QMatrix4x4&
    302, 465, 0,	//646  Qt::GestureFlag, int
    185, 422, 409, 372, 377, 0,	//649  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    241, 465, 0,	//655  QTextCodec::ConversionFlag, int
    215, 215, 0,	//658  QSizePolicy::ControlType, QSizePolicy::ControlType
    126, 465, 0,	//661  QFontComboBox::FontFilter, int
    242, 465, 0,	//664  QTextDocument::FindFlag, int
    26, 25, 0,	//667  QDataStream&, QCursor&
    315, 115, 0,	//670  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    457, 463, 0,	//673  const QVector3D&, double
    318, 318, 0,	//676  Qt::MatchFlag, Qt::MatchFlag
    26, 256, 0,	//679  QDataStream&, QTransform&
    418, 402, 0,	//682  const QPolygon&, const QMatrix&
    480, 0,	//685  void*
    231, 93, 0,	//687  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    435, 220, 0,	//690  const QString&, QString::Null
    30, 410, 0,	//693  QDebug, const QPen&
    233, 233, 0,	//696  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    158, 465, 0,	//699  QLibrary::LoadHint, int
    26, 213, 0,	//702  QDataStream&, QSizeF&
    438, 460, 0,	//705  const QStringRef&, const char*
    185, 422, 409, 372, 465, 465, 377, 0,	//708  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    185, 422, 409, 372, 465, 465, 0,	//716  QPainter*, const QRect&, const QPalette&, bool, int, int
    243, 243, 0,	//723  QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag
    182, 465, 0,	//726  QPaintEngine::DirtyFlag, int
    134, 465, 0,	//729  QGraphicsItem::GraphicsItemFlag, int
    417, 0,	//732  const QPointF&
    480, 470, 470, 470, 0,	//734  void*, size_t, size_t, size_t
    312, 312, 0,	//739  Qt::ItemFlag, Qt::ItemFlag
    26, 413, 0,	//742  QDataStream&, const QPixmap&
    475, 0,	//745  unsigned long long
    379, 435, 0,	//747  const QByteArray&, const QString&
    348, 123, 0,	//750  Qt::WindowType, QFlags<Qt::WindowType>
    30, 428, 0,	//753  QDebug, const QSize&
    417, 447, 0,	//756  const QPointF&, const QTransform&
    312, 114, 0,	//759  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    30, 457, 0,	//762  QDebug, const QVector3D&
    340, 121, 0,	//765  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    435, 373, 0,	//768  const QString&, char
    35, 58, 0,	//771  QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>
    130, 465, 0,	//774  QGraphicsEffect::ChangeFlag, int
    185, 465, 465, 465, 465, 381, 465, 377, 0,	//777  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    185, 465, 465, 465, 465, 381, 0,	//786  QPainter*, int, int, int, int, const QColor&
    185, 465, 465, 465, 465, 381, 465, 0,	//793  QPainter*, int, int, int, int, const QColor&, int
    26, 449, 0,	//801  QDataStream&, const QUrl&
    480, 465, 470, 0,	//804  void*, int, size_t
    215, 86, 0,	//808  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    26, 451, 0,	//811  QDataStream&, const QVariant&
    26, 160, 0,	//814  QDataStream&, QLine&
    379, 465, 0,	//817  const QByteArray&, int
    4, 465, 0,	//820  QAbstractSpinBox::StepEnabledFlag, int
    30, 455, 0,	//823  QDebug, const QVector2D&
    315, 315, 0,	//826  Qt::KeyboardModifier, Qt::KeyboardModifier
    403, 459, 0,	//829  const QMatrix4x4&, const QVector4D&
    10, 465, 0,	//832  QAccessible::StateFlag, int
    185, 422, 381, 465, 377, 0,	//835  QPainter*, const QRect&, const QColor&, int, const QBrush*
    185, 422, 381, 0,	//841  QPainter*, const QRect&, const QColor&
    185, 422, 381, 465, 0,	//845  QPainter*, const QRect&, const QColor&, int
    29, 465, 0,	//850  QDateTimeEdit::Section, int
    478, 0,	//853  void(*)()
    276, 465, 0,	//855  Qt::AlignmentFlag, int
    415, 402, 0,	//858  const QPoint&, const QMatrix&
    315, 465, 0,	//861  Qt::KeyboardModifier, int
    312, 465, 0,	//864  Qt::ItemFlag, int
    307, 112, 0,	//867  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    26, 410, 0,	//870  QDataStream&, const QPen&
    415, 415, 0,	//873  const QPoint&, const QPoint&
    221, 465, 0,	//876  QString::SectionFlag, int
    348, 465, 0,	//879  Qt::WindowType, int
    273, 273, 0,	//882  QWidget::RenderFlag, QWidget::RenderFlag
    438, 435, 0,	//885  const QStringRef&, const QString&
    185, 422, 401, 413, 422, 401, 445, 59, 0,	//888  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>
    185, 422, 401, 413, 422, 401, 0,	//897  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    185, 422, 401, 413, 422, 401, 445, 0,	//904  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    396, 396, 0,	//912  const QLatin1String&, const QLatin1String&
    391, 391, 0,	//915  const QHashDummyValue&, const QHashDummyValue&
    460, 473, 0,	//918  const char*, unsigned int
    260, 260, 0,	//921  QUrl::FormattingOption, QUrl::FormattingOption
    23, 465, 0,	//924  QColorDialog::ColorDialogOption, int
    26, 148, 0,	//927  QDataStream&, QIcon&
    26, 418, 0,	//930  QDataStream&, const QPolygon&
    340, 465, 0,	//933  Qt::TouchPointState, int
    30, 401, 0,	//936  QDebug, const QMargins&
    273, 106, 0,	//939  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    245, 465, 0,	//942  QTextFormat::PageBreakFlag, int
    460, 0,	//945  const char*
    150, 465, 0,	//947  QImageIOPlugin::Capability, int
    30, 69, 0,	//950  QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>
    143, 465, 0,	//953  QGraphicsView::CacheModeFlag, int
    2, 465, 0,	//956  QAbstractItemView::EditTrigger, int
    30, 459, 0,	//959  QDebug, const QVector4D&
    249, 250, 0,	//962  QTextStream&, QTextStream&(*)(QTextStream&)
    274, 465, 0,	//965  QWizard::WizardOption, int
    45, 465, 0,	//968  QFileDialog::Option, int
    226, 88, 0,	//971  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    403, 415, 0,	//974  const QMatrix4x4&, const QPoint&
    233, 95, 0,	//977  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    136, 70, 0,	//980  QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>
    172, 172, 0,	//983  QMdiArea::AreaOption, QMdiArea::AreaOption
    26, 217, 0,	//986  QDataStream&, QStandardItem&
    26, 398, 0,	//989  QDataStream&, const QLineF&
    44, 62, 0,	//992  QFile::Permission, QFlags<QFile::Permission>
    183, 465, 0,	//995  QPaintEngine::PaintEngineFeature, int
    30, 408, 0,	//998  QDebug, const QPainterPath&
    374, 460, 473, 0,	//1001  char*, const char*, unsigned int
    23, 52, 0,	//1005  QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>
    26, 15, 0,	//1008  QDataStream&, QBrush&
    26, 417, 0,	//1011  QDataStream&, const QPointF&
    26, 171, 0,	//1014  QDataStream&, QMatrix4x4&
    459, 0,	//1017  const QVector4D&
    30, 403, 0,	//1019  QDebug, const QMatrix4x4&
    144, 465, 0,	//1022  QGraphicsView::OptimizationFlag, int
    26, 244, 0,	//1025  QDataStream&, QTextFormat&
    465, 0,	//1028  int
    166, 465, 0,	//1030  QLocale::NumberOption, int
    26, 164, 0,	//1033  QDataStream&, QListWidgetItem&
    480, 470, 0,	//1036  void*, size_t
    130, 68, 0,	//1039  QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>
    129, 67, 0,	//1042  QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>
    435, 435, 0,	//1045  const QString&, const QString&
    233, 465, 0,	//1048  QStyleOptionToolButton::ToolButtonFeature, int
    174, 465, 0,	//1051  QMessageBox::StandardButton, int
    460, 460, 460, 465, 0,	//1054  const char*, const char*, const char*, int
    435, 438, 0,	//1059  const QString&, const QStringRef&
    30, 134, 0,	//1062  QDebug, QGraphicsItem::GraphicsItemFlag
    9, 50, 0,	//1065  QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>
    157, 155, 0,	//1068  QKeySequence::StandardKey, QKeyEvent*
    215, 465, 0,	//1071  QSizePolicy::ControlType, int
    26, 214, 0,	//1074  QDataStream&, QSizePolicy&
    460, 438, 0,	//1077  const char*, const QStringRef&
    26, 169, 0,	//1080  QDataStream&, QMatrix&
    320, 465, 0,	//1083  Qt::MouseButton, int
    230, 92, 0,	//1086  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    26, 212, 0,	//1089  QDataStream&, QSize&
    34, 34, 0,	//1092  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    309, 309, 0,	//1095  Qt::InputMethodHint, Qt::InputMethodHint
    251, 251, 0,	//1098  QTextStream::NumberFlag, QTextStream::NumberFlag
    403, 417, 0,	//1101  const QMatrix4x4&, const QPointF&
    403, 0,	//1104  const QMatrix4x4&
    463, 455, 0,	//1106  double, const QVector2D&
    3, 48, 0,	//1109  QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>
    152, 152, 0,	//1112  QInputDialog::InputDialogOption, QInputDialog::InputDialogOption
    3, 465, 0,	//1115  QAbstractPrintDialog::PrintDialogOption, int
    26, 265, 0,	//1118  QDataStream&, QVariant::Type&
    334, 119, 0,	//1121  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    26, 457, 0,	//1124  QDataStream&, const QVector3D&
    398, 447, 0,	//1127  const QLineF&, const QTransform&
    438, 396, 0,	//1130  const QStringRef&, const QLatin1String&
    469, 0,	//1133  signed char
    26, 419, 0,	//1135  QDataStream&, const QPolygonF&
    26, 430, 0,	//1138  QDataStream&, const QSizeF&
    337, 120, 0,	//1141  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    463, 457, 0,	//1144  double, const QVector3D&
    26, 389, 0,	//1147  QDataStream&, const QFont&
    248, 102, 0,	//1150  QTextOption::Flag, QFlags<QTextOption::Flag>
    460, 460, 0,	//1153  const char*, const char*
    26, 238, 0,	//1156  QDataStream&, QTableWidgetItem&
    227, 89, 0,	//1159  QStyle::SubControl, QFlags<QStyle::SubControl>
    26, 455, 0,	//1162  QDataStream&, const QVector2D&
    26, 402, 0,	//1165  QDataStream&, const QMatrix&
    373, 435, 0,	//1168  char, const QString&
    186, 85, 0,	//1171  QPainter::RenderHint, QFlags<QPainter::RenderHint>
    158, 158, 0,	//1174  QLibrary::LoadHint, QLibrary::LoadHint
    463, 403, 0,	//1177  double, const QMatrix4x4&
    144, 72, 0,	//1180  QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>
    347, 347, 0,	//1183  Qt::WindowState, Qt::WindowState
    246, 246, 0,	//1186  QTextItem::RenderFlag, QTextItem::RenderFlag
    30, 449, 0,	//1189  QDebug, const QUrl&
    143, 143, 0,	//1192  QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag
    260, 105, 0,	//1195  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    26, 200, 0,	//1198  QDataStream&, QPolygonF&
    258, 104, 0,	//1201  QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>
    26, 189, 0,	//1204  QDataStream&, QPalette&
    26, 408, 0,	//1207  QDataStream&, const QPainterPath&
    10, 10, 0,	//1210  QAccessible::StateFlag, QAccessible::StateFlag
    423, 423, 0,	//1213  const QRectF&, const QRectF&
    463, 428, 0,	//1216  double, const QSize&
    155, 157, 0,	//1219  QKeyEvent*, QKeySequence::StandardKey
    44, 44, 0,	//1222  QFile::Permission, QFile::Permission
    406, 0,	//1225  const QModelIndex&
    143, 71, 0,	//1227  QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>
    227, 227, 0,	//1230  QStyle::SubControl, QStyle::SubControl
    30, 397, 0,	//1233  QDebug, const QLine&
    2, 47, 0,	//1236  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    26, 201, 0,	//1239  QDataStream&, QQuaternion&
    459, 403, 0,	//1242  const QVector4D&, const QMatrix4x4&
    26, 375, 0,	//1245  QDataStream&, const QBitArray&
    402, 402, 0,	//1248  const QMatrix&, const QMatrix&
    234, 234, 0,	//1251  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    480, 462, 470, 0,	//1254  void*, const void*, size_t
    463, 415, 0,	//1258  double, const QPoint&
    167, 79, 0,	//1261  QMainWindow::DockOption, QFlags<QMainWindow::DockOption>
    30, 135, 0,	//1264  QDebug, QGraphicsObject*
    185, 386, 465, 413, 60, 0,	//1267  QPainter*, const QDrawPixmaps::Data*, int, const QPixmap&, QFlags<QDrawPixmaps::DrawingHint>
    185, 386, 465, 413, 0,	//1273  QPainter*, const QDrawPixmaps::Data*, int, const QPixmap&
    30, 406, 0,	//1278  QDebug, const QModelIndex&
    468, 0,	//1281  short
    30, 384, 0,	//1283  QDebug, const QDateTime&
    173, 173, 0,	//1286  QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption
    26, 415, 0,	//1289  QDataStream&, const QPoint&
    26, 393, 0,	//1292  QDataStream&, const QImage&
    463, 421, 0,	//1295  double, const QQuaternion&
    379, 373, 0,	//1298  const QByteArray&, char
    242, 242, 0,	//1301  QTextDocument::FindFlag, QTextDocument::FindFlag
    30, 395, 0,	//1304  QDebug, const QKeySequence&
    182, 83, 0,	//1307  QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>
    31, 31, 0,	//1310  QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton
    9, 9, 0,	//1313  QAccessible::RelationFlag, QAccessible::RelationFlag
    30, 407, 0,	//1316  QDebug, const QObject*
    136, 136, 0,	//1319  QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer
    30, 388, 0,	//1322  QDebug, const QEvent*
    464, 464, 0,	//1325  float, float
    26, 125, 0,	//1328  QDataStream&, QFont&
    33, 56, 0,	//1331  QDir::SortFlag, QFlags<QDir::SortFlag>
    374, 470, 460, 477, 0,	//1334  char*, size_t, const char*, va_list
    152, 75, 0,	//1339  QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>
    221, 87, 0,	//1342  QString::SectionFlag, QFlags<QString::SectionFlag>
    26, 428, 0,	//1345  QDataStream&, const QSize&
    154, 76, 0,	//1348  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    26, 205, 0,	//1351  QDataStream&, QRectF&
    241, 97, 0,	//1354  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    30, 73, 0,	//1357  QDebug, QFlags<QIODevice::OpenModeFlag>
    26, 380, 0,	//1360  QDataStream&, const QChar&
    372, 14, 0,	//1363  bool, QBool
    474, 0,	//1366  unsigned long
    30, 423, 0,	//1368  QDebug, const QRectF&
    128, 465, 0,	//1371  QGestureRecognizer::ResultFlag, int
    418, 447, 0,	//1374  const QPolygon&, const QTransform&
    14, 372, 0,	//1377  QBool, bool
    347, 465, 0,	//1380  Qt::WindowState, int
    234, 96, 0,	//1383  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    26, 247, 0,	//1386  QDataStream&, QTextLength&
    26, 223, 0,	//1389  QDataStream&, QStringList&
    26, 422, 0,	//1392  QDataStream&, const QRect&
    26, 426, 0,	//1395  QDataStream&, const QRegion&
    295, 295, 0,	//1398  Qt::DockWidgetArea, Qt::DockWidgetArea
    30, 402, 0,	//1401  QDebug, const QMatrix&
    129, 465, 0,	//1404  QGraphicsBlurEffect::BlurHint, int
    166, 78, 0,	//1407  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    248, 248, 0,	//1410  QTextOption::Flag, QTextOption::Flag
    26, 381, 0,	//1413  QDataStream&, const QColor&
    348, 348, 0,	//1416  Qt::WindowType, Qt::WindowType
    29, 29, 0,	//1419  QDateTimeEdit::Section, QDateTimeEdit::Section
    428, 463, 0,	//1422  const QSize&, double
    403, 457, 0,	//1425  const QMatrix4x4&, const QVector3D&
    220, 435, 0,	//1428  QString::Null, const QString&
    30, 376, 0,	//1431  QDebug, const QBrush&
    33, 33, 0,	//1434  QDir::SortFlag, QDir::SortFlag
    309, 113, 0,	//1437  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    26, 194, 0,	//1440  QDataStream&, QPoint&
    30, 417, 0,	//1443  QDebug, const QPointF&
    407, 435, 425, 404, 163, 0,	//1446  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    26, 28, 0,	//1452  QDataStream&, QDateTime&
    229, 229, 0,	//1455  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    26, 446, 0,	//1458  QDataStream&, const QTime&
    26, 257, 0,	//1461  QDataStream&, QTreeWidgetItem&
    26, 156, 0,	//1464  QDataStream&, QKeySequence&
    243, 465, 0,	//1467  QTextEdit::AutoFormattingFlag, int
    26, 450, 0,	//1470  QDataStream&, const QUuid&
    150, 74, 0,	//1473  QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>
    249, 252, 0,	//1476  QTextStream&, QTextStreamManipulator
    26, 444, 0,	//1479  QDataStream&, const QTextLength&
    426, 447, 0,	//1482  const QRegion&, const QTransform&
    417, 403, 0,	//1485  const QPointF&, const QMatrix4x4&
    30, 131, 0,	//1488  QDebug, QGraphicsItem*
    35, 465, 0,	//1491  QDockWidget::DockWidgetFeature, int
    26, 399, 0,	//1494  QDataStream&, const QListWidgetItem&
    221, 221, 0,	//1497  QString::SectionFlag, QString::SectionFlag
    470, 470, 0,	//1500  size_t, size_t
    136, 465, 0,	//1503  QGraphicsScene::SceneLayer, int
    251, 465, 0,	//1506  QTextStream::NumberFlag, int
    461, 465, 465, 0,	//1509  const unsigned char*, int, int
    461, 465, 0,	//1513  const unsigned char*, int
    147, 465, 0,	//1516  QIODevice::OpenModeFlag, int
    30, 440, 0,	//1519  QDebug, const QStyleOption::OptionType&
    302, 111, 0,	//1522  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    26, 433, 0,	//1525  QDataStream&, const QStandardItem&
    419, 402, 0,	//1528  const QPolygonF&, const QMatrix&
    9, 465, 0,	//1531  QAccessible::RelationFlag, int
    415, 0,	//1534  const QPoint&
    26, 198, 0,	//1536  QDataStream&, QPolygon&
    185, 422, 401, 413, 0,	//1539  QPainter*, const QRect&, const QMargins&, const QPixmap&
    126, 64, 0,	//1544  QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>
    45, 45, 0,	//1547  QFileDialog::Option, QFileDialog::Option
    172, 465, 0,	//1550  QMdiArea::AreaOption, int
    26, 219, 0,	//1553  QDataStream&, QString&
    29, 53, 0,	//1556  QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>
    31, 54, 0,	//1559  QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>
    185, 415, 415, 409, 372, 465, 465, 0,	//1562  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    185, 415, 415, 409, 0,	//1570  QPainter*, const QPoint&, const QPoint&, const QPalette&
    185, 415, 415, 409, 372, 0,	//1575  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    185, 415, 415, 409, 372, 465, 0,	//1581  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    154, 154, 0,	//1588  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    26, 435, 0,	//1591  QDataStream&, const QString&
    249, 216, 0,	//1594  QTextStream&, QSplitter&
    26, 403, 0,	//1597  QDataStream&, const QMatrix4x4&
    26, 19, 0,	//1600  QDataStream&, QChar&
    26, 459, 0,	//1603  QDataStream&, const QVector4D&
    226, 226, 0,	//1606  QStyle::StateFlag, QStyle::StateFlag
    394, 0,	//1609  const QItemSelectionRange&
    334, 334, 0,	//1611  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    26, 192, 0,	//1614  QDataStream&, QPixmap&
    435, 379, 0,	//1617  const QString&, const QByteArray&
    43, 43, 0,	//1620  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    415, 403, 0,	//1623  const QPoint&, const QMatrix4x4&
    26, 203, 0,	//1626  QDataStream&, QRect&
    1, 465, 0,	//1629  QAbstractFileEngine::FileFlag, int
    144, 144, 0,	//1632  QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag
    127, 65, 0,	//1635  QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>
    351, 460, 0,	//1638  QtMsgType, const char*
    307, 465, 0,	//1641  Qt::ImageConversionFlag, int
    457, 0,	//1644  const QVector3D&
    228, 90, 0,	//1646  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    23, 23, 0,	//1649  QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption
    30, 422, 0,	//1652  QDebug, const QRect&
    26, 392, 0,	//1655  QDataStream&, const QIcon&
    26, 452, 0,	//1658  QDataStream&, const QVariant::Type
    26, 268, 0,	//1661  QDataStream&, QVector3D&
    234, 465, 0,	//1664  QStyleOptionViewItemV2::ViewItemFeature, int
    463, 459, 0,	//1667  double, const QVector4D&
    26, 162, 0,	//1670  QDataStream&, QLineF&
    26, 188, 0,	//1673  QDataStream&, QPainterPath&
    134, 69, 0,	//1676  QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>
    26, 191, 0,	//1679  QDataStream&, QPicture&
    340, 340, 0,	//1682  Qt::TouchPointState, Qt::TouchPointState
    246, 101, 0,	//1685  QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>
    334, 465, 0,	//1688  Qt::TextInteractionFlag, int
    415, 447, 0,	//1691  const QPoint&, const QTransform&
    229, 465, 0,	//1694  QStyleOptionFrameV2::FrameFeature, int
    31, 465, 0,	//1697  QDialogButtonBox::StandardButton, int
    232, 232, 0,	//1700  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    26, 266, 0,	//1703  QDataStream&, QVector2D&
    246, 465, 0,	//1706  QTextItem::RenderFlag, int
    373, 0,	//1709  char
    26, 384, 0,	//1711  QDataStream&, const QDateTime&
    167, 465, 0,	//1714  QMainWindow::DockOption, int
    26, 253, 0,	//1717  QDataStream&, QTime&
    245, 100, 0,	//1720  QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>
    307, 307, 0,	//1723  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    30, 421, 0,	//1726  QDebug, const QQuaternion&
    229, 91, 0,	//1729  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    26, 443, 0,	//1732  QDataStream&, const QTextFormat&
    297, 110, 0,	//1735  Qt::DropAction, QFlags<Qt::DropAction>
    173, 465, 0,	//1738  QMdiSubWindow::SubWindowOption, int
    297, 297, 0,	//1741  Qt::DropAction, Qt::DropAction
    129, 129, 0,	//1744  QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint
    322, 465, 0,	//1747  Qt::Orientation, int
    150, 150, 0,	//1750  QImageIOPlugin::Capability, QImageIOPlugin::Capability
    26, 421, 0,	//1753  QDataStream&, const QQuaternion&
    30, 385, 0,	//1756  QDebug, const QDir&
    426, 402, 0,	//1759  const QRegion&, const QMatrix&
    30, 426, 0,	//1762  QDebug, const QRegion&
    26, 259, 0,	//1765  QDataStream&, QUrl&
    158, 77, 0,	//1768  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    248, 465, 0,	//1771  QTextOption::Flag, int
    435, 18, 0,	//1774  const QString&, QChar
    465, 465, 465, 465, 0,	//1777  int, int, int, int
    322, 118, 0,	//1782  Qt::Orientation, QFlags<Qt::Orientation>
    232, 94, 0,	//1785  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    167, 167, 0,	//1788  QMainWindow::DockOption, QMainWindow::DockOption
    470, 0,	//1791  size_t
    30, 451, 0,	//1793  QDebug, const QVariant&
    166, 166, 0,	//1796  QLocale::NumberOption, QLocale::NumberOption
    26, 400, 0,	//1799  QDataStream&, const QLocale&
    390, 313, 0,	//1802  const QGraphicsItem*, Qt::ItemSelectionMode
    408, 313, 0,	//1805  const QPainterPath&, Qt::ItemSelectionMode
    390, 0,	//1808  const QGraphicsItem*
    131, 42, 0,	//1810  QGraphicsItem*, QEvent*
    42, 0,	//1813  QEvent*
    137, 0,	//1815  QGraphicsSceneContextMenuEvent*
    138, 0,	//1817  QGraphicsSceneDragDropEvent*
    124, 0,	//1819  QFocusEvent*
    139, 0,	//1821  QGraphicsSceneHoverEvent*
    155, 0,	//1823  QKeyEvent*
    140, 0,	//1825  QGraphicsSceneMouseEvent*
    141, 0,	//1827  QGraphicsSceneWheelEvent*
    153, 0,	//1829  QInputMethodEvent*
    310, 0,	//1831  Qt::InputMethodQuery
    133, 451, 0,	//1833  QGraphicsItem::GraphicsItemChange, const QVariant&
    132, 0,	//1836  QGraphicsItem::Extension
    132, 451, 0,	//1838  QGraphicsItem::Extension, const QVariant&
    451, 0,	//1841  const QVariant&
    175, 465, 481, 0,	//1843  QMetaObject::Call, int, void**
    131, 0,	//1847  QGraphicsItem*
    435, 131, 0,	//1849  const QString&, QGraphicsItem*
    236, 0,	//1852  QSvgRenderer*
    372, 0,	//1854  bool
    428, 0,	//1856  const QSize&
    185, 441, 272, 0,	//1858  QPainter*, const QStyleOptionGraphicsItem*, QWidget*
    185, 441, 0,	//1862  QPainter*, const QStyleOptionGraphicsItem*
    178, 42, 0,	//1865  QObject*, QEvent*
    254, 0,	//1868  QTimerEvent*
    20, 0,	//1870  QChildEvent*
    422, 0,	//1872  const QRect&
    423, 0,	//1874  const QRectF&
    146, 0,	//1876  QIODevice*
    180, 0,	//1878  QPaintDevice::PaintDeviceMetric
    178, 0,	//1880  QObject*
    435, 178, 0,	//1882  const QString&, QObject*
    379, 178, 0,	//1885  const QByteArray&, QObject*
    275, 178, 0,	//1888  QXmlStreamReader*, QObject*
    275, 0,	//1891  QXmlStreamReader*
    185, 0,	//1893  QPainter*
    185, 423, 0,	//1895  QPainter*, const QRectF&
    185, 435, 423, 0,	//1898  QPainter*, const QString&, const QRectF&
    185, 435, 0,	//1902  QPainter*, const QString&
    272, 0,	//1905  QWidget*
    435, 272, 0,	//1907  const QString&, QWidget*
    184, 0,	//1910  QPaintEvent*
    176, 0,	//1912  QMouseEvent*
    271, 0,	//1914  QWheelEvent*
    177, 0,	//1916  QMoveEvent*
    209, 0,	//1918  QResizeEvent*
    21, 0,	//1920  QCloseEvent*
    24, 0,	//1922  QContextMenuEvent*
    239, 0,	//1924  QTabletEvent*
    11, 0,	//1926  QActionEvent*
    36, 0,	//1928  QDragEnterEvent*
    38, 0,	//1930  QDragMoveEvent*
    37, 0,	//1932  QDragLeaveEvent*
    41, 0,	//1934  QDropEvent*
    210, 0,	//1936  QShowEvent*
    145, 0,	//1938  QHideEvent*
    371, 0,	//1940  _XEvent*
    225, 0,	//1942  QStyle&
    409, 0,	//1944  const QPalette&
    389, 0,	//1946  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "DeviceCoordinateCache",	//1
    "DrawChildren",	//2
    "DrawWindowBackground",	//3
    "IgnoreMask",	//4
    "ItemAcceptsInputMethod",	//5
    "ItemChildAddedChange",	//6
    "ItemChildRemovedChange",	//7
    "ItemClipsChildrenToShape",	//8
    "ItemClipsToShape",	//9
    "ItemCoordinateCache",	//10
    "ItemCursorChange",	//11
    "ItemCursorHasChanged",	//12
    "ItemDoesntPropagateOpacityToChildren",	//13
    "ItemEnabledChange",	//14
    "ItemEnabledHasChanged",	//15
    "ItemFlagsChange",	//16
    "ItemFlagsHaveChanged",	//17
    "ItemHasNoContents",	//18
    "ItemIgnoresParentOpacity",	//19
    "ItemIgnoresTransformations",	//20
    "ItemIsFocusScope",	//21
    "ItemIsFocusable",	//22
    "ItemIsMovable",	//23
    "ItemIsPanel",	//24
    "ItemIsSelectable",	//25
    "ItemMatrixChange",	//26
    "ItemNegativeZStacksBehindParent",	//27
    "ItemOpacityChange",	//28
    "ItemOpacityHasChanged",	//29
    "ItemParentChange",	//30
    "ItemParentHasChanged",	//31
    "ItemPositionChange",	//32
    "ItemPositionHasChanged",	//33
    "ItemSceneChange",	//34
    "ItemSceneHasChanged",	//35
    "ItemScenePositionHasChanged",	//36
    "ItemSelectedChange",	//37
    "ItemSelectedHasChanged",	//38
    "ItemSendsGeometryChanges",	//39
    "ItemSendsScenePositionChanges",	//40
    "ItemStacksBehindParent",	//41
    "ItemToolTipChange",	//42
    "ItemToolTipHasChanged",	//43
    "ItemTransformChange",	//44
    "ItemTransformHasChanged",	//45
    "ItemUsesExtendedStyleOption",	//46
    "ItemVisibleChange",	//47
    "ItemVisibleHasChanged",	//48
    "ItemZValueChange",	//49
    "ItemZValueHasChanged",	//50
    "LicensedActiveQt",	//51
    "LicensedCore",	//52
    "LicensedDBus",	//53
    "LicensedDeclarative",	//54
    "LicensedGui",	//55
    "LicensedHelp",	//56
    "LicensedMultimedia",	//57
    "LicensedNetwork",	//58
    "LicensedOpenGL",	//59
    "LicensedOpenVG",	//60
    "LicensedQt3Support",	//61
    "LicensedQt3SupportLight",	//62
    "LicensedScript",	//63
    "LicensedScriptTools",	//64
    "LicensedSql",	//65
    "LicensedSvg",	//66
    "LicensedTest",	//67
    "LicensedXml",	//68
    "LicensedXmlPatterns",	//69
    "NoCache",	//70
    "NonModal",	//71
    "PanelModal",	//72
    "PdmDepth",	//73
    "PdmDpiX",	//74
    "PdmDpiY",	//75
    "PdmHeight",	//76
    "PdmHeightMM",	//77
    "PdmNumColors",	//78
    "PdmPhysicalDpiX",	//79
    "PdmPhysicalDpiY",	//80
    "PdmWidth",	//81
    "PdmWidthMM",	//82
    "QGraphicsSvgItem",	//83
    "QGraphicsSvgItem#",	//84
    "QGraphicsSvgItem$",	//85
    "QGraphicsSvgItem$#",	//86
    "QSvgGenerator",	//87
    "QSvgRenderer",	//88
    "QSvgRenderer#",	//89
    "QSvgRenderer##",	//90
    "QSvgRenderer$",	//91
    "QSvgRenderer$#",	//92
    "QSvgWidget",	//93
    "QSvgWidget#",	//94
    "QSvgWidget$",	//95
    "QSvgWidget$#",	//96
    "Q_COMPLEX_TYPE",	//97
    "Q_DUMMY_TYPE",	//98
    "Q_MOVABLE_TYPE",	//99
    "Q_PRIMITIVE_TYPE",	//100
    "Q_STATIC_TYPE",	//101
    "QtCriticalMsg",	//102
    "QtDebugMsg",	//103
    "QtFatalMsg",	//104
    "QtSystemMsg",	//105
    "QtWarningMsg",	//106
    "SceneModal",	//107
    "Type",	//108
    "UserExtension",	//109
    "UserType",	//110
    "actionEvent",	//111
    "advance",	//112
    "animated",	//113
    "animationDuration",	//114
    "boundingRect",	//115
    "boundsOnElement",	//116
    "boundsOnElement$",	//117
    "changeEvent",	//118
    "childEvent",	//119
    "closeEvent",	//120
    "collidesWithItem",	//121
    "collidesWithPath",	//122
    "connectNotify",	//123
    "contains",	//124
    "contextMenuEvent",	//125
    "currentFrame",	//126
    "customEvent",	//127
    "defaultSize",	//128
    "description",	//129
    "devType",	//130
    "disconnectNotify",	//131
    "dragEnterEvent",	//132
    "dragLeaveEvent",	//133
    "dragMoveEvent",	//134
    "dropEvent",	//135
    "elementExists",	//136
    "elementExists$",	//137
    "elementId",	//138
    "enabledChange",	//139
    "enterEvent",	//140
    "event",	//141
    "eventFilter",	//142
    "extension",	//143
    "fileName",	//144
    "focusInEvent",	//145
    "focusNextPrevChild",	//146
    "focusOutEvent",	//147
    "fontChange",	//148
    "framesPerSecond",	//149
    "heightForWidth",	//150
    "hideEvent",	//151
    "hoverEnterEvent",	//152
    "hoverLeaveEvent",	//153
    "hoverMoveEvent",	//154
    "inputMethodEvent",	//155
    "inputMethodQuery",	//156
    "isCachingEnabled",	//157
    "isObscuredBy",	//158
    "isValid",	//159
    "itemChange",	//160
    "keyPressEvent",	//161
    "keyReleaseEvent",	//162
    "languageChange",	//163
    "leaveEvent",	//164
    "load",	//165
    "load#",	//166
    "load$",	//167
    "matrixForElement",	//168
    "matrixForElement$",	//169
    "maximumCacheSize",	//170
    "metaObject",	//171
    "metric",	//172
    "metric$",	//173
    "minimumSizeHint",	//174
    "mouseDoubleClickEvent",	//175
    "mouseMoveEvent",	//176
    "mousePressEvent",	//177
    "mouseReleaseEvent",	//178
    "moveEvent",	//179
    "opaqueArea",	//180
    "operator!=",	//181
    "operator!=##",	//182
    "operator!=#$",	//183
    "operator!=$#",	//184
    "operator!=$$",	//185
    "operator&",	//186
    "operator&##",	//187
    "operator*",	//188
    "operator*##",	//189
    "operator*#$",	//190
    "operator*$#",	//191
    "operator+",	//192
    "operator+##",	//193
    "operator+#$",	//194
    "operator+$#",	//195
    "operator+$$",	//196
    "operator-",	//197
    "operator-#",	//198
    "operator-##",	//199
    "operator-#$",	//200
    "operator/",	//201
    "operator/#$",	//202
    "operator<",	//203
    "operator<##",	//204
    "operator<#$",	//205
    "operator<$#",	//206
    "operator<$$",	//207
    "operator<<",	//208
    "operator<<##",	//209
    "operator<<#$",	//210
    "operator<<#?",	//211
    "operator<=",	//212
    "operator<=##",	//213
    "operator<=#$",	//214
    "operator<=$#",	//215
    "operator<=$$",	//216
    "operator==",	//217
    "operator==##",	//218
    "operator==#$",	//219
    "operator==$#",	//220
    "operator==$$",	//221
    "operator>",	//222
    "operator>##",	//223
    "operator>#$",	//224
    "operator>$#",	//225
    "operator>$$",	//226
    "operator>=",	//227
    "operator>=##",	//228
    "operator>=#$",	//229
    "operator>=$#",	//230
    "operator>=$$",	//231
    "operator>>",	//232
    "operator>>##",	//233
    "operator>>#$",	//234
    "operator>>#?",	//235
    "operator^",	//236
    "operator^##",	//237
    "operator|",	//238
    "operator|##",	//239
    "operator|$$",	//240
    "outputDevice",	//241
    "paint",	//242
    "paint##",	//243
    "paint###",	//244
    "paintEngine",	//245
    "paintEvent",	//246
    "paintEvent#",	//247
    "paletteChange",	//248
    "qAccessibleActionCastHelper",	//249
    "qAccessibleEditableTextCastHelper",	//250
    "qAccessibleImageCastHelper",	//251
    "qAccessibleTableCastHelper",	//252
    "qAccessibleTextCastHelper",	//253
    "qAccessibleValueCastHelper",	//254
    "qAcos",	//255
    "qAcos$",	//256
    "qAddPostRoutine",	//257
    "qAddPostRoutine$",	//258
    "qAlpha",	//259
    "qAlpha$",	//260
    "qAppName",	//261
    "qAsin",	//262
    "qAsin$",	//263
    "qAtan",	//264
    "qAtan$",	//265
    "qAtan2",	//266
    "qAtan2$$",	//267
    "qBadAlloc",	//268
    "qBlue",	//269
    "qBlue$",	//270
    "qCeil",	//271
    "qCeil$",	//272
    "qChecksum",	//273
    "qChecksum$$",	//274
    "qCompress",	//275
    "qCompress#",	//276
    "qCompress#$",	//277
    "qCompress$$",	//278
    "qCompress$$$",	//279
    "qCos",	//280
    "qCos$",	//281
    "qCritical",	//282
    "qDebug",	//283
    "qDrawBorderPixmap",	//284
    "qDrawBorderPixmap####",	//285
    "qDrawBorderPixmap######",	//286
    "qDrawBorderPixmap#######",	//287
    "qDrawBorderPixmap#######$",	//288
    "qDrawPixmaps",	//289
    "qDrawPixmaps##$#",	//290
    "qDrawPixmaps##$#$",	//291
    "qDrawPlainRect",	//292
    "qDrawPlainRect###",	//293
    "qDrawPlainRect###$",	//294
    "qDrawPlainRect###$#",	//295
    "qDrawPlainRect#$$$$#",	//296
    "qDrawPlainRect#$$$$#$",	//297
    "qDrawPlainRect#$$$$#$#",	//298
    "qDrawShadeLine",	//299
    "qDrawShadeLine####",	//300
    "qDrawShadeLine####$",	//301
    "qDrawShadeLine####$$",	//302
    "qDrawShadeLine####$$$",	//303
    "qDrawShadeLine#$$$$#",	//304
    "qDrawShadeLine#$$$$#$",	//305
    "qDrawShadeLine#$$$$#$$",	//306
    "qDrawShadeLine#$$$$#$$$",	//307
    "qDrawShadePanel",	//308
    "qDrawShadePanel###",	//309
    "qDrawShadePanel###$",	//310
    "qDrawShadePanel###$$",	//311
    "qDrawShadePanel###$$#",	//312
    "qDrawShadePanel#$$$$#",	//313
    "qDrawShadePanel#$$$$#$",	//314
    "qDrawShadePanel#$$$$#$$",	//315
    "qDrawShadePanel#$$$$#$$#",	//316
    "qDrawShadeRect",	//317
    "qDrawShadeRect###",	//318
    "qDrawShadeRect###$",	//319
    "qDrawShadeRect###$$",	//320
    "qDrawShadeRect###$$$",	//321
    "qDrawShadeRect###$$$#",	//322
    "qDrawShadeRect#$$$$#",	//323
    "qDrawShadeRect#$$$$#$",	//324
    "qDrawShadeRect#$$$$#$$",	//325
    "qDrawShadeRect#$$$$#$$$",	//326
    "qDrawShadeRect#$$$$#$$$#",	//327
    "qDrawWinButton",	//328
    "qDrawWinButton###",	//329
    "qDrawWinButton###$",	//330
    "qDrawWinButton###$#",	//331
    "qDrawWinButton#$$$$#",	//332
    "qDrawWinButton#$$$$#$",	//333
    "qDrawWinButton#$$$$#$#",	//334
    "qDrawWinPanel",	//335
    "qDrawWinPanel###",	//336
    "qDrawWinPanel###$",	//337
    "qDrawWinPanel###$#",	//338
    "qDrawWinPanel#$$$$#",	//339
    "qDrawWinPanel#$$$$#$",	//340
    "qDrawWinPanel#$$$$#$#",	//341
    "qExp",	//342
    "qExp$",	//343
    "qFabs",	//344
    "qFabs$",	//345
    "qFastCos",	//346
    "qFastCos$",	//347
    "qFastSin",	//348
    "qFastSin$",	//349
    "qFlagLocation",	//350
    "qFlagLocation$",	//351
    "qFloor",	//352
    "qFloor$",	//353
    "qFree",	//354
    "qFree$",	//355
    "qFreeAligned",	//356
    "qFreeAligned$",	//357
    "qFuzzyCompare",	//358
    "qFuzzyCompare##",	//359
    "qFuzzyCompare$$",	//360
    "qFuzzyIsNull",	//361
    "qFuzzyIsNull$",	//362
    "qGray",	//363
    "qGray$",	//364
    "qGray$$$",	//365
    "qGreen",	//366
    "qGreen$",	//367
    "qHash",	//368
    "qHash#",	//369
    "qHash$",	//370
    "qHash?",	//371
    "qInf",	//372
    "qInstallMsgHandler",	//373
    "qInstallMsgHandler$",	//374
    "qIntCast",	//375
    "qIntCast$",	//376
    "qIsFinite",	//377
    "qIsFinite$",	//378
    "qIsGray",	//379
    "qIsGray$",	//380
    "qIsInf",	//381
    "qIsInf$",	//382
    "qIsNaN",	//383
    "qIsNaN$",	//384
    "qIsNull",	//385
    "qIsNull$",	//386
    "qLn",	//387
    "qLn$",	//388
    "qMalloc",	//389
    "qMalloc?",	//390
    "qMallocAligned",	//391
    "qMallocAligned??",	//392
    "qMemCopy",	//393
    "qMemCopy$$?",	//394
    "qMemSet",	//395
    "qMemSet$$?",	//396
    "qPow",	//397
    "qPow$$",	//398
    "qQNaN",	//399
    "qRealloc",	//400
    "qRealloc$?",	//401
    "qReallocAligned",	//402
    "qReallocAligned$???",	//403
    "qRed",	//404
    "qRed$",	//405
    "qRegisterStaticPluginInstanceFunction",	//406
    "qRegisterStaticPluginInstanceFunction#",	//407
    "qRemovePostRoutine",	//408
    "qRemovePostRoutine$",	//409
    "qRgb",	//410
    "qRgb$$$",	//411
    "qRgba",	//412
    "qRgba$$$$",	//413
    "qRound",	//414
    "qRound$",	//415
    "qRound64",	//416
    "qRound64$",	//417
    "qSNaN",	//418
    "qSetFieldWidth",	//419
    "qSetFieldWidth$",	//420
    "qSetPadChar",	//421
    "qSetPadChar#",	//422
    "qSetRealNumberPrecision",	//423
    "qSetRealNumberPrecision$",	//424
    "qSharedBuild",	//425
    "qSin",	//426
    "qSin$",	//427
    "qSqrt",	//428
    "qSqrt$",	//429
    "qStringComparisonHelper",	//430
    "qStringComparisonHelper#$",	//431
    "qStringComparisonHelper$$",	//432
    "qTan",	//433
    "qTan$",	//434
    "qUncompress",	//435
    "qUncompress#",	//436
    "qUncompress$$",	//437
    "qVersion",	//438
    "qWarning",	//439
    "qbswap_helper",	//440
    "qbswap_helper$$$",	//441
    "qgetenv",	//442
    "qgetenv$",	//443
    "qputenv",	//444
    "qputenv$#",	//445
    "qrand",	//446
    "qsrand",	//447
    "qsrand$",	//448
    "qstrcmp",	//449
    "qstrcmp##",	//450
    "qstrcmp#$",	//451
    "qstrcmp$#",	//452
    "qstrcmp$$",	//453
    "qstrcpy",	//454
    "qstrcpy$$",	//455
    "qstrdup",	//456
    "qstrdup$",	//457
    "qstricmp",	//458
    "qstricmp$$",	//459
    "qstrlen",	//460
    "qstrlen$",	//461
    "qstrncmp",	//462
    "qstrncmp$$$",	//463
    "qstrncpy",	//464
    "qstrncpy$$$",	//465
    "qstrnicmp",	//466
    "qstrnicmp$$$",	//467
    "qstrnlen",	//468
    "qstrnlen$$",	//469
    "qtTrId",	//470
    "qtTrId$",	//471
    "qtTrId$$",	//472
    "qt_assert",	//473
    "qt_assert$$$",	//474
    "qt_assert_x",	//475
    "qt_assert_x$$$$",	//476
    "qt_check_pointer",	//477
    "qt_check_pointer$$",	//478
    "qt_error_string",	//479
    "qt_error_string$",	//480
    "qt_message_output",	//481
    "qt_message_output$$",	//482
    "qt_metacall",	//483
    "qt_metacall$$?",	//484
    "qt_metacast",	//485
    "qt_metacast$",	//486
    "qt_noop",	//487
    "qt_qFindChild_helper",	//488
    "qt_qFindChild_helper#$#",	//489
    "qt_qFindChildren_helper",	//490
    "qt_qFindChildren_helper#$##?",	//491
    "qvariant_cast_helper",	//492
    "qvariant_cast_helper#$$",	//493
    "qvsnprintf",	//494
    "qvsnprintf$?$?",	//495
    "render",	//496
    "render#",	//497
    "render##",	//498
    "render#$",	//499
    "render#$#",	//500
    "renderer",	//501
    "repaintNeeded",	//502
    "resizeEvent",	//503
    "resolution",	//504
    "sceneEvent",	//505
    "sceneEventFilter",	//506
    "setCachingEnabled",	//507
    "setCachingEnabled$",	//508
    "setCurrentFrame",	//509
    "setCurrentFrame$",	//510
    "setDescription",	//511
    "setDescription$",	//512
    "setElementId",	//513
    "setElementId$",	//514
    "setExtension",	//515
    "setFileName",	//516
    "setFileName$",	//517
    "setFramesPerSecond",	//518
    "setFramesPerSecond$",	//519
    "setMaximumCacheSize",	//520
    "setMaximumCacheSize#",	//521
    "setOutputDevice",	//522
    "setOutputDevice#",	//523
    "setResolution",	//524
    "setResolution$",	//525
    "setSharedRenderer",	//526
    "setSharedRenderer#",	//527
    "setSize",	//528
    "setSize#",	//529
    "setTitle",	//530
    "setTitle$",	//531
    "setViewBox",	//532
    "setViewBox#",	//533
    "setVisible",	//534
    "shape",	//535
    "showEvent",	//536
    "size",	//537
    "sizeHint",	//538
    "staticMetaObject",	//539
    "styleChange",	//540
    "supportsExtension",	//541
    "tabletEvent",	//542
    "timerEvent",	//543
    "title",	//544
    "tr",	//545
    "tr$",	//546
    "tr$$",	//547
    "tr$$$",	//548
    "trUtf8",	//549
    "trUtf8$",	//550
    "trUtf8$$",	//551
    "trUtf8$$$",	//552
    "type",	//553
    "viewBox",	//554
    "viewBoxF",	//555
    "wheelEvent",	//556
    "windowActivationChange",	//557
    "x11Event",	//558
    "~QGraphicsSvgItem",	//559
    "~QSvgGenerator",	//560
    "~QSvgRenderer",	//561
    "~QSvgWidget",	//562
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {27, 186, 1, 2, Smoke::mf_static, 12, 1},	//1 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {27, 282, 0, 0, Smoke::mf_static, 30, 2},	//2 QGlobalSpace::qCritical()
    {27, 368, 4, 1, Smoke::mf_static, 473, 3},	//3 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {27, 238, 6, 2, Smoke::mf_static, 151, 4},	//4 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {27, 473, 9, 3, Smoke::mf_static, 0, 5},	//5 QGlobalSpace::qt_assert(const char*, const char*, int)
    {27, 238, 13, 2, Smoke::mf_static, 66, 6},	//6 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    {27, 188, 16, 2, Smoke::mf_static, 414, 7},	//7 QGlobalSpace::operator*(const QPoint&, double)
    {27, 381, 19, 1, Smoke::mf_static, 372, 8},	//8 QGlobalSpace::qIsInf(double)
    {27, 208, 21, 2, Smoke::mf_static, 30, 9},	//9 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {27, 188, 24, 2, Smoke::mf_static, 416, 10},	//10 QGlobalSpace::operator*(double, const QPointF&)
    {27, 238, 27, 2, Smoke::mf_static, 117, 11},	//11 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {27, 181, 30, 2, Smoke::mf_static, 372, 12},	//12 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {27, 208, 33, 2, Smoke::mf_static, 30, 13},	//13 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {27, 188, 36, 2, Smoke::mf_static, 429, 14},	//14 QGlobalSpace::operator*(double, const QSizeF&)
    {27, 238, 39, 2, Smoke::mf_static, 151, 15},	//15 QGlobalSpace::operator|(QDir::SortFlag, int)
    {27, 238, 42, 2, Smoke::mf_static, 47, 16},	//16 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {27, 208, 45, 2, Smoke::mf_static, 30, 17},	//17 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {27, 232, 48, 2, Smoke::mf_static, 26, 18},	//18 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {27, 208, 51, 2, Smoke::mf_static, 26, 19},	//19 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {27, 238, 54, 2, Smoke::mf_static, 151, 20},	//20 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {27, 238, 57, 2, Smoke::mf_static, 151, 21},	//21 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {27, 208, 60, 2, Smoke::mf_static, 30, 22},	//22 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {27, 454, 63, 2, Smoke::mf_static, 374, 23},	//23 QGlobalSpace::qstrcpy(char*, const char*)
    {27, 181, 66, 2, Smoke::mf_static, 372, 24},	//24 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {27, 192, 69, 2, Smoke::mf_static, 427, 25},	//25 QGlobalSpace::operator+(const QSize&, const QSize&)
    {27, 344, 19, 1, Smoke::mf_static, 463, 26},	//26 QGlobalSpace::qFabs(double)
    {27, 208, 72, 2, Smoke::mf_static, 26, 27},	//27 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {27, 238, 75, 2, Smoke::mf_static, 97, 28},	//28 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {27, 208, 78, 2, Smoke::mf_static, 30, 29},	//29 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {27, 399, 0, 0, Smoke::mf_static, 463, 30},	//30 QGlobalSpace::qQNaN()
    {27, 197, 81, 2, Smoke::mf_static, 170, 31},	//31 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {27, 368, 84, 1, Smoke::mf_static, 473, 32},	//32 QGlobalSpace::qHash(unsigned char)
    {27, 238, 86, 2, Smoke::mf_static, 55, 33},	//33 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {27, 197, 89, 2, Smoke::mf_static, 458, 34},	//34 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {27, 188, 92, 2, Smoke::mf_static, 195, 35},	//35 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {27, 238, 95, 2, Smoke::mf_static, 84, 36},	//36 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    {27, 188, 98, 2, Smoke::mf_static, 159, 37},	//37 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {27, 438, 0, 0, Smoke::mf_static, 460, 38},	//38 QGlobalSpace::qVersion()
    {27, 358, 101, 2, Smoke::mf_static, 372, 39},	//39 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {27, 238, 104, 2, Smoke::mf_static, 61, 40},	//40 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {27, 217, 30, 2, Smoke::mf_static, 372, 41},	//41 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {27, 238, 107, 2, Smoke::mf_static, 122, 42},	//42 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {27, 188, 110, 2, Smoke::mf_static, 429, 43},	//43 QGlobalSpace::operator*(const QSizeF&, double)
    {27, 208, 113, 2, Smoke::mf_static, 26, 44},	//44 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {27, 238, 116, 2, Smoke::mf_static, 151, 45},	//45 QGlobalSpace::operator|(QDir::Filter, int)
    {27, 358, 119, 2, Smoke::mf_static, 372, 46},	//46 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {27, 222, 122, 2, Smoke::mf_static, 372, 47},	//47 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {27, 271, 19, 1, Smoke::mf_static, 465, 48},	//48 QGlobalSpace::qCeil(double)
    {27, 446, 0, 0, Smoke::mf_static, 465, 49},	//49 QGlobalSpace::qrand()
    {27, 363, 125, 1, Smoke::mf_static, 465, 50},	//50 QGlobalSpace::qGray(unsigned int)
    {27, 238, 127, 2, Smoke::mf_static, 63, 51},	//51 QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    {27, 197, 130, 2, Smoke::mf_static, 429, 52},	//52 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {27, 227, 133, 2, Smoke::mf_static, 372, 53},	//53 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {27, 217, 136, 2, Smoke::mf_static, 372, 54},	//54 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {27, 197, 139, 1, Smoke::mf_static, 420, 55},	//55 QGlobalSpace::operator-(const QQuaternion&)
    {27, 238, 141, 2, Smoke::mf_static, 48, 56},	//56 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    {27, 238, 144, 2, Smoke::mf_static, 117, 57},	//57 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {27, 208, 147, 2, Smoke::mf_static, 30, 58},	//58 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {27, 404, 125, 1, Smoke::mf_static, 465, 59},	//59 QGlobalSpace::qRed(unsigned int)
    {27, 181, 150, 2, Smoke::mf_static, 372, 60},	//60 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {27, 188, 153, 2, Smoke::mf_static, 420, 61},	//61 QGlobalSpace::operator*(const QQuaternion&, double)
    {27, 217, 156, 2, Smoke::mf_static, 372, 62},	//62 QGlobalSpace::operator==(QBool, QBool)
    {27, 238, 159, 2, Smoke::mf_static, 93, 63},	//63 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {27, 238, 162, 2, Smoke::mf_static, 92, 64},	//64 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {27, 238, 165, 2, Smoke::mf_static, 64, 65},	//65 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    {27, 238, 168, 2, Smoke::mf_static, 108, 66},	//66 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {27, 368, 171, 1, Smoke::mf_static, 473, 67},	//67 QGlobalSpace::qHash(const QStringRef&)
    {27, 238, 173, 2, Smoke::mf_static, 100, 68},	//68 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    {27, 217, 176, 2, Smoke::mf_static, 372, 69},	//69 QGlobalSpace::operator==(QString::Null, QString::Null)
    {27, 208, 179, 2, Smoke::mf_static, 30, 70},	//70 QGlobalSpace::operator<<(QDebug, const QFont&)
    {27, 208, 182, 2, Smoke::mf_static, 30, 71},	//71 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {27, 208, 185, 2, Smoke::mf_static, 26, 72},	//72 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {27, 232, 188, 2, Smoke::mf_static, 26, 73},	//73 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {27, 259, 125, 1, Smoke::mf_static, 465, 74},	//74 QGlobalSpace::qAlpha(unsigned int)
    {27, 238, 191, 2, Smoke::mf_static, 151, 75},	//75 QGlobalSpace::operator|(QStyle::SubControl, int)
    {27, 238, 194, 2, Smoke::mf_static, 58, 76},	//76 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    {27, 192, 197, 2, Smoke::mf_static, 434, 77},	//77 QGlobalSpace::operator+(QChar, const QString&)
    {27, 366, 125, 1, Smoke::mf_static, 465, 78},	//78 QGlobalSpace::qGreen(unsigned int)
    {27, 238, 200, 2, Smoke::mf_static, 73, 79},	//79 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {27, 308, 203, 6, Smoke::mf_static, 0, 80},	//80 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {27, 308, 210, 3, Smoke::mf_static, 0, 81},	//81 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {27, 308, 214, 4, Smoke::mf_static, 0, 82},	//82 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {27, 308, 219, 5, Smoke::mf_static, 0, 83},	//83 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {27, 197, 225, 1, Smoke::mf_static, 454, 84},	//84 QGlobalSpace::operator-(const QVector2D&)
    {27, 238, 227, 2, Smoke::mf_static, 55, 85},	//85 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {27, 208, 230, 2, Smoke::mf_static, 26, 86},	//86 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {27, 208, 233, 2, Smoke::mf_static, 30, 87},	//87 QGlobalSpace::operator<<(QDebug, const QTime&)
    {27, 188, 89, 2, Smoke::mf_static, 458, 88},	//88 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {27, 238, 236, 2, Smoke::mf_static, 98, 89},	//89 QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    {27, 188, 239, 2, Smoke::mf_static, 420, 90},	//90 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {27, 208, 242, 2, Smoke::mf_static, 26, 91},	//91 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {27, 208, 245, 2, Smoke::mf_static, 30, 92},	//92 QGlobalSpace::operator<<(QDebug, const QDate&)
    {27, 368, 248, 1, Smoke::mf_static, 473, 93},	//93 QGlobalSpace::qHash(const QBitArray&)
    {27, 238, 250, 2, Smoke::mf_static, 99, 94},	//94 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    {27, 264, 19, 1, Smoke::mf_static, 463, 95},	//95 QGlobalSpace::qAtan(double)
    {27, 440, 253, 3, Smoke::mf_static, 0, 96},	//96 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {27, 238, 257, 2, Smoke::mf_static, 51, 97},	//97 QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    {27, 188, 260, 2, Smoke::mf_static, 199, 98},	//98 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {27, 492, 263, 3, Smoke::mf_static, 372, 99},	//99 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {27, 368, 267, 1, Smoke::mf_static, 473, 100},	//100 QGlobalSpace::qHash(const QString&)
    {27, 368, 269, 1, Smoke::mf_static, 473, 101},	//101 QGlobalSpace::qHash(unsigned short)
    {27, 406, 271, 1, Smoke::mf_static, 0, 102},	//102 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {27, 368, 273, 1, Smoke::mf_static, 473, 103},	//103 QGlobalSpace::qHash(long)
    {27, 238, 275, 2, Smoke::mf_static, 120, 104},	//104 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {27, 368, 278, 1, Smoke::mf_static, 473, 105},	//105 QGlobalSpace::qHash(long long)
    {27, 208, 280, 2, Smoke::mf_static, 30, 106},	//106 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {27, 192, 130, 2, Smoke::mf_static, 429, 107},	//107 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {27, 328, 283, 8, Smoke::mf_static, 0, 108},	//108 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {27, 328, 292, 6, Smoke::mf_static, 0, 109},	//109 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {27, 328, 299, 7, Smoke::mf_static, 0, 110},	//110 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {27, 238, 307, 2, Smoke::mf_static, 151, 111},	//111 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {27, 208, 310, 2, Smoke::mf_static, 30, 112},	//112 QGlobalSpace::operator<<(QDebug, const QColor&)
    {27, 238, 313, 2, Smoke::mf_static, 151, 113},	//113 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    {27, 238, 316, 2, Smoke::mf_static, 151, 114},	//114 QGlobalSpace::operator|(Qt::DropAction, int)
    {27, 317, 319, 10, Smoke::mf_static, 0, 115},	//115 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {27, 317, 292, 6, Smoke::mf_static, 0, 116},	//116 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {27, 317, 299, 7, Smoke::mf_static, 0, 117},	//117 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {27, 317, 330, 8, Smoke::mf_static, 0, 118},	//118 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {27, 317, 339, 9, Smoke::mf_static, 0, 119},	//119 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {27, 280, 19, 1, Smoke::mf_static, 463, 120},	//120 QGlobalSpace::qCos(double)
    {27, 208, 349, 2, Smoke::mf_static, 26, 121},	//121 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {27, 238, 352, 2, Smoke::mf_static, 46, 122},	//122 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {27, 232, 355, 2, Smoke::mf_static, 26, 123},	//123 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {27, 447, 125, 1, Smoke::mf_static, 0, 124},	//124 QGlobalSpace::qsrand(unsigned int)
    {27, 381, 358, 1, Smoke::mf_static, 372, 125},	//125 QGlobalSpace::qIsInf(float)
    {27, 238, 360, 2, Smoke::mf_static, 66, 126},	//126 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    {27, 238, 363, 2, Smoke::mf_static, 108, 127},	//127 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {27, 232, 366, 2, Smoke::mf_static, 26, 128},	//128 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {27, 238, 369, 2, Smoke::mf_static, 151, 129},	//129 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {27, 208, 372, 2, Smoke::mf_static, 26, 130},	//130 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {27, 238, 375, 2, Smoke::mf_static, 151, 131},	//131 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {27, 238, 378, 2, Smoke::mf_static, 57, 132},	//132 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {27, 203, 381, 2, Smoke::mf_static, 372, 133},	//133 QGlobalSpace::operator<(const QByteArray&, const char*)
    {27, 238, 384, 2, Smoke::mf_static, 68, 134},	//134 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    {27, 238, 387, 2, Smoke::mf_static, 151, 135},	//135 QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    {27, 208, 390, 2, Smoke::mf_static, 30, 136},	//136 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {27, 238, 393, 2, Smoke::mf_static, 109, 137},	//137 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {27, 238, 396, 2, Smoke::mf_static, 151, 138},	//138 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {27, 188, 399, 2, Smoke::mf_static, 159, 139},	//139 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {27, 439, 0, 0, Smoke::mf_static, 30, 140},	//140 QGlobalSpace::qWarning()
    {27, 238, 402, 2, Smoke::mf_static, 83, 141},	//141 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    {27, 192, 89, 2, Smoke::mf_static, 458, 142},	//142 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {27, 363, 405, 3, Smoke::mf_static, 465, 143},	//143 QGlobalSpace::qGray(int, int, int)
    {27, 188, 409, 2, Smoke::mf_static, 161, 144},	//144 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {27, 238, 412, 2, Smoke::mf_static, 118, 145},	//145 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {27, 188, 415, 2, Smoke::mf_static, 187, 146},	//146 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {27, 238, 418, 2, Smoke::mf_static, 151, 147},	//147 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {27, 217, 421, 2, Smoke::mf_static, 372, 148},	//148 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {27, 181, 101, 2, Smoke::mf_static, 372, 149},	//149 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {27, 232, 424, 2, Smoke::mf_static, 26, 150},	//150 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {27, 208, 427, 2, Smoke::mf_static, 26, 151},	//151 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {27, 238, 430, 2, Smoke::mf_static, 151, 152},	//152 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {27, 192, 433, 2, Smoke::mf_static, 434, 153},	//153 QGlobalSpace::operator+(const QString&, const char*)
    {27, 208, 436, 2, Smoke::mf_static, 26, 154},	//154 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {27, 208, 439, 2, Smoke::mf_static, 30, 155},	//155 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {27, 208, 442, 2, Smoke::mf_static, 30, 156},	//156 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {27, 238, 445, 2, Smoke::mf_static, 151, 157},	//157 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {27, 208, 448, 2, Smoke::mf_static, 26, 158},	//158 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {27, 238, 451, 2, Smoke::mf_static, 82, 159},	//159 QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    {27, 238, 454, 2, Smoke::mf_static, 111, 160},	//160 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {27, 232, 457, 2, Smoke::mf_static, 26, 161},	//161 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {27, 208, 460, 2, Smoke::mf_static, 26, 162},	//162 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {27, 238, 463, 2, Smoke::mf_static, 73, 163},	//163 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {27, 238, 466, 2, Smoke::mf_static, 82, 164},	//164 QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    {27, 238, 469, 2, Smoke::mf_static, 151, 165},	//165 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {27, 192, 472, 2, Smoke::mf_static, 378, 166},	//166 QGlobalSpace::operator+(char, const QByteArray&)
    {27, 201, 16, 2, Smoke::mf_static, 414, 167},	//167 QGlobalSpace::operator/(const QPoint&, double)
    {27, 232, 475, 2, Smoke::mf_static, 26, 168},	//168 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {27, 192, 478, 2, Smoke::mf_static, 434, 169},	//169 QGlobalSpace::operator+(const char*, const QString&)
    {27, 192, 101, 2, Smoke::mf_static, 454, 170},	//170 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {27, 238, 481, 2, Smoke::mf_static, 81, 171},	//171 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    {27, 208, 484, 2, Smoke::mf_static, 30, 172},	//172 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {27, 217, 487, 2, Smoke::mf_static, 372, 173},	//173 QGlobalSpace::operator==(const char*, const QByteArray&)
    {27, 238, 490, 2, Smoke::mf_static, 65, 174},	//174 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    {27, 232, 493, 2, Smoke::mf_static, 26, 175},	//175 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {27, 383, 358, 1, Smoke::mf_static, 372, 176},	//176 QGlobalSpace::qIsNaN(float)
    {27, 358, 496, 2, Smoke::mf_static, 372, 177},	//177 QGlobalSpace::qFuzzyCompare(double, double)
    {27, 385, 358, 1, Smoke::mf_static, 372, 178},	//178 QGlobalSpace::qIsNull(float)
    {27, 232, 499, 2, Smoke::mf_static, 26, 179},	//179 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {27, 232, 502, 2, Smoke::mf_static, 26, 180},	//180 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {27, 208, 505, 2, Smoke::mf_static, 26, 181},	//181 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {27, 232, 508, 2, Smoke::mf_static, 26, 182},	//182 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {27, 238, 511, 2, Smoke::mf_static, 85, 183},	//183 QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    {27, 217, 514, 2, Smoke::mf_static, 372, 184},	//184 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {27, 201, 517, 2, Smoke::mf_static, 255, 185},	//185 QGlobalSpace::operator/(const QTransform&, double)
    {27, 208, 520, 2, Smoke::mf_static, 249, 186},	//186 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {27, 238, 523, 2, Smoke::mf_static, 49, 187},	//187 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {27, 212, 478, 2, Smoke::mf_static, 372, 188},	//188 QGlobalSpace::operator<=(const char*, const QString&)
    {27, 188, 526, 2, Smoke::mf_static, 454, 189},	//189 QGlobalSpace::operator*(const QVector2D&, double)
    {27, 238, 529, 2, Smoke::mf_static, 104, 190},	//190 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    {27, 238, 532, 2, Smoke::mf_static, 90, 191},	//191 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {27, 181, 535, 2, Smoke::mf_static, 372, 192},	//192 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {27, 188, 538, 2, Smoke::mf_static, 458, 193},	//193 QGlobalSpace::operator*(const QVector4D&, double)
    {27, 238, 541, 2, Smoke::mf_static, 151, 194},	//194 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {27, 238, 544, 2, Smoke::mf_static, 151, 195},	//195 QGlobalSpace::operator|(QFile::Permission, int)
    {27, 208, 547, 2, Smoke::mf_static, 30, 196},	//196 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {27, 203, 550, 2, Smoke::mf_static, 372, 197},	//197 QGlobalSpace::operator<(QChar, QChar)
    {27, 217, 239, 2, Smoke::mf_static, 372, 198},	//198 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {27, 253, 0, 0, Smoke::mf_static, 8, 199},	//199 QGlobalSpace::qAccessibleTextCastHelper()
    {27, 358, 81, 2, Smoke::mf_static, 372, 200},	//200 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {27, 201, 553, 2, Smoke::mf_static, 170, 201},	//201 QGlobalSpace::operator/(const QMatrix4x4&, double)
    {27, 188, 556, 2, Smoke::mf_static, 187, 202},	//202 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {27, 208, 559, 2, Smoke::mf_static, 26, 203},	//203 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {27, 227, 122, 2, Smoke::mf_static, 372, 204},	//204 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {27, 238, 562, 2, Smoke::mf_static, 80, 205},	//205 QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    {27, 466, 565, 3, Smoke::mf_static, 465, 206},	//206 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {27, 368, 569, 1, Smoke::mf_static, 473, 207},	//207 QGlobalSpace::qHash(const QByteArray&)
    {27, 238, 571, 2, Smoke::mf_static, 49, 208},	//208 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {27, 238, 574, 2, Smoke::mf_static, 151, 209},	//209 QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    {27, 238, 577, 2, Smoke::mf_static, 151, 210},	//210 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {27, 192, 81, 2, Smoke::mf_static, 170, 211},	//211 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {27, 208, 580, 2, Smoke::mf_static, 30, 212},	//212 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {27, 188, 101, 2, Smoke::mf_static, 454, 213},	//213 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {27, 477, 583, 2, Smoke::mf_static, 0, 214},	//214 QGlobalSpace::qt_check_pointer(const char*, int)
    {27, 232, 586, 2, Smoke::mf_static, 26, 215},	//215 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {27, 238, 589, 2, Smoke::mf_static, 151, 216},	//216 QGlobalSpace::operator|(QPainter::RenderHint, int)
    {27, 238, 592, 2, Smoke::mf_static, 151, 217},	//217 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {27, 238, 595, 2, Smoke::mf_static, 107, 218},	//218 QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    {27, 238, 598, 2, Smoke::mf_static, 103, 219},	//219 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {27, 232, 601, 2, Smoke::mf_static, 26, 220},	//220 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {27, 238, 604, 2, Smoke::mf_static, 107, 221},	//221 QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    {27, 188, 607, 2, Smoke::mf_static, 416, 222},	//222 QGlobalSpace::operator*(const QPointF&, double)
    {27, 449, 133, 2, Smoke::mf_static, 465, 223},	//223 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {27, 238, 610, 2, Smoke::mf_static, 84, 224},	//224 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    {27, 238, 613, 2, Smoke::mf_static, 69, 225},	//225 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    {27, 421, 616, 1, Smoke::mf_static, 252, 226},	//226 QGlobalSpace::qSetPadChar(QChar)
    {27, 449, 381, 2, Smoke::mf_static, 465, 227},	//227 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {27, 217, 69, 2, Smoke::mf_static, 372, 228},	//228 QGlobalSpace::operator==(const QSize&, const QSize&)
    {27, 308, 618, 9, Smoke::mf_static, 0, 229},	//229 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {27, 308, 292, 6, Smoke::mf_static, 0, 230},	//230 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {27, 308, 299, 7, Smoke::mf_static, 0, 231},	//231 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {27, 308, 330, 8, Smoke::mf_static, 0, 232},	//232 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {27, 425, 0, 0, Smoke::mf_static, 372, 233},	//233 QGlobalSpace::qSharedBuild()
    {27, 192, 239, 2, Smoke::mf_static, 420, 234},	//234 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {27, 238, 628, 2, Smoke::mf_static, 46, 235},	//235 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {27, 373, 631, 1, Smoke::mf_static, 479, 236},	//236 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {27, 208, 633, 2, Smoke::mf_static, 26, 237},	//237 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {27, 488, 636, 3, Smoke::mf_static, 178, 238},	//238 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {27, 217, 122, 2, Smoke::mf_static, 372, 239},	//239 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {27, 238, 640, 2, Smoke::mf_static, 116, 240},	//240 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {27, 188, 643, 2, Smoke::mf_static, 267, 241},	//241 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {27, 238, 646, 2, Smoke::mf_static, 151, 242},	//242 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {27, 181, 133, 2, Smoke::mf_static, 372, 243},	//243 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {27, 328, 649, 5, Smoke::mf_static, 0, 244},	//244 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {27, 328, 210, 3, Smoke::mf_static, 0, 245},	//245 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {27, 328, 214, 4, Smoke::mf_static, 0, 246},	//246 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {27, 238, 655, 2, Smoke::mf_static, 151, 247},	//247 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {27, 238, 658, 2, Smoke::mf_static, 86, 248},	//248 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {27, 238, 661, 2, Smoke::mf_static, 151, 249},	//249 QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    {27, 238, 664, 2, Smoke::mf_static, 151, 250},	//250 QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    {27, 232, 667, 2, Smoke::mf_static, 26, 251},	//251 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {27, 197, 101, 2, Smoke::mf_static, 454, 252},	//252 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {27, 238, 670, 2, Smoke::mf_static, 115, 253},	//253 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {27, 201, 110, 2, Smoke::mf_static, 429, 254},	//254 QGlobalSpace::operator/(const QSizeF&, double)
    {27, 188, 673, 2, Smoke::mf_static, 456, 255},	//255 QGlobalSpace::operator*(const QVector3D&, double)
    {27, 238, 676, 2, Smoke::mf_static, 116, 256},	//256 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {27, 232, 679, 2, Smoke::mf_static, 26, 257},	//257 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {27, 188, 682, 2, Smoke::mf_static, 197, 258},	//258 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {27, 222, 550, 2, Smoke::mf_static, 372, 259},	//259 QGlobalSpace::operator>(QChar, QChar)
    {27, 227, 487, 2, Smoke::mf_static, 372, 260},	//260 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {27, 356, 685, 1, Smoke::mf_static, 0, 261},	//261 QGlobalSpace::qFreeAligned(void*)
    {27, 238, 687, 2, Smoke::mf_static, 93, 262},	//262 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {27, 217, 690, 2, Smoke::mf_static, 372, 263},	//263 QGlobalSpace::operator==(const QString&, QString::Null)
    {27, 208, 693, 2, Smoke::mf_static, 30, 264},	//264 QGlobalSpace::operator<<(QDebug, const QPen&)
    {27, 375, 358, 1, Smoke::mf_static, 465, 265},	//265 QGlobalSpace::qIntCast(float)
    {27, 203, 133, 2, Smoke::mf_static, 372, 266},	//266 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {27, 238, 696, 2, Smoke::mf_static, 95, 267},	//267 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {27, 444, 487, 2, Smoke::mf_static, 372, 268},	//268 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {27, 238, 699, 2, Smoke::mf_static, 151, 269},	//269 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {27, 232, 702, 2, Smoke::mf_static, 26, 270},	//270 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {27, 430, 705, 2, Smoke::mf_static, 372, 271},	//271 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {27, 462, 565, 3, Smoke::mf_static, 465, 272},	//272 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {27, 317, 708, 7, Smoke::mf_static, 0, 273},	//273 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {27, 317, 210, 3, Smoke::mf_static, 0, 274},	//274 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {27, 317, 214, 4, Smoke::mf_static, 0, 275},	//275 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {27, 317, 219, 5, Smoke::mf_static, 0, 276},	//276 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {27, 317, 716, 6, Smoke::mf_static, 0, 277},	//277 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {27, 238, 723, 2, Smoke::mf_static, 99, 278},	//278 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    {27, 238, 726, 2, Smoke::mf_static, 151, 279},	//279 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    {27, 238, 729, 2, Smoke::mf_static, 151, 280},	//280 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    {27, 197, 732, 1, Smoke::mf_static, 416, 281},	//281 QGlobalSpace::operator-(const QPointF&)
    {27, 402, 734, 4, Smoke::mf_static, 480, 282},	//282 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {27, 238, 739, 2, Smoke::mf_static, 114, 283},	//283 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {27, 208, 742, 2, Smoke::mf_static, 26, 284},	//284 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {27, 368, 745, 1, Smoke::mf_static, 473, 285},	//285 QGlobalSpace::qHash(unsigned long long)
    {27, 192, 747, 2, Smoke::mf_static, 434, 286},	//286 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {27, 238, 750, 2, Smoke::mf_static, 123, 287},	//287 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {27, 208, 753, 2, Smoke::mf_static, 30, 288},	//288 QGlobalSpace::operator<<(QDebug, const QSize&)
    {27, 188, 756, 2, Smoke::mf_static, 195, 289},	//289 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {27, 238, 759, 2, Smoke::mf_static, 114, 290},	//290 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {27, 208, 762, 2, Smoke::mf_static, 30, 291},	//291 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {27, 238, 765, 2, Smoke::mf_static, 121, 292},	//292 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {27, 261, 0, 0, Smoke::mf_static, 218, 293},	//293 QGlobalSpace::qAppName()
    {27, 192, 768, 2, Smoke::mf_static, 434, 294},	//294 QGlobalSpace::operator+(const QString&, char)
    {27, 227, 535, 2, Smoke::mf_static, 372, 295},	//295 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {27, 238, 771, 2, Smoke::mf_static, 58, 296},	//296 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    {27, 368, 616, 1, Smoke::mf_static, 473, 297},	//297 QGlobalSpace::qHash(QChar)
    {27, 238, 774, 2, Smoke::mf_static, 151, 298},	//298 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    {27, 292, 777, 8, Smoke::mf_static, 0, 299},	//299 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {27, 292, 786, 6, Smoke::mf_static, 0, 300},	//300 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {27, 292, 793, 7, Smoke::mf_static, 0, 301},	//301 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {27, 217, 150, 2, Smoke::mf_static, 372, 302},	//302 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {27, 361, 19, 1, Smoke::mf_static, 372, 303},	//303 QGlobalSpace::qFuzzyIsNull(double)
    {27, 188, 81, 2, Smoke::mf_static, 170, 304},	//304 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {27, 208, 801, 2, Smoke::mf_static, 26, 305},	//305 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {27, 395, 804, 3, Smoke::mf_static, 480, 306},	//306 QGlobalSpace::qMemSet(void*, int, size_t)
    {27, 266, 496, 2, Smoke::mf_static, 463, 307},	//307 QGlobalSpace::qAtan2(double, double)
    {27, 238, 808, 2, Smoke::mf_static, 86, 308},	//308 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {27, 208, 811, 2, Smoke::mf_static, 26, 309},	//309 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {27, 232, 814, 2, Smoke::mf_static, 26, 310},	//310 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {27, 275, 817, 2, Smoke::mf_static, 16, 311},	//311 QGlobalSpace::qCompress(const QByteArray&, int)
    {27, 275, 569, 1, Smoke::mf_static, 16, 312},	//312 QGlobalSpace::qCompress(const QByteArray&)
    {27, 238, 820, 2, Smoke::mf_static, 151, 313},	//313 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {27, 208, 823, 2, Smoke::mf_static, 30, 314},	//314 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {27, 238, 826, 2, Smoke::mf_static, 115, 315},	//315 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {27, 188, 829, 2, Smoke::mf_static, 269, 316},	//316 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {27, 238, 832, 2, Smoke::mf_static, 151, 317},	//317 QGlobalSpace::operator|(QAccessible::StateFlag, int)
    {27, 203, 487, 2, Smoke::mf_static, 372, 318},	//318 QGlobalSpace::operator<(const char*, const QByteArray&)
    {27, 292, 835, 5, Smoke::mf_static, 0, 319},	//319 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {27, 292, 841, 3, Smoke::mf_static, 0, 320},	//320 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {27, 292, 845, 4, Smoke::mf_static, 0, 321},	//321 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {27, 238, 850, 2, Smoke::mf_static, 151, 322},	//322 QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    {27, 257, 853, 1, Smoke::mf_static, 0, 323},	//323 QGlobalSpace::qAddPostRoutine(void(*)())
    {27, 238, 855, 2, Smoke::mf_static, 151, 324},	//324 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {27, 188, 858, 2, Smoke::mf_static, 193, 325},	//325 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {27, 238, 861, 2, Smoke::mf_static, 151, 326},	//326 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {27, 238, 864, 2, Smoke::mf_static, 151, 327},	//327 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {27, 342, 19, 1, Smoke::mf_static, 463, 328},	//328 QGlobalSpace::qExp(double)
    {27, 181, 69, 2, Smoke::mf_static, 372, 329},	//329 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {27, 238, 867, 2, Smoke::mf_static, 112, 330},	//330 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {27, 212, 381, 2, Smoke::mf_static, 372, 331},	//331 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {27, 208, 870, 2, Smoke::mf_static, 26, 332},	//332 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {27, 181, 873, 2, Smoke::mf_static, 372, 333},	//333 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {27, 238, 876, 2, Smoke::mf_static, 151, 334},	//334 QGlobalSpace::operator|(QString::SectionFlag, int)
    {27, 238, 879, 2, Smoke::mf_static, 151, 335},	//335 QGlobalSpace::operator|(Qt::WindowType, int)
    {27, 238, 882, 2, Smoke::mf_static, 106, 336},	//336 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {27, 217, 885, 2, Smoke::mf_static, 372, 337},	//337 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {27, 385, 19, 1, Smoke::mf_static, 372, 338},	//338 QGlobalSpace::qIsNull(double)
    {27, 284, 888, 8, Smoke::mf_static, 0, 339},	//339 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>)
    {27, 284, 897, 6, Smoke::mf_static, 0, 340},	//340 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {27, 284, 904, 7, Smoke::mf_static, 0, 341},	//341 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {27, 227, 912, 2, Smoke::mf_static, 372, 342},	//342 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {27, 217, 915, 2, Smoke::mf_static, 372, 343},	//343 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {27, 375, 19, 1, Smoke::mf_static, 465, 344},	//344 QGlobalSpace::qIntCast(double)
    {27, 236, 1, 2, Smoke::mf_static, 12, 345},	//345 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {27, 273, 918, 2, Smoke::mf_static, 476, 346},	//346 QGlobalSpace::qChecksum(const char*, unsigned int)
    {27, 238, 921, 2, Smoke::mf_static, 105, 347},	//347 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {27, 238, 924, 2, Smoke::mf_static, 151, 348},	//348 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    {27, 232, 927, 2, Smoke::mf_static, 26, 349},	//349 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {27, 208, 930, 2, Smoke::mf_static, 26, 350},	//350 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {27, 188, 517, 2, Smoke::mf_static, 255, 351},	//351 QGlobalSpace::operator*(const QTransform&, double)
    {27, 238, 933, 2, Smoke::mf_static, 151, 352},	//352 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {27, 203, 535, 2, Smoke::mf_static, 372, 353},	//353 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {27, 208, 936, 2, Smoke::mf_static, 30, 354},	//354 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {27, 238, 939, 2, Smoke::mf_static, 106, 355},	//355 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {27, 238, 942, 2, Smoke::mf_static, 151, 356},	//356 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    {27, 442, 945, 1, Smoke::mf_static, 16, 357},	//357 QGlobalSpace::qgetenv(const char*)
    {27, 238, 947, 2, Smoke::mf_static, 151, 358},	//358 QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    {27, 208, 950, 2, Smoke::mf_static, 30, 359},	//359 QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {27, 238, 953, 2, Smoke::mf_static, 151, 360},	//360 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    {27, 238, 956, 2, Smoke::mf_static, 151, 361},	//361 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {27, 181, 705, 2, Smoke::mf_static, 372, 362},	//362 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {27, 208, 959, 2, Smoke::mf_static, 30, 363},	//363 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {27, 232, 962, 2, Smoke::mf_static, 249, 364},	//364 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {27, 238, 965, 2, Smoke::mf_static, 151, 365},	//365 QGlobalSpace::operator|(QWizard::WizardOption, int)
    {27, 181, 487, 2, Smoke::mf_static, 372, 366},	//366 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {27, 238, 968, 2, Smoke::mf_static, 151, 367},	//367 QGlobalSpace::operator|(QFileDialog::Option, int)
    {27, 255, 19, 1, Smoke::mf_static, 463, 368},	//368 QGlobalSpace::qAcos(double)
    {27, 238, 971, 2, Smoke::mf_static, 88, 369},	//369 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {27, 222, 535, 2, Smoke::mf_static, 372, 370},	//370 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {27, 201, 538, 2, Smoke::mf_static, 458, 371},	//371 QGlobalSpace::operator/(const QVector4D&, double)
    {27, 188, 974, 2, Smoke::mf_static, 193, 372},	//372 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {27, 238, 977, 2, Smoke::mf_static, 95, 373},	//373 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {27, 238, 980, 2, Smoke::mf_static, 70, 374},	//374 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    {27, 201, 153, 2, Smoke::mf_static, 420, 375},	//375 QGlobalSpace::operator/(const QQuaternion&, double)
    {27, 238, 983, 2, Smoke::mf_static, 80, 376},	//376 QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    {27, 232, 986, 2, Smoke::mf_static, 26, 377},	//377 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {27, 208, 989, 2, Smoke::mf_static, 26, 378},	//378 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {27, 238, 992, 2, Smoke::mf_static, 62, 379},	//379 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {27, 251, 0, 0, Smoke::mf_static, 8, 380},	//380 QGlobalSpace::qAccessibleImageCastHelper()
    {27, 238, 995, 2, Smoke::mf_static, 151, 381},	//381 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    {27, 208, 998, 2, Smoke::mf_static, 30, 382},	//382 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {27, 464, 1001, 3, Smoke::mf_static, 374, 383},	//383 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {27, 238, 1005, 2, Smoke::mf_static, 52, 384},	//384 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    {27, 232, 1008, 2, Smoke::mf_static, 26, 385},	//385 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {27, 208, 1011, 2, Smoke::mf_static, 26, 386},	//386 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {27, 232, 1014, 2, Smoke::mf_static, 26, 387},	//387 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {27, 197, 1017, 1, Smoke::mf_static, 458, 388},	//388 QGlobalSpace::operator-(const QVector4D&)
    {27, 208, 1019, 2, Smoke::mf_static, 30, 389},	//389 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {27, 238, 1022, 2, Smoke::mf_static, 151, 390},	//390 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    {27, 232, 1025, 2, Smoke::mf_static, 26, 391},	//391 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {27, 377, 358, 1, Smoke::mf_static, 372, 392},	//392 QGlobalSpace::qIsFinite(float)
    {27, 181, 421, 2, Smoke::mf_static, 372, 393},	//393 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {27, 217, 101, 2, Smoke::mf_static, 372, 394},	//394 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {27, 479, 1028, 1, Smoke::mf_static, 218, 395},	//395 QGlobalSpace::qt_error_string(int)
    {27, 479, 0, 0, Smoke::mf_static, 218, 396},	//396 QGlobalSpace::qt_error_string()
    {27, 201, 526, 2, Smoke::mf_static, 454, 397},	//397 QGlobalSpace::operator/(const QVector2D&, double)
    {27, 238, 1030, 2, Smoke::mf_static, 151, 398},	//398 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {27, 232, 1033, 2, Smoke::mf_static, 26, 399},	//399 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {27, 400, 1036, 2, Smoke::mf_static, 480, 400},	//400 QGlobalSpace::qRealloc(void*, size_t)
    {27, 238, 1039, 2, Smoke::mf_static, 68, 401},	//401 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    {27, 238, 1042, 2, Smoke::mf_static, 67, 402},	//402 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    {27, 192, 1045, 2, Smoke::mf_static, 434, 403},	//403 QGlobalSpace::operator+(const QString&, const QString&)
    {27, 238, 1048, 2, Smoke::mf_static, 151, 404},	//404 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {27, 252, 0, 0, Smoke::mf_static, 8, 405},	//405 QGlobalSpace::qAccessibleTableCastHelper()
    {27, 238, 1051, 2, Smoke::mf_static, 151, 406},	//406 QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    {27, 188, 553, 2, Smoke::mf_static, 170, 407},	//407 QGlobalSpace::operator*(const QMatrix4x4&, double)
    {27, 475, 1054, 4, Smoke::mf_static, 0, 408},	//408 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {27, 203, 478, 2, Smoke::mf_static, 372, 409},	//409 QGlobalSpace::operator<(const char*, const QString&)
    {27, 181, 478, 2, Smoke::mf_static, 372, 410},	//410 QGlobalSpace::operator!=(const char*, const QString&)
    {27, 181, 381, 2, Smoke::mf_static, 372, 411},	//411 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {27, 181, 1059, 2, Smoke::mf_static, 372, 412},	//412 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {27, 208, 1062, 2, Smoke::mf_static, 30, 413},	//413 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {27, 238, 1065, 2, Smoke::mf_static, 50, 414},	//414 QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    {27, 217, 1068, 2, Smoke::mf_static, 372, 415},	//415 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {27, 238, 1071, 2, Smoke::mf_static, 151, 416},	//416 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {27, 232, 1074, 2, Smoke::mf_static, 26, 417},	//417 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {27, 222, 133, 2, Smoke::mf_static, 372, 418},	//418 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {27, 414, 19, 1, Smoke::mf_static, 465, 419},	//419 QGlobalSpace::qRound(double)
    {27, 212, 122, 2, Smoke::mf_static, 372, 420},	//420 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {27, 217, 873, 2, Smoke::mf_static, 372, 421},	//421 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {27, 238, 1, 2, Smoke::mf_static, 12, 422},	//422 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {27, 217, 1077, 2, Smoke::mf_static, 372, 423},	//423 QGlobalSpace::operator==(const char*, const QStringRef&)
    {27, 192, 487, 2, Smoke::mf_static, 378, 424},	//424 QGlobalSpace::operator+(const char*, const QByteArray&)
    {27, 232, 1080, 2, Smoke::mf_static, 26, 425},	//425 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {27, 238, 1083, 2, Smoke::mf_static, 151, 426},	//426 QGlobalSpace::operator|(Qt::MouseButton, int)
    {27, 238, 1086, 2, Smoke::mf_static, 92, 427},	//427 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {27, 212, 535, 2, Smoke::mf_static, 372, 428},	//428 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {27, 232, 1089, 2, Smoke::mf_static, 26, 429},	//429 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {27, 238, 1092, 2, Smoke::mf_static, 57, 430},	//430 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {27, 238, 1095, 2, Smoke::mf_static, 113, 431},	//431 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {27, 379, 125, 1, Smoke::mf_static, 372, 432},	//432 QGlobalSpace::qIsGray(unsigned int)
    {27, 238, 1098, 2, Smoke::mf_static, 103, 433},	//433 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {27, 188, 1101, 2, Smoke::mf_static, 195, 434},	//434 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {27, 197, 1104, 1, Smoke::mf_static, 170, 435},	//435 QGlobalSpace::operator-(const QMatrix4x4&)
    {27, 188, 1106, 2, Smoke::mf_static, 454, 436},	//436 QGlobalSpace::operator*(double, const QVector2D&)
    {27, 238, 1109, 2, Smoke::mf_static, 48, 437},	//437 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    {27, 238, 1112, 2, Smoke::mf_static, 75, 438},	//438 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    {27, 238, 1115, 2, Smoke::mf_static, 151, 439},	//439 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    {27, 232, 1118, 2, Smoke::mf_static, 26, 440},	//440 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {27, 217, 550, 2, Smoke::mf_static, 372, 441},	//441 QGlobalSpace::operator==(QChar, QChar)
    {27, 238, 1121, 2, Smoke::mf_static, 119, 442},	//442 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {27, 208, 1124, 2, Smoke::mf_static, 26, 443},	//443 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {27, 181, 885, 2, Smoke::mf_static, 372, 444},	//444 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {27, 188, 1127, 2, Smoke::mf_static, 161, 445},	//445 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {27, 181, 1130, 2, Smoke::mf_static, 372, 446},	//446 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {27, 368, 1133, 1, Smoke::mf_static, 473, 447},	//447 QGlobalSpace::qHash(signed char)
    {27, 208, 1135, 2, Smoke::mf_static, 26, 448},	//448 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {27, 208, 1138, 2, Smoke::mf_static, 26, 449},	//449 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {27, 238, 1141, 2, Smoke::mf_static, 120, 450},	//450 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {27, 188, 1144, 2, Smoke::mf_static, 456, 451},	//451 QGlobalSpace::operator*(double, const QVector3D&)
    {27, 428, 19, 1, Smoke::mf_static, 463, 452},	//452 QGlobalSpace::qSqrt(double)
    {27, 208, 1147, 2, Smoke::mf_static, 26, 453},	//453 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {27, 238, 1150, 2, Smoke::mf_static, 102, 454},	//454 QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    {27, 449, 1153, 2, Smoke::mf_static, 465, 455},	//455 QGlobalSpace::qstrcmp(const char*, const char*)
    {27, 232, 1156, 2, Smoke::mf_static, 26, 456},	//456 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {27, 238, 1159, 2, Smoke::mf_static, 89, 457},	//457 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {27, 217, 89, 2, Smoke::mf_static, 372, 458},	//458 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {27, 208, 1162, 2, Smoke::mf_static, 26, 459},	//459 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {27, 208, 1165, 2, Smoke::mf_static, 26, 460},	//460 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {27, 192, 1168, 2, Smoke::mf_static, 434, 461},	//461 QGlobalSpace::operator+(char, const QString&)
    {27, 201, 673, 2, Smoke::mf_static, 456, 462},	//462 QGlobalSpace::operator/(const QVector3D&, double)
    {27, 238, 1171, 2, Smoke::mf_static, 85, 463},	//463 QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    {27, 181, 136, 2, Smoke::mf_static, 372, 464},	//464 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {27, 181, 550, 2, Smoke::mf_static, 372, 465},	//465 QGlobalSpace::operator!=(QChar, QChar)
    {27, 238, 1174, 2, Smoke::mf_static, 77, 466},	//466 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {27, 188, 1177, 2, Smoke::mf_static, 170, 467},	//467 QGlobalSpace::operator*(double, const QMatrix4x4&)
    {27, 468, 918, 2, Smoke::mf_static, 473, 468},	//468 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {27, 238, 1180, 2, Smoke::mf_static, 72, 469},	//469 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    {27, 217, 912, 2, Smoke::mf_static, 372, 470},	//470 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {27, 410, 405, 3, Smoke::mf_static, 473, 471},	//471 QGlobalSpace::qRgb(int, int, int)
    {27, 358, 89, 2, Smoke::mf_static, 372, 472},	//472 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {27, 352, 19, 1, Smoke::mf_static, 465, 473},	//473 QGlobalSpace::qFloor(double)
    {27, 238, 1183, 2, Smoke::mf_static, 122, 474},	//474 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {27, 238, 1186, 2, Smoke::mf_static, 101, 475},	//475 QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    {27, 208, 1189, 2, Smoke::mf_static, 30, 476},	//476 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {27, 238, 1192, 2, Smoke::mf_static, 71, 477},	//477 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    {27, 238, 1195, 2, Smoke::mf_static, 105, 478},	//478 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {27, 217, 130, 2, Smoke::mf_static, 372, 479},	//479 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {27, 232, 1198, 2, Smoke::mf_static, 26, 480},	//480 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {27, 238, 1201, 2, Smoke::mf_static, 104, 481},	//481 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    {27, 232, 1204, 2, Smoke::mf_static, 26, 482},	//482 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {27, 208, 1207, 2, Smoke::mf_static, 26, 483},	//483 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {27, 238, 1210, 2, Smoke::mf_static, 51, 484},	//484 QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    {27, 217, 535, 2, Smoke::mf_static, 372, 485},	//485 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {27, 181, 1213, 2, Smoke::mf_static, 372, 486},	//486 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {27, 188, 1216, 2, Smoke::mf_static, 427, 487},	//487 QGlobalSpace::operator*(double, const QSize&)
    {27, 217, 1219, 2, Smoke::mf_static, 372, 488},	//488 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {27, 238, 1222, 2, Smoke::mf_static, 62, 489},	//489 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {27, 368, 1225, 1, Smoke::mf_static, 473, 490},	//490 QGlobalSpace::qHash(const QModelIndex&)
    {27, 238, 1227, 2, Smoke::mf_static, 71, 491},	//491 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    {27, 238, 1230, 2, Smoke::mf_static, 89, 492},	//492 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {27, 208, 1233, 2, Smoke::mf_static, 30, 493},	//493 QGlobalSpace::operator<<(QDebug, const QLine&)
    {27, 254, 0, 0, Smoke::mf_static, 8, 494},	//494 QGlobalSpace::qAccessibleValueCastHelper()
    {27, 238, 1236, 2, Smoke::mf_static, 47, 495},	//495 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {27, 408, 853, 1, Smoke::mf_static, 0, 496},	//496 QGlobalSpace::qRemovePostRoutine(void(*)())
    {27, 232, 1239, 2, Smoke::mf_static, 26, 497},	//497 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {27, 188, 1242, 2, Smoke::mf_static, 269, 498},	//498 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {27, 208, 1245, 2, Smoke::mf_static, 26, 499},	//499 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {27, 358, 1248, 2, Smoke::mf_static, 372, 500},	//500 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {27, 238, 1251, 2, Smoke::mf_static, 96, 501},	//501 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {27, 350, 945, 1, Smoke::mf_static, 460, 502},	//502 QGlobalSpace::qFlagLocation(const char*)
    {27, 393, 1254, 3, Smoke::mf_static, 480, 503},	//503 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {27, 227, 381, 2, Smoke::mf_static, 372, 504},	//504 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {27, 188, 1258, 2, Smoke::mf_static, 414, 505},	//505 QGlobalSpace::operator*(double, const QPoint&)
    {27, 383, 19, 1, Smoke::mf_static, 372, 506},	//506 QGlobalSpace::qIsNaN(double)
    {27, 238, 1261, 2, Smoke::mf_static, 79, 507},	//507 QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    {27, 208, 1264, 2, Smoke::mf_static, 30, 508},	//508 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {27, 289, 1267, 5, Smoke::mf_static, 0, 509},	//509 QGlobalSpace::qDrawPixmaps(QPainter*, const QDrawPixmaps::Data*, int, const QPixmap&, QFlags<QDrawPixmaps::DrawingHint>)
    {27, 289, 1273, 4, Smoke::mf_static, 0, 510},	//510 QGlobalSpace::qDrawPixmaps(QPainter*, const QDrawPixmaps::Data*, int, const QPixmap&)
    {27, 208, 1278, 2, Smoke::mf_static, 30, 511},	//511 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {27, 368, 1281, 1, Smoke::mf_static, 473, 512},	//512 QGlobalSpace::qHash(short)
    {27, 372, 0, 0, Smoke::mf_static, 463, 513},	//513 QGlobalSpace::qInf()
    {27, 208, 1283, 2, Smoke::mf_static, 30, 514},	//514 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {27, 238, 1286, 2, Smoke::mf_static, 81, 515},	//515 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    {27, 208, 1289, 2, Smoke::mf_static, 26, 516},	//516 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {27, 208, 1292, 2, Smoke::mf_static, 26, 517},	//517 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {27, 188, 1295, 2, Smoke::mf_static, 420, 518},	//518 QGlobalSpace::operator*(double, const QQuaternion&)
    {27, 192, 1298, 2, Smoke::mf_static, 378, 519},	//519 QGlobalSpace::operator+(const QByteArray&, char)
    {27, 238, 1301, 2, Smoke::mf_static, 98, 520},	//520 QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    {27, 208, 1304, 2, Smoke::mf_static, 30, 521},	//521 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {27, 238, 1307, 2, Smoke::mf_static, 83, 522},	//522 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    {27, 238, 1310, 2, Smoke::mf_static, 54, 523},	//523 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    {27, 201, 607, 2, Smoke::mf_static, 416, 524},	//524 QGlobalSpace::operator/(const QPointF&, double)
    {27, 435, 569, 1, Smoke::mf_static, 16, 525},	//525 QGlobalSpace::qUncompress(const QByteArray&)
    {27, 227, 550, 2, Smoke::mf_static, 372, 526},	//526 QGlobalSpace::operator>=(QChar, QChar)
    {27, 238, 1313, 2, Smoke::mf_static, 50, 527},	//527 QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    {27, 212, 133, 2, Smoke::mf_static, 372, 528},	//528 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {27, 423, 1028, 1, Smoke::mf_static, 252, 529},	//529 QGlobalSpace::qSetRealNumberPrecision(int)
    {27, 208, 1316, 2, Smoke::mf_static, 30, 530},	//530 QGlobalSpace::operator<<(QDebug, const QObject*)
    {27, 426, 19, 1, Smoke::mf_static, 463, 531},	//531 QGlobalSpace::qSin(double)
    {27, 262, 19, 1, Smoke::mf_static, 463, 532},	//532 QGlobalSpace::qAsin(double)
    {27, 358, 421, 2, Smoke::mf_static, 372, 533},	//533 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {27, 458, 1153, 2, Smoke::mf_static, 465, 534},	//534 QGlobalSpace::qstricmp(const char*, const char*)
    {27, 238, 1319, 2, Smoke::mf_static, 70, 535},	//535 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    {27, 208, 1322, 2, Smoke::mf_static, 30, 536},	//536 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {27, 358, 1325, 2, Smoke::mf_static, 372, 537},	//537 QGlobalSpace::qFuzzyCompare(float, float)
    {27, 232, 1328, 2, Smoke::mf_static, 26, 538},	//538 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {27, 238, 1331, 2, Smoke::mf_static, 56, 539},	//539 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {27, 212, 912, 2, Smoke::mf_static, 372, 540},	//540 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {27, 494, 1334, 4, Smoke::mf_static, 465, 541},	//541 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {27, 238, 1339, 2, Smoke::mf_static, 75, 542},	//542 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    {27, 238, 1342, 2, Smoke::mf_static, 87, 543},	//543 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {27, 208, 1345, 2, Smoke::mf_static, 26, 544},	//544 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {27, 487, 0, 0, Smoke::mf_static, 0, 545},	//545 QGlobalSpace::qt_noop()
    {27, 238, 1348, 2, Smoke::mf_static, 76, 546},	//546 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {27, 222, 487, 2, Smoke::mf_static, 372, 547},	//547 QGlobalSpace::operator>(const char*, const QByteArray&)
    {27, 232, 1351, 2, Smoke::mf_static, 26, 548},	//548 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {27, 419, 1028, 1, Smoke::mf_static, 252, 549},	//549 QGlobalSpace::qSetFieldWidth(int)
    {27, 238, 1354, 2, Smoke::mf_static, 97, 550},	//550 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {27, 208, 1357, 2, Smoke::mf_static, 30, 551},	//551 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {27, 208, 1360, 2, Smoke::mf_static, 26, 552},	//552 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {27, 217, 1213, 2, Smoke::mf_static, 372, 553},	//553 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {27, 181, 1363, 2, Smoke::mf_static, 372, 554},	//554 QGlobalSpace::operator!=(bool, QBool)
    {27, 368, 1366, 1, Smoke::mf_static, 473, 555},	//555 QGlobalSpace::qHash(unsigned long)
    {27, 208, 1368, 2, Smoke::mf_static, 30, 556},	//556 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {27, 238, 1371, 2, Smoke::mf_static, 151, 557},	//557 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    {27, 188, 1374, 2, Smoke::mf_static, 197, 558},	//558 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {27, 181, 1377, 2, Smoke::mf_static, 372, 559},	//559 QGlobalSpace::operator!=(QBool, bool)
    {27, 238, 1380, 2, Smoke::mf_static, 151, 560},	//560 QGlobalSpace::operator|(Qt::WindowState, int)
    {27, 238, 1383, 2, Smoke::mf_static, 96, 561},	//561 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {27, 197, 873, 2, Smoke::mf_static, 414, 562},	//562 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {27, 387, 19, 1, Smoke::mf_static, 463, 563},	//563 QGlobalSpace::qLn(double)
    {27, 232, 1386, 2, Smoke::mf_static, 26, 564},	//564 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {27, 232, 1389, 2, Smoke::mf_static, 26, 565},	//565 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {27, 358, 239, 2, Smoke::mf_static, 372, 566},	//566 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {27, 299, 339, 9, Smoke::mf_static, 0, 567},	//567 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {27, 299, 292, 6, Smoke::mf_static, 0, 568},	//568 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {27, 299, 299, 7, Smoke::mf_static, 0, 569},	//569 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {27, 299, 330, 8, Smoke::mf_static, 0, 570},	//570 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {27, 460, 945, 1, Smoke::mf_static, 473, 571},	//571 QGlobalSpace::qstrlen(const char*)
    {27, 192, 381, 2, Smoke::mf_static, 378, 572},	//572 QGlobalSpace::operator+(const QByteArray&, const char*)
    {27, 208, 1392, 2, Smoke::mf_static, 26, 573},	//573 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {27, 181, 130, 2, Smoke::mf_static, 372, 574},	//574 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {27, 212, 487, 2, Smoke::mf_static, 372, 575},	//575 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {27, 208, 1395, 2, Smoke::mf_static, 26, 576},	//576 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {27, 238, 1398, 2, Smoke::mf_static, 109, 577},	//577 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {27, 208, 1401, 2, Smoke::mf_static, 30, 578},	//578 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {27, 238, 1404, 2, Smoke::mf_static, 151, 579},	//579 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    {27, 217, 1059, 2, Smoke::mf_static, 372, 580},	//580 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {27, 238, 1407, 2, Smoke::mf_static, 78, 581},	//581 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {27, 181, 912, 2, Smoke::mf_static, 372, 582},	//582 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {27, 238, 1410, 2, Smoke::mf_static, 102, 583},	//583 QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    {27, 208, 1413, 2, Smoke::mf_static, 26, 584},	//584 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {27, 238, 1416, 2, Smoke::mf_static, 123, 585},	//585 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {27, 238, 1419, 2, Smoke::mf_static, 53, 586},	//586 QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    {27, 250, 0, 0, Smoke::mf_static, 8, 587},	//587 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {27, 188, 1422, 2, Smoke::mf_static, 427, 588},	//588 QGlobalSpace::operator*(const QSize&, double)
    {27, 188, 1425, 2, Smoke::mf_static, 267, 589},	//589 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {27, 217, 1428, 2, Smoke::mf_static, 372, 590},	//590 QGlobalSpace::operator==(QString::Null, const QString&)
    {27, 208, 1431, 2, Smoke::mf_static, 30, 591},	//591 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {27, 238, 1434, 2, Smoke::mf_static, 56, 592},	//592 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {27, 238, 1437, 2, Smoke::mf_static, 113, 593},	//593 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {27, 232, 1440, 2, Smoke::mf_static, 26, 594},	//594 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {27, 208, 1443, 2, Smoke::mf_static, 30, 595},	//595 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {27, 217, 381, 2, Smoke::mf_static, 372, 596},	//596 QGlobalSpace::operator==(const QByteArray&, const char*)
    {27, 490, 1446, 5, Smoke::mf_static, 0, 597},	//597 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {27, 232, 1452, 2, Smoke::mf_static, 26, 598},	//598 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {27, 238, 1455, 2, Smoke::mf_static, 91, 599},	//599 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {27, 222, 478, 2, Smoke::mf_static, 372, 600},	//600 QGlobalSpace::operator>(const char*, const QString&)
    {27, 208, 1458, 2, Smoke::mf_static, 26, 601},	//601 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {27, 232, 1461, 2, Smoke::mf_static, 26, 602},	//602 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {27, 232, 1464, 2, Smoke::mf_static, 26, 603},	//603 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {27, 222, 381, 2, Smoke::mf_static, 372, 604},	//604 QGlobalSpace::operator>(const QByteArray&, const char*)
    {27, 203, 122, 2, Smoke::mf_static, 372, 605},	//605 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {27, 238, 1467, 2, Smoke::mf_static, 151, 606},	//606 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    {27, 192, 873, 2, Smoke::mf_static, 414, 607},	//607 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {27, 208, 1470, 2, Smoke::mf_static, 26, 608},	//608 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {27, 354, 685, 1, Smoke::mf_static, 0, 609},	//609 QGlobalSpace::qFree(void*)
    {27, 192, 421, 2, Smoke::mf_static, 456, 610},	//610 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {27, 238, 1473, 2, Smoke::mf_static, 74, 611},	//611 QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    {27, 212, 550, 2, Smoke::mf_static, 372, 612},	//612 QGlobalSpace::operator<=(QChar, QChar)
    {27, 208, 1476, 2, Smoke::mf_static, 249, 613},	//613 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {27, 208, 1479, 2, Smoke::mf_static, 26, 614},	//614 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {27, 368, 125, 1, Smoke::mf_static, 473, 615},	//615 QGlobalSpace::qHash(unsigned int)
    {27, 188, 1482, 2, Smoke::mf_static, 207, 616},	//616 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {27, 181, 1428, 2, Smoke::mf_static, 372, 617},	//617 QGlobalSpace::operator!=(QString::Null, const QString&)
    {27, 416, 19, 1, Smoke::mf_static, 467, 618},	//618 QGlobalSpace::qRound64(double)
    {27, 188, 1485, 2, Smoke::mf_static, 195, 619},	//619 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {27, 222, 912, 2, Smoke::mf_static, 372, 620},	//620 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {27, 208, 1488, 2, Smoke::mf_static, 30, 621},	//621 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {27, 238, 1491, 2, Smoke::mf_static, 151, 622},	//622 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    {27, 208, 1494, 2, Smoke::mf_static, 26, 623},	//623 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {27, 238, 1497, 2, Smoke::mf_static, 87, 624},	//624 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {27, 391, 1500, 2, Smoke::mf_static, 480, 625},	//625 QGlobalSpace::qMallocAligned(size_t, size_t)
    {27, 238, 1503, 2, Smoke::mf_static, 151, 626},	//626 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    {27, 238, 1506, 2, Smoke::mf_static, 151, 627},	//627 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {27, 181, 690, 2, Smoke::mf_static, 372, 628},	//628 QGlobalSpace::operator!=(const QString&, QString::Null)
    {27, 275, 1509, 3, Smoke::mf_static, 16, 629},	//629 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {27, 275, 1513, 2, Smoke::mf_static, 16, 630},	//630 QGlobalSpace::qCompress(const unsigned char*, int)
    {27, 238, 1516, 2, Smoke::mf_static, 151, 631},	//631 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {27, 208, 1519, 2, Smoke::mf_static, 30, 632},	//632 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {27, 456, 945, 1, Smoke::mf_static, 374, 633},	//633 QGlobalSpace::qstrdup(const char*)
    {27, 238, 1522, 2, Smoke::mf_static, 111, 634},	//634 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {27, 208, 1525, 2, Smoke::mf_static, 26, 635},	//635 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {27, 188, 1528, 2, Smoke::mf_static, 199, 636},	//636 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {27, 181, 239, 2, Smoke::mf_static, 372, 637},	//637 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {27, 238, 1531, 2, Smoke::mf_static, 151, 638},	//638 QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    {27, 283, 0, 0, Smoke::mf_static, 30, 639},	//639 QGlobalSpace::qDebug()
    {27, 197, 1534, 1, Smoke::mf_static, 414, 640},	//640 QGlobalSpace::operator-(const QPoint&)
    {27, 232, 1536, 2, Smoke::mf_static, 26, 641},	//641 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {27, 181, 89, 2, Smoke::mf_static, 372, 642},	//642 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {27, 284, 1539, 4, Smoke::mf_static, 0, 643},	//643 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {27, 238, 1544, 2, Smoke::mf_static, 64, 644},	//644 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    {27, 449, 487, 2, Smoke::mf_static, 465, 645},	//645 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {27, 238, 1547, 2, Smoke::mf_static, 63, 646},	//646 QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    {27, 238, 1550, 2, Smoke::mf_static, 151, 647},	//647 QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    {27, 433, 19, 1, Smoke::mf_static, 463, 648},	//648 QGlobalSpace::qTan(double)
    {27, 232, 1553, 2, Smoke::mf_static, 26, 649},	//649 QGlobalSpace::operator>>(QDataStream&, QString&)
    {27, 238, 1556, 2, Smoke::mf_static, 53, 650},	//650 QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    {27, 217, 133, 2, Smoke::mf_static, 372, 651},	//651 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {27, 238, 1559, 2, Smoke::mf_static, 54, 652},	//652 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    {27, 299, 1562, 7, Smoke::mf_static, 0, 653},	//653 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {27, 299, 1570, 4, Smoke::mf_static, 0, 654},	//654 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {27, 299, 1575, 5, Smoke::mf_static, 0, 655},	//655 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {27, 299, 1581, 6, Smoke::mf_static, 0, 656},	//656 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {27, 188, 421, 2, Smoke::mf_static, 456, 657},	//657 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {27, 238, 1588, 2, Smoke::mf_static, 76, 658},	//658 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {27, 335, 649, 5, Smoke::mf_static, 0, 659},	//659 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {27, 335, 210, 3, Smoke::mf_static, 0, 660},	//660 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {27, 335, 214, 4, Smoke::mf_static, 0, 661},	//661 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {27, 208, 1591, 2, Smoke::mf_static, 26, 662},	//662 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {27, 368, 1028, 1, Smoke::mf_static, 473, 663},	//663 QGlobalSpace::qHash(int)
    {27, 197, 514, 2, Smoke::mf_static, 416, 664},	//664 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {27, 203, 912, 2, Smoke::mf_static, 372, 665},	//665 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {27, 232, 1594, 2, Smoke::mf_static, 249, 666},	//666 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {27, 208, 1597, 2, Smoke::mf_static, 26, 667},	//667 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {27, 232, 1600, 2, Smoke::mf_static, 26, 668},	//668 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {27, 192, 517, 2, Smoke::mf_static, 255, 669},	//669 QGlobalSpace::operator+(const QTransform&, double)
    {27, 208, 1603, 2, Smoke::mf_static, 26, 670},	//670 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {27, 238, 1606, 2, Smoke::mf_static, 88, 671},	//671 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {27, 368, 1609, 1, Smoke::mf_static, 473, 672},	//672 QGlobalSpace::qHash(const QItemSelectionRange&)
    {27, 238, 1611, 2, Smoke::mf_static, 119, 673},	//673 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {27, 397, 496, 2, Smoke::mf_static, 463, 674},	//674 QGlobalSpace::qPow(double, double)
    {27, 217, 705, 2, Smoke::mf_static, 372, 675},	//675 QGlobalSpace::operator==(const QStringRef&, const char*)
    {27, 181, 1077, 2, Smoke::mf_static, 372, 676},	//676 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {27, 232, 1614, 2, Smoke::mf_static, 26, 677},	//677 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {27, 192, 133, 2, Smoke::mf_static, 378, 678},	//678 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {27, 192, 1617, 2, Smoke::mf_static, 434, 679},	//679 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {27, 430, 433, 2, Smoke::mf_static, 372, 680},	//680 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {27, 238, 1620, 2, Smoke::mf_static, 61, 681},	//681 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {27, 188, 1623, 2, Smoke::mf_static, 193, 682},	//682 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {27, 232, 1626, 2, Smoke::mf_static, 26, 683},	//683 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {27, 238, 1629, 2, Smoke::mf_static, 151, 684},	//684 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {27, 238, 1632, 2, Smoke::mf_static, 72, 685},	//685 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    {27, 238, 1635, 2, Smoke::mf_static, 65, 686},	//686 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    {27, 481, 1638, 2, Smoke::mf_static, 0, 687},	//687 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {27, 238, 1641, 2, Smoke::mf_static, 151, 688},	//688 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {27, 197, 1644, 1, Smoke::mf_static, 456, 689},	//689 QGlobalSpace::operator-(const QVector3D&)
    {27, 238, 1646, 2, Smoke::mf_static, 90, 690},	//690 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {27, 217, 478, 2, Smoke::mf_static, 372, 691},	//691 QGlobalSpace::operator==(const char*, const QString&)
    {27, 238, 1649, 2, Smoke::mf_static, 52, 692},	//692 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    {27, 208, 1652, 2, Smoke::mf_static, 30, 693},	//693 QGlobalSpace::operator<<(QDebug, const QRect&)
    {27, 346, 19, 1, Smoke::mf_static, 463, 694},	//694 QGlobalSpace::qFastCos(double)
    {27, 208, 1655, 2, Smoke::mf_static, 26, 695},	//695 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {27, 208, 1658, 2, Smoke::mf_static, 26, 696},	//696 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {27, 232, 1661, 2, Smoke::mf_static, 26, 697},	//697 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {27, 238, 1664, 2, Smoke::mf_static, 151, 698},	//698 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {27, 188, 1667, 2, Smoke::mf_static, 458, 699},	//699 QGlobalSpace::operator*(double, const QVector4D&)
    {27, 201, 1422, 2, Smoke::mf_static, 427, 700},	//700 QGlobalSpace::operator/(const QSize&, double)
    {27, 232, 1670, 2, Smoke::mf_static, 26, 701},	//701 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {27, 232, 1673, 2, Smoke::mf_static, 26, 702},	//702 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {27, 238, 1676, 2, Smoke::mf_static, 69, 703},	//703 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {27, 232, 1679, 2, Smoke::mf_static, 26, 704},	//704 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {27, 217, 1363, 2, Smoke::mf_static, 372, 705},	//705 QGlobalSpace::operator==(bool, QBool)
    {27, 335, 283, 8, Smoke::mf_static, 0, 706},	//706 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {27, 335, 292, 6, Smoke::mf_static, 0, 707},	//707 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {27, 335, 299, 7, Smoke::mf_static, 0, 708},	//708 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {27, 238, 1682, 2, Smoke::mf_static, 121, 709},	//709 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {27, 238, 1685, 2, Smoke::mf_static, 101, 710},	//710 QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    {27, 238, 1688, 2, Smoke::mf_static, 151, 711},	//711 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {27, 188, 1691, 2, Smoke::mf_static, 193, 712},	//712 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {27, 238, 1694, 2, Smoke::mf_static, 151, 713},	//713 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {27, 238, 1697, 2, Smoke::mf_static, 151, 714},	//714 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    {27, 197, 239, 2, Smoke::mf_static, 420, 715},	//715 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {27, 238, 1700, 2, Smoke::mf_static, 94, 716},	//716 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {27, 197, 421, 2, Smoke::mf_static, 456, 717},	//717 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {27, 232, 1703, 2, Smoke::mf_static, 26, 718},	//718 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {27, 238, 1706, 2, Smoke::mf_static, 151, 719},	//719 QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    {27, 227, 478, 2, Smoke::mf_static, 372, 720},	//720 QGlobalSpace::operator>=(const char*, const QString&)
    {27, 249, 0, 0, Smoke::mf_static, 8, 721},	//721 QGlobalSpace::qAccessibleActionCastHelper()
    {27, 368, 1709, 1, Smoke::mf_static, 473, 722},	//722 QGlobalSpace::qHash(char)
    {27, 208, 1711, 2, Smoke::mf_static, 26, 723},	//723 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {27, 269, 125, 1, Smoke::mf_static, 465, 724},	//724 QGlobalSpace::qBlue(unsigned int)
    {27, 238, 1714, 2, Smoke::mf_static, 151, 725},	//725 QGlobalSpace::operator|(QMainWindow::DockOption, int)
    {27, 232, 1717, 2, Smoke::mf_static, 26, 726},	//726 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {27, 181, 514, 2, Smoke::mf_static, 372, 727},	//727 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {27, 238, 1720, 2, Smoke::mf_static, 100, 728},	//728 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    {27, 377, 19, 1, Smoke::mf_static, 372, 729},	//729 QGlobalSpace::qIsFinite(double)
    {27, 238, 1723, 2, Smoke::mf_static, 112, 730},	//730 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {27, 197, 69, 2, Smoke::mf_static, 427, 731},	//731 QGlobalSpace::operator-(const QSize&, const QSize&)
    {27, 208, 1726, 2, Smoke::mf_static, 30, 732},	//732 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {27, 418, 0, 0, Smoke::mf_static, 463, 733},	//733 QGlobalSpace::qSNaN()
    {27, 238, 1729, 2, Smoke::mf_static, 91, 734},	//734 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {27, 208, 1732, 2, Smoke::mf_static, 26, 735},	//735 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {27, 361, 358, 1, Smoke::mf_static, 372, 736},	//736 QGlobalSpace::qFuzzyIsNull(float)
    {27, 238, 1735, 2, Smoke::mf_static, 110, 737},	//737 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {27, 238, 1738, 2, Smoke::mf_static, 151, 738},	//738 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    {27, 435, 1513, 2, Smoke::mf_static, 16, 739},	//739 QGlobalSpace::qUncompress(const unsigned char*, int)
    {27, 238, 1741, 2, Smoke::mf_static, 110, 740},	//740 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {27, 238, 1744, 2, Smoke::mf_static, 67, 741},	//741 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    {27, 238, 1747, 2, Smoke::mf_static, 151, 742},	//742 QGlobalSpace::operator|(Qt::Orientation, int)
    {27, 348, 19, 1, Smoke::mf_static, 463, 743},	//743 QGlobalSpace::qFastSin(double)
    {27, 181, 122, 2, Smoke::mf_static, 372, 744},	//744 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {27, 238, 1750, 2, Smoke::mf_static, 74, 745},	//745 QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    {27, 208, 1753, 2, Smoke::mf_static, 26, 746},	//746 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {27, 208, 1756, 2, Smoke::mf_static, 30, 747},	//747 QGlobalSpace::operator<<(QDebug, const QDir&)
    {27, 192, 514, 2, Smoke::mf_static, 416, 748},	//748 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {27, 188, 1759, 2, Smoke::mf_static, 207, 749},	//749 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {27, 217, 1377, 2, Smoke::mf_static, 372, 750},	//750 QGlobalSpace::operator==(QBool, bool)
    {27, 217, 66, 2, Smoke::mf_static, 372, 751},	//751 QGlobalSpace::operator==(const QRect&, const QRect&)
    {27, 208, 1762, 2, Smoke::mf_static, 30, 752},	//752 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {27, 470, 583, 2, Smoke::mf_static, 218, 753},	//753 QGlobalSpace::qtTrId(const char*, int)
    {27, 470, 945, 1, Smoke::mf_static, 218, 754},	//754 QGlobalSpace::qtTrId(const char*)
    {27, 232, 1765, 2, Smoke::mf_static, 26, 755},	//755 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {27, 238, 1768, 2, Smoke::mf_static, 77, 756},	//756 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {27, 238, 1771, 2, Smoke::mf_static, 151, 757},	//757 QGlobalSpace::operator|(QTextOption::Flag, int)
    {27, 192, 1774, 2, Smoke::mf_static, 434, 758},	//758 QGlobalSpace::operator+(const QString&, QChar)
    {27, 268, 0, 0, Smoke::mf_static, 0, 759},	//759 QGlobalSpace::qBadAlloc()
    {27, 181, 176, 2, Smoke::mf_static, 372, 760},	//760 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {27, 412, 1777, 4, Smoke::mf_static, 473, 761},	//761 QGlobalSpace::qRgba(int, int, int, int)
    {27, 238, 1782, 2, Smoke::mf_static, 118, 762},	//762 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {27, 238, 1785, 2, Smoke::mf_static, 94, 763},	//763 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {27, 238, 1788, 2, Smoke::mf_static, 79, 764},	//764 QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    {27, 181, 156, 2, Smoke::mf_static, 372, 765},	//765 QGlobalSpace::operator!=(QBool, QBool)
    {27, 208, 962, 2, Smoke::mf_static, 249, 766},	//766 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {27, 389, 1791, 1, Smoke::mf_static, 480, 767},	//767 QGlobalSpace::qMalloc(size_t)
    {27, 208, 1793, 2, Smoke::mf_static, 30, 768},	//768 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {27, 217, 1130, 2, Smoke::mf_static, 372, 769},	//769 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {27, 197, 517, 2, Smoke::mf_static, 255, 770},	//770 QGlobalSpace::operator-(const QTransform&, double)
    {27, 238, 1796, 2, Smoke::mf_static, 78, 771},	//771 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {27, 208, 1799, 2, Smoke::mf_static, 26, 772},	//772 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {27, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 466, 773},	//773 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {27, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 466, 774},	//774 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {27, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 466, 775},	//775 QGlobalSpace::Q_STATIC_TYPE (enum)
    {27, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 466, 776},	//776 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {27, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 466, 777},	//777 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {27, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 360, 778},	//778 QGlobalSpace::LicensedOpenGL (enum)
    {27, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 367, 779},	//779 QGlobalSpace::LicensedSvg (enum)
    {27, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 361, 780},	//780 QGlobalSpace::LicensedOpenVG (enum)
    {27, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 364, 781},	//781 QGlobalSpace::LicensedScript (enum)
    {27, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 362, 782},	//782 QGlobalSpace::LicensedQt3SupportLight (enum)
    {27, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 351, 783},	//783 QGlobalSpace::QtDebugMsg (enum)
    {27, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 351, 784},	//784 QGlobalSpace::QtWarningMsg (enum)
    {27, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 351, 785},	//785 QGlobalSpace::QtCriticalMsg (enum)
    {27, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 351, 786},	//786 QGlobalSpace::QtFatalMsg (enum)
    {27, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 351, 787},	//787 QGlobalSpace::QtSystemMsg (enum)
    {27, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 788},	//788 QGlobalSpace::LicensedGui (enum)
    {27, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 789},	//789 QGlobalSpace::LicensedXmlPatterns (enum)
    {27, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 366, 790},	//790 QGlobalSpace::LicensedSql (enum)
    {27, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 791},	//791 QGlobalSpace::LicensedActiveQt (enum)
    {27, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 363, 792},	//792 QGlobalSpace::LicensedQt3Support (enum)
    {27, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 793},	//793 QGlobalSpace::LicensedDBus (enum)
    {27, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 353, 794},	//794 QGlobalSpace::LicensedCore (enum)
    {27, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 359, 795},	//795 QGlobalSpace::LicensedNetwork (enum)
    {27, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 358, 796},	//796 QGlobalSpace::LicensedMultimedia (enum)
    {27, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 368, 797},	//797 QGlobalSpace::LicensedTest (enum)
    {27, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 798},	//798 QGlobalSpace::LicensedScriptTools (enum)
    {27, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 357, 799},	//799 QGlobalSpace::LicensedHelp (enum)
    {27, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 369, 800},	//800 QGlobalSpace::LicensedXml (enum)
    {27, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 355, 801},	//801 QGlobalSpace::LicensedDeclarative (enum)
    {28, 112, 1028, 1, Smoke::mf_virtual, 0, 0},	//802 QGraphicsItem::advance(int)
    {28, 535, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 0},	//803 QGraphicsItem::shape() const
    {28, 124, 732, 1, Smoke::mf_const|Smoke::mf_virtual, 372, 0},	//804 QGraphicsItem::contains(const QPointF&) const
    {28, 121, 1802, 2, Smoke::mf_const|Smoke::mf_virtual, 372, 0},	//805 QGraphicsItem::collidesWithItem(const QGraphicsItem*, Qt::ItemSelectionMode) const
    {28, 122, 1805, 2, Smoke::mf_const|Smoke::mf_virtual, 372, 0},	//806 QGraphicsItem::collidesWithPath(const QPainterPath&, Qt::ItemSelectionMode) const
    {28, 158, 1808, 1, Smoke::mf_const|Smoke::mf_virtual, 372, 0},	//807 QGraphicsItem::isObscuredBy(const QGraphicsItem*) const
    {28, 180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 0},	//808 QGraphicsItem::opaqueArea() const
    {28, 506, 1810, 2, Smoke::mf_protected|Smoke::mf_virtual, 372, 0},	//809 QGraphicsItem::sceneEventFilter(QGraphicsItem*, QEvent*)
    {28, 505, 1813, 1, Smoke::mf_protected|Smoke::mf_virtual, 372, 0},	//810 QGraphicsItem::sceneEvent(QEvent*)
    {28, 125, 1815, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//811 QGraphicsItem::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {28, 132, 1817, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//812 QGraphicsItem::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {28, 133, 1817, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//813 QGraphicsItem::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {28, 134, 1817, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//814 QGraphicsItem::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {28, 135, 1817, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//815 QGraphicsItem::dropEvent(QGraphicsSceneDragDropEvent*)
    {28, 145, 1819, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//816 QGraphicsItem::focusInEvent(QFocusEvent*)
    {28, 147, 1819, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//817 QGraphicsItem::focusOutEvent(QFocusEvent*)
    {28, 152, 1821, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//818 QGraphicsItem::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {28, 154, 1821, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//819 QGraphicsItem::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {28, 153, 1821, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//820 QGraphicsItem::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {28, 161, 1823, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//821 QGraphicsItem::keyPressEvent(QKeyEvent*)
    {28, 162, 1823, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//822 QGraphicsItem::keyReleaseEvent(QKeyEvent*)
    {28, 177, 1825, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//823 QGraphicsItem::mousePressEvent(QGraphicsSceneMouseEvent*)
    {28, 176, 1825, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//824 QGraphicsItem::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {28, 178, 1825, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//825 QGraphicsItem::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {28, 175, 1825, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//826 QGraphicsItem::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {28, 556, 1827, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//827 QGraphicsItem::wheelEvent(QGraphicsSceneWheelEvent*)
    {28, 155, 1829, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//828 QGraphicsItem::inputMethodEvent(QInputMethodEvent*)
    {28, 156, 1831, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 262, 0},	//829 QGraphicsItem::inputMethodQuery(Qt::InputMethodQuery) const
    {28, 160, 1833, 2, Smoke::mf_protected|Smoke::mf_virtual, 262, 0},	//830 QGraphicsItem::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {28, 541, 1836, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 372, 0},	//831 QGraphicsItem::supportsExtension(QGraphicsItem::Extension) const
    {28, 515, 1838, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//832 QGraphicsItem::setExtension(QGraphicsItem::Extension, const QVariant&)
    {28, 143, 1841, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 262, 0},	//833 QGraphicsItem::extension(const QVariant&) const
    {28, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 33},	//834 QGraphicsItem::ItemIsMovable (enum)
    {28, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 34},	//835 QGraphicsItem::ItemIsSelectable (enum)
    {28, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 35},	//836 QGraphicsItem::ItemIsFocusable (enum)
    {28, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 36},	//837 QGraphicsItem::ItemClipsToShape (enum)
    {28, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 37},	//838 QGraphicsItem::ItemClipsChildrenToShape (enum)
    {28, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 38},	//839 QGraphicsItem::ItemIgnoresTransformations (enum)
    {28, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 39},	//840 QGraphicsItem::ItemIgnoresParentOpacity (enum)
    {28, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 40},	//841 QGraphicsItem::ItemDoesntPropagateOpacityToChildren (enum)
    {28, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 41},	//842 QGraphicsItem::ItemStacksBehindParent (enum)
    {28, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 42},	//843 QGraphicsItem::ItemUsesExtendedStyleOption (enum)
    {28, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 43},	//844 QGraphicsItem::ItemHasNoContents (enum)
    {28, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 44},	//845 QGraphicsItem::ItemSendsGeometryChanges (enum)
    {28, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 45},	//846 QGraphicsItem::ItemAcceptsInputMethod (enum)
    {28, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 46},	//847 QGraphicsItem::ItemNegativeZStacksBehindParent (enum)
    {28, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 47},	//848 QGraphicsItem::ItemIsPanel (enum)
    {28, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 48},	//849 QGraphicsItem::ItemIsFocusScope (enum)
    {28, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 49},	//850 QGraphicsItem::ItemSendsScenePositionChanges (enum)
    {28, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 50},	//851 QGraphicsItem::ItemPositionChange (enum)
    {28, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 51},	//852 QGraphicsItem::ItemMatrixChange (enum)
    {28, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 52},	//853 QGraphicsItem::ItemVisibleChange (enum)
    {28, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 53},	//854 QGraphicsItem::ItemEnabledChange (enum)
    {28, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 54},	//855 QGraphicsItem::ItemSelectedChange (enum)
    {28, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 55},	//856 QGraphicsItem::ItemParentChange (enum)
    {28, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 56},	//857 QGraphicsItem::ItemChildAddedChange (enum)
    {28, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 57},	//858 QGraphicsItem::ItemChildRemovedChange (enum)
    {28, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 58},	//859 QGraphicsItem::ItemTransformChange (enum)
    {28, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 59},	//860 QGraphicsItem::ItemPositionHasChanged (enum)
    {28, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 60},	//861 QGraphicsItem::ItemTransformHasChanged (enum)
    {28, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 61},	//862 QGraphicsItem::ItemSceneChange (enum)
    {28, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 62},	//863 QGraphicsItem::ItemVisibleHasChanged (enum)
    {28, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 63},	//864 QGraphicsItem::ItemEnabledHasChanged (enum)
    {28, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 64},	//865 QGraphicsItem::ItemSelectedHasChanged (enum)
    {28, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 65},	//866 QGraphicsItem::ItemParentHasChanged (enum)
    {28, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 66},	//867 QGraphicsItem::ItemSceneHasChanged (enum)
    {28, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 67},	//868 QGraphicsItem::ItemCursorChange (enum)
    {28, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 68},	//869 QGraphicsItem::ItemCursorHasChanged (enum)
    {28, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 69},	//870 QGraphicsItem::ItemToolTipChange (enum)
    {28, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 70},	//871 QGraphicsItem::ItemToolTipHasChanged (enum)
    {28, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 71},	//872 QGraphicsItem::ItemFlagsChange (enum)
    {28, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 72},	//873 QGraphicsItem::ItemFlagsHaveChanged (enum)
    {28, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 73},	//874 QGraphicsItem::ItemZValueChange (enum)
    {28, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 74},	//875 QGraphicsItem::ItemZValueHasChanged (enum)
    {28, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 75},	//876 QGraphicsItem::ItemOpacityChange (enum)
    {28, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 76},	//877 QGraphicsItem::ItemOpacityHasChanged (enum)
    {28, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 77},	//878 QGraphicsItem::ItemScenePositionHasChanged (enum)
    {28, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 466, 78},	//879 QGraphicsItem::Type (enum)
    {28, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 466, 79},	//880 QGraphicsItem::UserType (enum)
    {28, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 80},	//881 QGraphicsItem::UserExtension (enum)
    {35, 171, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 405, 1},	//882 QGraphicsSvgItem::metaObject() const
    {35, 485, 945, 1, Smoke::mf_virtual, 480, 2},	//883 QGraphicsSvgItem::qt_metacast(const char*)
    {35, 545, 1153, 2, Smoke::mf_static, 218, 3},	//884 QGraphicsSvgItem::tr(const char*, const char*)
    {35, 549, 1153, 2, Smoke::mf_static, 218, 4},	//885 QGraphicsSvgItem::trUtf8(const char*, const char*)
    {35, 545, 9, 3, Smoke::mf_static, 218, 5},	//886 QGraphicsSvgItem::tr(const char*, const char*, int)
    {35, 549, 9, 3, Smoke::mf_static, 218, 6},	//887 QGraphicsSvgItem::trUtf8(const char*, const char*, int)
    {35, 483, 1843, 3, Smoke::mf_virtual, 465, 7},	//888 QGraphicsSvgItem::qt_metacall(QMetaObject::Call, int, void**)
    {35, 83, 1847, 1, Smoke::mf_ctor, 142, 8},	//889 QGraphicsSvgItem::QGraphicsSvgItem(QGraphicsItem*)
    {35, 83, 1849, 2, Smoke::mf_ctor, 142, 9},	//890 QGraphicsSvgItem::QGraphicsSvgItem(const QString&, QGraphicsItem*)
    {35, 526, 1852, 1, 0, 0, 10},	//891 QGraphicsSvgItem::setSharedRenderer(QSvgRenderer*)
    {35, 501, 0, 0, Smoke::mf_const, 236, 11},	//892 QGraphicsSvgItem::renderer() const
    {35, 513, 267, 1, Smoke::mf_property, 0, 12},	//893 QGraphicsSvgItem::setElementId(const QString&)
    {35, 138, 0, 0, Smoke::mf_const|Smoke::mf_property, 218, 13},	//894 QGraphicsSvgItem::elementId() const
    {35, 507, 1854, 1, 0, 0, 14},	//895 QGraphicsSvgItem::setCachingEnabled(bool)
    {35, 157, 0, 0, Smoke::mf_const, 372, 15},	//896 QGraphicsSvgItem::isCachingEnabled() const
    {35, 520, 1856, 1, Smoke::mf_property, 0, 16},	//897 QGraphicsSvgItem::setMaximumCacheSize(const QSize&)
    {35, 170, 0, 0, Smoke::mf_const|Smoke::mf_property, 211, 17},	//898 QGraphicsSvgItem::maximumCacheSize() const
    {35, 115, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 18},	//899 QGraphicsSvgItem::boundingRect() const
    {35, 242, 1858, 3, Smoke::mf_virtual, 0, 19},	//900 QGraphicsSvgItem::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {35, 553, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 465, 20},	//901 QGraphicsSvgItem::type() const
    {35, 545, 945, 1, Smoke::mf_static, 218, 21},	//902 QGraphicsSvgItem::tr(const char*)
    {35, 549, 945, 1, Smoke::mf_static, 218, 22},	//903 QGraphicsSvgItem::trUtf8(const char*)
    {35, 83, 0, 0, Smoke::mf_ctor, 142, 23},	//904 QGraphicsSvgItem::QGraphicsSvgItem()
    {35, 83, 267, 1, Smoke::mf_ctor, 142, 24},	//905 QGraphicsSvgItem::QGraphicsSvgItem(const QString&)
    {35, 242, 1862, 2, 0, 0, 25},	//906 QGraphicsSvgItem::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {35, 539, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 404, 26},	//907 QGraphicsSvgItem::staticMetaObject() const
    {35, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 466, 27},	//908 QGraphicsSvgItem::Type (enum)
    {35, 559, 0, 0, Smoke::mf_dtor, 0, 28 },	//909 QGraphicsSvgItem::~QGraphicsSvgItem()
    {58, 141, 1813, 1, Smoke::mf_virtual, 372, 0},	//910 QObject::event(QEvent*)
    {58, 142, 1865, 2, Smoke::mf_virtual, 372, 0},	//911 QObject::eventFilter(QObject*, QEvent*)
    {58, 543, 1868, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//912 QObject::timerEvent(QTimerEvent*)
    {58, 119, 1870, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//913 QObject::childEvent(QChildEvent*)
    {58, 127, 1813, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//914 QObject::customEvent(QEvent*)
    {58, 123, 945, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//915 QObject::connectNotify(const char*)
    {58, 131, 945, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//916 QObject::disconnectNotify(const char*)
    {59, 130, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 465, 0},	//917 QPaintDevice::devType() const
    {59, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 2},	//918 QPaintDevice::PdmWidth (enum)
    {59, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 3},	//919 QPaintDevice::PdmHeight (enum)
    {59, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 4},	//920 QPaintDevice::PdmWidthMM (enum)
    {59, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 5},	//921 QPaintDevice::PdmHeightMM (enum)
    {59, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 6},	//922 QPaintDevice::PdmNumColors (enum)
    {59, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 7},	//923 QPaintDevice::PdmDepth (enum)
    {59, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 8},	//924 QPaintDevice::PdmDpiX (enum)
    {59, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 9},	//925 QPaintDevice::PdmDpiY (enum)
    {59, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 10},	//926 QPaintDevice::PdmPhysicalDpiX (enum)
    {59, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 11},	//927 QPaintDevice::PdmPhysicalDpiY (enum)
    {90, 87, 0, 0, Smoke::mf_ctor, 235, 1},	//928 QSvgGenerator::QSvgGenerator()
    {90, 544, 0, 0, Smoke::mf_const|Smoke::mf_property, 218, 2},	//929 QSvgGenerator::title() const
    {90, 530, 267, 1, Smoke::mf_property, 0, 3},	//930 QSvgGenerator::setTitle(const QString&)
    {90, 129, 0, 0, Smoke::mf_const|Smoke::mf_property, 218, 4},	//931 QSvgGenerator::description() const
    {90, 511, 267, 1, Smoke::mf_property, 0, 5},	//932 QSvgGenerator::setDescription(const QString&)
    {90, 537, 0, 0, Smoke::mf_const|Smoke::mf_property, 211, 6},	//933 QSvgGenerator::size() const
    {90, 528, 1856, 1, Smoke::mf_property, 0, 7},	//934 QSvgGenerator::setSize(const QSize&)
    {90, 554, 0, 0, Smoke::mf_const, 202, 8},	//935 QSvgGenerator::viewBox() const
    {90, 555, 0, 0, Smoke::mf_const|Smoke::mf_property, 204, 9},	//936 QSvgGenerator::viewBoxF() const
    {90, 532, 1872, 1, 0, 0, 10},	//937 QSvgGenerator::setViewBox(const QRect&)
    {90, 532, 1874, 1, Smoke::mf_property, 0, 11},	//938 QSvgGenerator::setViewBox(const QRectF&)
    {90, 144, 0, 0, Smoke::mf_const|Smoke::mf_property, 218, 12},	//939 QSvgGenerator::fileName() const
    {90, 516, 267, 1, Smoke::mf_property, 0, 13},	//940 QSvgGenerator::setFileName(const QString&)
    {90, 241, 0, 0, Smoke::mf_const|Smoke::mf_property, 146, 14},	//941 QSvgGenerator::outputDevice() const
    {90, 522, 1876, 1, Smoke::mf_property, 0, 15},	//942 QSvgGenerator::setOutputDevice(QIODevice*)
    {90, 524, 1028, 1, Smoke::mf_property, 0, 16},	//943 QSvgGenerator::setResolution(int)
    {90, 504, 0, 0, Smoke::mf_const|Smoke::mf_property, 465, 17},	//944 QSvgGenerator::resolution() const
    {90, 245, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 181, 18},	//945 QSvgGenerator::paintEngine() const
    {90, 172, 1878, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 465, 19},	//946 QSvgGenerator::metric(QPaintDevice::PaintDeviceMetric) const
    {90, 560, 0, 0, Smoke::mf_dtor, 0, 20 },	//947 QSvgGenerator::~QSvgGenerator()
    {91, 171, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 405, 1},	//948 QSvgRenderer::metaObject() const
    {91, 485, 945, 1, Smoke::mf_virtual, 480, 2},	//949 QSvgRenderer::qt_metacast(const char*)
    {91, 545, 1153, 2, Smoke::mf_static, 218, 3},	//950 QSvgRenderer::tr(const char*, const char*)
    {91, 549, 1153, 2, Smoke::mf_static, 218, 4},	//951 QSvgRenderer::trUtf8(const char*, const char*)
    {91, 545, 9, 3, Smoke::mf_static, 218, 5},	//952 QSvgRenderer::tr(const char*, const char*, int)
    {91, 549, 9, 3, Smoke::mf_static, 218, 6},	//953 QSvgRenderer::trUtf8(const char*, const char*, int)
    {91, 483, 1843, 3, Smoke::mf_virtual, 465, 7},	//954 QSvgRenderer::qt_metacall(QMetaObject::Call, int, void**)
    {91, 88, 1880, 1, Smoke::mf_ctor, 236, 8},	//955 QSvgRenderer::QSvgRenderer(QObject*)
    {91, 88, 1882, 2, Smoke::mf_ctor, 236, 9},	//956 QSvgRenderer::QSvgRenderer(const QString&, QObject*)
    {91, 88, 1885, 2, Smoke::mf_ctor, 236, 10},	//957 QSvgRenderer::QSvgRenderer(const QByteArray&, QObject*)
    {91, 88, 1888, 2, Smoke::mf_ctor, 236, 11},	//958 QSvgRenderer::QSvgRenderer(QXmlStreamReader*, QObject*)
    {91, 159, 0, 0, Smoke::mf_const, 372, 12},	//959 QSvgRenderer::isValid() const
    {91, 128, 0, 0, Smoke::mf_const, 211, 13},	//960 QSvgRenderer::defaultSize() const
    {91, 554, 0, 0, Smoke::mf_const, 202, 14},	//961 QSvgRenderer::viewBox() const
    {91, 555, 0, 0, Smoke::mf_const|Smoke::mf_property, 204, 15},	//962 QSvgRenderer::viewBoxF() const
    {91, 532, 1872, 1, 0, 0, 16},	//963 QSvgRenderer::setViewBox(const QRect&)
    {91, 532, 1874, 1, Smoke::mf_property, 0, 17},	//964 QSvgRenderer::setViewBox(const QRectF&)
    {91, 113, 0, 0, Smoke::mf_const, 372, 18},	//965 QSvgRenderer::animated() const
    {91, 149, 0, 0, Smoke::mf_const|Smoke::mf_property, 465, 19},	//966 QSvgRenderer::framesPerSecond() const
    {91, 518, 1028, 1, Smoke::mf_property, 0, 20},	//967 QSvgRenderer::setFramesPerSecond(int)
    {91, 126, 0, 0, Smoke::mf_const|Smoke::mf_property, 465, 21},	//968 QSvgRenderer::currentFrame() const
    {91, 509, 1028, 1, Smoke::mf_property, 0, 22},	//969 QSvgRenderer::setCurrentFrame(int)
    {91, 114, 0, 0, Smoke::mf_const, 465, 23},	//970 QSvgRenderer::animationDuration() const
    {91, 116, 267, 1, Smoke::mf_const, 204, 24},	//971 QSvgRenderer::boundsOnElement(const QString&) const
    {91, 136, 267, 1, Smoke::mf_const, 372, 25},	//972 QSvgRenderer::elementExists(const QString&) const
    {91, 168, 267, 1, Smoke::mf_const, 168, 26},	//973 QSvgRenderer::matrixForElement(const QString&) const
    {91, 165, 267, 1, Smoke::mf_slot, 372, 27},	//974 QSvgRenderer::load(const QString&)
    {91, 165, 569, 1, Smoke::mf_slot, 372, 28},	//975 QSvgRenderer::load(const QByteArray&)
    {91, 165, 1891, 1, Smoke::mf_slot, 372, 29},	//976 QSvgRenderer::load(QXmlStreamReader*)
    {91, 496, 1893, 1, Smoke::mf_slot, 0, 30},	//977 QSvgRenderer::render(QPainter*)
    {91, 496, 1895, 2, Smoke::mf_slot, 0, 31},	//978 QSvgRenderer::render(QPainter*, const QRectF&)
    {91, 496, 1898, 3, Smoke::mf_slot, 0, 32},	//979 QSvgRenderer::render(QPainter*, const QString&, const QRectF&)
    {91, 502, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//980 QSvgRenderer::repaintNeeded()
    {91, 545, 945, 1, Smoke::mf_static, 218, 34},	//981 QSvgRenderer::tr(const char*)
    {91, 549, 945, 1, Smoke::mf_static, 218, 35},	//982 QSvgRenderer::trUtf8(const char*)
    {91, 88, 0, 0, Smoke::mf_ctor, 236, 36},	//983 QSvgRenderer::QSvgRenderer()
    {91, 88, 267, 1, Smoke::mf_ctor, 236, 37},	//984 QSvgRenderer::QSvgRenderer(const QString&)
    {91, 88, 569, 1, Smoke::mf_ctor, 236, 38},	//985 QSvgRenderer::QSvgRenderer(const QByteArray&)
    {91, 88, 1891, 1, Smoke::mf_ctor, 236, 39},	//986 QSvgRenderer::QSvgRenderer(QXmlStreamReader*)
    {91, 496, 1902, 2, Smoke::mf_slot, 0, 40},	//987 QSvgRenderer::render(QPainter*, const QString&)
    {91, 539, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 404, 41},	//988 QSvgRenderer::staticMetaObject() const
    {91, 561, 0, 0, Smoke::mf_dtor, 0, 42 },	//989 QSvgRenderer::~QSvgRenderer()
    {92, 171, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 405, 1},	//990 QSvgWidget::metaObject() const
    {92, 485, 945, 1, Smoke::mf_virtual, 480, 2},	//991 QSvgWidget::qt_metacast(const char*)
    {92, 545, 1153, 2, Smoke::mf_static, 218, 3},	//992 QSvgWidget::tr(const char*, const char*)
    {92, 549, 1153, 2, Smoke::mf_static, 218, 4},	//993 QSvgWidget::trUtf8(const char*, const char*)
    {92, 545, 9, 3, Smoke::mf_static, 218, 5},	//994 QSvgWidget::tr(const char*, const char*, int)
    {92, 549, 9, 3, Smoke::mf_static, 218, 6},	//995 QSvgWidget::trUtf8(const char*, const char*, int)
    {92, 483, 1843, 3, Smoke::mf_virtual, 465, 7},	//996 QSvgWidget::qt_metacall(QMetaObject::Call, int, void**)
    {92, 93, 1905, 1, Smoke::mf_ctor, 237, 8},	//997 QSvgWidget::QSvgWidget(QWidget*)
    {92, 93, 1907, 2, Smoke::mf_ctor, 237, 9},	//998 QSvgWidget::QSvgWidget(const QString&, QWidget*)
    {92, 501, 0, 0, Smoke::mf_const, 236, 10},	//999 QSvgWidget::renderer() const
    {92, 538, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 211, 11},	//1000 QSvgWidget::sizeHint() const
    {92, 165, 267, 1, Smoke::mf_slot, 0, 12},	//1001 QSvgWidget::load(const QString&)
    {92, 165, 569, 1, Smoke::mf_slot, 0, 13},	//1002 QSvgWidget::load(const QByteArray&)
    {92, 246, 1910, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1003 QSvgWidget::paintEvent(QPaintEvent*)
    {92, 545, 945, 1, Smoke::mf_static, 218, 15},	//1004 QSvgWidget::tr(const char*)
    {92, 549, 945, 1, Smoke::mf_static, 218, 16},	//1005 QSvgWidget::trUtf8(const char*)
    {92, 93, 0, 0, Smoke::mf_ctor, 237, 17},	//1006 QSvgWidget::QSvgWidget()
    {92, 93, 267, 1, Smoke::mf_ctor, 237, 18},	//1007 QSvgWidget::QSvgWidget(const QString&)
    {92, 539, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 404, 19},	//1008 QSvgWidget::staticMetaObject() const
    {92, 562, 0, 0, Smoke::mf_dtor, 0, 20 },	//1009 QSvgWidget::~QSvgWidget()
    {113, 130, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 465, 0},	//1010 QWidget::devType() const
    {113, 534, 1854, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1011 QWidget::setVisible(bool)
    {113, 174, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 211, 0},	//1012 QWidget::minimumSizeHint() const
    {113, 150, 1028, 1, Smoke::mf_const|Smoke::mf_virtual, 465, 0},	//1013 QWidget::heightForWidth(int) const
    {113, 245, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 181, 0},	//1014 QWidget::paintEngine() const
    {113, 141, 1813, 1, Smoke::mf_protected|Smoke::mf_virtual, 372, 0},	//1015 QWidget::event(QEvent*)
    {113, 177, 1912, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1016 QWidget::mousePressEvent(QMouseEvent*)
    {113, 178, 1912, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1017 QWidget::mouseReleaseEvent(QMouseEvent*)
    {113, 175, 1912, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1018 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {113, 176, 1912, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1019 QWidget::mouseMoveEvent(QMouseEvent*)
    {113, 556, 1914, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1020 QWidget::wheelEvent(QWheelEvent*)
    {113, 161, 1823, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1021 QWidget::keyPressEvent(QKeyEvent*)
    {113, 162, 1823, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1022 QWidget::keyReleaseEvent(QKeyEvent*)
    {113, 145, 1819, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1023 QWidget::focusInEvent(QFocusEvent*)
    {113, 147, 1819, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1024 QWidget::focusOutEvent(QFocusEvent*)
    {113, 140, 1813, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1025 QWidget::enterEvent(QEvent*)
    {113, 164, 1813, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1026 QWidget::leaveEvent(QEvent*)
    {113, 179, 1916, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1027 QWidget::moveEvent(QMoveEvent*)
    {113, 503, 1918, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1028 QWidget::resizeEvent(QResizeEvent*)
    {113, 120, 1920, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1029 QWidget::closeEvent(QCloseEvent*)
    {113, 125, 1922, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1030 QWidget::contextMenuEvent(QContextMenuEvent*)
    {113, 542, 1924, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1031 QWidget::tabletEvent(QTabletEvent*)
    {113, 111, 1926, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1032 QWidget::actionEvent(QActionEvent*)
    {113, 132, 1928, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1033 QWidget::dragEnterEvent(QDragEnterEvent*)
    {113, 134, 1930, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1034 QWidget::dragMoveEvent(QDragMoveEvent*)
    {113, 133, 1932, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1035 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {113, 135, 1934, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1036 QWidget::dropEvent(QDropEvent*)
    {113, 536, 1936, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1037 QWidget::showEvent(QShowEvent*)
    {113, 151, 1938, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1038 QWidget::hideEvent(QHideEvent*)
    {113, 558, 1940, 1, Smoke::mf_protected|Smoke::mf_virtual, 372, 0},	//1039 QWidget::x11Event(_XEvent*)
    {113, 118, 1813, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1040 QWidget::changeEvent(QEvent*)
    {113, 172, 1878, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 465, 0},	//1041 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {113, 155, 1829, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1042 QWidget::inputMethodEvent(QInputMethodEvent*)
    {113, 156, 1831, 1, Smoke::mf_const|Smoke::mf_virtual, 262, 0},	//1043 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {113, 146, 1854, 1, Smoke::mf_protected|Smoke::mf_virtual, 372, 0},	//1044 QWidget::focusNextPrevChild(bool)
    {113, 540, 1942, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1045 QWidget::styleChange(QStyle&)
    {113, 139, 1854, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1046 QWidget::enabledChange(bool)
    {113, 248, 1944, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1047 QWidget::paletteChange(const QPalette&)
    {113, 148, 1946, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1048 QWidget::fontChange(const QFont&)
    {113, 557, 1854, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1049 QWidget::windowActivationChange(bool)
    {113, 163, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1050 QWidget::languageChange()
    {113, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 42},	//1051 QWidget::DrawWindowBackground (enum)
    {113, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 43},	//1052 QWidget::DrawChildren (enum)
    {113, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 44},	//1053 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    955,  // QSvgRenderer::QSvgRenderer(QObject*)
    985,  // QSvgRenderer::QSvgRenderer(const QByteArray&)
    986,  // QSvgRenderer::QSvgRenderer(QXmlStreamReader*)
    0,
    957,  // QSvgRenderer::QSvgRenderer(const QByteArray&, QObject*)
    958,  // QSvgRenderer::QSvgRenderer(QXmlStreamReader*, QObject*)
    0,
    975,  // QSvgRenderer::load(const QByteArray&)
    976,  // QSvgRenderer::load(QXmlStreamReader*)
    0,
    963,  // QSvgRenderer::setViewBox(const QRect&)
    964,  // QSvgRenderer::setViewBox(const QRectF&)
    0,
    937,  // QSvgGenerator::setViewBox(const QRect&)
    938,  // QSvgGenerator::setViewBox(const QRectF&)
    0,
    12,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    24,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    60,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    149,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    192,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    243,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    329,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    333,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    393,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    446,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    464,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    465,  // QGlobalSpace::operator!=(QChar, QChar)
    486,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    574,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    582,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    637,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    642,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    727,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    760,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    765,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    362,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    411,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    444,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    559,  // QGlobalSpace::operator!=(QBool, bool)
    617,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    366,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    412,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    554,  // QGlobalSpace::operator!=(bool, QBool)
    628,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    676,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    744,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    0,
    35,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    37,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    88,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    90,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    98,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    139,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    144,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    146,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    202,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    213,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    241,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    258,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    289,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    304,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    316,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    325,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    372,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    434,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    445,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    498,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    558,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    589,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    616,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    619,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    636,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    657,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    682,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    712,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    749,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    7,  // QGlobalSpace::operator*(const QPoint&, double)
    43,  // QGlobalSpace::operator*(const QSizeF&, double)
    61,  // QGlobalSpace::operator*(const QQuaternion&, double)
    189,  // QGlobalSpace::operator*(const QVector2D&, double)
    193,  // QGlobalSpace::operator*(const QVector4D&, double)
    222,  // QGlobalSpace::operator*(const QPointF&, double)
    255,  // QGlobalSpace::operator*(const QVector3D&, double)
    351,  // QGlobalSpace::operator*(const QTransform&, double)
    407,  // QGlobalSpace::operator*(const QMatrix4x4&, double)
    588,  // QGlobalSpace::operator*(const QSize&, double)
    0,
    10,  // QGlobalSpace::operator*(double, const QPointF&)
    14,  // QGlobalSpace::operator*(double, const QSizeF&)
    436,  // QGlobalSpace::operator*(double, const QVector2D&)
    451,  // QGlobalSpace::operator*(double, const QVector3D&)
    467,  // QGlobalSpace::operator*(double, const QMatrix4x4&)
    487,  // QGlobalSpace::operator*(double, const QSize&)
    505,  // QGlobalSpace::operator*(double, const QPoint&)
    518,  // QGlobalSpace::operator*(double, const QQuaternion&)
    699,  // QGlobalSpace::operator*(double, const QVector4D&)
    0,
    25,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    107,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    142,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    170,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    211,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    234,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    607,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    610,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    678,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    748,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    77,  // QGlobalSpace::operator+(QChar, const QString&)
    286,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    519,  // QGlobalSpace::operator+(const QByteArray&, char)
    572,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    669,  // QGlobalSpace::operator+(const QTransform&, double)
    0,
    166,  // QGlobalSpace::operator+(char, const QByteArray&)
    424,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    679,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    758,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    153,  // QGlobalSpace::operator+(const QString&, const char*)
    169,  // QGlobalSpace::operator+(const char*, const QString&)
    294,  // QGlobalSpace::operator+(const QString&, char)
    403,  // QGlobalSpace::operator+(const QString&, const QString&)
    461,  // QGlobalSpace::operator+(char, const QString&)
    0,
    55,  // QGlobalSpace::operator-(const QQuaternion&)
    84,  // QGlobalSpace::operator-(const QVector2D&)
    281,  // QGlobalSpace::operator-(const QPointF&)
    388,  // QGlobalSpace::operator-(const QVector4D&)
    435,  // QGlobalSpace::operator-(const QMatrix4x4&)
    640,  // QGlobalSpace::operator-(const QPoint&)
    689,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    31,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    34,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    52,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    252,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    562,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    664,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    715,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    717,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    731,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    167,  // QGlobalSpace::operator/(const QPoint&, double)
    185,  // QGlobalSpace::operator/(const QTransform&, double)
    201,  // QGlobalSpace::operator/(const QMatrix4x4&, double)
    254,  // QGlobalSpace::operator/(const QSizeF&, double)
    371,  // QGlobalSpace::operator/(const QVector4D&, double)
    375,  // QGlobalSpace::operator/(const QQuaternion&, double)
    397,  // QGlobalSpace::operator/(const QVector2D&, double)
    462,  // QGlobalSpace::operator/(const QVector3D&, double)
    524,  // QGlobalSpace::operator/(const QPointF&, double)
    700,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    197,  // QGlobalSpace::operator<(QChar, QChar)
    266,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    353,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    665,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    318,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    605,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    9,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    13,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    17,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    19,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    22,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    27,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    29,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    44,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    70,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    71,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    72,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    86,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    87,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    91,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    92,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    106,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    112,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    130,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    136,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    151,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    154,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    156,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    158,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    162,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    181,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    186,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    196,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    203,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    237,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    264,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    284,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    288,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    291,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    305,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    309,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    314,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    332,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    350,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    354,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    363,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    378,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    382,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    386,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    389,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    443,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    448,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    449,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    453,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    459,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    460,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    476,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    483,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    493,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    499,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    508,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    511,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    514,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    516,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    517,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    521,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    530,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    536,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    544,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    552,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    556,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    573,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    576,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    578,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    584,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    591,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    595,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    601,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    608,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    613,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    614,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    621,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    623,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    635,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    667,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    670,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    693,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    695,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    723,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    732,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    735,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    746,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    747,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    752,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    766,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    768,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    772,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    0,
    58,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    155,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    172,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    212,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    359,  // QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    413,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    551,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    632,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    662,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    696,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    428,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    528,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    540,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    612,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    420,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    575,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    41,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    54,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    62,  // QGlobalSpace::operator==(QBool, QBool)
    69,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    148,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    184,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    198,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    228,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    302,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    343,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    394,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    421,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    441,  // QGlobalSpace::operator==(QChar, QChar)
    458,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    470,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    479,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    485,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    553,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    651,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    751,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    769,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    337,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    488,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    590,  // QGlobalSpace::operator==(QString::Null, const QString&)
    596,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    675,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    750,  // QGlobalSpace::operator==(QBool, bool)
    0,
    173,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    239,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    263,  // QGlobalSpace::operator==(const QString&, QString::Null)
    415,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    423,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    580,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    705,  // QGlobalSpace::operator==(bool, QBool)
    0,
    259,  // QGlobalSpace::operator>(QChar, QChar)
    370,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    418,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    620,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    0,
    47,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    547,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    53,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    295,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    342,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    526,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    204,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    260,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    18,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    73,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    123,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    128,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    150,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    161,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    168,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    175,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    179,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    180,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    182,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    215,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    220,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    251,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    257,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    270,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    310,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    349,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    364,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    377,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    385,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    387,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    391,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    399,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    417,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    425,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    429,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    456,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    480,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    482,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    497,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    538,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    548,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    564,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    594,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    598,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    602,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    603,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    641,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    666,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    668,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    677,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    683,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    697,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    701,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    702,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    704,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    718,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    726,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    755,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    440,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    649,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    4,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    6,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    11,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    15,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    16,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    20,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    21,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    28,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    33,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    36,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    40,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    42,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    45,  // QGlobalSpace::operator|(QDir::Filter, int)
    51,  // QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    56,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    57,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    63,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    64,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    65,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    66,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    68,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    75,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    76,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    79,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    85,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    89,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    94,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    97,  // QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    104,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    111,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    113,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    114,  // QGlobalSpace::operator|(Qt::DropAction, int)
    122,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    126,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    127,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    129,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    131,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    132,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    134,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    135,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    137,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    138,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    141,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    145,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    147,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    152,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    157,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    159,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    160,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    163,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    164,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    165,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    171,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    174,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    183,  // QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    187,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    190,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    191,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    194,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    195,  // QGlobalSpace::operator|(QFile::Permission, int)
    205,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    208,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    209,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    210,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    216,  // QGlobalSpace::operator|(QPainter::RenderHint, int)
    217,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    218,  // QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    219,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    221,  // QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    224,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    225,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    235,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    240,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    242,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    247,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    248,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    249,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    250,  // QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    253,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    256,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    262,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    267,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    269,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    278,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    279,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    280,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    283,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    287,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    290,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    292,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    296,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    298,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    308,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    313,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    315,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    317,  // QGlobalSpace::operator|(QAccessible::StateFlag, int)
    322,  // QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    324,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    326,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    327,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    330,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    334,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    335,  // QGlobalSpace::operator|(Qt::WindowType, int)
    336,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    347,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    348,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    352,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    355,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    356,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    358,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    360,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    361,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    365,  // QGlobalSpace::operator|(QWizard::WizardOption, int)
    367,  // QGlobalSpace::operator|(QFileDialog::Option, int)
    369,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    373,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    374,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    376,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    379,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    381,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    384,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    390,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    398,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    401,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    402,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    404,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    406,  // QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    414,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    416,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    426,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    427,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    430,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    431,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    433,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    437,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    438,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    439,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    442,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    450,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    454,  // QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    457,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    463,  // QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    466,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    469,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    474,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    475,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    477,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    478,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    481,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    484,  // QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    489,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    491,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    492,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    495,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    501,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    507,  // QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    515,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    520,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    522,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    523,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    527,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    535,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    539,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    542,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    543,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    546,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    550,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    557,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    560,  // QGlobalSpace::operator|(Qt::WindowState, int)
    561,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    577,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    579,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    581,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    583,  // QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    585,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    586,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    592,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    593,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    599,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    606,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    611,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    622,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    624,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    626,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    627,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    631,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    634,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    638,  // QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    644,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    646,  // QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    647,  // QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    650,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    652,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    658,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    671,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    673,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    681,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    684,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    685,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    686,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    688,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    690,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    692,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    698,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    703,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    709,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    710,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    711,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    713,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    714,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    716,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    719,  // QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    725,  // QGlobalSpace::operator|(QMainWindow::DockOption, int)
    728,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    730,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    734,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    737,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    738,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    740,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    741,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    742,  // QGlobalSpace::operator|(Qt::Orientation, int)
    745,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    756,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    757,  // QGlobalSpace::operator|(QTextOption::Flag, int)
    762,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    763,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    764,  // QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    771,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    0,
    39,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    46,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    200,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    472,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    500,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    533,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    566,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    0,
    177,  // QGlobalSpace::qFuzzyCompare(double, double)
    537,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    303,  // QGlobalSpace::qFuzzyIsNull(double)
    736,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    3,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    67,  // QGlobalSpace::qHash(const QStringRef&)
    93,  // QGlobalSpace::qHash(const QBitArray&)
    207,  // QGlobalSpace::qHash(const QByteArray&)
    297,  // QGlobalSpace::qHash(QChar)
    490,  // QGlobalSpace::qHash(const QModelIndex&)
    672,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    0,
    32,  // QGlobalSpace::qHash(unsigned char)
    100,  // QGlobalSpace::qHash(const QString&)
    101,  // QGlobalSpace::qHash(unsigned short)
    103,  // QGlobalSpace::qHash(long)
    447,  // QGlobalSpace::qHash(signed char)
    512,  // QGlobalSpace::qHash(short)
    555,  // QGlobalSpace::qHash(unsigned long)
    615,  // QGlobalSpace::qHash(unsigned int)
    663,  // QGlobalSpace::qHash(int)
    722,  // QGlobalSpace::qHash(char)
    0,
    105,  // QGlobalSpace::qHash(long long)
    285,  // QGlobalSpace::qHash(unsigned long long)
    0,
    265,  // QGlobalSpace::qIntCast(float)
    344,  // QGlobalSpace::qIntCast(double)
    0,
    392,  // QGlobalSpace::qIsFinite(float)
    729,  // QGlobalSpace::qIsFinite(double)
    0,
    8,  // QGlobalSpace::qIsInf(double)
    125,  // QGlobalSpace::qIsInf(float)
    0,
    176,  // QGlobalSpace::qIsNaN(float)
    506,  // QGlobalSpace::qIsNaN(double)
    0,
    178,  // QGlobalSpace::qIsNull(float)
    338,  // QGlobalSpace::qIsNull(double)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {27, 51, 791},	// QGlobalSpace::LicensedActiveQt
    {27, 52, 794},	// QGlobalSpace::LicensedCore
    {27, 53, 793},	// QGlobalSpace::LicensedDBus
    {27, 54, 801},	// QGlobalSpace::LicensedDeclarative
    {27, 55, 788},	// QGlobalSpace::LicensedGui
    {27, 56, 799},	// QGlobalSpace::LicensedHelp
    {27, 57, 796},	// QGlobalSpace::LicensedMultimedia
    {27, 58, 795},	// QGlobalSpace::LicensedNetwork
    {27, 59, 778},	// QGlobalSpace::LicensedOpenGL
    {27, 60, 780},	// QGlobalSpace::LicensedOpenVG
    {27, 61, 792},	// QGlobalSpace::LicensedQt3Support
    {27, 62, 782},	// QGlobalSpace::LicensedQt3SupportLight
    {27, 63, 781},	// QGlobalSpace::LicensedScript
    {27, 64, 798},	// QGlobalSpace::LicensedScriptTools
    {27, 65, 790},	// QGlobalSpace::LicensedSql
    {27, 66, 779},	// QGlobalSpace::LicensedSvg
    {27, 67, 797},	// QGlobalSpace::LicensedTest
    {27, 68, 800},	// QGlobalSpace::LicensedXml
    {27, 69, 789},	// QGlobalSpace::LicensedXmlPatterns
    {27, 97, 773},	// QGlobalSpace::Q_COMPLEX_TYPE
    {27, 98, 777},	// QGlobalSpace::Q_DUMMY_TYPE
    {27, 99, 776},	// QGlobalSpace::Q_MOVABLE_TYPE
    {27, 100, 774},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {27, 101, 775},	// QGlobalSpace::Q_STATIC_TYPE
    {27, 102, 785},	// QGlobalSpace::QtCriticalMsg
    {27, 103, 783},	// QGlobalSpace::QtDebugMsg
    {27, 104, 786},	// QGlobalSpace::QtFatalMsg
    {27, 105, 787},	// QGlobalSpace::QtSystemMsg
    {27, 106, 784},	// QGlobalSpace::QtWarningMsg
    {27, 182, -17},	// QGlobalSpace::operator!=##
    {27, 183, -38},	// QGlobalSpace::operator!=#$
    {27, 184, -44},	// QGlobalSpace::operator!=$#
    {27, 185, 410},	// QGlobalSpace::operator!=$$
    {27, 187, 1},	// QGlobalSpace::operator&##
    {27, 189, -51},	// QGlobalSpace::operator*##
    {27, 190, -81},	// QGlobalSpace::operator*#$
    {27, 191, -92},	// QGlobalSpace::operator*$#
    {27, 193, -102},	// QGlobalSpace::operator+##
    {27, 194, -113},	// QGlobalSpace::operator+#$
    {27, 195, -119},	// QGlobalSpace::operator+$#
    {27, 196, -124},	// QGlobalSpace::operator+$$
    {27, 198, -130},	// QGlobalSpace::operator-#
    {27, 199, -138},	// QGlobalSpace::operator-##
    {27, 200, 770},	// QGlobalSpace::operator-#$
    {27, 202, -148},	// QGlobalSpace::operator/#$
    {27, 204, -159},	// QGlobalSpace::operator<##
    {27, 205, 133},	// QGlobalSpace::operator<#$
    {27, 206, -164},	// QGlobalSpace::operator<$#
    {27, 207, 409},	// QGlobalSpace::operator<$$
    {27, 209, -167},	// QGlobalSpace::operator<<##
    {27, 210, -259},	// QGlobalSpace::operator<<#$
    {27, 211, 121},	// QGlobalSpace::operator<<#?
    {27, 213, -270},	// QGlobalSpace::operator<=##
    {27, 214, 331},	// QGlobalSpace::operator<=#$
    {27, 215, -275},	// QGlobalSpace::operator<=$#
    {27, 216, 188},	// QGlobalSpace::operator<=$$
    {27, 218, -278},	// QGlobalSpace::operator==##
    {27, 219, -300},	// QGlobalSpace::operator==#$
    {27, 220, -307},	// QGlobalSpace::operator==$#
    {27, 221, 691},	// QGlobalSpace::operator==$$
    {27, 223, -315},	// QGlobalSpace::operator>##
    {27, 224, 604},	// QGlobalSpace::operator>#$
    {27, 225, -320},	// QGlobalSpace::operator>$#
    {27, 226, 600},	// QGlobalSpace::operator>$$
    {27, 228, -323},	// QGlobalSpace::operator>=##
    {27, 229, 504},	// QGlobalSpace::operator>=#$
    {27, 230, -328},	// QGlobalSpace::operator>=$#
    {27, 231, 720},	// QGlobalSpace::operator>=$$
    {27, 233, -331},	// QGlobalSpace::operator>>##
    {27, 234, -382},	// QGlobalSpace::operator>>#$
    {27, 235, 565},	// QGlobalSpace::operator>>#?
    {27, 237, 345},	// QGlobalSpace::operator^##
    {27, 239, 422},	// QGlobalSpace::operator|##
    {27, 240, -385},	// QGlobalSpace::operator|$$
    {27, 249, 721},	// QGlobalSpace::qAccessibleActionCastHelper
    {27, 250, 587},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {27, 251, 380},	// QGlobalSpace::qAccessibleImageCastHelper
    {27, 252, 405},	// QGlobalSpace::qAccessibleTableCastHelper
    {27, 253, 199},	// QGlobalSpace::qAccessibleTextCastHelper
    {27, 254, 494},	// QGlobalSpace::qAccessibleValueCastHelper
    {27, 256, 368},	// QGlobalSpace::qAcos$
    {27, 258, 323},	// QGlobalSpace::qAddPostRoutine$
    {27, 260, 74},	// QGlobalSpace::qAlpha$
    {27, 261, 293},	// QGlobalSpace::qAppName
    {27, 263, 532},	// QGlobalSpace::qAsin$
    {27, 265, 95},	// QGlobalSpace::qAtan$
    {27, 267, 307},	// QGlobalSpace::qAtan2$$
    {27, 268, 759},	// QGlobalSpace::qBadAlloc
    {27, 270, 724},	// QGlobalSpace::qBlue$
    {27, 272, 48},	// QGlobalSpace::qCeil$
    {27, 274, 346},	// QGlobalSpace::qChecksum$$
    {27, 276, 312},	// QGlobalSpace::qCompress#
    {27, 277, 311},	// QGlobalSpace::qCompress#$
    {27, 278, 630},	// QGlobalSpace::qCompress$$
    {27, 279, 629},	// QGlobalSpace::qCompress$$$
    {27, 281, 120},	// QGlobalSpace::qCos$
    {27, 282, 2},	// QGlobalSpace::qCritical
    {27, 283, 639},	// QGlobalSpace::qDebug
    {27, 285, 643},	// QGlobalSpace::qDrawBorderPixmap####
    {27, 286, 340},	// QGlobalSpace::qDrawBorderPixmap######
    {27, 287, 341},	// QGlobalSpace::qDrawBorderPixmap#######
    {27, 288, 339},	// QGlobalSpace::qDrawBorderPixmap#######$
    {27, 290, 510},	// QGlobalSpace::qDrawPixmaps##$#
    {27, 291, 509},	// QGlobalSpace::qDrawPixmaps##$#$
    {27, 293, 320},	// QGlobalSpace::qDrawPlainRect###
    {27, 294, 321},	// QGlobalSpace::qDrawPlainRect###$
    {27, 295, 319},	// QGlobalSpace::qDrawPlainRect###$#
    {27, 296, 300},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {27, 297, 301},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {27, 298, 299},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {27, 300, 654},	// QGlobalSpace::qDrawShadeLine####
    {27, 301, 655},	// QGlobalSpace::qDrawShadeLine####$
    {27, 302, 656},	// QGlobalSpace::qDrawShadeLine####$$
    {27, 303, 653},	// QGlobalSpace::qDrawShadeLine####$$$
    {27, 304, 568},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {27, 305, 569},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {27, 306, 570},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {27, 307, 567},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {27, 309, 81},	// QGlobalSpace::qDrawShadePanel###
    {27, 310, 82},	// QGlobalSpace::qDrawShadePanel###$
    {27, 311, 83},	// QGlobalSpace::qDrawShadePanel###$$
    {27, 312, 80},	// QGlobalSpace::qDrawShadePanel###$$#
    {27, 313, 230},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {27, 314, 231},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {27, 315, 232},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {27, 316, 229},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {27, 318, 274},	// QGlobalSpace::qDrawShadeRect###
    {27, 319, 275},	// QGlobalSpace::qDrawShadeRect###$
    {27, 320, 276},	// QGlobalSpace::qDrawShadeRect###$$
    {27, 321, 277},	// QGlobalSpace::qDrawShadeRect###$$$
    {27, 322, 273},	// QGlobalSpace::qDrawShadeRect###$$$#
    {27, 323, 116},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {27, 324, 117},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {27, 325, 118},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {27, 326, 119},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {27, 327, 115},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {27, 329, 245},	// QGlobalSpace::qDrawWinButton###
    {27, 330, 246},	// QGlobalSpace::qDrawWinButton###$
    {27, 331, 244},	// QGlobalSpace::qDrawWinButton###$#
    {27, 332, 109},	// QGlobalSpace::qDrawWinButton#$$$$#
    {27, 333, 110},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {27, 334, 108},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {27, 336, 660},	// QGlobalSpace::qDrawWinPanel###
    {27, 337, 661},	// QGlobalSpace::qDrawWinPanel###$
    {27, 338, 659},	// QGlobalSpace::qDrawWinPanel###$#
    {27, 339, 707},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {27, 340, 708},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {27, 341, 706},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {27, 343, 328},	// QGlobalSpace::qExp$
    {27, 345, 26},	// QGlobalSpace::qFabs$
    {27, 347, 694},	// QGlobalSpace::qFastCos$
    {27, 349, 743},	// QGlobalSpace::qFastSin$
    {27, 351, 502},	// QGlobalSpace::qFlagLocation$
    {27, 353, 473},	// QGlobalSpace::qFloor$
    {27, 355, 609},	// QGlobalSpace::qFree$
    {27, 357, 261},	// QGlobalSpace::qFreeAligned$
    {27, 359, -614},	// QGlobalSpace::qFuzzyCompare##
    {27, 360, -622},	// QGlobalSpace::qFuzzyCompare$$
    {27, 362, -625},	// QGlobalSpace::qFuzzyIsNull$
    {27, 364, 50},	// QGlobalSpace::qGray$
    {27, 365, 143},	// QGlobalSpace::qGray$$$
    {27, 367, 78},	// QGlobalSpace::qGreen$
    {27, 369, -628},	// QGlobalSpace::qHash#
    {27, 370, -636},	// QGlobalSpace::qHash$
    {27, 371, -647},	// QGlobalSpace::qHash?
    {27, 372, 513},	// QGlobalSpace::qInf
    {27, 374, 236},	// QGlobalSpace::qInstallMsgHandler$
    {27, 376, -650},	// QGlobalSpace::qIntCast$
    {27, 378, -653},	// QGlobalSpace::qIsFinite$
    {27, 380, 432},	// QGlobalSpace::qIsGray$
    {27, 382, -656},	// QGlobalSpace::qIsInf$
    {27, 384, -659},	// QGlobalSpace::qIsNaN$
    {27, 386, -662},	// QGlobalSpace::qIsNull$
    {27, 388, 563},	// QGlobalSpace::qLn$
    {27, 390, 767},	// QGlobalSpace::qMalloc?
    {27, 392, 625},	// QGlobalSpace::qMallocAligned??
    {27, 394, 503},	// QGlobalSpace::qMemCopy$$?
    {27, 396, 306},	// QGlobalSpace::qMemSet$$?
    {27, 398, 674},	// QGlobalSpace::qPow$$
    {27, 399, 30},	// QGlobalSpace::qQNaN
    {27, 401, 400},	// QGlobalSpace::qRealloc$?
    {27, 403, 282},	// QGlobalSpace::qReallocAligned$???
    {27, 405, 59},	// QGlobalSpace::qRed$
    {27, 407, 102},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {27, 409, 496},	// QGlobalSpace::qRemovePostRoutine$
    {27, 411, 471},	// QGlobalSpace::qRgb$$$
    {27, 413, 761},	// QGlobalSpace::qRgba$$$$
    {27, 415, 419},	// QGlobalSpace::qRound$
    {27, 417, 618},	// QGlobalSpace::qRound64$
    {27, 418, 733},	// QGlobalSpace::qSNaN
    {27, 420, 549},	// QGlobalSpace::qSetFieldWidth$
    {27, 422, 226},	// QGlobalSpace::qSetPadChar#
    {27, 424, 529},	// QGlobalSpace::qSetRealNumberPrecision$
    {27, 425, 233},	// QGlobalSpace::qSharedBuild
    {27, 427, 531},	// QGlobalSpace::qSin$
    {27, 429, 452},	// QGlobalSpace::qSqrt$
    {27, 431, 271},	// QGlobalSpace::qStringComparisonHelper#$
    {27, 432, 680},	// QGlobalSpace::qStringComparisonHelper$$
    {27, 434, 648},	// QGlobalSpace::qTan$
    {27, 436, 525},	// QGlobalSpace::qUncompress#
    {27, 437, 739},	// QGlobalSpace::qUncompress$$
    {27, 438, 38},	// QGlobalSpace::qVersion
    {27, 439, 140},	// QGlobalSpace::qWarning
    {27, 441, 96},	// QGlobalSpace::qbswap_helper$$$
    {27, 443, 357},	// QGlobalSpace::qgetenv$
    {27, 445, 268},	// QGlobalSpace::qputenv$#
    {27, 446, 49},	// QGlobalSpace::qrand
    {27, 448, 124},	// QGlobalSpace::qsrand$
    {27, 450, 223},	// QGlobalSpace::qstrcmp##
    {27, 451, 227},	// QGlobalSpace::qstrcmp#$
    {27, 452, 645},	// QGlobalSpace::qstrcmp$#
    {27, 453, 455},	// QGlobalSpace::qstrcmp$$
    {27, 455, 23},	// QGlobalSpace::qstrcpy$$
    {27, 457, 633},	// QGlobalSpace::qstrdup$
    {27, 459, 534},	// QGlobalSpace::qstricmp$$
    {27, 461, 571},	// QGlobalSpace::qstrlen$
    {27, 463, 272},	// QGlobalSpace::qstrncmp$$$
    {27, 465, 383},	// QGlobalSpace::qstrncpy$$$
    {27, 467, 206},	// QGlobalSpace::qstrnicmp$$$
    {27, 469, 468},	// QGlobalSpace::qstrnlen$$
    {27, 471, 754},	// QGlobalSpace::qtTrId$
    {27, 472, 753},	// QGlobalSpace::qtTrId$$
    {27, 474, 5},	// QGlobalSpace::qt_assert$$$
    {27, 476, 408},	// QGlobalSpace::qt_assert_x$$$$
    {27, 478, 214},	// QGlobalSpace::qt_check_pointer$$
    {27, 479, 396},	// QGlobalSpace::qt_error_string
    {27, 480, 395},	// QGlobalSpace::qt_error_string$
    {27, 482, 687},	// QGlobalSpace::qt_message_output$$
    {27, 487, 545},	// QGlobalSpace::qt_noop
    {27, 489, 238},	// QGlobalSpace::qt_qFindChild_helper#$#
    {27, 491, 597},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {27, 493, 99},	// QGlobalSpace::qvariant_cast_helper#$$
    {27, 495, 541},	// QGlobalSpace::qvsnprintf$?$?
    {35, 83, 904},	// QGraphicsSvgItem::QGraphicsSvgItem
    {35, 84, 889},	// QGraphicsSvgItem::QGraphicsSvgItem#
    {35, 85, 905},	// QGraphicsSvgItem::QGraphicsSvgItem$
    {35, 86, 890},	// QGraphicsSvgItem::QGraphicsSvgItem$#
    {35, 108, 908},	// QGraphicsSvgItem::Type
    {35, 115, 899},	// QGraphicsSvgItem::boundingRect
    {35, 138, 894},	// QGraphicsSvgItem::elementId
    {35, 157, 896},	// QGraphicsSvgItem::isCachingEnabled
    {35, 170, 898},	// QGraphicsSvgItem::maximumCacheSize
    {35, 171, 882},	// QGraphicsSvgItem::metaObject
    {35, 243, 906},	// QGraphicsSvgItem::paint##
    {35, 244, 900},	// QGraphicsSvgItem::paint###
    {35, 484, 888},	// QGraphicsSvgItem::qt_metacall$$?
    {35, 486, 883},	// QGraphicsSvgItem::qt_metacast$
    {35, 501, 892},	// QGraphicsSvgItem::renderer
    {35, 508, 895},	// QGraphicsSvgItem::setCachingEnabled$
    {35, 514, 893},	// QGraphicsSvgItem::setElementId$
    {35, 521, 897},	// QGraphicsSvgItem::setMaximumCacheSize#
    {35, 527, 891},	// QGraphicsSvgItem::setSharedRenderer#
    {35, 539, 907},	// QGraphicsSvgItem::staticMetaObject
    {35, 546, 902},	// QGraphicsSvgItem::tr$
    {35, 547, 884},	// QGraphicsSvgItem::tr$$
    {35, 548, 886},	// QGraphicsSvgItem::tr$$$
    {35, 550, 903},	// QGraphicsSvgItem::trUtf8$
    {35, 551, 885},	// QGraphicsSvgItem::trUtf8$$
    {35, 552, 887},	// QGraphicsSvgItem::trUtf8$$$
    {35, 553, 901},	// QGraphicsSvgItem::type
    {35, 559, 909},	// QGraphicsSvgItem::~QGraphicsSvgItem
    {90, 87, 928},	// QSvgGenerator::QSvgGenerator
    {90, 129, 931},	// QSvgGenerator::description
    {90, 144, 939},	// QSvgGenerator::fileName
    {90, 173, 946},	// QSvgGenerator::metric$
    {90, 241, 941},	// QSvgGenerator::outputDevice
    {90, 245, 945},	// QSvgGenerator::paintEngine
    {90, 504, 944},	// QSvgGenerator::resolution
    {90, 512, 932},	// QSvgGenerator::setDescription$
    {90, 517, 940},	// QSvgGenerator::setFileName$
    {90, 523, 942},	// QSvgGenerator::setOutputDevice#
    {90, 525, 943},	// QSvgGenerator::setResolution$
    {90, 529, 934},	// QSvgGenerator::setSize#
    {90, 531, 930},	// QSvgGenerator::setTitle$
    {90, 533, -14},	// QSvgGenerator::setViewBox#
    {90, 537, 933},	// QSvgGenerator::size
    {90, 544, 929},	// QSvgGenerator::title
    {90, 554, 935},	// QSvgGenerator::viewBox
    {90, 555, 936},	// QSvgGenerator::viewBoxF
    {90, 560, 947},	// QSvgGenerator::~QSvgGenerator
    {91, 88, 983},	// QSvgRenderer::QSvgRenderer
    {91, 89, -1},	// QSvgRenderer::QSvgRenderer#
    {91, 90, -5},	// QSvgRenderer::QSvgRenderer##
    {91, 91, 984},	// QSvgRenderer::QSvgRenderer$
    {91, 92, 956},	// QSvgRenderer::QSvgRenderer$#
    {91, 113, 965},	// QSvgRenderer::animated
    {91, 114, 970},	// QSvgRenderer::animationDuration
    {91, 117, 971},	// QSvgRenderer::boundsOnElement$
    {91, 126, 968},	// QSvgRenderer::currentFrame
    {91, 128, 960},	// QSvgRenderer::defaultSize
    {91, 137, 972},	// QSvgRenderer::elementExists$
    {91, 149, 966},	// QSvgRenderer::framesPerSecond
    {91, 159, 959},	// QSvgRenderer::isValid
    {91, 166, -8},	// QSvgRenderer::load#
    {91, 167, 974},	// QSvgRenderer::load$
    {91, 169, 973},	// QSvgRenderer::matrixForElement$
    {91, 171, 948},	// QSvgRenderer::metaObject
    {91, 484, 954},	// QSvgRenderer::qt_metacall$$?
    {91, 486, 949},	// QSvgRenderer::qt_metacast$
    {91, 497, 977},	// QSvgRenderer::render#
    {91, 498, 978},	// QSvgRenderer::render##
    {91, 499, 987},	// QSvgRenderer::render#$
    {91, 500, 979},	// QSvgRenderer::render#$#
    {91, 502, 980},	// QSvgRenderer::repaintNeeded
    {91, 510, 969},	// QSvgRenderer::setCurrentFrame$
    {91, 519, 967},	// QSvgRenderer::setFramesPerSecond$
    {91, 533, -11},	// QSvgRenderer::setViewBox#
    {91, 539, 988},	// QSvgRenderer::staticMetaObject
    {91, 546, 981},	// QSvgRenderer::tr$
    {91, 547, 950},	// QSvgRenderer::tr$$
    {91, 548, 952},	// QSvgRenderer::tr$$$
    {91, 550, 982},	// QSvgRenderer::trUtf8$
    {91, 551, 951},	// QSvgRenderer::trUtf8$$
    {91, 552, 953},	// QSvgRenderer::trUtf8$$$
    {91, 554, 961},	// QSvgRenderer::viewBox
    {91, 555, 962},	// QSvgRenderer::viewBoxF
    {91, 561, 989},	// QSvgRenderer::~QSvgRenderer
    {92, 93, 1006},	// QSvgWidget::QSvgWidget
    {92, 94, 997},	// QSvgWidget::QSvgWidget#
    {92, 95, 1007},	// QSvgWidget::QSvgWidget$
    {92, 96, 998},	// QSvgWidget::QSvgWidget$#
    {92, 166, 1002},	// QSvgWidget::load#
    {92, 167, 1001},	// QSvgWidget::load$
    {92, 171, 990},	// QSvgWidget::metaObject
    {92, 247, 1003},	// QSvgWidget::paintEvent#
    {92, 484, 996},	// QSvgWidget::qt_metacall$$?
    {92, 486, 991},	// QSvgWidget::qt_metacast$
    {92, 501, 999},	// QSvgWidget::renderer
    {92, 538, 1000},	// QSvgWidget::sizeHint
    {92, 539, 1008},	// QSvgWidget::staticMetaObject
    {92, 546, 1004},	// QSvgWidget::tr$
    {92, 547, 992},	// QSvgWidget::tr$$
    {92, 548, 994},	// QSvgWidget::tr$$$
    {92, 550, 1005},	// QSvgWidget::trUtf8$
    {92, 551, 993},	// QSvgWidget::trUtf8$$
    {92, 552, 995},	// QSvgWidget::trUtf8$$$
    {92, 562, 1009},	// QSvgWidget::~QSvgWidget
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtsvg_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtsvg_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtsvg_Smoke = new Smoke(
        "qtsvg",
        __smokeqtsvg::classes, 114,
        __smokeqtsvg::methods, 1054,
        __smokeqtsvg::methodMaps, 338,
        __smokeqtsvg::methodNames, 562,
        __smokeqtsvg::types, 482,
        __smokeqtsvg::inheritanceList,
        __smokeqtsvg::argumentList,
        __smokeqtsvg::ambiguousMethodList,
        __smokeqtsvg::cast );
    initialized = true;
}

void delete_qtsvg_Smoke() { delete qtsvg_Smoke; }

}
