#include <qtwebkit_includes.h>

#include <smoke.h>
#include <qtwebkit_smoke.h>

namespace __smokeqtwebkit {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAction
      switch(to) {
        case 1: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChildEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 5: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QCloseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 6: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 7:   //QContextMenuEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 7: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDateTime
      switch(to) {
        case 8: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 9:   //QDragEnterEvent
      switch(to) {
        case 11: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 12: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 9: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragLeaveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 10: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDragMoveEvent
      switch(to) {
        case 12: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 11: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QDropEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 12: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QEvent
      switch(to) {
        case 13: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFocusEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 14: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFont
      switch(to) {
        case 15: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 17:   //QHideEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 17: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QIcon
      switch(to) {
        case 18: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 19:   //QIncompatibleFlag
      switch(to) {
        case 19: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 20:   //QInputMethodEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 20: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QKeyEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 21: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QMenu
      switch(to) {
        case 22: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 23:   //QMetaObject
      switch(to) {
        case 23: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 24:   //QMouseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 24: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QMoveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 25: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QNetworkAccessManager
      switch(to) {
        case 29: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 26: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 27:   //QNetworkReply
      switch(to) {
        case 29: return (void*)(QObject*)(QNetworkReply*)xptr;
        case 27: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 28:   //QNetworkRequest
      switch(to) {
        case 28: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 29:   //QObject
      switch(to) {
        case 29: return (void*)(QObject*)xptr;
        case 76: return (void*)(QWebView*)(QObject*)xptr;
        case 54: return (void*)(QWebFrame*)(QObject*)xptr;
        case 60: return (void*)(QWebPage*)(QObject*)xptr;
        case 68: return (void*)(QWebPluginFactory*)(QObject*)xptr;
        case 56: return (void*)(QWebHistoryInterface*)(QObject*)xptr;
        case 59: return (void*)(QWebInspector*)(QObject*)xptr;
        default: return xptr;
      }
    case 30:   //QPaintEngine
      switch(to) {
        case 30: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 31:   //QPaintEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 31: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QPainter
      switch(to) {
        case 32: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 33:   //QPalette
      switch(to) {
        case 33: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 34:   //QPixmap
      switch(to) {
        case 34: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 35:   //QPoint
      switch(to) {
        case 35: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 36:   //QPrinter
      switch(to) {
        case 36: return (void*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 37:   //QRect
      switch(to) {
        case 37: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 38:   //QRegExp
      switch(to) {
        case 38: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 39:   //QRegion
      switch(to) {
        case 39: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 40:   //QResizeEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 40: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QShowEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 41: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QSize
      switch(to) {
        case 42: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 43:   //QStyle
      switch(to) {
        case 43: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 44:   //QTabletEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 44: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QTimerEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 45: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QUndoStack
      switch(to) {
        case 46: return (void*)(QUndoStack*)xptr;
        default: return xptr;
      }
    case 47:   //QUrl
      switch(to) {
        case 47: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 48:   //QVariant
      switch(to) {
        case 48: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 49:   //QWebDatabase
      switch(to) {
        case 49: return (void*)(QWebDatabase*)xptr;
        default: return xptr;
      }
    case 50:   //QWebElement
      switch(to) {
        case 50: return (void*)(QWebElement*)xptr;
        default: return xptr;
      }
    case 51:   //QWebElementCollection
      switch(to) {
        case 51: return (void*)(QWebElementCollection*)xptr;
        default: return xptr;
      }
    case 52:   //QWebElementCollection::const_iterator
      switch(to) {
        case 52: return (void*)(QWebElementCollection::const_iterator*)xptr;
        default: return xptr;
      }
    case 53:   //QWebElementCollection::iterator
      switch(to) {
        case 53: return (void*)(QWebElementCollection::iterator*)xptr;
        default: return xptr;
      }
    case 54:   //QWebFrame
      switch(to) {
        case 29: return (void*)(QObject*)(QWebFrame*)xptr;
        case 54: return (void*)(QWebFrame*)xptr;
        default: return xptr;
      }
    case 55:   //QWebHistory
      switch(to) {
        case 55: return (void*)(QWebHistory*)xptr;
        default: return xptr;
      }
    case 56:   //QWebHistoryInterface
      switch(to) {
        case 29: return (void*)(QObject*)(QWebHistoryInterface*)xptr;
        case 56: return (void*)(QWebHistoryInterface*)xptr;
        default: return xptr;
      }
    case 57:   //QWebHistoryItem
      switch(to) {
        case 57: return (void*)(QWebHistoryItem*)xptr;
        default: return xptr;
      }
    case 58:   //QWebHitTestResult
      switch(to) {
        case 58: return (void*)(QWebHitTestResult*)xptr;
        default: return xptr;
      }
    case 59:   //QWebInspector
      switch(to) {
        case 78: return (void*)(QWidget*)(QWebInspector*)xptr;
        case 29: return (void*)(QObject*)(QWebInspector*)xptr;
        case 59: return (void*)(QWebInspector*)xptr;
        default: return xptr;
      }
    case 60:   //QWebPage
      switch(to) {
        case 29: return (void*)(QObject*)(QWebPage*)xptr;
        case 60: return (void*)(QWebPage*)xptr;
        default: return xptr;
      }
    case 61:   //QWebPage::ChooseMultipleFilesExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        default: return xptr;
      }
    case 62:   //QWebPage::ChooseMultipleFilesExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        case 62: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        default: return xptr;
      }
    case 63:   //QWebPage::ErrorPageExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ErrorPageExtensionOption*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionOption*)xptr;
        default: return xptr;
      }
    case 64:   //QWebPage::ErrorPageExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        case 64: return (void*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        default: return xptr;
      }
    case 65:   //QWebPage::ExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 66:   //QWebPage::ExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)xptr;
        case 64: return (void*)(QWebPage::ErrorPageExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        case 62: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 67:   //QWebPagePrivate
      switch(to) {
        case 67: return (void*)(QWebPagePrivate*)xptr;
        default: return xptr;
      }
    case 68:   //QWebPluginFactory
      switch(to) {
        case 29: return (void*)(QObject*)(QWebPluginFactory*)xptr;
        case 68: return (void*)(QWebPluginFactory*)xptr;
        default: return xptr;
      }
    case 69:   //QWebPluginFactory::ExtensionOption
      switch(to) {
        case 69: return (void*)(QWebPluginFactory::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 70:   //QWebPluginFactory::ExtensionReturn
      switch(to) {
        case 70: return (void*)(QWebPluginFactory::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 71:   //QWebPluginFactory::MimeType
      switch(to) {
        case 71: return (void*)(QWebPluginFactory::MimeType*)xptr;
        default: return xptr;
      }
    case 72:   //QWebPluginFactory::Plugin
      switch(to) {
        case 72: return (void*)(QWebPluginFactory::Plugin*)xptr;
        default: return xptr;
      }
    case 73:   //QWebSecurityOrigin
      switch(to) {
        case 73: return (void*)(QWebSecurityOrigin*)xptr;
        default: return xptr;
      }
    case 74:   //QWebSettings
      switch(to) {
        case 74: return (void*)(QWebSettings*)xptr;
        default: return xptr;
      }
    case 75:   //QWebSettingsPrivate
      switch(to) {
        case 75: return (void*)(QWebSettingsPrivate*)xptr;
        default: return xptr;
      }
    case 76:   //QWebView
      switch(to) {
        case 78: return (void*)(QWidget*)(QWebView*)xptr;
        case 29: return (void*)(QObject*)(QWebView*)xptr;
        case 76: return (void*)(QWebView*)xptr;
        default: return xptr;
      }
    case 77:   //QWheelEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 77: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QWidget
      switch(to) {
        case 29: return (void*)(QObject*)(QWidget*)xptr;
        case 78: return (void*)(QWidget*)xptr;
        case 76: return (void*)(QWebView*)(QWidget*)xptr;
        case 59: return (void*)(QWebInspector*)(QWidget*)xptr;
        default: return xptr;
      }
    case 79:   //std::bidirectional_iterator_tag
      switch(to) {
        case 79: return (void*)(std::bidirectional_iterator_tag*)xptr;
        default: return xptr;
      }
    case 80:   //std::random_access_iterator_tag
      switch(to) {
        case 80: return (void*)(std::random_access_iterator_tag*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    29, 0,	// 1: QObject
    78, 0,	// 3: QWidget
    65, 0,	// 5: QWebPage::ExtensionOption
    66, 0,	// 7: QWebPage::ExtensionReturn
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebElement(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebFrame(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPluginFactory(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElement(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__const_iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebFrame(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHitTestResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebInspector(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__MimeType(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSecurityOrigin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSettings(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebView(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAction", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//8
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFont", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//16
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QIcon", true, 0, 0, 0, 0, 0 },	//18
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//19
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QMenu", true, 0, 0, 0, 0, 0 },	//22
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//23
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QNetworkAccessManager", true, 0, 0, 0, 0, 0 },	//26
    { "QNetworkReply", true, 0, 0, 0, 0, 0 },	//27
    { "QNetworkRequest", true, 0, 0, 0, 0, 0 },	//28
    { "QObject", true, 0, 0, 0, 0, 0 },	//29
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//30
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QPainter", true, 0, 0, 0, 0, 0 },	//32
    { "QPalette", true, 0, 0, 0, 0, 0 },	//33
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//34
    { "QPoint", true, 0, 0, 0, 0, 0 },	//35
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//36
    { "QRect", true, 0, 0, 0, 0, 0 },	//37
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//38
    { "QRegion", true, 0, 0, 0, 0, 0 },	//39
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QSize", true, 0, 0, 0, 0, 0 },	//42
    { "QStyle", true, 0, 0, 0, 0, 0 },	//43
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QUndoStack", true, 0, 0, 0, 0, 0 },	//46
    { "QUrl", true, 0, 0, 0, 0, 0 },	//47
    { "QVariant", true, 0, 0, 0, 0, 0 },	//48
    { "QWebDatabase", false, 0, xcall_QWebDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebDatabase) },	//49
    { "QWebElement", false, 0, xcall_QWebElement, xenum_QWebElement, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElement) },	//50
    { "QWebElementCollection", false, 0, xcall_QWebElementCollection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection) },	//51
    { "QWebElementCollection::const_iterator", false, 0, xcall_QWebElementCollection__const_iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::const_iterator) },	//52
    { "QWebElementCollection::iterator", false, 0, xcall_QWebElementCollection__iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::iterator) },	//53
    { "QWebFrame", false, 1, xcall_QWebFrame, xenum_QWebFrame, Smoke::cf_virtual, sizeof(QWebFrame) },	//54
    { "QWebHistory", false, 0, xcall_QWebHistory, 0, 0, sizeof(QWebHistory) },	//55
    { "QWebHistoryInterface", false, 1, xcall_QWebHistoryInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebHistoryInterface) },	//56
    { "QWebHistoryItem", false, 0, xcall_QWebHistoryItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHistoryItem) },	//57
    { "QWebHitTestResult", false, 0, xcall_QWebHitTestResult, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHitTestResult) },	//58
    { "QWebInspector", false, 3, xcall_QWebInspector, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebInspector) },	//59
    { "QWebPage", false, 1, xcall_QWebPage, xenum_QWebPage, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPage) },	//60
    { "QWebPage::ChooseMultipleFilesExtensionOption", false, 5, xcall_QWebPage__ChooseMultipleFilesExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionOption) },	//61
    { "QWebPage::ChooseMultipleFilesExtensionReturn", false, 7, xcall_QWebPage__ChooseMultipleFilesExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionReturn) },	//62
    { "QWebPage::ErrorPageExtensionOption", false, 5, xcall_QWebPage__ErrorPageExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionOption) },	//63
    { "QWebPage::ErrorPageExtensionReturn", false, 7, xcall_QWebPage__ErrorPageExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionReturn) },	//64
    { "QWebPage::ExtensionOption", false, 0, xcall_QWebPage__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionOption) },	//65
    { "QWebPage::ExtensionReturn", false, 0, xcall_QWebPage__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionReturn) },	//66
    { "QWebPagePrivate", true, 0, 0, 0, 0, 0 },	//67
    { "QWebPluginFactory", false, 1, xcall_QWebPluginFactory, xenum_QWebPluginFactory, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPluginFactory) },	//68
    { "QWebPluginFactory::ExtensionOption", false, 0, xcall_QWebPluginFactory__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionOption) },	//69
    { "QWebPluginFactory::ExtensionReturn", false, 0, xcall_QWebPluginFactory__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionReturn) },	//70
    { "QWebPluginFactory::MimeType", false, 0, xcall_QWebPluginFactory__MimeType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::MimeType) },	//71
    { "QWebPluginFactory::Plugin", false, 0, xcall_QWebPluginFactory__Plugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::Plugin) },	//72
    { "QWebSecurityOrigin", false, 0, xcall_QWebSecurityOrigin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebSecurityOrigin) },	//73
    { "QWebSettings", false, 0, xcall_QWebSettings, xenum_QWebSettings, 0, sizeof(QWebSettings) },	//74
    { "QWebSettingsPrivate", true, 0, 0, 0, 0, 0 },	//75
    { "QWebView", false, 3, xcall_QWebView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebView) },	//76
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QWidget", true, 0, 0, 0, 0, 0 },	//78
    { "std::bidirectional_iterator_tag", true, 0, 0, 0, 0, 0 },	//79
    { "std::random_access_iterator_tag", true, 0, 0, 0, 0, 0 },	//80
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//4
    { "QChildEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QCloseEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QContextMenuEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDateTime", 8, Smoke::t_class|Smoke::tf_stack },	//8
    { "QDragEnterEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDragLeaveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QDragMoveEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QDrawPixmaps::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//13
    { "QDropEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//16
    { "QFlags<QWebPage::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//17
    { "QFlags<QtConcurrent::ReduceOptions::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//18
    { "QFocusEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QHideEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QIcon", 18, Smoke::t_class|Smoke::tf_stack },	//21
    { "QIncompatibleFlag", 19, Smoke::t_class|Smoke::tf_stack },	//22
    { "QInputMethodEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QKeyEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QList<QWebDatabase>", 0, Smoke::t_voidp|Smoke::tf_stack },	//25
    { "QList<QWebElement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//26
    { "QList<QWebFrame*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//27
    { "QList<QWebHistoryItem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//28
    { "QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//29
    { "QList<QWebPluginFactory::Plugin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//30
    { "QList<QWebSecurityOrigin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//31
    { "QMenu*", 22, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QMetaObject::Call", 23, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QMouseEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QMoveEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//35
    { "QMultiMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//36
    { "QNetworkAccessManager*", 26, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QNetworkAccessManager::Operation", 26, Smoke::t_enum|Smoke::tf_stack },	//38
    { "QNetworkReply*", 27, Smoke::t_class|Smoke::tf_ptr },	//39
    { "QObject*", 29, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "QPaintEngine*", 30, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QPaintEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QPainter*", 32, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QPainter::RenderHint", 32, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QPalette", 33, Smoke::t_class|Smoke::tf_stack },	//46
    { "QPixmap", 34, Smoke::t_class|Smoke::tf_stack },	//47
    { "QPoint", 35, Smoke::t_class|Smoke::tf_stack },	//48
    { "QPrinter*", 36, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QRect", 37, Smoke::t_class|Smoke::tf_stack },	//50
    { "QRegExp&", 38, Smoke::t_class|Smoke::tf_ref },	//51
    { "QResizeEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QScriptEngine::ValueOwnership", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "QShowEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QSize", 42, Smoke::t_class|Smoke::tf_stack },	//55
    { "QSsl::AlternateNameEntryType", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "QSsl::EncodingFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "QSsl::KeyAlgorithm", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QSsl::KeyType", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "QSsl::SslProtocol", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//61
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//62
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//63
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//64
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//65
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//66
    { "QStyle&", 43, Smoke::t_class|Smoke::tf_ref },	//67
    { "QTabletEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QTimerEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QUndoStack*", 46, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QUrl", 47, Smoke::t_class|Smoke::tf_stack },	//71
    { "QUrl&", 47, Smoke::t_class|Smoke::tf_ref },	//72
    { "QVariant", 48, Smoke::t_class|Smoke::tf_stack },	//73
    { "QWebDatabase&", 49, Smoke::t_class|Smoke::tf_ref },	//74
    { "QWebDatabase*", 49, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QWebElement", 50, Smoke::t_class|Smoke::tf_stack },	//76
    { "QWebElement&", 50, Smoke::t_class|Smoke::tf_ref },	//77
    { "QWebElement*", 50, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QWebElement::StyleResolveStrategy", 50, Smoke::t_enum|Smoke::tf_stack },	//79
    { "QWebElementCollection", 51, Smoke::t_class|Smoke::tf_stack },	//80
    { "QWebElementCollection&", 51, Smoke::t_class|Smoke::tf_ref },	//81
    { "QWebElementCollection*", 51, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QWebElementCollection::const_iterator", 52, Smoke::t_class|Smoke::tf_stack },	//83
    { "QWebElementCollection::const_iterator&", 52, Smoke::t_class|Smoke::tf_ref },	//84
    { "QWebElementCollection::const_iterator*", 52, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QWebElementCollection::iterator", 53, Smoke::t_class|Smoke::tf_stack },	//86
    { "QWebElementCollection::iterator&", 53, Smoke::t_class|Smoke::tf_ref },	//87
    { "QWebElementCollection::iterator*", 53, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QWebFrame*", 54, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QWebFrame::RenderLayer", 54, Smoke::t_enum|Smoke::tf_stack },	//90
    { "QWebHistory*", 55, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QWebHistoryInterface*", 56, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QWebHistoryItem", 57, Smoke::t_class|Smoke::tf_stack },	//93
    { "QWebHistoryItem&", 57, Smoke::t_class|Smoke::tf_ref },	//94
    { "QWebHistoryItem*", 57, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QWebHitTestResult", 58, Smoke::t_class|Smoke::tf_stack },	//96
    { "QWebHitTestResult&", 58, Smoke::t_class|Smoke::tf_ref },	//97
    { "QWebHitTestResult*", 58, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QWebInspector*", 59, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QWebPage*", 60, Smoke::t_class|Smoke::tf_ptr },	//100
    { "QWebPage::ChooseMultipleFilesExtensionOption*", 61, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QWebPage::ChooseMultipleFilesExtensionReturn*", 62, Smoke::t_class|Smoke::tf_ptr },	//102
    { "QWebPage::ErrorDomain", 60, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QWebPage::ErrorPageExtensionOption*", 63, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QWebPage::ErrorPageExtensionReturn*", 64, Smoke::t_class|Smoke::tf_ptr },	//105
    { "QWebPage::Extension", 60, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QWebPage::ExtensionOption*", 65, Smoke::t_class|Smoke::tf_ptr },	//107
    { "QWebPage::ExtensionReturn*", 66, Smoke::t_class|Smoke::tf_ptr },	//108
    { "QWebPage::FindFlag", 60, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QWebPage::LinkDelegationPolicy", 60, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QWebPage::NavigationType", 60, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QWebPage::WebAction", 60, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QWebPage::WebWindowType", 60, Smoke::t_enum|Smoke::tf_stack },	//113
    { "QWebPagePrivate*", 67, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QWebPluginFactory*", 68, Smoke::t_class|Smoke::tf_ptr },	//115
    { "QWebPluginFactory::Extension", 68, Smoke::t_enum|Smoke::tf_stack },	//116
    { "QWebPluginFactory::ExtensionOption*", 69, Smoke::t_class|Smoke::tf_ptr },	//117
    { "QWebPluginFactory::ExtensionReturn*", 70, Smoke::t_class|Smoke::tf_ptr },	//118
    { "QWebPluginFactory::MimeType*", 71, Smoke::t_class|Smoke::tf_ptr },	//119
    { "QWebPluginFactory::Plugin*", 72, Smoke::t_class|Smoke::tf_ptr },	//120
    { "QWebSecurityOrigin", 73, Smoke::t_class|Smoke::tf_stack },	//121
    { "QWebSecurityOrigin&", 73, Smoke::t_class|Smoke::tf_ref },	//122
    { "QWebSecurityOrigin*", 73, Smoke::t_class|Smoke::tf_ptr },	//123
    { "QWebSettings*", 74, Smoke::t_class|Smoke::tf_ptr },	//124
    { "QWebSettings::FontFamily", 74, Smoke::t_enum|Smoke::tf_stack },	//125
    { "QWebSettings::FontSize", 74, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QWebSettings::WebAttribute", 74, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QWebSettings::WebGraphic", 74, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QWebSettingsPrivate*", 75, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QWebView*", 76, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QWheelEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QWidget*", 78, Smoke::t_class|Smoke::tf_ptr },	//132
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "QtConcurrent::ReduceOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//205
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QtMsgType", 16, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QtValidLicenseForActiveQtModule", 16, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QtValidLicenseForCoreModule", 16, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QtValidLicenseForDBusModule", 16, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QtValidLicenseForDeclarativeModule", 16, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QtValidLicenseForGuiModule", 16, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QtValidLicenseForHelpModule", 16, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QtValidLicenseForMultimediaModule", 16, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QtValidLicenseForNetworkModule", 16, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QtValidLicenseForOpenGLModule", 16, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QtValidLicenseForOpenVGModule", 16, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QtValidLicenseForQt3SupportLightModule", 16, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QtValidLicenseForQt3SupportModule", 16, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QtValidLicenseForScriptModule", 16, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QtValidLicenseForScriptToolsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QtValidLicenseForSqlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QtValidLicenseForSvgModule", 16, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QtValidLicenseForTestModule", 16, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QtValidLicenseForXmlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QtValidLicenseForXmlPatternsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//226
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//227
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//228
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const QFont&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QMetaObject&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QMetaObject*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//233
    { "const QNetworkRequest&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const QPalette&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QPixmap&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QPoint&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QRect&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QRegExp&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QRegion&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QSize&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//244
    { "const QUrl&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QVariant&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QWebDatabase&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QWebElement", 50, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//248
    { "const QWebElement&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QWebElementCollection&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QWebElementCollection*", 51, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//251
    { "const QWebElementCollection::const_iterator&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QWebElementCollection::iterator&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QWebHistoryItem&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QWebHitTestResult&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QWebPage::ChooseMultipleFilesExtensionOption&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QWebPage::ChooseMultipleFilesExtensionReturn&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QWebPage::ErrorPageExtensionOption&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QWebPage::ErrorPageExtensionReturn&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QWebPage::ExtensionOption&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QWebPage::ExtensionOption*", 65, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//261
    { "const QWebPage::ExtensionReturn&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QWebPluginFactory::ExtensionOption&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QWebPluginFactory::ExtensionOption*", 69, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//264
    { "const QWebPluginFactory::ExtensionReturn&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QWebPluginFactory::MimeType&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QWebPluginFactory::Plugin&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QWebSecurityOrigin&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//269
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//270
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//271
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//272
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//273
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//274
    { "std::bidirectional_iterator_tag", 79, Smoke::t_class|Smoke::tf_stack },	//275
    { "std::forward_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//276
    { "std::random_access_iterator_tag", 80, Smoke::t_class|Smoke::tf_stack },	//277
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//278
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//279
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//280
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//281
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    15, 0,	//1  QEvent*
    40, 15, 0,	//3  QObject*, QEvent*
    69, 0,	//6  QTimerEvent*
    5, 0,	//8  QChildEvent*
    269, 0,	//10  const char*
    247, 0,	//12  const QWebDatabase&
    249, 0,	//14  const QWebElement&
    242, 0,	//16  const QString&
    242, 242, 0,	//18  const QString&, const QString&
    242, 242, 242, 0,	//21  const QString&, const QString&, const QString&
    242, 79, 0,	//25  const QString&, QWebElement::StyleResolveStrategy
    44, 0,	//28  QPainter*
    249, 242, 0,	//30  const QWebElement&, const QString&
    250, 0,	//33  const QWebElementCollection&
    272, 0,	//35  int
    251, 272, 0,	//37  const QWebElementCollection*, int
    252, 0,	//40  const QWebElementCollection::const_iterator&
    83, 0,	//42  QWebElementCollection::const_iterator
    253, 0,	//44  const QWebElementCollection::iterator&
    86, 0,	//46  QWebElementCollection::iterator
    269, 269, 0,	//48  const char*, const char*
    269, 269, 272, 0,	//51  const char*, const char*, int
    33, 272, 280, 0,	//55  QMetaObject::Call, int, void**
    245, 0,	//59  const QUrl&
    234, 38, 229, 0,	//61  const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&
    242, 245, 0,	//65  const QString&, const QUrl&
    229, 242, 245, 0,	//68  const QByteArray&, const QString&, const QUrl&
    242, 40, 0,	//72  const QString&, QObject*
    242, 40, 53, 0,	//75  const QString&, QObject*, QScriptEngine::ValueOwnership
    178, 0,	//79  Qt::Orientation
    178, 182, 0,	//81  Qt::Orientation, Qt::ScrollBarPolicy
    178, 272, 0,	//84  Qt::Orientation, int
    272, 272, 0,	//87  int, int
    237, 0,	//90  const QPoint&
    44, 240, 0,	//92  QPainter*, const QRegion&
    44, 90, 240, 0,	//95  QPainter*, QWebFrame::RenderLayer, const QRegion&
    271, 0,	//99  double
    49, 0,	//101  QPrinter*
    241, 0,	//103  const QSize&
    228, 0,	//105  bool
    234, 0,	//107  const QNetworkRequest&
    234, 38, 0,	//109  const QNetworkRequest&, QNetworkAccessManager::Operation
    229, 0,	//112  const QByteArray&
    229, 242, 0,	//114  const QByteArray&, const QString&
    44, 90, 0,	//117  QPainter*, QWebFrame::RenderLayer
    254, 0,	//120  const QWebHistoryItem&
    40, 0,	//122  QObject*
    92, 0,	//124  QWebHistoryInterface*
    246, 0,	//126  const QVariant&
    255, 0,	//128  const QWebHitTestResult&
    132, 0,	//130  QWidget*
    100, 0,	//132  QWebPage*
    52, 0,	//134  QResizeEvent*
    54, 0,	//136  QShowEvent*
    20, 0,	//138  QHideEvent*
    37, 0,	//140  QNetworkAccessManager*
    115, 0,	//142  QWebPluginFactory*
    112, 0,	//144  QWebPage::WebAction
    112, 228, 0,	//146  QWebPage::WebAction, bool
    166, 0,	//149  Qt::InputMethodQuery
    242, 17, 0,	//151  const QString&, QFlags<QWebPage::FindFlag>
    110, 0,	//154  QWebPage::LinkDelegationPolicy
    235, 0,	//156  const QPalette&
    7, 0,	//158  QContextMenuEvent*
    106, 261, 108, 0,	//160  QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*
    106, 0,	//164  QWebPage::Extension
    89, 0,	//166  QWebFrame*
    238, 0,	//168  const QRect&
    272, 272, 238, 0,	//170  int, int, const QRect&
    39, 0,	//174  QNetworkReply*
    89, 61, 0,	//176  QWebFrame*, QString
    89, 95, 0,	//179  QWebFrame*, QWebHistoryItem*
    113, 0,	//182  QWebPage::WebWindowType
    242, 245, 243, 243, 0,	//184  const QString&, const QUrl&, const QStringList&, const QStringList&
    89, 234, 111, 0,	//189  QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType
    89, 242, 0,	//193  QWebFrame*, const QString&
    89, 242, 242, 63, 0,	//196  QWebFrame*, const QString&, const QString&, QString*
    242, 272, 242, 0,	//201  const QString&, int, const QString&
    106, 261, 0,	//205  QWebPage::Extension, const QWebPage::ExtensionOption*
    256, 0,	//208  const QWebPage::ChooseMultipleFilesExtensionOption&
    243, 0,	//210  const QStringList&
    257, 0,	//212  const QWebPage::ChooseMultipleFilesExtensionReturn&
    258, 0,	//214  const QWebPage::ErrorPageExtensionOption&
    103, 0,	//216  QWebPage::ErrorDomain
    259, 0,	//218  const QWebPage::ErrorPageExtensionReturn&
    260, 0,	//220  const QWebPage::ExtensionOption&
    262, 0,	//222  const QWebPage::ExtensionReturn&
    116, 264, 118, 0,	//224  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*
    116, 0,	//228  QWebPluginFactory::Extension
    116, 264, 0,	//230  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*
    263, 0,	//233  const QWebPluginFactory::ExtensionOption&
    265, 0,	//235  const QWebPluginFactory::ExtensionReturn&
    266, 0,	//237  const QWebPluginFactory::MimeType&
    267, 0,	//239  const QWebPluginFactory::Plugin&
    231, 0,	//241  const QList<QWebPluginFactory::MimeType>&
    274, 0,	//243  long long
    268, 0,	//245  const QWebSecurityOrigin&
    125, 242, 0,	//247  QWebSettings::FontFamily, const QString&
    125, 0,	//250  QWebSettings::FontFamily
    126, 272, 0,	//252  QWebSettings::FontSize, int
    126, 0,	//255  QWebSettings::FontSize
    127, 228, 0,	//257  QWebSettings::WebAttribute, bool
    127, 0,	//260  QWebSettings::WebAttribute
    128, 236, 0,	//262  QWebSettings::WebGraphic, const QPixmap&
    128, 0,	//265  QWebSettings::WebGraphic
    272, 272, 272, 0,	//267  int, int, int
    16, 0,	//271  QFlags<QPainter::RenderHint>
    45, 228, 0,	//273  QPainter::RenderHint, bool
    43, 0,	//276  QPaintEvent*
    34, 0,	//278  QMouseEvent*
    131, 0,	//280  QWheelEvent*
    24, 0,	//282  QKeyEvent*
    9, 0,	//284  QDragEnterEvent*
    10, 0,	//286  QDragLeaveEvent*
    11, 0,	//288  QDragMoveEvent*
    14, 0,	//290  QDropEvent*
    19, 0,	//292  QFocusEvent*
    23, 0,	//294  QInputMethodEvent*
    45, 0,	//296  QPainter::RenderHint
    35, 0,	//298  QMoveEvent*
    6, 0,	//300  QCloseEvent*
    68, 0,	//302  QTabletEvent*
    2, 0,	//304  QActionEvent*
    227, 0,	//306  _XEvent*
    41, 0,	//308  QPaintDevice::PaintDeviceMetric
    67, 0,	//310  QStyle&
    230, 0,	//312  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AlignCenter",	//1
    "AlignJustified",	//2
    "AlignLeft",	//3
    "AlignRight",	//4
    "AllLayers",	//5
    "AutoLoadImages",	//6
    "Back",	//7
    "CascadedStyle",	//8
    "ChooseMultipleFilesExtension",	//9
    "ChooseMultipleFilesExtensionOption",	//10
    "ChooseMultipleFilesExtensionOption#",	//11
    "ChooseMultipleFilesExtensionReturn",	//12
    "ChooseMultipleFilesExtensionReturn#",	//13
    "ComputedStyle",	//14
    "ContentsLayer",	//15
    "Copy",	//16
    "CopyImageToClipboard",	//17
    "CopyLinkToClipboard",	//18
    "CursiveFont",	//19
    "Cut",	//20
    "DefaultFixedFontSize",	//21
    "DefaultFontSize",	//22
    "DefaultFrameIconGraphic",	//23
    "DelegateAllLinks",	//24
    "DelegateExternalLinks",	//25
    "DeleteEndOfWord",	//26
    "DeleteStartOfWord",	//27
    "DeveloperExtrasEnabled",	//28
    "DnsPrefetchEnabled",	//29
    "DontDelegateLinks",	//30
    "DownloadImageToDisk",	//31
    "DownloadLinkToDisk",	//32
    "DrawChildren",	//33
    "DrawWindowBackground",	//34
    "ErrorPageExtension",	//35
    "ErrorPageExtensionOption",	//36
    "ErrorPageExtensionOption#",	//37
    "ErrorPageExtensionReturn",	//38
    "ErrorPageExtensionReturn#",	//39
    "ExtensionOption",	//40
    "ExtensionOption#",	//41
    "ExtensionReturn",	//42
    "ExtensionReturn#",	//43
    "FantasyFont",	//44
    "FindBackward",	//45
    "FindCaseSensitively",	//46
    "FindWrapsAroundDocument",	//47
    "FixedFont",	//48
    "Forward",	//49
    "HighlightAllOccurrences",	//50
    "Http",	//51
    "IgnoreMask",	//52
    "Indent",	//53
    "InlineStyle",	//54
    "InsertLineSeparator",	//55
    "InsertOrderedList",	//56
    "InsertParagraphSeparator",	//57
    "InsertUnorderedList",	//58
    "InspectElement",	//59
    "JavaEnabled",	//60
    "JavascriptCanAccessClipboard",	//61
    "JavascriptCanOpenWindows",	//62
    "JavascriptEnabled",	//63
    "LicensedActiveQt",	//64
    "LicensedCore",	//65
    "LicensedDBus",	//66
    "LicensedDeclarative",	//67
    "LicensedGui",	//68
    "LicensedHelp",	//69
    "LicensedMultimedia",	//70
    "LicensedNetwork",	//71
    "LicensedOpenGL",	//72
    "LicensedOpenVG",	//73
    "LicensedQt3Support",	//74
    "LicensedQt3SupportLight",	//75
    "LicensedScript",	//76
    "LicensedScriptTools",	//77
    "LicensedSql",	//78
    "LicensedSvg",	//79
    "LicensedTest",	//80
    "LicensedXml",	//81
    "LicensedXmlPatterns",	//82
    "LinksIncludedInFocusChain",	//83
    "LocalContentCanAccessRemoteUrls",	//84
    "LocalStorageDatabaseEnabled",	//85
    "LocalStorageEnabled",	//86
    "MimeType",	//87
    "MimeType#",	//88
    "MinimumFontSize",	//89
    "MinimumLogicalFontSize",	//90
    "MissingImageGraphic",	//91
    "MissingPluginGraphic",	//92
    "MoveToEndOfBlock",	//93
    "MoveToEndOfDocument",	//94
    "MoveToEndOfLine",	//95
    "MoveToNextChar",	//96
    "MoveToNextLine",	//97
    "MoveToNextWord",	//98
    "MoveToPreviousChar",	//99
    "MoveToPreviousLine",	//100
    "MoveToPreviousWord",	//101
    "MoveToStartOfBlock",	//102
    "MoveToStartOfDocument",	//103
    "MoveToStartOfLine",	//104
    "NavigationTypeBackOrForward",	//105
    "NavigationTypeFormResubmitted",	//106
    "NavigationTypeFormSubmitted",	//107
    "NavigationTypeLinkClicked",	//108
    "NavigationTypeOther",	//109
    "NavigationTypeReload",	//110
    "NoWebAction",	//111
    "OfflineStorageDatabaseEnabled",	//112
    "OfflineWebApplicationCacheEnabled",	//113
    "OpenFrameInNewWindow",	//114
    "OpenImageInNewWindow",	//115
    "OpenLink",	//116
    "OpenLinkInNewWindow",	//117
    "Outdent",	//118
    "PanIconLayer",	//119
    "Paste",	//120
    "PasteAndMatchStyle",	//121
    "Plugin",	//122
    "Plugin#",	//123
    "PluginsEnabled",	//124
    "PrintElementBackgrounds",	//125
    "PrivateBrowsingEnabled",	//126
    "QWebDatabase",	//127
    "QWebDatabase#",	//128
    "QWebElement",	//129
    "QWebElement#",	//130
    "QWebElementCollection",	//131
    "QWebElementCollection#",	//132
    "QWebElementCollection#$",	//133
    "QWebHistoryInterface",	//134
    "QWebHistoryInterface#",	//135
    "QWebHistoryItem",	//136
    "QWebHistoryItem#",	//137
    "QWebHitTestResult",	//138
    "QWebHitTestResult#",	//139
    "QWebInspector",	//140
    "QWebInspector#",	//141
    "QWebPage",	//142
    "QWebPage#",	//143
    "QWebPluginFactory",	//144
    "QWebPluginFactory#",	//145
    "QWebSecurityOrigin",	//146
    "QWebSecurityOrigin#",	//147
    "QWebView",	//148
    "QWebView#",	//149
    "Q_COMPLEX_TYPE",	//150
    "Q_DUMMY_TYPE",	//151
    "Q_MOVABLE_TYPE",	//152
    "Q_PRIMITIVE_TYPE",	//153
    "Q_STATIC_TYPE",	//154
    "QtCriticalMsg",	//155
    "QtDebugMsg",	//156
    "QtFatalMsg",	//157
    "QtNetwork",	//158
    "QtSystemMsg",	//159
    "QtWarningMsg",	//160
    "Redo",	//161
    "Reload",	//162
    "ReloadAndBypassCache",	//163
    "RemoveFormat",	//164
    "SansSerifFont",	//165
    "ScrollBarLayer",	//166
    "SelectAll",	//167
    "SelectEndOfBlock",	//168
    "SelectEndOfDocument",	//169
    "SelectEndOfLine",	//170
    "SelectNextChar",	//171
    "SelectNextLine",	//172
    "SelectNextWord",	//173
    "SelectPreviousChar",	//174
    "SelectPreviousLine",	//175
    "SelectPreviousWord",	//176
    "SelectStartOfBlock",	//177
    "SelectStartOfDocument",	//178
    "SelectStartOfLine",	//179
    "SerifFont",	//180
    "SetTextDirectionDefault",	//181
    "SetTextDirectionLeftToRight",	//182
    "SetTextDirectionRightToLeft",	//183
    "StandardFont",	//184
    "Stop",	//185
    "TextAreaSizeGripCornerGraphic",	//186
    "ToggleBold",	//187
    "ToggleItalic",	//188
    "ToggleStrikethrough",	//189
    "ToggleSubscript",	//190
    "ToggleSuperscript",	//191
    "ToggleUnderline",	//192
    "Undo",	//193
    "WebActionCount",	//194
    "WebBrowserWindow",	//195
    "WebKit",	//196
    "WebModalDialog",	//197
    "ZoomTextOnly",	//198
    "acceptNavigationRequest",	//199
    "acceptNavigationRequest##$",	//200
    "action",	//201
    "action$",	//202
    "actionEvent",	//203
    "addClass",	//204
    "addClass$",	//205
    "addHistoryEntry",	//206
    "addHistoryEntry$",	//207
    "addLocalScheme",	//208
    "addLocalScheme$",	//209
    "addToJavaScriptWindowObject",	//210
    "addToJavaScriptWindowObject$#",	//211
    "addToJavaScriptWindowObject$#$",	//212
    "allOrigins",	//213
    "alternateText",	//214
    "append",	//215
    "append#",	//216
    "appendInside",	//217
    "appendInside#",	//218
    "appendInside$",	//219
    "appendOutside",	//220
    "appendOutside#",	//221
    "appendOutside$",	//222
    "at",	//223
    "at$",	//224
    "attribute",	//225
    "attribute$",	//226
    "attribute$$",	//227
    "attributeNS",	//228
    "attributeNS$$",	//229
    "attributeNS$$$",	//230
    "attributeNames",	//231
    "attributeNames$",	//232
    "back",	//233
    "backItem",	//234
    "backItems",	//235
    "backItems$",	//236
    "baseUrl",	//237
    "begin",	//238
    "boundingRect",	//239
    "bytesReceived",	//240
    "canGoBack",	//241
    "canGoForward",	//242
    "changeEvent",	//243
    "changeEvent#",	//244
    "childEvent",	//245
    "childFrames",	//246
    "chooseFile",	//247
    "chooseFile#$",	//248
    "classes",	//249
    "clear",	//250
    "clearIconDatabase",	//251
    "clearMemoryCaches",	//252
    "clone",	//253
    "closeEvent",	//254
    "connectNotify",	//255
    "constBegin",	//256
    "constEnd",	//257
    "const_iterator",	//258
    "const_iterator#",	//259
    "const_iterator#$",	//260
    "content",	//261
    "contentType",	//262
    "contentsChanged",	//263
    "contentsSize",	//264
    "contentsSizeChanged",	//265
    "contentsSizeChanged#",	//266
    "contextMenuEvent",	//267
    "contextMenuEvent#",	//268
    "count",	//269
    "create",	//270
    "create$#??",	//271
    "createPlugin",	//272
    "createPlugin$#??",	//273
    "createStandardContextMenu",	//274
    "createWindow",	//275
    "createWindow$",	//276
    "currentFrame",	//277
    "currentItem",	//278
    "currentItemIndex",	//279
    "customEvent",	//280
    "databaseQuota",	//281
    "databaseQuotaExceeded",	//282
    "databaseQuotaExceeded#$",	//283
    "databaseUsage",	//284
    "databases",	//285
    "defaultInterface",	//286
    "defaultTextEncoding",	//287
    "description",	//288
    "devType",	//289
    "disconnectNotify",	//290
    "displayName",	//291
    "document",	//292
    "documentElement",	//293
    "domain",	//294
    "downloadRequested",	//295
    "downloadRequested#",	//296
    "dragEnterEvent",	//297
    "dragEnterEvent#",	//298
    "dragLeaveEvent",	//299
    "dragLeaveEvent#",	//300
    "dragMoveEvent",	//301
    "dragMoveEvent#",	//302
    "dropEvent",	//303
    "dropEvent#",	//304
    "element",	//305
    "enablePersistentStorage",	//306
    "enablePersistentStorage$",	//307
    "enabledChange",	//308
    "encloseContentsWith",	//309
    "encloseContentsWith#",	//310
    "encloseContentsWith$",	//311
    "encloseWith",	//312
    "encloseWith#",	//313
    "encloseWith$",	//314
    "enclosingBlockElement",	//315
    "encoding",	//316
    "end",	//317
    "enterEvent",	//318
    "error",	//319
    "errorString",	//320
    "evaluateJavaScript",	//321
    "evaluateJavaScript$",	//322
    "event",	//323
    "event#",	//324
    "eventFilter",	//325
    "expectedSize",	//326
    "extension",	//327
    "extension$",	//328
    "extension$#",	//329
    "extension$##",	//330
    "fileExtensions",	//331
    "fileName",	//332
    "fileNames",	//333
    "findAll",	//334
    "findAll$",	//335
    "findAllElements",	//336
    "findAllElements$",	//337
    "findFirst",	//338
    "findFirst$",	//339
    "findFirstElement",	//340
    "findFirstElement$",	//341
    "findText",	//342
    "findText$",	//343
    "findText$$",	//344
    "first",	//345
    "firstChild",	//346
    "focusInEvent",	//347
    "focusInEvent#",	//348
    "focusNextPrevChild",	//349
    "focusNextPrevChild$",	//350
    "focusOutEvent",	//351
    "focusOutEvent#",	//352
    "fontChange",	//353
    "fontFamily",	//354
    "fontFamily$",	//355
    "fontSize",	//356
    "fontSize$",	//357
    "forward",	//358
    "forwardItem",	//359
    "forwardItems",	//360
    "forwardItems$",	//361
    "forwardUnsupportedContent",	//362
    "frame",	//363
    "frameAt",	//364
    "frameAt#",	//365
    "frameCreated",	//366
    "frameCreated#",	//367
    "frameName",	//368
    "geometry",	//369
    "geometryChangeRequested",	//370
    "geometryChangeRequested#",	//371
    "globalSettings",	//372
    "goToItem",	//373
    "goToItem#",	//374
    "handle",	//375
    "hasAttribute",	//376
    "hasAttribute$",	//377
    "hasAttributeNS",	//378
    "hasAttributeNS$$",	//379
    "hasAttributes",	//380
    "hasClass",	//381
    "hasClass$",	//382
    "hasFocus",	//383
    "heightForWidth",	//384
    "hideEvent",	//385
    "hideEvent#",	//386
    "history",	//387
    "historyContains",	//388
    "historyContains$",	//389
    "hitTestContent",	//390
    "hitTestContent#",	//391
    "host",	//392
    "icon",	//393
    "iconChanged",	//394
    "iconDatabasePath",	//395
    "iconForUrl",	//396
    "iconForUrl#",	//397
    "imageUrl",	//398
    "initialLayoutCompleted",	//399
    "inputMethodEvent",	//400
    "inputMethodEvent#",	//401
    "inputMethodQuery",	//402
    "inputMethodQuery$",	//403
    "isContentEditable",	//404
    "isContentSelected",	//405
    "isModified",	//406
    "isNull",	//407
    "isValid",	//408
    "itemAt",	//409
    "itemAt$",	//410
    "items",	//411
    "iterator",	//412
    "iterator#",	//413
    "iterator#$",	//414
    "javaScriptAlert",	//415
    "javaScriptAlert#$",	//416
    "javaScriptConfirm",	//417
    "javaScriptConfirm#$",	//418
    "javaScriptConsoleMessage",	//419
    "javaScriptConsoleMessage$$$",	//420
    "javaScriptPrompt",	//421
    "javaScriptPrompt#$$$",	//422
    "javaScriptWindowObjectCleared",	//423
    "keyPressEvent",	//424
    "keyPressEvent#",	//425
    "keyReleaseEvent",	//426
    "keyReleaseEvent#",	//427
    "languageChange",	//428
    "last",	//429
    "lastChild",	//430
    "lastVisited",	//431
    "leaveEvent",	//432
    "linkClicked",	//433
    "linkClicked#",	//434
    "linkDelegationPolicy",	//435
    "linkElement",	//436
    "linkHovered",	//437
    "linkHovered$$$",	//438
    "linkTargetFrame",	//439
    "linkText",	//440
    "linkTitle",	//441
    "linkUrl",	//442
    "load",	//443
    "load#",	//444
    "load#$",	//445
    "load#$#",	//446
    "loadFinished",	//447
    "loadFinished$",	//448
    "loadProgress",	//449
    "loadProgress$",	//450
    "loadStarted",	//451
    "localName",	//452
    "localSchemes",	//453
    "localStoragePath",	//454
    "mainFrame",	//455
    "maximumItemCount",	//456
    "maximumPagesInCache",	//457
    "menuBarVisibilityChangeRequested",	//458
    "menuBarVisibilityChangeRequested$",	//459
    "metaData",	//460
    "metaObject",	//461
    "metric",	//462
    "microFocusChanged",	//463
    "mimeTypes",	//464
    "minimumSizeHint",	//465
    "mouseDoubleClickEvent",	//466
    "mouseDoubleClickEvent#",	//467
    "mouseMoveEvent",	//468
    "mouseMoveEvent#",	//469
    "mousePressEvent",	//470
    "mousePressEvent#",	//471
    "mouseReleaseEvent",	//472
    "mouseReleaseEvent#",	//473
    "moveEvent",	//474
    "name",	//475
    "namespaceUri",	//476
    "networkAccessManager",	//477
    "nextSibling",	//478
    "offlineStorageDefaultQuota",	//479
    "offlineStoragePath",	//480
    "offlineWebApplicationCachePath",	//481
    "offlineWebApplicationCacheQuota",	//482
    "operator!=",	//483
    "operator!=#",	//484
    "operator*",	//485
    "operator+",	//486
    "operator+#",	//487
    "operator+$",	//488
    "operator++",	//489
    "operator++$",	//490
    "operator+=",	//491
    "operator+=#",	//492
    "operator+=$",	//493
    "operator-",	//494
    "operator-#",	//495
    "operator-$",	//496
    "operator--",	//497
    "operator--$",	//498
    "operator-=",	//499
    "operator-=$",	//500
    "operator<",	//501
    "operator<#",	//502
    "operator<=",	//503
    "operator<=#",	//504
    "operator=",	//505
    "operator=#",	//506
    "operator==",	//507
    "operator==#",	//508
    "operator>",	//509
    "operator>#",	//510
    "operator>=",	//511
    "operator>=#",	//512
    "operator[]",	//513
    "operator[]$",	//514
    "origin",	//515
    "originalUrl",	//516
    "page",	//517
    "pageAction",	//518
    "pageAction$",	//519
    "paintEngine",	//520
    "paintEvent",	//521
    "paintEvent#",	//522
    "palette",	//523
    "paletteChange",	//524
    "parent",	//525
    "parentFrame",	//526
    "pixmap",	//527
    "pluginFactory",	//528
    "plugins",	//529
    "port",	//530
    "pos",	//531
    "preferredContentsSize",	//532
    "prefix",	//533
    "prependInside",	//534
    "prependInside#",	//535
    "prependInside$",	//536
    "prependOutside",	//537
    "prependOutside#",	//538
    "prependOutside$",	//539
    "previousSibling",	//540
    "print",	//541
    "print#",	//542
    "printRequested",	//543
    "printRequested#",	//544
    "provisionalLoad",	//545
    "qt_metacall",	//546
    "qt_metacall$$?",	//547
    "qt_metacast",	//548
    "qt_metacast$",	//549
    "refreshPlugins",	//550
    "reload",	//551
    "removeAllChildren",	//552
    "removeAllDatabases",	//553
    "removeAttribute",	//554
    "removeAttribute$",	//555
    "removeAttributeNS",	//556
    "removeAttributeNS$$",	//557
    "removeClass",	//558
    "removeClass$",	//559
    "removeDatabase",	//560
    "removeDatabase#",	//561
    "removeFromDocument",	//562
    "removeLocalScheme",	//563
    "removeLocalScheme$",	//564
    "render",	//565
    "render#",	//566
    "render##",	//567
    "render#$",	//568
    "render#$#",	//569
    "renderHints",	//570
    "renderTreeDump",	//571
    "repaintRequested",	//572
    "repaintRequested#",	//573
    "replace",	//574
    "replace#",	//575
    "replace$",	//576
    "requestedUrl",	//577
    "resetAttribute",	//578
    "resetAttribute$",	//579
    "resetFontFamily",	//580
    "resetFontFamily$",	//581
    "resetFontSize",	//582
    "resetFontSize$",	//583
    "resizeEvent",	//584
    "resizeEvent#",	//585
    "restoreFrameStateRequested",	//586
    "restoreFrameStateRequested#",	//587
    "saveFrameStateRequested",	//588
    "saveFrameStateRequested##",	//589
    "scheme",	//590
    "scroll",	//591
    "scroll$$",	//592
    "scrollBarGeometry",	//593
    "scrollBarGeometry$",	//594
    "scrollBarMaximum",	//595
    "scrollBarMaximum$",	//596
    "scrollBarMinimum",	//597
    "scrollBarMinimum$",	//598
    "scrollBarPolicy",	//599
    "scrollBarPolicy$",	//600
    "scrollBarValue",	//601
    "scrollBarValue$",	//602
    "scrollPosition",	//603
    "scrollRequested",	//604
    "scrollRequested$$#",	//605
    "securityOrigin",	//606
    "selectedText",	//607
    "selectionChanged",	//608
    "setAttribute",	//609
    "setAttribute$$",	//610
    "setAttributeNS",	//611
    "setAttributeNS$$$",	//612
    "setBaseUrl",	//613
    "setBaseUrl#",	//614
    "setContent",	//615
    "setContent#",	//616
    "setContent#$",	//617
    "setContent#$#",	//618
    "setContentEditable",	//619
    "setContentEditable$",	//620
    "setContentType",	//621
    "setContentType$",	//622
    "setDatabaseQuota",	//623
    "setDatabaseQuota?",	//624
    "setDefaultInterface",	//625
    "setDefaultInterface#",	//626
    "setDefaultTextEncoding",	//627
    "setDefaultTextEncoding$",	//628
    "setDescription",	//629
    "setDescription$",	//630
    "setDomain",	//631
    "setDomain$",	//632
    "setEncoding",	//633
    "setEncoding$",	//634
    "setError",	//635
    "setError$",	//636
    "setErrorString",	//637
    "setErrorString$",	//638
    "setFileExtensions",	//639
    "setFileExtensions?",	//640
    "setFileNames",	//641
    "setFileNames?",	//642
    "setFocus",	//643
    "setFontFamily",	//644
    "setFontFamily$$",	//645
    "setFontSize",	//646
    "setFontSize$$",	//647
    "setForwardUnsupportedContent",	//648
    "setForwardUnsupportedContent$",	//649
    "setFrame",	//650
    "setFrame#",	//651
    "setHtml",	//652
    "setHtml$",	//653
    "setHtml$#",	//654
    "setIconDatabasePath",	//655
    "setIconDatabasePath$",	//656
    "setInnerXml",	//657
    "setInnerXml$",	//658
    "setLinkDelegationPolicy",	//659
    "setLinkDelegationPolicy$",	//660
    "setLocalStoragePath",	//661
    "setLocalStoragePath$",	//662
    "setMaximumItemCount",	//663
    "setMaximumItemCount$",	//664
    "setMaximumPagesInCache",	//665
    "setMaximumPagesInCache$",	//666
    "setMimeTypes",	//667
    "setMimeTypes?",	//668
    "setName",	//669
    "setName$",	//670
    "setNetworkAccessManager",	//671
    "setNetworkAccessManager#",	//672
    "setObjectCacheCapacities",	//673
    "setObjectCacheCapacities$$$",	//674
    "setOfflineStorageDefaultQuota",	//675
    "setOfflineStorageDefaultQuota?",	//676
    "setOfflineStoragePath",	//677
    "setOfflineStoragePath$",	//678
    "setOfflineWebApplicationCachePath",	//679
    "setOfflineWebApplicationCachePath$",	//680
    "setOfflineWebApplicationCacheQuota",	//681
    "setOfflineWebApplicationCacheQuota?",	//682
    "setOuterXml",	//683
    "setOuterXml$",	//684
    "setPage",	//685
    "setPage#",	//686
    "setPalette",	//687
    "setPalette#",	//688
    "setParentFrame",	//689
    "setParentFrame#",	//690
    "setPlainText",	//691
    "setPlainText$",	//692
    "setPluginFactory",	//693
    "setPluginFactory#",	//694
    "setPreferredContentsSize",	//695
    "setPreferredContentsSize#",	//696
    "setRenderHint",	//697
    "setRenderHint$",	//698
    "setRenderHint$$",	//699
    "setRenderHints",	//700
    "setRenderHints$",	//701
    "setScrollBarPolicy",	//702
    "setScrollBarPolicy$$",	//703
    "setScrollBarValue",	//704
    "setScrollBarValue$$",	//705
    "setScrollPosition",	//706
    "setScrollPosition#",	//707
    "setStyleProperty",	//708
    "setStyleProperty$$",	//709
    "setSuggestedFileNames",	//710
    "setSuggestedFileNames?",	//711
    "setTextSizeMultiplier",	//712
    "setTextSizeMultiplier$",	//713
    "setUrl",	//714
    "setUrl#",	//715
    "setUserData",	//716
    "setUserData#",	//717
    "setUserStyleSheetUrl",	//718
    "setUserStyleSheetUrl#",	//719
    "setView",	//720
    "setView#",	//721
    "setViewportSize",	//722
    "setViewportSize#",	//723
    "setVisible",	//724
    "setWebGraphic",	//725
    "setWebGraphic$#",	//726
    "setZoomFactor",	//727
    "setZoomFactor$",	//728
    "settings",	//729
    "shouldInterruptJavaScript",	//730
    "showEvent",	//731
    "showEvent#",	//732
    "size",	//733
    "sizeHint",	//734
    "staticMetaObject",	//735
    "statusBarMessage",	//736
    "statusBarMessage$",	//737
    "statusBarVisibilityChangeRequested",	//738
    "statusBarVisibilityChangeRequested$",	//739
    "stop",	//740
    "styleChange",	//741
    "styleProperty",	//742
    "styleProperty$$",	//743
    "suggestedFileNames",	//744
    "supportsExtension",	//745
    "supportsExtension$",	//746
    "swallowContextMenuEvent",	//747
    "swallowContextMenuEvent#",	//748
    "tabletEvent",	//749
    "tagName",	//750
    "takeFromDocument",	//751
    "testAttribute",	//752
    "testAttribute$",	//753
    "textSizeMultiplier",	//754
    "timerEvent",	//755
    "title",	//756
    "titleChanged",	//757
    "titleChanged$",	//758
    "toHtml",	//759
    "toInnerXml",	//760
    "toList",	//761
    "toOuterXml",	//762
    "toPlainText",	//763
    "toggleClass",	//764
    "toggleClass$",	//765
    "toolBarVisibilityChangeRequested",	//766
    "toolBarVisibilityChangeRequested$",	//767
    "totalBytes",	//768
    "tr",	//769
    "tr$",	//770
    "tr$$",	//771
    "tr$$$",	//772
    "trUtf8",	//773
    "trUtf8$",	//774
    "trUtf8$$",	//775
    "trUtf8$$$",	//776
    "triggerAction",	//777
    "triggerAction$",	//778
    "triggerAction$$",	//779
    "triggerPageAction",	//780
    "triggerPageAction$",	//781
    "triggerPageAction$$",	//782
    "undoStack",	//783
    "unsupportedContent",	//784
    "unsupportedContent#",	//785
    "updatePositionDependentActions",	//786
    "updatePositionDependentActions#",	//787
    "url",	//788
    "urlChanged",	//789
    "urlChanged#",	//790
    "userAgentForUrl",	//791
    "userAgentForUrl#",	//792
    "userData",	//793
    "userStyleSheetUrl",	//794
    "view",	//795
    "viewportSize",	//796
    "webFrame",	//797
    "webGraphic",	//798
    "webGraphic$",	//799
    "wheelEvent",	//800
    "wheelEvent#",	//801
    "windowActivationChange",	//802
    "windowCloseRequested",	//803
    "x11Event",	//804
    "zoomFactor",	//805
    "~ChooseMultipleFilesExtensionOption",	//806
    "~ChooseMultipleFilesExtensionReturn",	//807
    "~ErrorPageExtensionOption",	//808
    "~ErrorPageExtensionReturn",	//809
    "~ExtensionOption",	//810
    "~ExtensionReturn",	//811
    "~MimeType",	//812
    "~Plugin",	//813
    "~QWebDatabase",	//814
    "~QWebElement",	//815
    "~QWebElementCollection",	//816
    "~QWebHistoryInterface",	//817
    "~QWebHistoryItem",	//818
    "~QWebHitTestResult",	//819
    "~QWebInspector",	//820
    "~QWebPage",	//821
    "~QWebPluginFactory",	//822
    "~QWebSecurityOrigin",	//823
    "~QWebView",	//824
    "~const_iterator",	//825
    "~iterator",	//826
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {16, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {16, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {16, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {16, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {16, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {16, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 6},	//6 QGlobalSpace::LicensedXml (enum)
    {16, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 7},	//7 QGlobalSpace::QtDebugMsg (enum)
    {16, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 8},	//8 QGlobalSpace::QtWarningMsg (enum)
    {16, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 9},	//9 QGlobalSpace::QtCriticalMsg (enum)
    {16, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 10},	//10 QGlobalSpace::QtFatalMsg (enum)
    {16, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 11},	//11 QGlobalSpace::QtSystemMsg (enum)
    {16, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 12},	//12 QGlobalSpace::LicensedOpenGL (enum)
    {16, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 13},	//13 QGlobalSpace::LicensedQt3Support (enum)
    {16, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 14},	//14 QGlobalSpace::LicensedOpenVG (enum)
    {16, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 15},	//15 QGlobalSpace::LicensedNetwork (enum)
    {16, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 16},	//16 QGlobalSpace::LicensedSql (enum)
    {16, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 17},	//17 QGlobalSpace::LicensedCore (enum)
    {16, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 18},	//18 QGlobalSpace::LicensedSvg (enum)
    {16, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 19},	//19 QGlobalSpace::LicensedXmlPatterns (enum)
    {16, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 20},	//20 QGlobalSpace::LicensedGui (enum)
    {16, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 21},	//21 QGlobalSpace::LicensedDeclarative (enum)
    {16, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 22},	//22 QGlobalSpace::LicensedActiveQt (enum)
    {16, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 23},	//23 QGlobalSpace::LicensedDBus (enum)
    {16, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 24},	//24 QGlobalSpace::LicensedTest (enum)
    {16, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 25},	//25 QGlobalSpace::LicensedScriptTools (enum)
    {16, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 26},	//26 QGlobalSpace::LicensedQt3SupportLight (enum)
    {16, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 27},	//27 QGlobalSpace::LicensedScript (enum)
    {16, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 28},	//28 QGlobalSpace::LicensedMultimedia (enum)
    {16, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 29},	//29 QGlobalSpace::LicensedHelp (enum)
    {29, 323, 1, 1, Smoke::mf_virtual, 228, 0},	//30 QObject::event(QEvent*)
    {29, 325, 3, 2, Smoke::mf_virtual, 228, 0},	//31 QObject::eventFilter(QObject*, QEvent*)
    {29, 755, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//32 QObject::timerEvent(QTimerEvent*)
    {29, 245, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//33 QObject::childEvent(QChildEvent*)
    {29, 280, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//34 QObject::customEvent(QEvent*)
    {29, 255, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//35 QObject::connectNotify(const char*)
    {29, 290, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QObject::disconnectNotify(const char*)
    {49, 127, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 75, 1},	//37 QWebDatabase::QWebDatabase(const QWebDatabase&)
    {49, 505, 12, 1, 0, 74, 2},	//38 QWebDatabase::operator=(const QWebDatabase&)
    {49, 475, 0, 0, Smoke::mf_const, 61, 3},	//39 QWebDatabase::name() const
    {49, 291, 0, 0, Smoke::mf_const, 61, 4},	//40 QWebDatabase::displayName() const
    {49, 326, 0, 0, Smoke::mf_const, 274, 5},	//41 QWebDatabase::expectedSize() const
    {49, 733, 0, 0, Smoke::mf_const, 274, 6},	//42 QWebDatabase::size() const
    {49, 332, 0, 0, Smoke::mf_const, 61, 7},	//43 QWebDatabase::fileName() const
    {49, 515, 0, 0, Smoke::mf_const, 121, 8},	//44 QWebDatabase::origin() const
    {49, 560, 12, 1, Smoke::mf_static, 0, 9},	//45 QWebDatabase::removeDatabase(const QWebDatabase&)
    {49, 553, 0, 0, Smoke::mf_static, 0, 10},	//46 QWebDatabase::removeAllDatabases()
    {49, 814, 0, 0, Smoke::mf_dtor, 0, 11 },	//47 QWebDatabase::~QWebDatabase()
    {50, 129, 0, 0, Smoke::mf_ctor, 78, 1},	//48 QWebElement::QWebElement()
    {50, 129, 14, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 78, 2},	//49 QWebElement::QWebElement(const QWebElement&)
    {50, 505, 14, 1, 0, 77, 3},	//50 QWebElement::operator=(const QWebElement&)
    {50, 507, 14, 1, Smoke::mf_const, 228, 4},	//51 QWebElement::operator==(const QWebElement&) const
    {50, 483, 14, 1, Smoke::mf_const, 228, 5},	//52 QWebElement::operator!=(const QWebElement&) const
    {50, 407, 0, 0, Smoke::mf_const, 228, 6},	//53 QWebElement::isNull() const
    {50, 334, 16, 1, Smoke::mf_const, 80, 7},	//54 QWebElement::findAll(const QString&) const
    {50, 338, 16, 1, Smoke::mf_const, 76, 8},	//55 QWebElement::findFirst(const QString&) const
    {50, 691, 16, 1, 0, 0, 9},	//56 QWebElement::setPlainText(const QString&)
    {50, 763, 0, 0, Smoke::mf_const, 61, 10},	//57 QWebElement::toPlainText() const
    {50, 683, 16, 1, 0, 0, 11},	//58 QWebElement::setOuterXml(const QString&)
    {50, 762, 0, 0, Smoke::mf_const, 61, 12},	//59 QWebElement::toOuterXml() const
    {50, 657, 16, 1, 0, 0, 13},	//60 QWebElement::setInnerXml(const QString&)
    {50, 760, 0, 0, Smoke::mf_const, 61, 14},	//61 QWebElement::toInnerXml() const
    {50, 609, 18, 2, 0, 0, 15},	//62 QWebElement::setAttribute(const QString&, const QString&)
    {50, 611, 21, 3, 0, 0, 16},	//63 QWebElement::setAttributeNS(const QString&, const QString&, const QString&)
    {50, 225, 18, 2, Smoke::mf_const, 61, 17},	//64 QWebElement::attribute(const QString&, const QString&) const
    {50, 228, 21, 3, Smoke::mf_const, 61, 18},	//65 QWebElement::attributeNS(const QString&, const QString&, const QString&) const
    {50, 376, 16, 1, Smoke::mf_const, 228, 19},	//66 QWebElement::hasAttribute(const QString&) const
    {50, 378, 18, 2, Smoke::mf_const, 228, 20},	//67 QWebElement::hasAttributeNS(const QString&, const QString&) const
    {50, 554, 16, 1, 0, 0, 21},	//68 QWebElement::removeAttribute(const QString&)
    {50, 556, 18, 2, 0, 0, 22},	//69 QWebElement::removeAttributeNS(const QString&, const QString&)
    {50, 380, 0, 0, Smoke::mf_const, 228, 23},	//70 QWebElement::hasAttributes() const
    {50, 231, 16, 1, Smoke::mf_const, 64, 24},	//71 QWebElement::attributeNames(const QString&) const
    {50, 249, 0, 0, Smoke::mf_const, 64, 25},	//72 QWebElement::classes() const
    {50, 381, 16, 1, Smoke::mf_const, 228, 26},	//73 QWebElement::hasClass(const QString&) const
    {50, 204, 16, 1, 0, 0, 27},	//74 QWebElement::addClass(const QString&)
    {50, 558, 16, 1, 0, 0, 28},	//75 QWebElement::removeClass(const QString&)
    {50, 764, 16, 1, 0, 0, 29},	//76 QWebElement::toggleClass(const QString&)
    {50, 383, 0, 0, Smoke::mf_const, 228, 30},	//77 QWebElement::hasFocus() const
    {50, 643, 0, 0, 0, 0, 31},	//78 QWebElement::setFocus()
    {50, 369, 0, 0, Smoke::mf_const, 50, 32},	//79 QWebElement::geometry() const
    {50, 750, 0, 0, Smoke::mf_const, 61, 33},	//80 QWebElement::tagName() const
    {50, 533, 0, 0, Smoke::mf_const, 61, 34},	//81 QWebElement::prefix() const
    {50, 452, 0, 0, Smoke::mf_const, 61, 35},	//82 QWebElement::localName() const
    {50, 476, 0, 0, Smoke::mf_const, 61, 36},	//83 QWebElement::namespaceUri() const
    {50, 525, 0, 0, Smoke::mf_const, 76, 37},	//84 QWebElement::parent() const
    {50, 346, 0, 0, Smoke::mf_const, 76, 38},	//85 QWebElement::firstChild() const
    {50, 430, 0, 0, Smoke::mf_const, 76, 39},	//86 QWebElement::lastChild() const
    {50, 478, 0, 0, Smoke::mf_const, 76, 40},	//87 QWebElement::nextSibling() const
    {50, 540, 0, 0, Smoke::mf_const, 76, 41},	//88 QWebElement::previousSibling() const
    {50, 292, 0, 0, Smoke::mf_const, 76, 42},	//89 QWebElement::document() const
    {50, 797, 0, 0, Smoke::mf_const, 89, 43},	//90 QWebElement::webFrame() const
    {50, 217, 16, 1, 0, 0, 44},	//91 QWebElement::appendInside(const QString&)
    {50, 217, 14, 1, 0, 0, 45},	//92 QWebElement::appendInside(const QWebElement&)
    {50, 534, 16, 1, 0, 0, 46},	//93 QWebElement::prependInside(const QString&)
    {50, 534, 14, 1, 0, 0, 47},	//94 QWebElement::prependInside(const QWebElement&)
    {50, 220, 16, 1, 0, 0, 48},	//95 QWebElement::appendOutside(const QString&)
    {50, 220, 14, 1, 0, 0, 49},	//96 QWebElement::appendOutside(const QWebElement&)
    {50, 537, 16, 1, 0, 0, 50},	//97 QWebElement::prependOutside(const QString&)
    {50, 537, 14, 1, 0, 0, 51},	//98 QWebElement::prependOutside(const QWebElement&)
    {50, 309, 14, 1, 0, 0, 52},	//99 QWebElement::encloseContentsWith(const QWebElement&)
    {50, 309, 16, 1, 0, 0, 53},	//100 QWebElement::encloseContentsWith(const QString&)
    {50, 312, 16, 1, 0, 0, 54},	//101 QWebElement::encloseWith(const QString&)
    {50, 312, 14, 1, 0, 0, 55},	//102 QWebElement::encloseWith(const QWebElement&)
    {50, 574, 16, 1, 0, 0, 56},	//103 QWebElement::replace(const QString&)
    {50, 574, 14, 1, 0, 0, 57},	//104 QWebElement::replace(const QWebElement&)
    {50, 253, 0, 0, Smoke::mf_const, 76, 58},	//105 QWebElement::clone() const
    {50, 751, 0, 0, 0, 77, 59},	//106 QWebElement::takeFromDocument()
    {50, 562, 0, 0, 0, 0, 60},	//107 QWebElement::removeFromDocument()
    {50, 552, 0, 0, 0, 0, 61},	//108 QWebElement::removeAllChildren()
    {50, 321, 16, 1, 0, 73, 62},	//109 QWebElement::evaluateJavaScript(const QString&)
    {50, 742, 25, 2, Smoke::mf_const, 61, 63},	//110 QWebElement::styleProperty(const QString&, QWebElement::StyleResolveStrategy) const
    {50, 708, 18, 2, 0, 0, 64},	//111 QWebElement::setStyleProperty(const QString&, const QString&)
    {50, 565, 28, 1, 0, 0, 65},	//112 QWebElement::render(QPainter*)
    {50, 225, 16, 1, Smoke::mf_const, 61, 66},	//113 QWebElement::attribute(const QString&) const
    {50, 228, 18, 2, Smoke::mf_const, 61, 67},	//114 QWebElement::attributeNS(const QString&, const QString&) const
    {50, 231, 0, 0, Smoke::mf_const, 64, 68},	//115 QWebElement::attributeNames() const
    {50, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 69},	//116 QWebElement::InlineStyle (enum)
    {50, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 70},	//117 QWebElement::CascadedStyle (enum)
    {50, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 71},	//118 QWebElement::ComputedStyle (enum)
    {50, 815, 0, 0, Smoke::mf_dtor, 0, 72 },	//119 QWebElement::~QWebElement()
    {51, 131, 0, 0, Smoke::mf_ctor, 82, 1},	//120 QWebElementCollection::QWebElementCollection()
    {51, 131, 30, 2, Smoke::mf_ctor, 82, 2},	//121 QWebElementCollection::QWebElementCollection(const QWebElement&, const QString&)
    {51, 131, 33, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 82, 3},	//122 QWebElementCollection::QWebElementCollection(const QWebElementCollection&)
    {51, 505, 33, 1, 0, 81, 4},	//123 QWebElementCollection::operator=(const QWebElementCollection&)
    {51, 486, 33, 1, Smoke::mf_const, 80, 5},	//124 QWebElementCollection::operator+(const QWebElementCollection&) const
    {51, 491, 33, 1, 0, 81, 6},	//125 QWebElementCollection::operator+=(const QWebElementCollection&)
    {51, 215, 33, 1, 0, 0, 7},	//126 QWebElementCollection::append(const QWebElementCollection&)
    {51, 269, 0, 0, Smoke::mf_const, 272, 8},	//127 QWebElementCollection::count() const
    {51, 223, 35, 1, Smoke::mf_const, 76, 9},	//128 QWebElementCollection::at(int) const
    {51, 513, 35, 1, Smoke::mf_const, 76, 10},	//129 QWebElementCollection::operator[](int) const
    {51, 345, 0, 0, Smoke::mf_const, 76, 11},	//130 QWebElementCollection::first() const
    {51, 429, 0, 0, Smoke::mf_const, 76, 12},	//131 QWebElementCollection::last() const
    {51, 761, 0, 0, Smoke::mf_const, 26, 13},	//132 QWebElementCollection::toList() const
    {51, 238, 0, 0, Smoke::mf_const, 83, 14},	//133 QWebElementCollection::begin() const
    {51, 317, 0, 0, Smoke::mf_const, 83, 15},	//134 QWebElementCollection::end() const
    {51, 256, 0, 0, Smoke::mf_const, 83, 16},	//135 QWebElementCollection::constBegin() const
    {51, 257, 0, 0, Smoke::mf_const, 83, 17},	//136 QWebElementCollection::constEnd() const
    {51, 238, 0, 0, 0, 86, 18},	//137 QWebElementCollection::begin()
    {51, 317, 0, 0, 0, 86, 19},	//138 QWebElementCollection::end()
    {51, 816, 0, 0, Smoke::mf_dtor, 0, 20 },	//139 QWebElementCollection::~QWebElementCollection()
    {52, 258, 37, 2, Smoke::mf_ctor, 85, 1},	//140 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection*, int)
    {52, 258, 40, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 85, 2},	//141 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection::const_iterator&)
    {52, 485, 0, 0, Smoke::mf_const, 248, 3},	//142 QWebElementCollection::const_iterator::operator*() const
    {52, 507, 40, 1, Smoke::mf_const, 228, 4},	//143 QWebElementCollection::const_iterator::operator==(const QWebElementCollection::const_iterator&) const
    {52, 483, 40, 1, Smoke::mf_const, 228, 5},	//144 QWebElementCollection::const_iterator::operator!=(const QWebElementCollection::const_iterator&) const
    {52, 501, 40, 1, Smoke::mf_const, 228, 6},	//145 QWebElementCollection::const_iterator::operator<(const QWebElementCollection::const_iterator&) const
    {52, 503, 40, 1, Smoke::mf_const, 228, 7},	//146 QWebElementCollection::const_iterator::operator<=(const QWebElementCollection::const_iterator&) const
    {52, 509, 40, 1, Smoke::mf_const, 228, 8},	//147 QWebElementCollection::const_iterator::operator>(const QWebElementCollection::const_iterator&) const
    {52, 511, 40, 1, Smoke::mf_const, 228, 9},	//148 QWebElementCollection::const_iterator::operator>=(const QWebElementCollection::const_iterator&) const
    {52, 489, 0, 0, 0, 84, 10},	//149 QWebElementCollection::const_iterator::operator++()
    {52, 489, 35, 1, 0, 83, 11},	//150 QWebElementCollection::const_iterator::operator++(int)
    {52, 497, 0, 0, 0, 84, 12},	//151 QWebElementCollection::const_iterator::operator--()
    {52, 497, 35, 1, 0, 83, 13},	//152 QWebElementCollection::const_iterator::operator--(int)
    {52, 491, 35, 1, 0, 84, 14},	//153 QWebElementCollection::const_iterator::operator+=(int)
    {52, 499, 35, 1, 0, 84, 15},	//154 QWebElementCollection::const_iterator::operator-=(int)
    {52, 486, 35, 1, Smoke::mf_const, 83, 16},	//155 QWebElementCollection::const_iterator::operator+(int) const
    {52, 494, 35, 1, Smoke::mf_const, 83, 17},	//156 QWebElementCollection::const_iterator::operator-(int) const
    {52, 494, 42, 1, Smoke::mf_const, 272, 18},	//157 QWebElementCollection::const_iterator::operator-(QWebElementCollection::const_iterator) const
    {52, 825, 0, 0, Smoke::mf_dtor, 0, 19 },	//158 QWebElementCollection::const_iterator::~const_iterator()
    {53, 412, 37, 2, Smoke::mf_ctor, 88, 1},	//159 QWebElementCollection::iterator::iterator(const QWebElementCollection*, int)
    {53, 412, 44, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 88, 2},	//160 QWebElementCollection::iterator::iterator(const QWebElementCollection::iterator&)
    {53, 485, 0, 0, Smoke::mf_const, 76, 3},	//161 QWebElementCollection::iterator::operator*() const
    {53, 507, 44, 1, Smoke::mf_const, 228, 4},	//162 QWebElementCollection::iterator::operator==(const QWebElementCollection::iterator&) const
    {53, 483, 44, 1, Smoke::mf_const, 228, 5},	//163 QWebElementCollection::iterator::operator!=(const QWebElementCollection::iterator&) const
    {53, 501, 44, 1, Smoke::mf_const, 228, 6},	//164 QWebElementCollection::iterator::operator<(const QWebElementCollection::iterator&) const
    {53, 503, 44, 1, Smoke::mf_const, 228, 7},	//165 QWebElementCollection::iterator::operator<=(const QWebElementCollection::iterator&) const
    {53, 509, 44, 1, Smoke::mf_const, 228, 8},	//166 QWebElementCollection::iterator::operator>(const QWebElementCollection::iterator&) const
    {53, 511, 44, 1, Smoke::mf_const, 228, 9},	//167 QWebElementCollection::iterator::operator>=(const QWebElementCollection::iterator&) const
    {53, 489, 0, 0, 0, 87, 10},	//168 QWebElementCollection::iterator::operator++()
    {53, 489, 35, 1, 0, 86, 11},	//169 QWebElementCollection::iterator::operator++(int)
    {53, 497, 0, 0, 0, 87, 12},	//170 QWebElementCollection::iterator::operator--()
    {53, 497, 35, 1, 0, 86, 13},	//171 QWebElementCollection::iterator::operator--(int)
    {53, 491, 35, 1, 0, 87, 14},	//172 QWebElementCollection::iterator::operator+=(int)
    {53, 499, 35, 1, 0, 87, 15},	//173 QWebElementCollection::iterator::operator-=(int)
    {53, 486, 35, 1, Smoke::mf_const, 86, 16},	//174 QWebElementCollection::iterator::operator+(int) const
    {53, 494, 35, 1, Smoke::mf_const, 86, 17},	//175 QWebElementCollection::iterator::operator-(int) const
    {53, 494, 46, 1, Smoke::mf_const, 272, 18},	//176 QWebElementCollection::iterator::operator-(QWebElementCollection::iterator) const
    {53, 826, 0, 0, Smoke::mf_dtor, 0, 19 },	//177 QWebElementCollection::iterator::~iterator()
    {54, 461, 0, 0, Smoke::mf_const, 233, 1},	//178 QWebFrame::metaObject() const
    {54, 548, 10, 1, 0, 279, 2},	//179 QWebFrame::qt_metacast(const char*)
    {54, 769, 48, 2, Smoke::mf_static, 61, 3},	//180 QWebFrame::tr(const char*, const char*)
    {54, 773, 48, 2, Smoke::mf_static, 61, 4},	//181 QWebFrame::trUtf8(const char*, const char*)
    {54, 769, 51, 3, Smoke::mf_static, 61, 5},	//182 QWebFrame::tr(const char*, const char*, int)
    {54, 773, 51, 3, Smoke::mf_static, 61, 6},	//183 QWebFrame::trUtf8(const char*, const char*, int)
    {54, 546, 55, 3, 0, 272, 7},	//184 QWebFrame::qt_metacall(QMetaObject::Call, int, void**)
    {54, 517, 0, 0, Smoke::mf_const, 100, 8},	//185 QWebFrame::page() const
    {54, 443, 59, 1, 0, 0, 9},	//186 QWebFrame::load(const QUrl&)
    {54, 443, 61, 3, 0, 0, 10},	//187 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {54, 652, 65, 2, 0, 0, 11},	//188 QWebFrame::setHtml(const QString&, const QUrl&)
    {54, 615, 68, 3, 0, 0, 12},	//189 QWebFrame::setContent(const QByteArray&, const QString&, const QUrl&)
    {54, 210, 72, 2, 0, 0, 13},	//190 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*)
    {54, 210, 75, 3, 0, 0, 14},	//191 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*, QScriptEngine::ValueOwnership)
    {54, 759, 0, 0, Smoke::mf_const, 61, 15},	//192 QWebFrame::toHtml() const
    {54, 763, 0, 0, Smoke::mf_const, 61, 16},	//193 QWebFrame::toPlainText() const
    {54, 571, 0, 0, Smoke::mf_const, 61, 17},	//194 QWebFrame::renderTreeDump() const
    {54, 756, 0, 0, Smoke::mf_const|Smoke::mf_property, 61, 18},	//195 QWebFrame::title() const
    {54, 714, 59, 1, Smoke::mf_property, 0, 19},	//196 QWebFrame::setUrl(const QUrl&)
    {54, 788, 0, 0, Smoke::mf_const|Smoke::mf_property, 71, 20},	//197 QWebFrame::url() const
    {54, 577, 0, 0, Smoke::mf_const|Smoke::mf_property, 71, 21},	//198 QWebFrame::requestedUrl() const
    {54, 237, 0, 0, Smoke::mf_const|Smoke::mf_property, 71, 22},	//199 QWebFrame::baseUrl() const
    {54, 393, 0, 0, Smoke::mf_const|Smoke::mf_property, 21, 23},	//200 QWebFrame::icon() const
    {54, 460, 0, 0, Smoke::mf_const, 36, 24},	//201 QWebFrame::metaData() const
    {54, 368, 0, 0, Smoke::mf_const, 61, 25},	//202 QWebFrame::frameName() const
    {54, 526, 0, 0, Smoke::mf_const, 89, 26},	//203 QWebFrame::parentFrame() const
    {54, 246, 0, 0, Smoke::mf_const, 27, 27},	//204 QWebFrame::childFrames() const
    {54, 599, 79, 1, Smoke::mf_const, 182, 28},	//205 QWebFrame::scrollBarPolicy(Qt::Orientation) const
    {54, 702, 81, 2, 0, 0, 29},	//206 QWebFrame::setScrollBarPolicy(Qt::Orientation, Qt::ScrollBarPolicy)
    {54, 704, 84, 2, 0, 0, 30},	//207 QWebFrame::setScrollBarValue(Qt::Orientation, int)
    {54, 601, 79, 1, Smoke::mf_const, 272, 31},	//208 QWebFrame::scrollBarValue(Qt::Orientation) const
    {54, 597, 79, 1, Smoke::mf_const, 272, 32},	//209 QWebFrame::scrollBarMinimum(Qt::Orientation) const
    {54, 595, 79, 1, Smoke::mf_const, 272, 33},	//210 QWebFrame::scrollBarMaximum(Qt::Orientation) const
    {54, 593, 79, 1, Smoke::mf_const, 50, 34},	//211 QWebFrame::scrollBarGeometry(Qt::Orientation) const
    {54, 591, 87, 2, 0, 0, 35},	//212 QWebFrame::scroll(int, int)
    {54, 603, 0, 0, Smoke::mf_const|Smoke::mf_property, 48, 36},	//213 QWebFrame::scrollPosition() const
    {54, 706, 90, 1, Smoke::mf_property, 0, 37},	//214 QWebFrame::setScrollPosition(const QPoint&)
    {54, 565, 28, 1, 0, 0, 38},	//215 QWebFrame::render(QPainter*)
    {54, 565, 92, 2, 0, 0, 39},	//216 QWebFrame::render(QPainter*, const QRegion&)
    {54, 565, 95, 3, 0, 0, 40},	//217 QWebFrame::render(QPainter*, QWebFrame::RenderLayer, const QRegion&)
    {54, 712, 99, 1, 0, 0, 41},	//218 QWebFrame::setTextSizeMultiplier(double)
    {54, 754, 0, 0, Smoke::mf_const, 271, 42},	//219 QWebFrame::textSizeMultiplier() const
    {54, 805, 0, 0, Smoke::mf_const, 271, 43},	//220 QWebFrame::zoomFactor() const
    {54, 727, 99, 1, 0, 0, 44},	//221 QWebFrame::setZoomFactor(double)
    {54, 383, 0, 0, Smoke::mf_const|Smoke::mf_property, 228, 45},	//222 QWebFrame::hasFocus() const
    {54, 643, 0, 0, 0, 0, 46},	//223 QWebFrame::setFocus()
    {54, 531, 0, 0, Smoke::mf_const, 48, 47},	//224 QWebFrame::pos() const
    {54, 369, 0, 0, Smoke::mf_const, 50, 48},	//225 QWebFrame::geometry() const
    {54, 264, 0, 0, Smoke::mf_const|Smoke::mf_property, 55, 49},	//226 QWebFrame::contentsSize() const
    {54, 293, 0, 0, Smoke::mf_const, 76, 50},	//227 QWebFrame::documentElement() const
    {54, 336, 16, 1, Smoke::mf_const, 80, 51},	//228 QWebFrame::findAllElements(const QString&) const
    {54, 340, 16, 1, Smoke::mf_const, 76, 52},	//229 QWebFrame::findFirstElement(const QString&) const
    {54, 390, 90, 1, Smoke::mf_const, 96, 53},	//230 QWebFrame::hitTestContent(const QPoint&) const
    {54, 323, 1, 1, 0, 228, 54},	//231 QWebFrame::event(QEvent*)
    {54, 606, 0, 0, Smoke::mf_const, 121, 55},	//232 QWebFrame::securityOrigin() const
    {54, 321, 16, 1, Smoke::mf_slot, 73, 56},	//233 QWebFrame::evaluateJavaScript(const QString&)
    {54, 541, 101, 1, Smoke::mf_const|Smoke::mf_slot, 0, 57},	//234 QWebFrame::print(QPrinter*) const
    {54, 423, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//235 QWebFrame::javaScriptWindowObjectCleared()
    {54, 545, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//236 QWebFrame::provisionalLoad()
    {54, 757, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//237 QWebFrame::titleChanged(const QString&)
    {54, 789, 59, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//238 QWebFrame::urlChanged(const QUrl&)
    {54, 399, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//239 QWebFrame::initialLayoutCompleted()
    {54, 394, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//240 QWebFrame::iconChanged()
    {54, 265, 103, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//241 QWebFrame::contentsSizeChanged(const QSize&)
    {54, 451, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//242 QWebFrame::loadStarted()
    {54, 447, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//243 QWebFrame::loadFinished(bool)
    {54, 769, 10, 1, Smoke::mf_static, 61, 67},	//244 QWebFrame::tr(const char*)
    {54, 773, 10, 1, Smoke::mf_static, 61, 68},	//245 QWebFrame::trUtf8(const char*)
    {54, 443, 107, 1, 0, 0, 69},	//246 QWebFrame::load(const QNetworkRequest&)
    {54, 443, 109, 2, 0, 0, 70},	//247 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {54, 652, 16, 1, 0, 0, 71},	//248 QWebFrame::setHtml(const QString&)
    {54, 615, 112, 1, 0, 0, 72},	//249 QWebFrame::setContent(const QByteArray&)
    {54, 615, 114, 2, 0, 0, 73},	//250 QWebFrame::setContent(const QByteArray&, const QString&)
    {54, 565, 117, 2, 0, 0, 74},	//251 QWebFrame::render(QPainter*, QWebFrame::RenderLayer)
    {54, 735, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 232, 75},	//252 QWebFrame::staticMetaObject() const
    {54, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 76},	//253 QWebFrame::ContentsLayer (enum)
    {54, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 77},	//254 QWebFrame::ScrollBarLayer (enum)
    {54, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 78},	//255 QWebFrame::PanIconLayer (enum)
    {54, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 79},	//256 QWebFrame::AllLayers (enum)
    {55, 250, 0, 0, 0, 0, 1},	//257 QWebHistory::clear()
    {55, 411, 0, 0, Smoke::mf_const, 28, 2},	//258 QWebHistory::items() const
    {55, 235, 35, 1, Smoke::mf_const, 28, 3},	//259 QWebHistory::backItems(int) const
    {55, 360, 35, 1, Smoke::mf_const, 28, 4},	//260 QWebHistory::forwardItems(int) const
    {55, 241, 0, 0, Smoke::mf_const, 228, 5},	//261 QWebHistory::canGoBack() const
    {55, 242, 0, 0, Smoke::mf_const, 228, 6},	//262 QWebHistory::canGoForward() const
    {55, 233, 0, 0, 0, 0, 7},	//263 QWebHistory::back()
    {55, 358, 0, 0, 0, 0, 8},	//264 QWebHistory::forward()
    {55, 373, 120, 1, 0, 0, 9},	//265 QWebHistory::goToItem(const QWebHistoryItem&)
    {55, 234, 0, 0, Smoke::mf_const, 93, 10},	//266 QWebHistory::backItem() const
    {55, 278, 0, 0, Smoke::mf_const, 93, 11},	//267 QWebHistory::currentItem() const
    {55, 359, 0, 0, Smoke::mf_const, 93, 12},	//268 QWebHistory::forwardItem() const
    {55, 409, 35, 1, Smoke::mf_const, 93, 13},	//269 QWebHistory::itemAt(int) const
    {55, 279, 0, 0, Smoke::mf_const, 272, 14},	//270 QWebHistory::currentItemIndex() const
    {55, 269, 0, 0, Smoke::mf_const, 272, 15},	//271 QWebHistory::count() const
    {55, 456, 0, 0, Smoke::mf_const, 272, 16},	//272 QWebHistory::maximumItemCount() const
    {55, 663, 35, 1, 0, 0, 17},	//273 QWebHistory::setMaximumItemCount(int)
    {56, 461, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 1},	//274 QWebHistoryInterface::metaObject() const
    {56, 548, 10, 1, Smoke::mf_virtual, 279, 2},	//275 QWebHistoryInterface::qt_metacast(const char*)
    {56, 769, 48, 2, Smoke::mf_static, 61, 3},	//276 QWebHistoryInterface::tr(const char*, const char*)
    {56, 773, 48, 2, Smoke::mf_static, 61, 4},	//277 QWebHistoryInterface::trUtf8(const char*, const char*)
    {56, 769, 51, 3, Smoke::mf_static, 61, 5},	//278 QWebHistoryInterface::tr(const char*, const char*, int)
    {56, 773, 51, 3, Smoke::mf_static, 61, 6},	//279 QWebHistoryInterface::trUtf8(const char*, const char*, int)
    {56, 546, 55, 3, Smoke::mf_virtual, 272, 7},	//280 QWebHistoryInterface::qt_metacall(QMetaObject::Call, int, void**)
    {56, 134, 122, 1, Smoke::mf_ctor, 92, 8},	//281 QWebHistoryInterface::QWebHistoryInterface(QObject*)
    {56, 625, 124, 1, Smoke::mf_static, 0, 9},	//282 QWebHistoryInterface::setDefaultInterface(QWebHistoryInterface*)
    {56, 286, 0, 0, Smoke::mf_static, 92, 10},	//283 QWebHistoryInterface::defaultInterface()
    {56, 388, 16, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 228, 11},	//284 QWebHistoryInterface::historyContains(const QString&) const [pure virtual]
    {56, 206, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//285 QWebHistoryInterface::addHistoryEntry(const QString&) [pure virtual]
    {56, 769, 10, 1, Smoke::mf_static, 61, 13},	//286 QWebHistoryInterface::tr(const char*)
    {56, 773, 10, 1, Smoke::mf_static, 61, 14},	//287 QWebHistoryInterface::trUtf8(const char*)
    {56, 134, 0, 0, Smoke::mf_ctor, 92, 15},	//288 QWebHistoryInterface::QWebHistoryInterface()
    {56, 735, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 232, 16},	//289 QWebHistoryInterface::staticMetaObject() const
    {56, 817, 0, 0, Smoke::mf_dtor, 0, 17 },	//290 QWebHistoryInterface::~QWebHistoryInterface()
    {57, 136, 120, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 95, 1},	//291 QWebHistoryItem::QWebHistoryItem(const QWebHistoryItem&)
    {57, 505, 120, 1, 0, 94, 2},	//292 QWebHistoryItem::operator=(const QWebHistoryItem&)
    {57, 516, 0, 0, Smoke::mf_const, 71, 3},	//293 QWebHistoryItem::originalUrl() const
    {57, 788, 0, 0, Smoke::mf_const, 71, 4},	//294 QWebHistoryItem::url() const
    {57, 756, 0, 0, Smoke::mf_const, 61, 5},	//295 QWebHistoryItem::title() const
    {57, 431, 0, 0, Smoke::mf_const, 8, 6},	//296 QWebHistoryItem::lastVisited() const
    {57, 393, 0, 0, Smoke::mf_const, 21, 7},	//297 QWebHistoryItem::icon() const
    {57, 793, 0, 0, Smoke::mf_const, 73, 8},	//298 QWebHistoryItem::userData() const
    {57, 716, 126, 1, 0, 0, 9},	//299 QWebHistoryItem::setUserData(const QVariant&)
    {57, 408, 0, 0, Smoke::mf_const, 228, 10},	//300 QWebHistoryItem::isValid() const
    {57, 818, 0, 0, Smoke::mf_dtor, 0, 11 },	//301 QWebHistoryItem::~QWebHistoryItem()
    {58, 138, 0, 0, Smoke::mf_ctor, 98, 1},	//302 QWebHitTestResult::QWebHitTestResult()
    {58, 138, 128, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 98, 2},	//303 QWebHitTestResult::QWebHitTestResult(const QWebHitTestResult&)
    {58, 505, 128, 1, 0, 97, 3},	//304 QWebHitTestResult::operator=(const QWebHitTestResult&)
    {58, 407, 0, 0, Smoke::mf_const, 228, 4},	//305 QWebHitTestResult::isNull() const
    {58, 531, 0, 0, Smoke::mf_const, 48, 5},	//306 QWebHitTestResult::pos() const
    {58, 239, 0, 0, Smoke::mf_const, 50, 6},	//307 QWebHitTestResult::boundingRect() const
    {58, 315, 0, 0, Smoke::mf_const, 76, 7},	//308 QWebHitTestResult::enclosingBlockElement() const
    {58, 756, 0, 0, Smoke::mf_const, 61, 8},	//309 QWebHitTestResult::title() const
    {58, 440, 0, 0, Smoke::mf_const, 61, 9},	//310 QWebHitTestResult::linkText() const
    {58, 442, 0, 0, Smoke::mf_const, 71, 10},	//311 QWebHitTestResult::linkUrl() const
    {58, 441, 0, 0, Smoke::mf_const, 71, 11},	//312 QWebHitTestResult::linkTitle() const
    {58, 439, 0, 0, Smoke::mf_const, 89, 12},	//313 QWebHitTestResult::linkTargetFrame() const
    {58, 436, 0, 0, Smoke::mf_const, 76, 13},	//314 QWebHitTestResult::linkElement() const
    {58, 214, 0, 0, Smoke::mf_const, 61, 14},	//315 QWebHitTestResult::alternateText() const
    {58, 398, 0, 0, Smoke::mf_const, 71, 15},	//316 QWebHitTestResult::imageUrl() const
    {58, 527, 0, 0, Smoke::mf_const, 47, 16},	//317 QWebHitTestResult::pixmap() const
    {58, 404, 0, 0, Smoke::mf_const, 228, 17},	//318 QWebHitTestResult::isContentEditable() const
    {58, 405, 0, 0, Smoke::mf_const, 228, 18},	//319 QWebHitTestResult::isContentSelected() const
    {58, 305, 0, 0, Smoke::mf_const, 76, 19},	//320 QWebHitTestResult::element() const
    {58, 363, 0, 0, Smoke::mf_const, 89, 20},	//321 QWebHitTestResult::frame() const
    {58, 819, 0, 0, Smoke::mf_dtor, 0, 21 },	//322 QWebHitTestResult::~QWebHitTestResult()
    {59, 461, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 1},	//323 QWebInspector::metaObject() const
    {59, 548, 10, 1, Smoke::mf_virtual, 279, 2},	//324 QWebInspector::qt_metacast(const char*)
    {59, 769, 48, 2, Smoke::mf_static, 61, 3},	//325 QWebInspector::tr(const char*, const char*)
    {59, 773, 48, 2, Smoke::mf_static, 61, 4},	//326 QWebInspector::trUtf8(const char*, const char*)
    {59, 769, 51, 3, Smoke::mf_static, 61, 5},	//327 QWebInspector::tr(const char*, const char*, int)
    {59, 773, 51, 3, Smoke::mf_static, 61, 6},	//328 QWebInspector::trUtf8(const char*, const char*, int)
    {59, 546, 55, 3, Smoke::mf_virtual, 272, 7},	//329 QWebInspector::qt_metacall(QMetaObject::Call, int, void**)
    {59, 140, 130, 1, Smoke::mf_ctor, 99, 8},	//330 QWebInspector::QWebInspector(QWidget*)
    {59, 685, 132, 1, 0, 0, 9},	//331 QWebInspector::setPage(QWebPage*)
    {59, 517, 0, 0, Smoke::mf_const, 100, 10},	//332 QWebInspector::page() const
    {59, 734, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 55, 11},	//333 QWebInspector::sizeHint() const
    {59, 323, 1, 1, Smoke::mf_virtual, 228, 12},	//334 QWebInspector::event(QEvent*)
    {59, 584, 134, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//335 QWebInspector::resizeEvent(QResizeEvent*)
    {59, 731, 136, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//336 QWebInspector::showEvent(QShowEvent*)
    {59, 385, 138, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//337 QWebInspector::hideEvent(QHideEvent*)
    {59, 769, 10, 1, Smoke::mf_static, 61, 16},	//338 QWebInspector::tr(const char*)
    {59, 773, 10, 1, Smoke::mf_static, 61, 17},	//339 QWebInspector::trUtf8(const char*)
    {59, 140, 0, 0, Smoke::mf_ctor, 99, 18},	//340 QWebInspector::QWebInspector()
    {59, 735, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 232, 19},	//341 QWebInspector::staticMetaObject() const
    {59, 820, 0, 0, Smoke::mf_dtor, 0, 20 },	//342 QWebInspector::~QWebInspector()
    {60, 461, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 1},	//343 QWebPage::metaObject() const
    {60, 548, 10, 1, Smoke::mf_virtual, 279, 2},	//344 QWebPage::qt_metacast(const char*)
    {60, 769, 48, 2, Smoke::mf_static, 61, 3},	//345 QWebPage::tr(const char*, const char*)
    {60, 773, 48, 2, Smoke::mf_static, 61, 4},	//346 QWebPage::trUtf8(const char*, const char*)
    {60, 769, 51, 3, Smoke::mf_static, 61, 5},	//347 QWebPage::tr(const char*, const char*, int)
    {60, 773, 51, 3, Smoke::mf_static, 61, 6},	//348 QWebPage::trUtf8(const char*, const char*, int)
    {60, 546, 55, 3, Smoke::mf_virtual, 272, 7},	//349 QWebPage::qt_metacall(QMetaObject::Call, int, void**)
    {60, 142, 122, 1, Smoke::mf_ctor, 100, 8},	//350 QWebPage::QWebPage(QObject*)
    {60, 455, 0, 0, Smoke::mf_const, 89, 9},	//351 QWebPage::mainFrame() const
    {60, 277, 0, 0, Smoke::mf_const, 89, 10},	//352 QWebPage::currentFrame() const
    {60, 364, 90, 1, Smoke::mf_const, 89, 11},	//353 QWebPage::frameAt(const QPoint&) const
    {60, 387, 0, 0, Smoke::mf_const, 91, 12},	//354 QWebPage::history() const
    {60, 729, 0, 0, Smoke::mf_const, 124, 13},	//355 QWebPage::settings() const
    {60, 720, 130, 1, 0, 0, 14},	//356 QWebPage::setView(QWidget*)
    {60, 795, 0, 0, Smoke::mf_const, 132, 15},	//357 QWebPage::view() const
    {60, 406, 0, 0, Smoke::mf_const|Smoke::mf_property, 228, 16},	//358 QWebPage::isModified() const
    {60, 783, 0, 0, Smoke::mf_const, 70, 17},	//359 QWebPage::undoStack() const
    {60, 671, 140, 1, 0, 0, 18},	//360 QWebPage::setNetworkAccessManager(QNetworkAccessManager*)
    {60, 477, 0, 0, Smoke::mf_const, 37, 19},	//361 QWebPage::networkAccessManager() const
    {60, 693, 142, 1, 0, 0, 20},	//362 QWebPage::setPluginFactory(QWebPluginFactory*)
    {60, 528, 0, 0, Smoke::mf_const, 115, 21},	//363 QWebPage::pluginFactory() const
    {60, 768, 0, 0, Smoke::mf_const, 278, 22},	//364 QWebPage::totalBytes() const
    {60, 240, 0, 0, Smoke::mf_const, 278, 23},	//365 QWebPage::bytesReceived() const
    {60, 607, 0, 0, Smoke::mf_const|Smoke::mf_property, 61, 24},	//366 QWebPage::selectedText() const
    {60, 201, 144, 1, Smoke::mf_const, 1, 25},	//367 QWebPage::action(QWebPage::WebAction) const
    {60, 777, 146, 2, Smoke::mf_virtual, 0, 26},	//368 QWebPage::triggerAction(QWebPage::WebAction, bool)
    {60, 796, 0, 0, Smoke::mf_const|Smoke::mf_property, 55, 27},	//369 QWebPage::viewportSize() const
    {60, 722, 103, 1, Smoke::mf_const|Smoke::mf_property, 0, 28},	//370 QWebPage::setViewportSize(const QSize&) const
    {60, 532, 0, 0, Smoke::mf_const|Smoke::mf_property, 55, 29},	//371 QWebPage::preferredContentsSize() const
    {60, 695, 103, 1, Smoke::mf_const|Smoke::mf_property, 0, 30},	//372 QWebPage::setPreferredContentsSize(const QSize&) const
    {60, 323, 1, 1, Smoke::mf_virtual, 228, 31},	//373 QWebPage::event(QEvent*)
    {60, 349, 105, 1, 0, 228, 32},	//374 QWebPage::focusNextPrevChild(bool)
    {60, 402, 149, 1, Smoke::mf_const, 73, 33},	//375 QWebPage::inputMethodQuery(Qt::InputMethodQuery) const
    {60, 342, 151, 2, 0, 228, 34},	//376 QWebPage::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {60, 648, 105, 1, Smoke::mf_property, 0, 35},	//377 QWebPage::setForwardUnsupportedContent(bool)
    {60, 362, 0, 0, Smoke::mf_const|Smoke::mf_property, 228, 36},	//378 QWebPage::forwardUnsupportedContent() const
    {60, 659, 154, 1, Smoke::mf_property, 0, 37},	//379 QWebPage::setLinkDelegationPolicy(QWebPage::LinkDelegationPolicy)
    {60, 435, 0, 0, Smoke::mf_const|Smoke::mf_property, 110, 38},	//380 QWebPage::linkDelegationPolicy() const
    {60, 687, 156, 1, Smoke::mf_property, 0, 39},	//381 QWebPage::setPalette(const QPalette&)
    {60, 523, 0, 0, Smoke::mf_const|Smoke::mf_property, 46, 40},	//382 QWebPage::palette() const
    {60, 619, 105, 1, Smoke::mf_property, 0, 41},	//383 QWebPage::setContentEditable(bool)
    {60, 404, 0, 0, Smoke::mf_const|Smoke::mf_property, 228, 42},	//384 QWebPage::isContentEditable() const
    {60, 747, 158, 1, 0, 228, 43},	//385 QWebPage::swallowContextMenuEvent(QContextMenuEvent*)
    {60, 786, 90, 1, 0, 0, 44},	//386 QWebPage::updatePositionDependentActions(const QPoint&)
    {60, 274, 0, 0, 0, 32, 45},	//387 QWebPage::createStandardContextMenu()
    {60, 327, 160, 3, Smoke::mf_virtual, 228, 46},	//388 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*)
    {60, 745, 164, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 47},	//389 QWebPage::supportsExtension(QWebPage::Extension) const
    {60, 375, 0, 0, Smoke::mf_const, 114, 48},	//390 QWebPage::handle() const
    {60, 730, 0, 0, Smoke::mf_slot, 228, 49},	//391 QWebPage::shouldInterruptJavaScript()
    {60, 451, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//392 QWebPage::loadStarted()
    {60, 449, 35, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//393 QWebPage::loadProgress(int)
    {60, 447, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//394 QWebPage::loadFinished(bool)
    {60, 437, 21, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//395 QWebPage::linkHovered(const QString&, const QString&, const QString&)
    {60, 736, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//396 QWebPage::statusBarMessage(const QString&)
    {60, 608, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//397 QWebPage::selectionChanged()
    {60, 366, 166, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//398 QWebPage::frameCreated(QWebFrame*)
    {60, 370, 168, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//399 QWebPage::geometryChangeRequested(const QRect&)
    {60, 572, 168, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//400 QWebPage::repaintRequested(const QRect&)
    {60, 604, 170, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//401 QWebPage::scrollRequested(int, int, const QRect&)
    {60, 803, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//402 QWebPage::windowCloseRequested()
    {60, 543, 166, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//403 QWebPage::printRequested(QWebFrame*)
    {60, 433, 59, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//404 QWebPage::linkClicked(const QUrl&)
    {60, 766, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//405 QWebPage::toolBarVisibilityChangeRequested(bool)
    {60, 738, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//406 QWebPage::statusBarVisibilityChangeRequested(bool)
    {60, 458, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//407 QWebPage::menuBarVisibilityChangeRequested(bool)
    {60, 784, 174, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//408 QWebPage::unsupportedContent(QNetworkReply*)
    {60, 295, 107, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//409 QWebPage::downloadRequested(const QNetworkRequest&)
    {60, 463, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//410 QWebPage::microFocusChanged()
    {60, 263, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 69},	//411 QWebPage::contentsChanged()
    {60, 282, 176, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 70},	//412 QWebPage::databaseQuotaExceeded(QWebFrame*, QString)
    {60, 588, 179, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 71},	//413 QWebPage::saveFrameStateRequested(QWebFrame*, QWebHistoryItem*)
    {60, 586, 166, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 72},	//414 QWebPage::restoreFrameStateRequested(QWebFrame*)
    {60, 275, 182, 1, Smoke::mf_protected|Smoke::mf_virtual, 100, 73},	//415 QWebPage::createWindow(QWebPage::WebWindowType)
    {60, 272, 184, 4, Smoke::mf_protected|Smoke::mf_virtual, 40, 74},	//416 QWebPage::createPlugin(const QString&, const QUrl&, const QStringList&, const QStringList&)
    {60, 199, 189, 3, Smoke::mf_protected|Smoke::mf_virtual, 228, 75},	//417 QWebPage::acceptNavigationRequest(QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType)
    {60, 247, 193, 2, Smoke::mf_protected|Smoke::mf_virtual, 61, 76},	//418 QWebPage::chooseFile(QWebFrame*, const QString&)
    {60, 415, 193, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 77},	//419 QWebPage::javaScriptAlert(QWebFrame*, const QString&)
    {60, 417, 193, 2, Smoke::mf_protected|Smoke::mf_virtual, 228, 78},	//420 QWebPage::javaScriptConfirm(QWebFrame*, const QString&)
    {60, 421, 196, 4, Smoke::mf_protected|Smoke::mf_virtual, 228, 79},	//421 QWebPage::javaScriptPrompt(QWebFrame*, const QString&, const QString&, QString*)
    {60, 419, 201, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 80},	//422 QWebPage::javaScriptConsoleMessage(const QString&, int, const QString&)
    {60, 791, 59, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 61, 81},	//423 QWebPage::userAgentForUrl(const QUrl&) const
    {60, 769, 10, 1, Smoke::mf_static, 61, 82},	//424 QWebPage::tr(const char*)
    {60, 773, 10, 1, Smoke::mf_static, 61, 83},	//425 QWebPage::trUtf8(const char*)
    {60, 142, 0, 0, Smoke::mf_ctor, 100, 84},	//426 QWebPage::QWebPage()
    {60, 777, 144, 1, 0, 0, 85},	//427 QWebPage::triggerAction(QWebPage::WebAction)
    {60, 342, 16, 1, 0, 228, 86},	//428 QWebPage::findText(const QString&)
    {60, 327, 164, 1, 0, 228, 87},	//429 QWebPage::extension(QWebPage::Extension)
    {60, 327, 205, 2, 0, 228, 88},	//430 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*)
    {60, 735, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 232, 89},	//431 QWebPage::staticMetaObject() const
    {60, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 90},	//432 QWebPage::NavigationTypeLinkClicked (enum)
    {60, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 91},	//433 QWebPage::NavigationTypeFormSubmitted (enum)
    {60, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 92},	//434 QWebPage::NavigationTypeBackOrForward (enum)
    {60, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 93},	//435 QWebPage::NavigationTypeReload (enum)
    {60, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 94},	//436 QWebPage::NavigationTypeFormResubmitted (enum)
    {60, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 95},	//437 QWebPage::NavigationTypeOther (enum)
    {60, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 96},	//438 QWebPage::NoWebAction (enum)
    {60, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 97},	//439 QWebPage::OpenLink (enum)
    {60, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 98},	//440 QWebPage::OpenLinkInNewWindow (enum)
    {60, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 99},	//441 QWebPage::OpenFrameInNewWindow (enum)
    {60, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 100},	//442 QWebPage::DownloadLinkToDisk (enum)
    {60, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 101},	//443 QWebPage::CopyLinkToClipboard (enum)
    {60, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 102},	//444 QWebPage::OpenImageInNewWindow (enum)
    {60, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 103},	//445 QWebPage::DownloadImageToDisk (enum)
    {60, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 104},	//446 QWebPage::CopyImageToClipboard (enum)
    {60, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 105},	//447 QWebPage::Back (enum)
    {60, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 106},	//448 QWebPage::Forward (enum)
    {60, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 107},	//449 QWebPage::Stop (enum)
    {60, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 108},	//450 QWebPage::Reload (enum)
    {60, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 109},	//451 QWebPage::Cut (enum)
    {60, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 110},	//452 QWebPage::Copy (enum)
    {60, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 111},	//453 QWebPage::Paste (enum)
    {60, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 112},	//454 QWebPage::Undo (enum)
    {60, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 113},	//455 QWebPage::Redo (enum)
    {60, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 114},	//456 QWebPage::MoveToNextChar (enum)
    {60, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 115},	//457 QWebPage::MoveToPreviousChar (enum)
    {60, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 116},	//458 QWebPage::MoveToNextWord (enum)
    {60, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 117},	//459 QWebPage::MoveToPreviousWord (enum)
    {60, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 118},	//460 QWebPage::MoveToNextLine (enum)
    {60, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 119},	//461 QWebPage::MoveToPreviousLine (enum)
    {60, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 120},	//462 QWebPage::MoveToStartOfLine (enum)
    {60, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 121},	//463 QWebPage::MoveToEndOfLine (enum)
    {60, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 122},	//464 QWebPage::MoveToStartOfBlock (enum)
    {60, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 123},	//465 QWebPage::MoveToEndOfBlock (enum)
    {60, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 124},	//466 QWebPage::MoveToStartOfDocument (enum)
    {60, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 125},	//467 QWebPage::MoveToEndOfDocument (enum)
    {60, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 126},	//468 QWebPage::SelectNextChar (enum)
    {60, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 127},	//469 QWebPage::SelectPreviousChar (enum)
    {60, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 128},	//470 QWebPage::SelectNextWord (enum)
    {60, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 129},	//471 QWebPage::SelectPreviousWord (enum)
    {60, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 130},	//472 QWebPage::SelectNextLine (enum)
    {60, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 131},	//473 QWebPage::SelectPreviousLine (enum)
    {60, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 132},	//474 QWebPage::SelectStartOfLine (enum)
    {60, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 133},	//475 QWebPage::SelectEndOfLine (enum)
    {60, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 134},	//476 QWebPage::SelectStartOfBlock (enum)
    {60, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 135},	//477 QWebPage::SelectEndOfBlock (enum)
    {60, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 136},	//478 QWebPage::SelectStartOfDocument (enum)
    {60, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 137},	//479 QWebPage::SelectEndOfDocument (enum)
    {60, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 138},	//480 QWebPage::DeleteStartOfWord (enum)
    {60, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 139},	//481 QWebPage::DeleteEndOfWord (enum)
    {60, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 140},	//482 QWebPage::SetTextDirectionDefault (enum)
    {60, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 141},	//483 QWebPage::SetTextDirectionLeftToRight (enum)
    {60, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 142},	//484 QWebPage::SetTextDirectionRightToLeft (enum)
    {60, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 143},	//485 QWebPage::ToggleBold (enum)
    {60, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 144},	//486 QWebPage::ToggleItalic (enum)
    {60, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 145},	//487 QWebPage::ToggleUnderline (enum)
    {60, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 146},	//488 QWebPage::InspectElement (enum)
    {60, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 147},	//489 QWebPage::InsertParagraphSeparator (enum)
    {60, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 148},	//490 QWebPage::InsertLineSeparator (enum)
    {60, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 149},	//491 QWebPage::SelectAll (enum)
    {60, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 150},	//492 QWebPage::ReloadAndBypassCache (enum)
    {60, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 151},	//493 QWebPage::PasteAndMatchStyle (enum)
    {60, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 152},	//494 QWebPage::RemoveFormat (enum)
    {60, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 153},	//495 QWebPage::ToggleStrikethrough (enum)
    {60, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 154},	//496 QWebPage::ToggleSubscript (enum)
    {60, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 155},	//497 QWebPage::ToggleSuperscript (enum)
    {60, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 156},	//498 QWebPage::InsertUnorderedList (enum)
    {60, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 157},	//499 QWebPage::InsertOrderedList (enum)
    {60, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 158},	//500 QWebPage::Indent (enum)
    {60, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 159},	//501 QWebPage::Outdent (enum)
    {60, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 160},	//502 QWebPage::AlignCenter (enum)
    {60, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 161},	//503 QWebPage::AlignJustified (enum)
    {60, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 162},	//504 QWebPage::AlignLeft (enum)
    {60, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 163},	//505 QWebPage::AlignRight (enum)
    {60, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 164},	//506 QWebPage::WebActionCount (enum)
    {60, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 165},	//507 QWebPage::FindBackward (enum)
    {60, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 166},	//508 QWebPage::FindCaseSensitively (enum)
    {60, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 167},	//509 QWebPage::FindWrapsAroundDocument (enum)
    {60, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 168},	//510 QWebPage::HighlightAllOccurrences (enum)
    {60, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 169},	//511 QWebPage::DontDelegateLinks (enum)
    {60, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 170},	//512 QWebPage::DelegateExternalLinks (enum)
    {60, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 171},	//513 QWebPage::DelegateAllLinks (enum)
    {60, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 172},	//514 QWebPage::WebBrowserWindow (enum)
    {60, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 173},	//515 QWebPage::WebModalDialog (enum)
    {60, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 174},	//516 QWebPage::ChooseMultipleFilesExtension (enum)
    {60, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 175},	//517 QWebPage::ErrorPageExtension (enum)
    {60, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 176},	//518 QWebPage::QtNetwork (enum)
    {60, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 177},	//519 QWebPage::Http (enum)
    {60, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 178},	//520 QWebPage::WebKit (enum)
    {60, 821, 0, 0, Smoke::mf_dtor, 0, 179 },	//521 QWebPage::~QWebPage()
    {61, 10, 0, 0, Smoke::mf_ctor, 101, 1},	//522 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption()
    {61, 10, 208, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 101, 2},	//523 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption(const QWebPage::ChooseMultipleFilesExtensionOption&)
    {61, 526, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 89, 3},	//524 QWebPage::ChooseMultipleFilesExtensionOption::parentFrame() const
    {61, 689, 166, 1, Smoke::mf_attribute, 0, 4},	//525 QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame(QWebFrame*)
    {61, 744, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 65, 5},	//526 QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames() const
    {61, 710, 210, 1, Smoke::mf_attribute, 0, 6},	//527 QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames(const QStringList&)
    {61, 806, 0, 0, Smoke::mf_dtor, 0, 7 },	//528 QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption()
    {62, 12, 0, 0, Smoke::mf_ctor, 102, 1},	//529 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn()
    {62, 12, 212, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 102, 2},	//530 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn(const QWebPage::ChooseMultipleFilesExtensionReturn&)
    {62, 333, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 65, 3},	//531 QWebPage::ChooseMultipleFilesExtensionReturn::fileNames() const
    {62, 641, 210, 1, Smoke::mf_attribute, 0, 4},	//532 QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames(const QStringList&)
    {62, 807, 0, 0, Smoke::mf_dtor, 0, 5 },	//533 QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn()
    {63, 36, 0, 0, Smoke::mf_ctor, 104, 1},	//534 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption()
    {63, 36, 214, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 104, 2},	//535 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption(const QWebPage::ErrorPageExtensionOption&)
    {63, 788, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 72, 3},	//536 QWebPage::ErrorPageExtensionOption::url() const
    {63, 714, 59, 1, Smoke::mf_attribute, 0, 4},	//537 QWebPage::ErrorPageExtensionOption::setUrl(const QUrl&)
    {63, 363, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 89, 5},	//538 QWebPage::ErrorPageExtensionOption::frame() const
    {63, 650, 166, 1, Smoke::mf_attribute, 0, 6},	//539 QWebPage::ErrorPageExtensionOption::setFrame(QWebFrame*)
    {63, 294, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 103, 7},	//540 QWebPage::ErrorPageExtensionOption::domain() const
    {63, 631, 216, 1, Smoke::mf_attribute, 0, 8},	//541 QWebPage::ErrorPageExtensionOption::setDomain(QWebPage::ErrorDomain)
    {63, 319, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 272, 9},	//542 QWebPage::ErrorPageExtensionOption::error() const
    {63, 635, 35, 1, Smoke::mf_attribute, 0, 10},	//543 QWebPage::ErrorPageExtensionOption::setError(int)
    {63, 320, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 62, 11},	//544 QWebPage::ErrorPageExtensionOption::errorString() const
    {63, 637, 16, 1, Smoke::mf_attribute, 0, 12},	//545 QWebPage::ErrorPageExtensionOption::setErrorString(const QString&)
    {63, 808, 0, 0, Smoke::mf_dtor, 0, 13 },	//546 QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption()
    {64, 38, 0, 0, Smoke::mf_ctor, 105, 1},	//547 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn()
    {64, 38, 218, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 105, 2},	//548 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn(const QWebPage::ErrorPageExtensionReturn&)
    {64, 262, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 62, 3},	//549 QWebPage::ErrorPageExtensionReturn::contentType() const
    {64, 621, 16, 1, Smoke::mf_attribute, 0, 4},	//550 QWebPage::ErrorPageExtensionReturn::setContentType(const QString&)
    {64, 316, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 62, 5},	//551 QWebPage::ErrorPageExtensionReturn::encoding() const
    {64, 633, 16, 1, Smoke::mf_attribute, 0, 6},	//552 QWebPage::ErrorPageExtensionReturn::setEncoding(const QString&)
    {64, 237, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 72, 7},	//553 QWebPage::ErrorPageExtensionReturn::baseUrl() const
    {64, 613, 59, 1, Smoke::mf_attribute, 0, 8},	//554 QWebPage::ErrorPageExtensionReturn::setBaseUrl(const QUrl&)
    {64, 261, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 4, 9},	//555 QWebPage::ErrorPageExtensionReturn::content() const
    {64, 615, 112, 1, Smoke::mf_attribute, 0, 10},	//556 QWebPage::ErrorPageExtensionReturn::setContent(const QByteArray&)
    {64, 809, 0, 0, Smoke::mf_dtor, 0, 11 },	//557 QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn()
    {65, 40, 0, 0, Smoke::mf_ctor, 107, 1},	//558 QWebPage::ExtensionOption::ExtensionOption()
    {65, 40, 220, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 107, 2},	//559 QWebPage::ExtensionOption::ExtensionOption(const QWebPage::ExtensionOption&)
    {65, 810, 0, 0, Smoke::mf_dtor, 0, 3 },	//560 QWebPage::ExtensionOption::~ExtensionOption()
    {66, 42, 0, 0, Smoke::mf_ctor, 108, 1},	//561 QWebPage::ExtensionReturn::ExtensionReturn()
    {66, 42, 222, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 108, 2},	//562 QWebPage::ExtensionReturn::ExtensionReturn(const QWebPage::ExtensionReturn&)
    {66, 811, 0, 0, Smoke::mf_dtor, 0, 3 },	//563 QWebPage::ExtensionReturn::~ExtensionReturn()
    {68, 461, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 1},	//564 QWebPluginFactory::metaObject() const
    {68, 548, 10, 1, Smoke::mf_virtual, 279, 2},	//565 QWebPluginFactory::qt_metacast(const char*)
    {68, 769, 48, 2, Smoke::mf_static, 61, 3},	//566 QWebPluginFactory::tr(const char*, const char*)
    {68, 773, 48, 2, Smoke::mf_static, 61, 4},	//567 QWebPluginFactory::trUtf8(const char*, const char*)
    {68, 769, 51, 3, Smoke::mf_static, 61, 5},	//568 QWebPluginFactory::tr(const char*, const char*, int)
    {68, 773, 51, 3, Smoke::mf_static, 61, 6},	//569 QWebPluginFactory::trUtf8(const char*, const char*, int)
    {68, 546, 55, 3, Smoke::mf_virtual, 272, 7},	//570 QWebPluginFactory::qt_metacall(QMetaObject::Call, int, void**)
    {68, 144, 122, 1, Smoke::mf_ctor, 115, 8},	//571 QWebPluginFactory::QWebPluginFactory(QObject*)
    {68, 529, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 30, 9},	//572 QWebPluginFactory::plugins() const [pure virtual]
    {68, 550, 0, 0, Smoke::mf_virtual, 0, 10},	//573 QWebPluginFactory::refreshPlugins()
    {68, 270, 184, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 40, 11},	//574 QWebPluginFactory::create(const QString&, const QUrl&, const QStringList&, const QStringList&) const [pure virtual]
    {68, 327, 224, 3, Smoke::mf_virtual, 228, 12},	//575 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*)
    {68, 745, 228, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 13},	//576 QWebPluginFactory::supportsExtension(QWebPluginFactory::Extension) const
    {68, 769, 10, 1, Smoke::mf_static, 61, 14},	//577 QWebPluginFactory::tr(const char*)
    {68, 773, 10, 1, Smoke::mf_static, 61, 15},	//578 QWebPluginFactory::trUtf8(const char*)
    {68, 144, 0, 0, Smoke::mf_ctor, 115, 16},	//579 QWebPluginFactory::QWebPluginFactory()
    {68, 327, 228, 1, 0, 228, 17},	//580 QWebPluginFactory::extension(QWebPluginFactory::Extension)
    {68, 327, 230, 2, 0, 228, 18},	//581 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*)
    {68, 735, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 232, 19},	//582 QWebPluginFactory::staticMetaObject() const
    {68, 822, 0, 0, Smoke::mf_dtor, 0, 20 },	//583 QWebPluginFactory::~QWebPluginFactory()
    {69, 40, 0, 0, Smoke::mf_ctor, 117, 1},	//584 QWebPluginFactory::ExtensionOption::ExtensionOption()
    {69, 40, 233, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 117, 2},	//585 QWebPluginFactory::ExtensionOption::ExtensionOption(const QWebPluginFactory::ExtensionOption&)
    {69, 810, 0, 0, Smoke::mf_dtor, 0, 3 },	//586 QWebPluginFactory::ExtensionOption::~ExtensionOption()
    {70, 42, 0, 0, Smoke::mf_ctor, 118, 1},	//587 QWebPluginFactory::ExtensionReturn::ExtensionReturn()
    {70, 42, 235, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 118, 2},	//588 QWebPluginFactory::ExtensionReturn::ExtensionReturn(const QWebPluginFactory::ExtensionReturn&)
    {70, 811, 0, 0, Smoke::mf_dtor, 0, 3 },	//589 QWebPluginFactory::ExtensionReturn::~ExtensionReturn()
    {71, 507, 237, 1, Smoke::mf_const, 228, 1},	//590 QWebPluginFactory::MimeType::operator==(const QWebPluginFactory::MimeType&) const
    {71, 483, 237, 1, Smoke::mf_const, 228, 2},	//591 QWebPluginFactory::MimeType::operator!=(const QWebPluginFactory::MimeType&) const
    {71, 87, 0, 0, Smoke::mf_ctor, 119, 3},	//592 QWebPluginFactory::MimeType::MimeType()
    {71, 87, 237, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 119, 4},	//593 QWebPluginFactory::MimeType::MimeType(const QWebPluginFactory::MimeType&)
    {71, 475, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 62, 5},	//594 QWebPluginFactory::MimeType::name() const
    {71, 669, 16, 1, Smoke::mf_attribute, 0, 6},	//595 QWebPluginFactory::MimeType::setName(const QString&)
    {71, 288, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 62, 7},	//596 QWebPluginFactory::MimeType::description() const
    {71, 629, 16, 1, Smoke::mf_attribute, 0, 8},	//597 QWebPluginFactory::MimeType::setDescription(const QString&)
    {71, 331, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 65, 9},	//598 QWebPluginFactory::MimeType::fileExtensions() const
    {71, 639, 210, 1, Smoke::mf_attribute, 0, 10},	//599 QWebPluginFactory::MimeType::setFileExtensions(const QStringList&)
    {71, 812, 0, 0, Smoke::mf_dtor, 0, 11 },	//600 QWebPluginFactory::MimeType::~MimeType()
    {72, 122, 0, 0, Smoke::mf_ctor, 120, 1},	//601 QWebPluginFactory::Plugin::Plugin()
    {72, 122, 239, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 120, 2},	//602 QWebPluginFactory::Plugin::Plugin(const QWebPluginFactory::Plugin&)
    {72, 475, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 62, 3},	//603 QWebPluginFactory::Plugin::name() const
    {72, 669, 16, 1, Smoke::mf_attribute, 0, 4},	//604 QWebPluginFactory::Plugin::setName(const QString&)
    {72, 288, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 62, 5},	//605 QWebPluginFactory::Plugin::description() const
    {72, 629, 16, 1, Smoke::mf_attribute, 0, 6},	//606 QWebPluginFactory::Plugin::setDescription(const QString&)
    {72, 464, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 29, 7},	//607 QWebPluginFactory::Plugin::mimeTypes() const
    {72, 667, 241, 1, Smoke::mf_attribute, 0, 8},	//608 QWebPluginFactory::Plugin::setMimeTypes(const QList<QWebPluginFactory::MimeType>&)
    {72, 813, 0, 0, Smoke::mf_dtor, 0, 9 },	//609 QWebPluginFactory::Plugin::~Plugin()
    {73, 213, 0, 0, Smoke::mf_static, 31, 1},	//610 QWebSecurityOrigin::allOrigins()
    {73, 208, 16, 1, Smoke::mf_static, 0, 2},	//611 QWebSecurityOrigin::addLocalScheme(const QString&)
    {73, 563, 16, 1, Smoke::mf_static, 0, 3},	//612 QWebSecurityOrigin::removeLocalScheme(const QString&)
    {73, 453, 0, 0, Smoke::mf_static, 64, 4},	//613 QWebSecurityOrigin::localSchemes()
    {73, 590, 0, 0, Smoke::mf_const, 61, 5},	//614 QWebSecurityOrigin::scheme() const
    {73, 392, 0, 0, Smoke::mf_const, 61, 6},	//615 QWebSecurityOrigin::host() const
    {73, 530, 0, 0, Smoke::mf_const, 272, 7},	//616 QWebSecurityOrigin::port() const
    {73, 284, 0, 0, Smoke::mf_const, 274, 8},	//617 QWebSecurityOrigin::databaseUsage() const
    {73, 281, 0, 0, Smoke::mf_const, 274, 9},	//618 QWebSecurityOrigin::databaseQuota() const
    {73, 623, 243, 1, 0, 0, 10},	//619 QWebSecurityOrigin::setDatabaseQuota(long long)
    {73, 285, 0, 0, Smoke::mf_const, 25, 11},	//620 QWebSecurityOrigin::databases() const
    {73, 146, 245, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 123, 12},	//621 QWebSecurityOrigin::QWebSecurityOrigin(const QWebSecurityOrigin&)
    {73, 505, 245, 1, 0, 122, 13},	//622 QWebSecurityOrigin::operator=(const QWebSecurityOrigin&)
    {73, 823, 0, 0, Smoke::mf_dtor, 0, 14 },	//623 QWebSecurityOrigin::~QWebSecurityOrigin()
    {74, 372, 0, 0, Smoke::mf_static, 124, 1},	//624 QWebSettings::globalSettings()
    {74, 644, 247, 2, 0, 0, 2},	//625 QWebSettings::setFontFamily(QWebSettings::FontFamily, const QString&)
    {74, 354, 250, 1, Smoke::mf_const, 61, 3},	//626 QWebSettings::fontFamily(QWebSettings::FontFamily) const
    {74, 580, 250, 1, 0, 0, 4},	//627 QWebSettings::resetFontFamily(QWebSettings::FontFamily)
    {74, 646, 252, 2, 0, 0, 5},	//628 QWebSettings::setFontSize(QWebSettings::FontSize, int)
    {74, 356, 255, 1, Smoke::mf_const, 272, 6},	//629 QWebSettings::fontSize(QWebSettings::FontSize) const
    {74, 582, 255, 1, 0, 0, 7},	//630 QWebSettings::resetFontSize(QWebSettings::FontSize)
    {74, 609, 257, 2, 0, 0, 8},	//631 QWebSettings::setAttribute(QWebSettings::WebAttribute, bool)
    {74, 752, 260, 1, Smoke::mf_const, 228, 9},	//632 QWebSettings::testAttribute(QWebSettings::WebAttribute) const
    {74, 578, 260, 1, 0, 0, 10},	//633 QWebSettings::resetAttribute(QWebSettings::WebAttribute)
    {74, 718, 59, 1, 0, 0, 11},	//634 QWebSettings::setUserStyleSheetUrl(const QUrl&)
    {74, 794, 0, 0, Smoke::mf_const, 71, 12},	//635 QWebSettings::userStyleSheetUrl() const
    {74, 627, 16, 1, 0, 0, 13},	//636 QWebSettings::setDefaultTextEncoding(const QString&)
    {74, 287, 0, 0, Smoke::mf_const, 61, 14},	//637 QWebSettings::defaultTextEncoding() const
    {74, 655, 16, 1, Smoke::mf_static, 0, 15},	//638 QWebSettings::setIconDatabasePath(const QString&)
    {74, 395, 0, 0, Smoke::mf_static, 61, 16},	//639 QWebSettings::iconDatabasePath()
    {74, 251, 0, 0, Smoke::mf_static, 0, 17},	//640 QWebSettings::clearIconDatabase()
    {74, 396, 59, 1, Smoke::mf_static, 21, 18},	//641 QWebSettings::iconForUrl(const QUrl&)
    {74, 725, 262, 2, Smoke::mf_static, 0, 19},	//642 QWebSettings::setWebGraphic(QWebSettings::WebGraphic, const QPixmap&)
    {74, 798, 265, 1, Smoke::mf_static, 47, 20},	//643 QWebSettings::webGraphic(QWebSettings::WebGraphic)
    {74, 665, 35, 1, Smoke::mf_static, 0, 21},	//644 QWebSettings::setMaximumPagesInCache(int)
    {74, 457, 0, 0, Smoke::mf_static, 272, 22},	//645 QWebSettings::maximumPagesInCache()
    {74, 673, 267, 3, Smoke::mf_static, 0, 23},	//646 QWebSettings::setObjectCacheCapacities(int, int, int)
    {74, 677, 16, 1, Smoke::mf_static, 0, 24},	//647 QWebSettings::setOfflineStoragePath(const QString&)
    {74, 480, 0, 0, Smoke::mf_static, 61, 25},	//648 QWebSettings::offlineStoragePath()
    {74, 675, 243, 1, Smoke::mf_static, 0, 26},	//649 QWebSettings::setOfflineStorageDefaultQuota(long long)
    {74, 479, 0, 0, Smoke::mf_static, 274, 27},	//650 QWebSettings::offlineStorageDefaultQuota()
    {74, 679, 16, 1, Smoke::mf_static, 0, 28},	//651 QWebSettings::setOfflineWebApplicationCachePath(const QString&)
    {74, 481, 0, 0, Smoke::mf_static, 61, 29},	//652 QWebSettings::offlineWebApplicationCachePath()
    {74, 681, 243, 1, Smoke::mf_static, 0, 30},	//653 QWebSettings::setOfflineWebApplicationCacheQuota(long long)
    {74, 482, 0, 0, Smoke::mf_static, 274, 31},	//654 QWebSettings::offlineWebApplicationCacheQuota()
    {74, 661, 16, 1, 0, 0, 32},	//655 QWebSettings::setLocalStoragePath(const QString&)
    {74, 454, 0, 0, Smoke::mf_const, 61, 33},	//656 QWebSettings::localStoragePath() const
    {74, 252, 0, 0, Smoke::mf_static, 0, 34},	//657 QWebSettings::clearMemoryCaches()
    {74, 306, 16, 1, Smoke::mf_static, 0, 35},	//658 QWebSettings::enablePersistentStorage(const QString&)
    {74, 375, 0, 0, Smoke::mf_const, 129, 36},	//659 QWebSettings::handle() const
    {74, 306, 0, 0, Smoke::mf_static, 0, 37},	//660 QWebSettings::enablePersistentStorage()
    {74, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 38},	//661 QWebSettings::StandardFont (enum)
    {74, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 39},	//662 QWebSettings::FixedFont (enum)
    {74, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 40},	//663 QWebSettings::SerifFont (enum)
    {74, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 41},	//664 QWebSettings::SansSerifFont (enum)
    {74, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 42},	//665 QWebSettings::CursiveFont (enum)
    {74, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 43},	//666 QWebSettings::FantasyFont (enum)
    {74, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 44},	//667 QWebSettings::AutoLoadImages (enum)
    {74, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 45},	//668 QWebSettings::JavascriptEnabled (enum)
    {74, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 46},	//669 QWebSettings::JavaEnabled (enum)
    {74, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 47},	//670 QWebSettings::PluginsEnabled (enum)
    {74, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 48},	//671 QWebSettings::PrivateBrowsingEnabled (enum)
    {74, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 49},	//672 QWebSettings::JavascriptCanOpenWindows (enum)
    {74, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 50},	//673 QWebSettings::JavascriptCanAccessClipboard (enum)
    {74, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 51},	//674 QWebSettings::DeveloperExtrasEnabled (enum)
    {74, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 52},	//675 QWebSettings::LinksIncludedInFocusChain (enum)
    {74, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 53},	//676 QWebSettings::ZoomTextOnly (enum)
    {74, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 54},	//677 QWebSettings::PrintElementBackgrounds (enum)
    {74, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 55},	//678 QWebSettings::OfflineStorageDatabaseEnabled (enum)
    {74, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 56},	//679 QWebSettings::OfflineWebApplicationCacheEnabled (enum)
    {74, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 57},	//680 QWebSettings::LocalStorageEnabled (enum)
    {74, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 58},	//681 QWebSettings::LocalStorageDatabaseEnabled (enum)
    {74, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 59},	//682 QWebSettings::LocalContentCanAccessRemoteUrls (enum)
    {74, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 60},	//683 QWebSettings::DnsPrefetchEnabled (enum)
    {74, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 61},	//684 QWebSettings::MissingImageGraphic (enum)
    {74, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 62},	//685 QWebSettings::MissingPluginGraphic (enum)
    {74, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 63},	//686 QWebSettings::DefaultFrameIconGraphic (enum)
    {74, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 64},	//687 QWebSettings::TextAreaSizeGripCornerGraphic (enum)
    {74, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 65},	//688 QWebSettings::MinimumFontSize (enum)
    {74, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 66},	//689 QWebSettings::MinimumLogicalFontSize (enum)
    {74, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 67},	//690 QWebSettings::DefaultFontSize (enum)
    {74, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 68},	//691 QWebSettings::DefaultFixedFontSize (enum)
    {76, 461, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 1},	//692 QWebView::metaObject() const
    {76, 548, 10, 1, Smoke::mf_virtual, 279, 2},	//693 QWebView::qt_metacast(const char*)
    {76, 769, 48, 2, Smoke::mf_static, 61, 3},	//694 QWebView::tr(const char*, const char*)
    {76, 773, 48, 2, Smoke::mf_static, 61, 4},	//695 QWebView::trUtf8(const char*, const char*)
    {76, 769, 51, 3, Smoke::mf_static, 61, 5},	//696 QWebView::tr(const char*, const char*, int)
    {76, 773, 51, 3, Smoke::mf_static, 61, 6},	//697 QWebView::trUtf8(const char*, const char*, int)
    {76, 546, 55, 3, Smoke::mf_virtual, 272, 7},	//698 QWebView::qt_metacall(QMetaObject::Call, int, void**)
    {76, 148, 130, 1, Smoke::mf_ctor, 130, 8},	//699 QWebView::QWebView(QWidget*)
    {76, 517, 0, 0, Smoke::mf_const, 100, 9},	//700 QWebView::page() const
    {76, 685, 132, 1, 0, 0, 10},	//701 QWebView::setPage(QWebPage*)
    {76, 443, 59, 1, 0, 0, 11},	//702 QWebView::load(const QUrl&)
    {76, 443, 61, 3, 0, 0, 12},	//703 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {76, 652, 65, 2, 0, 0, 13},	//704 QWebView::setHtml(const QString&, const QUrl&)
    {76, 615, 68, 3, 0, 0, 14},	//705 QWebView::setContent(const QByteArray&, const QString&, const QUrl&)
    {76, 387, 0, 0, Smoke::mf_const, 91, 15},	//706 QWebView::history() const
    {76, 729, 0, 0, Smoke::mf_const, 124, 16},	//707 QWebView::settings() const
    {76, 756, 0, 0, Smoke::mf_const|Smoke::mf_property, 61, 17},	//708 QWebView::title() const
    {76, 714, 59, 1, Smoke::mf_property, 0, 18},	//709 QWebView::setUrl(const QUrl&)
    {76, 788, 0, 0, Smoke::mf_const|Smoke::mf_property, 71, 19},	//710 QWebView::url() const
    {76, 393, 0, 0, Smoke::mf_const|Smoke::mf_property, 21, 20},	//711 QWebView::icon() const
    {76, 607, 0, 0, Smoke::mf_const|Smoke::mf_property, 61, 21},	//712 QWebView::selectedText() const
    {76, 518, 144, 1, Smoke::mf_const, 1, 22},	//713 QWebView::pageAction(QWebPage::WebAction) const
    {76, 780, 146, 2, 0, 0, 23},	//714 QWebView::triggerPageAction(QWebPage::WebAction, bool)
    {76, 406, 0, 0, Smoke::mf_const|Smoke::mf_property, 228, 24},	//715 QWebView::isModified() const
    {76, 402, 149, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 25},	//716 QWebView::inputMethodQuery(Qt::InputMethodQuery) const
    {76, 734, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 55, 26},	//717 QWebView::sizeHint() const
    {76, 805, 0, 0, Smoke::mf_const, 271, 27},	//718 QWebView::zoomFactor() const
    {76, 727, 99, 1, 0, 0, 28},	//719 QWebView::setZoomFactor(double)
    {76, 712, 99, 1, 0, 0, 29},	//720 QWebView::setTextSizeMultiplier(double)
    {76, 754, 0, 0, Smoke::mf_const, 271, 30},	//721 QWebView::textSizeMultiplier() const
    {76, 570, 0, 0, Smoke::mf_const, 16, 31},	//722 QWebView::renderHints() const
    {76, 700, 271, 1, 0, 0, 32},	//723 QWebView::setRenderHints(QFlags<QPainter::RenderHint>)
    {76, 697, 273, 2, 0, 0, 33},	//724 QWebView::setRenderHint(QPainter::RenderHint, bool)
    {76, 342, 151, 2, 0, 228, 34},	//725 QWebView::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {76, 323, 1, 1, Smoke::mf_virtual, 228, 35},	//726 QWebView::event(QEvent*)
    {76, 740, 0, 0, Smoke::mf_slot, 0, 36},	//727 QWebView::stop()
    {76, 233, 0, 0, Smoke::mf_slot, 0, 37},	//728 QWebView::back()
    {76, 358, 0, 0, Smoke::mf_slot, 0, 38},	//729 QWebView::forward()
    {76, 551, 0, 0, Smoke::mf_slot, 0, 39},	//730 QWebView::reload()
    {76, 541, 101, 1, Smoke::mf_const|Smoke::mf_slot, 0, 40},	//731 QWebView::print(QPrinter*) const
    {76, 451, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//732 QWebView::loadStarted()
    {76, 449, 35, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//733 QWebView::loadProgress(int)
    {76, 447, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//734 QWebView::loadFinished(bool)
    {76, 757, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//735 QWebView::titleChanged(const QString&)
    {76, 736, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//736 QWebView::statusBarMessage(const QString&)
    {76, 433, 59, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//737 QWebView::linkClicked(const QUrl&)
    {76, 608, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//738 QWebView::selectionChanged()
    {76, 394, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//739 QWebView::iconChanged()
    {76, 789, 59, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//740 QWebView::urlChanged(const QUrl&)
    {76, 584, 134, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//741 QWebView::resizeEvent(QResizeEvent*)
    {76, 521, 276, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 51},	//742 QWebView::paintEvent(QPaintEvent*)
    {76, 275, 182, 1, Smoke::mf_protected|Smoke::mf_virtual, 130, 52},	//743 QWebView::createWindow(QWebPage::WebWindowType)
    {76, 243, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//744 QWebView::changeEvent(QEvent*)
    {76, 468, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//745 QWebView::mouseMoveEvent(QMouseEvent*)
    {76, 470, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//746 QWebView::mousePressEvent(QMouseEvent*)
    {76, 466, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//747 QWebView::mouseDoubleClickEvent(QMouseEvent*)
    {76, 472, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//748 QWebView::mouseReleaseEvent(QMouseEvent*)
    {76, 267, 158, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//749 QWebView::contextMenuEvent(QContextMenuEvent*)
    {76, 800, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//750 QWebView::wheelEvent(QWheelEvent*)
    {76, 424, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//751 QWebView::keyPressEvent(QKeyEvent*)
    {76, 426, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//752 QWebView::keyReleaseEvent(QKeyEvent*)
    {76, 297, 284, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//753 QWebView::dragEnterEvent(QDragEnterEvent*)
    {76, 299, 286, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//754 QWebView::dragLeaveEvent(QDragLeaveEvent*)
    {76, 301, 288, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//755 QWebView::dragMoveEvent(QDragMoveEvent*)
    {76, 303, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//756 QWebView::dropEvent(QDropEvent*)
    {76, 347, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 66},	//757 QWebView::focusInEvent(QFocusEvent*)
    {76, 351, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//758 QWebView::focusOutEvent(QFocusEvent*)
    {76, 400, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//759 QWebView::inputMethodEvent(QInputMethodEvent*)
    {76, 349, 105, 1, Smoke::mf_protected|Smoke::mf_virtual, 228, 69},	//760 QWebView::focusNextPrevChild(bool)
    {76, 769, 10, 1, Smoke::mf_static, 61, 70},	//761 QWebView::tr(const char*)
    {76, 773, 10, 1, Smoke::mf_static, 61, 71},	//762 QWebView::trUtf8(const char*)
    {76, 148, 0, 0, Smoke::mf_ctor, 130, 72},	//763 QWebView::QWebView()
    {76, 443, 107, 1, 0, 0, 73},	//764 QWebView::load(const QNetworkRequest&)
    {76, 443, 109, 2, 0, 0, 74},	//765 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {76, 652, 16, 1, 0, 0, 75},	//766 QWebView::setHtml(const QString&)
    {76, 615, 112, 1, 0, 0, 76},	//767 QWebView::setContent(const QByteArray&)
    {76, 615, 114, 2, 0, 0, 77},	//768 QWebView::setContent(const QByteArray&, const QString&)
    {76, 780, 144, 1, 0, 0, 78},	//769 QWebView::triggerPageAction(QWebPage::WebAction)
    {76, 697, 296, 1, 0, 0, 79},	//770 QWebView::setRenderHint(QPainter::RenderHint)
    {76, 342, 16, 1, 0, 228, 80},	//771 QWebView::findText(const QString&)
    {76, 735, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 232, 81},	//772 QWebView::staticMetaObject() const
    {76, 824, 0, 0, Smoke::mf_dtor, 0, 82 },	//773 QWebView::~QWebView()
    {78, 289, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 0},	//774 QWidget::devType() const
    {78, 724, 105, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//775 QWidget::setVisible(bool)
    {78, 465, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 55, 0},	//776 QWidget::minimumSizeHint() const
    {78, 384, 35, 1, Smoke::mf_const|Smoke::mf_virtual, 272, 0},	//777 QWidget::heightForWidth(int) const
    {78, 520, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 42, 0},	//778 QWidget::paintEngine() const
    {78, 470, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//779 QWidget::mousePressEvent(QMouseEvent*)
    {78, 472, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//780 QWidget::mouseReleaseEvent(QMouseEvent*)
    {78, 466, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//781 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {78, 468, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//782 QWidget::mouseMoveEvent(QMouseEvent*)
    {78, 800, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//783 QWidget::wheelEvent(QWheelEvent*)
    {78, 424, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//784 QWidget::keyPressEvent(QKeyEvent*)
    {78, 426, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//785 QWidget::keyReleaseEvent(QKeyEvent*)
    {78, 347, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//786 QWidget::focusInEvent(QFocusEvent*)
    {78, 351, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//787 QWidget::focusOutEvent(QFocusEvent*)
    {78, 318, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//788 QWidget::enterEvent(QEvent*)
    {78, 432, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//789 QWidget::leaveEvent(QEvent*)
    {78, 521, 276, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//790 QWidget::paintEvent(QPaintEvent*)
    {78, 474, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//791 QWidget::moveEvent(QMoveEvent*)
    {78, 254, 300, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//792 QWidget::closeEvent(QCloseEvent*)
    {78, 267, 158, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//793 QWidget::contextMenuEvent(QContextMenuEvent*)
    {78, 749, 302, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//794 QWidget::tabletEvent(QTabletEvent*)
    {78, 203, 304, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//795 QWidget::actionEvent(QActionEvent*)
    {78, 297, 284, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//796 QWidget::dragEnterEvent(QDragEnterEvent*)
    {78, 301, 288, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//797 QWidget::dragMoveEvent(QDragMoveEvent*)
    {78, 299, 286, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//798 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {78, 303, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//799 QWidget::dropEvent(QDropEvent*)
    {78, 731, 136, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//800 QWidget::showEvent(QShowEvent*)
    {78, 385, 138, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//801 QWidget::hideEvent(QHideEvent*)
    {78, 804, 306, 1, Smoke::mf_protected|Smoke::mf_virtual, 228, 0},	//802 QWidget::x11Event(_XEvent*)
    {78, 243, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//803 QWidget::changeEvent(QEvent*)
    {78, 462, 308, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 272, 0},	//804 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {78, 400, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//805 QWidget::inputMethodEvent(QInputMethodEvent*)
    {78, 402, 149, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 0},	//806 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {78, 349, 105, 1, Smoke::mf_protected|Smoke::mf_virtual, 228, 0},	//807 QWidget::focusNextPrevChild(bool)
    {78, 741, 310, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//808 QWidget::styleChange(QStyle&)
    {78, 308, 105, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//809 QWidget::enabledChange(bool)
    {78, 524, 156, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//810 QWidget::paletteChange(const QPalette&)
    {78, 353, 312, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//811 QWidget::fontChange(const QFont&)
    {78, 802, 105, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//812 QWidget::windowActivationChange(bool)
    {78, 428, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//813 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    133,  // QWebElementCollection::begin() const
    137,  // QWebElementCollection::begin()
    0,
    134,  // QWebElementCollection::end() const
    138,  // QWebElementCollection::end()
    0,
    186,  // QWebFrame::load(const QUrl&)
    246,  // QWebFrame::load(const QNetworkRequest&)
    0,
    702,  // QWebView::load(const QUrl&)
    764,  // QWebView::load(const QNetworkRequest&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 64, 22},	// QGlobalSpace::LicensedActiveQt
    {16, 65, 17},	// QGlobalSpace::LicensedCore
    {16, 66, 23},	// QGlobalSpace::LicensedDBus
    {16, 67, 21},	// QGlobalSpace::LicensedDeclarative
    {16, 68, 20},	// QGlobalSpace::LicensedGui
    {16, 69, 29},	// QGlobalSpace::LicensedHelp
    {16, 70, 28},	// QGlobalSpace::LicensedMultimedia
    {16, 71, 15},	// QGlobalSpace::LicensedNetwork
    {16, 72, 12},	// QGlobalSpace::LicensedOpenGL
    {16, 73, 14},	// QGlobalSpace::LicensedOpenVG
    {16, 74, 13},	// QGlobalSpace::LicensedQt3Support
    {16, 75, 26},	// QGlobalSpace::LicensedQt3SupportLight
    {16, 76, 27},	// QGlobalSpace::LicensedScript
    {16, 77, 25},	// QGlobalSpace::LicensedScriptTools
    {16, 78, 16},	// QGlobalSpace::LicensedSql
    {16, 79, 18},	// QGlobalSpace::LicensedSvg
    {16, 80, 24},	// QGlobalSpace::LicensedTest
    {16, 81, 6},	// QGlobalSpace::LicensedXml
    {16, 82, 19},	// QGlobalSpace::LicensedXmlPatterns
    {16, 150, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {16, 151, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {16, 152, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {16, 153, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {16, 154, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {16, 155, 9},	// QGlobalSpace::QtCriticalMsg
    {16, 156, 7},	// QGlobalSpace::QtDebugMsg
    {16, 157, 10},	// QGlobalSpace::QtFatalMsg
    {16, 159, 11},	// QGlobalSpace::QtSystemMsg
    {16, 160, 8},	// QGlobalSpace::QtWarningMsg
    {49, 128, 37},	// QWebDatabase::QWebDatabase#
    {49, 291, 40},	// QWebDatabase::displayName
    {49, 326, 41},	// QWebDatabase::expectedSize
    {49, 332, 43},	// QWebDatabase::fileName
    {49, 475, 39},	// QWebDatabase::name
    {49, 506, 38},	// QWebDatabase::operator=#
    {49, 515, 44},	// QWebDatabase::origin
    {49, 553, 46},	// QWebDatabase::removeAllDatabases
    {49, 561, 45},	// QWebDatabase::removeDatabase#
    {49, 733, 42},	// QWebDatabase::size
    {49, 814, 47},	// QWebDatabase::~QWebDatabase
    {50, 8, 117},	// QWebElement::CascadedStyle
    {50, 14, 118},	// QWebElement::ComputedStyle
    {50, 54, 116},	// QWebElement::InlineStyle
    {50, 129, 48},	// QWebElement::QWebElement
    {50, 130, 49},	// QWebElement::QWebElement#
    {50, 205, 74},	// QWebElement::addClass$
    {50, 218, 92},	// QWebElement::appendInside#
    {50, 219, 91},	// QWebElement::appendInside$
    {50, 221, 96},	// QWebElement::appendOutside#
    {50, 222, 95},	// QWebElement::appendOutside$
    {50, 226, 113},	// QWebElement::attribute$
    {50, 227, 64},	// QWebElement::attribute$$
    {50, 229, 114},	// QWebElement::attributeNS$$
    {50, 230, 65},	// QWebElement::attributeNS$$$
    {50, 231, 115},	// QWebElement::attributeNames
    {50, 232, 71},	// QWebElement::attributeNames$
    {50, 249, 72},	// QWebElement::classes
    {50, 253, 105},	// QWebElement::clone
    {50, 292, 89},	// QWebElement::document
    {50, 310, 99},	// QWebElement::encloseContentsWith#
    {50, 311, 100},	// QWebElement::encloseContentsWith$
    {50, 313, 102},	// QWebElement::encloseWith#
    {50, 314, 101},	// QWebElement::encloseWith$
    {50, 322, 109},	// QWebElement::evaluateJavaScript$
    {50, 335, 54},	// QWebElement::findAll$
    {50, 339, 55},	// QWebElement::findFirst$
    {50, 346, 85},	// QWebElement::firstChild
    {50, 369, 79},	// QWebElement::geometry
    {50, 377, 66},	// QWebElement::hasAttribute$
    {50, 379, 67},	// QWebElement::hasAttributeNS$$
    {50, 380, 70},	// QWebElement::hasAttributes
    {50, 382, 73},	// QWebElement::hasClass$
    {50, 383, 77},	// QWebElement::hasFocus
    {50, 407, 53},	// QWebElement::isNull
    {50, 430, 86},	// QWebElement::lastChild
    {50, 452, 82},	// QWebElement::localName
    {50, 476, 83},	// QWebElement::namespaceUri
    {50, 478, 87},	// QWebElement::nextSibling
    {50, 484, 52},	// QWebElement::operator!=#
    {50, 506, 50},	// QWebElement::operator=#
    {50, 508, 51},	// QWebElement::operator==#
    {50, 525, 84},	// QWebElement::parent
    {50, 533, 81},	// QWebElement::prefix
    {50, 535, 94},	// QWebElement::prependInside#
    {50, 536, 93},	// QWebElement::prependInside$
    {50, 538, 98},	// QWebElement::prependOutside#
    {50, 539, 97},	// QWebElement::prependOutside$
    {50, 540, 88},	// QWebElement::previousSibling
    {50, 552, 108},	// QWebElement::removeAllChildren
    {50, 555, 68},	// QWebElement::removeAttribute$
    {50, 557, 69},	// QWebElement::removeAttributeNS$$
    {50, 559, 75},	// QWebElement::removeClass$
    {50, 562, 107},	// QWebElement::removeFromDocument
    {50, 566, 112},	// QWebElement::render#
    {50, 575, 104},	// QWebElement::replace#
    {50, 576, 103},	// QWebElement::replace$
    {50, 610, 62},	// QWebElement::setAttribute$$
    {50, 612, 63},	// QWebElement::setAttributeNS$$$
    {50, 643, 78},	// QWebElement::setFocus
    {50, 658, 60},	// QWebElement::setInnerXml$
    {50, 684, 58},	// QWebElement::setOuterXml$
    {50, 692, 56},	// QWebElement::setPlainText$
    {50, 709, 111},	// QWebElement::setStyleProperty$$
    {50, 743, 110},	// QWebElement::styleProperty$$
    {50, 750, 80},	// QWebElement::tagName
    {50, 751, 106},	// QWebElement::takeFromDocument
    {50, 760, 61},	// QWebElement::toInnerXml
    {50, 762, 59},	// QWebElement::toOuterXml
    {50, 763, 57},	// QWebElement::toPlainText
    {50, 765, 76},	// QWebElement::toggleClass$
    {50, 797, 90},	// QWebElement::webFrame
    {50, 815, 119},	// QWebElement::~QWebElement
    {51, 131, 120},	// QWebElementCollection::QWebElementCollection
    {51, 132, 122},	// QWebElementCollection::QWebElementCollection#
    {51, 133, 121},	// QWebElementCollection::QWebElementCollection#$
    {51, 216, 126},	// QWebElementCollection::append#
    {51, 224, 128},	// QWebElementCollection::at$
    {51, 238, -1},	// QWebElementCollection::begin
    {51, 256, 135},	// QWebElementCollection::constBegin
    {51, 257, 136},	// QWebElementCollection::constEnd
    {51, 269, 127},	// QWebElementCollection::count
    {51, 317, -4},	// QWebElementCollection::end
    {51, 345, 130},	// QWebElementCollection::first
    {51, 429, 131},	// QWebElementCollection::last
    {51, 487, 124},	// QWebElementCollection::operator+#
    {51, 492, 125},	// QWebElementCollection::operator+=#
    {51, 506, 123},	// QWebElementCollection::operator=#
    {51, 514, 129},	// QWebElementCollection::operator[]$
    {51, 761, 132},	// QWebElementCollection::toList
    {51, 816, 139},	// QWebElementCollection::~QWebElementCollection
    {52, 259, 141},	// QWebElementCollection::const_iterator::const_iterator#
    {52, 260, 140},	// QWebElementCollection::const_iterator::const_iterator#$
    {52, 484, 144},	// QWebElementCollection::const_iterator::operator!=#
    {52, 485, 142},	// QWebElementCollection::const_iterator::operator*
    {52, 488, 155},	// QWebElementCollection::const_iterator::operator+$
    {52, 489, 149},	// QWebElementCollection::const_iterator::operator++
    {52, 490, 150},	// QWebElementCollection::const_iterator::operator++$
    {52, 493, 153},	// QWebElementCollection::const_iterator::operator+=$
    {52, 495, 157},	// QWebElementCollection::const_iterator::operator-#
    {52, 496, 156},	// QWebElementCollection::const_iterator::operator-$
    {52, 497, 151},	// QWebElementCollection::const_iterator::operator--
    {52, 498, 152},	// QWebElementCollection::const_iterator::operator--$
    {52, 500, 154},	// QWebElementCollection::const_iterator::operator-=$
    {52, 502, 145},	// QWebElementCollection::const_iterator::operator<#
    {52, 504, 146},	// QWebElementCollection::const_iterator::operator<=#
    {52, 508, 143},	// QWebElementCollection::const_iterator::operator==#
    {52, 510, 147},	// QWebElementCollection::const_iterator::operator>#
    {52, 512, 148},	// QWebElementCollection::const_iterator::operator>=#
    {52, 825, 158},	// QWebElementCollection::const_iterator::~const_iterator
    {53, 413, 160},	// QWebElementCollection::iterator::iterator#
    {53, 414, 159},	// QWebElementCollection::iterator::iterator#$
    {53, 484, 163},	// QWebElementCollection::iterator::operator!=#
    {53, 485, 161},	// QWebElementCollection::iterator::operator*
    {53, 488, 174},	// QWebElementCollection::iterator::operator+$
    {53, 489, 168},	// QWebElementCollection::iterator::operator++
    {53, 490, 169},	// QWebElementCollection::iterator::operator++$
    {53, 493, 172},	// QWebElementCollection::iterator::operator+=$
    {53, 495, 176},	// QWebElementCollection::iterator::operator-#
    {53, 496, 175},	// QWebElementCollection::iterator::operator-$
    {53, 497, 170},	// QWebElementCollection::iterator::operator--
    {53, 498, 171},	// QWebElementCollection::iterator::operator--$
    {53, 500, 173},	// QWebElementCollection::iterator::operator-=$
    {53, 502, 164},	// QWebElementCollection::iterator::operator<#
    {53, 504, 165},	// QWebElementCollection::iterator::operator<=#
    {53, 508, 162},	// QWebElementCollection::iterator::operator==#
    {53, 510, 166},	// QWebElementCollection::iterator::operator>#
    {53, 512, 167},	// QWebElementCollection::iterator::operator>=#
    {53, 826, 177},	// QWebElementCollection::iterator::~iterator
    {54, 5, 256},	// QWebFrame::AllLayers
    {54, 15, 253},	// QWebFrame::ContentsLayer
    {54, 119, 255},	// QWebFrame::PanIconLayer
    {54, 166, 254},	// QWebFrame::ScrollBarLayer
    {54, 211, 190},	// QWebFrame::addToJavaScriptWindowObject$#
    {54, 212, 191},	// QWebFrame::addToJavaScriptWindowObject$#$
    {54, 237, 199},	// QWebFrame::baseUrl
    {54, 246, 204},	// QWebFrame::childFrames
    {54, 264, 226},	// QWebFrame::contentsSize
    {54, 266, 241},	// QWebFrame::contentsSizeChanged#
    {54, 293, 227},	// QWebFrame::documentElement
    {54, 322, 233},	// QWebFrame::evaluateJavaScript$
    {54, 324, 231},	// QWebFrame::event#
    {54, 337, 228},	// QWebFrame::findAllElements$
    {54, 341, 229},	// QWebFrame::findFirstElement$
    {54, 368, 202},	// QWebFrame::frameName
    {54, 369, 225},	// QWebFrame::geometry
    {54, 383, 222},	// QWebFrame::hasFocus
    {54, 391, 230},	// QWebFrame::hitTestContent#
    {54, 393, 200},	// QWebFrame::icon
    {54, 394, 240},	// QWebFrame::iconChanged
    {54, 399, 239},	// QWebFrame::initialLayoutCompleted
    {54, 423, 235},	// QWebFrame::javaScriptWindowObjectCleared
    {54, 444, -7},	// QWebFrame::load#
    {54, 445, 247},	// QWebFrame::load#$
    {54, 446, 187},	// QWebFrame::load#$#
    {54, 448, 243},	// QWebFrame::loadFinished$
    {54, 451, 242},	// QWebFrame::loadStarted
    {54, 460, 201},	// QWebFrame::metaData
    {54, 461, 178},	// QWebFrame::metaObject
    {54, 517, 185},	// QWebFrame::page
    {54, 526, 203},	// QWebFrame::parentFrame
    {54, 531, 224},	// QWebFrame::pos
    {54, 542, 234},	// QWebFrame::print#
    {54, 545, 236},	// QWebFrame::provisionalLoad
    {54, 547, 184},	// QWebFrame::qt_metacall$$?
    {54, 549, 179},	// QWebFrame::qt_metacast$
    {54, 566, 215},	// QWebFrame::render#
    {54, 567, 216},	// QWebFrame::render##
    {54, 568, 251},	// QWebFrame::render#$
    {54, 569, 217},	// QWebFrame::render#$#
    {54, 571, 194},	// QWebFrame::renderTreeDump
    {54, 577, 198},	// QWebFrame::requestedUrl
    {54, 592, 212},	// QWebFrame::scroll$$
    {54, 594, 211},	// QWebFrame::scrollBarGeometry$
    {54, 596, 210},	// QWebFrame::scrollBarMaximum$
    {54, 598, 209},	// QWebFrame::scrollBarMinimum$
    {54, 600, 205},	// QWebFrame::scrollBarPolicy$
    {54, 602, 208},	// QWebFrame::scrollBarValue$
    {54, 603, 213},	// QWebFrame::scrollPosition
    {54, 606, 232},	// QWebFrame::securityOrigin
    {54, 616, 249},	// QWebFrame::setContent#
    {54, 617, 250},	// QWebFrame::setContent#$
    {54, 618, 189},	// QWebFrame::setContent#$#
    {54, 643, 223},	// QWebFrame::setFocus
    {54, 653, 248},	// QWebFrame::setHtml$
    {54, 654, 188},	// QWebFrame::setHtml$#
    {54, 703, 206},	// QWebFrame::setScrollBarPolicy$$
    {54, 705, 207},	// QWebFrame::setScrollBarValue$$
    {54, 707, 214},	// QWebFrame::setScrollPosition#
    {54, 713, 218},	// QWebFrame::setTextSizeMultiplier$
    {54, 715, 196},	// QWebFrame::setUrl#
    {54, 728, 221},	// QWebFrame::setZoomFactor$
    {54, 735, 252},	// QWebFrame::staticMetaObject
    {54, 754, 219},	// QWebFrame::textSizeMultiplier
    {54, 756, 195},	// QWebFrame::title
    {54, 758, 237},	// QWebFrame::titleChanged$
    {54, 759, 192},	// QWebFrame::toHtml
    {54, 763, 193},	// QWebFrame::toPlainText
    {54, 770, 244},	// QWebFrame::tr$
    {54, 771, 180},	// QWebFrame::tr$$
    {54, 772, 182},	// QWebFrame::tr$$$
    {54, 774, 245},	// QWebFrame::trUtf8$
    {54, 775, 181},	// QWebFrame::trUtf8$$
    {54, 776, 183},	// QWebFrame::trUtf8$$$
    {54, 788, 197},	// QWebFrame::url
    {54, 790, 238},	// QWebFrame::urlChanged#
    {54, 805, 220},	// QWebFrame::zoomFactor
    {55, 233, 263},	// QWebHistory::back
    {55, 234, 266},	// QWebHistory::backItem
    {55, 236, 259},	// QWebHistory::backItems$
    {55, 241, 261},	// QWebHistory::canGoBack
    {55, 242, 262},	// QWebHistory::canGoForward
    {55, 250, 257},	// QWebHistory::clear
    {55, 269, 271},	// QWebHistory::count
    {55, 278, 267},	// QWebHistory::currentItem
    {55, 279, 270},	// QWebHistory::currentItemIndex
    {55, 358, 264},	// QWebHistory::forward
    {55, 359, 268},	// QWebHistory::forwardItem
    {55, 361, 260},	// QWebHistory::forwardItems$
    {55, 374, 265},	// QWebHistory::goToItem#
    {55, 410, 269},	// QWebHistory::itemAt$
    {55, 411, 258},	// QWebHistory::items
    {55, 456, 272},	// QWebHistory::maximumItemCount
    {55, 664, 273},	// QWebHistory::setMaximumItemCount$
    {56, 134, 288},	// QWebHistoryInterface::QWebHistoryInterface
    {56, 135, 281},	// QWebHistoryInterface::QWebHistoryInterface#
    {56, 207, 285},	// QWebHistoryInterface::addHistoryEntry$
    {56, 286, 283},	// QWebHistoryInterface::defaultInterface
    {56, 389, 284},	// QWebHistoryInterface::historyContains$
    {56, 461, 274},	// QWebHistoryInterface::metaObject
    {56, 547, 280},	// QWebHistoryInterface::qt_metacall$$?
    {56, 549, 275},	// QWebHistoryInterface::qt_metacast$
    {56, 626, 282},	// QWebHistoryInterface::setDefaultInterface#
    {56, 735, 289},	// QWebHistoryInterface::staticMetaObject
    {56, 770, 286},	// QWebHistoryInterface::tr$
    {56, 771, 276},	// QWebHistoryInterface::tr$$
    {56, 772, 278},	// QWebHistoryInterface::tr$$$
    {56, 774, 287},	// QWebHistoryInterface::trUtf8$
    {56, 775, 277},	// QWebHistoryInterface::trUtf8$$
    {56, 776, 279},	// QWebHistoryInterface::trUtf8$$$
    {56, 817, 290},	// QWebHistoryInterface::~QWebHistoryInterface
    {57, 137, 291},	// QWebHistoryItem::QWebHistoryItem#
    {57, 393, 297},	// QWebHistoryItem::icon
    {57, 408, 300},	// QWebHistoryItem::isValid
    {57, 431, 296},	// QWebHistoryItem::lastVisited
    {57, 506, 292},	// QWebHistoryItem::operator=#
    {57, 516, 293},	// QWebHistoryItem::originalUrl
    {57, 717, 299},	// QWebHistoryItem::setUserData#
    {57, 756, 295},	// QWebHistoryItem::title
    {57, 788, 294},	// QWebHistoryItem::url
    {57, 793, 298},	// QWebHistoryItem::userData
    {57, 818, 301},	// QWebHistoryItem::~QWebHistoryItem
    {58, 138, 302},	// QWebHitTestResult::QWebHitTestResult
    {58, 139, 303},	// QWebHitTestResult::QWebHitTestResult#
    {58, 214, 315},	// QWebHitTestResult::alternateText
    {58, 239, 307},	// QWebHitTestResult::boundingRect
    {58, 305, 320},	// QWebHitTestResult::element
    {58, 315, 308},	// QWebHitTestResult::enclosingBlockElement
    {58, 363, 321},	// QWebHitTestResult::frame
    {58, 398, 316},	// QWebHitTestResult::imageUrl
    {58, 404, 318},	// QWebHitTestResult::isContentEditable
    {58, 405, 319},	// QWebHitTestResult::isContentSelected
    {58, 407, 305},	// QWebHitTestResult::isNull
    {58, 436, 314},	// QWebHitTestResult::linkElement
    {58, 439, 313},	// QWebHitTestResult::linkTargetFrame
    {58, 440, 310},	// QWebHitTestResult::linkText
    {58, 441, 312},	// QWebHitTestResult::linkTitle
    {58, 442, 311},	// QWebHitTestResult::linkUrl
    {58, 506, 304},	// QWebHitTestResult::operator=#
    {58, 527, 317},	// QWebHitTestResult::pixmap
    {58, 531, 306},	// QWebHitTestResult::pos
    {58, 756, 309},	// QWebHitTestResult::title
    {58, 819, 322},	// QWebHitTestResult::~QWebHitTestResult
    {59, 140, 340},	// QWebInspector::QWebInspector
    {59, 141, 330},	// QWebInspector::QWebInspector#
    {59, 324, 334},	// QWebInspector::event#
    {59, 386, 337},	// QWebInspector::hideEvent#
    {59, 461, 323},	// QWebInspector::metaObject
    {59, 517, 332},	// QWebInspector::page
    {59, 547, 329},	// QWebInspector::qt_metacall$$?
    {59, 549, 324},	// QWebInspector::qt_metacast$
    {59, 585, 335},	// QWebInspector::resizeEvent#
    {59, 686, 331},	// QWebInspector::setPage#
    {59, 732, 336},	// QWebInspector::showEvent#
    {59, 734, 333},	// QWebInspector::sizeHint
    {59, 735, 341},	// QWebInspector::staticMetaObject
    {59, 770, 338},	// QWebInspector::tr$
    {59, 771, 325},	// QWebInspector::tr$$
    {59, 772, 327},	// QWebInspector::tr$$$
    {59, 774, 339},	// QWebInspector::trUtf8$
    {59, 775, 326},	// QWebInspector::trUtf8$$
    {59, 776, 328},	// QWebInspector::trUtf8$$$
    {59, 820, 342},	// QWebInspector::~QWebInspector
    {60, 1, 502},	// QWebPage::AlignCenter
    {60, 2, 503},	// QWebPage::AlignJustified
    {60, 3, 504},	// QWebPage::AlignLeft
    {60, 4, 505},	// QWebPage::AlignRight
    {60, 7, 447},	// QWebPage::Back
    {60, 9, 516},	// QWebPage::ChooseMultipleFilesExtension
    {60, 16, 452},	// QWebPage::Copy
    {60, 17, 446},	// QWebPage::CopyImageToClipboard
    {60, 18, 443},	// QWebPage::CopyLinkToClipboard
    {60, 20, 451},	// QWebPage::Cut
    {60, 24, 513},	// QWebPage::DelegateAllLinks
    {60, 25, 512},	// QWebPage::DelegateExternalLinks
    {60, 26, 481},	// QWebPage::DeleteEndOfWord
    {60, 27, 480},	// QWebPage::DeleteStartOfWord
    {60, 30, 511},	// QWebPage::DontDelegateLinks
    {60, 31, 445},	// QWebPage::DownloadImageToDisk
    {60, 32, 442},	// QWebPage::DownloadLinkToDisk
    {60, 35, 517},	// QWebPage::ErrorPageExtension
    {60, 45, 507},	// QWebPage::FindBackward
    {60, 46, 508},	// QWebPage::FindCaseSensitively
    {60, 47, 509},	// QWebPage::FindWrapsAroundDocument
    {60, 49, 448},	// QWebPage::Forward
    {60, 50, 510},	// QWebPage::HighlightAllOccurrences
    {60, 51, 519},	// QWebPage::Http
    {60, 53, 500},	// QWebPage::Indent
    {60, 55, 490},	// QWebPage::InsertLineSeparator
    {60, 56, 499},	// QWebPage::InsertOrderedList
    {60, 57, 489},	// QWebPage::InsertParagraphSeparator
    {60, 58, 498},	// QWebPage::InsertUnorderedList
    {60, 59, 488},	// QWebPage::InspectElement
    {60, 93, 465},	// QWebPage::MoveToEndOfBlock
    {60, 94, 467},	// QWebPage::MoveToEndOfDocument
    {60, 95, 463},	// QWebPage::MoveToEndOfLine
    {60, 96, 456},	// QWebPage::MoveToNextChar
    {60, 97, 460},	// QWebPage::MoveToNextLine
    {60, 98, 458},	// QWebPage::MoveToNextWord
    {60, 99, 457},	// QWebPage::MoveToPreviousChar
    {60, 100, 461},	// QWebPage::MoveToPreviousLine
    {60, 101, 459},	// QWebPage::MoveToPreviousWord
    {60, 102, 464},	// QWebPage::MoveToStartOfBlock
    {60, 103, 466},	// QWebPage::MoveToStartOfDocument
    {60, 104, 462},	// QWebPage::MoveToStartOfLine
    {60, 105, 434},	// QWebPage::NavigationTypeBackOrForward
    {60, 106, 436},	// QWebPage::NavigationTypeFormResubmitted
    {60, 107, 433},	// QWebPage::NavigationTypeFormSubmitted
    {60, 108, 432},	// QWebPage::NavigationTypeLinkClicked
    {60, 109, 437},	// QWebPage::NavigationTypeOther
    {60, 110, 435},	// QWebPage::NavigationTypeReload
    {60, 111, 438},	// QWebPage::NoWebAction
    {60, 114, 441},	// QWebPage::OpenFrameInNewWindow
    {60, 115, 444},	// QWebPage::OpenImageInNewWindow
    {60, 116, 439},	// QWebPage::OpenLink
    {60, 117, 440},	// QWebPage::OpenLinkInNewWindow
    {60, 118, 501},	// QWebPage::Outdent
    {60, 120, 453},	// QWebPage::Paste
    {60, 121, 493},	// QWebPage::PasteAndMatchStyle
    {60, 142, 426},	// QWebPage::QWebPage
    {60, 143, 350},	// QWebPage::QWebPage#
    {60, 158, 518},	// QWebPage::QtNetwork
    {60, 161, 455},	// QWebPage::Redo
    {60, 162, 450},	// QWebPage::Reload
    {60, 163, 492},	// QWebPage::ReloadAndBypassCache
    {60, 164, 494},	// QWebPage::RemoveFormat
    {60, 167, 491},	// QWebPage::SelectAll
    {60, 168, 477},	// QWebPage::SelectEndOfBlock
    {60, 169, 479},	// QWebPage::SelectEndOfDocument
    {60, 170, 475},	// QWebPage::SelectEndOfLine
    {60, 171, 468},	// QWebPage::SelectNextChar
    {60, 172, 472},	// QWebPage::SelectNextLine
    {60, 173, 470},	// QWebPage::SelectNextWord
    {60, 174, 469},	// QWebPage::SelectPreviousChar
    {60, 175, 473},	// QWebPage::SelectPreviousLine
    {60, 176, 471},	// QWebPage::SelectPreviousWord
    {60, 177, 476},	// QWebPage::SelectStartOfBlock
    {60, 178, 478},	// QWebPage::SelectStartOfDocument
    {60, 179, 474},	// QWebPage::SelectStartOfLine
    {60, 181, 482},	// QWebPage::SetTextDirectionDefault
    {60, 182, 483},	// QWebPage::SetTextDirectionLeftToRight
    {60, 183, 484},	// QWebPage::SetTextDirectionRightToLeft
    {60, 185, 449},	// QWebPage::Stop
    {60, 187, 485},	// QWebPage::ToggleBold
    {60, 188, 486},	// QWebPage::ToggleItalic
    {60, 189, 495},	// QWebPage::ToggleStrikethrough
    {60, 190, 496},	// QWebPage::ToggleSubscript
    {60, 191, 497},	// QWebPage::ToggleSuperscript
    {60, 192, 487},	// QWebPage::ToggleUnderline
    {60, 193, 454},	// QWebPage::Undo
    {60, 194, 506},	// QWebPage::WebActionCount
    {60, 195, 514},	// QWebPage::WebBrowserWindow
    {60, 196, 520},	// QWebPage::WebKit
    {60, 197, 515},	// QWebPage::WebModalDialog
    {60, 200, 417},	// QWebPage::acceptNavigationRequest##$
    {60, 202, 367},	// QWebPage::action$
    {60, 240, 365},	// QWebPage::bytesReceived
    {60, 248, 418},	// QWebPage::chooseFile#$
    {60, 263, 411},	// QWebPage::contentsChanged
    {60, 273, 416},	// QWebPage::createPlugin$#??
    {60, 274, 387},	// QWebPage::createStandardContextMenu
    {60, 276, 415},	// QWebPage::createWindow$
    {60, 277, 352},	// QWebPage::currentFrame
    {60, 283, 412},	// QWebPage::databaseQuotaExceeded#$
    {60, 296, 409},	// QWebPage::downloadRequested#
    {60, 324, 373},	// QWebPage::event#
    {60, 328, 429},	// QWebPage::extension$
    {60, 329, 430},	// QWebPage::extension$#
    {60, 330, 388},	// QWebPage::extension$##
    {60, 343, 428},	// QWebPage::findText$
    {60, 344, 376},	// QWebPage::findText$$
    {60, 350, 374},	// QWebPage::focusNextPrevChild$
    {60, 362, 378},	// QWebPage::forwardUnsupportedContent
    {60, 365, 353},	// QWebPage::frameAt#
    {60, 367, 398},	// QWebPage::frameCreated#
    {60, 371, 399},	// QWebPage::geometryChangeRequested#
    {60, 375, 390},	// QWebPage::handle
    {60, 387, 354},	// QWebPage::history
    {60, 403, 375},	// QWebPage::inputMethodQuery$
    {60, 404, 384},	// QWebPage::isContentEditable
    {60, 406, 358},	// QWebPage::isModified
    {60, 416, 419},	// QWebPage::javaScriptAlert#$
    {60, 418, 420},	// QWebPage::javaScriptConfirm#$
    {60, 420, 422},	// QWebPage::javaScriptConsoleMessage$$$
    {60, 422, 421},	// QWebPage::javaScriptPrompt#$$$
    {60, 434, 404},	// QWebPage::linkClicked#
    {60, 435, 380},	// QWebPage::linkDelegationPolicy
    {60, 438, 395},	// QWebPage::linkHovered$$$
    {60, 448, 394},	// QWebPage::loadFinished$
    {60, 450, 393},	// QWebPage::loadProgress$
    {60, 451, 392},	// QWebPage::loadStarted
    {60, 455, 351},	// QWebPage::mainFrame
    {60, 459, 407},	// QWebPage::menuBarVisibilityChangeRequested$
    {60, 461, 343},	// QWebPage::metaObject
    {60, 463, 410},	// QWebPage::microFocusChanged
    {60, 477, 361},	// QWebPage::networkAccessManager
    {60, 523, 382},	// QWebPage::palette
    {60, 528, 363},	// QWebPage::pluginFactory
    {60, 532, 371},	// QWebPage::preferredContentsSize
    {60, 544, 403},	// QWebPage::printRequested#
    {60, 547, 349},	// QWebPage::qt_metacall$$?
    {60, 549, 344},	// QWebPage::qt_metacast$
    {60, 573, 400},	// QWebPage::repaintRequested#
    {60, 587, 414},	// QWebPage::restoreFrameStateRequested#
    {60, 589, 413},	// QWebPage::saveFrameStateRequested##
    {60, 605, 401},	// QWebPage::scrollRequested$$#
    {60, 607, 366},	// QWebPage::selectedText
    {60, 608, 397},	// QWebPage::selectionChanged
    {60, 620, 383},	// QWebPage::setContentEditable$
    {60, 649, 377},	// QWebPage::setForwardUnsupportedContent$
    {60, 660, 379},	// QWebPage::setLinkDelegationPolicy$
    {60, 672, 360},	// QWebPage::setNetworkAccessManager#
    {60, 688, 381},	// QWebPage::setPalette#
    {60, 694, 362},	// QWebPage::setPluginFactory#
    {60, 696, 372},	// QWebPage::setPreferredContentsSize#
    {60, 721, 356},	// QWebPage::setView#
    {60, 723, 370},	// QWebPage::setViewportSize#
    {60, 729, 355},	// QWebPage::settings
    {60, 730, 391},	// QWebPage::shouldInterruptJavaScript
    {60, 735, 431},	// QWebPage::staticMetaObject
    {60, 737, 396},	// QWebPage::statusBarMessage$
    {60, 739, 406},	// QWebPage::statusBarVisibilityChangeRequested$
    {60, 746, 389},	// QWebPage::supportsExtension$
    {60, 748, 385},	// QWebPage::swallowContextMenuEvent#
    {60, 767, 405},	// QWebPage::toolBarVisibilityChangeRequested$
    {60, 768, 364},	// QWebPage::totalBytes
    {60, 770, 424},	// QWebPage::tr$
    {60, 771, 345},	// QWebPage::tr$$
    {60, 772, 347},	// QWebPage::tr$$$
    {60, 774, 425},	// QWebPage::trUtf8$
    {60, 775, 346},	// QWebPage::trUtf8$$
    {60, 776, 348},	// QWebPage::trUtf8$$$
    {60, 778, 427},	// QWebPage::triggerAction$
    {60, 779, 368},	// QWebPage::triggerAction$$
    {60, 783, 359},	// QWebPage::undoStack
    {60, 785, 408},	// QWebPage::unsupportedContent#
    {60, 787, 386},	// QWebPage::updatePositionDependentActions#
    {60, 792, 423},	// QWebPage::userAgentForUrl#
    {60, 795, 357},	// QWebPage::view
    {60, 796, 369},	// QWebPage::viewportSize
    {60, 803, 402},	// QWebPage::windowCloseRequested
    {60, 821, 521},	// QWebPage::~QWebPage
    {61, 10, 522},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption
    {61, 11, 523},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption#
    {61, 526, 524},	// QWebPage::ChooseMultipleFilesExtensionOption::parentFrame
    {61, 690, 525},	// QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame#
    {61, 711, 527},	// QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames?
    {61, 744, 526},	// QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames
    {61, 806, 528},	// QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption
    {62, 12, 529},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn
    {62, 13, 530},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn#
    {62, 333, 531},	// QWebPage::ChooseMultipleFilesExtensionReturn::fileNames
    {62, 642, 532},	// QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames?
    {62, 807, 533},	// QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn
    {63, 36, 534},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption
    {63, 37, 535},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption#
    {63, 294, 540},	// QWebPage::ErrorPageExtensionOption::domain
    {63, 319, 542},	// QWebPage::ErrorPageExtensionOption::error
    {63, 320, 544},	// QWebPage::ErrorPageExtensionOption::errorString
    {63, 363, 538},	// QWebPage::ErrorPageExtensionOption::frame
    {63, 632, 541},	// QWebPage::ErrorPageExtensionOption::setDomain$
    {63, 636, 543},	// QWebPage::ErrorPageExtensionOption::setError$
    {63, 638, 545},	// QWebPage::ErrorPageExtensionOption::setErrorString$
    {63, 651, 539},	// QWebPage::ErrorPageExtensionOption::setFrame#
    {63, 715, 537},	// QWebPage::ErrorPageExtensionOption::setUrl#
    {63, 788, 536},	// QWebPage::ErrorPageExtensionOption::url
    {63, 808, 546},	// QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption
    {64, 38, 547},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn
    {64, 39, 548},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn#
    {64, 237, 553},	// QWebPage::ErrorPageExtensionReturn::baseUrl
    {64, 261, 555},	// QWebPage::ErrorPageExtensionReturn::content
    {64, 262, 549},	// QWebPage::ErrorPageExtensionReturn::contentType
    {64, 316, 551},	// QWebPage::ErrorPageExtensionReturn::encoding
    {64, 614, 554},	// QWebPage::ErrorPageExtensionReturn::setBaseUrl#
    {64, 616, 556},	// QWebPage::ErrorPageExtensionReturn::setContent#
    {64, 622, 550},	// QWebPage::ErrorPageExtensionReturn::setContentType$
    {64, 634, 552},	// QWebPage::ErrorPageExtensionReturn::setEncoding$
    {64, 809, 557},	// QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn
    {65, 40, 558},	// QWebPage::ExtensionOption::ExtensionOption
    {65, 41, 559},	// QWebPage::ExtensionOption::ExtensionOption#
    {65, 810, 560},	// QWebPage::ExtensionOption::~ExtensionOption
    {66, 42, 561},	// QWebPage::ExtensionReturn::ExtensionReturn
    {66, 43, 562},	// QWebPage::ExtensionReturn::ExtensionReturn#
    {66, 811, 563},	// QWebPage::ExtensionReturn::~ExtensionReturn
    {68, 144, 579},	// QWebPluginFactory::QWebPluginFactory
    {68, 145, 571},	// QWebPluginFactory::QWebPluginFactory#
    {68, 271, 574},	// QWebPluginFactory::create$#??
    {68, 328, 580},	// QWebPluginFactory::extension$
    {68, 329, 581},	// QWebPluginFactory::extension$#
    {68, 330, 575},	// QWebPluginFactory::extension$##
    {68, 461, 564},	// QWebPluginFactory::metaObject
    {68, 529, 572},	// QWebPluginFactory::plugins
    {68, 547, 570},	// QWebPluginFactory::qt_metacall$$?
    {68, 549, 565},	// QWebPluginFactory::qt_metacast$
    {68, 550, 573},	// QWebPluginFactory::refreshPlugins
    {68, 735, 582},	// QWebPluginFactory::staticMetaObject
    {68, 746, 576},	// QWebPluginFactory::supportsExtension$
    {68, 770, 577},	// QWebPluginFactory::tr$
    {68, 771, 566},	// QWebPluginFactory::tr$$
    {68, 772, 568},	// QWebPluginFactory::tr$$$
    {68, 774, 578},	// QWebPluginFactory::trUtf8$
    {68, 775, 567},	// QWebPluginFactory::trUtf8$$
    {68, 776, 569},	// QWebPluginFactory::trUtf8$$$
    {68, 822, 583},	// QWebPluginFactory::~QWebPluginFactory
    {69, 40, 584},	// QWebPluginFactory::ExtensionOption::ExtensionOption
    {69, 41, 585},	// QWebPluginFactory::ExtensionOption::ExtensionOption#
    {69, 810, 586},	// QWebPluginFactory::ExtensionOption::~ExtensionOption
    {70, 42, 587},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn
    {70, 43, 588},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn#
    {70, 811, 589},	// QWebPluginFactory::ExtensionReturn::~ExtensionReturn
    {71, 87, 592},	// QWebPluginFactory::MimeType::MimeType
    {71, 88, 593},	// QWebPluginFactory::MimeType::MimeType#
    {71, 288, 596},	// QWebPluginFactory::MimeType::description
    {71, 331, 598},	// QWebPluginFactory::MimeType::fileExtensions
    {71, 475, 594},	// QWebPluginFactory::MimeType::name
    {71, 484, 591},	// QWebPluginFactory::MimeType::operator!=#
    {71, 508, 590},	// QWebPluginFactory::MimeType::operator==#
    {71, 630, 597},	// QWebPluginFactory::MimeType::setDescription$
    {71, 640, 599},	// QWebPluginFactory::MimeType::setFileExtensions?
    {71, 670, 595},	// QWebPluginFactory::MimeType::setName$
    {71, 812, 600},	// QWebPluginFactory::MimeType::~MimeType
    {72, 122, 601},	// QWebPluginFactory::Plugin::Plugin
    {72, 123, 602},	// QWebPluginFactory::Plugin::Plugin#
    {72, 288, 605},	// QWebPluginFactory::Plugin::description
    {72, 464, 607},	// QWebPluginFactory::Plugin::mimeTypes
    {72, 475, 603},	// QWebPluginFactory::Plugin::name
    {72, 630, 606},	// QWebPluginFactory::Plugin::setDescription$
    {72, 668, 608},	// QWebPluginFactory::Plugin::setMimeTypes?
    {72, 670, 604},	// QWebPluginFactory::Plugin::setName$
    {72, 813, 609},	// QWebPluginFactory::Plugin::~Plugin
    {73, 147, 621},	// QWebSecurityOrigin::QWebSecurityOrigin#
    {73, 209, 611},	// QWebSecurityOrigin::addLocalScheme$
    {73, 213, 610},	// QWebSecurityOrigin::allOrigins
    {73, 281, 618},	// QWebSecurityOrigin::databaseQuota
    {73, 284, 617},	// QWebSecurityOrigin::databaseUsage
    {73, 285, 620},	// QWebSecurityOrigin::databases
    {73, 392, 615},	// QWebSecurityOrigin::host
    {73, 453, 613},	// QWebSecurityOrigin::localSchemes
    {73, 506, 622},	// QWebSecurityOrigin::operator=#
    {73, 530, 616},	// QWebSecurityOrigin::port
    {73, 564, 612},	// QWebSecurityOrigin::removeLocalScheme$
    {73, 590, 614},	// QWebSecurityOrigin::scheme
    {73, 624, 619},	// QWebSecurityOrigin::setDatabaseQuota?
    {73, 823, 623},	// QWebSecurityOrigin::~QWebSecurityOrigin
    {74, 6, 667},	// QWebSettings::AutoLoadImages
    {74, 19, 665},	// QWebSettings::CursiveFont
    {74, 21, 691},	// QWebSettings::DefaultFixedFontSize
    {74, 22, 690},	// QWebSettings::DefaultFontSize
    {74, 23, 686},	// QWebSettings::DefaultFrameIconGraphic
    {74, 28, 674},	// QWebSettings::DeveloperExtrasEnabled
    {74, 29, 683},	// QWebSettings::DnsPrefetchEnabled
    {74, 44, 666},	// QWebSettings::FantasyFont
    {74, 48, 662},	// QWebSettings::FixedFont
    {74, 60, 669},	// QWebSettings::JavaEnabled
    {74, 61, 673},	// QWebSettings::JavascriptCanAccessClipboard
    {74, 62, 672},	// QWebSettings::JavascriptCanOpenWindows
    {74, 63, 668},	// QWebSettings::JavascriptEnabled
    {74, 83, 675},	// QWebSettings::LinksIncludedInFocusChain
    {74, 84, 682},	// QWebSettings::LocalContentCanAccessRemoteUrls
    {74, 85, 681},	// QWebSettings::LocalStorageDatabaseEnabled
    {74, 86, 680},	// QWebSettings::LocalStorageEnabled
    {74, 89, 688},	// QWebSettings::MinimumFontSize
    {74, 90, 689},	// QWebSettings::MinimumLogicalFontSize
    {74, 91, 684},	// QWebSettings::MissingImageGraphic
    {74, 92, 685},	// QWebSettings::MissingPluginGraphic
    {74, 112, 678},	// QWebSettings::OfflineStorageDatabaseEnabled
    {74, 113, 679},	// QWebSettings::OfflineWebApplicationCacheEnabled
    {74, 124, 670},	// QWebSettings::PluginsEnabled
    {74, 125, 677},	// QWebSettings::PrintElementBackgrounds
    {74, 126, 671},	// QWebSettings::PrivateBrowsingEnabled
    {74, 165, 664},	// QWebSettings::SansSerifFont
    {74, 180, 663},	// QWebSettings::SerifFont
    {74, 184, 661},	// QWebSettings::StandardFont
    {74, 186, 687},	// QWebSettings::TextAreaSizeGripCornerGraphic
    {74, 198, 676},	// QWebSettings::ZoomTextOnly
    {74, 251, 640},	// QWebSettings::clearIconDatabase
    {74, 252, 657},	// QWebSettings::clearMemoryCaches
    {74, 287, 637},	// QWebSettings::defaultTextEncoding
    {74, 306, 660},	// QWebSettings::enablePersistentStorage
    {74, 307, 658},	// QWebSettings::enablePersistentStorage$
    {74, 355, 626},	// QWebSettings::fontFamily$
    {74, 357, 629},	// QWebSettings::fontSize$
    {74, 372, 624},	// QWebSettings::globalSettings
    {74, 375, 659},	// QWebSettings::handle
    {74, 395, 639},	// QWebSettings::iconDatabasePath
    {74, 397, 641},	// QWebSettings::iconForUrl#
    {74, 454, 656},	// QWebSettings::localStoragePath
    {74, 457, 645},	// QWebSettings::maximumPagesInCache
    {74, 479, 650},	// QWebSettings::offlineStorageDefaultQuota
    {74, 480, 648},	// QWebSettings::offlineStoragePath
    {74, 481, 652},	// QWebSettings::offlineWebApplicationCachePath
    {74, 482, 654},	// QWebSettings::offlineWebApplicationCacheQuota
    {74, 579, 633},	// QWebSettings::resetAttribute$
    {74, 581, 627},	// QWebSettings::resetFontFamily$
    {74, 583, 630},	// QWebSettings::resetFontSize$
    {74, 610, 631},	// QWebSettings::setAttribute$$
    {74, 628, 636},	// QWebSettings::setDefaultTextEncoding$
    {74, 645, 625},	// QWebSettings::setFontFamily$$
    {74, 647, 628},	// QWebSettings::setFontSize$$
    {74, 656, 638},	// QWebSettings::setIconDatabasePath$
    {74, 662, 655},	// QWebSettings::setLocalStoragePath$
    {74, 666, 644},	// QWebSettings::setMaximumPagesInCache$
    {74, 674, 646},	// QWebSettings::setObjectCacheCapacities$$$
    {74, 676, 649},	// QWebSettings::setOfflineStorageDefaultQuota?
    {74, 678, 647},	// QWebSettings::setOfflineStoragePath$
    {74, 680, 651},	// QWebSettings::setOfflineWebApplicationCachePath$
    {74, 682, 653},	// QWebSettings::setOfflineWebApplicationCacheQuota?
    {74, 719, 634},	// QWebSettings::setUserStyleSheetUrl#
    {74, 726, 642},	// QWebSettings::setWebGraphic$#
    {74, 753, 632},	// QWebSettings::testAttribute$
    {74, 794, 635},	// QWebSettings::userStyleSheetUrl
    {74, 799, 643},	// QWebSettings::webGraphic$
    {76, 148, 763},	// QWebView::QWebView
    {76, 149, 699},	// QWebView::QWebView#
    {76, 233, 728},	// QWebView::back
    {76, 244, 744},	// QWebView::changeEvent#
    {76, 268, 749},	// QWebView::contextMenuEvent#
    {76, 276, 743},	// QWebView::createWindow$
    {76, 298, 753},	// QWebView::dragEnterEvent#
    {76, 300, 754},	// QWebView::dragLeaveEvent#
    {76, 302, 755},	// QWebView::dragMoveEvent#
    {76, 304, 756},	// QWebView::dropEvent#
    {76, 324, 726},	// QWebView::event#
    {76, 343, 771},	// QWebView::findText$
    {76, 344, 725},	// QWebView::findText$$
    {76, 348, 757},	// QWebView::focusInEvent#
    {76, 350, 760},	// QWebView::focusNextPrevChild$
    {76, 352, 758},	// QWebView::focusOutEvent#
    {76, 358, 729},	// QWebView::forward
    {76, 387, 706},	// QWebView::history
    {76, 393, 711},	// QWebView::icon
    {76, 394, 739},	// QWebView::iconChanged
    {76, 401, 759},	// QWebView::inputMethodEvent#
    {76, 403, 716},	// QWebView::inputMethodQuery$
    {76, 406, 715},	// QWebView::isModified
    {76, 425, 751},	// QWebView::keyPressEvent#
    {76, 427, 752},	// QWebView::keyReleaseEvent#
    {76, 434, 737},	// QWebView::linkClicked#
    {76, 444, -10},	// QWebView::load#
    {76, 445, 765},	// QWebView::load#$
    {76, 446, 703},	// QWebView::load#$#
    {76, 448, 734},	// QWebView::loadFinished$
    {76, 450, 733},	// QWebView::loadProgress$
    {76, 451, 732},	// QWebView::loadStarted
    {76, 461, 692},	// QWebView::metaObject
    {76, 467, 747},	// QWebView::mouseDoubleClickEvent#
    {76, 469, 745},	// QWebView::mouseMoveEvent#
    {76, 471, 746},	// QWebView::mousePressEvent#
    {76, 473, 748},	// QWebView::mouseReleaseEvent#
    {76, 517, 700},	// QWebView::page
    {76, 519, 713},	// QWebView::pageAction$
    {76, 522, 742},	// QWebView::paintEvent#
    {76, 542, 731},	// QWebView::print#
    {76, 547, 698},	// QWebView::qt_metacall$$?
    {76, 549, 693},	// QWebView::qt_metacast$
    {76, 551, 730},	// QWebView::reload
    {76, 570, 722},	// QWebView::renderHints
    {76, 585, 741},	// QWebView::resizeEvent#
    {76, 607, 712},	// QWebView::selectedText
    {76, 608, 738},	// QWebView::selectionChanged
    {76, 616, 767},	// QWebView::setContent#
    {76, 617, 768},	// QWebView::setContent#$
    {76, 618, 705},	// QWebView::setContent#$#
    {76, 653, 766},	// QWebView::setHtml$
    {76, 654, 704},	// QWebView::setHtml$#
    {76, 686, 701},	// QWebView::setPage#
    {76, 698, 770},	// QWebView::setRenderHint$
    {76, 699, 724},	// QWebView::setRenderHint$$
    {76, 701, 723},	// QWebView::setRenderHints$
    {76, 713, 720},	// QWebView::setTextSizeMultiplier$
    {76, 715, 709},	// QWebView::setUrl#
    {76, 728, 719},	// QWebView::setZoomFactor$
    {76, 729, 707},	// QWebView::settings
    {76, 734, 717},	// QWebView::sizeHint
    {76, 735, 772},	// QWebView::staticMetaObject
    {76, 737, 736},	// QWebView::statusBarMessage$
    {76, 740, 727},	// QWebView::stop
    {76, 754, 721},	// QWebView::textSizeMultiplier
    {76, 756, 708},	// QWebView::title
    {76, 758, 735},	// QWebView::titleChanged$
    {76, 770, 761},	// QWebView::tr$
    {76, 771, 694},	// QWebView::tr$$
    {76, 772, 696},	// QWebView::tr$$$
    {76, 774, 762},	// QWebView::trUtf8$
    {76, 775, 695},	// QWebView::trUtf8$$
    {76, 776, 697},	// QWebView::trUtf8$$$
    {76, 781, 769},	// QWebView::triggerPageAction$
    {76, 782, 714},	// QWebView::triggerPageAction$$
    {76, 788, 710},	// QWebView::url
    {76, 790, 740},	// QWebView::urlChanged#
    {76, 801, 750},	// QWebView::wheelEvent#
    {76, 805, 718},	// QWebView::zoomFactor
    {76, 824, 773},	// QWebView::~QWebView
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtwebkit_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtwebkit_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtwebkit_Smoke = new Smoke(
        "qtwebkit",
        __smokeqtwebkit::classes, 80,
        __smokeqtwebkit::methods, 814,
        __smokeqtwebkit::methodMaps, 763,
        __smokeqtwebkit::methodNames, 826,
        __smokeqtwebkit::types, 281,
        __smokeqtwebkit::inheritanceList,
        __smokeqtwebkit::argumentList,
        __smokeqtwebkit::ambiguousMethodList,
        __smokeqtwebkit::cast );
    initialized = true;
}

void delete_qtwebkit_Smoke() { delete qtwebkit_Smoke; }

}
