#include <qtxml_includes.h>

#include <smoke.h>
#include <qtxml_smoke.h>

namespace __smokeqtxml {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBitArray
      switch(to) {
        case 1: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 2:   //QBool
      switch(to) {
        case 2: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 3:   //QByteArray
      switch(to) {
        case 3: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 4:   //QChar
      switch(to) {
        case 4: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 5:   //QDataStream
      switch(to) {
        case 5: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 6:   //QDate
      switch(to) {
        case 6: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 7:   //QDateTime
      switch(to) {
        case 7: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 8:   //QDebug
      switch(to) {
        case 8: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 9:   //QDir
      switch(to) {
        case 9: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 10:   //QDomAttr
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomAttr*)xptr;
        case 10: return (void*)(QDomAttr*)xptr;
        default: return xptr;
      }
    case 11:   //QDomCDATASection
      switch(to) {
        case 27: return (void*)(QDomText*)(QDomCDATASection*)xptr;
        case 12: return (void*)(QDomCharacterData*)(QDomCDATASection*)xptr;
        case 22: return (void*)(QDomNode*)(QDomCDATASection*)xptr;
        case 11: return (void*)(QDomCDATASection*)xptr;
        default: return xptr;
      }
    case 12:   //QDomCharacterData
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomCharacterData*)xptr;
        case 12: return (void*)(QDomCharacterData*)xptr;
        case 27: return (void*)(QDomText*)(QDomCharacterData*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomCharacterData*)xptr;
        case 13: return (void*)(QDomComment*)(QDomCharacterData*)xptr;
        default: return xptr;
      }
    case 13:   //QDomComment
      switch(to) {
        case 12: return (void*)(QDomCharacterData*)(QDomComment*)xptr;
        case 22: return (void*)(QDomNode*)(QDomComment*)xptr;
        case 13: return (void*)(QDomComment*)xptr;
        default: return xptr;
      }
    case 14:   //QDomDocument
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocument*)xptr;
        case 14: return (void*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 15:   //QDomDocumentFragment
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocumentFragment*)xptr;
        case 15: return (void*)(QDomDocumentFragment*)xptr;
        default: return xptr;
      }
    case 16:   //QDomDocumentType
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocumentType*)xptr;
        case 16: return (void*)(QDomDocumentType*)xptr;
        default: return xptr;
      }
    case 17:   //QDomElement
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomElement*)xptr;
        case 17: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 18:   //QDomEntity
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomEntity*)xptr;
        case 18: return (void*)(QDomEntity*)xptr;
        default: return xptr;
      }
    case 19:   //QDomEntityReference
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomEntityReference*)xptr;
        case 19: return (void*)(QDomEntityReference*)xptr;
        default: return xptr;
      }
    case 20:   //QDomImplementation
      switch(to) {
        case 20: return (void*)(QDomImplementation*)xptr;
        default: return xptr;
      }
    case 21:   //QDomNamedNodeMap
      switch(to) {
        case 21: return (void*)(QDomNamedNodeMap*)xptr;
        default: return xptr;
      }
    case 22:   //QDomNode
      switch(to) {
        case 22: return (void*)(QDomNode*)xptr;
        case 27: return (void*)(QDomText*)(QDomNode*)xptr;
        case 25: return (void*)(QDomNotation*)(QDomNode*)xptr;
        case 15: return (void*)(QDomDocumentFragment*)(QDomNode*)xptr;
        case 17: return (void*)(QDomElement*)(QDomNode*)xptr;
        case 10: return (void*)(QDomAttr*)(QDomNode*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomNode*)xptr;
        case 18: return (void*)(QDomEntity*)(QDomNode*)xptr;
        case 16: return (void*)(QDomDocumentType*)(QDomNode*)xptr;
        case 12: return (void*)(QDomCharacterData*)(QDomNode*)xptr;
        case 26: return (void*)(QDomProcessingInstruction*)(QDomNode*)xptr;
        case 13: return (void*)(QDomComment*)(QDomNode*)xptr;
        case 19: return (void*)(QDomEntityReference*)(QDomNode*)xptr;
        case 14: return (void*)(QDomDocument*)(QDomNode*)xptr;
        default: return xptr;
      }
    case 23:   //QDomNodeList
      switch(to) {
        case 23: return (void*)(QDomNodeList*)xptr;
        default: return xptr;
      }
    case 24:   //QDomNodePrivate
      switch(to) {
        case 24: return (void*)(QDomNodePrivate*)xptr;
        default: return xptr;
      }
    case 25:   //QDomNotation
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomNotation*)xptr;
        case 25: return (void*)(QDomNotation*)xptr;
        default: return xptr;
      }
    case 26:   //QDomProcessingInstruction
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomProcessingInstruction*)xptr;
        case 26: return (void*)(QDomProcessingInstruction*)xptr;
        default: return xptr;
      }
    case 27:   //QDomText
      switch(to) {
        case 12: return (void*)(QDomCharacterData*)(QDomText*)xptr;
        case 22: return (void*)(QDomNode*)(QDomText*)xptr;
        case 27: return (void*)(QDomText*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomText*)xptr;
        default: return xptr;
      }
    case 28:   //QEasingCurve
      switch(to) {
        case 28: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 30:   //QHashDummyValue
      switch(to) {
        case 30: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 31:   //QIODevice
      switch(to) {
        case 40: return (void*)(QObject*)(QIODevice*)xptr;
        case 31: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 32:   //QIncompatibleFlag
      switch(to) {
        case 32: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 33:   //QLatin1String
      switch(to) {
        case 33: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 34:   //QLine
      switch(to) {
        case 34: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 35:   //QLineF
      switch(to) {
        case 35: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 36:   //QLocale
      switch(to) {
        case 36: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 37:   //QMargins
      switch(to) {
        case 37: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 38:   //QMetaObject
      switch(to) {
        case 38: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 39:   //QModelIndex
      switch(to) {
        case 39: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 40:   //QObject
      switch(to) {
        case 40: return (void*)(QObject*)xptr;
        default: return xptr;
      }
    case 41:   //QPersistentModelIndex
      switch(to) {
        case 41: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 42:   //QPoint
      switch(to) {
        case 42: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 43:   //QPointF
      switch(to) {
        case 43: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 44:   //QRect
      switch(to) {
        case 44: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 45:   //QRectF
      switch(to) {
        case 45: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 46:   //QRegExp
      switch(to) {
        case 46: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 47:   //QSize
      switch(to) {
        case 47: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 48:   //QSizeF
      switch(to) {
        case 48: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 49:   //QString::Null
      switch(to) {
        case 49: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 50:   //QStringRef
      switch(to) {
        case 50: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 51:   //QTextCodec
      switch(to) {
        case 51: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 52:   //QTextStream
      switch(to) {
        case 52: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 53:   //QTextStreamManipulator
      switch(to) {
        case 53: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 54:   //QTime
      switch(to) {
        case 54: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 55:   //QUrl
      switch(to) {
        case 55: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 56:   //QUuid
      switch(to) {
        case 56: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 57:   //QVariant
      switch(to) {
        case 57: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 58:   //QVariantComparisonHelper
      switch(to) {
        case 58: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 59:   //QXmlAttributes
      switch(to) {
        case 59: return (void*)(QXmlAttributes*)xptr;
        default: return xptr;
      }
    case 60:   //QXmlContentHandler
      switch(to) {
        case 60: return (void*)(QXmlContentHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlContentHandler*)xptr;
        default: return xptr;
      }
    case 61:   //QXmlDTDHandler
      switch(to) {
        case 61: return (void*)(QXmlDTDHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlDTDHandler*)xptr;
        default: return xptr;
      }
    case 62:   //QXmlDeclHandler
      switch(to) {
        case 62: return (void*)(QXmlDeclHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlDeclHandler*)xptr;
        default: return xptr;
      }
    case 63:   //QXmlDefaultHandler
      switch(to) {
        case 60: return (void*)(QXmlContentHandler*)(QXmlDefaultHandler*)xptr;
        case 65: return (void*)(QXmlErrorHandler*)(QXmlDefaultHandler*)xptr;
        case 61: return (void*)(QXmlDTDHandler*)(QXmlDefaultHandler*)xptr;
        case 64: return (void*)(QXmlEntityResolver*)(QXmlDefaultHandler*)xptr;
        case 67: return (void*)(QXmlLexicalHandler*)(QXmlDefaultHandler*)xptr;
        case 62: return (void*)(QXmlDeclHandler*)(QXmlDefaultHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)xptr;
        default: return xptr;
      }
    case 64:   //QXmlEntityResolver
      switch(to) {
        case 64: return (void*)(QXmlEntityResolver*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlEntityResolver*)xptr;
        default: return xptr;
      }
    case 65:   //QXmlErrorHandler
      switch(to) {
        case 65: return (void*)(QXmlErrorHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlErrorHandler*)xptr;
        default: return xptr;
      }
    case 66:   //QXmlInputSource
      switch(to) {
        case 66: return (void*)(QXmlInputSource*)xptr;
        default: return xptr;
      }
    case 67:   //QXmlLexicalHandler
      switch(to) {
        case 67: return (void*)(QXmlLexicalHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlLexicalHandler*)xptr;
        default: return xptr;
      }
    case 68:   //QXmlLocator
      switch(to) {
        case 68: return (void*)(QXmlLocator*)xptr;
        default: return xptr;
      }
    case 69:   //QXmlNamespaceSupport
      switch(to) {
        case 69: return (void*)(QXmlNamespaceSupport*)xptr;
        default: return xptr;
      }
    case 70:   //QXmlParseException
      switch(to) {
        case 70: return (void*)(QXmlParseException*)xptr;
        default: return xptr;
      }
    case 71:   //QXmlReader
      switch(to) {
        case 71: return (void*)(QXmlReader*)xptr;
        case 72: return (void*)(QXmlSimpleReader*)(QXmlReader*)xptr;
        default: return xptr;
      }
    case 72:   //QXmlSimpleReader
      switch(to) {
        case 71: return (void*)(QXmlReader*)(QXmlSimpleReader*)xptr;
        case 72: return (void*)(QXmlSimpleReader*)xptr;
        default: return xptr;
      }
    case 73:   //QXmlStreamAttribute
      switch(to) {
        case 73: return (void*)(QXmlStreamAttribute*)xptr;
        default: return xptr;
      }
    case 74:   //QXmlStreamAttributes
      switch(to) {
        case 74: return (void*)(QXmlStreamAttributes*)xptr;
        default: return xptr;
      }
    case 75:   //QXmlStreamReader
      switch(to) {
        case 75: return (void*)(QXmlStreamReader*)xptr;
        default: return xptr;
      }
    case 76:   //QXmlStreamWriter
      switch(to) {
        case 76: return (void*)(QXmlStreamWriter*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    22, 0,	// 1: QDomNode
    27, 0,	// 3: QDomText
    12, 0,	// 5: QDomCharacterData
    60, 65, 61, 64, 67, 62, 0,	// 7: QXmlContentHandler, QXmlErrorHandler, QXmlDTDHandler, QXmlEntityResolver, QXmlLexicalHandler, QXmlDeclHandler
    71, 0,	// 14: QXmlReader
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDomImplementation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDomNode(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QDomAttr(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomCDATASection(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomCharacterData(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomComment(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocumentFragment(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocumentType(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomElement(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomEntity(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomEntityReference(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomImplementation(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNamedNodeMap(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNode(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNodeList(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNotation(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomProcessingInstruction(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomText(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlAttributes(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlContentHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDTDHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDeclHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDefaultHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlEntityResolver(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlErrorHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlInputSource(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlLexicalHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlLocator(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlNamespaceSupport(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlParseException(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlReader(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlSimpleReader(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlStreamWriter(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//1
    { "QBool", true, 0, 0, 0, 0, 0 },	//2
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//3
    { "QChar", true, 0, 0, 0, 0, 0 },	//4
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//5
    { "QDate", true, 0, 0, 0, 0, 0 },	//6
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//7
    { "QDebug", true, 0, 0, 0, 0, 0 },	//8
    { "QDir", true, 0, 0, 0, 0, 0 },	//9
    { "QDomAttr", false, 1, xcall_QDomAttr, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomAttr) },	//10
    { "QDomCDATASection", false, 3, xcall_QDomCDATASection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomCDATASection) },	//11
    { "QDomCharacterData", false, 1, xcall_QDomCharacterData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomCharacterData) },	//12
    { "QDomComment", false, 5, xcall_QDomComment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomComment) },	//13
    { "QDomDocument", false, 1, xcall_QDomDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocument) },	//14
    { "QDomDocumentFragment", false, 1, xcall_QDomDocumentFragment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocumentFragment) },	//15
    { "QDomDocumentType", false, 1, xcall_QDomDocumentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocumentType) },	//16
    { "QDomElement", false, 1, xcall_QDomElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomElement) },	//17
    { "QDomEntity", false, 1, xcall_QDomEntity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomEntity) },	//18
    { "QDomEntityReference", false, 1, xcall_QDomEntityReference, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomEntityReference) },	//19
    { "QDomImplementation", false, 0, xcall_QDomImplementation, xenum_QDomImplementation, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomImplementation) },	//20
    { "QDomNamedNodeMap", false, 0, xcall_QDomNamedNodeMap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNamedNodeMap) },	//21
    { "QDomNode", false, 0, xcall_QDomNode, xenum_QDomNode, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNode) },	//22
    { "QDomNodeList", false, 0, xcall_QDomNodeList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNodeList) },	//23
    { "QDomNodePrivate", true, 0, 0, 0, 0, 0 },	//24
    { "QDomNotation", false, 1, xcall_QDomNotation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNotation) },	//25
    { "QDomProcessingInstruction", false, 1, xcall_QDomProcessingInstruction, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomProcessingInstruction) },	//26
    { "QDomText", false, 5, xcall_QDomText, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomText) },	//27
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//28
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//29
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//30
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//31
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//32
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//33
    { "QLine", true, 0, 0, 0, 0, 0 },	//34
    { "QLineF", true, 0, 0, 0, 0, 0 },	//35
    { "QLocale", true, 0, 0, 0, 0, 0 },	//36
    { "QMargins", true, 0, 0, 0, 0, 0 },	//37
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//38
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//39
    { "QObject", true, 0, 0, 0, 0, 0 },	//40
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//41
    { "QPoint", true, 0, 0, 0, 0, 0 },	//42
    { "QPointF", true, 0, 0, 0, 0, 0 },	//43
    { "QRect", true, 0, 0, 0, 0, 0 },	//44
    { "QRectF", true, 0, 0, 0, 0, 0 },	//45
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//46
    { "QSize", true, 0, 0, 0, 0, 0 },	//47
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//48
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//49
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//50
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//51
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//52
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//53
    { "QTime", true, 0, 0, 0, 0, 0 },	//54
    { "QUrl", true, 0, 0, 0, 0, 0 },	//55
    { "QUuid", true, 0, 0, 0, 0, 0 },	//56
    { "QVariant", true, 0, 0, 0, 0, 0 },	//57
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//58
    { "QXmlAttributes", false, 0, xcall_QXmlAttributes, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlAttributes) },	//59
    { "QXmlContentHandler", false, 0, xcall_QXmlContentHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlContentHandler) },	//60
    { "QXmlDTDHandler", false, 0, xcall_QXmlDTDHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlDTDHandler) },	//61
    { "QXmlDeclHandler", false, 0, xcall_QXmlDeclHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlDeclHandler) },	//62
    { "QXmlDefaultHandler", false, 7, xcall_QXmlDefaultHandler, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QXmlDefaultHandler) },	//63
    { "QXmlEntityResolver", false, 0, xcall_QXmlEntityResolver, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlEntityResolver) },	//64
    { "QXmlErrorHandler", false, 0, xcall_QXmlErrorHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlErrorHandler) },	//65
    { "QXmlInputSource", false, 0, xcall_QXmlInputSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlInputSource) },	//66
    { "QXmlLexicalHandler", false, 0, xcall_QXmlLexicalHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlLexicalHandler) },	//67
    { "QXmlLocator", false, 0, xcall_QXmlLocator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlLocator) },	//68
    { "QXmlNamespaceSupport", false, 0, xcall_QXmlNamespaceSupport, 0, Smoke::cf_constructor, sizeof(QXmlNamespaceSupport) },	//69
    { "QXmlParseException", false, 0, xcall_QXmlParseException, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QXmlParseException) },	//70
    { "QXmlReader", false, 0, xcall_QXmlReader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlReader) },	//71
    { "QXmlSimpleReader", false, 14, xcall_QXmlSimpleReader, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QXmlSimpleReader) },	//72
    { "QXmlStreamAttribute", true, 0, 0, 0, 0, 0 },	//73
    { "QXmlStreamAttributes", true, 0, 0, 0, 0, 0 },	//74
    { "QXmlStreamReader", true, 0, 0, 0, 0, 0 },	//75
    { "QXmlStreamWriter", false, 0, xcall_QXmlStreamWriter, 0, Smoke::cf_constructor, sizeof(QXmlStreamWriter) },	//76
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBitArray", 1, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 1, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 2, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 3, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 3, Smoke::t_class|Smoke::tf_ref },	//6
    { "QByteArray*", 3, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QChar", 4, Smoke::t_class|Smoke::tf_stack },	//8
    { "QChar&", 4, Smoke::t_class|Smoke::tf_ref },	//9
    { "QDataStream&", 5, Smoke::t_class|Smoke::tf_ref },	//10
    { "QDate&", 6, Smoke::t_class|Smoke::tf_ref },	//11
    { "QDateTime&", 7, Smoke::t_class|Smoke::tf_ref },	//12
    { "QDebug", 8, Smoke::t_class|Smoke::tf_stack },	//13
    { "QDir::Filter", 9, Smoke::t_enum|Smoke::tf_stack },	//14
    { "QDir::SortFlag", 9, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//16
    { "QDomAttr", 10, Smoke::t_class|Smoke::tf_stack },	//17
    { "QDomAttr&", 10, Smoke::t_class|Smoke::tf_ref },	//18
    { "QDomAttr*", 10, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QDomCDATASection", 11, Smoke::t_class|Smoke::tf_stack },	//20
    { "QDomCDATASection&", 11, Smoke::t_class|Smoke::tf_ref },	//21
    { "QDomCDATASection*", 11, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QDomCharacterData", 12, Smoke::t_class|Smoke::tf_stack },	//23
    { "QDomCharacterData&", 12, Smoke::t_class|Smoke::tf_ref },	//24
    { "QDomCharacterData*", 12, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QDomComment", 13, Smoke::t_class|Smoke::tf_stack },	//26
    { "QDomComment&", 13, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDomComment*", 13, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QDomDocument", 14, Smoke::t_class|Smoke::tf_stack },	//29
    { "QDomDocument&", 14, Smoke::t_class|Smoke::tf_ref },	//30
    { "QDomDocument*", 14, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QDomDocumentFragment", 15, Smoke::t_class|Smoke::tf_stack },	//32
    { "QDomDocumentFragment&", 15, Smoke::t_class|Smoke::tf_ref },	//33
    { "QDomDocumentFragment*", 15, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QDomDocumentType", 16, Smoke::t_class|Smoke::tf_stack },	//35
    { "QDomDocumentType&", 16, Smoke::t_class|Smoke::tf_ref },	//36
    { "QDomDocumentType*", 16, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDomElement", 17, Smoke::t_class|Smoke::tf_stack },	//38
    { "QDomElement&", 17, Smoke::t_class|Smoke::tf_ref },	//39
    { "QDomElement*", 17, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QDomEntity", 18, Smoke::t_class|Smoke::tf_stack },	//41
    { "QDomEntity&", 18, Smoke::t_class|Smoke::tf_ref },	//42
    { "QDomEntity*", 18, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QDomEntityReference", 19, Smoke::t_class|Smoke::tf_stack },	//44
    { "QDomEntityReference&", 19, Smoke::t_class|Smoke::tf_ref },	//45
    { "QDomEntityReference*", 19, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QDomImplementation", 20, Smoke::t_class|Smoke::tf_stack },	//47
    { "QDomImplementation&", 20, Smoke::t_class|Smoke::tf_ref },	//48
    { "QDomImplementation*", 20, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QDomImplementation::InvalidDataPolicy", 20, Smoke::t_enum|Smoke::tf_stack },	//50
    { "QDomNamedNodeMap", 21, Smoke::t_class|Smoke::tf_stack },	//51
    { "QDomNamedNodeMap&", 21, Smoke::t_class|Smoke::tf_ref },	//52
    { "QDomNamedNodeMap*", 21, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QDomNode", 22, Smoke::t_class|Smoke::tf_stack },	//54
    { "QDomNode&", 22, Smoke::t_class|Smoke::tf_ref },	//55
    { "QDomNode*", 22, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QDomNode::EncodingPolicy", 22, Smoke::t_enum|Smoke::tf_stack },	//57
    { "QDomNode::NodeType", 22, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QDomNodeList", 23, Smoke::t_class|Smoke::tf_stack },	//59
    { "QDomNodeList&", 23, Smoke::t_class|Smoke::tf_ref },	//60
    { "QDomNodeList*", 23, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QDomNodePrivate*", 24, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QDomNotation", 25, Smoke::t_class|Smoke::tf_stack },	//63
    { "QDomNotation&", 25, Smoke::t_class|Smoke::tf_ref },	//64
    { "QDomNotation*", 25, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QDomProcessingInstruction", 26, Smoke::t_class|Smoke::tf_stack },	//66
    { "QDomProcessingInstruction&", 26, Smoke::t_class|Smoke::tf_ref },	//67
    { "QDomProcessingInstruction*", 26, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QDomText", 27, Smoke::t_class|Smoke::tf_stack },	//69
    { "QDomText&", 27, Smoke::t_class|Smoke::tf_ref },	//70
    { "QDomText*", 27, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QIODevice*", 31, Smoke::t_class|Smoke::tf_ptr },	//103
    { "QIODevice::OpenModeFlag", 31, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QIncompatibleFlag", 32, Smoke::t_class|Smoke::tf_stack },	//105
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QLine&", 34, Smoke::t_class|Smoke::tf_ref },	//107
    { "QLineF&", 35, Smoke::t_class|Smoke::tf_ref },	//108
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//109
    { "QLocale&", 36, Smoke::t_class|Smoke::tf_ref },	//110
    { "QLocale::NumberOption", 36, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QObject*", 40, Smoke::t_class|Smoke::tf_ptr },	//112
    { "QObject*(*)()", 40, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QPoint&", 42, Smoke::t_class|Smoke::tf_ref },	//114
    { "QPointF&", 43, Smoke::t_class|Smoke::tf_ref },	//115
    { "QRect&", 44, Smoke::t_class|Smoke::tf_ref },	//116
    { "QRectF&", 45, Smoke::t_class|Smoke::tf_ref },	//117
    { "QRegExp&", 46, Smoke::t_class|Smoke::tf_ref },	//118
    { "QSize&", 47, Smoke::t_class|Smoke::tf_ref },	//119
    { "QSizeF&", 48, Smoke::t_class|Smoke::tf_ref },	//120
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//121
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//122
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//123
    { "QString::Null", 49, Smoke::t_class|Smoke::tf_stack },	//124
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//126
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//127
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//128
    { "QTextCodec*", 51, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QTextCodec::ConversionFlag", 51, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QTextStream&", 52, Smoke::t_class|Smoke::tf_ref },	//131
    { "QTextStream&(*)(QTextStream&)", 52, Smoke::t_class|Smoke::tf_ref },	//132
    { "QTextStream::NumberFlag", 52, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QTextStreamManipulator", 53, Smoke::t_class|Smoke::tf_stack },	//134
    { "QTime&", 54, Smoke::t_class|Smoke::tf_ref },	//135
    { "QUrl&", 55, Smoke::t_class|Smoke::tf_ref },	//136
    { "QUrl::FormattingOption", 55, Smoke::t_enum|Smoke::tf_stack },	//137
    { "QUuid&", 56, Smoke::t_class|Smoke::tf_ref },	//138
    { "QVariant&", 57, Smoke::t_class|Smoke::tf_ref },	//139
    { "QVariant::Type", 57, Smoke::t_enum|Smoke::tf_stack },	//140
    { "QVariant::Type&", 57, Smoke::t_enum|Smoke::tf_ref },	//141
    { "QXmlAttributes*", 59, Smoke::t_class|Smoke::tf_ptr },	//142
    { "QXmlContentHandler*", 60, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QXmlDTDHandler*", 61, Smoke::t_class|Smoke::tf_ptr },	//144
    { "QXmlDeclHandler*", 62, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QXmlDefaultHandler*", 63, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QXmlEntityResolver*", 64, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QXmlErrorHandler*", 65, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QXmlInputSource*", 66, Smoke::t_class|Smoke::tf_ptr },	//149
    { "QXmlInputSource*&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_ptr },	//150
    { "QXmlLexicalHandler*", 67, Smoke::t_class|Smoke::tf_ptr },	//151
    { "QXmlLocator*", 68, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QXmlNamespaceSupport*", 69, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QXmlParseException*", 70, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QXmlReader*", 71, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QXmlSimpleReader*", 72, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QXmlStreamWriter*", 76, Smoke::t_class|Smoke::tf_ptr },	//157
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QtMsgType", 29, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QtValidLicenseForActiveQtModule", 29, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QtValidLicenseForCoreModule", 29, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QtValidLicenseForDBusModule", 29, Smoke::t_enum|Smoke::tf_stack },	//234
    { "QtValidLicenseForDeclarativeModule", 29, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QtValidLicenseForGuiModule", 29, Smoke::t_enum|Smoke::tf_stack },	//236
    { "QtValidLicenseForHelpModule", 29, Smoke::t_enum|Smoke::tf_stack },	//237
    { "QtValidLicenseForMultimediaModule", 29, Smoke::t_enum|Smoke::tf_stack },	//238
    { "QtValidLicenseForNetworkModule", 29, Smoke::t_enum|Smoke::tf_stack },	//239
    { "QtValidLicenseForOpenGLModule", 29, Smoke::t_enum|Smoke::tf_stack },	//240
    { "QtValidLicenseForOpenVGModule", 29, Smoke::t_enum|Smoke::tf_stack },	//241
    { "QtValidLicenseForQt3SupportLightModule", 29, Smoke::t_enum|Smoke::tf_stack },	//242
    { "QtValidLicenseForQt3SupportModule", 29, Smoke::t_enum|Smoke::tf_stack },	//243
    { "QtValidLicenseForScriptModule", 29, Smoke::t_enum|Smoke::tf_stack },	//244
    { "QtValidLicenseForScriptToolsModule", 29, Smoke::t_enum|Smoke::tf_stack },	//245
    { "QtValidLicenseForSqlModule", 29, Smoke::t_enum|Smoke::tf_stack },	//246
    { "QtValidLicenseForSvgModule", 29, Smoke::t_enum|Smoke::tf_stack },	//247
    { "QtValidLicenseForTestModule", 29, Smoke::t_enum|Smoke::tf_stack },	//248
    { "QtValidLicenseForXmlModule", 29, Smoke::t_enum|Smoke::tf_stack },	//249
    { "QtValidLicenseForXmlPatternsModule", 29, Smoke::t_enum|Smoke::tf_stack },	//250
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//251
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//252
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//253
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//254
    { "const QBitArray&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QByteArray", 3, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//256
    { "const QByteArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QChar&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QDate&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QDateTime&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QDir&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QDomAttr&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QDomCDATASection&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QDomCharacterData&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QDomComment&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QDomDocument&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QDomDocumentFragment&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QDomDocumentType&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QDomElement&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QDomEntity&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QDomEntityReference&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QDomImplementation&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QDomNamedNodeMap&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QDomNode&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QDomNodeList&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QDomNotation&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QDomProcessingInstruction&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QDomText&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QEasingCurve&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QHashDummyValue&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QLatin1String&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QLine&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const QLineF&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QLocale&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const QMargins&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QMetaObject&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const QModelIndex&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const QObject*", 40, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//288
    { "const QPersistentModelIndex&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const QPoint", 42, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//290
    { "const QPoint&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const QPointF", 43, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//292
    { "const QPointF&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const QRect&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const QRectF&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const QRegExp&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const QRegExp*", 46, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//297
    { "const QSize", 47, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//298
    { "const QSize&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//299
    { "const QSizeF", 48, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//300
    { "const QSizeF&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//301
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//302
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//303
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//304
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//305
    { "const QStringRef&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//306
    { "const QTime&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const QUrl&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//308
    { "const QUuid&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//309
    { "const QVariant&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//310
    { "const QVariant::Type", 57, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//311
    { "const QVariantComparisonHelper&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//312
    { "const QXmlAttributes&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//313
    { "const QXmlContentHandler&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//314
    { "const QXmlDTDHandler&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//315
    { "const QXmlDeclHandler&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//316
    { "const QXmlEntityResolver&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//317
    { "const QXmlErrorHandler&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//318
    { "const QXmlInputSource&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//319
    { "const QXmlInputSource*", 66, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//320
    { "const QXmlLexicalHandler&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//321
    { "const QXmlLocator&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//322
    { "const QXmlParseException&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//323
    { "const QXmlReader&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//324
    { "const QXmlStreamAttribute&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//325
    { "const QXmlStreamAttributes&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const QXmlStreamReader&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//328
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//329
    { "const unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack|Smoke::tf_const },	//330
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//331
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//332
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//333
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//334
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//335
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//336
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//337
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//338
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//339
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//340
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//341
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//342
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//343
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//344
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//345
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//346
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//347
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//348
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//349
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//350
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//351
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    262, 0,	//1  const QDomAttr&
    303, 0,	//3  const QString&
    263, 0,	//5  const QDomCDATASection&
    264, 0,	//7  const QDomCharacterData&
    344, 344, 0,	//9  unsigned long, unsigned long
    344, 303, 0,	//12  unsigned long, const QString&
    344, 344, 303, 0,	//15  unsigned long, unsigned long, const QString&
    265, 0,	//19  const QDomComment&
    268, 0,	//21  const QDomDocumentType&
    266, 0,	//23  const QDomDocument&
    303, 303, 0,	//25  const QString&, const QString&
    274, 251, 0,	//28  const QDomNode&, bool
    257, 251, 123, 335, 335, 0,	//31  const QByteArray&, bool, QString*, int*, int*
    303, 251, 123, 335, 335, 0,	//37  const QString&, bool, QString*, int*, int*
    103, 251, 123, 335, 335, 0,	//43  QIODevice*, bool, QString*, int*, int*
    149, 251, 123, 335, 335, 0,	//49  QXmlInputSource*, bool, QString*, int*, int*
    257, 123, 335, 335, 0,	//55  const QByteArray&, QString*, int*, int*
    303, 123, 335, 335, 0,	//60  const QString&, QString*, int*, int*
    103, 123, 335, 335, 0,	//65  QIODevice*, QString*, int*, int*
    149, 155, 123, 335, 335, 0,	//70  QXmlInputSource*, QXmlReader*, QString*, int*, int*
    334, 0,	//76  int
    257, 251, 0,	//78  const QByteArray&, bool
    257, 251, 123, 0,	//81  const QByteArray&, bool, QString*
    257, 251, 123, 335, 0,	//85  const QByteArray&, bool, QString*, int*
    303, 251, 0,	//90  const QString&, bool
    303, 251, 123, 0,	//93  const QString&, bool, QString*
    303, 251, 123, 335, 0,	//97  const QString&, bool, QString*, int*
    103, 251, 0,	//102  QIODevice*, bool
    103, 251, 123, 0,	//105  QIODevice*, bool, QString*
    103, 251, 123, 335, 0,	//109  QIODevice*, bool, QString*, int*
    149, 251, 0,	//114  QXmlInputSource*, bool
    149, 251, 123, 0,	//117  QXmlInputSource*, bool, QString*
    149, 251, 123, 335, 0,	//121  QXmlInputSource*, bool, QString*, int*
    257, 0,	//126  const QByteArray&
    257, 123, 0,	//128  const QByteArray&, QString*
    257, 123, 335, 0,	//131  const QByteArray&, QString*, int*
    303, 123, 0,	//135  const QString&, QString*
    303, 123, 335, 0,	//138  const QString&, QString*, int*
    103, 0,	//142  QIODevice*
    103, 123, 0,	//144  QIODevice*, QString*
    103, 123, 335, 0,	//147  QIODevice*, QString*, int*
    149, 155, 0,	//151  QXmlInputSource*, QXmlReader*
    149, 155, 123, 0,	//154  QXmlInputSource*, QXmlReader*, QString*
    149, 155, 123, 335, 0,	//158  QXmlInputSource*, QXmlReader*, QString*, int*
    267, 0,	//163  const QDomDocumentFragment&
    269, 0,	//165  const QDomElement&
    303, 337, 0,	//167  const QString&, long long
    303, 345, 0,	//170  const QString&, unsigned long long
    303, 334, 0,	//173  const QString&, int
    303, 343, 0,	//176  const QString&, unsigned int
    303, 333, 0,	//179  const QString&, float
    303, 332, 0,	//182  const QString&, double
    302, 303, 303, 0,	//185  const QString, const QString&, const QString&
    302, 303, 334, 0,	//189  const QString, const QString&, int
    302, 303, 343, 0,	//193  const QString, const QString&, unsigned int
    302, 303, 337, 0,	//197  const QString, const QString&, long long
    302, 303, 345, 0,	//201  const QString, const QString&, unsigned long long
    302, 303, 332, 0,	//205  const QString, const QString&, double
    302, 303, 0,	//209  const QString, const QString&
    270, 0,	//212  const QDomEntity&
    271, 0,	//214  const QDomEntityReference&
    272, 0,	//216  const QDomImplementation&
    303, 303, 303, 0,	//218  const QString&, const QString&, const QString&
    303, 303, 268, 0,	//222  const QString&, const QString&, const QDomDocumentType&
    50, 0,	//226  QDomImplementation::InvalidDataPolicy
    273, 0,	//228  const QDomNamedNodeMap&
    274, 0,	//230  const QDomNode&
    274, 274, 0,	//232  const QDomNode&, const QDomNode&
    251, 0,	//235  bool
    131, 334, 0,	//237  QTextStream&, int
    131, 334, 57, 0,	//240  QTextStream&, int, QDomNode::EncodingPolicy
    62, 0,	//244  QDomNodePrivate*
    275, 0,	//246  const QDomNodeList&
    276, 0,	//248  const QDomNotation&
    277, 0,	//250  const QDomProcessingInstruction&
    278, 0,	//252  const QDomText&
    332, 0,	//254  double
    73, 73, 0,	//256  QFile::Permission, QFile::Permission
    10, 9, 0,	//259  QDataStream&, QChar&
    16, 77, 0,	//262  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    328, 281, 0,	//265  const char*, const QLatin1String&
    10, 110, 0,	//268  QDataStream&, QLocale&
    228, 334, 0,	//271  Qt::WindowType, int
    254, 328, 343, 0,	//274  char*, const char*, unsigned int
    343, 0,	//278  unsigned int
    253, 0,	//280  char
    301, 332, 0,	//282  const QSizeF&, double
    13, 282, 0,	//285  QDebug, const QLine&
    328, 0,	//288  const char*
    257, 328, 0,	//290  const QByteArray&, const char*
    328, 303, 0,	//293  const char*, const QString&
    10, 116, 0,	//296  QDataStream&, QRect&
    193, 193, 0,	//299  Qt::ItemFlag, Qt::ItemFlag
    310, 312, 0,	//302  const QVariant&, const QVariantComparisonHelper&
    13, 80, 0,	//305  QDebug, QFlags<QIODevice::OpenModeFlag>
    299, 299, 0,	//308  const QSize&, const QSize&
    8, 303, 0,	//311  QChar, const QString&
    328, 328, 343, 0,	//314  const char*, const char*, unsigned int
    281, 281, 0,	//318  const QLatin1String&, const QLatin1String&
    306, 306, 0,	//321  const QStringRef&, const QStringRef&
    254, 340, 328, 347, 0,	//324  char*, size_t, const char*, va_list
    293, 293, 0,	//329  const QPointF&, const QPointF&
    303, 306, 0,	//332  const QString&, const QStringRef&
    303, 8, 0,	//335  const QString&, QChar
    328, 343, 0,	//338  const char*, unsigned int
    281, 306, 0,	//341  const QLatin1String&, const QStringRef&
    13, 259, 0,	//344  QDebug, const QDate&
    218, 218, 0,	//347  Qt::ToolBarArea, Qt::ToolBarArea
    13, 283, 0,	//350  QDebug, const QLineF&
    295, 295, 0,	//353  const QRectF&, const QRectF&
    341, 0,	//356  unsigned char
    288, 303, 297, 286, 109, 0,	//358  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    306, 281, 0,	//364  const QStringRef&, const QLatin1String&
    10, 11, 0,	//367  QDataStream&, QDate&
    333, 0,	//370  float
    215, 334, 0,	//372  Qt::TextInteractionFlag, int
    8, 8, 0,	//375  QChar, QChar
    8, 0,	//378  QChar
    10, 136, 0,	//380  QDataStream&, QUrl&
    13, 287, 0,	//383  QDebug, const QModelIndex&
    106, 81, 0,	//386  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    328, 334, 0,	//389  const char*, int
    332, 332, 0,	//392  double, double
    10, 311, 0,	//395  QDataStream&, const QVariant::Type
    338, 0,	//398  short
    10, 310, 0,	//400  QDataStream&, const QVariant&
    215, 98, 0,	//403  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    193, 93, 0,	//406  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    336, 0,	//409  long
    190, 92, 0,	//411  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    328, 328, 0,	//414  const char*, const char*
    10, 301, 0,	//417  QDataStream&, const QSizeF&
    124, 124, 0,	//420  QString::Null, QString::Null
    328, 257, 0,	//423  const char*, const QByteArray&
    255, 0,	//426  const QBitArray&
    16, 16, 0,	//428  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    254, 328, 0,	//431  char*, const char*
    255, 255, 0,	//434  const QBitArray&, const QBitArray&
    291, 291, 0,	//437  const QPoint&, const QPoint&
    196, 94, 0,	//440  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    293, 332, 0,	//443  const QPointF&, double
    13, 301, 0,	//446  QDebug, const QSizeF&
    280, 280, 0,	//449  const QHashDummyValue&, const QHashDummyValue&
    1, 1, 0,	//452  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    294, 294, 0,	//455  const QRect&, const QRect&
    10, 138, 0,	//458  QDataStream&, QUuid&
    257, 257, 0,	//461  const QByteArray&, const QByteArray&
    329, 334, 0,	//464  const unsigned char*, int
    257, 334, 0,	//467  const QByteArray&, int
    10, 303, 0,	//470  QDataStream&, const QString&
    131, 132, 0,	//473  QTextStream&, QTextStream&(*)(QTextStream&)
    179, 334, 0,	//476  Qt::DropAction, int
    350, 340, 340, 340, 0,	//479  void*, size_t, size_t, size_t
    199, 334, 0,	//484  Qt::MatchFlag, int
    10, 291, 0,	//487  QDataStream&, const QPoint&
    13, 294, 0,	//490  QDebug, const QRect&
    130, 84, 0,	//493  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    346, 0,	//496  unsigned short
    215, 215, 0,	//498  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    13, 261, 0,	//501  QDebug, const QDir&
    125, 83, 0,	//504  QString::SectionFlag, QFlags<QString::SectionFlag>
    201, 201, 0,	//507  Qt::MouseButton, Qt::MouseButton
    350, 340, 0,	//510  void*, size_t
    179, 179, 0,	//513  Qt::DropAction, Qt::DropAction
    1, 334, 0,	//516  QAbstractFileEngine::FileFlag, int
    303, 124, 0,	//519  const QString&, QString::Null
    184, 90, 0,	//522  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    72, 334, 0,	//525  QEventLoop::ProcessEventsFlag, int
    111, 111, 0,	//528  QLocale::NumberOption, QLocale::NumberOption
    104, 104, 0,	//531  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    10, 108, 0,	//534  QDataStream&, QLineF&
    10, 283, 0,	//537  QDataStream&, const QLineF&
    301, 301, 0,	//540  const QSizeF&, const QSizeF&
    332, 299, 0,	//543  double, const QSize&
    177, 88, 0,	//546  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    337, 0,	//549  long long
    199, 95, 0,	//551  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    293, 0,	//554  const QPointF&
    158, 334, 0,	//556  Qt::AlignmentFlag, int
    188, 334, 0,	//559  Qt::ImageConversionFlag, int
    13, 299, 0,	//562  QDebug, const QSize&
    130, 334, 0,	//565  QTextCodec::ConversionFlag, int
    13, 291, 0,	//568  QDebug, const QPoint&
    13, 308, 0,	//571  QDebug, const QUrl&
    291, 0,	//574  const QPoint&
    10, 293, 0,	//576  QDataStream&, const QPointF&
    130, 130, 0,	//579  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    4, 4, 0,	//582  QBool, QBool
    303, 253, 0,	//585  const QString&, char
    328, 306, 0,	//588  const char*, const QStringRef&
    345, 0,	//591  unsigned long long
    133, 334, 0,	//593  QTextStream::NumberFlag, int
    13, 293, 0,	//596  QDebug, const QPointF&
    124, 303, 0,	//599  QString::Null, const QString&
    348, 0,	//602  void(*)()
    111, 82, 0,	//604  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    184, 184, 0,	//607  Qt::GestureFlag, Qt::GestureFlag
    10, 117, 0,	//610  QDataStream&, QRectF&
    333, 333, 0,	//613  float, float
    10, 258, 0,	//616  QDataStream&, const QChar&
    10, 115, 0,	//619  QDataStream&, QPointF&
    299, 332, 0,	//622  const QSize&, double
    349, 0,	//625  void(*)(QtMsgType,const char*)
    131, 134, 0,	//627  QTextStream&, QTextStreamManipulator
    158, 158, 0,	//630  Qt::AlignmentFlag, Qt::AlignmentFlag
    10, 107, 0,	//633  QDataStream&, QLine&
    14, 14, 0,	//636  QDir::Filter, QDir::Filter
    291, 332, 0,	//639  const QPoint&, double
    10, 257, 0,	//642  QDataStream&, const QByteArray&
    188, 188, 0,	//645  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    227, 334, 0,	//648  Qt::WindowState, int
    10, 122, 0,	//651  QDataStream&, QString&
    288, 303, 286, 0,	//654  const QObject*, const QString&, const QMetaObject&
    10, 295, 0,	//658  QDataStream&, const QRectF&
    10, 3, 0,	//661  QDataStream&, QBitArray&
    10, 119, 0,	//664  QDataStream&, QSize&
    196, 196, 0,	//667  Qt::KeyboardModifier, Qt::KeyboardModifier
    251, 4, 0,	//670  bool, QBool
    133, 133, 0,	//673  QTextStream::NumberFlag, QTextStream::NumberFlag
    10, 12, 0,	//676  QDataStream&, QDateTime&
    310, 140, 350, 0,	//679  const QVariant&, QVariant::Type, void*
    306, 303, 0,	//683  const QStringRef&, const QString&
    329, 342, 334, 0,	//686  const unsigned char*, unsigned char*, int
    196, 334, 0,	//690  Qt::KeyboardModifier, int
    10, 260, 0,	//693  QDataStream&, const QDateTime&
    231, 328, 0,	//696  QtMsgType, const char*
    72, 78, 0,	//699  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    285, 285, 0,	//702  const QMargins&, const QMargins&
    257, 303, 0,	//705  const QByteArray&, const QString&
    137, 137, 0,	//708  QUrl::FormattingOption, QUrl::FormattingOption
    13, 311, 0,	//711  QDebug, const QVariant::Type
    177, 334, 0,	//714  Qt::DockWidgetArea, int
    10, 135, 0,	//717  QDataStream&, QTime&
    228, 228, 0,	//720  Qt::WindowType, Qt::WindowType
    350, 334, 340, 0,	//723  void*, int, size_t
    13, 260, 0,	//727  QDebug, const QDateTime&
    339, 0,	//730  signed char
    228, 102, 0,	//732  Qt::WindowType, QFlags<Qt::WindowType>
    227, 227, 0,	//735  Qt::WindowState, Qt::WindowState
    73, 334, 0,	//738  QFile::Permission, int
    10, 127, 0,	//741  QDataStream&, QStringList&
    13, 310, 0,	//744  QDebug, const QVariant&
    113, 0,	//747  QObject*(*)()
    332, 293, 0,	//749  double, const QPointF&
    10, 308, 0,	//752  QDataStream&, const QUrl&
    10, 307, 0,	//755  QDataStream&, const QTime&
    10, 114, 0,	//758  QDataStream&, QPoint&
    306, 0,	//761  const QStringRef&
    10, 118, 0,	//763  QDataStream&, QRegExp&
    190, 334, 0,	//766  Qt::InputMethodHint, int
    10, 284, 0,	//769  QDataStream&, const QLocale&
    131, 274, 0,	//772  QTextStream&, const QDomNode&
    340, 340, 0,	//775  size_t, size_t
    10, 255, 0,	//778  QDataStream&, const QBitArray&
    303, 257, 0,	//781  const QString&, const QByteArray&
    328, 328, 328, 334, 0,	//784  const char*, const char*, const char*, int
    137, 86, 0,	//789  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    72, 72, 0,	//792  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    257, 253, 0,	//795  const QByteArray&, char
    106, 106, 0,	//798  QLibrary::LoadHint, QLibrary::LoadHint
    158, 87, 0,	//801  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    10, 309, 0,	//804  QDataStream&, const QUuid&
    104, 80, 0,	//807  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    10, 282, 0,	//810  QDataStream&, const QLine&
    184, 334, 0,	//813  Qt::GestureFlag, int
    306, 328, 0,	//816  const QStringRef&, const char*
    15, 76, 0,	//819  QDir::SortFlag, QFlags<QDir::SortFlag>
    10, 259, 0,	//822  QDataStream&, const QDate&
    253, 257, 0,	//825  char, const QByteArray&
    303, 328, 0,	//828  const QString&, const char*
    106, 334, 0,	//831  QLibrary::LoadHint, int
    329, 334, 334, 0,	//834  const unsigned char*, int, int
    203, 203, 0,	//838  Qt::Orientation, Qt::Orientation
    4, 251, 0,	//841  QBool, bool
    10, 304, 0,	//844  QDataStream&, const QStringList&
    10, 296, 0,	//847  QDataStream&, const QRegExp&
    15, 334, 0,	//850  QDir::SortFlag, int
    350, 331, 340, 0,	//853  void*, const void*, size_t
    350, 0,	//857  void*
    218, 99, 0,	//859  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    13, 289, 0,	//862  QDebug, const QPersistentModelIndex&
    10, 139, 0,	//865  QDataStream&, QVariant&
    221, 100, 0,	//868  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    332, 291, 0,	//871  double, const QPoint&
    13, 288, 0,	//874  QDebug, const QObject*
    73, 79, 0,	//877  QFile::Permission, QFlags<QFile::Permission>
    328, 328, 334, 0,	//880  const char*, const char*, int
    13, 295, 0,	//884  QDebug, const QRectF&
    133, 85, 0,	//887  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    15, 15, 0,	//890  QDir::SortFlag, QDir::SortFlag
    14, 334, 0,	//893  QDir::Filter, int
    221, 334, 0,	//896  Qt::TouchPointState, int
    344, 0,	//899  unsigned long
    1, 74, 0,	//901  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    201, 96, 0,	//904  Qt::MouseButton, QFlags<Qt::MouseButton>
    179, 89, 0,	//907  Qt::DropAction, QFlags<Qt::DropAction>
    340, 0,	//910  size_t
    203, 334, 0,	//912  Qt::Orientation, int
    218, 334, 0,	//915  Qt::ToolBarArea, int
    10, 6, 0,	//918  QDataStream&, QByteArray&
    10, 141, 0,	//921  QDataStream&, QVariant::Type&
    10, 294, 0,	//924  QDataStream&, const QRect&
    13, 279, 0,	//927  QDebug, const QEasingCurve&
    289, 0,	//930  const QPersistentModelIndex&
    111, 334, 0,	//932  QLocale::NumberOption, int
    13, 307, 0,	//935  QDebug, const QTime&
    221, 221, 0,	//938  Qt::TouchPointState, Qt::TouchPointState
    188, 91, 0,	//941  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    227, 101, 0,	//944  Qt::WindowState, QFlags<Qt::WindowState>
    177, 177, 0,	//947  Qt::DockWidgetArea, Qt::DockWidgetArea
    16, 334, 0,	//950  QDirIterator::IteratorFlag, int
    332, 301, 0,	//953  double, const QSizeF&
    13, 285, 0,	//956  QDebug, const QMargins&
    287, 0,	//959  const QModelIndex&
    137, 334, 0,	//961  QUrl::FormattingOption, int
    199, 199, 0,	//964  Qt::MatchFlag, Qt::MatchFlag
    190, 190, 0,	//967  Qt::InputMethodHint, Qt::InputMethodHint
    203, 97, 0,	//970  Qt::Orientation, QFlags<Qt::Orientation>
    13, 75, 0,	//973  QDebug, QFlags<QDir::Filter>
    193, 334, 0,	//976  Qt::ItemFlag, int
    201, 334, 0,	//979  Qt::MouseButton, int
    10, 120, 0,	//982  QDataStream&, QSizeF&
    104, 334, 0,	//985  QIODevice::OpenModeFlag, int
    125, 334, 0,	//988  QString::SectionFlag, int
    253, 303, 0,	//991  char, const QString&
    10, 299, 0,	//994  QDataStream&, const QSize&
    14, 75, 0,	//997  QDir::Filter, QFlags<QDir::Filter>
    125, 125, 0,	//1000  QString::SectionFlag, QString::SectionFlag
    281, 0,	//1003  const QLatin1String&
    303, 303, 303, 303, 0,	//1005  const QString&, const QString&, const QString&, const QString&
    313, 0,	//1010  const QXmlAttributes&
    152, 0,	//1012  QXmlLocator*
    303, 303, 303, 313, 0,	//1014  const QString&, const QString&, const QString&, const QXmlAttributes&
    314, 0,	//1019  const QXmlContentHandler&
    315, 0,	//1021  const QXmlDTDHandler&
    303, 303, 303, 303, 303, 0,	//1023  const QString&, const QString&, const QString&, const QString&, const QString&
    316, 0,	//1029  const QXmlDeclHandler&
    323, 0,	//1031  const QXmlParseException&
    303, 303, 150, 0,	//1033  const QString&, const QString&, QXmlInputSource*&
    317, 0,	//1037  const QXmlEntityResolver&
    318, 0,	//1039  const QXmlErrorHandler&
    319, 0,	//1041  const QXmlInputSource&
    321, 0,	//1043  const QXmlLexicalHandler&
    322, 0,	//1045  const QXmlLocator&
    303, 122, 122, 0,	//1047  const QString&, QString&, QString&
    303, 251, 122, 122, 0,	//1051  const QString&, bool, QString&, QString&
    303, 334, 334, 303, 303, 0,	//1056  const QString&, int, int, const QString&, const QString&
    303, 334, 334, 0,	//1062  const QString&, int, int
    303, 334, 334, 303, 0,	//1066  const QString&, int, int, const QString&
    303, 252, 0,	//1071  const QString&, bool*
    303, 350, 0,	//1074  const QString&, void*
    147, 0,	//1077  QXmlEntityResolver*
    144, 0,	//1079  QXmlDTDHandler*
    143, 0,	//1081  QXmlContentHandler*
    148, 0,	//1083  QXmlErrorHandler*
    151, 0,	//1085  QXmlLexicalHandler*
    145, 0,	//1087  QXmlDeclHandler*
    320, 0,	//1089  const QXmlInputSource*
    324, 0,	//1091  const QXmlReader&
    320, 251, 0,	//1093  const QXmlInputSource*, bool
    7, 0,	//1096  QByteArray*
    123, 0,	//1098  QString*
    129, 0,	//1100  QTextCodec*
    325, 0,	//1102  const QXmlStreamAttribute&
    326, 0,	//1104  const QXmlStreamAttributes&
    327, 0,	//1106  const QXmlStreamReader&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcceptInvalidChars",	//1
    "AttributeNode",	//2
    "BaseNode",	//3
    "CDATASectionNode",	//4
    "CharacterDataNode",	//5
    "CommentNode",	//6
    "DTDHandler",	//7
    "DocumentFragmentNode",	//8
    "DocumentNode",	//9
    "DocumentTypeNode",	//10
    "DropInvalidChars",	//11
    "ElementNode",	//12
    "EncodingFromDocument",	//13
    "EncodingFromTextStream",	//14
    "EndOfData",	//15
    "EndOfDocument",	//16
    "EntityNode",	//17
    "EntityReferenceNode",	//18
    "LicensedActiveQt",	//19
    "LicensedCore",	//20
    "LicensedDBus",	//21
    "LicensedDeclarative",	//22
    "LicensedGui",	//23
    "LicensedHelp",	//24
    "LicensedMultimedia",	//25
    "LicensedNetwork",	//26
    "LicensedOpenGL",	//27
    "LicensedOpenVG",	//28
    "LicensedQt3Support",	//29
    "LicensedQt3SupportLight",	//30
    "LicensedScript",	//31
    "LicensedScriptTools",	//32
    "LicensedSql",	//33
    "LicensedSvg",	//34
    "LicensedTest",	//35
    "LicensedXml",	//36
    "LicensedXmlPatterns",	//37
    "NotationNode",	//38
    "ProcessingInstructionNode",	//39
    "QDomAttr",	//40
    "QDomAttr#",	//41
    "QDomCDATASection",	//42
    "QDomCDATASection#",	//43
    "QDomCharacterData",	//44
    "QDomCharacterData#",	//45
    "QDomComment",	//46
    "QDomComment#",	//47
    "QDomDocument",	//48
    "QDomDocument#",	//49
    "QDomDocument$",	//50
    "QDomDocumentFragment",	//51
    "QDomDocumentFragment#",	//52
    "QDomDocumentType",	//53
    "QDomDocumentType#",	//54
    "QDomElement",	//55
    "QDomElement#",	//56
    "QDomEntity",	//57
    "QDomEntity#",	//58
    "QDomEntityReference",	//59
    "QDomEntityReference#",	//60
    "QDomImplementation",	//61
    "QDomImplementation#",	//62
    "QDomNamedNodeMap",	//63
    "QDomNamedNodeMap#",	//64
    "QDomNode",	//65
    "QDomNode#",	//66
    "QDomNodeList",	//67
    "QDomNodeList#",	//68
    "QDomNotation",	//69
    "QDomNotation#",	//70
    "QDomProcessingInstruction",	//71
    "QDomProcessingInstruction#",	//72
    "QDomText",	//73
    "QDomText#",	//74
    "QXmlAttributes",	//75
    "QXmlAttributes#",	//76
    "QXmlContentHandler",	//77
    "QXmlContentHandler#",	//78
    "QXmlDTDHandler",	//79
    "QXmlDTDHandler#",	//80
    "QXmlDeclHandler",	//81
    "QXmlDeclHandler#",	//82
    "QXmlDefaultHandler",	//83
    "QXmlEntityResolver",	//84
    "QXmlEntityResolver#",	//85
    "QXmlErrorHandler",	//86
    "QXmlErrorHandler#",	//87
    "QXmlInputSource",	//88
    "QXmlInputSource#",	//89
    "QXmlLexicalHandler",	//90
    "QXmlLexicalHandler#",	//91
    "QXmlLocator",	//92
    "QXmlLocator#",	//93
    "QXmlNamespaceSupport",	//94
    "QXmlParseException",	//95
    "QXmlParseException#",	//96
    "QXmlParseException$",	//97
    "QXmlParseException$$",	//98
    "QXmlParseException$$$",	//99
    "QXmlParseException$$$$",	//100
    "QXmlParseException$$$$$",	//101
    "QXmlReader",	//102
    "QXmlReader#",	//103
    "QXmlSimpleReader",	//104
    "QXmlStreamWriter",	//105
    "QXmlStreamWriter#",	//106
    "QXmlStreamWriter$",	//107
    "Q_COMPLEX_TYPE",	//108
    "Q_DUMMY_TYPE",	//109
    "Q_MOVABLE_TYPE",	//110
    "Q_PRIMITIVE_TYPE",	//111
    "Q_STATIC_TYPE",	//112
    "QtCriticalMsg",	//113
    "QtDebugMsg",	//114
    "QtFatalMsg",	//115
    "QtSystemMsg",	//116
    "QtWarningMsg",	//117
    "ReturnNullNode",	//118
    "TextNode",	//119
    "append",	//120
    "append$$$$",	//121
    "appendChild",	//122
    "appendChild#",	//123
    "appendData",	//124
    "appendData$",	//125
    "at",	//126
    "at$",	//127
    "attribute",	//128
    "attribute$",	//129
    "attribute$$",	//130
    "attributeDecl",	//131
    "attributeDecl$$$$$",	//132
    "attributeNS",	//133
    "attributeNS$$",	//134
    "attributeNS$$$",	//135
    "attributeNode",	//136
    "attributeNode$",	//137
    "attributeNodeNS",	//138
    "attributeNodeNS$$",	//139
    "attributes",	//140
    "autoFormatting",	//141
    "autoFormattingIndent",	//142
    "characters",	//143
    "characters$",	//144
    "childNodes",	//145
    "clear",	//146
    "cloneNode",	//147
    "cloneNode$",	//148
    "codec",	//149
    "columnNumber",	//150
    "comment",	//151
    "comment$",	//152
    "contains",	//153
    "contains$",	//154
    "contentHandler",	//155
    "count",	//156
    "createAttribute",	//157
    "createAttribute$",	//158
    "createAttributeNS",	//159
    "createAttributeNS$$",	//160
    "createCDATASection",	//161
    "createCDATASection$",	//162
    "createComment",	//163
    "createComment$",	//164
    "createDocument",	//165
    "createDocument$$#",	//166
    "createDocumentFragment",	//167
    "createDocumentType",	//168
    "createDocumentType$$$",	//169
    "createElement",	//170
    "createElement$",	//171
    "createElementNS",	//172
    "createElementNS$$",	//173
    "createEntityReference",	//174
    "createEntityReference$",	//175
    "createProcessingInstruction",	//176
    "createProcessingInstruction$$",	//177
    "createTextNode",	//178
    "createTextNode$",	//179
    "data",	//180
    "declHandler",	//181
    "deleteData",	//182
    "deleteData$$",	//183
    "device",	//184
    "doctype",	//185
    "documentElement",	//186
    "elementById",	//187
    "elementById$",	//188
    "elementsByTagName",	//189
    "elementsByTagName$",	//190
    "elementsByTagNameNS",	//191
    "elementsByTagNameNS$$",	//192
    "endCDATA",	//193
    "endDTD",	//194
    "endDocument",	//195
    "endElement",	//196
    "endElement$$$",	//197
    "endEntity",	//198
    "endEntity$",	//199
    "endPrefixMapping",	//200
    "endPrefixMapping$",	//201
    "entities",	//202
    "entityResolver",	//203
    "error",	//204
    "error#",	//205
    "errorHandler",	//206
    "errorString",	//207
    "externalEntityDecl",	//208
    "externalEntityDecl$$$",	//209
    "fatalError",	//210
    "fatalError#",	//211
    "feature",	//212
    "feature$",	//213
    "feature$$",	//214
    "fetchData",	//215
    "firstChild",	//216
    "firstChildElement",	//217
    "firstChildElement$",	//218
    "fromRawData",	//219
    "fromRawData#",	//220
    "fromRawData#$",	//221
    "hasAttribute",	//222
    "hasAttribute$",	//223
    "hasAttributeNS",	//224
    "hasAttributeNS$$",	//225
    "hasAttributes",	//226
    "hasChildNodes",	//227
    "hasFeature",	//228
    "hasFeature$",	//229
    "hasFeature$$",	//230
    "hasProperty",	//231
    "hasProperty$",	//232
    "ignorableWhitespace",	//233
    "ignorableWhitespace$",	//234
    "impl",	//235
    "implementation",	//236
    "importNode",	//237
    "importNode#$",	//238
    "index",	//239
    "index#",	//240
    "index$",	//241
    "index$$",	//242
    "insertAfter",	//243
    "insertAfter##",	//244
    "insertBefore",	//245
    "insertBefore##",	//246
    "insertData",	//247
    "insertData$$",	//248
    "internalEntityDecl",	//249
    "internalEntityDecl$$",	//250
    "internalSubset",	//251
    "invalidDataPolicy",	//252
    "isAttr",	//253
    "isCDATASection",	//254
    "isCharacterData",	//255
    "isComment",	//256
    "isDocument",	//257
    "isDocumentFragment",	//258
    "isDocumentType",	//259
    "isElement",	//260
    "isEmpty",	//261
    "isEntity",	//262
    "isEntityReference",	//263
    "isNotation",	//264
    "isNull",	//265
    "isProcessingInstruction",	//266
    "isSupported",	//267
    "isSupported$$",	//268
    "isText",	//269
    "item",	//270
    "item$",	//271
    "lastChild",	//272
    "lastChildElement",	//273
    "lastChildElement$",	//274
    "length",	//275
    "lexicalHandler",	//276
    "lineNumber",	//277
    "localName",	//278
    "localName$",	//279
    "message",	//280
    "name",	//281
    "namedItem",	//282
    "namedItem$",	//283
    "namedItemNS",	//284
    "namedItemNS$$",	//285
    "namespaceURI",	//286
    "next",	//287
    "nextSibling",	//288
    "nextSiblingElement",	//289
    "nextSiblingElement$",	//290
    "nodeName",	//291
    "nodeType",	//292
    "nodeValue",	//293
    "normalize",	//294
    "notationDecl",	//295
    "notationDecl$$$",	//296
    "notationName",	//297
    "notations",	//298
    "operator!=",	//299
    "operator!=#",	//300
    "operator!=##",	//301
    "operator!=#$",	//302
    "operator!=$#",	//303
    "operator!=$$",	//304
    "operator&",	//305
    "operator&##",	//306
    "operator*",	//307
    "operator*#$",	//308
    "operator*$#",	//309
    "operator+",	//310
    "operator+##",	//311
    "operator+#$",	//312
    "operator+$#",	//313
    "operator+$$",	//314
    "operator-",	//315
    "operator-#",	//316
    "operator-##",	//317
    "operator/",	//318
    "operator/#$",	//319
    "operator<",	//320
    "operator<##",	//321
    "operator<#$",	//322
    "operator<$#",	//323
    "operator<$$",	//324
    "operator<<",	//325
    "operator<<##",	//326
    "operator<<#$",	//327
    "operator<<#?",	//328
    "operator<=",	//329
    "operator<=##",	//330
    "operator<=#$",	//331
    "operator<=$#",	//332
    "operator<=$$",	//333
    "operator=",	//334
    "operator=#",	//335
    "operator==",	//336
    "operator==#",	//337
    "operator==##",	//338
    "operator==#$",	//339
    "operator==$#",	//340
    "operator==$$",	//341
    "operator>",	//342
    "operator>##",	//343
    "operator>#$",	//344
    "operator>$#",	//345
    "operator>$$",	//346
    "operator>=",	//347
    "operator>=##",	//348
    "operator>=#$",	//349
    "operator>=$#",	//350
    "operator>=$$",	//351
    "operator>>",	//352
    "operator>>##",	//353
    "operator>>#$",	//354
    "operator>>#?",	//355
    "operator^",	//356
    "operator^##",	//357
    "operator|",	//358
    "operator|##",	//359
    "operator|$$",	//360
    "ownerDocument",	//361
    "ownerElement",	//362
    "parentNode",	//363
    "parse",	//364
    "parse#",	//365
    "parse#$",	//366
    "parseContinue",	//367
    "popContext",	//368
    "prefix",	//369
    "prefix$",	//370
    "prefixes",	//371
    "prefixes$",	//372
    "previousSibling",	//373
    "previousSiblingElement",	//374
    "previousSiblingElement$",	//375
    "processName",	//376
    "processName$$$$",	//377
    "processingInstruction",	//378
    "processingInstruction$$",	//379
    "property",	//380
    "property$",	//381
    "property$$",	//382
    "publicId",	//383
    "pushContext",	//384
    "qAcos",	//385
    "qAcos$",	//386
    "qAddPostRoutine",	//387
    "qAddPostRoutine$",	//388
    "qAppName",	//389
    "qAsin",	//390
    "qAsin$",	//391
    "qAtan",	//392
    "qAtan$",	//393
    "qAtan2",	//394
    "qAtan2$$",	//395
    "qBadAlloc",	//396
    "qCeil",	//397
    "qCeil$",	//398
    "qChecksum",	//399
    "qChecksum$$",	//400
    "qCompress",	//401
    "qCompress#",	//402
    "qCompress#$",	//403
    "qCompress$$",	//404
    "qCompress$$$",	//405
    "qCos",	//406
    "qCos$",	//407
    "qCritical",	//408
    "qDebug",	//409
    "qExp",	//410
    "qExp$",	//411
    "qFabs",	//412
    "qFabs$",	//413
    "qFastCos",	//414
    "qFastCos$",	//415
    "qFastSin",	//416
    "qFastSin$",	//417
    "qFlagLocation",	//418
    "qFlagLocation$",	//419
    "qFloor",	//420
    "qFloor$",	//421
    "qFree",	//422
    "qFree$",	//423
    "qFreeAligned",	//424
    "qFreeAligned$",	//425
    "qFuzzyCompare",	//426
    "qFuzzyCompare$$",	//427
    "qFuzzyIsNull",	//428
    "qFuzzyIsNull$",	//429
    "qHash",	//430
    "qHash#",	//431
    "qHash$",	//432
    "qHash?",	//433
    "qInf",	//434
    "qInstallMsgHandler",	//435
    "qInstallMsgHandler$",	//436
    "qIntCast",	//437
    "qIntCast$",	//438
    "qIsFinite",	//439
    "qIsFinite$",	//440
    "qIsInf",	//441
    "qIsInf$",	//442
    "qIsNaN",	//443
    "qIsNaN$",	//444
    "qIsNull",	//445
    "qIsNull$",	//446
    "qLn",	//447
    "qLn$",	//448
    "qMalloc",	//449
    "qMalloc?",	//450
    "qMallocAligned",	//451
    "qMallocAligned??",	//452
    "qMemCopy",	//453
    "qMemCopy$$?",	//454
    "qMemSet",	//455
    "qMemSet$$?",	//456
    "qName",	//457
    "qName$",	//458
    "qPow",	//459
    "qPow$$",	//460
    "qQNaN",	//461
    "qRealloc",	//462
    "qRealloc$?",	//463
    "qReallocAligned",	//464
    "qReallocAligned$???",	//465
    "qRegisterStaticPluginInstanceFunction",	//466
    "qRegisterStaticPluginInstanceFunction#",	//467
    "qRemovePostRoutine",	//468
    "qRemovePostRoutine$",	//469
    "qRound",	//470
    "qRound$",	//471
    "qRound64",	//472
    "qRound64$",	//473
    "qSNaN",	//474
    "qSetFieldWidth",	//475
    "qSetFieldWidth$",	//476
    "qSetPadChar",	//477
    "qSetPadChar#",	//478
    "qSetRealNumberPrecision",	//479
    "qSetRealNumberPrecision$",	//480
    "qSharedBuild",	//481
    "qSin",	//482
    "qSin$",	//483
    "qSqrt",	//484
    "qSqrt$",	//485
    "qStringComparisonHelper",	//486
    "qStringComparisonHelper#$",	//487
    "qStringComparisonHelper$$",	//488
    "qTan",	//489
    "qTan$",	//490
    "qUncompress",	//491
    "qUncompress#",	//492
    "qUncompress$$",	//493
    "qVersion",	//494
    "qWarning",	//495
    "qbswap_helper",	//496
    "qbswap_helper$$$",	//497
    "qgetenv",	//498
    "qgetenv$",	//499
    "qputenv",	//500
    "qputenv$#",	//501
    "qrand",	//502
    "qsrand",	//503
    "qsrand$",	//504
    "qstrcmp",	//505
    "qstrcmp##",	//506
    "qstrcmp#$",	//507
    "qstrcmp$#",	//508
    "qstrcmp$$",	//509
    "qstrcpy",	//510
    "qstrcpy$$",	//511
    "qstrdup",	//512
    "qstrdup$",	//513
    "qstricmp",	//514
    "qstricmp$$",	//515
    "qstrlen",	//516
    "qstrlen$",	//517
    "qstrncmp",	//518
    "qstrncmp$$$",	//519
    "qstrncpy",	//520
    "qstrncpy$$$",	//521
    "qstrnicmp",	//522
    "qstrnicmp$$$",	//523
    "qstrnlen",	//524
    "qstrnlen$$",	//525
    "qtTrId",	//526
    "qtTrId$",	//527
    "qtTrId$$",	//528
    "qt_assert",	//529
    "qt_assert$$$",	//530
    "qt_assert_x",	//531
    "qt_assert_x$$$$",	//532
    "qt_check_pointer",	//533
    "qt_check_pointer$$",	//534
    "qt_error_string",	//535
    "qt_error_string$",	//536
    "qt_message_output",	//537
    "qt_message_output$$",	//538
    "qt_noop",	//539
    "qt_qFindChild_helper",	//540
    "qt_qFindChild_helper#$#",	//541
    "qt_qFindChildren_helper",	//542
    "qt_qFindChildren_helper#$##?",	//543
    "qvariant_cast_helper",	//544
    "qvariant_cast_helper#$$",	//545
    "qvsnprintf",	//546
    "qvsnprintf$?$?",	//547
    "removeAttribute",	//548
    "removeAttribute$",	//549
    "removeAttributeNS",	//550
    "removeAttributeNS$$",	//551
    "removeAttributeNode",	//552
    "removeAttributeNode#",	//553
    "removeChild",	//554
    "removeChild#",	//555
    "removeNamedItem",	//556
    "removeNamedItem$",	//557
    "removeNamedItemNS",	//558
    "removeNamedItemNS$$",	//559
    "replaceChild",	//560
    "replaceChild##",	//561
    "replaceData",	//562
    "replaceData$$$",	//563
    "reset",	//564
    "resolveEntity",	//565
    "resolveEntity$$#",	//566
    "save",	//567
    "save#$",	//568
    "save#$$",	//569
    "setAttribute",	//570
    "setAttribute$$",	//571
    "setAttribute$?",	//572
    "setAttributeNS",	//573
    "setAttributeNS$$$",	//574
    "setAttributeNS$$?",	//575
    "setAttributeNode",	//576
    "setAttributeNode#",	//577
    "setAttributeNodeNS",	//578
    "setAttributeNodeNS#",	//579
    "setAutoFormatting",	//580
    "setAutoFormatting$",	//581
    "setAutoFormattingIndent",	//582
    "setAutoFormattingIndent$",	//583
    "setCodec",	//584
    "setCodec#",	//585
    "setCodec$",	//586
    "setContent",	//587
    "setContent#",	//588
    "setContent##",	//589
    "setContent##$",	//590
    "setContent##$$",	//591
    "setContent##$$$",	//592
    "setContent#$",	//593
    "setContent#$$",	//594
    "setContent#$$$",	//595
    "setContent#$$$$",	//596
    "setContent$",	//597
    "setContent$$",	//598
    "setContent$$$",	//599
    "setContent$$$$",	//600
    "setContent$$$$$",	//601
    "setContentHandler",	//602
    "setContentHandler#",	//603
    "setDTDHandler",	//604
    "setDTDHandler#",	//605
    "setData",	//606
    "setData#",	//607
    "setData$",	//608
    "setDeclHandler",	//609
    "setDeclHandler#",	//610
    "setDevice",	//611
    "setDevice#",	//612
    "setDocumentLocator",	//613
    "setDocumentLocator#",	//614
    "setEntityResolver",	//615
    "setEntityResolver#",	//616
    "setErrorHandler",	//617
    "setErrorHandler#",	//618
    "setFeature",	//619
    "setFeature$$",	//620
    "setImpl",	//621
    "setImpl#",	//622
    "setInvalidDataPolicy",	//623
    "setInvalidDataPolicy$",	//624
    "setLexicalHandler",	//625
    "setLexicalHandler#",	//626
    "setNamedItem",	//627
    "setNamedItem#",	//628
    "setNamedItemNS",	//629
    "setNamedItemNS#",	//630
    "setNodeValue",	//631
    "setNodeValue$",	//632
    "setPrefix",	//633
    "setPrefix$",	//634
    "setPrefix$$",	//635
    "setProperty",	//636
    "setProperty$$",	//637
    "setTagName",	//638
    "setTagName$",	//639
    "setValue",	//640
    "setValue$",	//641
    "size",	//642
    "skippedEntity",	//643
    "skippedEntity$",	//644
    "specified",	//645
    "splitName",	//646
    "splitName$$$",	//647
    "splitText",	//648
    "splitText$",	//649
    "startCDATA",	//650
    "startDTD",	//651
    "startDTD$$$",	//652
    "startDocument",	//653
    "startElement",	//654
    "startElement$$$#",	//655
    "startEntity",	//656
    "startEntity$",	//657
    "startPrefixMapping",	//658
    "startPrefixMapping$$",	//659
    "substringData",	//660
    "substringData$$",	//661
    "systemId",	//662
    "tagName",	//663
    "target",	//664
    "text",	//665
    "toAttr",	//666
    "toByteArray",	//667
    "toByteArray$",	//668
    "toCDATASection",	//669
    "toCharacterData",	//670
    "toComment",	//671
    "toDocument",	//672
    "toDocumentFragment",	//673
    "toDocumentType",	//674
    "toElement",	//675
    "toEntity",	//676
    "toEntityReference",	//677
    "toNotation",	//678
    "toProcessingInstruction",	//679
    "toString",	//680
    "toString$",	//681
    "toText",	//682
    "type",	//683
    "type$",	//684
    "type$$",	//685
    "unparsedEntityDecl",	//686
    "unparsedEntityDecl$$$$",	//687
    "uri",	//688
    "uri$",	//689
    "value",	//690
    "value#",	//691
    "value$",	//692
    "value$$",	//693
    "warning",	//694
    "warning#",	//695
    "writeAttribute",	//696
    "writeAttribute#",	//697
    "writeAttribute$$",	//698
    "writeAttribute$$$",	//699
    "writeAttributes",	//700
    "writeAttributes#",	//701
    "writeCDATA",	//702
    "writeCDATA$",	//703
    "writeCharacters",	//704
    "writeCharacters$",	//705
    "writeComment",	//706
    "writeComment$",	//707
    "writeCurrentToken",	//708
    "writeCurrentToken#",	//709
    "writeDTD",	//710
    "writeDTD$",	//711
    "writeDefaultNamespace",	//712
    "writeDefaultNamespace$",	//713
    "writeEmptyElement",	//714
    "writeEmptyElement$",	//715
    "writeEmptyElement$$",	//716
    "writeEndDocument",	//717
    "writeEndElement",	//718
    "writeEntityReference",	//719
    "writeEntityReference$",	//720
    "writeNamespace",	//721
    "writeNamespace$",	//722
    "writeNamespace$$",	//723
    "writeProcessingInstruction",	//724
    "writeProcessingInstruction$",	//725
    "writeProcessingInstruction$$",	//726
    "writeStartDocument",	//727
    "writeStartDocument$",	//728
    "writeStartDocument$$",	//729
    "writeStartElement",	//730
    "writeStartElement$",	//731
    "writeStartElement$$",	//732
    "writeTextElement",	//733
    "writeTextElement$$",	//734
    "writeTextElement$$$",	//735
    "~QDomAttr",	//736
    "~QDomCDATASection",	//737
    "~QDomCharacterData",	//738
    "~QDomComment",	//739
    "~QDomDocument",	//740
    "~QDomDocumentFragment",	//741
    "~QDomDocumentType",	//742
    "~QDomElement",	//743
    "~QDomEntity",	//744
    "~QDomEntityReference",	//745
    "~QDomImplementation",	//746
    "~QDomNamedNodeMap",	//747
    "~QDomNode",	//748
    "~QDomNodeList",	//749
    "~QDomNotation",	//750
    "~QDomProcessingInstruction",	//751
    "~QDomText",	//752
    "~QXmlAttributes",	//753
    "~QXmlContentHandler",	//754
    "~QXmlDTDHandler",	//755
    "~QXmlDeclHandler",	//756
    "~QXmlDefaultHandler",	//757
    "~QXmlEntityResolver",	//758
    "~QXmlErrorHandler",	//759
    "~QXmlInputSource",	//760
    "~QXmlLexicalHandler",	//761
    "~QXmlLocator",	//762
    "~QXmlNamespaceSupport",	//763
    "~QXmlParseException",	//764
    "~QXmlReader",	//765
    "~QXmlSimpleReader",	//766
    "~QXmlStreamWriter",	//767
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {10, 40, 0, 0, Smoke::mf_ctor, 19, 1},	//1 QDomAttr::QDomAttr()
    {10, 40, 1, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 19, 2},	//2 QDomAttr::QDomAttr(const QDomAttr&)
    {10, 334, 1, 1, 0, 18, 3},	//3 QDomAttr::operator=(const QDomAttr&)
    {10, 281, 0, 0, Smoke::mf_const, 121, 4},	//4 QDomAttr::name() const
    {10, 645, 0, 0, Smoke::mf_const, 251, 5},	//5 QDomAttr::specified() const
    {10, 362, 0, 0, Smoke::mf_const, 38, 6},	//6 QDomAttr::ownerElement() const
    {10, 690, 0, 0, Smoke::mf_const, 121, 7},	//7 QDomAttr::value() const
    {10, 640, 3, 1, 0, 0, 8},	//8 QDomAttr::setValue(const QString&)
    {10, 292, 0, 0, Smoke::mf_const, 58, 9},	//9 QDomAttr::nodeType() const
    {10, 736, 0, 0, Smoke::mf_dtor, 0, 10 },	//10 QDomAttr::~QDomAttr()
    {11, 42, 0, 0, Smoke::mf_ctor, 22, 1},	//11 QDomCDATASection::QDomCDATASection()
    {11, 42, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 2},	//12 QDomCDATASection::QDomCDATASection(const QDomCDATASection&)
    {11, 334, 5, 1, 0, 21, 3},	//13 QDomCDATASection::operator=(const QDomCDATASection&)
    {11, 292, 0, 0, Smoke::mf_const, 58, 4},	//14 QDomCDATASection::nodeType() const
    {11, 737, 0, 0, Smoke::mf_dtor, 0, 5 },	//15 QDomCDATASection::~QDomCDATASection()
    {12, 44, 0, 0, Smoke::mf_ctor, 25, 1},	//16 QDomCharacterData::QDomCharacterData()
    {12, 44, 7, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 2},	//17 QDomCharacterData::QDomCharacterData(const QDomCharacterData&)
    {12, 334, 7, 1, 0, 24, 3},	//18 QDomCharacterData::operator=(const QDomCharacterData&)
    {12, 660, 9, 2, 0, 121, 4},	//19 QDomCharacterData::substringData(unsigned long, unsigned long)
    {12, 124, 3, 1, 0, 0, 5},	//20 QDomCharacterData::appendData(const QString&)
    {12, 247, 12, 2, 0, 0, 6},	//21 QDomCharacterData::insertData(unsigned long, const QString&)
    {12, 182, 9, 2, 0, 0, 7},	//22 QDomCharacterData::deleteData(unsigned long, unsigned long)
    {12, 562, 15, 3, 0, 0, 8},	//23 QDomCharacterData::replaceData(unsigned long, unsigned long, const QString&)
    {12, 275, 0, 0, Smoke::mf_const, 343, 9},	//24 QDomCharacterData::length() const
    {12, 180, 0, 0, Smoke::mf_const, 121, 10},	//25 QDomCharacterData::data() const
    {12, 606, 3, 1, 0, 0, 11},	//26 QDomCharacterData::setData(const QString&)
    {12, 292, 0, 0, Smoke::mf_const, 58, 12},	//27 QDomCharacterData::nodeType() const
    {12, 738, 0, 0, Smoke::mf_dtor, 0, 13 },	//28 QDomCharacterData::~QDomCharacterData()
    {13, 46, 0, 0, Smoke::mf_ctor, 28, 1},	//29 QDomComment::QDomComment()
    {13, 46, 19, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 2},	//30 QDomComment::QDomComment(const QDomComment&)
    {13, 334, 19, 1, 0, 27, 3},	//31 QDomComment::operator=(const QDomComment&)
    {13, 292, 0, 0, Smoke::mf_const, 58, 4},	//32 QDomComment::nodeType() const
    {13, 739, 0, 0, Smoke::mf_dtor, 0, 5 },	//33 QDomComment::~QDomComment()
    {14, 48, 0, 0, Smoke::mf_ctor, 31, 1},	//34 QDomDocument::QDomDocument()
    {14, 48, 3, 1, Smoke::mf_ctor, 31, 2},	//35 QDomDocument::QDomDocument(const QString&)
    {14, 48, 21, 1, Smoke::mf_ctor, 31, 3},	//36 QDomDocument::QDomDocument(const QDomDocumentType&)
    {14, 48, 23, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 4},	//37 QDomDocument::QDomDocument(const QDomDocument&)
    {14, 334, 23, 1, 0, 30, 5},	//38 QDomDocument::operator=(const QDomDocument&)
    {14, 170, 3, 1, 0, 38, 6},	//39 QDomDocument::createElement(const QString&)
    {14, 167, 0, 0, 0, 32, 7},	//40 QDomDocument::createDocumentFragment()
    {14, 178, 3, 1, 0, 69, 8},	//41 QDomDocument::createTextNode(const QString&)
    {14, 163, 3, 1, 0, 26, 9},	//42 QDomDocument::createComment(const QString&)
    {14, 161, 3, 1, 0, 20, 10},	//43 QDomDocument::createCDATASection(const QString&)
    {14, 176, 25, 2, 0, 66, 11},	//44 QDomDocument::createProcessingInstruction(const QString&, const QString&)
    {14, 157, 3, 1, 0, 17, 12},	//45 QDomDocument::createAttribute(const QString&)
    {14, 174, 3, 1, 0, 44, 13},	//46 QDomDocument::createEntityReference(const QString&)
    {14, 189, 3, 1, Smoke::mf_const, 59, 14},	//47 QDomDocument::elementsByTagName(const QString&) const
    {14, 237, 28, 2, 0, 54, 15},	//48 QDomDocument::importNode(const QDomNode&, bool)
    {14, 172, 25, 2, 0, 38, 16},	//49 QDomDocument::createElementNS(const QString&, const QString&)
    {14, 159, 25, 2, 0, 17, 17},	//50 QDomDocument::createAttributeNS(const QString&, const QString&)
    {14, 191, 25, 2, 0, 59, 18},	//51 QDomDocument::elementsByTagNameNS(const QString&, const QString&)
    {14, 187, 3, 1, 0, 38, 19},	//52 QDomDocument::elementById(const QString&)
    {14, 185, 0, 0, Smoke::mf_const, 35, 20},	//53 QDomDocument::doctype() const
    {14, 236, 0, 0, Smoke::mf_const, 47, 21},	//54 QDomDocument::implementation() const
    {14, 186, 0, 0, Smoke::mf_const, 38, 22},	//55 QDomDocument::documentElement() const
    {14, 292, 0, 0, Smoke::mf_const, 58, 23},	//56 QDomDocument::nodeType() const
    {14, 587, 31, 5, 0, 251, 24},	//57 QDomDocument::setContent(const QByteArray&, bool, QString*, int*, int*)
    {14, 587, 37, 5, 0, 251, 25},	//58 QDomDocument::setContent(const QString&, bool, QString*, int*, int*)
    {14, 587, 43, 5, 0, 251, 26},	//59 QDomDocument::setContent(QIODevice*, bool, QString*, int*, int*)
    {14, 587, 49, 5, 0, 251, 27},	//60 QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*, int*)
    {14, 587, 55, 4, 0, 251, 28},	//61 QDomDocument::setContent(const QByteArray&, QString*, int*, int*)
    {14, 587, 60, 4, 0, 251, 29},	//62 QDomDocument::setContent(const QString&, QString*, int*, int*)
    {14, 587, 65, 4, 0, 251, 30},	//63 QDomDocument::setContent(QIODevice*, QString*, int*, int*)
    {14, 587, 70, 5, 0, 251, 31},	//64 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*, int*, int*)
    {14, 680, 76, 1, Smoke::mf_const, 121, 32},	//65 QDomDocument::toString(int) const
    {14, 667, 76, 1, Smoke::mf_const, 5, 33},	//66 QDomDocument::toByteArray(int) const
    {14, 587, 78, 2, 0, 251, 34},	//67 QDomDocument::setContent(const QByteArray&, bool)
    {14, 587, 81, 3, 0, 251, 35},	//68 QDomDocument::setContent(const QByteArray&, bool, QString*)
    {14, 587, 85, 4, 0, 251, 36},	//69 QDomDocument::setContent(const QByteArray&, bool, QString*, int*)
    {14, 587, 90, 2, 0, 251, 37},	//70 QDomDocument::setContent(const QString&, bool)
    {14, 587, 93, 3, 0, 251, 38},	//71 QDomDocument::setContent(const QString&, bool, QString*)
    {14, 587, 97, 4, 0, 251, 39},	//72 QDomDocument::setContent(const QString&, bool, QString*, int*)
    {14, 587, 102, 2, 0, 251, 40},	//73 QDomDocument::setContent(QIODevice*, bool)
    {14, 587, 105, 3, 0, 251, 41},	//74 QDomDocument::setContent(QIODevice*, bool, QString*)
    {14, 587, 109, 4, 0, 251, 42},	//75 QDomDocument::setContent(QIODevice*, bool, QString*, int*)
    {14, 587, 114, 2, 0, 251, 43},	//76 QDomDocument::setContent(QXmlInputSource*, bool)
    {14, 587, 117, 3, 0, 251, 44},	//77 QDomDocument::setContent(QXmlInputSource*, bool, QString*)
    {14, 587, 121, 4, 0, 251, 45},	//78 QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*)
    {14, 587, 126, 1, 0, 251, 46},	//79 QDomDocument::setContent(const QByteArray&)
    {14, 587, 128, 2, 0, 251, 47},	//80 QDomDocument::setContent(const QByteArray&, QString*)
    {14, 587, 131, 3, 0, 251, 48},	//81 QDomDocument::setContent(const QByteArray&, QString*, int*)
    {14, 587, 3, 1, 0, 251, 49},	//82 QDomDocument::setContent(const QString&)
    {14, 587, 135, 2, 0, 251, 50},	//83 QDomDocument::setContent(const QString&, QString*)
    {14, 587, 138, 3, 0, 251, 51},	//84 QDomDocument::setContent(const QString&, QString*, int*)
    {14, 587, 142, 1, 0, 251, 52},	//85 QDomDocument::setContent(QIODevice*)
    {14, 587, 144, 2, 0, 251, 53},	//86 QDomDocument::setContent(QIODevice*, QString*)
    {14, 587, 147, 3, 0, 251, 54},	//87 QDomDocument::setContent(QIODevice*, QString*, int*)
    {14, 587, 151, 2, 0, 251, 55},	//88 QDomDocument::setContent(QXmlInputSource*, QXmlReader*)
    {14, 587, 154, 3, 0, 251, 56},	//89 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*)
    {14, 587, 158, 4, 0, 251, 57},	//90 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*, int*)
    {14, 680, 0, 0, Smoke::mf_const, 121, 58},	//91 QDomDocument::toString() const
    {14, 667, 0, 0, Smoke::mf_const, 5, 59},	//92 QDomDocument::toByteArray() const
    {14, 740, 0, 0, Smoke::mf_dtor, 0, 60 },	//93 QDomDocument::~QDomDocument()
    {15, 51, 0, 0, Smoke::mf_ctor, 34, 1},	//94 QDomDocumentFragment::QDomDocumentFragment()
    {15, 51, 163, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 34, 2},	//95 QDomDocumentFragment::QDomDocumentFragment(const QDomDocumentFragment&)
    {15, 334, 163, 1, 0, 33, 3},	//96 QDomDocumentFragment::operator=(const QDomDocumentFragment&)
    {15, 292, 0, 0, Smoke::mf_const, 58, 4},	//97 QDomDocumentFragment::nodeType() const
    {15, 741, 0, 0, Smoke::mf_dtor, 0, 5 },	//98 QDomDocumentFragment::~QDomDocumentFragment()
    {16, 53, 0, 0, Smoke::mf_ctor, 37, 1},	//99 QDomDocumentType::QDomDocumentType()
    {16, 53, 21, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 37, 2},	//100 QDomDocumentType::QDomDocumentType(const QDomDocumentType&)
    {16, 334, 21, 1, 0, 36, 3},	//101 QDomDocumentType::operator=(const QDomDocumentType&)
    {16, 281, 0, 0, Smoke::mf_const, 121, 4},	//102 QDomDocumentType::name() const
    {16, 202, 0, 0, Smoke::mf_const, 51, 5},	//103 QDomDocumentType::entities() const
    {16, 298, 0, 0, Smoke::mf_const, 51, 6},	//104 QDomDocumentType::notations() const
    {16, 383, 0, 0, Smoke::mf_const, 121, 7},	//105 QDomDocumentType::publicId() const
    {16, 662, 0, 0, Smoke::mf_const, 121, 8},	//106 QDomDocumentType::systemId() const
    {16, 251, 0, 0, Smoke::mf_const, 121, 9},	//107 QDomDocumentType::internalSubset() const
    {16, 292, 0, 0, Smoke::mf_const, 58, 10},	//108 QDomDocumentType::nodeType() const
    {16, 742, 0, 0, Smoke::mf_dtor, 0, 11 },	//109 QDomDocumentType::~QDomDocumentType()
    {17, 55, 0, 0, Smoke::mf_ctor, 40, 1},	//110 QDomElement::QDomElement()
    {17, 55, 165, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 2},	//111 QDomElement::QDomElement(const QDomElement&)
    {17, 334, 165, 1, 0, 39, 3},	//112 QDomElement::operator=(const QDomElement&)
    {17, 128, 25, 2, Smoke::mf_const, 121, 4},	//113 QDomElement::attribute(const QString&, const QString&) const
    {17, 570, 25, 2, 0, 0, 5},	//114 QDomElement::setAttribute(const QString&, const QString&)
    {17, 570, 167, 2, 0, 0, 6},	//115 QDomElement::setAttribute(const QString&, long long)
    {17, 570, 170, 2, 0, 0, 7},	//116 QDomElement::setAttribute(const QString&, unsigned long long)
    {17, 570, 173, 2, 0, 0, 8},	//117 QDomElement::setAttribute(const QString&, int)
    {17, 570, 176, 2, 0, 0, 9},	//118 QDomElement::setAttribute(const QString&, unsigned int)
    {17, 570, 179, 2, 0, 0, 10},	//119 QDomElement::setAttribute(const QString&, float)
    {17, 570, 182, 2, 0, 0, 11},	//120 QDomElement::setAttribute(const QString&, double)
    {17, 548, 3, 1, 0, 0, 12},	//121 QDomElement::removeAttribute(const QString&)
    {17, 136, 3, 1, 0, 17, 13},	//122 QDomElement::attributeNode(const QString&)
    {17, 576, 1, 1, 0, 17, 14},	//123 QDomElement::setAttributeNode(const QDomAttr&)
    {17, 552, 1, 1, 0, 17, 15},	//124 QDomElement::removeAttributeNode(const QDomAttr&)
    {17, 189, 3, 1, Smoke::mf_const, 59, 16},	//125 QDomElement::elementsByTagName(const QString&) const
    {17, 222, 3, 1, Smoke::mf_const, 251, 17},	//126 QDomElement::hasAttribute(const QString&) const
    {17, 133, 185, 3, Smoke::mf_const, 121, 18},	//127 QDomElement::attributeNS(const QString, const QString&, const QString&) const
    {17, 573, 185, 3, 0, 0, 19},	//128 QDomElement::setAttributeNS(const QString, const QString&, const QString&)
    {17, 573, 189, 3, 0, 0, 20},	//129 QDomElement::setAttributeNS(const QString, const QString&, int)
    {17, 573, 193, 3, 0, 0, 21},	//130 QDomElement::setAttributeNS(const QString, const QString&, unsigned int)
    {17, 573, 197, 3, 0, 0, 22},	//131 QDomElement::setAttributeNS(const QString, const QString&, long long)
    {17, 573, 201, 3, 0, 0, 23},	//132 QDomElement::setAttributeNS(const QString, const QString&, unsigned long long)
    {17, 573, 205, 3, 0, 0, 24},	//133 QDomElement::setAttributeNS(const QString, const QString&, double)
    {17, 550, 25, 2, 0, 0, 25},	//134 QDomElement::removeAttributeNS(const QString&, const QString&)
    {17, 138, 25, 2, 0, 17, 26},	//135 QDomElement::attributeNodeNS(const QString&, const QString&)
    {17, 578, 1, 1, 0, 17, 27},	//136 QDomElement::setAttributeNodeNS(const QDomAttr&)
    {17, 191, 25, 2, Smoke::mf_const, 59, 28},	//137 QDomElement::elementsByTagNameNS(const QString&, const QString&) const
    {17, 224, 25, 2, Smoke::mf_const, 251, 29},	//138 QDomElement::hasAttributeNS(const QString&, const QString&) const
    {17, 663, 0, 0, Smoke::mf_const, 121, 30},	//139 QDomElement::tagName() const
    {17, 638, 3, 1, 0, 0, 31},	//140 QDomElement::setTagName(const QString&)
    {17, 140, 0, 0, Smoke::mf_const, 51, 32},	//141 QDomElement::attributes() const
    {17, 292, 0, 0, Smoke::mf_const, 58, 33},	//142 QDomElement::nodeType() const
    {17, 665, 0, 0, Smoke::mf_const, 121, 34},	//143 QDomElement::text() const
    {17, 128, 3, 1, Smoke::mf_const, 121, 35},	//144 QDomElement::attribute(const QString&) const
    {17, 133, 209, 2, Smoke::mf_const, 121, 36},	//145 QDomElement::attributeNS(const QString, const QString&) const
    {17, 743, 0, 0, Smoke::mf_dtor, 0, 37 },	//146 QDomElement::~QDomElement()
    {18, 57, 0, 0, Smoke::mf_ctor, 43, 1},	//147 QDomEntity::QDomEntity()
    {18, 57, 212, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 43, 2},	//148 QDomEntity::QDomEntity(const QDomEntity&)
    {18, 334, 212, 1, 0, 42, 3},	//149 QDomEntity::operator=(const QDomEntity&)
    {18, 383, 0, 0, Smoke::mf_const, 121, 4},	//150 QDomEntity::publicId() const
    {18, 662, 0, 0, Smoke::mf_const, 121, 5},	//151 QDomEntity::systemId() const
    {18, 297, 0, 0, Smoke::mf_const, 121, 6},	//152 QDomEntity::notationName() const
    {18, 292, 0, 0, Smoke::mf_const, 58, 7},	//153 QDomEntity::nodeType() const
    {18, 744, 0, 0, Smoke::mf_dtor, 0, 8 },	//154 QDomEntity::~QDomEntity()
    {19, 59, 0, 0, Smoke::mf_ctor, 46, 1},	//155 QDomEntityReference::QDomEntityReference()
    {19, 59, 214, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 46, 2},	//156 QDomEntityReference::QDomEntityReference(const QDomEntityReference&)
    {19, 334, 214, 1, 0, 45, 3},	//157 QDomEntityReference::operator=(const QDomEntityReference&)
    {19, 292, 0, 0, Smoke::mf_const, 58, 4},	//158 QDomEntityReference::nodeType() const
    {19, 745, 0, 0, Smoke::mf_dtor, 0, 5 },	//159 QDomEntityReference::~QDomEntityReference()
    {20, 61, 0, 0, Smoke::mf_ctor, 49, 1},	//160 QDomImplementation::QDomImplementation()
    {20, 61, 216, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 2},	//161 QDomImplementation::QDomImplementation(const QDomImplementation&)
    {20, 334, 216, 1, 0, 48, 3},	//162 QDomImplementation::operator=(const QDomImplementation&)
    {20, 336, 216, 1, Smoke::mf_const, 251, 4},	//163 QDomImplementation::operator==(const QDomImplementation&) const
    {20, 299, 216, 1, Smoke::mf_const, 251, 5},	//164 QDomImplementation::operator!=(const QDomImplementation&) const
    {20, 228, 25, 2, Smoke::mf_const, 251, 6},	//165 QDomImplementation::hasFeature(const QString&, const QString&) const
    {20, 168, 218, 3, 0, 35, 7},	//166 QDomImplementation::createDocumentType(const QString&, const QString&, const QString&)
    {20, 165, 222, 3, 0, 29, 8},	//167 QDomImplementation::createDocument(const QString&, const QString&, const QDomDocumentType&)
    {20, 252, 0, 0, Smoke::mf_static, 50, 9},	//168 QDomImplementation::invalidDataPolicy()
    {20, 623, 226, 1, Smoke::mf_static, 0, 10},	//169 QDomImplementation::setInvalidDataPolicy(QDomImplementation::InvalidDataPolicy)
    {20, 265, 0, 0, 0, 251, 11},	//170 QDomImplementation::isNull()
    {20, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 12},	//171 QDomImplementation::AcceptInvalidChars (enum)
    {20, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 13},	//172 QDomImplementation::DropInvalidChars (enum)
    {20, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 14},	//173 QDomImplementation::ReturnNullNode (enum)
    {20, 746, 0, 0, Smoke::mf_dtor, 0, 15 },	//174 QDomImplementation::~QDomImplementation()
    {21, 63, 0, 0, Smoke::mf_ctor, 53, 1},	//175 QDomNamedNodeMap::QDomNamedNodeMap()
    {21, 63, 228, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 2},	//176 QDomNamedNodeMap::QDomNamedNodeMap(const QDomNamedNodeMap&)
    {21, 334, 228, 1, 0, 52, 3},	//177 QDomNamedNodeMap::operator=(const QDomNamedNodeMap&)
    {21, 336, 228, 1, Smoke::mf_const, 251, 4},	//178 QDomNamedNodeMap::operator==(const QDomNamedNodeMap&) const
    {21, 299, 228, 1, Smoke::mf_const, 251, 5},	//179 QDomNamedNodeMap::operator!=(const QDomNamedNodeMap&) const
    {21, 282, 3, 1, Smoke::mf_const, 54, 6},	//180 QDomNamedNodeMap::namedItem(const QString&) const
    {21, 627, 230, 1, 0, 54, 7},	//181 QDomNamedNodeMap::setNamedItem(const QDomNode&)
    {21, 556, 3, 1, 0, 54, 8},	//182 QDomNamedNodeMap::removeNamedItem(const QString&)
    {21, 270, 76, 1, Smoke::mf_const, 54, 9},	//183 QDomNamedNodeMap::item(int) const
    {21, 284, 25, 2, Smoke::mf_const, 54, 10},	//184 QDomNamedNodeMap::namedItemNS(const QString&, const QString&) const
    {21, 629, 230, 1, 0, 54, 11},	//185 QDomNamedNodeMap::setNamedItemNS(const QDomNode&)
    {21, 558, 25, 2, 0, 54, 12},	//186 QDomNamedNodeMap::removeNamedItemNS(const QString&, const QString&)
    {21, 275, 0, 0, Smoke::mf_const, 343, 13},	//187 QDomNamedNodeMap::length() const
    {21, 156, 0, 0, Smoke::mf_const, 334, 14},	//188 QDomNamedNodeMap::count() const
    {21, 642, 0, 0, Smoke::mf_const, 334, 15},	//189 QDomNamedNodeMap::size() const
    {21, 261, 0, 0, Smoke::mf_const, 251, 16},	//190 QDomNamedNodeMap::isEmpty() const
    {21, 153, 3, 1, Smoke::mf_const, 251, 17},	//191 QDomNamedNodeMap::contains(const QString&) const
    {21, 747, 0, 0, Smoke::mf_dtor, 0, 18 },	//192 QDomNamedNodeMap::~QDomNamedNodeMap()
    {22, 65, 0, 0, Smoke::mf_ctor, 56, 1},	//193 QDomNode::QDomNode()
    {22, 65, 230, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 56, 2},	//194 QDomNode::QDomNode(const QDomNode&)
    {22, 334, 230, 1, 0, 55, 3},	//195 QDomNode::operator=(const QDomNode&)
    {22, 336, 230, 1, Smoke::mf_const, 251, 4},	//196 QDomNode::operator==(const QDomNode&) const
    {22, 299, 230, 1, Smoke::mf_const, 251, 5},	//197 QDomNode::operator!=(const QDomNode&) const
    {22, 245, 232, 2, 0, 54, 6},	//198 QDomNode::insertBefore(const QDomNode&, const QDomNode&)
    {22, 243, 232, 2, 0, 54, 7},	//199 QDomNode::insertAfter(const QDomNode&, const QDomNode&)
    {22, 560, 232, 2, 0, 54, 8},	//200 QDomNode::replaceChild(const QDomNode&, const QDomNode&)
    {22, 554, 230, 1, 0, 54, 9},	//201 QDomNode::removeChild(const QDomNode&)
    {22, 122, 230, 1, 0, 54, 10},	//202 QDomNode::appendChild(const QDomNode&)
    {22, 227, 0, 0, Smoke::mf_const, 251, 11},	//203 QDomNode::hasChildNodes() const
    {22, 147, 235, 1, Smoke::mf_const, 54, 12},	//204 QDomNode::cloneNode(bool) const
    {22, 294, 0, 0, 0, 0, 13},	//205 QDomNode::normalize()
    {22, 267, 25, 2, Smoke::mf_const, 251, 14},	//206 QDomNode::isSupported(const QString&, const QString&) const
    {22, 291, 0, 0, Smoke::mf_const, 121, 15},	//207 QDomNode::nodeName() const
    {22, 292, 0, 0, Smoke::mf_const, 58, 16},	//208 QDomNode::nodeType() const
    {22, 363, 0, 0, Smoke::mf_const, 54, 17},	//209 QDomNode::parentNode() const
    {22, 145, 0, 0, Smoke::mf_const, 59, 18},	//210 QDomNode::childNodes() const
    {22, 216, 0, 0, Smoke::mf_const, 54, 19},	//211 QDomNode::firstChild() const
    {22, 272, 0, 0, Smoke::mf_const, 54, 20},	//212 QDomNode::lastChild() const
    {22, 373, 0, 0, Smoke::mf_const, 54, 21},	//213 QDomNode::previousSibling() const
    {22, 288, 0, 0, Smoke::mf_const, 54, 22},	//214 QDomNode::nextSibling() const
    {22, 140, 0, 0, Smoke::mf_const, 51, 23},	//215 QDomNode::attributes() const
    {22, 361, 0, 0, Smoke::mf_const, 29, 24},	//216 QDomNode::ownerDocument() const
    {22, 286, 0, 0, Smoke::mf_const, 121, 25},	//217 QDomNode::namespaceURI() const
    {22, 278, 0, 0, Smoke::mf_const, 121, 26},	//218 QDomNode::localName() const
    {22, 226, 0, 0, Smoke::mf_const, 251, 27},	//219 QDomNode::hasAttributes() const
    {22, 293, 0, 0, Smoke::mf_const, 121, 28},	//220 QDomNode::nodeValue() const
    {22, 631, 3, 1, 0, 0, 29},	//221 QDomNode::setNodeValue(const QString&)
    {22, 369, 0, 0, Smoke::mf_const, 121, 30},	//222 QDomNode::prefix() const
    {22, 633, 3, 1, 0, 0, 31},	//223 QDomNode::setPrefix(const QString&)
    {22, 253, 0, 0, Smoke::mf_const, 251, 32},	//224 QDomNode::isAttr() const
    {22, 254, 0, 0, Smoke::mf_const, 251, 33},	//225 QDomNode::isCDATASection() const
    {22, 258, 0, 0, Smoke::mf_const, 251, 34},	//226 QDomNode::isDocumentFragment() const
    {22, 257, 0, 0, Smoke::mf_const, 251, 35},	//227 QDomNode::isDocument() const
    {22, 259, 0, 0, Smoke::mf_const, 251, 36},	//228 QDomNode::isDocumentType() const
    {22, 260, 0, 0, Smoke::mf_const, 251, 37},	//229 QDomNode::isElement() const
    {22, 263, 0, 0, Smoke::mf_const, 251, 38},	//230 QDomNode::isEntityReference() const
    {22, 269, 0, 0, Smoke::mf_const, 251, 39},	//231 QDomNode::isText() const
    {22, 262, 0, 0, Smoke::mf_const, 251, 40},	//232 QDomNode::isEntity() const
    {22, 264, 0, 0, Smoke::mf_const, 251, 41},	//233 QDomNode::isNotation() const
    {22, 266, 0, 0, Smoke::mf_const, 251, 42},	//234 QDomNode::isProcessingInstruction() const
    {22, 255, 0, 0, Smoke::mf_const, 251, 43},	//235 QDomNode::isCharacterData() const
    {22, 256, 0, 0, Smoke::mf_const, 251, 44},	//236 QDomNode::isComment() const
    {22, 282, 3, 1, Smoke::mf_const, 54, 45},	//237 QDomNode::namedItem(const QString&) const
    {22, 265, 0, 0, Smoke::mf_const, 251, 46},	//238 QDomNode::isNull() const
    {22, 146, 0, 0, 0, 0, 47},	//239 QDomNode::clear()
    {22, 666, 0, 0, Smoke::mf_const, 17, 48},	//240 QDomNode::toAttr() const
    {22, 669, 0, 0, Smoke::mf_const, 20, 49},	//241 QDomNode::toCDATASection() const
    {22, 673, 0, 0, Smoke::mf_const, 32, 50},	//242 QDomNode::toDocumentFragment() const
    {22, 672, 0, 0, Smoke::mf_const, 29, 51},	//243 QDomNode::toDocument() const
    {22, 674, 0, 0, Smoke::mf_const, 35, 52},	//244 QDomNode::toDocumentType() const
    {22, 675, 0, 0, Smoke::mf_const, 38, 53},	//245 QDomNode::toElement() const
    {22, 677, 0, 0, Smoke::mf_const, 44, 54},	//246 QDomNode::toEntityReference() const
    {22, 682, 0, 0, Smoke::mf_const, 69, 55},	//247 QDomNode::toText() const
    {22, 676, 0, 0, Smoke::mf_const, 41, 56},	//248 QDomNode::toEntity() const
    {22, 678, 0, 0, Smoke::mf_const, 63, 57},	//249 QDomNode::toNotation() const
    {22, 679, 0, 0, Smoke::mf_const, 66, 58},	//250 QDomNode::toProcessingInstruction() const
    {22, 670, 0, 0, Smoke::mf_const, 23, 59},	//251 QDomNode::toCharacterData() const
    {22, 671, 0, 0, Smoke::mf_const, 26, 60},	//252 QDomNode::toComment() const
    {22, 567, 237, 2, Smoke::mf_const, 0, 61},	//253 QDomNode::save(QTextStream&, int) const
    {22, 567, 240, 3, Smoke::mf_const, 0, 62},	//254 QDomNode::save(QTextStream&, int, QDomNode::EncodingPolicy) const
    {22, 217, 3, 1, Smoke::mf_const, 38, 63},	//255 QDomNode::firstChildElement(const QString&) const
    {22, 273, 3, 1, Smoke::mf_const, 38, 64},	//256 QDomNode::lastChildElement(const QString&) const
    {22, 374, 3, 1, Smoke::mf_const, 38, 65},	//257 QDomNode::previousSiblingElement(const QString&) const
    {22, 289, 3, 1, Smoke::mf_const, 38, 66},	//258 QDomNode::nextSiblingElement(const QString&) const
    {22, 277, 0, 0, Smoke::mf_const, 334, 67},	//259 QDomNode::lineNumber() const
    {22, 150, 0, 0, Smoke::mf_const, 334, 68},	//260 QDomNode::columnNumber() const
    {22, 147, 0, 0, Smoke::mf_const, 54, 69},	//261 QDomNode::cloneNode() const
    {22, 217, 0, 0, Smoke::mf_const, 38, 70},	//262 QDomNode::firstChildElement() const
    {22, 273, 0, 0, Smoke::mf_const, 38, 71},	//263 QDomNode::lastChildElement() const
    {22, 374, 0, 0, Smoke::mf_const, 38, 72},	//264 QDomNode::previousSiblingElement() const
    {22, 289, 0, 0, Smoke::mf_const, 38, 73},	//265 QDomNode::nextSiblingElement() const
    {22, 235, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 62, 74},	//266 QDomNode::impl() const
    {22, 621, 244, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 75},	//267 QDomNode::setImpl(QDomNodePrivate*)
    {22, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 76},	//268 QDomNode::ElementNode (enum)
    {22, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 77},	//269 QDomNode::AttributeNode (enum)
    {22, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 78},	//270 QDomNode::TextNode (enum)
    {22, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 79},	//271 QDomNode::CDATASectionNode (enum)
    {22, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 80},	//272 QDomNode::EntityReferenceNode (enum)
    {22, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 81},	//273 QDomNode::EntityNode (enum)
    {22, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 82},	//274 QDomNode::ProcessingInstructionNode (enum)
    {22, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 83},	//275 QDomNode::CommentNode (enum)
    {22, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 84},	//276 QDomNode::DocumentNode (enum)
    {22, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 85},	//277 QDomNode::DocumentTypeNode (enum)
    {22, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 86},	//278 QDomNode::DocumentFragmentNode (enum)
    {22, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 87},	//279 QDomNode::NotationNode (enum)
    {22, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 88},	//280 QDomNode::BaseNode (enum)
    {22, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 89},	//281 QDomNode::CharacterDataNode (enum)
    {22, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 90},	//282 QDomNode::EncodingFromDocument (enum)
    {22, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 91},	//283 QDomNode::EncodingFromTextStream (enum)
    {22, 748, 0, 0, Smoke::mf_dtor, 0, 92 },	//284 QDomNode::~QDomNode()
    {23, 67, 0, 0, Smoke::mf_ctor, 61, 1},	//285 QDomNodeList::QDomNodeList()
    {23, 67, 246, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 2},	//286 QDomNodeList::QDomNodeList(const QDomNodeList&)
    {23, 334, 246, 1, 0, 60, 3},	//287 QDomNodeList::operator=(const QDomNodeList&)
    {23, 336, 246, 1, Smoke::mf_const, 251, 4},	//288 QDomNodeList::operator==(const QDomNodeList&) const
    {23, 299, 246, 1, Smoke::mf_const, 251, 5},	//289 QDomNodeList::operator!=(const QDomNodeList&) const
    {23, 270, 76, 1, Smoke::mf_const, 54, 6},	//290 QDomNodeList::item(int) const
    {23, 126, 76, 1, Smoke::mf_const, 54, 7},	//291 QDomNodeList::at(int) const
    {23, 275, 0, 0, Smoke::mf_const, 343, 8},	//292 QDomNodeList::length() const
    {23, 156, 0, 0, Smoke::mf_const, 334, 9},	//293 QDomNodeList::count() const
    {23, 642, 0, 0, Smoke::mf_const, 334, 10},	//294 QDomNodeList::size() const
    {23, 261, 0, 0, Smoke::mf_const, 251, 11},	//295 QDomNodeList::isEmpty() const
    {23, 749, 0, 0, Smoke::mf_dtor, 0, 12 },	//296 QDomNodeList::~QDomNodeList()
    {25, 69, 0, 0, Smoke::mf_ctor, 65, 1},	//297 QDomNotation::QDomNotation()
    {25, 69, 248, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 65, 2},	//298 QDomNotation::QDomNotation(const QDomNotation&)
    {25, 334, 248, 1, 0, 64, 3},	//299 QDomNotation::operator=(const QDomNotation&)
    {25, 383, 0, 0, Smoke::mf_const, 121, 4},	//300 QDomNotation::publicId() const
    {25, 662, 0, 0, Smoke::mf_const, 121, 5},	//301 QDomNotation::systemId() const
    {25, 292, 0, 0, Smoke::mf_const, 58, 6},	//302 QDomNotation::nodeType() const
    {25, 750, 0, 0, Smoke::mf_dtor, 0, 7 },	//303 QDomNotation::~QDomNotation()
    {26, 71, 0, 0, Smoke::mf_ctor, 68, 1},	//304 QDomProcessingInstruction::QDomProcessingInstruction()
    {26, 71, 250, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 68, 2},	//305 QDomProcessingInstruction::QDomProcessingInstruction(const QDomProcessingInstruction&)
    {26, 334, 250, 1, 0, 67, 3},	//306 QDomProcessingInstruction::operator=(const QDomProcessingInstruction&)
    {26, 664, 0, 0, Smoke::mf_const, 121, 4},	//307 QDomProcessingInstruction::target() const
    {26, 180, 0, 0, Smoke::mf_const, 121, 5},	//308 QDomProcessingInstruction::data() const
    {26, 606, 3, 1, 0, 0, 6},	//309 QDomProcessingInstruction::setData(const QString&)
    {26, 292, 0, 0, Smoke::mf_const, 58, 7},	//310 QDomProcessingInstruction::nodeType() const
    {26, 751, 0, 0, Smoke::mf_dtor, 0, 8 },	//311 QDomProcessingInstruction::~QDomProcessingInstruction()
    {27, 73, 0, 0, Smoke::mf_ctor, 71, 1},	//312 QDomText::QDomText()
    {27, 73, 252, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 71, 2},	//313 QDomText::QDomText(const QDomText&)
    {27, 334, 252, 1, 0, 70, 3},	//314 QDomText::operator=(const QDomText&)
    {27, 648, 76, 1, 0, 69, 4},	//315 QDomText::splitText(int)
    {27, 292, 0, 0, Smoke::mf_const, 58, 5},	//316 QDomText::nodeType() const
    {27, 752, 0, 0, Smoke::mf_dtor, 0, 6 },	//317 QDomText::~QDomText()
    {29, 470, 254, 1, Smoke::mf_static, 334, 1},	//318 QGlobalSpace::qRound(double)
    {29, 358, 256, 2, Smoke::mf_static, 79, 2},	//319 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {29, 385, 254, 1, Smoke::mf_static, 332, 3},	//320 QGlobalSpace::qAcos(double)
    {29, 352, 259, 2, Smoke::mf_static, 10, 4},	//321 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {29, 358, 262, 2, Smoke::mf_static, 77, 5},	//322 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {29, 347, 265, 2, Smoke::mf_static, 251, 6},	//323 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {29, 352, 268, 2, Smoke::mf_static, 10, 7},	//324 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {29, 389, 0, 0, Smoke::mf_static, 121, 8},	//325 QGlobalSpace::qAppName()
    {29, 358, 271, 2, Smoke::mf_static, 105, 9},	//326 QGlobalSpace::operator|(Qt::WindowType, int)
    {29, 520, 274, 3, Smoke::mf_static, 254, 10},	//327 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {29, 430, 278, 1, Smoke::mf_static, 343, 11},	//328 QGlobalSpace::qHash(unsigned int)
    {29, 430, 280, 1, Smoke::mf_static, 343, 12},	//329 QGlobalSpace::qHash(char)
    {29, 307, 282, 2, Smoke::mf_static, 300, 13},	//330 QGlobalSpace::operator*(const QSizeF&, double)
    {29, 325, 285, 2, Smoke::mf_static, 13, 14},	//331 QGlobalSpace::operator<<(QDebug, const QLine&)
    {29, 498, 288, 1, Smoke::mf_static, 5, 15},	//332 QGlobalSpace::qgetenv(const char*)
    {29, 320, 290, 2, Smoke::mf_static, 251, 16},	//333 QGlobalSpace::operator<(const QByteArray&, const char*)
    {29, 342, 293, 2, Smoke::mf_static, 251, 17},	//334 QGlobalSpace::operator>(const char*, const QString&)
    {29, 352, 296, 2, Smoke::mf_static, 10, 18},	//335 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {29, 358, 299, 2, Smoke::mf_static, 93, 19},	//336 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {29, 336, 302, 2, Smoke::mf_static, 251, 20},	//337 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {29, 325, 305, 2, Smoke::mf_static, 13, 21},	//338 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {29, 336, 308, 2, Smoke::mf_static, 251, 22},	//339 QGlobalSpace::operator==(const QSize&, const QSize&)
    {29, 416, 254, 1, Smoke::mf_static, 332, 23},	//340 QGlobalSpace::qFastSin(double)
    {29, 310, 311, 2, Smoke::mf_static, 302, 24},	//341 QGlobalSpace::operator+(QChar, const QString&)
    {29, 518, 314, 3, Smoke::mf_static, 334, 25},	//342 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {29, 329, 318, 2, Smoke::mf_static, 251, 26},	//343 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {29, 329, 321, 2, Smoke::mf_static, 251, 27},	//344 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {29, 546, 324, 4, Smoke::mf_static, 334, 28},	//345 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {29, 299, 329, 2, Smoke::mf_static, 251, 29},	//346 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {29, 299, 332, 2, Smoke::mf_static, 251, 30},	//347 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {29, 310, 335, 2, Smoke::mf_static, 302, 31},	//348 QGlobalSpace::operator+(const QString&, QChar)
    {29, 310, 308, 2, Smoke::mf_static, 298, 32},	//349 QGlobalSpace::operator+(const QSize&, const QSize&)
    {29, 524, 338, 2, Smoke::mf_static, 343, 33},	//350 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {29, 336, 321, 2, Smoke::mf_static, 251, 34},	//351 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {29, 299, 341, 2, Smoke::mf_static, 251, 35},	//352 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {29, 325, 344, 2, Smoke::mf_static, 13, 36},	//353 QGlobalSpace::operator<<(QDebug, const QDate&)
    {29, 358, 347, 2, Smoke::mf_static, 99, 37},	//354 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {29, 325, 350, 2, Smoke::mf_static, 13, 38},	//355 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {29, 299, 353, 2, Smoke::mf_static, 251, 39},	//356 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {29, 430, 356, 1, Smoke::mf_static, 343, 40},	//357 QGlobalSpace::qHash(unsigned char)
    {29, 542, 358, 5, Smoke::mf_static, 0, 41},	//358 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {29, 336, 364, 2, Smoke::mf_static, 251, 42},	//359 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {29, 535, 76, 1, Smoke::mf_static, 121, 43},	//360 QGlobalSpace::qt_error_string(int)
    {29, 535, 0, 0, Smoke::mf_static, 121, 44},	//361 QGlobalSpace::qt_error_string()
    {29, 352, 367, 2, Smoke::mf_static, 10, 45},	//362 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {29, 445, 370, 1, Smoke::mf_static, 251, 46},	//363 QGlobalSpace::qIsNull(float)
    {29, 358, 372, 2, Smoke::mf_static, 105, 47},	//364 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {29, 461, 0, 0, Smoke::mf_static, 332, 48},	//365 QGlobalSpace::qQNaN()
    {29, 299, 375, 2, Smoke::mf_static, 251, 49},	//366 QGlobalSpace::operator!=(QChar, QChar)
    {29, 477, 378, 1, Smoke::mf_static, 134, 50},	//367 QGlobalSpace::qSetPadChar(QChar)
    {29, 352, 380, 2, Smoke::mf_static, 10, 51},	//368 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {29, 315, 329, 2, Smoke::mf_static, 292, 52},	//369 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {29, 325, 383, 2, Smoke::mf_static, 13, 53},	//370 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {29, 358, 386, 2, Smoke::mf_static, 81, 54},	//371 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {29, 526, 389, 2, Smoke::mf_static, 121, 55},	//372 QGlobalSpace::qtTrId(const char*, int)
    {29, 526, 288, 1, Smoke::mf_static, 121, 56},	//373 QGlobalSpace::qtTrId(const char*)
    {29, 394, 392, 2, Smoke::mf_static, 332, 57},	//374 QGlobalSpace::qAtan2(double, double)
    {29, 325, 395, 2, Smoke::mf_static, 10, 58},	//375 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {29, 430, 398, 1, Smoke::mf_static, 343, 59},	//376 QGlobalSpace::qHash(short)
    {29, 336, 265, 2, Smoke::mf_static, 251, 60},	//377 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {29, 325, 400, 2, Smoke::mf_static, 10, 61},	//378 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {29, 358, 403, 2, Smoke::mf_static, 98, 62},	//379 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {29, 439, 254, 1, Smoke::mf_static, 251, 63},	//380 QGlobalSpace::qIsFinite(double)
    {29, 358, 406, 2, Smoke::mf_static, 93, 64},	//381 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {29, 505, 290, 2, Smoke::mf_static, 334, 65},	//382 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {29, 512, 288, 1, Smoke::mf_static, 254, 66},	//383 QGlobalSpace::qstrdup(const char*)
    {29, 430, 409, 1, Smoke::mf_static, 343, 67},	//384 QGlobalSpace::qHash(long)
    {29, 358, 411, 2, Smoke::mf_static, 92, 68},	//385 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {29, 505, 414, 2, Smoke::mf_static, 334, 69},	//386 QGlobalSpace::qstrcmp(const char*, const char*)
    {29, 325, 417, 2, Smoke::mf_static, 10, 70},	//387 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {29, 342, 318, 2, Smoke::mf_static, 251, 71},	//388 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {29, 299, 420, 2, Smoke::mf_static, 251, 72},	//389 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {29, 310, 423, 2, Smoke::mf_static, 256, 73},	//390 QGlobalSpace::operator+(const char*, const QByteArray&)
    {29, 299, 265, 2, Smoke::mf_static, 251, 74},	//391 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {29, 430, 426, 1, Smoke::mf_static, 343, 75},	//392 QGlobalSpace::qHash(const QBitArray&)
    {29, 358, 428, 2, Smoke::mf_static, 77, 76},	//393 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {29, 510, 431, 2, Smoke::mf_static, 254, 77},	//394 QGlobalSpace::qstrcpy(char*, const char*)
    {29, 358, 434, 2, Smoke::mf_static, 2, 78},	//395 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {29, 299, 437, 2, Smoke::mf_static, 251, 79},	//396 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {29, 320, 423, 2, Smoke::mf_static, 251, 80},	//397 QGlobalSpace::operator<(const char*, const QByteArray&)
    {29, 392, 254, 1, Smoke::mf_static, 332, 81},	//398 QGlobalSpace::qAtan(double)
    {29, 505, 423, 2, Smoke::mf_static, 334, 82},	//399 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {29, 347, 375, 2, Smoke::mf_static, 251, 83},	//400 QGlobalSpace::operator>=(QChar, QChar)
    {29, 358, 440, 2, Smoke::mf_static, 94, 84},	//401 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {29, 329, 375, 2, Smoke::mf_static, 251, 85},	//402 QGlobalSpace::operator<=(QChar, QChar)
    {29, 307, 443, 2, Smoke::mf_static, 292, 86},	//403 QGlobalSpace::operator*(const QPointF&, double)
    {29, 325, 446, 2, Smoke::mf_static, 13, 87},	//404 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {29, 336, 449, 2, Smoke::mf_static, 251, 88},	//405 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {29, 358, 452, 2, Smoke::mf_static, 74, 89},	//406 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {29, 533, 389, 2, Smoke::mf_static, 0, 90},	//407 QGlobalSpace::qt_check_pointer(const char*, int)
    {29, 336, 420, 2, Smoke::mf_static, 251, 91},	//408 QGlobalSpace::operator==(QString::Null, QString::Null)
    {29, 299, 318, 2, Smoke::mf_static, 251, 92},	//409 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {29, 299, 455, 2, Smoke::mf_static, 251, 93},	//410 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {29, 352, 458, 2, Smoke::mf_static, 10, 94},	//411 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {29, 329, 461, 2, Smoke::mf_static, 251, 95},	//412 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {29, 491, 464, 2, Smoke::mf_static, 5, 96},	//413 QGlobalSpace::qUncompress(const unsigned char*, int)
    {29, 401, 467, 2, Smoke::mf_static, 5, 97},	//414 QGlobalSpace::qCompress(const QByteArray&, int)
    {29, 401, 126, 1, Smoke::mf_static, 5, 98},	//415 QGlobalSpace::qCompress(const QByteArray&)
    {29, 325, 470, 2, Smoke::mf_static, 10, 99},	//416 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {29, 352, 473, 2, Smoke::mf_static, 131, 100},	//417 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {29, 358, 476, 2, Smoke::mf_static, 105, 101},	//418 QGlobalSpace::operator|(Qt::DropAction, int)
    {29, 464, 479, 4, Smoke::mf_static, 350, 102},	//419 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {29, 358, 484, 2, Smoke::mf_static, 105, 103},	//420 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {29, 342, 265, 2, Smoke::mf_static, 251, 104},	//421 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {29, 484, 254, 1, Smoke::mf_static, 332, 105},	//422 QGlobalSpace::qSqrt(double)
    {29, 325, 473, 2, Smoke::mf_static, 131, 106},	//423 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {29, 325, 487, 2, Smoke::mf_static, 10, 107},	//424 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {29, 325, 490, 2, Smoke::mf_static, 13, 108},	//425 QGlobalSpace::operator<<(QDebug, const QRect&)
    {29, 342, 321, 2, Smoke::mf_static, 251, 109},	//426 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {29, 347, 461, 2, Smoke::mf_static, 251, 110},	//427 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {29, 437, 370, 1, Smoke::mf_static, 334, 111},	//428 QGlobalSpace::qIntCast(float)
    {29, 358, 493, 2, Smoke::mf_static, 84, 112},	//429 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {29, 336, 329, 2, Smoke::mf_static, 251, 113},	//430 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {29, 342, 423, 2, Smoke::mf_static, 251, 114},	//431 QGlobalSpace::operator>(const char*, const QByteArray&)
    {29, 412, 254, 1, Smoke::mf_static, 332, 115},	//432 QGlobalSpace::qFabs(double)
    {29, 430, 496, 1, Smoke::mf_static, 343, 116},	//433 QGlobalSpace::qHash(unsigned short)
    {29, 336, 423, 2, Smoke::mf_static, 251, 117},	//434 QGlobalSpace::operator==(const char*, const QByteArray&)
    {29, 358, 498, 2, Smoke::mf_static, 98, 118},	//435 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {29, 325, 501, 2, Smoke::mf_static, 13, 119},	//436 QGlobalSpace::operator<<(QDebug, const QDir&)
    {29, 358, 504, 2, Smoke::mf_static, 83, 120},	//437 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {29, 358, 507, 2, Smoke::mf_static, 96, 121},	//438 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {29, 299, 321, 2, Smoke::mf_static, 251, 122},	//439 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {29, 462, 510, 2, Smoke::mf_static, 350, 123},	//440 QGlobalSpace::qRealloc(void*, size_t)
    {29, 358, 513, 2, Smoke::mf_static, 89, 124},	//441 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {29, 358, 516, 2, Smoke::mf_static, 105, 125},	//442 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {29, 336, 519, 2, Smoke::mf_static, 251, 126},	//443 QGlobalSpace::operator==(const QString&, QString::Null)
    {29, 358, 522, 2, Smoke::mf_static, 90, 127},	//444 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {29, 495, 0, 0, Smoke::mf_static, 13, 128},	//445 QGlobalSpace::qWarning()
    {29, 358, 525, 2, Smoke::mf_static, 105, 129},	//446 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {29, 426, 392, 2, Smoke::mf_static, 251, 130},	//447 QGlobalSpace::qFuzzyCompare(double, double)
    {29, 329, 265, 2, Smoke::mf_static, 251, 131},	//448 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {29, 358, 528, 2, Smoke::mf_static, 82, 132},	//449 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {29, 358, 531, 2, Smoke::mf_static, 80, 133},	//450 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {29, 352, 534, 2, Smoke::mf_static, 10, 134},	//451 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {29, 325, 537, 2, Smoke::mf_static, 10, 135},	//452 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {29, 299, 540, 2, Smoke::mf_static, 251, 136},	//453 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {29, 307, 543, 2, Smoke::mf_static, 298, 137},	//454 QGlobalSpace::operator*(double, const QSize&)
    {29, 358, 546, 2, Smoke::mf_static, 88, 138},	//455 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {29, 409, 0, 0, Smoke::mf_static, 13, 139},	//456 QGlobalSpace::qDebug()
    {29, 430, 549, 1, Smoke::mf_static, 343, 140},	//457 QGlobalSpace::qHash(long long)
    {29, 358, 551, 2, Smoke::mf_static, 95, 141},	//458 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {29, 329, 293, 2, Smoke::mf_static, 251, 142},	//459 QGlobalSpace::operator<=(const char*, const QString&)
    {29, 315, 554, 1, Smoke::mf_static, 292, 143},	//460 QGlobalSpace::operator-(const QPointF&)
    {29, 358, 556, 2, Smoke::mf_static, 105, 144},	//461 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {29, 441, 370, 1, Smoke::mf_static, 251, 145},	//462 QGlobalSpace::qIsInf(float)
    {29, 358, 559, 2, Smoke::mf_static, 105, 146},	//463 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {29, 310, 293, 2, Smoke::mf_static, 302, 147},	//464 QGlobalSpace::operator+(const char*, const QString&)
    {29, 329, 423, 2, Smoke::mf_static, 251, 148},	//465 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {29, 325, 562, 2, Smoke::mf_static, 13, 149},	//466 QGlobalSpace::operator<<(QDebug, const QSize&)
    {29, 299, 461, 2, Smoke::mf_static, 251, 150},	//467 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {29, 342, 375, 2, Smoke::mf_static, 251, 151},	//468 QGlobalSpace::operator>(QChar, QChar)
    {29, 318, 282, 2, Smoke::mf_static, 300, 152},	//469 QGlobalSpace::operator/(const QSizeF&, double)
    {29, 358, 565, 2, Smoke::mf_static, 105, 153},	//470 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {29, 325, 568, 2, Smoke::mf_static, 13, 154},	//471 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {29, 505, 461, 2, Smoke::mf_static, 334, 155},	//472 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {29, 305, 434, 2, Smoke::mf_static, 2, 156},	//473 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {29, 325, 571, 2, Smoke::mf_static, 13, 157},	//474 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {29, 315, 574, 1, Smoke::mf_static, 290, 158},	//475 QGlobalSpace::operator-(const QPoint&)
    {29, 347, 290, 2, Smoke::mf_static, 251, 159},	//476 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {29, 325, 576, 2, Smoke::mf_static, 10, 160},	//477 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {29, 358, 579, 2, Smoke::mf_static, 84, 161},	//478 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {29, 347, 318, 2, Smoke::mf_static, 251, 162},	//479 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {29, 320, 321, 2, Smoke::mf_static, 251, 163},	//480 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {29, 299, 582, 2, Smoke::mf_static, 251, 164},	//481 QGlobalSpace::operator!=(QBool, QBool)
    {29, 310, 585, 2, Smoke::mf_static, 302, 165},	//482 QGlobalSpace::operator+(const QString&, char)
    {29, 299, 588, 2, Smoke::mf_static, 251, 166},	//483 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {29, 430, 591, 1, Smoke::mf_static, 343, 167},	//484 QGlobalSpace::qHash(unsigned long long)
    {29, 336, 318, 2, Smoke::mf_static, 251, 168},	//485 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {29, 418, 288, 1, Smoke::mf_static, 328, 169},	//486 QGlobalSpace::qFlagLocation(const char*)
    {29, 318, 443, 2, Smoke::mf_static, 292, 170},	//487 QGlobalSpace::operator/(const QPointF&, double)
    {29, 437, 254, 1, Smoke::mf_static, 334, 171},	//488 QGlobalSpace::qIntCast(double)
    {29, 358, 593, 2, Smoke::mf_static, 105, 172},	//489 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {29, 491, 126, 1, Smoke::mf_static, 5, 173},	//490 QGlobalSpace::qUncompress(const QByteArray&)
    {29, 299, 302, 2, Smoke::mf_static, 251, 174},	//491 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {29, 325, 596, 2, Smoke::mf_static, 13, 175},	//492 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {29, 336, 599, 2, Smoke::mf_static, 251, 176},	//493 QGlobalSpace::operator==(QString::Null, const QString&)
    {29, 329, 290, 2, Smoke::mf_static, 251, 177},	//494 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {29, 414, 254, 1, Smoke::mf_static, 332, 178},	//495 QGlobalSpace::qFastCos(double)
    {29, 468, 602, 1, Smoke::mf_static, 0, 179},	//496 QGlobalSpace::qRemovePostRoutine(void(*)())
    {29, 358, 604, 2, Smoke::mf_static, 82, 180},	//497 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {29, 358, 607, 2, Smoke::mf_static, 90, 181},	//498 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {29, 352, 610, 2, Smoke::mf_static, 10, 182},	//499 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {29, 426, 613, 2, Smoke::mf_static, 251, 183},	//500 QGlobalSpace::qFuzzyCompare(float, float)
    {29, 325, 616, 2, Smoke::mf_static, 10, 184},	//501 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {29, 399, 338, 2, Smoke::mf_static, 346, 185},	//502 QGlobalSpace::qChecksum(const char*, unsigned int)
    {29, 352, 619, 2, Smoke::mf_static, 10, 186},	//503 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {29, 307, 622, 2, Smoke::mf_static, 298, 187},	//504 QGlobalSpace::operator*(const QSize&, double)
    {29, 435, 625, 1, Smoke::mf_static, 349, 188},	//505 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {29, 325, 627, 2, Smoke::mf_static, 131, 189},	//506 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {29, 315, 437, 2, Smoke::mf_static, 290, 190},	//507 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {29, 358, 630, 2, Smoke::mf_static, 87, 191},	//508 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {29, 352, 633, 2, Smoke::mf_static, 10, 192},	//509 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {29, 358, 636, 2, Smoke::mf_static, 75, 193},	//510 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {29, 408, 0, 0, Smoke::mf_static, 13, 194},	//511 QGlobalSpace::qCritical()
    {29, 318, 639, 2, Smoke::mf_static, 290, 195},	//512 QGlobalSpace::operator/(const QPoint&, double)
    {29, 459, 392, 2, Smoke::mf_static, 332, 196},	//513 QGlobalSpace::qPow(double, double)
    {29, 325, 642, 2, Smoke::mf_static, 10, 197},	//514 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {29, 299, 599, 2, Smoke::mf_static, 251, 198},	//515 QGlobalSpace::operator!=(QString::Null, const QString&)
    {29, 430, 76, 1, Smoke::mf_static, 343, 199},	//516 QGlobalSpace::qHash(int)
    {29, 358, 645, 2, Smoke::mf_static, 91, 200},	//517 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {29, 539, 0, 0, Smoke::mf_static, 0, 201},	//518 QGlobalSpace::qt_noop()
    {29, 336, 332, 2, Smoke::mf_static, 251, 202},	//519 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {29, 358, 648, 2, Smoke::mf_static, 105, 203},	//520 QGlobalSpace::operator|(Qt::WindowState, int)
    {29, 299, 364, 2, Smoke::mf_static, 251, 204},	//521 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {29, 352, 651, 2, Smoke::mf_static, 10, 205},	//522 QGlobalSpace::operator>>(QDataStream&, QString&)
    {29, 540, 654, 3, Smoke::mf_static, 112, 206},	//523 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {29, 325, 658, 2, Smoke::mf_static, 10, 207},	//524 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {29, 336, 582, 2, Smoke::mf_static, 251, 208},	//525 QGlobalSpace::operator==(QBool, QBool)
    {29, 352, 661, 2, Smoke::mf_static, 10, 209},	//526 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {29, 410, 254, 1, Smoke::mf_static, 332, 210},	//527 QGlobalSpace::qExp(double)
    {29, 352, 664, 2, Smoke::mf_static, 10, 211},	//528 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {29, 358, 667, 2, Smoke::mf_static, 94, 212},	//529 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {29, 336, 670, 2, Smoke::mf_static, 251, 213},	//530 QGlobalSpace::operator==(bool, QBool)
    {29, 358, 673, 2, Smoke::mf_static, 85, 214},	//531 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {29, 428, 254, 1, Smoke::mf_static, 251, 215},	//532 QGlobalSpace::qFuzzyIsNull(double)
    {29, 352, 676, 2, Smoke::mf_static, 10, 216},	//533 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {29, 544, 679, 3, Smoke::mf_static, 251, 217},	//534 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {29, 320, 293, 2, Smoke::mf_static, 251, 218},	//535 QGlobalSpace::operator<(const char*, const QString&)
    {29, 336, 683, 2, Smoke::mf_static, 251, 219},	//536 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {29, 496, 686, 3, Smoke::mf_static, 0, 220},	//537 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {29, 430, 378, 1, Smoke::mf_static, 343, 221},	//538 QGlobalSpace::qHash(QChar)
    {29, 358, 690, 2, Smoke::mf_static, 105, 222},	//539 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {29, 325, 693, 2, Smoke::mf_static, 10, 223},	//540 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {29, 299, 683, 2, Smoke::mf_static, 251, 224},	//541 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {29, 320, 265, 2, Smoke::mf_static, 251, 225},	//542 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {29, 299, 670, 2, Smoke::mf_static, 251, 226},	//543 QGlobalSpace::operator!=(bool, QBool)
    {29, 537, 696, 2, Smoke::mf_static, 0, 227},	//544 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {29, 358, 699, 2, Smoke::mf_static, 78, 228},	//545 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {29, 503, 278, 1, Smoke::mf_static, 0, 229},	//546 QGlobalSpace::qsrand(unsigned int)
    {29, 336, 702, 2, Smoke::mf_static, 251, 230},	//547 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {29, 310, 705, 2, Smoke::mf_static, 302, 231},	//548 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {29, 358, 708, 2, Smoke::mf_static, 86, 232},	//549 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {29, 325, 711, 2, Smoke::mf_static, 13, 233},	//550 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {29, 358, 714, 2, Smoke::mf_static, 105, 234},	//551 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {29, 352, 717, 2, Smoke::mf_static, 10, 235},	//552 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {29, 299, 519, 2, Smoke::mf_static, 251, 236},	//553 QGlobalSpace::operator!=(const QString&, QString::Null)
    {29, 514, 414, 2, Smoke::mf_static, 334, 237},	//554 QGlobalSpace::qstricmp(const char*, const char*)
    {29, 358, 720, 2, Smoke::mf_static, 102, 238},	//555 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {29, 455, 723, 3, Smoke::mf_static, 350, 239},	//556 QGlobalSpace::qMemSet(void*, int, size_t)
    {29, 325, 727, 2, Smoke::mf_static, 13, 240},	//557 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {29, 299, 308, 2, Smoke::mf_static, 251, 241},	//558 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {29, 397, 254, 1, Smoke::mf_static, 334, 242},	//559 QGlobalSpace::qCeil(double)
    {29, 430, 730, 1, Smoke::mf_static, 343, 243},	//560 QGlobalSpace::qHash(signed char)
    {29, 358, 732, 2, Smoke::mf_static, 102, 244},	//561 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {29, 336, 353, 2, Smoke::mf_static, 251, 245},	//562 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {29, 358, 735, 2, Smoke::mf_static, 101, 246},	//563 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {29, 336, 588, 2, Smoke::mf_static, 251, 247},	//564 QGlobalSpace::operator==(const char*, const QStringRef&)
    {29, 358, 738, 2, Smoke::mf_static, 105, 248},	//565 QGlobalSpace::operator|(QFile::Permission, int)
    {29, 352, 741, 2, Smoke::mf_static, 10, 249},	//566 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {29, 325, 744, 2, Smoke::mf_static, 13, 250},	//567 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {29, 310, 437, 2, Smoke::mf_static, 290, 251},	//568 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {29, 310, 290, 2, Smoke::mf_static, 256, 252},	//569 QGlobalSpace::operator+(const QByteArray&, const char*)
    {29, 387, 602, 1, Smoke::mf_static, 0, 253},	//570 QGlobalSpace::qAddPostRoutine(void(*)())
    {29, 466, 747, 1, Smoke::mf_static, 0, 254},	//571 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {29, 307, 749, 2, Smoke::mf_static, 292, 255},	//572 QGlobalSpace::operator*(double, const QPointF&)
    {29, 481, 0, 0, Smoke::mf_static, 251, 256},	//573 QGlobalSpace::qSharedBuild()
    {29, 325, 752, 2, Smoke::mf_static, 10, 257},	//574 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {29, 325, 755, 2, Smoke::mf_static, 10, 258},	//575 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {29, 352, 758, 2, Smoke::mf_static, 10, 259},	//576 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {29, 434, 0, 0, Smoke::mf_static, 332, 260},	//577 QGlobalSpace::qInf()
    {29, 522, 314, 3, Smoke::mf_static, 334, 261},	//578 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {29, 430, 761, 1, Smoke::mf_static, 343, 262},	//579 QGlobalSpace::qHash(const QStringRef&)
    {29, 352, 763, 2, Smoke::mf_static, 10, 263},	//580 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {29, 358, 766, 2, Smoke::mf_static, 105, 264},	//581 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {29, 342, 461, 2, Smoke::mf_static, 251, 265},	//582 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {29, 325, 769, 2, Smoke::mf_static, 10, 266},	//583 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {29, 325, 772, 2, Smoke::mf_static, 131, 267},	//584 QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    {29, 336, 375, 2, Smoke::mf_static, 251, 268},	//585 QGlobalSpace::operator==(QChar, QChar)
    {29, 406, 254, 1, Smoke::mf_static, 332, 269},	//586 QGlobalSpace::qCos(double)
    {29, 451, 775, 2, Smoke::mf_static, 350, 270},	//587 QGlobalSpace::qMallocAligned(size_t, size_t)
    {29, 325, 778, 2, Smoke::mf_static, 10, 271},	//588 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {29, 310, 781, 2, Smoke::mf_static, 302, 272},	//589 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {29, 531, 784, 4, Smoke::mf_static, 0, 273},	//590 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {29, 358, 789, 2, Smoke::mf_static, 86, 274},	//591 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {29, 358, 792, 2, Smoke::mf_static, 78, 275},	//592 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {29, 310, 795, 2, Smoke::mf_static, 256, 276},	//593 QGlobalSpace::operator+(const QByteArray&, char)
    {29, 358, 798, 2, Smoke::mf_static, 81, 277},	//594 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {29, 494, 0, 0, Smoke::mf_static, 328, 278},	//595 QGlobalSpace::qVersion()
    {29, 358, 801, 2, Smoke::mf_static, 87, 279},	//596 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {29, 310, 329, 2, Smoke::mf_static, 292, 280},	//597 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {29, 325, 804, 2, Smoke::mf_static, 10, 281},	//598 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {29, 336, 293, 2, Smoke::mf_static, 251, 282},	//599 QGlobalSpace::operator==(const char*, const QString&)
    {29, 358, 807, 2, Smoke::mf_static, 80, 283},	//600 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {29, 325, 810, 2, Smoke::mf_static, 10, 284},	//601 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {29, 358, 813, 2, Smoke::mf_static, 105, 285},	//602 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {29, 336, 540, 2, Smoke::mf_static, 251, 286},	//603 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {29, 486, 816, 2, Smoke::mf_static, 251, 287},	//604 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {29, 358, 819, 2, Smoke::mf_static, 76, 288},	//605 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {29, 325, 822, 2, Smoke::mf_static, 10, 289},	//606 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {29, 310, 825, 2, Smoke::mf_static, 256, 290},	//607 QGlobalSpace::operator+(char, const QByteArray&)
    {29, 310, 828, 2, Smoke::mf_static, 302, 291},	//608 QGlobalSpace::operator+(const QString&, const char*)
    {29, 358, 831, 2, Smoke::mf_static, 105, 292},	//609 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {29, 320, 461, 2, Smoke::mf_static, 251, 293},	//610 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {29, 401, 834, 3, Smoke::mf_static, 5, 294},	//611 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {29, 401, 464, 2, Smoke::mf_static, 5, 295},	//612 QGlobalSpace::qCompress(const unsigned char*, int)
    {29, 420, 254, 1, Smoke::mf_static, 334, 296},	//613 QGlobalSpace::qFloor(double)
    {29, 358, 838, 2, Smoke::mf_static, 97, 297},	//614 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {29, 430, 3, 1, Smoke::mf_static, 343, 298},	//615 QGlobalSpace::qHash(const QString&)
    {29, 310, 25, 2, Smoke::mf_static, 302, 299},	//616 QGlobalSpace::operator+(const QString&, const QString&)
    {29, 299, 841, 2, Smoke::mf_static, 251, 300},	//617 QGlobalSpace::operator!=(QBool, bool)
    {29, 336, 461, 2, Smoke::mf_static, 251, 301},	//618 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {29, 325, 844, 2, Smoke::mf_static, 10, 302},	//619 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {29, 443, 370, 1, Smoke::mf_static, 251, 303},	//620 QGlobalSpace::qIsNaN(float)
    {29, 325, 847, 2, Smoke::mf_static, 10, 304},	//621 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {29, 358, 850, 2, Smoke::mf_static, 105, 305},	//622 QGlobalSpace::operator|(QDir::SortFlag, int)
    {29, 453, 853, 3, Smoke::mf_static, 350, 306},	//623 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {29, 422, 857, 1, Smoke::mf_static, 0, 307},	//624 QGlobalSpace::qFree(void*)
    {29, 336, 816, 2, Smoke::mf_static, 251, 308},	//625 QGlobalSpace::operator==(const QStringRef&, const char*)
    {29, 347, 293, 2, Smoke::mf_static, 251, 309},	//626 QGlobalSpace::operator>=(const char*, const QString&)
    {29, 443, 254, 1, Smoke::mf_static, 251, 310},	//627 QGlobalSpace::qIsNaN(double)
    {29, 358, 859, 2, Smoke::mf_static, 99, 311},	//628 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {29, 307, 639, 2, Smoke::mf_static, 290, 312},	//629 QGlobalSpace::operator*(const QPoint&, double)
    {29, 325, 862, 2, Smoke::mf_static, 13, 313},	//630 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {29, 479, 76, 1, Smoke::mf_static, 134, 314},	//631 QGlobalSpace::qSetRealNumberPrecision(int)
    {29, 502, 0, 0, Smoke::mf_static, 334, 315},	//632 QGlobalSpace::qrand()
    {29, 352, 865, 2, Smoke::mf_static, 10, 316},	//633 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {29, 358, 868, 2, Smoke::mf_static, 100, 317},	//634 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {29, 310, 461, 2, Smoke::mf_static, 256, 318},	//635 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {29, 307, 871, 2, Smoke::mf_static, 290, 319},	//636 QGlobalSpace::operator*(double, const QPoint&)
    {29, 299, 816, 2, Smoke::mf_static, 251, 320},	//637 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {29, 482, 254, 1, Smoke::mf_static, 332, 321},	//638 QGlobalSpace::qSin(double)
    {29, 325, 874, 2, Smoke::mf_static, 13, 322},	//639 QGlobalSpace::operator<<(QDebug, const QObject*)
    {29, 336, 437, 2, Smoke::mf_static, 251, 323},	//640 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {29, 358, 877, 2, Smoke::mf_static, 79, 324},	//641 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {29, 529, 880, 3, Smoke::mf_static, 0, 325},	//642 QGlobalSpace::qt_assert(const char*, const char*, int)
    {29, 325, 884, 2, Smoke::mf_static, 13, 326},	//643 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {29, 516, 288, 1, Smoke::mf_static, 343, 327},	//644 QGlobalSpace::qstrlen(const char*)
    {29, 358, 887, 2, Smoke::mf_static, 85, 328},	//645 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {29, 358, 890, 2, Smoke::mf_static, 76, 329},	//646 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {29, 441, 254, 1, Smoke::mf_static, 251, 330},	//647 QGlobalSpace::qIsInf(double)
    {29, 315, 308, 2, Smoke::mf_static, 298, 331},	//648 QGlobalSpace::operator-(const QSize&, const QSize&)
    {29, 318, 622, 2, Smoke::mf_static, 298, 332},	//649 QGlobalSpace::operator/(const QSize&, double)
    {29, 347, 423, 2, Smoke::mf_static, 251, 333},	//650 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {29, 358, 893, 2, Smoke::mf_static, 105, 334},	//651 QGlobalSpace::operator|(QDir::Filter, int)
    {29, 358, 896, 2, Smoke::mf_static, 105, 335},	//652 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {29, 299, 423, 2, Smoke::mf_static, 251, 336},	//653 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {29, 489, 254, 1, Smoke::mf_static, 332, 337},	//654 QGlobalSpace::qTan(double)
    {29, 472, 254, 1, Smoke::mf_static, 337, 338},	//655 QGlobalSpace::qRound64(double)
    {29, 430, 899, 1, Smoke::mf_static, 343, 339},	//656 QGlobalSpace::qHash(unsigned long)
    {29, 358, 901, 2, Smoke::mf_static, 74, 340},	//657 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {29, 474, 0, 0, Smoke::mf_static, 332, 341},	//658 QGlobalSpace::qSNaN()
    {29, 320, 375, 2, Smoke::mf_static, 251, 342},	//659 QGlobalSpace::operator<(QChar, QChar)
    {29, 358, 904, 2, Smoke::mf_static, 96, 343},	//660 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {29, 358, 907, 2, Smoke::mf_static, 89, 344},	//661 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {29, 315, 540, 2, Smoke::mf_static, 300, 345},	//662 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {29, 449, 910, 1, Smoke::mf_static, 350, 346},	//663 QGlobalSpace::qMalloc(size_t)
    {29, 445, 254, 1, Smoke::mf_static, 251, 347},	//664 QGlobalSpace::qIsNull(double)
    {29, 500, 423, 2, Smoke::mf_static, 251, 348},	//665 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {29, 358, 912, 2, Smoke::mf_static, 105, 349},	//666 QGlobalSpace::operator|(Qt::Orientation, int)
    {29, 358, 915, 2, Smoke::mf_static, 105, 350},	//667 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {29, 352, 918, 2, Smoke::mf_static, 10, 351},	//668 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {29, 352, 921, 2, Smoke::mf_static, 10, 352},	//669 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {29, 428, 370, 1, Smoke::mf_static, 251, 353},	//670 QGlobalSpace::qFuzzyIsNull(float)
    {29, 325, 924, 2, Smoke::mf_static, 10, 354},	//671 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {29, 325, 927, 2, Smoke::mf_static, 13, 355},	//672 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {29, 430, 930, 1, Smoke::mf_static, 343, 356},	//673 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {29, 358, 932, 2, Smoke::mf_static, 105, 357},	//674 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {29, 325, 935, 2, Smoke::mf_static, 13, 358},	//675 QGlobalSpace::operator<<(QDebug, const QTime&)
    {29, 358, 938, 2, Smoke::mf_static, 100, 359},	//676 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {29, 342, 290, 2, Smoke::mf_static, 251, 360},	//677 QGlobalSpace::operator>(const QByteArray&, const char*)
    {29, 299, 702, 2, Smoke::mf_static, 251, 361},	//678 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {29, 358, 941, 2, Smoke::mf_static, 91, 362},	//679 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {29, 299, 293, 2, Smoke::mf_static, 251, 363},	//680 QGlobalSpace::operator!=(const char*, const QString&)
    {29, 475, 76, 1, Smoke::mf_static, 134, 364},	//681 QGlobalSpace::qSetFieldWidth(int)
    {29, 486, 828, 2, Smoke::mf_static, 251, 365},	//682 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {29, 358, 944, 2, Smoke::mf_static, 101, 366},	//683 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {29, 358, 947, 2, Smoke::mf_static, 88, 367},	//684 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {29, 358, 950, 2, Smoke::mf_static, 105, 368},	//685 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {29, 320, 318, 2, Smoke::mf_static, 251, 369},	//686 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {29, 307, 953, 2, Smoke::mf_static, 300, 370},	//687 QGlobalSpace::operator*(double, const QSizeF&)
    {29, 347, 321, 2, Smoke::mf_static, 251, 371},	//688 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {29, 325, 956, 2, Smoke::mf_static, 13, 372},	//689 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {29, 430, 126, 1, Smoke::mf_static, 343, 373},	//690 QGlobalSpace::qHash(const QByteArray&)
    {29, 336, 341, 2, Smoke::mf_static, 251, 374},	//691 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {29, 430, 959, 1, Smoke::mf_static, 343, 375},	//692 QGlobalSpace::qHash(const QModelIndex&)
    {29, 358, 961, 2, Smoke::mf_static, 105, 376},	//693 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {29, 336, 455, 2, Smoke::mf_static, 251, 377},	//694 QGlobalSpace::operator==(const QRect&, const QRect&)
    {29, 358, 964, 2, Smoke::mf_static, 95, 378},	//695 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {29, 358, 967, 2, Smoke::mf_static, 92, 379},	//696 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {29, 424, 857, 1, Smoke::mf_static, 0, 380},	//697 QGlobalSpace::qFreeAligned(void*)
    {29, 358, 970, 2, Smoke::mf_static, 97, 381},	//698 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {29, 325, 973, 2, Smoke::mf_static, 13, 382},	//699 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {29, 336, 290, 2, Smoke::mf_static, 251, 383},	//700 QGlobalSpace::operator==(const QByteArray&, const char*)
    {29, 358, 976, 2, Smoke::mf_static, 105, 384},	//701 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {29, 358, 979, 2, Smoke::mf_static, 105, 385},	//702 QGlobalSpace::operator|(Qt::MouseButton, int)
    {29, 447, 254, 1, Smoke::mf_static, 332, 386},	//703 QGlobalSpace::qLn(double)
    {29, 336, 841, 2, Smoke::mf_static, 251, 387},	//704 QGlobalSpace::operator==(QBool, bool)
    {29, 299, 290, 2, Smoke::mf_static, 251, 388},	//705 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {29, 356, 434, 2, Smoke::mf_static, 2, 389},	//706 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {29, 390, 254, 1, Smoke::mf_static, 332, 390},	//707 QGlobalSpace::qAsin(double)
    {29, 352, 982, 2, Smoke::mf_static, 10, 391},	//708 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {29, 396, 0, 0, Smoke::mf_static, 0, 392},	//709 QGlobalSpace::qBadAlloc()
    {29, 358, 985, 2, Smoke::mf_static, 105, 393},	//710 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {29, 358, 988, 2, Smoke::mf_static, 105, 394},	//711 QGlobalSpace::operator|(QString::SectionFlag, int)
    {29, 310, 991, 2, Smoke::mf_static, 302, 395},	//712 QGlobalSpace::operator+(char, const QString&)
    {29, 325, 994, 2, Smoke::mf_static, 10, 396},	//713 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {29, 439, 370, 1, Smoke::mf_static, 251, 397},	//714 QGlobalSpace::qIsFinite(float)
    {29, 358, 997, 2, Smoke::mf_static, 75, 398},	//715 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {29, 310, 540, 2, Smoke::mf_static, 300, 399},	//716 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {29, 358, 1000, 2, Smoke::mf_static, 83, 400},	//717 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {29, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 336, 401},	//718 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {29, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 336, 402},	//719 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {29, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 336, 403},	//720 QGlobalSpace::Q_STATIC_TYPE (enum)
    {29, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 336, 404},	//721 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {29, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 336, 405},	//722 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {29, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 406},	//723 QGlobalSpace::LicensedGui (enum)
    {29, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 249, 407},	//724 QGlobalSpace::LicensedXml (enum)
    {29, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 408},	//725 QGlobalSpace::LicensedQt3SupportLight (enum)
    {29, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 409},	//726 QGlobalSpace::LicensedScript (enum)
    {29, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 410},	//727 QGlobalSpace::LicensedOpenVG (enum)
    {29, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 411},	//728 QGlobalSpace::LicensedDBus (enum)
    {29, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 248, 412},	//729 QGlobalSpace::LicensedTest (enum)
    {29, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 413},	//730 QGlobalSpace::LicensedActiveQt (enum)
    {29, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 414},	//731 QGlobalSpace::LicensedScriptTools (enum)
    {29, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 247, 415},	//732 QGlobalSpace::LicensedSvg (enum)
    {29, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 416},	//733 QGlobalSpace::LicensedDeclarative (enum)
    {29, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 417},	//734 QGlobalSpace::LicensedSql (enum)
    {29, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 418},	//735 QGlobalSpace::LicensedOpenGL (enum)
    {29, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 419},	//736 QGlobalSpace::LicensedCore (enum)
    {29, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 420},	//737 QGlobalSpace::QtDebugMsg (enum)
    {29, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 421},	//738 QGlobalSpace::QtWarningMsg (enum)
    {29, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 422},	//739 QGlobalSpace::QtCriticalMsg (enum)
    {29, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 423},	//740 QGlobalSpace::QtFatalMsg (enum)
    {29, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 424},	//741 QGlobalSpace::QtSystemMsg (enum)
    {29, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 425},	//742 QGlobalSpace::LicensedHelp (enum)
    {29, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 426},	//743 QGlobalSpace::LicensedMultimedia (enum)
    {29, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 427},	//744 QGlobalSpace::LicensedQt3Support (enum)
    {29, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 428},	//745 QGlobalSpace::LicensedXmlPatterns (enum)
    {29, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 429},	//746 QGlobalSpace::LicensedNetwork (enum)
    {59, 75, 0, 0, Smoke::mf_ctor, 142, 1},	//747 QXmlAttributes::QXmlAttributes()
    {59, 239, 3, 1, Smoke::mf_const, 334, 2},	//748 QXmlAttributes::index(const QString&) const
    {59, 239, 1003, 1, Smoke::mf_const, 334, 3},	//749 QXmlAttributes::index(const QLatin1String&) const
    {59, 239, 25, 2, Smoke::mf_const, 334, 4},	//750 QXmlAttributes::index(const QString&, const QString&) const
    {59, 275, 0, 0, Smoke::mf_const, 334, 5},	//751 QXmlAttributes::length() const
    {59, 156, 0, 0, Smoke::mf_const, 334, 6},	//752 QXmlAttributes::count() const
    {59, 278, 76, 1, Smoke::mf_const, 121, 7},	//753 QXmlAttributes::localName(int) const
    {59, 457, 76, 1, Smoke::mf_const, 121, 8},	//754 QXmlAttributes::qName(int) const
    {59, 688, 76, 1, Smoke::mf_const, 121, 9},	//755 QXmlAttributes::uri(int) const
    {59, 683, 76, 1, Smoke::mf_const, 121, 10},	//756 QXmlAttributes::type(int) const
    {59, 683, 3, 1, Smoke::mf_const, 121, 11},	//757 QXmlAttributes::type(const QString&) const
    {59, 683, 25, 2, Smoke::mf_const, 121, 12},	//758 QXmlAttributes::type(const QString&, const QString&) const
    {59, 690, 76, 1, Smoke::mf_const, 121, 13},	//759 QXmlAttributes::value(int) const
    {59, 690, 3, 1, Smoke::mf_const, 121, 14},	//760 QXmlAttributes::value(const QString&) const
    {59, 690, 1003, 1, Smoke::mf_const, 121, 15},	//761 QXmlAttributes::value(const QLatin1String&) const
    {59, 690, 25, 2, Smoke::mf_const, 121, 16},	//762 QXmlAttributes::value(const QString&, const QString&) const
    {59, 146, 0, 0, 0, 0, 17},	//763 QXmlAttributes::clear()
    {59, 120, 1005, 4, 0, 0, 18},	//764 QXmlAttributes::append(const QString&, const QString&, const QString&, const QString&)
    {59, 75, 1010, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 142, 19},	//765 QXmlAttributes::QXmlAttributes(const QXmlAttributes&)
    {59, 753, 0, 0, Smoke::mf_dtor, 0, 20 },	//766 QXmlAttributes::~QXmlAttributes()
    {60, 613, 1012, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//767 QXmlContentHandler::setDocumentLocator(QXmlLocator*) [pure virtual]
    {60, 653, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 2},	//768 QXmlContentHandler::startDocument() [pure virtual]
    {60, 195, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 3},	//769 QXmlContentHandler::endDocument() [pure virtual]
    {60, 658, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 4},	//770 QXmlContentHandler::startPrefixMapping(const QString&, const QString&) [pure virtual]
    {60, 200, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 5},	//771 QXmlContentHandler::endPrefixMapping(const QString&) [pure virtual]
    {60, 654, 1014, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 6},	//772 QXmlContentHandler::startElement(const QString&, const QString&, const QString&, const QXmlAttributes&) [pure virtual]
    {60, 196, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 7},	//773 QXmlContentHandler::endElement(const QString&, const QString&, const QString&) [pure virtual]
    {60, 143, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 8},	//774 QXmlContentHandler::characters(const QString&) [pure virtual]
    {60, 233, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 9},	//775 QXmlContentHandler::ignorableWhitespace(const QString&) [pure virtual]
    {60, 378, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 10},	//776 QXmlContentHandler::processingInstruction(const QString&, const QString&) [pure virtual]
    {60, 643, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 11},	//777 QXmlContentHandler::skippedEntity(const QString&) [pure virtual]
    {60, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 121, 12},	//778 QXmlContentHandler::errorString() const [pure virtual]
    {60, 77, 0, 0, Smoke::mf_ctor, 143, 13},	//779 QXmlContentHandler::QXmlContentHandler()
    {60, 77, 1019, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 143, 14},	//780 QXmlContentHandler::QXmlContentHandler(const QXmlContentHandler&)
    {60, 754, 0, 0, Smoke::mf_dtor, 0, 15 },	//781 QXmlContentHandler::~QXmlContentHandler()
    {61, 295, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 1},	//782 QXmlDTDHandler::notationDecl(const QString&, const QString&, const QString&) [pure virtual]
    {61, 686, 1005, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 2},	//783 QXmlDTDHandler::unparsedEntityDecl(const QString&, const QString&, const QString&, const QString&) [pure virtual]
    {61, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 121, 3},	//784 QXmlDTDHandler::errorString() const [pure virtual]
    {61, 79, 0, 0, Smoke::mf_ctor, 144, 4},	//785 QXmlDTDHandler::QXmlDTDHandler()
    {61, 79, 1021, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 144, 5},	//786 QXmlDTDHandler::QXmlDTDHandler(const QXmlDTDHandler&)
    {61, 755, 0, 0, Smoke::mf_dtor, 0, 6 },	//787 QXmlDTDHandler::~QXmlDTDHandler()
    {62, 131, 1023, 5, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 1},	//788 QXmlDeclHandler::attributeDecl(const QString&, const QString&, const QString&, const QString&, const QString&) [pure virtual]
    {62, 249, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 2},	//789 QXmlDeclHandler::internalEntityDecl(const QString&, const QString&) [pure virtual]
    {62, 208, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 3},	//790 QXmlDeclHandler::externalEntityDecl(const QString&, const QString&, const QString&) [pure virtual]
    {62, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 121, 4},	//791 QXmlDeclHandler::errorString() const [pure virtual]
    {62, 81, 0, 0, Smoke::mf_ctor, 145, 5},	//792 QXmlDeclHandler::QXmlDeclHandler()
    {62, 81, 1029, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 6},	//793 QXmlDeclHandler::QXmlDeclHandler(const QXmlDeclHandler&)
    {62, 756, 0, 0, Smoke::mf_dtor, 0, 7 },	//794 QXmlDeclHandler::~QXmlDeclHandler()
    {63, 83, 0, 0, Smoke::mf_ctor, 146, 1},	//795 QXmlDefaultHandler::QXmlDefaultHandler()
    {63, 613, 1012, 1, Smoke::mf_virtual, 0, 2},	//796 QXmlDefaultHandler::setDocumentLocator(QXmlLocator*)
    {63, 653, 0, 0, Smoke::mf_virtual, 251, 3},	//797 QXmlDefaultHandler::startDocument()
    {63, 195, 0, 0, Smoke::mf_virtual, 251, 4},	//798 QXmlDefaultHandler::endDocument()
    {63, 658, 25, 2, Smoke::mf_virtual, 251, 5},	//799 QXmlDefaultHandler::startPrefixMapping(const QString&, const QString&)
    {63, 200, 3, 1, Smoke::mf_virtual, 251, 6},	//800 QXmlDefaultHandler::endPrefixMapping(const QString&)
    {63, 654, 1014, 4, Smoke::mf_virtual, 251, 7},	//801 QXmlDefaultHandler::startElement(const QString&, const QString&, const QString&, const QXmlAttributes&)
    {63, 196, 218, 3, Smoke::mf_virtual, 251, 8},	//802 QXmlDefaultHandler::endElement(const QString&, const QString&, const QString&)
    {63, 143, 3, 1, Smoke::mf_virtual, 251, 9},	//803 QXmlDefaultHandler::characters(const QString&)
    {63, 233, 3, 1, Smoke::mf_virtual, 251, 10},	//804 QXmlDefaultHandler::ignorableWhitespace(const QString&)
    {63, 378, 25, 2, Smoke::mf_virtual, 251, 11},	//805 QXmlDefaultHandler::processingInstruction(const QString&, const QString&)
    {63, 643, 3, 1, Smoke::mf_virtual, 251, 12},	//806 QXmlDefaultHandler::skippedEntity(const QString&)
    {63, 694, 1031, 1, Smoke::mf_virtual, 251, 13},	//807 QXmlDefaultHandler::warning(const QXmlParseException&)
    {63, 204, 1031, 1, Smoke::mf_virtual, 251, 14},	//808 QXmlDefaultHandler::error(const QXmlParseException&)
    {63, 210, 1031, 1, Smoke::mf_virtual, 251, 15},	//809 QXmlDefaultHandler::fatalError(const QXmlParseException&)
    {63, 295, 218, 3, Smoke::mf_virtual, 251, 16},	//810 QXmlDefaultHandler::notationDecl(const QString&, const QString&, const QString&)
    {63, 686, 1005, 4, Smoke::mf_virtual, 251, 17},	//811 QXmlDefaultHandler::unparsedEntityDecl(const QString&, const QString&, const QString&, const QString&)
    {63, 565, 1033, 3, Smoke::mf_virtual, 251, 18},	//812 QXmlDefaultHandler::resolveEntity(const QString&, const QString&, QXmlInputSource*&)
    {63, 651, 218, 3, Smoke::mf_virtual, 251, 19},	//813 QXmlDefaultHandler::startDTD(const QString&, const QString&, const QString&)
    {63, 194, 0, 0, Smoke::mf_virtual, 251, 20},	//814 QXmlDefaultHandler::endDTD()
    {63, 656, 3, 1, Smoke::mf_virtual, 251, 21},	//815 QXmlDefaultHandler::startEntity(const QString&)
    {63, 198, 3, 1, Smoke::mf_virtual, 251, 22},	//816 QXmlDefaultHandler::endEntity(const QString&)
    {63, 650, 0, 0, Smoke::mf_virtual, 251, 23},	//817 QXmlDefaultHandler::startCDATA()
    {63, 193, 0, 0, Smoke::mf_virtual, 251, 24},	//818 QXmlDefaultHandler::endCDATA()
    {63, 151, 3, 1, Smoke::mf_virtual, 251, 25},	//819 QXmlDefaultHandler::comment(const QString&)
    {63, 131, 1023, 5, Smoke::mf_virtual, 251, 26},	//820 QXmlDefaultHandler::attributeDecl(const QString&, const QString&, const QString&, const QString&, const QString&)
    {63, 249, 25, 2, Smoke::mf_virtual, 251, 27},	//821 QXmlDefaultHandler::internalEntityDecl(const QString&, const QString&)
    {63, 208, 218, 3, Smoke::mf_virtual, 251, 28},	//822 QXmlDefaultHandler::externalEntityDecl(const QString&, const QString&, const QString&)
    {63, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 121, 29},	//823 QXmlDefaultHandler::errorString() const
    {63, 757, 0, 0, Smoke::mf_dtor, 0, 30 },	//824 QXmlDefaultHandler::~QXmlDefaultHandler()
    {64, 565, 1033, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 1},	//825 QXmlEntityResolver::resolveEntity(const QString&, const QString&, QXmlInputSource*&) [pure virtual]
    {64, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 121, 2},	//826 QXmlEntityResolver::errorString() const [pure virtual]
    {64, 84, 0, 0, Smoke::mf_ctor, 147, 3},	//827 QXmlEntityResolver::QXmlEntityResolver()
    {64, 84, 1037, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 147, 4},	//828 QXmlEntityResolver::QXmlEntityResolver(const QXmlEntityResolver&)
    {64, 758, 0, 0, Smoke::mf_dtor, 0, 5 },	//829 QXmlEntityResolver::~QXmlEntityResolver()
    {65, 694, 1031, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 1},	//830 QXmlErrorHandler::warning(const QXmlParseException&) [pure virtual]
    {65, 204, 1031, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 2},	//831 QXmlErrorHandler::error(const QXmlParseException&) [pure virtual]
    {65, 210, 1031, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 3},	//832 QXmlErrorHandler::fatalError(const QXmlParseException&) [pure virtual]
    {65, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 121, 4},	//833 QXmlErrorHandler::errorString() const [pure virtual]
    {65, 86, 0, 0, Smoke::mf_ctor, 148, 5},	//834 QXmlErrorHandler::QXmlErrorHandler()
    {65, 86, 1039, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 148, 6},	//835 QXmlErrorHandler::QXmlErrorHandler(const QXmlErrorHandler&)
    {65, 759, 0, 0, Smoke::mf_dtor, 0, 7 },	//836 QXmlErrorHandler::~QXmlErrorHandler()
    {66, 88, 0, 0, Smoke::mf_ctor, 149, 1},	//837 QXmlInputSource::QXmlInputSource()
    {66, 88, 142, 1, Smoke::mf_ctor, 149, 2},	//838 QXmlInputSource::QXmlInputSource(QIODevice*)
    {66, 606, 3, 1, Smoke::mf_virtual, 0, 3},	//839 QXmlInputSource::setData(const QString&)
    {66, 606, 126, 1, Smoke::mf_virtual, 0, 4},	//840 QXmlInputSource::setData(const QByteArray&)
    {66, 215, 0, 0, Smoke::mf_virtual, 0, 5},	//841 QXmlInputSource::fetchData()
    {66, 180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 121, 6},	//842 QXmlInputSource::data() const
    {66, 287, 0, 0, Smoke::mf_virtual, 8, 7},	//843 QXmlInputSource::next()
    {66, 564, 0, 0, Smoke::mf_virtual, 0, 8},	//844 QXmlInputSource::reset()
    {66, 219, 78, 2, Smoke::mf_protected|Smoke::mf_virtual, 121, 9},	//845 QXmlInputSource::fromRawData(const QByteArray&, bool)
    {66, 88, 1041, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 149, 10},	//846 QXmlInputSource::QXmlInputSource(const QXmlInputSource&)
    {66, 219, 126, 1, Smoke::mf_protected, 121, 11},	//847 QXmlInputSource::fromRawData(const QByteArray&)
    {66, 15, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 330, 12},	//848 QXmlInputSource::EndOfData() const
    {66, 16, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 330, 13},	//849 QXmlInputSource::EndOfDocument() const
    {66, 760, 0, 0, Smoke::mf_dtor, 0, 14 },	//850 QXmlInputSource::~QXmlInputSource()
    {67, 651, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 1},	//851 QXmlLexicalHandler::startDTD(const QString&, const QString&, const QString&) [pure virtual]
    {67, 194, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 2},	//852 QXmlLexicalHandler::endDTD() [pure virtual]
    {67, 656, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 3},	//853 QXmlLexicalHandler::startEntity(const QString&) [pure virtual]
    {67, 198, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 4},	//854 QXmlLexicalHandler::endEntity(const QString&) [pure virtual]
    {67, 650, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 5},	//855 QXmlLexicalHandler::startCDATA() [pure virtual]
    {67, 193, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 6},	//856 QXmlLexicalHandler::endCDATA() [pure virtual]
    {67, 151, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 7},	//857 QXmlLexicalHandler::comment(const QString&) [pure virtual]
    {67, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 121, 8},	//858 QXmlLexicalHandler::errorString() const [pure virtual]
    {67, 90, 0, 0, Smoke::mf_ctor, 151, 9},	//859 QXmlLexicalHandler::QXmlLexicalHandler()
    {67, 90, 1043, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 151, 10},	//860 QXmlLexicalHandler::QXmlLexicalHandler(const QXmlLexicalHandler&)
    {67, 761, 0, 0, Smoke::mf_dtor, 0, 11 },	//861 QXmlLexicalHandler::~QXmlLexicalHandler()
    {68, 92, 0, 0, Smoke::mf_ctor, 152, 1},	//862 QXmlLocator::QXmlLocator()
    {68, 150, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 334, 2},	//863 QXmlLocator::columnNumber() const [pure virtual]
    {68, 277, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 334, 3},	//864 QXmlLocator::lineNumber() const [pure virtual]
    {68, 92, 1045, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 152, 4},	//865 QXmlLocator::QXmlLocator(const QXmlLocator&)
    {68, 762, 0, 0, Smoke::mf_dtor, 0, 5 },	//866 QXmlLocator::~QXmlLocator()
    {69, 94, 0, 0, Smoke::mf_ctor, 153, 1},	//867 QXmlNamespaceSupport::QXmlNamespaceSupport()
    {69, 633, 25, 2, 0, 0, 2},	//868 QXmlNamespaceSupport::setPrefix(const QString&, const QString&)
    {69, 369, 3, 1, Smoke::mf_const, 121, 3},	//869 QXmlNamespaceSupport::prefix(const QString&) const
    {69, 688, 3, 1, Smoke::mf_const, 121, 4},	//870 QXmlNamespaceSupport::uri(const QString&) const
    {69, 646, 1047, 3, Smoke::mf_const, 0, 5},	//871 QXmlNamespaceSupport::splitName(const QString&, QString&, QString&) const
    {69, 376, 1051, 4, Smoke::mf_const, 0, 6},	//872 QXmlNamespaceSupport::processName(const QString&, bool, QString&, QString&) const
    {69, 371, 0, 0, Smoke::mf_const, 126, 7},	//873 QXmlNamespaceSupport::prefixes() const
    {69, 371, 3, 1, Smoke::mf_const, 126, 8},	//874 QXmlNamespaceSupport::prefixes(const QString&) const
    {69, 384, 0, 0, 0, 0, 9},	//875 QXmlNamespaceSupport::pushContext()
    {69, 368, 0, 0, 0, 0, 10},	//876 QXmlNamespaceSupport::popContext()
    {69, 564, 0, 0, 0, 0, 11},	//877 QXmlNamespaceSupport::reset()
    {69, 763, 0, 0, Smoke::mf_dtor, 0, 12 },	//878 QXmlNamespaceSupport::~QXmlNamespaceSupport()
    {70, 95, 1056, 5, Smoke::mf_ctor, 154, 1},	//879 QXmlParseException::QXmlParseException(const QString&, int, int, const QString&, const QString&)
    {70, 95, 1031, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 154, 2},	//880 QXmlParseException::QXmlParseException(const QXmlParseException&)
    {70, 150, 0, 0, Smoke::mf_const, 334, 3},	//881 QXmlParseException::columnNumber() const
    {70, 277, 0, 0, Smoke::mf_const, 334, 4},	//882 QXmlParseException::lineNumber() const
    {70, 383, 0, 0, Smoke::mf_const, 121, 5},	//883 QXmlParseException::publicId() const
    {70, 662, 0, 0, Smoke::mf_const, 121, 6},	//884 QXmlParseException::systemId() const
    {70, 280, 0, 0, Smoke::mf_const, 121, 7},	//885 QXmlParseException::message() const
    {70, 95, 0, 0, Smoke::mf_ctor, 154, 8},	//886 QXmlParseException::QXmlParseException()
    {70, 95, 3, 1, Smoke::mf_ctor, 154, 9},	//887 QXmlParseException::QXmlParseException(const QString&)
    {70, 95, 173, 2, Smoke::mf_ctor, 154, 10},	//888 QXmlParseException::QXmlParseException(const QString&, int)
    {70, 95, 1062, 3, Smoke::mf_ctor, 154, 11},	//889 QXmlParseException::QXmlParseException(const QString&, int, int)
    {70, 95, 1066, 4, Smoke::mf_ctor, 154, 12},	//890 QXmlParseException::QXmlParseException(const QString&, int, int, const QString&)
    {70, 764, 0, 0, Smoke::mf_dtor, 0, 13 },	//891 QXmlParseException::~QXmlParseException()
    {71, 212, 1071, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 1},	//892 QXmlReader::feature(const QString&, bool*) const [pure virtual]
    {71, 619, 90, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//893 QXmlReader::setFeature(const QString&, bool) [pure virtual]
    {71, 228, 3, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 3},	//894 QXmlReader::hasFeature(const QString&) const [pure virtual]
    {71, 380, 1071, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 350, 4},	//895 QXmlReader::property(const QString&, bool*) const [pure virtual]
    {71, 636, 1074, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//896 QXmlReader::setProperty(const QString&, void*) [pure virtual]
    {71, 231, 3, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 6},	//897 QXmlReader::hasProperty(const QString&) const [pure virtual]
    {71, 615, 1077, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 7},	//898 QXmlReader::setEntityResolver(QXmlEntityResolver*) [pure virtual]
    {71, 203, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 147, 8},	//899 QXmlReader::entityResolver() const [pure virtual]
    {71, 604, 1079, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//900 QXmlReader::setDTDHandler(QXmlDTDHandler*) [pure virtual]
    {71, 7, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 144, 10},	//901 QXmlReader::DTDHandler() const [pure virtual]
    {71, 602, 1081, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//902 QXmlReader::setContentHandler(QXmlContentHandler*) [pure virtual]
    {71, 155, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 143, 12},	//903 QXmlReader::contentHandler() const [pure virtual]
    {71, 617, 1083, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//904 QXmlReader::setErrorHandler(QXmlErrorHandler*) [pure virtual]
    {71, 206, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 148, 14},	//905 QXmlReader::errorHandler() const [pure virtual]
    {71, 625, 1085, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//906 QXmlReader::setLexicalHandler(QXmlLexicalHandler*) [pure virtual]
    {71, 276, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 151, 16},	//907 QXmlReader::lexicalHandler() const [pure virtual]
    {71, 609, 1087, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//908 QXmlReader::setDeclHandler(QXmlDeclHandler*) [pure virtual]
    {71, 181, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 145, 18},	//909 QXmlReader::declHandler() const [pure virtual]
    {71, 364, 1041, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 19},	//910 QXmlReader::parse(const QXmlInputSource&) [pure virtual]
    {71, 364, 1089, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 251, 20},	//911 QXmlReader::parse(const QXmlInputSource*) [pure virtual]
    {71, 102, 0, 0, Smoke::mf_ctor, 155, 21},	//912 QXmlReader::QXmlReader()
    {71, 102, 1091, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 155, 22},	//913 QXmlReader::QXmlReader(const QXmlReader&)
    {71, 212, 3, 1, Smoke::mf_const, 251, 23},	//914 QXmlReader::feature(const QString&) const
    {71, 380, 3, 1, Smoke::mf_const, 350, 24},	//915 QXmlReader::property(const QString&) const
    {71, 765, 0, 0, Smoke::mf_dtor, 0, 25 },	//916 QXmlReader::~QXmlReader()
    {72, 104, 0, 0, Smoke::mf_ctor, 156, 1},	//917 QXmlSimpleReader::QXmlSimpleReader()
    {72, 212, 1071, 2, Smoke::mf_const|Smoke::mf_virtual, 251, 2},	//918 QXmlSimpleReader::feature(const QString&, bool*) const
    {72, 619, 90, 2, Smoke::mf_virtual, 0, 3},	//919 QXmlSimpleReader::setFeature(const QString&, bool)
    {72, 228, 3, 1, Smoke::mf_const|Smoke::mf_virtual, 251, 4},	//920 QXmlSimpleReader::hasFeature(const QString&) const
    {72, 380, 1071, 2, Smoke::mf_const|Smoke::mf_virtual, 350, 5},	//921 QXmlSimpleReader::property(const QString&, bool*) const
    {72, 636, 1074, 2, Smoke::mf_virtual, 0, 6},	//922 QXmlSimpleReader::setProperty(const QString&, void*)
    {72, 231, 3, 1, Smoke::mf_const|Smoke::mf_virtual, 251, 7},	//923 QXmlSimpleReader::hasProperty(const QString&) const
    {72, 615, 1077, 1, Smoke::mf_virtual, 0, 8},	//924 QXmlSimpleReader::setEntityResolver(QXmlEntityResolver*)
    {72, 203, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 147, 9},	//925 QXmlSimpleReader::entityResolver() const
    {72, 604, 1079, 1, Smoke::mf_virtual, 0, 10},	//926 QXmlSimpleReader::setDTDHandler(QXmlDTDHandler*)
    {72, 7, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 144, 11},	//927 QXmlSimpleReader::DTDHandler() const
    {72, 602, 1081, 1, Smoke::mf_virtual, 0, 12},	//928 QXmlSimpleReader::setContentHandler(QXmlContentHandler*)
    {72, 155, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 143, 13},	//929 QXmlSimpleReader::contentHandler() const
    {72, 617, 1083, 1, Smoke::mf_virtual, 0, 14},	//930 QXmlSimpleReader::setErrorHandler(QXmlErrorHandler*)
    {72, 206, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 148, 15},	//931 QXmlSimpleReader::errorHandler() const
    {72, 625, 1085, 1, Smoke::mf_virtual, 0, 16},	//932 QXmlSimpleReader::setLexicalHandler(QXmlLexicalHandler*)
    {72, 276, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 151, 17},	//933 QXmlSimpleReader::lexicalHandler() const
    {72, 609, 1087, 1, Smoke::mf_virtual, 0, 18},	//934 QXmlSimpleReader::setDeclHandler(QXmlDeclHandler*)
    {72, 181, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 145, 19},	//935 QXmlSimpleReader::declHandler() const
    {72, 364, 1041, 1, Smoke::mf_virtual, 251, 20},	//936 QXmlSimpleReader::parse(const QXmlInputSource&)
    {72, 364, 1089, 1, Smoke::mf_virtual, 251, 21},	//937 QXmlSimpleReader::parse(const QXmlInputSource*)
    {72, 364, 1093, 2, Smoke::mf_virtual, 251, 22},	//938 QXmlSimpleReader::parse(const QXmlInputSource*, bool)
    {72, 367, 0, 0, Smoke::mf_virtual, 251, 23},	//939 QXmlSimpleReader::parseContinue()
    {72, 212, 3, 1, Smoke::mf_const, 251, 24},	//940 QXmlSimpleReader::feature(const QString&) const
    {72, 380, 3, 1, Smoke::mf_const, 350, 25},	//941 QXmlSimpleReader::property(const QString&) const
    {72, 766, 0, 0, Smoke::mf_dtor, 0, 26 },	//942 QXmlSimpleReader::~QXmlSimpleReader()
    {76, 105, 0, 0, Smoke::mf_ctor, 157, 1},	//943 QXmlStreamWriter::QXmlStreamWriter()
    {76, 105, 142, 1, Smoke::mf_ctor, 157, 2},	//944 QXmlStreamWriter::QXmlStreamWriter(QIODevice*)
    {76, 105, 1096, 1, Smoke::mf_ctor, 157, 3},	//945 QXmlStreamWriter::QXmlStreamWriter(QByteArray*)
    {76, 105, 1098, 1, Smoke::mf_ctor, 157, 4},	//946 QXmlStreamWriter::QXmlStreamWriter(QString*)
    {76, 611, 142, 1, 0, 0, 5},	//947 QXmlStreamWriter::setDevice(QIODevice*)
    {76, 184, 0, 0, Smoke::mf_const, 103, 6},	//948 QXmlStreamWriter::device() const
    {76, 584, 1100, 1, 0, 0, 7},	//949 QXmlStreamWriter::setCodec(QTextCodec*)
    {76, 584, 288, 1, 0, 0, 8},	//950 QXmlStreamWriter::setCodec(const char*)
    {76, 149, 0, 0, Smoke::mf_const, 129, 9},	//951 QXmlStreamWriter::codec() const
    {76, 580, 235, 1, 0, 0, 10},	//952 QXmlStreamWriter::setAutoFormatting(bool)
    {76, 141, 0, 0, Smoke::mf_const, 251, 11},	//953 QXmlStreamWriter::autoFormatting() const
    {76, 582, 76, 1, 0, 0, 12},	//954 QXmlStreamWriter::setAutoFormattingIndent(int)
    {76, 142, 0, 0, Smoke::mf_const, 334, 13},	//955 QXmlStreamWriter::autoFormattingIndent() const
    {76, 696, 25, 2, 0, 0, 14},	//956 QXmlStreamWriter::writeAttribute(const QString&, const QString&)
    {76, 696, 218, 3, 0, 0, 15},	//957 QXmlStreamWriter::writeAttribute(const QString&, const QString&, const QString&)
    {76, 696, 1102, 1, 0, 0, 16},	//958 QXmlStreamWriter::writeAttribute(const QXmlStreamAttribute&)
    {76, 700, 1104, 1, 0, 0, 17},	//959 QXmlStreamWriter::writeAttributes(const QXmlStreamAttributes&)
    {76, 702, 3, 1, 0, 0, 18},	//960 QXmlStreamWriter::writeCDATA(const QString&)
    {76, 704, 3, 1, 0, 0, 19},	//961 QXmlStreamWriter::writeCharacters(const QString&)
    {76, 706, 3, 1, 0, 0, 20},	//962 QXmlStreamWriter::writeComment(const QString&)
    {76, 710, 3, 1, 0, 0, 21},	//963 QXmlStreamWriter::writeDTD(const QString&)
    {76, 714, 3, 1, 0, 0, 22},	//964 QXmlStreamWriter::writeEmptyElement(const QString&)
    {76, 714, 25, 2, 0, 0, 23},	//965 QXmlStreamWriter::writeEmptyElement(const QString&, const QString&)
    {76, 733, 25, 2, 0, 0, 24},	//966 QXmlStreamWriter::writeTextElement(const QString&, const QString&)
    {76, 733, 218, 3, 0, 0, 25},	//967 QXmlStreamWriter::writeTextElement(const QString&, const QString&, const QString&)
    {76, 717, 0, 0, 0, 0, 26},	//968 QXmlStreamWriter::writeEndDocument()
    {76, 718, 0, 0, 0, 0, 27},	//969 QXmlStreamWriter::writeEndElement()
    {76, 719, 3, 1, 0, 0, 28},	//970 QXmlStreamWriter::writeEntityReference(const QString&)
    {76, 721, 25, 2, 0, 0, 29},	//971 QXmlStreamWriter::writeNamespace(const QString&, const QString&)
    {76, 712, 3, 1, 0, 0, 30},	//972 QXmlStreamWriter::writeDefaultNamespace(const QString&)
    {76, 724, 25, 2, 0, 0, 31},	//973 QXmlStreamWriter::writeProcessingInstruction(const QString&, const QString&)
    {76, 727, 0, 0, 0, 0, 32},	//974 QXmlStreamWriter::writeStartDocument()
    {76, 727, 3, 1, 0, 0, 33},	//975 QXmlStreamWriter::writeStartDocument(const QString&)
    {76, 727, 90, 2, 0, 0, 34},	//976 QXmlStreamWriter::writeStartDocument(const QString&, bool)
    {76, 730, 3, 1, 0, 0, 35},	//977 QXmlStreamWriter::writeStartElement(const QString&)
    {76, 730, 25, 2, 0, 0, 36},	//978 QXmlStreamWriter::writeStartElement(const QString&, const QString&)
    {76, 708, 1106, 1, 0, 0, 37},	//979 QXmlStreamWriter::writeCurrentToken(const QXmlStreamReader&)
    {76, 721, 3, 1, 0, 0, 38},	//980 QXmlStreamWriter::writeNamespace(const QString&)
    {76, 724, 3, 1, 0, 0, 39},	//981 QXmlStreamWriter::writeProcessingInstruction(const QString&)
    {76, 767, 0, 0, Smoke::mf_dtor, 0, 40 },	//982 QXmlStreamWriter::~QXmlStreamWriter()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    936,  // QXmlSimpleReader::parse(const QXmlInputSource&)
    937,  // QXmlSimpleReader::parse(const QXmlInputSource*)
    0,
    346,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    352,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    356,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    366,  // QGlobalSpace::operator!=(QChar, QChar)
    389,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    396,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    409,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    410,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    439,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    453,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    467,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    481,  // QGlobalSpace::operator!=(QBool, QBool)
    491,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    521,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    558,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    678,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    0,
    515,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    541,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    617,  // QGlobalSpace::operator!=(QBool, bool)
    637,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    705,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    0,
    347,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    391,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    483,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    543,  // QGlobalSpace::operator!=(bool, QBool)
    553,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    653,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    0,
    330,  // QGlobalSpace::operator*(const QSizeF&, double)
    403,  // QGlobalSpace::operator*(const QPointF&, double)
    504,  // QGlobalSpace::operator*(const QSize&, double)
    629,  // QGlobalSpace::operator*(const QPoint&, double)
    0,
    454,  // QGlobalSpace::operator*(double, const QSize&)
    572,  // QGlobalSpace::operator*(double, const QPointF&)
    636,  // QGlobalSpace::operator*(double, const QPoint&)
    687,  // QGlobalSpace::operator*(double, const QSizeF&)
    0,
    349,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    568,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    597,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    635,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    716,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    0,
    341,  // QGlobalSpace::operator+(QChar, const QString&)
    548,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    569,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    593,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    348,  // QGlobalSpace::operator+(const QString&, QChar)
    390,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    589,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    607,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    464,  // QGlobalSpace::operator+(const char*, const QString&)
    482,  // QGlobalSpace::operator+(const QString&, char)
    608,  // QGlobalSpace::operator+(const QString&, const char*)
    616,  // QGlobalSpace::operator+(const QString&, const QString&)
    712,  // QGlobalSpace::operator+(char, const QString&)
    0,
    460,  // QGlobalSpace::operator-(const QPointF&)
    475,  // QGlobalSpace::operator-(const QPoint&)
    0,
    369,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    507,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    648,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    662,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    0,
    469,  // QGlobalSpace::operator/(const QSizeF&, double)
    487,  // QGlobalSpace::operator/(const QPointF&, double)
    512,  // QGlobalSpace::operator/(const QPoint&, double)
    649,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    480,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    610,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    659,  // QGlobalSpace::operator<(QChar, QChar)
    686,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    397,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    542,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    331,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    353,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    355,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    370,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    378,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    387,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    404,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    423,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    424,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    425,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    436,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    452,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    466,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    471,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    474,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    477,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    492,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    501,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    506,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    514,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    524,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    540,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    557,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    567,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    574,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    575,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    583,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    584,  // QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    588,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    598,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    601,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    606,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    621,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    630,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    639,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    643,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    671,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    672,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    675,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    689,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    713,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    0,
    338,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    375,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    416,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    550,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    699,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    0,
    343,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    344,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    402,  // QGlobalSpace::operator<=(QChar, QChar)
    412,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    0,
    448,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    465,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    337,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    339,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    351,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    359,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    405,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    408,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    430,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    485,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    525,  // QGlobalSpace::operator==(QBool, QBool)
    547,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    562,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    585,  // QGlobalSpace::operator==(QChar, QChar)
    603,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    618,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    640,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    691,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    694,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    0,
    493,  // QGlobalSpace::operator==(QString::Null, const QString&)
    536,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    625,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    700,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    704,  // QGlobalSpace::operator==(QBool, bool)
    0,
    377,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    434,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    443,  // QGlobalSpace::operator==(const QString&, QString::Null)
    519,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    530,  // QGlobalSpace::operator==(bool, QBool)
    564,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    0,
    388,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    426,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    468,  // QGlobalSpace::operator>(QChar, QChar)
    582,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    421,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    431,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    400,  // QGlobalSpace::operator>=(QChar, QChar)
    427,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    479,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    688,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    0,
    323,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    650,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    321,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    324,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    335,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    362,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    368,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    411,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    417,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    451,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    499,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    503,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    509,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    526,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    528,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    533,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    552,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    576,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    580,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    633,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    668,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    708,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    0,
    522,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    669,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    319,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    322,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    326,  // QGlobalSpace::operator|(Qt::WindowType, int)
    336,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    354,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    364,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    371,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    379,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    381,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    385,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    393,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    401,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    406,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    418,  // QGlobalSpace::operator|(Qt::DropAction, int)
    420,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    429,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    435,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    437,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    438,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    441,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    442,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    444,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    446,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    449,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    450,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    455,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    458,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    461,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    463,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    470,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    478,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    489,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    497,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    498,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    508,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    510,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    517,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    520,  // QGlobalSpace::operator|(Qt::WindowState, int)
    529,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    531,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    539,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    545,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    549,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    551,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    555,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    561,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    563,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    565,  // QGlobalSpace::operator|(QFile::Permission, int)
    581,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    591,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    592,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    594,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    596,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    600,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    602,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    605,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    609,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    614,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    622,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    628,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    634,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    641,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    645,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    646,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    651,  // QGlobalSpace::operator|(QDir::Filter, int)
    652,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    657,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    660,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    661,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    666,  // QGlobalSpace::operator|(Qt::Orientation, int)
    667,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    674,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    676,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    679,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    683,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    684,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    685,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    693,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    695,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    696,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    698,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    701,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    702,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    710,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    711,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    715,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    717,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    0,
    447,  // QGlobalSpace::qFuzzyCompare(double, double)
    500,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    532,  // QGlobalSpace::qFuzzyIsNull(double)
    670,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    392,  // QGlobalSpace::qHash(const QBitArray&)
    538,  // QGlobalSpace::qHash(QChar)
    579,  // QGlobalSpace::qHash(const QStringRef&)
    673,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    690,  // QGlobalSpace::qHash(const QByteArray&)
    692,  // QGlobalSpace::qHash(const QModelIndex&)
    0,
    328,  // QGlobalSpace::qHash(unsigned int)
    329,  // QGlobalSpace::qHash(char)
    357,  // QGlobalSpace::qHash(unsigned char)
    376,  // QGlobalSpace::qHash(short)
    384,  // QGlobalSpace::qHash(long)
    433,  // QGlobalSpace::qHash(unsigned short)
    516,  // QGlobalSpace::qHash(int)
    560,  // QGlobalSpace::qHash(signed char)
    615,  // QGlobalSpace::qHash(const QString&)
    656,  // QGlobalSpace::qHash(unsigned long)
    0,
    457,  // QGlobalSpace::qHash(long long)
    484,  // QGlobalSpace::qHash(unsigned long long)
    0,
    428,  // QGlobalSpace::qIntCast(float)
    488,  // QGlobalSpace::qIntCast(double)
    0,
    380,  // QGlobalSpace::qIsFinite(double)
    714,  // QGlobalSpace::qIsFinite(float)
    0,
    462,  // QGlobalSpace::qIsInf(float)
    647,  // QGlobalSpace::qIsInf(double)
    0,
    620,  // QGlobalSpace::qIsNaN(float)
    627,  // QGlobalSpace::qIsNaN(double)
    0,
    363,  // QGlobalSpace::qIsNull(float)
    664,  // QGlobalSpace::qIsNull(double)
    0,
    838,  // QXmlInputSource::QXmlInputSource(QIODevice*)
    846,  // QXmlInputSource::QXmlInputSource(const QXmlInputSource&)
    0,
    756,  // QXmlAttributes::type(int) const
    757,  // QXmlAttributes::type(const QString&) const
    0,
    759,  // QXmlAttributes::value(int) const
    760,  // QXmlAttributes::value(const QString&) const
    0,
    910,  // QXmlReader::parse(const QXmlInputSource&)
    911,  // QXmlReader::parse(const QXmlInputSource*)
    0,
    944,  // QXmlStreamWriter::QXmlStreamWriter(QIODevice*)
    945,  // QXmlStreamWriter::QXmlStreamWriter(QByteArray*)
    0,
    114,  // QDomElement::setAttribute(const QString&, const QString&)
    117,  // QDomElement::setAttribute(const QString&, int)
    118,  // QDomElement::setAttribute(const QString&, unsigned int)
    119,  // QDomElement::setAttribute(const QString&, float)
    120,  // QDomElement::setAttribute(const QString&, double)
    0,
    115,  // QDomElement::setAttribute(const QString&, long long)
    116,  // QDomElement::setAttribute(const QString&, unsigned long long)
    0,
    128,  // QDomElement::setAttributeNS(const QString, const QString&, const QString&)
    129,  // QDomElement::setAttributeNS(const QString, const QString&, int)
    130,  // QDomElement::setAttributeNS(const QString, const QString&, unsigned int)
    133,  // QDomElement::setAttributeNS(const QString, const QString&, double)
    0,
    131,  // QDomElement::setAttributeNS(const QString, const QString&, long long)
    132,  // QDomElement::setAttributeNS(const QString, const QString&, unsigned long long)
    0,
    36,  // QDomDocument::QDomDocument(const QDomDocumentType&)
    37,  // QDomDocument::QDomDocument(const QDomDocument&)
    0,
    79,  // QDomDocument::setContent(const QByteArray&)
    85,  // QDomDocument::setContent(QIODevice*)
    0,
    67,  // QDomDocument::setContent(const QByteArray&, bool)
    73,  // QDomDocument::setContent(QIODevice*, bool)
    76,  // QDomDocument::setContent(QXmlInputSource*, bool)
    80,  // QDomDocument::setContent(const QByteArray&, QString*)
    86,  // QDomDocument::setContent(QIODevice*, QString*)
    0,
    68,  // QDomDocument::setContent(const QByteArray&, bool, QString*)
    74,  // QDomDocument::setContent(QIODevice*, bool, QString*)
    77,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*)
    81,  // QDomDocument::setContent(const QByteArray&, QString*, int*)
    87,  // QDomDocument::setContent(QIODevice*, QString*, int*)
    0,
    61,  // QDomDocument::setContent(const QByteArray&, QString*, int*, int*)
    63,  // QDomDocument::setContent(QIODevice*, QString*, int*, int*)
    69,  // QDomDocument::setContent(const QByteArray&, bool, QString*, int*)
    75,  // QDomDocument::setContent(QIODevice*, bool, QString*, int*)
    78,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*)
    0,
    57,  // QDomDocument::setContent(const QByteArray&, bool, QString*, int*, int*)
    59,  // QDomDocument::setContent(QIODevice*, bool, QString*, int*, int*)
    60,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*, int*)
    0,
    70,  // QDomDocument::setContent(const QString&, bool)
    83,  // QDomDocument::setContent(const QString&, QString*)
    0,
    71,  // QDomDocument::setContent(const QString&, bool, QString*)
    84,  // QDomDocument::setContent(const QString&, QString*, int*)
    0,
    62,  // QDomDocument::setContent(const QString&, QString*, int*, int*)
    72,  // QDomDocument::setContent(const QString&, bool, QString*, int*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {10, 40, 1},	// QDomAttr::QDomAttr
    {10, 41, 2},	// QDomAttr::QDomAttr#
    {10, 281, 4},	// QDomAttr::name
    {10, 292, 9},	// QDomAttr::nodeType
    {10, 335, 3},	// QDomAttr::operator=#
    {10, 362, 6},	// QDomAttr::ownerElement
    {10, 641, 8},	// QDomAttr::setValue$
    {10, 645, 5},	// QDomAttr::specified
    {10, 690, 7},	// QDomAttr::value
    {10, 736, 10},	// QDomAttr::~QDomAttr
    {11, 42, 11},	// QDomCDATASection::QDomCDATASection
    {11, 43, 12},	// QDomCDATASection::QDomCDATASection#
    {11, 292, 14},	// QDomCDATASection::nodeType
    {11, 335, 13},	// QDomCDATASection::operator=#
    {11, 737, 15},	// QDomCDATASection::~QDomCDATASection
    {12, 44, 16},	// QDomCharacterData::QDomCharacterData
    {12, 45, 17},	// QDomCharacterData::QDomCharacterData#
    {12, 125, 20},	// QDomCharacterData::appendData$
    {12, 180, 25},	// QDomCharacterData::data
    {12, 183, 22},	// QDomCharacterData::deleteData$$
    {12, 248, 21},	// QDomCharacterData::insertData$$
    {12, 275, 24},	// QDomCharacterData::length
    {12, 292, 27},	// QDomCharacterData::nodeType
    {12, 335, 18},	// QDomCharacterData::operator=#
    {12, 563, 23},	// QDomCharacterData::replaceData$$$
    {12, 608, 26},	// QDomCharacterData::setData$
    {12, 661, 19},	// QDomCharacterData::substringData$$
    {12, 738, 28},	// QDomCharacterData::~QDomCharacterData
    {13, 46, 29},	// QDomComment::QDomComment
    {13, 47, 30},	// QDomComment::QDomComment#
    {13, 292, 32},	// QDomComment::nodeType
    {13, 335, 31},	// QDomComment::operator=#
    {13, 739, 33},	// QDomComment::~QDomComment
    {14, 48, 34},	// QDomDocument::QDomDocument
    {14, 49, -376},	// QDomDocument::QDomDocument#
    {14, 50, 35},	// QDomDocument::QDomDocument$
    {14, 158, 45},	// QDomDocument::createAttribute$
    {14, 160, 50},	// QDomDocument::createAttributeNS$$
    {14, 162, 43},	// QDomDocument::createCDATASection$
    {14, 164, 42},	// QDomDocument::createComment$
    {14, 167, 40},	// QDomDocument::createDocumentFragment
    {14, 171, 39},	// QDomDocument::createElement$
    {14, 173, 49},	// QDomDocument::createElementNS$$
    {14, 175, 46},	// QDomDocument::createEntityReference$
    {14, 177, 44},	// QDomDocument::createProcessingInstruction$$
    {14, 179, 41},	// QDomDocument::createTextNode$
    {14, 185, 53},	// QDomDocument::doctype
    {14, 186, 55},	// QDomDocument::documentElement
    {14, 188, 52},	// QDomDocument::elementById$
    {14, 190, 47},	// QDomDocument::elementsByTagName$
    {14, 192, 51},	// QDomDocument::elementsByTagNameNS$$
    {14, 236, 54},	// QDomDocument::implementation
    {14, 238, 48},	// QDomDocument::importNode#$
    {14, 292, 56},	// QDomDocument::nodeType
    {14, 335, 38},	// QDomDocument::operator=#
    {14, 588, -379},	// QDomDocument::setContent#
    {14, 589, 88},	// QDomDocument::setContent##
    {14, 590, 89},	// QDomDocument::setContent##$
    {14, 591, 90},	// QDomDocument::setContent##$$
    {14, 592, 64},	// QDomDocument::setContent##$$$
    {14, 593, -382},	// QDomDocument::setContent#$
    {14, 594, -388},	// QDomDocument::setContent#$$
    {14, 595, -394},	// QDomDocument::setContent#$$$
    {14, 596, -400},	// QDomDocument::setContent#$$$$
    {14, 597, 82},	// QDomDocument::setContent$
    {14, 598, -404},	// QDomDocument::setContent$$
    {14, 599, -407},	// QDomDocument::setContent$$$
    {14, 600, -410},	// QDomDocument::setContent$$$$
    {14, 601, 58},	// QDomDocument::setContent$$$$$
    {14, 667, 92},	// QDomDocument::toByteArray
    {14, 668, 66},	// QDomDocument::toByteArray$
    {14, 680, 91},	// QDomDocument::toString
    {14, 681, 65},	// QDomDocument::toString$
    {14, 740, 93},	// QDomDocument::~QDomDocument
    {15, 51, 94},	// QDomDocumentFragment::QDomDocumentFragment
    {15, 52, 95},	// QDomDocumentFragment::QDomDocumentFragment#
    {15, 292, 97},	// QDomDocumentFragment::nodeType
    {15, 335, 96},	// QDomDocumentFragment::operator=#
    {15, 741, 98},	// QDomDocumentFragment::~QDomDocumentFragment
    {16, 53, 99},	// QDomDocumentType::QDomDocumentType
    {16, 54, 100},	// QDomDocumentType::QDomDocumentType#
    {16, 202, 103},	// QDomDocumentType::entities
    {16, 251, 107},	// QDomDocumentType::internalSubset
    {16, 281, 102},	// QDomDocumentType::name
    {16, 292, 108},	// QDomDocumentType::nodeType
    {16, 298, 104},	// QDomDocumentType::notations
    {16, 335, 101},	// QDomDocumentType::operator=#
    {16, 383, 105},	// QDomDocumentType::publicId
    {16, 662, 106},	// QDomDocumentType::systemId
    {16, 742, 109},	// QDomDocumentType::~QDomDocumentType
    {17, 55, 110},	// QDomElement::QDomElement
    {17, 56, 111},	// QDomElement::QDomElement#
    {17, 129, 144},	// QDomElement::attribute$
    {17, 130, 113},	// QDomElement::attribute$$
    {17, 134, 145},	// QDomElement::attributeNS$$
    {17, 135, 127},	// QDomElement::attributeNS$$$
    {17, 137, 122},	// QDomElement::attributeNode$
    {17, 139, 135},	// QDomElement::attributeNodeNS$$
    {17, 140, 141},	// QDomElement::attributes
    {17, 190, 125},	// QDomElement::elementsByTagName$
    {17, 192, 137},	// QDomElement::elementsByTagNameNS$$
    {17, 223, 126},	// QDomElement::hasAttribute$
    {17, 225, 138},	// QDomElement::hasAttributeNS$$
    {17, 292, 142},	// QDomElement::nodeType
    {17, 335, 112},	// QDomElement::operator=#
    {17, 549, 121},	// QDomElement::removeAttribute$
    {17, 551, 134},	// QDomElement::removeAttributeNS$$
    {17, 553, 124},	// QDomElement::removeAttributeNode#
    {17, 571, -359},	// QDomElement::setAttribute$$
    {17, 572, -365},	// QDomElement::setAttribute$?
    {17, 574, -368},	// QDomElement::setAttributeNS$$$
    {17, 575, -373},	// QDomElement::setAttributeNS$$?
    {17, 577, 123},	// QDomElement::setAttributeNode#
    {17, 579, 136},	// QDomElement::setAttributeNodeNS#
    {17, 639, 140},	// QDomElement::setTagName$
    {17, 663, 139},	// QDomElement::tagName
    {17, 665, 143},	// QDomElement::text
    {17, 743, 146},	// QDomElement::~QDomElement
    {18, 57, 147},	// QDomEntity::QDomEntity
    {18, 58, 148},	// QDomEntity::QDomEntity#
    {18, 292, 153},	// QDomEntity::nodeType
    {18, 297, 152},	// QDomEntity::notationName
    {18, 335, 149},	// QDomEntity::operator=#
    {18, 383, 150},	// QDomEntity::publicId
    {18, 662, 151},	// QDomEntity::systemId
    {18, 744, 154},	// QDomEntity::~QDomEntity
    {19, 59, 155},	// QDomEntityReference::QDomEntityReference
    {19, 60, 156},	// QDomEntityReference::QDomEntityReference#
    {19, 292, 158},	// QDomEntityReference::nodeType
    {19, 335, 157},	// QDomEntityReference::operator=#
    {19, 745, 159},	// QDomEntityReference::~QDomEntityReference
    {20, 1, 171},	// QDomImplementation::AcceptInvalidChars
    {20, 11, 172},	// QDomImplementation::DropInvalidChars
    {20, 61, 160},	// QDomImplementation::QDomImplementation
    {20, 62, 161},	// QDomImplementation::QDomImplementation#
    {20, 118, 173},	// QDomImplementation::ReturnNullNode
    {20, 166, 167},	// QDomImplementation::createDocument$$#
    {20, 169, 166},	// QDomImplementation::createDocumentType$$$
    {20, 230, 165},	// QDomImplementation::hasFeature$$
    {20, 252, 168},	// QDomImplementation::invalidDataPolicy
    {20, 265, 170},	// QDomImplementation::isNull
    {20, 300, 164},	// QDomImplementation::operator!=#
    {20, 335, 162},	// QDomImplementation::operator=#
    {20, 337, 163},	// QDomImplementation::operator==#
    {20, 624, 169},	// QDomImplementation::setInvalidDataPolicy$
    {20, 746, 174},	// QDomImplementation::~QDomImplementation
    {21, 63, 175},	// QDomNamedNodeMap::QDomNamedNodeMap
    {21, 64, 176},	// QDomNamedNodeMap::QDomNamedNodeMap#
    {21, 154, 191},	// QDomNamedNodeMap::contains$
    {21, 156, 188},	// QDomNamedNodeMap::count
    {21, 261, 190},	// QDomNamedNodeMap::isEmpty
    {21, 271, 183},	// QDomNamedNodeMap::item$
    {21, 275, 187},	// QDomNamedNodeMap::length
    {21, 283, 180},	// QDomNamedNodeMap::namedItem$
    {21, 285, 184},	// QDomNamedNodeMap::namedItemNS$$
    {21, 300, 179},	// QDomNamedNodeMap::operator!=#
    {21, 335, 177},	// QDomNamedNodeMap::operator=#
    {21, 337, 178},	// QDomNamedNodeMap::operator==#
    {21, 557, 182},	// QDomNamedNodeMap::removeNamedItem$
    {21, 559, 186},	// QDomNamedNodeMap::removeNamedItemNS$$
    {21, 628, 181},	// QDomNamedNodeMap::setNamedItem#
    {21, 630, 185},	// QDomNamedNodeMap::setNamedItemNS#
    {21, 642, 189},	// QDomNamedNodeMap::size
    {21, 747, 192},	// QDomNamedNodeMap::~QDomNamedNodeMap
    {22, 2, 269},	// QDomNode::AttributeNode
    {22, 3, 280},	// QDomNode::BaseNode
    {22, 4, 271},	// QDomNode::CDATASectionNode
    {22, 5, 281},	// QDomNode::CharacterDataNode
    {22, 6, 275},	// QDomNode::CommentNode
    {22, 8, 278},	// QDomNode::DocumentFragmentNode
    {22, 9, 276},	// QDomNode::DocumentNode
    {22, 10, 277},	// QDomNode::DocumentTypeNode
    {22, 12, 268},	// QDomNode::ElementNode
    {22, 13, 282},	// QDomNode::EncodingFromDocument
    {22, 14, 283},	// QDomNode::EncodingFromTextStream
    {22, 17, 273},	// QDomNode::EntityNode
    {22, 18, 272},	// QDomNode::EntityReferenceNode
    {22, 38, 279},	// QDomNode::NotationNode
    {22, 39, 274},	// QDomNode::ProcessingInstructionNode
    {22, 65, 193},	// QDomNode::QDomNode
    {22, 66, 194},	// QDomNode::QDomNode#
    {22, 119, 270},	// QDomNode::TextNode
    {22, 123, 202},	// QDomNode::appendChild#
    {22, 140, 215},	// QDomNode::attributes
    {22, 145, 210},	// QDomNode::childNodes
    {22, 146, 239},	// QDomNode::clear
    {22, 147, 261},	// QDomNode::cloneNode
    {22, 148, 204},	// QDomNode::cloneNode$
    {22, 150, 260},	// QDomNode::columnNumber
    {22, 216, 211},	// QDomNode::firstChild
    {22, 217, 262},	// QDomNode::firstChildElement
    {22, 218, 255},	// QDomNode::firstChildElement$
    {22, 226, 219},	// QDomNode::hasAttributes
    {22, 227, 203},	// QDomNode::hasChildNodes
    {22, 235, 266},	// QDomNode::impl
    {22, 244, 199},	// QDomNode::insertAfter##
    {22, 246, 198},	// QDomNode::insertBefore##
    {22, 253, 224},	// QDomNode::isAttr
    {22, 254, 225},	// QDomNode::isCDATASection
    {22, 255, 235},	// QDomNode::isCharacterData
    {22, 256, 236},	// QDomNode::isComment
    {22, 257, 227},	// QDomNode::isDocument
    {22, 258, 226},	// QDomNode::isDocumentFragment
    {22, 259, 228},	// QDomNode::isDocumentType
    {22, 260, 229},	// QDomNode::isElement
    {22, 262, 232},	// QDomNode::isEntity
    {22, 263, 230},	// QDomNode::isEntityReference
    {22, 264, 233},	// QDomNode::isNotation
    {22, 265, 238},	// QDomNode::isNull
    {22, 266, 234},	// QDomNode::isProcessingInstruction
    {22, 268, 206},	// QDomNode::isSupported$$
    {22, 269, 231},	// QDomNode::isText
    {22, 272, 212},	// QDomNode::lastChild
    {22, 273, 263},	// QDomNode::lastChildElement
    {22, 274, 256},	// QDomNode::lastChildElement$
    {22, 277, 259},	// QDomNode::lineNumber
    {22, 278, 218},	// QDomNode::localName
    {22, 283, 237},	// QDomNode::namedItem$
    {22, 286, 217},	// QDomNode::namespaceURI
    {22, 288, 214},	// QDomNode::nextSibling
    {22, 289, 265},	// QDomNode::nextSiblingElement
    {22, 290, 258},	// QDomNode::nextSiblingElement$
    {22, 291, 207},	// QDomNode::nodeName
    {22, 292, 208},	// QDomNode::nodeType
    {22, 293, 220},	// QDomNode::nodeValue
    {22, 294, 205},	// QDomNode::normalize
    {22, 300, 197},	// QDomNode::operator!=#
    {22, 335, 195},	// QDomNode::operator=#
    {22, 337, 196},	// QDomNode::operator==#
    {22, 361, 216},	// QDomNode::ownerDocument
    {22, 363, 209},	// QDomNode::parentNode
    {22, 369, 222},	// QDomNode::prefix
    {22, 373, 213},	// QDomNode::previousSibling
    {22, 374, 264},	// QDomNode::previousSiblingElement
    {22, 375, 257},	// QDomNode::previousSiblingElement$
    {22, 555, 201},	// QDomNode::removeChild#
    {22, 561, 200},	// QDomNode::replaceChild##
    {22, 568, 253},	// QDomNode::save#$
    {22, 569, 254},	// QDomNode::save#$$
    {22, 622, 267},	// QDomNode::setImpl#
    {22, 632, 221},	// QDomNode::setNodeValue$
    {22, 634, 223},	// QDomNode::setPrefix$
    {22, 666, 240},	// QDomNode::toAttr
    {22, 669, 241},	// QDomNode::toCDATASection
    {22, 670, 251},	// QDomNode::toCharacterData
    {22, 671, 252},	// QDomNode::toComment
    {22, 672, 243},	// QDomNode::toDocument
    {22, 673, 242},	// QDomNode::toDocumentFragment
    {22, 674, 244},	// QDomNode::toDocumentType
    {22, 675, 245},	// QDomNode::toElement
    {22, 676, 248},	// QDomNode::toEntity
    {22, 677, 246},	// QDomNode::toEntityReference
    {22, 678, 249},	// QDomNode::toNotation
    {22, 679, 250},	// QDomNode::toProcessingInstruction
    {22, 682, 247},	// QDomNode::toText
    {22, 748, 284},	// QDomNode::~QDomNode
    {23, 67, 285},	// QDomNodeList::QDomNodeList
    {23, 68, 286},	// QDomNodeList::QDomNodeList#
    {23, 127, 291},	// QDomNodeList::at$
    {23, 156, 293},	// QDomNodeList::count
    {23, 261, 295},	// QDomNodeList::isEmpty
    {23, 271, 290},	// QDomNodeList::item$
    {23, 275, 292},	// QDomNodeList::length
    {23, 300, 289},	// QDomNodeList::operator!=#
    {23, 335, 287},	// QDomNodeList::operator=#
    {23, 337, 288},	// QDomNodeList::operator==#
    {23, 642, 294},	// QDomNodeList::size
    {23, 749, 296},	// QDomNodeList::~QDomNodeList
    {25, 69, 297},	// QDomNotation::QDomNotation
    {25, 70, 298},	// QDomNotation::QDomNotation#
    {25, 292, 302},	// QDomNotation::nodeType
    {25, 335, 299},	// QDomNotation::operator=#
    {25, 383, 300},	// QDomNotation::publicId
    {25, 662, 301},	// QDomNotation::systemId
    {25, 750, 303},	// QDomNotation::~QDomNotation
    {26, 71, 304},	// QDomProcessingInstruction::QDomProcessingInstruction
    {26, 72, 305},	// QDomProcessingInstruction::QDomProcessingInstruction#
    {26, 180, 308},	// QDomProcessingInstruction::data
    {26, 292, 310},	// QDomProcessingInstruction::nodeType
    {26, 335, 306},	// QDomProcessingInstruction::operator=#
    {26, 608, 309},	// QDomProcessingInstruction::setData$
    {26, 664, 307},	// QDomProcessingInstruction::target
    {26, 751, 311},	// QDomProcessingInstruction::~QDomProcessingInstruction
    {27, 73, 312},	// QDomText::QDomText
    {27, 74, 313},	// QDomText::QDomText#
    {27, 292, 316},	// QDomText::nodeType
    {27, 335, 314},	// QDomText::operator=#
    {27, 649, 315},	// QDomText::splitText$
    {27, 752, 317},	// QDomText::~QDomText
    {29, 19, 730},	// QGlobalSpace::LicensedActiveQt
    {29, 20, 736},	// QGlobalSpace::LicensedCore
    {29, 21, 728},	// QGlobalSpace::LicensedDBus
    {29, 22, 733},	// QGlobalSpace::LicensedDeclarative
    {29, 23, 723},	// QGlobalSpace::LicensedGui
    {29, 24, 742},	// QGlobalSpace::LicensedHelp
    {29, 25, 743},	// QGlobalSpace::LicensedMultimedia
    {29, 26, 746},	// QGlobalSpace::LicensedNetwork
    {29, 27, 735},	// QGlobalSpace::LicensedOpenGL
    {29, 28, 727},	// QGlobalSpace::LicensedOpenVG
    {29, 29, 744},	// QGlobalSpace::LicensedQt3Support
    {29, 30, 725},	// QGlobalSpace::LicensedQt3SupportLight
    {29, 31, 726},	// QGlobalSpace::LicensedScript
    {29, 32, 731},	// QGlobalSpace::LicensedScriptTools
    {29, 33, 734},	// QGlobalSpace::LicensedSql
    {29, 34, 732},	// QGlobalSpace::LicensedSvg
    {29, 35, 729},	// QGlobalSpace::LicensedTest
    {29, 36, 724},	// QGlobalSpace::LicensedXml
    {29, 37, 745},	// QGlobalSpace::LicensedXmlPatterns
    {29, 108, 718},	// QGlobalSpace::Q_COMPLEX_TYPE
    {29, 109, 722},	// QGlobalSpace::Q_DUMMY_TYPE
    {29, 110, 721},	// QGlobalSpace::Q_MOVABLE_TYPE
    {29, 111, 719},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {29, 112, 720},	// QGlobalSpace::Q_STATIC_TYPE
    {29, 113, 739},	// QGlobalSpace::QtCriticalMsg
    {29, 114, 737},	// QGlobalSpace::QtDebugMsg
    {29, 115, 740},	// QGlobalSpace::QtFatalMsg
    {29, 116, 741},	// QGlobalSpace::QtSystemMsg
    {29, 117, 738},	// QGlobalSpace::QtWarningMsg
    {29, 301, -4},	// QGlobalSpace::operator!=##
    {29, 302, -21},	// QGlobalSpace::operator!=#$
    {29, 303, -27},	// QGlobalSpace::operator!=$#
    {29, 304, 680},	// QGlobalSpace::operator!=$$
    {29, 306, 473},	// QGlobalSpace::operator&##
    {29, 308, -34},	// QGlobalSpace::operator*#$
    {29, 309, -39},	// QGlobalSpace::operator*$#
    {29, 311, -44},	// QGlobalSpace::operator+##
    {29, 312, -50},	// QGlobalSpace::operator+#$
    {29, 313, -55},	// QGlobalSpace::operator+$#
    {29, 314, -60},	// QGlobalSpace::operator+$$
    {29, 316, -66},	// QGlobalSpace::operator-#
    {29, 317, -69},	// QGlobalSpace::operator-##
    {29, 319, -74},	// QGlobalSpace::operator/#$
    {29, 321, -79},	// QGlobalSpace::operator<##
    {29, 322, 333},	// QGlobalSpace::operator<#$
    {29, 323, -84},	// QGlobalSpace::operator<$#
    {29, 324, 535},	// QGlobalSpace::operator<$$
    {29, 326, -87},	// QGlobalSpace::operator<<##
    {29, 327, -129},	// QGlobalSpace::operator<<#$
    {29, 328, 619},	// QGlobalSpace::operator<<#?
    {29, 330, -135},	// QGlobalSpace::operator<=##
    {29, 331, 494},	// QGlobalSpace::operator<=#$
    {29, 332, -140},	// QGlobalSpace::operator<=$#
    {29, 333, 459},	// QGlobalSpace::operator<=$$
    {29, 338, -143},	// QGlobalSpace::operator==##
    {29, 339, -161},	// QGlobalSpace::operator==#$
    {29, 340, -167},	// QGlobalSpace::operator==$#
    {29, 341, 599},	// QGlobalSpace::operator==$$
    {29, 343, -174},	// QGlobalSpace::operator>##
    {29, 344, 677},	// QGlobalSpace::operator>#$
    {29, 345, -179},	// QGlobalSpace::operator>$#
    {29, 346, 334},	// QGlobalSpace::operator>$$
    {29, 348, -182},	// QGlobalSpace::operator>=##
    {29, 349, 476},	// QGlobalSpace::operator>=#$
    {29, 350, -187},	// QGlobalSpace::operator>=$#
    {29, 351, 626},	// QGlobalSpace::operator>=$$
    {29, 353, -190},	// QGlobalSpace::operator>>##
    {29, 354, -211},	// QGlobalSpace::operator>>#$
    {29, 355, 566},	// QGlobalSpace::operator>>#?
    {29, 357, 706},	// QGlobalSpace::operator^##
    {29, 359, 395},	// QGlobalSpace::operator|##
    {29, 360, -214},	// QGlobalSpace::operator|$$
    {29, 386, 320},	// QGlobalSpace::qAcos$
    {29, 388, 570},	// QGlobalSpace::qAddPostRoutine$
    {29, 389, 325},	// QGlobalSpace::qAppName
    {29, 391, 707},	// QGlobalSpace::qAsin$
    {29, 393, 398},	// QGlobalSpace::qAtan$
    {29, 395, 374},	// QGlobalSpace::qAtan2$$
    {29, 396, 709},	// QGlobalSpace::qBadAlloc
    {29, 398, 559},	// QGlobalSpace::qCeil$
    {29, 400, 502},	// QGlobalSpace::qChecksum$$
    {29, 402, 415},	// QGlobalSpace::qCompress#
    {29, 403, 414},	// QGlobalSpace::qCompress#$
    {29, 404, 612},	// QGlobalSpace::qCompress$$
    {29, 405, 611},	// QGlobalSpace::qCompress$$$
    {29, 407, 586},	// QGlobalSpace::qCos$
    {29, 408, 511},	// QGlobalSpace::qCritical
    {29, 409, 456},	// QGlobalSpace::qDebug
    {29, 411, 527},	// QGlobalSpace::qExp$
    {29, 413, 432},	// QGlobalSpace::qFabs$
    {29, 415, 495},	// QGlobalSpace::qFastCos$
    {29, 417, 340},	// QGlobalSpace::qFastSin$
    {29, 419, 486},	// QGlobalSpace::qFlagLocation$
    {29, 421, 613},	// QGlobalSpace::qFloor$
    {29, 423, 624},	// QGlobalSpace::qFree$
    {29, 425, 697},	// QGlobalSpace::qFreeAligned$
    {29, 427, -302},	// QGlobalSpace::qFuzzyCompare$$
    {29, 429, -305},	// QGlobalSpace::qFuzzyIsNull$
    {29, 431, -308},	// QGlobalSpace::qHash#
    {29, 432, -315},	// QGlobalSpace::qHash$
    {29, 433, -326},	// QGlobalSpace::qHash?
    {29, 434, 577},	// QGlobalSpace::qInf
    {29, 436, 505},	// QGlobalSpace::qInstallMsgHandler$
    {29, 438, -329},	// QGlobalSpace::qIntCast$
    {29, 440, -332},	// QGlobalSpace::qIsFinite$
    {29, 442, -335},	// QGlobalSpace::qIsInf$
    {29, 444, -338},	// QGlobalSpace::qIsNaN$
    {29, 446, -341},	// QGlobalSpace::qIsNull$
    {29, 448, 703},	// QGlobalSpace::qLn$
    {29, 450, 663},	// QGlobalSpace::qMalloc?
    {29, 452, 587},	// QGlobalSpace::qMallocAligned??
    {29, 454, 623},	// QGlobalSpace::qMemCopy$$?
    {29, 456, 556},	// QGlobalSpace::qMemSet$$?
    {29, 460, 513},	// QGlobalSpace::qPow$$
    {29, 461, 365},	// QGlobalSpace::qQNaN
    {29, 463, 440},	// QGlobalSpace::qRealloc$?
    {29, 465, 419},	// QGlobalSpace::qReallocAligned$???
    {29, 467, 571},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {29, 469, 496},	// QGlobalSpace::qRemovePostRoutine$
    {29, 471, 318},	// QGlobalSpace::qRound$
    {29, 473, 655},	// QGlobalSpace::qRound64$
    {29, 474, 658},	// QGlobalSpace::qSNaN
    {29, 476, 681},	// QGlobalSpace::qSetFieldWidth$
    {29, 478, 367},	// QGlobalSpace::qSetPadChar#
    {29, 480, 631},	// QGlobalSpace::qSetRealNumberPrecision$
    {29, 481, 573},	// QGlobalSpace::qSharedBuild
    {29, 483, 638},	// QGlobalSpace::qSin$
    {29, 485, 422},	// QGlobalSpace::qSqrt$
    {29, 487, 604},	// QGlobalSpace::qStringComparisonHelper#$
    {29, 488, 682},	// QGlobalSpace::qStringComparisonHelper$$
    {29, 490, 654},	// QGlobalSpace::qTan$
    {29, 492, 490},	// QGlobalSpace::qUncompress#
    {29, 493, 413},	// QGlobalSpace::qUncompress$$
    {29, 494, 595},	// QGlobalSpace::qVersion
    {29, 495, 445},	// QGlobalSpace::qWarning
    {29, 497, 537},	// QGlobalSpace::qbswap_helper$$$
    {29, 499, 332},	// QGlobalSpace::qgetenv$
    {29, 501, 665},	// QGlobalSpace::qputenv$#
    {29, 502, 632},	// QGlobalSpace::qrand
    {29, 504, 546},	// QGlobalSpace::qsrand$
    {29, 506, 472},	// QGlobalSpace::qstrcmp##
    {29, 507, 382},	// QGlobalSpace::qstrcmp#$
    {29, 508, 399},	// QGlobalSpace::qstrcmp$#
    {29, 509, 386},	// QGlobalSpace::qstrcmp$$
    {29, 511, 394},	// QGlobalSpace::qstrcpy$$
    {29, 513, 383},	// QGlobalSpace::qstrdup$
    {29, 515, 554},	// QGlobalSpace::qstricmp$$
    {29, 517, 644},	// QGlobalSpace::qstrlen$
    {29, 519, 342},	// QGlobalSpace::qstrncmp$$$
    {29, 521, 327},	// QGlobalSpace::qstrncpy$$$
    {29, 523, 578},	// QGlobalSpace::qstrnicmp$$$
    {29, 525, 350},	// QGlobalSpace::qstrnlen$$
    {29, 527, 373},	// QGlobalSpace::qtTrId$
    {29, 528, 372},	// QGlobalSpace::qtTrId$$
    {29, 530, 642},	// QGlobalSpace::qt_assert$$$
    {29, 532, 590},	// QGlobalSpace::qt_assert_x$$$$
    {29, 534, 407},	// QGlobalSpace::qt_check_pointer$$
    {29, 535, 361},	// QGlobalSpace::qt_error_string
    {29, 536, 360},	// QGlobalSpace::qt_error_string$
    {29, 538, 544},	// QGlobalSpace::qt_message_output$$
    {29, 539, 518},	// QGlobalSpace::qt_noop
    {29, 541, 523},	// QGlobalSpace::qt_qFindChild_helper#$#
    {29, 543, 358},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {29, 545, 534},	// QGlobalSpace::qvariant_cast_helper#$$
    {29, 547, 345},	// QGlobalSpace::qvsnprintf$?$?
    {59, 75, 747},	// QXmlAttributes::QXmlAttributes
    {59, 76, 765},	// QXmlAttributes::QXmlAttributes#
    {59, 121, 764},	// QXmlAttributes::append$$$$
    {59, 146, 763},	// QXmlAttributes::clear
    {59, 156, 752},	// QXmlAttributes::count
    {59, 240, 749},	// QXmlAttributes::index#
    {59, 241, 748},	// QXmlAttributes::index$
    {59, 242, 750},	// QXmlAttributes::index$$
    {59, 275, 751},	// QXmlAttributes::length
    {59, 279, 753},	// QXmlAttributes::localName$
    {59, 458, 754},	// QXmlAttributes::qName$
    {59, 684, -347},	// QXmlAttributes::type$
    {59, 685, 758},	// QXmlAttributes::type$$
    {59, 689, 755},	// QXmlAttributes::uri$
    {59, 691, 761},	// QXmlAttributes::value#
    {59, 692, -350},	// QXmlAttributes::value$
    {59, 693, 762},	// QXmlAttributes::value$$
    {59, 753, 766},	// QXmlAttributes::~QXmlAttributes
    {60, 77, 779},	// QXmlContentHandler::QXmlContentHandler
    {60, 78, 780},	// QXmlContentHandler::QXmlContentHandler#
    {60, 144, 774},	// QXmlContentHandler::characters$
    {60, 195, 769},	// QXmlContentHandler::endDocument
    {60, 197, 773},	// QXmlContentHandler::endElement$$$
    {60, 201, 771},	// QXmlContentHandler::endPrefixMapping$
    {60, 207, 778},	// QXmlContentHandler::errorString
    {60, 234, 775},	// QXmlContentHandler::ignorableWhitespace$
    {60, 379, 776},	// QXmlContentHandler::processingInstruction$$
    {60, 614, 767},	// QXmlContentHandler::setDocumentLocator#
    {60, 644, 777},	// QXmlContentHandler::skippedEntity$
    {60, 653, 768},	// QXmlContentHandler::startDocument
    {60, 655, 772},	// QXmlContentHandler::startElement$$$#
    {60, 659, 770},	// QXmlContentHandler::startPrefixMapping$$
    {60, 754, 781},	// QXmlContentHandler::~QXmlContentHandler
    {61, 79, 785},	// QXmlDTDHandler::QXmlDTDHandler
    {61, 80, 786},	// QXmlDTDHandler::QXmlDTDHandler#
    {61, 207, 784},	// QXmlDTDHandler::errorString
    {61, 296, 782},	// QXmlDTDHandler::notationDecl$$$
    {61, 687, 783},	// QXmlDTDHandler::unparsedEntityDecl$$$$
    {61, 755, 787},	// QXmlDTDHandler::~QXmlDTDHandler
    {62, 81, 792},	// QXmlDeclHandler::QXmlDeclHandler
    {62, 82, 793},	// QXmlDeclHandler::QXmlDeclHandler#
    {62, 132, 788},	// QXmlDeclHandler::attributeDecl$$$$$
    {62, 207, 791},	// QXmlDeclHandler::errorString
    {62, 209, 790},	// QXmlDeclHandler::externalEntityDecl$$$
    {62, 250, 789},	// QXmlDeclHandler::internalEntityDecl$$
    {62, 756, 794},	// QXmlDeclHandler::~QXmlDeclHandler
    {63, 83, 795},	// QXmlDefaultHandler::QXmlDefaultHandler
    {63, 132, 820},	// QXmlDefaultHandler::attributeDecl$$$$$
    {63, 144, 803},	// QXmlDefaultHandler::characters$
    {63, 152, 819},	// QXmlDefaultHandler::comment$
    {63, 193, 818},	// QXmlDefaultHandler::endCDATA
    {63, 194, 814},	// QXmlDefaultHandler::endDTD
    {63, 195, 798},	// QXmlDefaultHandler::endDocument
    {63, 197, 802},	// QXmlDefaultHandler::endElement$$$
    {63, 199, 816},	// QXmlDefaultHandler::endEntity$
    {63, 201, 800},	// QXmlDefaultHandler::endPrefixMapping$
    {63, 205, 808},	// QXmlDefaultHandler::error#
    {63, 207, 823},	// QXmlDefaultHandler::errorString
    {63, 209, 822},	// QXmlDefaultHandler::externalEntityDecl$$$
    {63, 211, 809},	// QXmlDefaultHandler::fatalError#
    {63, 234, 804},	// QXmlDefaultHandler::ignorableWhitespace$
    {63, 250, 821},	// QXmlDefaultHandler::internalEntityDecl$$
    {63, 296, 810},	// QXmlDefaultHandler::notationDecl$$$
    {63, 379, 805},	// QXmlDefaultHandler::processingInstruction$$
    {63, 566, 812},	// QXmlDefaultHandler::resolveEntity$$#
    {63, 614, 796},	// QXmlDefaultHandler::setDocumentLocator#
    {63, 644, 806},	// QXmlDefaultHandler::skippedEntity$
    {63, 650, 817},	// QXmlDefaultHandler::startCDATA
    {63, 652, 813},	// QXmlDefaultHandler::startDTD$$$
    {63, 653, 797},	// QXmlDefaultHandler::startDocument
    {63, 655, 801},	// QXmlDefaultHandler::startElement$$$#
    {63, 657, 815},	// QXmlDefaultHandler::startEntity$
    {63, 659, 799},	// QXmlDefaultHandler::startPrefixMapping$$
    {63, 687, 811},	// QXmlDefaultHandler::unparsedEntityDecl$$$$
    {63, 695, 807},	// QXmlDefaultHandler::warning#
    {63, 757, 824},	// QXmlDefaultHandler::~QXmlDefaultHandler
    {64, 84, 827},	// QXmlEntityResolver::QXmlEntityResolver
    {64, 85, 828},	// QXmlEntityResolver::QXmlEntityResolver#
    {64, 207, 826},	// QXmlEntityResolver::errorString
    {64, 566, 825},	// QXmlEntityResolver::resolveEntity$$#
    {64, 758, 829},	// QXmlEntityResolver::~QXmlEntityResolver
    {65, 86, 834},	// QXmlErrorHandler::QXmlErrorHandler
    {65, 87, 835},	// QXmlErrorHandler::QXmlErrorHandler#
    {65, 205, 831},	// QXmlErrorHandler::error#
    {65, 207, 833},	// QXmlErrorHandler::errorString
    {65, 211, 832},	// QXmlErrorHandler::fatalError#
    {65, 695, 830},	// QXmlErrorHandler::warning#
    {65, 759, 836},	// QXmlErrorHandler::~QXmlErrorHandler
    {66, 15, 848},	// QXmlInputSource::EndOfData
    {66, 16, 849},	// QXmlInputSource::EndOfDocument
    {66, 88, 837},	// QXmlInputSource::QXmlInputSource
    {66, 89, -344},	// QXmlInputSource::QXmlInputSource#
    {66, 180, 842},	// QXmlInputSource::data
    {66, 215, 841},	// QXmlInputSource::fetchData
    {66, 220, 847},	// QXmlInputSource::fromRawData#
    {66, 221, 845},	// QXmlInputSource::fromRawData#$
    {66, 287, 843},	// QXmlInputSource::next
    {66, 564, 844},	// QXmlInputSource::reset
    {66, 607, 840},	// QXmlInputSource::setData#
    {66, 608, 839},	// QXmlInputSource::setData$
    {66, 760, 850},	// QXmlInputSource::~QXmlInputSource
    {67, 90, 859},	// QXmlLexicalHandler::QXmlLexicalHandler
    {67, 91, 860},	// QXmlLexicalHandler::QXmlLexicalHandler#
    {67, 152, 857},	// QXmlLexicalHandler::comment$
    {67, 193, 856},	// QXmlLexicalHandler::endCDATA
    {67, 194, 852},	// QXmlLexicalHandler::endDTD
    {67, 199, 854},	// QXmlLexicalHandler::endEntity$
    {67, 207, 858},	// QXmlLexicalHandler::errorString
    {67, 650, 855},	// QXmlLexicalHandler::startCDATA
    {67, 652, 851},	// QXmlLexicalHandler::startDTD$$$
    {67, 657, 853},	// QXmlLexicalHandler::startEntity$
    {67, 761, 861},	// QXmlLexicalHandler::~QXmlLexicalHandler
    {68, 92, 862},	// QXmlLocator::QXmlLocator
    {68, 93, 865},	// QXmlLocator::QXmlLocator#
    {68, 150, 863},	// QXmlLocator::columnNumber
    {68, 277, 864},	// QXmlLocator::lineNumber
    {68, 762, 866},	// QXmlLocator::~QXmlLocator
    {69, 94, 867},	// QXmlNamespaceSupport::QXmlNamespaceSupport
    {69, 368, 876},	// QXmlNamespaceSupport::popContext
    {69, 370, 869},	// QXmlNamespaceSupport::prefix$
    {69, 371, 873},	// QXmlNamespaceSupport::prefixes
    {69, 372, 874},	// QXmlNamespaceSupport::prefixes$
    {69, 377, 872},	// QXmlNamespaceSupport::processName$$$$
    {69, 384, 875},	// QXmlNamespaceSupport::pushContext
    {69, 564, 877},	// QXmlNamespaceSupport::reset
    {69, 635, 868},	// QXmlNamespaceSupport::setPrefix$$
    {69, 647, 871},	// QXmlNamespaceSupport::splitName$$$
    {69, 689, 870},	// QXmlNamespaceSupport::uri$
    {69, 763, 878},	// QXmlNamespaceSupport::~QXmlNamespaceSupport
    {70, 95, 886},	// QXmlParseException::QXmlParseException
    {70, 96, 880},	// QXmlParseException::QXmlParseException#
    {70, 97, 887},	// QXmlParseException::QXmlParseException$
    {70, 98, 888},	// QXmlParseException::QXmlParseException$$
    {70, 99, 889},	// QXmlParseException::QXmlParseException$$$
    {70, 100, 890},	// QXmlParseException::QXmlParseException$$$$
    {70, 101, 879},	// QXmlParseException::QXmlParseException$$$$$
    {70, 150, 881},	// QXmlParseException::columnNumber
    {70, 277, 882},	// QXmlParseException::lineNumber
    {70, 280, 885},	// QXmlParseException::message
    {70, 383, 883},	// QXmlParseException::publicId
    {70, 662, 884},	// QXmlParseException::systemId
    {70, 764, 891},	// QXmlParseException::~QXmlParseException
    {71, 7, 901},	// QXmlReader::DTDHandler
    {71, 102, 912},	// QXmlReader::QXmlReader
    {71, 103, 913},	// QXmlReader::QXmlReader#
    {71, 155, 903},	// QXmlReader::contentHandler
    {71, 181, 909},	// QXmlReader::declHandler
    {71, 203, 899},	// QXmlReader::entityResolver
    {71, 206, 905},	// QXmlReader::errorHandler
    {71, 213, 914},	// QXmlReader::feature$
    {71, 214, 892},	// QXmlReader::feature$$
    {71, 229, 894},	// QXmlReader::hasFeature$
    {71, 232, 897},	// QXmlReader::hasProperty$
    {71, 276, 907},	// QXmlReader::lexicalHandler
    {71, 365, -353},	// QXmlReader::parse#
    {71, 381, 915},	// QXmlReader::property$
    {71, 382, 895},	// QXmlReader::property$$
    {71, 603, 902},	// QXmlReader::setContentHandler#
    {71, 605, 900},	// QXmlReader::setDTDHandler#
    {71, 610, 908},	// QXmlReader::setDeclHandler#
    {71, 616, 898},	// QXmlReader::setEntityResolver#
    {71, 618, 904},	// QXmlReader::setErrorHandler#
    {71, 620, 893},	// QXmlReader::setFeature$$
    {71, 626, 906},	// QXmlReader::setLexicalHandler#
    {71, 637, 896},	// QXmlReader::setProperty$$
    {71, 765, 916},	// QXmlReader::~QXmlReader
    {72, 7, 927},	// QXmlSimpleReader::DTDHandler
    {72, 104, 917},	// QXmlSimpleReader::QXmlSimpleReader
    {72, 155, 929},	// QXmlSimpleReader::contentHandler
    {72, 181, 935},	// QXmlSimpleReader::declHandler
    {72, 203, 925},	// QXmlSimpleReader::entityResolver
    {72, 206, 931},	// QXmlSimpleReader::errorHandler
    {72, 213, 940},	// QXmlSimpleReader::feature$
    {72, 214, 918},	// QXmlSimpleReader::feature$$
    {72, 229, 920},	// QXmlSimpleReader::hasFeature$
    {72, 232, 923},	// QXmlSimpleReader::hasProperty$
    {72, 276, 933},	// QXmlSimpleReader::lexicalHandler
    {72, 365, -1},	// QXmlSimpleReader::parse#
    {72, 366, 938},	// QXmlSimpleReader::parse#$
    {72, 367, 939},	// QXmlSimpleReader::parseContinue
    {72, 381, 941},	// QXmlSimpleReader::property$
    {72, 382, 921},	// QXmlSimpleReader::property$$
    {72, 603, 928},	// QXmlSimpleReader::setContentHandler#
    {72, 605, 926},	// QXmlSimpleReader::setDTDHandler#
    {72, 610, 934},	// QXmlSimpleReader::setDeclHandler#
    {72, 616, 924},	// QXmlSimpleReader::setEntityResolver#
    {72, 618, 930},	// QXmlSimpleReader::setErrorHandler#
    {72, 620, 919},	// QXmlSimpleReader::setFeature$$
    {72, 626, 932},	// QXmlSimpleReader::setLexicalHandler#
    {72, 637, 922},	// QXmlSimpleReader::setProperty$$
    {72, 766, 942},	// QXmlSimpleReader::~QXmlSimpleReader
    {76, 105, 943},	// QXmlStreamWriter::QXmlStreamWriter
    {76, 106, -356},	// QXmlStreamWriter::QXmlStreamWriter#
    {76, 107, 946},	// QXmlStreamWriter::QXmlStreamWriter$
    {76, 141, 953},	// QXmlStreamWriter::autoFormatting
    {76, 142, 955},	// QXmlStreamWriter::autoFormattingIndent
    {76, 149, 951},	// QXmlStreamWriter::codec
    {76, 184, 948},	// QXmlStreamWriter::device
    {76, 581, 952},	// QXmlStreamWriter::setAutoFormatting$
    {76, 583, 954},	// QXmlStreamWriter::setAutoFormattingIndent$
    {76, 585, 949},	// QXmlStreamWriter::setCodec#
    {76, 586, 950},	// QXmlStreamWriter::setCodec$
    {76, 612, 947},	// QXmlStreamWriter::setDevice#
    {76, 697, 958},	// QXmlStreamWriter::writeAttribute#
    {76, 698, 956},	// QXmlStreamWriter::writeAttribute$$
    {76, 699, 957},	// QXmlStreamWriter::writeAttribute$$$
    {76, 701, 959},	// QXmlStreamWriter::writeAttributes#
    {76, 703, 960},	// QXmlStreamWriter::writeCDATA$
    {76, 705, 961},	// QXmlStreamWriter::writeCharacters$
    {76, 707, 962},	// QXmlStreamWriter::writeComment$
    {76, 709, 979},	// QXmlStreamWriter::writeCurrentToken#
    {76, 711, 963},	// QXmlStreamWriter::writeDTD$
    {76, 713, 972},	// QXmlStreamWriter::writeDefaultNamespace$
    {76, 715, 964},	// QXmlStreamWriter::writeEmptyElement$
    {76, 716, 965},	// QXmlStreamWriter::writeEmptyElement$$
    {76, 717, 968},	// QXmlStreamWriter::writeEndDocument
    {76, 718, 969},	// QXmlStreamWriter::writeEndElement
    {76, 720, 970},	// QXmlStreamWriter::writeEntityReference$
    {76, 722, 980},	// QXmlStreamWriter::writeNamespace$
    {76, 723, 971},	// QXmlStreamWriter::writeNamespace$$
    {76, 725, 981},	// QXmlStreamWriter::writeProcessingInstruction$
    {76, 726, 973},	// QXmlStreamWriter::writeProcessingInstruction$$
    {76, 727, 974},	// QXmlStreamWriter::writeStartDocument
    {76, 728, 975},	// QXmlStreamWriter::writeStartDocument$
    {76, 729, 976},	// QXmlStreamWriter::writeStartDocument$$
    {76, 731, 977},	// QXmlStreamWriter::writeStartElement$
    {76, 732, 978},	// QXmlStreamWriter::writeStartElement$$
    {76, 734, 966},	// QXmlStreamWriter::writeTextElement$$
    {76, 735, 967},	// QXmlStreamWriter::writeTextElement$$$
    {76, 767, 982},	// QXmlStreamWriter::~QXmlStreamWriter
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtxml_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtxml_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtxml_Smoke = new Smoke(
        "qtxml",
        __smokeqtxml::classes, 76,
        __smokeqtxml::methods, 983,
        __smokeqtxml::methodMaps, 685,
        __smokeqtxml::methodNames, 767,
        __smokeqtxml::types, 351,
        __smokeqtxml::inheritanceList,
        __smokeqtxml::argumentList,
        __smokeqtxml::ambiguousMethodList,
        __smokeqtxml::cast );
    initialized = true;
}

void delete_qtxml_Smoke() { delete qtxml_Smoke; }

}
